<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ns="http://verifone.com/isd/vfit/fuelTotals/naxml3.4/FuelProductMovement" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0" exclude-result-prefixes="ext fuel ns vs xsl pd">
	
	<xsl:param name="ns:fuelSite"/>
	<xsl:variable name="mapPeriod" select="document('../../lib/naxml3.3/commonMap.xml')//PeriodType"/>
	<xsl:variable name="mapVol" select="document('../../lib/naxml3.3/commonMap.xml')//VolumeUOM"/>
	<xsl:variable name="mapMoney" select="document('../../lib/naxml3.3/commonMap.xml')//CurrencyUOM"/>
	
	
	
	
	
	<xsl:template match="/">
		<NAXML-MovementReport>
			<xsl:attribute name="version"><xsl:text>3.4</xsl:text></xsl:attribute>
			
			<TransmissionHeader>
				<StoreLocationID>
					<xsl:value-of select="//fuel:fuelTotals/vs:site"/>
				</StoreLocationID>
				<VendorName>VeriFone</VendorName>
				<VendorModelVersion>Commander Site Controller</VendorModelVersion> 
			</TransmissionHeader>
			<FuelProductMovement>
				
				<MovementHeader>
					
					<xsl:variable name="VFIperiodType" select="//fuel:fuelTotals/vs:period/@periodType"/>
					<ReportSequenceNumber>
						<xsl:value-of select="//fuel:fuelTotals/vs:period/@periodSeqNum"/>
					</ReportSequenceNumber>
					<PrimaryReportPeriod>
						<xsl:choose>
							<xsl:when test="not(//fuel:fuelTotals/vs:period/@periodType)">
								<xsl:attribute name="interval">other</xsl:attribute>
							</xsl:when>
							<xsl:when test="//fuel:fuelTotals/vs:period/@periodType =''">
								<xsl:attribute name="interval">other</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:variable name="attrValue">
									<xsl:for-each select="$mapPeriod/pair">
										<xsl:choose>
											
											<xsl:when test="translate($VFIperiodType, 'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')=vfiPeriod/@value">
												<xsl:value-of select="period3.3/@value"/>
											</xsl:when>
										</xsl:choose>
									</xsl:for-each>
								</xsl:variable>
								<xsl:attribute name="interval"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$VFIperiodType"/></xsl:otherwise></xsl:choose></xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<xsl:value-of select="//fuel:fuelTotals/vs:period/@sysid"/>
					</PrimaryReportPeriod>
					<SecondaryReportPeriod>
						<xsl:value-of select="//fuel:fuelTotals/vs:period/@periodSeqNum"/>
					</SecondaryReportPeriod>
					<BeginDate>
						<xsl:value-of select="substring-before(//fuel:fuelTotals/vs:period/@periodBeginDate,'T')"/>
					</BeginDate>
					<BeginTime>
						<xsl:value-of select="substring(//fuel:fuelTotals/vs:period/@periodBeginDate,12,8)"/>
					</BeginTime>
					<xsl:choose>
						<xsl:when test="not(//fuel:fuelTotals/vs:period/@periodEndDate)">
							<EndDate>
								<xsl:value-of select="substring-before(//fuel:fuelTotals/vs:period/@periodBeginDate,'T')"/>
							</EndDate>
						</xsl:when>
						<xsl:otherwise>
							<EndDate>
								<xsl:value-of select="substring-before(//fuel:fuelTotals/vs:period/@periodEndDate,'T')"/>
							</EndDate>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:choose>
						<xsl:when test="not(//fuel:fuelTotals/vs:period/@periodEndDate)">
							<EndTime>
								<xsl:value-of select="substring(//fuel:fuelTotals/vs:period/@periodBeginDate,12,8)"/>
							</EndTime>
						</xsl:when>
						<xsl:otherwise>
							<EndTime>
								<xsl:value-of select="substring(//fuel:fuelTotals/vs:period/@periodEndDate,12,8)"/>
							</EndTime>
						</xsl:otherwise>
					</xsl:choose>
				</MovementHeader>
				<xsl:apply-templates select="//fuel:fuelTotals/fpDispenserData"/>
			</FuelProductMovement>
		</NAXML-MovementReport>
	</xsl:template>
	
	<xsl:template match="fpDispenserData">
		
		<xsl:variable name="fuelMoneyUOM" select="fuelMoney/@currency"/>
		<xsl:variable name="fuelVolumeUOM" select="fuelVolume/@uom"/>
		<FPMDetail>
			<FuelProductID>
				<xsl:call-template name="ns:xlate-fuelGrade">
					<xsl:with-param name="fuelGrade" select="productNumber"/>
				</xsl:call-template>
			</FuelProductID>
			<FPMNonResettableTotals>
				<FuelPositionID>
					<xsl:value-of select="fuelingPositionId"/>
				</FuelPositionID>
				<FuelProductNonResettableAmountNumber>
					<xsl:choose>
						<xsl:when test="not(fuelMoney/@currency)">
							<xsl:attribute name="currency">USD</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:variable name="attrValue">
								<xsl:for-each select="$mapMoney/pair">
									<xsl:choose>
										<xsl:when test="$fuelMoneyUOM=currency/@value">
											<xsl:value-of select="currency3.3/@value"/>
										</xsl:when>
									</xsl:choose>
								</xsl:for-each>
							</xsl:variable>
							<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$fuelMoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:value-of select="fuelMoney"/>
				</FuelProductNonResettableAmountNumber>
				<FuelProductNonResettableVolumeNumber>
					<xsl:choose>
						<xsl:when test="not(fuelVolume/@uom)">
							<xsl:attribute name="uom">gallonUS</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:variable name="attrValue">
								<xsl:for-each select="$mapVol/pair">
									<xsl:choose>
										<xsl:when test="$fuelVolumeUOM=volumeUOM/@value">
											<xsl:value-of select="volume3.3/@value"/>
										</xsl:when>
									</xsl:choose>
								</xsl:for-each>
							</xsl:variable>
							<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$fuelVolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:value-of select="fuelVolume"/>
				</FuelProductNonResettableVolumeNumber>
			</FPMNonResettableTotals>
		</FPMDetail>
	</xsl:template>
	
	<xsl:template name="ns:xlate-fuelGrade">
		<xsl:param name="fuelGrade"/>
		<xsl:choose>
			<xsl:when test="$ns:fuelSite">
				<xsl:variable name="naxProdID" select="ext:node-set($ns:fuelSite)/*/fuelProducts/fuelProduct[@sysid = $fuelGrade]/@NAXMLFuelGradeID"/>
				<xsl:choose>
					<xsl:when test="$naxProdID">
						<xsl:value-of select="$naxProdID"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$fuelGrade"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$fuelGrade"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>