<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../periodTargs/common/tr_period.xsl"/>
	<xsl:variable name="posNum" select="//fuelingPositionId[not(.=preceding::fuelingPositionId)]"/>
	<xsl:variable name="grades" select="//productNumber[not(.=preceding::productNumber)]"/>
	<xsl:variable name="allPosVol" select="sum(//fuel:fuelTotals/fpDispenserData/fuelVolume)"/>
	<xsl:variable name="allPosDol" select="sum(//fuel:fuelTotals/fpDispenserData/fuelMoney)"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Dispenser Report</title>
				<STYLE>UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }</STYLE>
			</head>
			<body>
				<font face="Trebuchet MS">
					<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
						<tr>
							<td width="490" height="1">
								<b>
									<font color="#3366CC" size="5">Dispenser Report</font>
								</b>
							</td>
							<td align="right" height="1">
							Store Number:  <xsl:value-of select="//vs:site"/>
							</td>
						</tr>
						<tr>
							<td width="592" height="10" colspan="3">
								<hr color="#FFCC00" valign="top" width="632" align="left"/>
							</td>
						</tr>
					</table>
					<xsl:apply-templates select="//vs:period"/>
					<br/>
					<table border="0" cellspacing="0" cellpadding="0">
						<xsl:for-each select="$posNum">
							<xsl:sort select="." data-type="number"/>
							<xsl:variable name="thisPos" select="."/>
							<xsl:variable name="totVol" select="sum(//fuel:fuelTotals/fpDispenserData[fuelingPositionId=$thisPos]/fuelVolume)"/>
							<xsl:variable name="totDol" select="sum(//fuel:fuelTotals/fpDispenserData[fuelingPositionId=$thisPos]/fuelMoney)"/>
							<h3>
								<font color="#3366CC">Fueling Position: <xsl:value-of select="$thisPos"/>
								</font>
							</h3>
							<font size="2">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628" height="53">
									<tr>
										<td bgcolor="#3366CC" width="20%" height="1">
											<font color="#FFFFFF">
												<b>Product</b>
											</font>
										</td>
										<td bgcolor="#3366CC" align="right" width="20%" height="1">
											<font color="#FFFFFF">
												<b>Dollars</b>
											</font>
										</td>
										<td bgcolor="#3366CC" align="right" width="20%" height="1">
											<font color="#FFFFFF">
												<b>Volume</b>
											</font>
										</td>
									</tr>
									<xsl:for-each select="$grades">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="thisGrade" select="."/>
										<xsl:variable name="thisGradeName" select="//fuel:fuelTotals/fpDispenserData[productNumber=$thisGrade]/productNumber/@name"/>
										<xsl:variable name="gVol" select="sum(//fuel:fuelTotals/fpDispenserData[fuelingPositionId=$thisPos and productNumber=$thisGrade]/fuelVolume)"/>
										<xsl:variable name="gDol" select="sum(//fuel:fuelTotals/fpDispenserData[fuelingPositionId=$thisPos and productNumber=$thisGrade]/fuelMoney)"/>
										
										<xsl:if test="$gVol &gt; 0 or $gDol &gt; 0">
											<tr>
												<td height="1">
													<font size="2">
														<xsl:value-of select="$thisGrade"/> - <xsl:value-of select="$thisGradeName"/>
													</font>
												</td>
												<td align="right" height="1">
													<font size="2">
											$<xsl:value-of select="format-number($gDol,'#,##0.00')"/>
													</font>
												</td>
												<td align="right" height="1">
													<font size="2">
														<xsl:value-of select="format-number($gVol,'#,##0.000')"/>
													</font>
												</td>
											</tr>
										</xsl:if>
									</xsl:for-each>
									<tr>
										<td colspan="5">
											<hr color="#D0D0D0" align="center"/>
										</td>
									</tr>
									<tr>
										<td>
											<font size="3">Position Total</font>
										</td>
										<td align="right">
											<font size="2">
									$<xsl:value-of select="format-number($totDol,'#,##0.00')"/>
											</font>
										</td>
										<td align="right">
											<font size="2">
												<xsl:value-of select="format-number($totVol,'#,##0.000')"/>
											</font>
										</td>
									</tr>
								</table>
							</font>
							<br/>
						</xsl:for-each>
						<br/>
						<h3>
							<font color="#3366CC">Product Totals</font>
						</h3>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628" height="53">
							<tr>
								<td bgcolor="#3366CC" width="20%" height="1">
									<font color="#FFFFFF">
										<b>Product</b>
									</font>
								</td>
								<td bgcolor="#3366CC" align="right" width="20%" height="1">
									<font color="#FFFFFF">
										<b>Dollars</b>
									</font>
								</td>
								<td bgcolor="#3366CC" align="right" width="20%" height="1">
									<font color="#FFFFFF">
										<b>Volume</b>
									</font>
								</td>
							</tr>
							<xsl:choose>
								<xsl:when test="$allPosVol &gt; 0 or $allPosDol &gt; 0">
									<xsl:for-each select="$grades">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="thisGrade" select="."/>
										<xsl:variable name="thisGradeName" select="//fuel:fuelTotals/fpDispenserData[productNumber=$thisGrade]/productNumber/@name"/>
										<tr>
											<td>
												<font size="2">
													<xsl:value-of select="$thisGrade"/> - <xsl:value-of select="$thisGradeName"/>
												</font>
											</td>
											<xsl:variable name="gDol" select="sum(//fuel:fuelTotals/fpDispenserData[productNumber=$thisGrade]/fuelMoney)"/>
											<td align="right">
												<font size="2">$<xsl:value-of select="format-number($gDol,'#,##0.00')"/>
												</font>
											</td>
											<xsl:variable name="gVol" select="sum(//fuel:fuelTotals/fpDispenserData[productNumber=$thisGrade]/fuelVolume)"/>
											<td align="right">
												<font size="2">
													<xsl:value-of select="format-number($gVol,'#,##0.000')"/>
												</font>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td colspan="4">
											<hr color="#D0D0D0" align="center"/>
										</td>
									</tr>
									<tr>
										<td width="20%">
											<font size="2">Total</font>
										</td>
										<xsl:variable name="tDol" select="sum(//fuel:fuelTotals/fpDispenserData/fuelMoney)"/>
										<td align="right" width="20%">
											<font size="2">$<xsl:value-of select="format-number($tDol,'#,##0.00')"/>
											</font>
										</td>
										<td align="right" width="20%">
											<font size="2">
												<xsl:value-of select="format-number($allPosVol,'#,##0.000')"/>
											</font>
										</td>
									</tr>
								</xsl:when>
								<xsl:otherwise>
									<tr>
										<td align="center" colspan="8">No activity</td>
									</tr>
								</xsl:otherwise>
							</xsl:choose>
						</table>
					</table>
				</font>
			</body>
		</html>
	</xsl:template>
</xsl:transform>