<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>EPS Network Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">EPS Network Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="450">
							<xsl:call-template name="EPSNetworkReport">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template name="EPSNetworkReport">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)//TextLine"/>
		
		
		<xsl:for-each select="ext:node-set($ns)">
			<tr>
				<td width="450" height="1" colspan="1">
					<br>
					<xsl:element name="p">
						<xsl:if test="@boldStyle='true'">
							<xsl:attribute name="style"> 
								<xsl:value-of select="'font-weight:bold;'"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@underlinedStyle='true'">
							<xsl:attribute name="style"> 
								<xsl:value-of select="'text-decoration:underline;'"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@Alignment='Left'">
							<xsl:attribute name="style"> 
								<xsl:value-of select="'text-align:left;'"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@Alignment='Right'">
							<xsl:attribute name="style"> 
								<xsl:value-of select="'text-align:right;'"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@Alignment='Center'">
							<xsl:attribute name="style"> 
								<xsl:value-of select="'text-align:center;'"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:if test="@italicStyle='true'">
							<xsl:attribute name="style"> 
								<xsl:value-of select="'font-style:italic;'"/>
							</xsl:attribute>
						</xsl:if>
						<xsl:value-of select="."/>
					</xsl:element>
					</br>
				</td>
			</tr>
		</xsl:for-each>
		
	</xsl:template>
</xsl:transform>