<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Mobile Payment Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
						<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Mobile Payment Report</font>
							</b>
						</td>
					</tr>
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">(Collected By Host)</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>

				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>All registers</b>
							</font>
						</td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">							
							<tr bgcolor="#3366CC" height="1" align="left">	
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Number</p></font></td>								
								<td/>
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Name</p></font></td>
								<td/>
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>#Charges</p></font></td>
								<td/>							
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Amount</p></font></td>
								<td/>	
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>#Corrections</p></font></td>
								<td/>							
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Amount</p></font></td>
								<td/>
							</tr>														
							<xsl:for-each select="//totals/cardInfo/cardNumber">
							<xsl:sort select="." data-type="number"/>
							<xsl:variable name="totCard" select="."/>
							<tr height="1" align="left">
								<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
								<td align="left"><p><nobr><xsl:value-of select="."/></nobr></p></td>	
								<td/>
								<td align="left"><p><nobr><xsl:value-of select="//totals/cardInfo[cardNumber = $totCard]/cardName"/></nobr></p></td>										
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//totals/cardInfo[cardNumber = $totCard]/cardCharges/count"/></nobr></p></td>
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//totals/cardInfo[cardNumber = $totCard]/cardCharges/amount"/></nobr></p></td>											
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//totals/cardInfo[cardNumber = $totCard]/cardCorrections/count"/></nobr></p></td>
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//totals/cardInfo[cardNumber = $totCard]/cardCorrections/amount"/></nobr></p></td>
								<td/>

							</tr>									
						</xsl:for-each>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="460" align="left"/></td>
							</tr>						
							<tr>
								<td>Totals</td>	
								<td/>
								<td/>										
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//totals/total/cardCharges/count"/></nobr></p></td>
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//totals/total/cardCharges/amount"/></nobr></p></td>											
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//totals/total/cardCorrections/count"/></nobr></p></td>
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//totals/total/cardCorrections/amount"/></nobr></p></td>
								<td/>							
							</tr>												
					</table>
				</tr>					
			</table>

			<xsl:variable name="reg" select="//byRegister/vs:register/@sysid[not(.=preceding::vs:register/@sysid)]"/>
			<xsl:for-each select="$reg">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="meReg" select="."/>
				<br/>
				<hr color="#FFCC00" valign="top" width="632" align="left"/>
				<table cellspacing="0" cellpadding="0">						
					<tr>
						<td align="right">
							<font face="Trebuchet MS" size="3" color="#3366CC">
								<xsl:variable name="ticketRange" select="count(//byRegister[vs:register/@sysid=$meReg]/ticketRange)"/>
								<xsl:choose>
									<xsl:when test="$meReg = 6">
										<p>	<b>All DCRs </b></p>
									</xsl:when>
									<xsl:otherwise>																			
										<xsl:choose>
											<xsl:when test="$ticketRange&gt; 0">
												<p>
													<b>Register  <xsl:value-of select="$meReg"/></b>
													<font size="2"> - Receipt # 
														<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/ticketRange/begin"/> - 
														<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/ticketRange/end"/>
													</font>
												</p>
											</xsl:when>
											<xsl:otherwise>
												<p>	<b>Register <xsl:value-of select="$meReg"/></b></p>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:otherwise>
								</xsl:choose>
							</font>
						</td>
					</tr>		
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">							
							<tr bgcolor="#3366CC" height="1" align="left">	
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Number</p></font></td>								
								<td/>
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Name</p></font></td>
								<td/>
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>#Charges</p></font></td>
								<td/>							
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Amount</p></font></td>
								<td/>	
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>#Corrections</p></font></td>
								<td/>							
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Amount</p></font></td>
								<td/>
							</tr>														
							<xsl:for-each select="//byRegister[vs:register/@sysid=$meReg]/cardInfo/cardNumber">
							<xsl:sort select="." data-type="number"/>
							<xsl:variable name="regCard" select="."/>
							<tr height="1" align="left">
								<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
								<td><p><nobr><xsl:value-of select="."/></nobr></p></td>	
								<td/>
								<td align="left"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/cardInfo[cardNumber=$regCard]/cardName"/></nobr></p></td>										
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/cardInfo[cardNumber=$regCard]/cardCharges/count"/></nobr></p></td>
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/cardInfo[cardNumber=$regCard]/cardCharges/amount"/></nobr></p></td>											
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/cardInfo[cardNumber=$regCard]/cardCorrections/count"/></nobr></p></td>
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/cardInfo[cardNumber=$regCard]/cardCorrections/amount"/></nobr></p></td>
								<td/>
							</tr>									
						</xsl:for-each>
							<tr>
								<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="460" align="left"/></td>
							</tr>						
							<tr>
								<td>Totals</td>	
								<td/>
								<td/>										
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/cardCharges/count"/></nobr></p></td>
								<td/>	
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/cardCharges/amount"/></nobr></p></td>											
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/cardCorrections/count"/></nobr></p></td>
								<td/>
								<td align="right"><p><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/cardCorrections/amount"/></nobr></p></td>
								<td/>							
							</tr>												
					</table>
					</tr>					
				</table>
			</xsl:for-each>
			<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
				<tr/>
				<tr>	<td width="100%"><font size="1">* Registers without activity have been omitted from this report</font></td></tr>
			</table>
			</body>
		</html>
	</xsl:template>
</xsl:transform>