<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
	<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
	<xsl:variable name="periodStart" select="count(//t:hdr/startDateTime)"/>
	<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>
	
		<html>
			<head>
				<title>Age Verification Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Age Verification Report</font>
							</b>
						</td>
							
							<xsl:apply-templates select="/*/t:hdr/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				
				<xsl:apply-templates select="/*/vs:period"/>
								
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
	
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>		
				<br/>
				

		<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				
			<tr>
				<td colspan="8"><font size="2"><b>ID Verified</b></font> 
				</td>
			</tr>
			<xsl:for-each select="//byRegister/t:register">
				<xsl:variable name="thisReg" select="."/>
				<xsl:if test="count($thisReg/salesTran) &gt; 0 ">
					<xsl:variable name="meRegID" select="$thisReg/@regID"/>

					<tr>
						<td colspan="8"><font size="2"><b>Register ID <xsl:value-of select="$meRegID"/></b></font> 
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>

					<tr bgcolor="#3366CC" height="1" align="left">	
						<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Date/Time</p></font></td>	
						<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Transaction ID</p></font></td>
						<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Cashier ID</p></font></td>
						<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Entry Method</p></font></td>
						<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Min Age</p></font></td>
						<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Birth Date</p></font></td>
						<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Age</p></font></td>						
					</tr>
																														
					<xsl:for-each select="//byRegister/t:register[@regID=$meRegID]/salesTran">
						<xsl:sort select="./@transID" data-type="number"/>
					
						<xsl:variable name="tran" select="."/>	
					
						<tr height="1" align="left"> 
							<td align="center"><p><xsl:value-of select="$tran/@datetime"/></p></td>
							<td align="center"><p><xsl:value-of select="$tran/@transID"/></p></td>
							<td align="center"><p><xsl:value-of select="$tran/@cashierID"/></p></td>
							<td align="center"><p><xsl:value-of select="$tran/@dobEntryMeth"/></p></td>
							<td align="center"><p><xsl:value-of select="$tran/@minAge"/></p></td>
							<td align="center"><p><xsl:value-of select="$tran/@dob"/></p></td>
							<td align="center"><p><xsl:value-of select="$tran/@custAge"/></p></td>
						</tr>
					</xsl:for-each>	
					<tr>
						<td align="left" colspan="7">
							<hr/>
						</td>
						<td>
							<br/>
							<br/>
						</td>
					</tr>
				</xsl:if>
			</xsl:for-each>
		</table>
		
		
		<br/>	

		<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				
				<tr><td colspan="7"><font size="2"><b>ID Verified Summary</b></font> 
				<hr color="#FFCC00" valign="top" width="632" align="left"/></td></tr>
				<tr bgcolor="#3366CC" height="1" align="left">	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Cashier Name</p></font></td>	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Cashier ID</p></font></td>
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Scanned</p></font></td>
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Swiped</p></font></td>
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Manual Entry</p></font></td>
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Skipped</p></font></td>						
				</tr>		

				<xsl:for-each select="//byCashiers/t:cashier[@sysid != 0]/@sysid">
					<xsl:sort select="." data-type="number"/>
					<xsl:variable name="thisCashierID" select="."/>	
											
					   	<tr height="1" align="left"> 
							<td align="center"><p><xsl:value-of select="//byCashiers/t:cashier[@sysid=$thisCashierID]/name"/></p></td>
							<td align="center"><p><xsl:value-of select="//byCashiers/t:cashier[@sysid=$thisCashierID]/@number"/></p></td>
							<td align="center"><p><xsl:value-of select="//byCashiers/t:cashier[@sysid=$thisCashierID]/entryMethInfo/scanCount"/></p></td>
							<td align="center"><p><xsl:value-of select="//byCashiers/t:cashier[@sysid=$thisCashierID]/entryMethInfo/swipeCount"/></p></td>
							<td align="center"><p><xsl:value-of select="//byCashiers/t:cashier[@sysid=$thisCashierID]/entryMethInfo/manualCount"/></p></td>
							<td align="center"><p><xsl:value-of select="//byCashiers/t:cashier[@sysid=$thisCashierID]/entryMethInfo/skipCount"/></p></td>
						</tr>
				</xsl:for-each>													
 
		</table>	
			
		</body>
		
		</html>
	</xsl:template>
</xsl:transform>