<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../cashierPd/tr_cashierPd.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="pd:attendantPd/totals">
		<html>
			<head>
				<title>Attendant Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="350" height="1">
							<b>
								<font color="#3366CC" size="5">Attendant Report</font>
							</b>
						</td>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:call-template name="attendantHeader"/>
				<br/>
				<xsl:call-template name="reportBody"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" name="attendantHeader">
		<xsl:variable name="periodClose" select="count(closeDate)"/>
		<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="450">
			<tr>
				<td width="402" height="23" bgcolor="#3366CC" align="center" colspan="3">
					<p align="left">
						<b>
							<font color="#FFFFFF">Cashier Period Information</font>
						</b>
					</p>
				</td>
			</tr>
			<tr>
				<td width="112">Attendant</td>
				<td width="8" height="20"/>
				<td width="150">
					<font size="2">
						<xsl:value-of select="vs:cashier/@sysid"/> - 
						<xsl:value-of select="vs:cashier/name"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="112">Attendant Card #</td>
				<td width="8" height="20"/>
				<td width="150">
					<font size="2">
						<xsl:value-of select="vs:cashier/@attendantID"/>
					</font>
				</td>
			</tr>
			<tr>
			<xsl:for-each select="cashierSpecificInfo">
				<xsl:if test="beginTicket &gt; 0">
				<td width="112">Receipts</td>
				<td width="8" height="20"/>
				<td width="302">
					<font size="2">
						<xsl:value-of select="beginTicket"/> - 
						<xsl:value-of select="endTicket"/>	
						Total - <xsl:value-of select="totTicket"/>	
						Actual - <xsl:value-of select="actTicket"/>
					</font>
				</td>
				<tr/>
				</xsl:if>
			</xsl:for-each>	
			</tr>
			<tr>
				<td width="112" bgcolor="#DBDBDB">Sequence #</td>
				<td width="8" height="20" bgcolor="#DBDBDB"/>
				<td bgcolor="#DBDBDB" width="150">
					<font size="2">
						<xsl:value-of select="seqNum"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="110">Open Period</td>
				<td width="8" height="20"/>
				<td width="300">
					<xsl:value-of select="openDate"/>
				</td>
			</tr>
			<tr>
				<td width="110" height="18" bgcolor="#DBDBDB">Close Period</td>
				<td width="8" height="18" bgcolor="#DBDBDB"/>
				<xsl:choose>
					<xsl:when test="$periodClose &gt; 0">
						<td width="300" bgcolor="#DBDBDB">
							<xsl:value-of select="closeDate"/>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td width="300" align="left" height="18" bgcolor="#DBDBDB">Pending</td>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
			<tr>
				<td width="150">MOP amounts entry</td>
				<td width="8" height="20"/>
				<xsl:choose>
					<xsl:when test="mopAmountsEntered &gt; 0 or mopAmountsEntered = 'true'">
						<td width="100">
							<font size="2">Complete</font>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td width="100">
							<font size="2">Pending</font>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
		</table>
	</xsl:template>
</xsl:transform>