<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" version="1.0">

	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/> 
	<xsl:template match="/">			
			
		<html>
			<head>
				<title>Batch Details Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Batch Details Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="600" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="650">	
							<xsl:apply-templates select="//cardEntries"/>
						</table>		
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	
	
	<xsl:template match="cardEntries">
		<tr>
			<td width="50" align="left" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Batch#</font></b></td>
			<td width="50" align="left" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Seq#</font></b></td>
			<td width="50" align="left" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Term#</font></b></td>
			<td width="100" align="left" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Card Type</font></b></td>
			<td width="150" align="right" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Acct Number</font></b></td>
			<td width="100" align="center" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Date</font></b></td>
			<td width="50" align="right" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Time</font></b></td>
			<td width="100" align="right" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Amount</font></b></td>
		</tr>	
		<xsl:for-each select="cardEntry">
			<xsl:sort select="format-number(number(./t:cardInfo/batch),'00')" order="ascending"/>
			<xsl:sort select="format-number(number(./t:cardInfo/seq),'00')" order="ascending"/>
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="50" align="left"><nobr><xsl:value-of select="./t:cardInfo/batch"/></nobr></td>
				<td width="50" align="left"><nobr><xsl:value-of select="./t:cardInfo/seq"/></nobr></td>
				<xsl:choose>
					<xsl:when test="number(./t:register/@sysid)=9">
						
						<td width="50" align="left"><nobr>DCRm</nobr></td>
					</xsl:when>
					<xsl:otherwise>
						
						<xsl:choose>
							<xsl:when test="./t:cardInfo/entryMeth/@type='manual'">
								
								<xsl:choose>
									<xsl:when test="./t:cardInfo/authSrc='voice'">	
										
										<td width="50" align="left"><nobr>
  										  <xsl:value-of select="format-number(number(./t:register/@sysid),'000')"/>mv</nobr></td>
									</xsl:when>
									<xsl:otherwise>
										
										<td width="50" align="left"><nobr>
  										  <xsl:value-of select="format-number(number(./t:register/@sysid),'000')"/>m</nobr></td>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								
								<xsl:choose>
									<xsl:when test="./t:cardInfo/authSrc='voice'">	
										
										<td width="50" align="left"><nobr>
  										  <xsl:value-of select="format-number(number(./t:register/@sysid),'000')"/>v</nobr></td>
									</xsl:when>
									<xsl:otherwise>
										
										<td width="50" align="left"><nobr>
  										  <xsl:value-of select="format-number(number(./t:register/@sysid),'000')"/></nobr></td>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" align="left"><nobr><xsl:value-of select="./t:cardInfo/ccName"/></nobr></td>
				<td width="150" align="right">
					<nobr>
						<xsl:apply-templates select="./t:cardInfo/acct"/>
					</nobr>
				</td>
				<td width="100" align="right"><nobr><xsl:value-of select="substring(./dateTime,1,10)"/></nobr></td>
				<td width="50" align="right"><nobr><xsl:value-of select="substring(./dateTime,12,5)"/></nobr></td>

				<td width="100" align="right"><nobr>$<xsl:value-of select="./amt"/></nobr></td>
			</tr>			
		</xsl:for-each>											
	</xsl:template>

			
	<xsl:template match="acct">
		<xsl:choose>
		
			<xsl:when test="contains(., 'X') or contains(., 'x') or contains(.,'*')">
				<xsl:value-of select="."/>
			</xsl:when>
			
			
			<xsl:when test="string-length(.) &gt; 19">
				<xsl:copy-of select="js:decodeAcctNum(string(.))"/>
			</xsl:when>
			
			<xsl:otherwise>
				<xsl:copy-of select="string(.)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:transform>