<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Batch Summary Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Batch Summary Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="450">
							<xsl:call-template name="batchSummary">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template name="batchSummary">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		
		
		<xsl:if test="not ($ns//totals/batches)">
			<tr>
				<td width="450" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="450" align="left"/>
				</td>
			</tr>
			<tr>
				<td width="275" align="left">NO DATA AVAILABLE</td>
			</tr>
			<tr>
				<td width="450" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="450" align="left"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$ns//totals/batches">
			
			<tr>
				
				<td width="100" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Batch Number</font>
					</b>
				</td>
				
				<td width="50" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Count</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Total</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Date</font>
					</b>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Time</font>
					</b>
				</td>
			</tr>
			<xsl:for-each select="$ns//totals//batches">
				<xsl:sort order="ascending" select="format-number(number(./batchNumber),'00')"/>
				<tr>
					<xsl:choose>
						
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="100" align="left">
						<nobr>
							<xsl:value-of select="./batchNumber"/>
						</nobr>
					</td>
					
					<td width="50" align="right">
						<nobr>
							<xsl:value-of select="./totals/count"/>
						</nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>
							<xsl:value-of select="format-number(./totals/amount,'##,##0.00')"/>
						</nobr>
					</td>
					<xsl:variable name="pending" select="substring(./closeTime,1,1)"/>
					<xsl:choose>
						<xsl:when test="$pending = 'P'">
							<td width="100" align="right">
								<nobr>Pending</nobr>
							</td>
							<td width="100" align="right">
								<nobr>Pending</nobr>
							</td>
						</xsl:when>
						<xsl:otherwise>
							
							<xsl:variable name="date" select="concat(substring(./closeTime,1,2),'-',substring(./closeTime,3,2),'-',substring(./closeTime,5,2))"/>
							<td width="100" align="right">
								<nobr>
									<xsl:value-of select="$date"/>
								</nobr>
							</td>
							
							<xsl:variable name="time" select="concat(substring(./closeTime,7,2),':',substring(./closeTime,9,2),':',substring(./closeTime,11,2))"/>
							<td width="100" align="right">
								<nobr>
									<xsl:value-of select="$time"/>
								</nobr>
							</td>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:for-each>
			
			
			<tr>
				<td width="450" height="1" colspan="5">
					<hr color="#000000" valign="top" width="450" align="left"/>
				</td>
			</tr>
			
			<tr>
				<br/>
			</tr>
			
			<tr>
				<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				<td width="100" align="left">
					<nobr>Charges:</nobr>
				</td>
				<td width="50" align="right">
					<nobr>
						<xsl:value-of select="$ns//totals/chargesCorrs/cardCharges/count"/>
					</nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number($ns//totals/chargesCorrs/cardCharges/amount,'##,##0.00')"/>
					</nobr>
				</td>
				<td width="100" align="left"/>
				<td width="100" align="left"/>
			</tr>
			
			<tr>
				<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" align="left">
					<nobr>Corrections:</nobr>
				</td>
				<td width="50" align="right">
					<nobr>
						<xsl:value-of select="$ns//totals/chargesCorrs/cardCorrections/count"/>
					</nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number($ns//totals/chargesCorrs/cardCorrections/amount,'##,##0.00')"/>
					</nobr>
				</td>
				<td width="100" align="left"/>
				<td width="100" align="left"/>
			</tr>
			
			<tr>
				<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				<td width="100" align="left">
					<nobr>Vouchers:</nobr>
				</td>
				<td width="50" align="right">
					<nobr>
						<xsl:value-of select="$ns//totals/voucherInfo/vouchers/count"/>
					</nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number($ns//totals/voucherInfo/vouchers/amount,'##,##0.00')"/>
					</nobr>
				</td>
				<td width="100" align="left"/>
				<td width="100" align="left"/>
			</tr>
			
			<tr>
				<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" align="left">
					<nobr>Voucher Refunds:</nobr>
				</td>
				<td width="50" align="right">
					<nobr>
						<xsl:value-of select="$ns//totals/voucherInfo/voucherRefunds/count"/>
					</nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number($ns//totals/voucherInfo/voucherRefunds/amount,'##,##0.00')"/>
					</nobr>
				</td>
				<td width="100" align="left"/>
				<td width="100" align="left"/>
			</tr>
			
			<tr>
				<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				<td width="100" align="left">
					<nobr>Net Totals:</nobr>
				</td>
				<td width="50" align="right">
					<nobr>
						<xsl:value-of select="$ns//totals/netTotals/count"/>
					</nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number($ns//totals/netTotals/amount,'##,##0.00')"/>
					</nobr>
				</td>
				<td width="100" align="left"/>
				<td width="100" align="left"/>
			</tr>
			
			<tr>
				<td width="450" height="1" colspan="5">
					<hr color="#000000" valign="top" width="450" align="left"/>
				</td>
			</tr>
			
			<tr>
				<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				<td width="100" align="left">
					<nobr>Manual Count:</nobr>
				</td>
				<td width="50" align="right">
					<nobr>
						<xsl:value-of select="$ns//totals/manualCount"/>
					</nobr>
				</td>
				<td width="100" align="left"/>
				<td width="100" align="left"/>
				<td width="100" align="left"/>
			</tr>
			
			<tr>
				<td width="450" height="1" colspan="5">
					<hr color="#000000" valign="top" width="450" align="left"/>
				</td>
			</tr>
			<xsl:if test="number($ns//totals/prepaidInfo/ppdActivation/count) &gt; 0">
				
				<tr>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					<td width="100" align="left">
						<nobr>Prepaid Activations:</nobr>
					</td>
					<td width="50" align="right">
						<nobr>
							<xsl:value-of select="$ns//totals/prepaidInfo/ppdActivation/count"/>
						</nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number($ns//totals/prepaidInfo/ppdActivation/amount,'##,##0.00')"/>
						</nobr>
					</td>
					<td width="100" align="left"/>
					<td width="100" align="left"/>
				</tr>
			</xsl:if>
			<xsl:if test="number($ns//totals/prepaidInfo/ppdReplenish/count) &gt; 0">
				
				<tr>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					<td width="100" align="left">
						<nobr>Prepaid Replenishments:</nobr>
					</td>
					<td width="50" align="right">
						<nobr>
							<xsl:value-of select="$ns//totals/prepaidInfo/ppdReplenish/count"/>
						</nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number($ns//totals/prepaidInfo/ppdReplenish/amount,'##,##0.00')"/>
						</nobr>
					</td>
					<td width="100" align="left"/>
					<td width="100" align="left"/>
				</tr>
			</xsl:if>
			<xsl:if test="number($ns//totals/prepaidInfo/ppdActivation/count) &gt; 0 or number($ns//totals/prepaidInfo/ppdReplenish/count) &gt; 0 ">
				
				<tr>
					<td width="450" height="1" colspan="5">
						<hr color="#000000" valign="top" width="450" align="left"/>
					</td>
				</tr>
			</xsl:if>
			<xsl:if test="number($ns//totals/quickCreditCount) &gt; 0">
				
				<tr>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					<td width="100" align="left">
						<nobr>Quick Credit Applications:</nobr>
					</td>
					<td width="50" align="right">
						<nobr>
							<xsl:value-of select="$ns//totals/quickCreditCount"/>
						</nobr>
					</td>
					<td width="100" align="left"/>
					<td width="100" align="left"/>
					<td width="100" align="left"/>
				</tr>
				
				<tr>
					<td width="450" height="1" colspan="5">
						<hr color="#000000" valign="top" width="450" align="left"/>
					</td>
				</tr>
			</xsl:if>
		</xsl:if>
		
	</xsl:template>
</xsl:transform>