<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Batch Totals Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Batch Totals Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="500">
							<xsl:call-template name="totalsSummary">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="500">  
							<xsl:apply-templates select="//batches">
								<xsl:sort order="ascending" select="format-number(number(./batchNumber),'00')">
								</xsl:sort>
							</xsl:apply-templates>
						</table>  
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	
	
	
	<xsl:template name="Charges">
		<xsl:param name="Input"/>
		<xsl:variable name="ns" select="ext:node-set($Input)"/>
		
		<tr>
			<td width="100" align="left" bgcolor="#DBDBDB">
				<nobr>Charges:</nobr>
			</td>
			<td width="50" align="right" bgcolor="#DBDBDB">
				<nobr><xsl:value-of select="$ns//count"/></nobr>
			</td>
			<td width="100" align="right" bgcolor="#DBDBDB">
				<nobr>$<xsl:value-of select="format-number($ns//amount,'##,##0.00')"/></nobr>
			</td>
			<td width="250" colspan="3"/>
		</tr>
	</xsl:template>	

	
	
	
	<xsl:template name="Corrections">
		<xsl:param name="Input"/>
		<xsl:variable name="ns" select="ext:node-set($Input)"/>
		
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="100" align="left">
				<nobr>Corrections:</nobr>
			</td>
			<td width="50" align="right">
				<nobr><xsl:value-of select="$ns//count"/></nobr>
			</td>
			<td width="100" align="right">
				<nobr>$<xsl:value-of select="format-number($ns//amount,'##,##0.00')"/></nobr>
			</td>
			<td width="250" colspan="3"/>
		</tr>
	</xsl:template>

	
	
	
	<xsl:template name="Vouchers">
		<xsl:param name="Input"/>
		<xsl:variable name="ns" select="ext:node-set($Input)"/>
		
		<tr>
			<td width="100" align="left" bgcolor="#DBDBDB">
				<nobr>Vouchers:</nobr>
			</td>
			<td width="50" align="right" bgcolor="#DBDBDB">
				<nobr><xsl:value-of select="$ns//count"/></nobr>
			</td>
			<td width="100" align="right" bgcolor="#DBDBDB">
				<nobr>$<xsl:value-of select="format-number($ns//amount,'##,##0.00')"/></nobr>
			</td>
			<td width="250" colspan="3"/>
		</tr>
	</xsl:template>

	
	
	
	<xsl:template name="VoucherRefunds">
		<xsl:param name="Input"/>
		<xsl:variable name="ns" select="ext:node-set($Input)"/>
		
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="100" align="left">
				<nobr>Voucher Refunds:</nobr>
			</td>
			<td width="50" align="right">
				<nobr><xsl:value-of select="$ns//count"/></nobr>
			</td>
			<td width="100" align="right">
				<nobr>$<xsl:value-of select="format-number($ns//amount,'##,##0.00')"/></nobr>
			</td>
			<td width="250" colspan="3"/>
		</tr>
	</xsl:template>

	
	
	
	<xsl:template name="NetTotals">
		<xsl:param name="Input"/>
		<xsl:variable name="ns" select="ext:node-set($Input)"/>
		
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="100" align="left">
				<nobr>Net:</nobr>
			</td>
			<td width="50" align="right">
				<nobr><xsl:value-of select="$ns//netTotals/count"/></nobr>
			</td>
			<td width="100" align="right">
				<nobr>$<xsl:value-of select="format-number($ns//netTotals/amount,'##,##0.00')"/></nobr>
			</td>
			<td width="250" colspan="3" bgcolor="#FFFFFF"/>
		</tr>
		
		<xsl:if test="number($ns//manualCount) &gt; 0"> 
			<tr>
				<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				<td width="100" align="left">
					<nobr>Manual Count:</nobr>
				</td>
				<td width="50" align="right">
					<nobr><xsl:value-of select="$ns//manualCount"/></nobr>
				</td>
				<td width="100" colspan="1"/>
				<td width="250" colspan="3" bgcolor="#FFFFFF"/>
			</tr>
		</xsl:if>
		
		<xsl:if test="number($ns//prepaidInfo/ppdActivation/count) &gt; 0"> 
			<tr>
				<xsl:choose>
					<xsl:when test="number($ns//manualCount) &gt; 0">
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" align="left">
					<nobr>Prepaid Activations:</nobr>
				</td>
				<td width="50" align="right">
					<nobr><xsl:value-of select="$ns//prepaidInfo/ppdActivation/count"/></nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number($ns//prepaidInfo/ppdActivation/amount,'##,##0.00')"/>
					</nobr>
				</td>
				<td width="250" colspan="3" bgcolor="#FFFFFF"/>
			</tr>
		</xsl:if>
		
		<xsl:if test="number($ns//prepaidInfo/ppdReplenish/count) &gt; 0"> 
			<tr>
				<xsl:choose>
					
					<xsl:when test="(        ((number($ns//manualCount) &gt; 0) and (number($ns//prepaidInfo/ppdActivation/count) &gt; 0))        or         ((number($ns//manualCount) = 0) and (number($ns//prepaidInfo/ppdActivation/count)=0))        )">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" align="left">
					<nobr>Prepaid Replenishments:</nobr>
				</td>
				<td width="50" align="right">
					<nobr><xsl:value-of select="$ns//prepaidInfo/ppdReplenish/count"/></nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number($ns//prepaidInfo/ppdReplenish/amount,'##,##0.00')"/>
					</nobr>
				</td>
				<td width="250" colspan="3" bgcolor="#FFFFFF"/>
			</tr>
		</xsl:if>				
		
		<xsl:if test="$ns//quickCreditCount">
			<tr>
				<xsl:choose>
					
					<xsl:when test="(        ((number($ns//manualCount) &gt; 0) and (number($ns//prepaidInfo/ppdActivation/count) &gt; 0))        or         ((number($ns//manualCount) = 0) and (number($ns//prepaidInfo/ppdActivation/count)=0))        )">
					  	<xsl:choose>
						  	
							<xsl:when test="number($ns//prepaidInfo/ppdReplenish/count) &gt; 0"> 
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
					  	
					  	<xsl:choose>
						  	
							<xsl:when test="number($ns//prepaidInfo/ppdReplenish/count) &gt; 0"> 
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" align="left">
					<nobr>Quick Credit Applications:</nobr>
				</td>
				<td width="50" align="right">
					<nobr><xsl:value-of select="$ns//quickCreditCount"/></nobr>
				</td>
				<td width="100" colspan="1"/>
				<td width="250" colspan="3" bgcolor="#FFFFFF"/>
			</tr>
		</xsl:if>
	</xsl:template>


	
	
	
	<xsl:template name="totalsSummary">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:variable name="btns" select="ext:node-set($inputDoc/pd:batchTotals)"/>
		
		<xsl:if test="not ($ns//batches)">
			<tr>
				<td width="450" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="450" align="left"/>
				</td>
			</tr>
			<tr>
				<td width="275" align="left">NO DATA AVAILABLE</td>
			</tr>
			<tr>
				<td width="450" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="450" align="left"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$ns//batches">
			
			<tr>
				<td width="250" align="left" bgcolor="#3366CC" colspan="3"><font color="#FFFFFF">
					  <b>Totals Summary</b></font>
				  </td>
				<td width="250" colspan="3"/>
			</tr>
			<tr>
				
				<td width="100" align="left"><u>Type</u></td>
				<td width="50" align="right"><u>Count</u></td>
				<td width="100" align="right"><u>Amount</u></td>
				<td width="250" colspan="3"/>
			</tr>
			<xsl:call-template name="Charges">
				<xsl:with-param name="Input" select="$ns//totals/chargesCorrs/cardCharges"/>
			</xsl:call-template>
			<xsl:call-template name="Corrections">
				<xsl:with-param name="Input" select="$ns//totals/chargesCorrs/cardCorrections"/>
			</xsl:call-template>
			<xsl:call-template name="Vouchers">
				<xsl:with-param name="Input" select="$ns//totals/voucherInfo/vouchers"/>
			</xsl:call-template>
			<xsl:call-template name="VoucherRefunds">
				<xsl:with-param name="Input" select="$ns//totals/voucherInfo/voucherRefunds"/>
			</xsl:call-template>
			
			<tr>
				<td width="250" height="1" colspan="3"><hr color="#000000" valign="top" width="300" align="left"/></td>
				<td width="250" colspan="3"/>
			</tr>
			
			<xsl:call-template name="NetTotals">
				<xsl:with-param name="Input" select="$ns//totals"/>
			</xsl:call-template>
			
			<tr>
				<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/></td>
			</tr>
			
			
			
			
			<xsl:if test="sum($btns/byCardType/cardCharges/count) or sum($btns/byCardType/cardCorrections/count)">
				<xsl:call-template name="CardTotsChCorrHeader"/>

				<xsl:apply-templates select="$btns/byCardType"> 
					<xsl:sort order="ascending" select="format-number(number(./cardNumber),'00')"/> 
				</xsl:apply-templates>

				
				<tr>
					<td width="500" height="1" colspan="6"><hr color="#000000" valign="top" width="500" align="left"/>
					</td>
				</tr>
				
				<tr>
					<td width="100" align="left">
						<nobr>Totals:</nobr>
					</td>
					<td width="50" align="right">
						<nobr><xsl:value-of select="sum($btns/byCardType/cardCharges/count)"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(sum($btns/byCardType/cardCharges/amount),'##,##0.00')"/>
						</nobr>
					</td>
					<td width="100" colspan="1"/>
					<td width="50" align="right">
						<nobr><xsl:value-of select="sum($btns/byCardType/cardCorrections/count)"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(sum($btns/byCardType/cardCorrections/amount),'##,##0.00')"/>
						</nobr>
					</td>
				</tr>
				
				<tr>
					<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/>
					</td>
				</tr>
			</xsl:if>	

			<xsl:if test="sum($btns/byCardType/vouchers/count) or sum($btns/byCardType/voucherRefunds/count)">
				
				<xsl:call-template name="CardTotsVchRefHeader"/>

				<xsl:apply-templates select="$btns/byCardType" mode="vouchers-vrefs"> 
					<xsl:sort order="ascending" select="format-number(number(./cardNumber),'00')"/> 
				</xsl:apply-templates>
				
				<tr>
					<td width="500" height="1" colspan="6"><hr color="#000000" valign="top" width="500" align="left"/>
					</td>
				</tr>
				<tr>
					
					<td width="100" align="left">
						<nobr>Totals:</nobr>
					</td>
					<td width="50" align="right">
						<nobr><xsl:value-of select="sum($btns/byCardType/vouchers/count)"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(sum($btns/byCardType/vouchers/amount),'##,##0.00')"/>
						</nobr>
					</td>
					<td width="100" colspan="1"/>
					<td width="50" align="right">
						<nobr><xsl:value-of select="sum($btns/byCardType/voucherRefunds/count)"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(sum($btns/byCardType/voucherRefunds/amount),'##,##0.00')"/>
						</nobr>
					</td>
				</tr>
				
				<tr>
					<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/>
					</td>
				</tr>
			</xsl:if>
			
			
			
			
			<xsl:variable name="PLCount" select="sum($btns/byCardType[cardNumber=12]/cardCharges/count)+      sum($btns/byCardType[cardNumber=12]/cardCorrections/count)"/>
			<xsl:variable name="PLAmount" select="sum($btns/byCardType[cardNumber=12]/cardCharges/amount)+      sum($btns/byCardType[cardNumber=12]/cardCorrections/amoun)"/>
			<xsl:variable name="UCCount" select="sum($btns/byCardType[cardNumber=19]/cardCharges/count)+      sum($btns/byCardType[cardNumber=19]/cardCorrections/count)"/>
			<xsl:variable name="UCAmount" select="sum($btns/byCardType[cardNumber=19]/cardCharges/amount)+      sum($btns/byCardType[cardNumber=19]/cardCorrections/amount)"/>
			<xsl:variable name="UFCount" select="sum($btns/byCardType[cardNumber=20]/cardCharges/count)+      sum($btns/byCardType[cardNumber=20]/cardCorrections/count)"/>
			<xsl:variable name="UFAmount" select="sum($btns/byCardType[cardNumber=20]/cardCharges/amount)+      sum($btns/byCardType[cardNumber=20]/cardCorrections/amount)"/>
			<xsl:variable name="UPCount" select="sum($btns/byCardType[cardNumber=30]/cardCharges/count)+      sum($btns/byCardType[cardNumber=30]/cardCorrections/count)"/>
			<xsl:variable name="UPAmount" select="sum($btns/byCardType[cardNumber=30]/cardCharges/amount)+      sum($btns/byCardType[cardNumber=30]/cardCorrections/amount)"/>
			<xsl:variable name="CitCount" select="sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and       cardNumber !=20 and cardNumber!=30]/cardCharges/count)+       sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/cardCorrections/count)+       sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/vouchers/count)+       sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/voucherRefunds/count)"/>
			<xsl:variable name="CitAmount" select="sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and       cardNumber !=20 and cardNumber!=30]/cardCharges/amount)+       sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/cardCorrections/amount)+       sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/vouchers/amount)+       sum($btns/byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/voucherRefunds/amount)"/>
			
			<tr>
				<td width="100" align="left" bgcolor="#DBDBDB">
					<nobr>Citgo Settlement:</nobr>
				</td>
				<td width="50" align="right" bgcolor="#DBDBDB">
					<nobr><xsl:value-of select="$CitCount"/></nobr>
				</td>
				<td width="100" align="right" bgcolor="#DBDBDB">
					<nobr>$<xsl:value-of select="format-number($CitAmount,'##,##0.00')"/></nobr>
				</td>
				<td width="250" colspan="3"/>
			</tr>
			
			<xsl:if test="$PLCount!=0">
				<tr>
					<td width="100" align="left">
						<nobr>Private Label Settlement:</nobr>
					</td>
					<td width="50" align="right">
						<nobr><xsl:value-of select="$PLCount"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number($PLAmount,'##,##0.00')"/></nobr>
					</td>
					<td width="250" colspan="3"/>
			</tr>
			</xsl:if>
			<xsl:if test="$UCCount!=0">
				<tr>
					<xsl:choose>
						<xsl:when test="$PLCount!=0">
							
							<td width="100" align="left" bgcolor="#DBDBDB">
								<nobr>United Consumer Settlement:</nobr>
							</td>
							<td width="50" align="right" bgcolor="#DBDBDB">
								<nobr><xsl:value-of select="$UCCount"/></nobr>
							</td>
							<td width="100" align="right" bgcolor="#DBDBDB">
								<nobr>$<xsl:value-of select="format-number($UCAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:when>
						<xsl:otherwise>
							
							<td width="100" align="left">
								<nobr>United Consumer Settlement:</nobr>
							</td>
							<td width="50" align="right">
								<nobr><xsl:value-of select="$UCCount"/></nobr>
							</td>
							<td width="100" align="right">
								<nobr>$<xsl:value-of select="format-number($UCAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:if>
			<xsl:if test="$UFCount!=0">
				<tr>
					<xsl:choose>
						<xsl:when test="($PLCount!=0 and $UCCount!=0) or ($PLCount=0 and $UCCount=0)">
							
							<td width="100" align="left">
								<nobr>United Fleetshare Settlement:</nobr>
							</td>
							<td width="50" align="right">
								<nobr><xsl:value-of select="$UFCount"/></nobr>
							</td>
							<td width="100" align="right">
								<nobr>$<xsl:value-of select="format-number($UFAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:when>
						<xsl:otherwise>
							
							<td width="100" align="left" bgcolor="#DBDBDB">
								<nobr>United Fleetshare Settlement:</nobr>
							</td>
							<td width="50" align="right" bgcolor="#DBDBDB">
								<nobr><xsl:value-of select="$UFCount"/></nobr>
							</td>
							<td width="100" align="right" bgcolor="#DBDBDB">
								<nobr>$<xsl:value-of select="format-number($UFAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:if>
			<xsl:if test="$UPCount!=0">
				<tr>
					<xsl:choose>
						<xsl:when test="($PLCount!=0 and $UCCount=0 and $UFCount=0) or          ($PLCount=0 and $UCCount!=0 and $UFCount=0) or         ($PLCount=0 and $UCCount=0 and $UFCount!=0) or         ($PLCount!=0 and $UCCount!=0 and $UFCount!=0) ">
							
							<td width="100" align="left" bgcolor="#DBDBDB">
								<nobr>United Prepaid Settlement:</nobr>
							</td>
							<td width="50" align="right" bgcolor="#DBDBDB">
								<nobr><xsl:value-of select="$UPCount"/></nobr>
							</td>
							<td width="100" align="right" bgcolor="#DBDBDB">
								<nobr>$<xsl:value-of select="format-number($UPAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:when>
						<xsl:otherwise>
							
							<td width="100" align="left">
								<nobr>United Prepaid Settlement:</nobr>
							</td>
							<td width="50" align="right">
								<nobr><xsl:value-of select="$UPCount"/></nobr>
							</td>
							<td width="100" align="right">
								<nobr>$<xsl:value-of select="format-number($UPAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:otherwise>	
					</xsl:choose>	
				</tr>
			</xsl:if>
			
			<tr>
				<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/></td>
			</tr>
		</xsl:if>		
	</xsl:template>

	
	
	
	<xsl:template match="batches">
		<tr>
			
			<td width="250" align="left" bgcolor="#3366CC" colspan="3"><font color="#FFFFFF">
				  <b>Batch # <xsl:value-of select="format-number(./batchNumber,'00')"/></b></font>
			  </td>
			<td width="250" colspan="3"/>
		</tr>
		<tr>
			<td width="250" align="left" colspan="3"><b>BATCH TOTALS</b></td>
			<td width="250" colspan="3"/>
		</tr>
		<tr>
			
			<td width="100" align="left"><u>Type</u></td>
			<td width="50" align="right"><u>Count</u></td>
			<td width="100" align="right"><u>Amount</u></td>
			<td width="250" colspan="3"/>
		</tr>
		<xsl:call-template name="Charges">
			<xsl:with-param name="Input" select="./totals/chargesCorrs/cardCharges"/>
		</xsl:call-template>
		<xsl:call-template name="Corrections">
			<xsl:with-param name="Input" select="./totals/chargesCorrs/cardCorrections"/>
		</xsl:call-template>
		<xsl:call-template name="Vouchers">
			<xsl:with-param name="Input" select="./totals/voucherInfo/vouchers"/>
		</xsl:call-template>
		<xsl:call-template name="VoucherRefunds">
			<xsl:with-param name="Input" select="./totals/voucherInfo/voucherRefunds"/>
		</xsl:call-template>
		
		<tr>
			<td width="250" height="1" colspan="3"><hr color="#000000" valign="top" width="300" align="left"/></td>
			<td width="250" colspan="3"/>
		</tr>
		<xsl:call-template name="NetTotals">
			<xsl:with-param name="Input" select="./totals"/>
		</xsl:call-template>
		
		<tr>
			<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/></td>
		</tr>

		

		<xsl:if test="sum(./byCardType/cardCharges/count) or sum(./byCardType/cardCorrections/count)">
			<xsl:call-template name="CardTotsChCorrHeader"/>
			<xsl:apply-templates select="./byCardType">
				<xsl:sort order="ascending" select="format-number(number(./cardNumber),'00')"/> 
			</xsl:apply-templates>
			
			<tr>
				<td width="500" height="1" colspan="6"><hr color="#000000" valign="top" width="500" align="left"/></td>
			</tr>
			
			<tr>
				<td width="100" align="left">
					<nobr>Totals:</nobr>
				</td>
				<td width="50" align="right">
					<nobr><xsl:value-of select="sum(./byCardType/cardCharges/count)"/></nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(./byCardType/cardCharges/amount),'##,##0.00')"/>
					</nobr>
				</td>
				<td width="100" colspan="1"/>
				<td width="50" align="right">
					<nobr><xsl:value-of select="sum(./byCardType/cardCorrections/count)"/></nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(./byCardType/cardCorrections/amount),'##,##0.00')"/>	
					</nobr>
				</td>
			</tr>
			
			<tr>
				<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/></td>
			</tr>
		</xsl:if>			

		<xsl:if test="sum(./byCardType/vouchers/count) or sum(./byCardType/voucherRefunds/count)">
				
				<xsl:call-template name="CardTotsVchRefHeader"/>

				<xsl:apply-templates select="./byCardType" mode="vouchers-vrefs"> 
					<xsl:sort order="ascending" select="format-number(number(./cardNumber),'00')"/> 
				</xsl:apply-templates>
				
				<tr>
					<td width="500" height="1" colspan="6"><hr color="#000000" valign="top" width="500" align="left"/>
					</td>
				</tr>
				<tr>
					
					<td width="100" align="left">
						<nobr>Totals:</nobr>
					</td>
					<td width="50" align="right">
						<nobr><xsl:value-of select="sum(./byCardType/vouchers/count)"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(sum(./byCardType/vouchers/amount),'##,##0.00')"/>
						</nobr>
					</td>
					<td width="100" colspan="1"/>
					<td width="50" align="right">
						<nobr><xsl:value-of select="sum(./byCardType/voucherRefunds/count)"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(sum(./byCardType/voucherRefunds/amount),'##,##0.00')"/>
						</nobr>
					</td>
				</tr>
				
				<tr>
					<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/>
					</td>
				</tr>
		</xsl:if>

			
			
			
			
			<xsl:variable name="PLCount" select="sum(./byCardType[cardNumber=12]/cardCharges/count)+      sum(./byCardType[cardNumber=12]/cardCorrections/count)"/>
			<xsl:variable name="PLAmount" select="sum(./byCardType[cardNumber=12]/cardCharges/amount)+      sum(./byCardType[cardNumber=12]/cardCorrections/amoun)"/>
			<xsl:variable name="UCCount" select="sum(./byCardType[cardNumber=19]/cardCharges/count)+      sum(./byCardType[cardNumber=19]/cardCorrections/count)"/>
			<xsl:variable name="UCAmount" select="sum(./byCardType[cardNumber=19]/cardCharges/amount)+      sum(./byCardType[cardNumber=19]/cardCorrections/amount)"/>
			<xsl:variable name="UFCount" select="sum(./byCardType[cardNumber=20]/cardCharges/count)+      sum(./byCardType[cardNumber=20]/cardCorrections/count)"/>
			<xsl:variable name="UFAmount" select="sum(./byCardType[cardNumber=20]/cardCharges/amount)+      sum(./byCardType[cardNumber=20]/cardCorrections/amount)"/>
			<xsl:variable name="UPCount" select="sum(./byCardType[cardNumber=30]/cardCharges/count)+      sum(./byCardType[cardNumber=30]/cardCorrections/count)"/>
			<xsl:variable name="UPAmount" select="sum(./byCardType[cardNumber=30]/cardCharges/amount)+      sum(./byCardType[cardNumber=30]/cardCorrections/amount)"/>
			<xsl:variable name="CitCount" select="sum(./byCardType[cardNumber!=12 and cardNumber!=19 and       cardNumber !=20 and cardNumber!=30]/cardCharges/count)+       sum(./byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/cardCorrections/count) +       sum(./byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/vouchers/count) +       sum(./byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/voucherRefunds/count)"/>
			<xsl:variable name="CitAmount" select="sum(./byCardType[cardNumber!=12 and cardNumber!=19 and       cardNumber !=20 and cardNumber!=30]/cardCharges/amount)+       sum(./byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/cardCorrections/amount) +       sum(./byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/vouchers/amount) +       sum(./byCardType[cardNumber!=12 and cardNumber!=19 and cardNumber !=20 and        cardNumber!=30]/voucherRefunds/amount)"/>


			
			<tr>
				<td width="100" align="left" bgcolor="#DBDBDB">
					<nobr>Citgo Settlement:</nobr>
				</td>
				<td width="50" align="right" bgcolor="#DBDBDB">
					<nobr><xsl:value-of select="$CitCount"/></nobr>
				</td>
				<td width="100" align="right" bgcolor="#DBDBDB">
					<nobr>$<xsl:value-of select="format-number($CitAmount,'##,##0.00')"/></nobr>
				</td>
				<td width="250" colspan="3"/>
			</tr>
			
			<xsl:if test="$PLCount!=0">
				<tr>
					<td width="100" align="left">
						<nobr>Private Label Settlement:</nobr>
					</td>
					<td width="50" align="right">
						<nobr><xsl:value-of select="$PLCount"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number($PLAmount,'##,##0.00')"/></nobr>
					</td>
					<td width="250" colspan="3"/>
			</tr>
			</xsl:if>
			<xsl:if test="$UCCount!=0">
				<tr>
					<xsl:choose>
						<xsl:when test="$PLCount!=0">
							
							<td width="100" align="left" bgcolor="#DBDBDB">
								<nobr>United Consumer Settlement:</nobr>
							</td>
							<td width="50" align="right" bgcolor="#DBDBDB">
								<nobr><xsl:value-of select="$UCCount"/></nobr>
							</td>
							<td width="100" align="right" bgcolor="#DBDBDB">
								<nobr>$<xsl:value-of select="format-number($UCAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:when>
						<xsl:otherwise>
							
							<td width="100" align="left">
								<nobr>United Consumer Settlement:</nobr>
							</td>
							<td width="50" align="right">
								<nobr><xsl:value-of select="$UCCount"/></nobr>
							</td>
							<td width="100" align="right">
								<nobr>$<xsl:value-of select="format-number($UCAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:if>
			<xsl:if test="$UFCount!=0">
				<tr>
					<xsl:choose>
						<xsl:when test="($PLCount!=0 and $UCCount!=0) or ($PLCount=0 and $UCCount=0)">
							
							<td width="100" align="left">
								<nobr>United Fleetshare Settlement:</nobr>
							</td>
							<td width="50" align="right">
								<nobr><xsl:value-of select="$UFCount"/></nobr>
							</td>
							<td width="100" align="right">
								<nobr>$<xsl:value-of select="format-number($UFAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:when>
						<xsl:otherwise>
							
							<td width="100" align="left" bgcolor="#DBDBDB">
								<nobr>United Fleetshare Settlement:</nobr>
							</td>
							<td width="50" align="right" bgcolor="#DBDBDB">
								<nobr><xsl:value-of select="$UFCount"/></nobr>
							</td>
							<td width="100" align="right" bgcolor="#DBDBDB">
								<nobr>$<xsl:value-of select="format-number($UFAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:otherwise>
					</xsl:choose>
				</tr>
			</xsl:if>
			<xsl:if test="$UPCount!=0">
				<tr>
					<xsl:choose>
						<xsl:when test="($PLCount!=0 and $UCCount=0 and $UFCount=0) or          ($PLCount=0 and $UCCount!=0 and $UFCount=0) or         ($PLCount=0 and $UCCount=0 and $UFCount!=0) or         ($PLCount!=0 and $UCCount!=0 and $UFCount!=0) ">
							
							<td width="100" align="left" bgcolor="#DBDBDB">
								<nobr>United Prepaid Settlement:</nobr>
							</td>
							<td width="50" align="right" bgcolor="#DBDBDB">
								<nobr><xsl:value-of select="$UPCount"/></nobr>
							</td>
							<td width="100" align="right" bgcolor="#DBDBDB">
								<nobr>$<xsl:value-of select="format-number($UPAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:when>
						<xsl:otherwise>
							
							<td width="100" align="left">
								<nobr>United Prepaid Settlement:</nobr>
							</td>
							<td width="50" align="right">
								<nobr><xsl:value-of select="$UPCount"/></nobr>
							</td>
							<td width="100" align="right">
								<nobr>$<xsl:value-of select="format-number($UPAmount,'##,##0.00')"/></nobr>
							</td>
							<td width="250" colspan="3"/>
						</xsl:otherwise>	
					</xsl:choose>	
				</tr>
			</xsl:if>

		
		<tr>
			<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/></td>
		</tr>
		
		<xsl:apply-templates select="./byRegister">
			<xsl:sort order="ascending" select="format-number(number(./register),'000')"/> 
		</xsl:apply-templates>  
	</xsl:template>

	
	
	
	<xsl:template match="byRegister">
		<tr>
			
			<xsl:choose>
				<xsl:when test="number(./register)=6">
					<td width="500" align="left" bgcolor="#FFFFFF" colspan="6"><font color="#000000">
						  <b>ALL DCRS</b></font>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td width="500" align="left" bgcolor="#FFFFFF" colspan="6"><font color="#000000">
						  <b>TERMINAL # <xsl:value-of select="./register"/></b></font>
					</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
		<tr>
			
			<td width="100" align="left"><u>Type</u></td>
			<td width="50" align="right"><u>Count</u></td>
			<td width="100" align="right"><u>Amount</u></td>
			<td width="250" colspan="3"/>
		</tr>
			<xsl:call-template name="Charges">
				<xsl:with-param name="Input" select="./chargesCorrs/cardCharges"/>
			</xsl:call-template>
			<xsl:call-template name="Corrections">
				<xsl:with-param name="Input" select="./chargesCorrs/cardCorrections"/>
			</xsl:call-template>
			<xsl:call-template name="Vouchers">
				<xsl:with-param name="Input" select="./voucherInfo/vouchers"/>
			</xsl:call-template>
			<xsl:call-template name="VoucherRefunds">
				<xsl:with-param name="Input" select="./voucherInfo/voucherRefunds"/>
			</xsl:call-template>
			
			<tr>
				<td width="250" height="1" colspan="3"><hr color="#000000" valign="top" width="300" align="left"/></td>
				<td width="250" colspan="3"/>
			</tr>
			<xsl:call-template name="NetTotals">
				<xsl:with-param name="Input" select="."/>
			</xsl:call-template>
			
			<tr>
				<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/></td>
			</tr>
			
			<tr>
				<td width="500" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="500" align="left"/></td>
			</tr>
	</xsl:template>

	
	
	
	<xsl:template name="CardTotsChCorrHeader">
		<tr>
			<td width="100" align="left" colspan="1"><b>CARD TOTALS</b></td>
			<td width="150" align="center" colspan="2"><b>CHARGES</b></td>
			<td width="100" colspan="1"/>
			<td width="150" align="center" colspan="2"><b>CORRECTIONS</b></td>
		</tr>
		<tr>
			
			<td width="100" align="left"><u>Card</u></td>
			<td width="50" align="right"><u>Count</u></td>
			<td width="100" align="right"><u>Amount</u></td>
			<td width="100" colspan="1"/>
			<td width="50" align="right"><u>Count</u></td>
			<td width="100" align="right"><u>Amount</u></td>
		</tr>
	</xsl:template>

	
	
	
	<xsl:template match="byCardType">
		<xsl:if test="(number(./cardCharges/count) != 0) or (number(./cardCorrections/count) != 0)">
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" align="left">
					<nobr><xsl:value-of select="./cardName"/></nobr>
				</td>
				<td width="50" align="right">
					<nobr><xsl:value-of select="./cardCharges/count"/></nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./cardCharges/amount,'##,##0.00')"/></nobr>
				</td>
				<xsl:if test="./cardCorrections/count = 0">
					<td width="250" colspan="3"/>
				</xsl:if>
				<xsl:if test="not(./cardCorrections/count = 0)">
					<td width="100" colspan="1"/>
					<td width="50" align="right"><nobr><xsl:value-of select="./cardCorrections/count"/></nobr></td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./cardCorrections/amount,'##,##0.00')"/></nobr>
					</td>
				</xsl:if>
			</tr>
		</xsl:if>
	</xsl:template>

	
	
	
	<xsl:template name="CardTotsVchRefHeader">
		<tr>
			<td width="100" align="left" colspan="1"><b>CARD TOTALS</b></td>
			<td width="150" align="center" colspan="2"><b>VOUCHERS</b></td>
			<td width="100" colspan="1"/>
			<td width="150" align="center" colspan="2"><b>VOUCHER REFUNDS</b></td>
		</tr>
		<tr>
			
			<td width="100" align="left"><u>Card</u></td>
			<td width="50" align="right"><u>Count</u></td>
			<td width="100" align="right"><u>Amount</u></td>
			<td width="100" colspan="1"/>
			<td width="50" align="right"><u>Count</u></td>
			<td width="100" align="right"><u>Amount</u></td>
		</tr>
	</xsl:template>

	
	
	
	<xsl:template match="byCardType" mode="vouchers-vrefs">
		<xsl:if test="(number(./vouchers/count) != 0) or (number(./voucherRefunds/count) != 0)">
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" align="left">
					<nobr><xsl:value-of select="./cardName"/></nobr>
				</td>
				<td width="50" align="right">
					<nobr><xsl:value-of select="./vouchers/count"/></nobr>
				</td>
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./vouchers/amount,'##,##0.00')"/></nobr>
				</td>
				<xsl:if test="./voucherRefunds/count = 0">
					<td width="250" colspan="3"/>
				</xsl:if>
				<xsl:if test="not(./voucherRefunds/count = 0)">
					<td width="100" colspan="1"/>
					<td width="50" align="right">
						<nobr><xsl:value-of select="./voucherRefunds/count"/></nobr>
					</td>
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./voucherRefunds/amount,'##,##0.00')"/></nobr>
					</td>
				</xsl:if>
			</tr>
		</xsl:if>
	</xsl:template>

</xsl:transform>