<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Blend Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Blend Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="592">
							<xsl:apply-templates select="/*/totals"/>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	
	<xsl:template match="totals">
		<tr>
			<td align="center" colspan="3" bgcolor="#3366CC" height="2">
				<b>
					<font color="#FFFFFF">Pure Product</font>
				</b>
			</td>
		</tr>
		<tr>
			<td align="center" width="72" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">Fuel Point</font>
				</b>
			</td>
			<td align="center" width="72" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">Tank</font>
				</b>
			</td>
			<td align="center" width="80" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">Volume</font>
				</b>
			</td>
		</tr>
		<xsl:for-each select="./byFpInfo">
			<xsl:for-each select="./prodInfo">
				<tr>
					<xsl:choose>
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:variable name="fpId" select="./fuel:fuelProdBase/@sysid"/>
					<td>
						<xsl:apply-templates select="../fpNum"/>
					</td>
					<td align="center" width="72">
						<xsl:apply-templates select="./fuel:fuelProdBase[@sysid=$fpId]/name"/>
					</td>
					<xsl:variable name="vol" select="./dispVolume[../fuel:fuelProdBase/@sysid = $fpId]"/>
					<td align="right" width="85">
						<xsl:value-of select="format-number($vol,'#,###,##0.000')"/>
					</td>
				</tr>
			</xsl:for-each>
			<tr>
				<td width="592" colspan="5">
					<hr color="#DBDBDB" valign="top" width="330" align="left"/>
				</td>
			</tr>
			<tr>
				<td align="right" width="50">Total</td>
				<td/>
				<xsl:variable name="totVol" select="fpVolume"/>
				<td align="right" width="85">
					<xsl:value-of select="format-number($totVol,'#,###,##0.000')"/>
				</td>
			</tr>
			<td width="592" height="12" colspan="5"/>
		</xsl:for-each>
		<xsl:variable name="prodName" select="//byFpInfo/prodInfo/fuel:fuelProdBase/name[not(.=preceding::name)]"/>
		<xsl:for-each select="$prodName">
			<xsl:variable name="thisName" select="."/>
			<xsl:variable name="totVol" select="sum(//byFpInfo/prodInfo[fuel:fuelProdBase/name=$thisName]/dispVolume)"/>
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td>All FPs</td>
				<td align="center" width="72">
					<xsl:value-of select="$thisName"/>
				</td>
				<td align="right" width="85">
					<xsl:value-of select="format-number($totVol,'#,###,##0.000')"/>
				</td>
			</tr>
		</xsl:for-each>
		<tr>
			<td width="592" height="10" colspan="5">
				<hr color="#DBDBDB" valign="top" width="330" align="left"/>
			</td>
		</tr>
		<tr>
			<td align="right" width="50">Total</td>
			<td/>
			<xsl:variable name="totVol" select="sum(//byFpInfo/prodInfo/dispVolume)"/>
			<td align="right" width="85">
				<xsl:value-of select="format-number($totVol,'#,###,##0.000')"/>
			</td>
		</tr>
		<td width="592" height="12" colspan="5"/>
		<tr>
			<td align="center" colspan="5" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">Blend Product</font>
				</b>
			</td>
		</tr>
		<tr>
			<td width="72" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">Product</font>
				</b>
			</td>
			<td width="72" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">Tank 1</font>
				</b>
			</td>
			<td width="72" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">% Tank 1</font>
				</b>
			</td>
			<td width="72" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">Tank 2</font>
				</b>
			</td>
			<td width="72" bgcolor="#3366CC" height="1">
				<b>
					<font color="#FFFFFF">% Tank 2</font>
				</b>
			</td>
		</tr>
		<xsl:for-each select="./blendInfo">
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:variable name="fpId" select="./fuel:fuelProdBase/@sysid"/>
				<td>
					<xsl:apply-templates select="./fuel:fuelProdBase[@sysid=$fpId]/name"/>
				</td>
				<td>
					<xsl:apply-templates select="firstTankName"/>
				</td>
				<td>
					<xsl:apply-templates select="firstTankPercent"/>
				</td>
				<td>
					<xsl:apply-templates select="secondTankName"/>
				</td>
				<td>
					
					<xsl:call-template name="secondTankPercent">
						<xsl:with-param name="ftp" select="firstTankPercent"/>
					</xsl:call-template>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	
	<xsl:template match="fpNum">
		<nobr>
			<xsl:value-of select="."/>
		</nobr>
	</xsl:template>
	
	<xsl:template match="name">
		<nobr>
			<xsl:value-of select="."/>
		</nobr>
	</xsl:template>
	
	<xsl:template name="secondTankPercent">
		<xsl:param name="ftp"/>
		<nobr>
			<xsl:value-of select="100 - $ftp"/>
		</nobr>
	</xsl:template>
</xsl:transform>