<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Car Wash Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
						num					{text-align:right;} 
						text					{text-align: left;}
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Car Wash Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="531">
							<tr>
								<td class="text" align="left" width="100" bgcolor="#3366CC" height="1">
									<b>
										<font color="#FFFFFF">Description</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="73" bgcolor="#3366CC" height="1">
									<b>
										<font color="#FFFFFF">Amount</font>
									</b>
								</td>
							</tr>
							<xsl:apply-templates select="/*/carWashKeyInfo"/>
							<xsl:apply-templates select="/*/coinRevenue"/>
							<xsl:apply-templates select="/*/tokenRevenue"/>
							<xsl:apply-templates select="/*/washesUsed"/>
							<xsl:apply-templates select="/*/netSales/mopInfo"/>							
							<xsl:apply-templates select="/*/discounts"/>
							<xsl:apply-templates select="/*/grossSales"/>
							<xsl:apply-templates select="/*/netSales/total"/>							
							<xsl:apply-templates select="/*/fleetTickets"/>							
							<xsl:apply-templates select="/*/freeTickets"/>							
							<xsl:apply-templates select="/*/paidTickets"/>							
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template match="coinRevenue | tokenRevenue | grossSales">
		<tr>
			<td class="text" align="left" width="100">
				<xsl:variable name="lname" select="local-name(.)"/>
				<xsl:choose>
					<xsl:when test="$lname = 'coinRevenue'">
						COIN REVENUE
					</xsl:when>
					<xsl:when test="$lname = 'tokenRevenue'">
						TOKEN REVENUE
					</xsl:when>
					<xsl:when test="$lname = 'grossSales'">
						GROSS SALES
					</xsl:when>
				</xsl:choose>
			</td>
			<td width="6"/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(.,'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="paidTickets | freeTickets | fleetTickets">
		<tr>
			<td class="text" align="left" width="100">
				<xsl:variable name="lname" select="local-name(.)"/>
				<xsl:choose>
					<xsl:when test="$lname = 'paidTickets'">
						<xsl:value-of select="'PAID TICKETS'"/>
					</xsl:when>
					<xsl:when test="$lname = 'freeTickets'">
						<xsl:value-of select="'FREE TICKETS'"/>
					</xsl:when>
					<xsl:when test="$lname = 'fleetTickets'">
						<xsl:value-of select="'FLEET TICKETS'"/>
					</xsl:when>
				</xsl:choose>
			</td>
			<td width="6"/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="count"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="washesUsed">
		<tr>
			<td class="text" align="left" width="100">USED</td>
			<td width="6"/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="."/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="discounts | netSales/total">
		<tr>
			<xsl:variable name="lname" select="local-name(.)"/>
			<xsl:choose>
				<xsl:when test="$lname = 'discounts'">
					<td class="text" align="left" width="100">
						<xsl:value-of select="concat('DISCOUNT ', type)"/>
					</td>
					<td width="6"/>
					<td class="num" align="right" width="73">
						<xsl:value-of select="format-number(amount,'##,##0.00')"/>
					</td>
				</xsl:when>
				<xsl:when test="$lname='total'">
					<td class="text" align="left" width="100">
						<xsl:value-of select="'NET SALES'"/>
					</td>
					<td width="6"/>
					<td class="num" align="right" width="73">
						<xsl:value-of select="format-number(.,'##,##0.00')"/>
					</td>
				</xsl:when>
			</xsl:choose>
		</tr>
	</xsl:template>
	<xsl:template match="carWashKeyInfo">
		<tr>
			<td class="text" align="left" width="150">
				<xsl:value-of select="concat('KEY',key, ' TIMES USED')"/>
			</td>
			<td width="6"/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="count"/>
			</td>
		</tr>
		<tr>
			<td class="text" align="left" width="150">
				<xsl:value-of select="concat('KEY',key, ' REVENUE')"/>
			</td>
			<td width="6"/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(amount,'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="netSales/mopInfo">
		<tr>
			<td class="text" align="left" width="150">
				<xsl:variable name="name">
					<xsl:value-of select="translate(name,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
				</xsl:variable>
				<xsl:value-of select="concat($name, ' SALES')"/>
			</td>
			<td width="6"/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(amount,'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>

</xsl:transform>