<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
 <xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>

		<html>
			<head>
				<title>Card Type Product Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Card Type Product Report</font>
							</b>
						</td>
								<xsl:apply-templates select="/*/t:hdr/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
					<tr>
						<td width="112">Period</td>
						<td width="8" height="20"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								
								<td>
									<font size="2">Closed - </font>
									<xsl:choose>
										<xsl:when test="$periodName &gt; 0">
											
											<font size="2">
												<xsl:value-of select="//vs:period/@periodName"/> - </font>
										</xsl:when>
										<xsl:otherwise>
											
											<font size="2">
												<xsl:value-of select="//vs:period/@periodType"/> - </font>
										</xsl:otherwise>
									</xsl:choose>
									<font size="2"><xsl:value-of select="//t:hdr/seq"/>
									</font>
								</td>
							</xsl:when>
							<xsl:otherwise>
								
								<td>
									<font size="2">Current - </font>
									<xsl:choose>
										<xsl:when test="$periodName &gt; 0">
											
											<font size="2">
												<xsl:value-of select="//vs:period/@periodName"/> - </font>
										</xsl:when>
										<xsl:otherwise>
											
											<font size="2">
												<xsl:value-of select="//vs:period/@periodType"/> - </font>
										</xsl:otherwise>
									</xsl:choose>
									<font size="2">
										<xsl:value-of select="//t:hdr/seq"/>
									</font>
								</td>
							</xsl:otherwise>
						</xsl:choose>
					</tr>
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				<br/>
			




			
			<table width="432" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				


			<xsl:for-each select="//cardTypeEntry">
				<xsl:sort select="ccName" data-type="text"/>
				<xsl:variable name="meCard" select="ccName"/>

				<tr><td colspan="4"><font size="2"><b>Card Type: <xsl:value-of select="$meCard"/></b></font> </td></tr>
													
			
							<tr bgcolor="#3366CC" align="left">	
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p> </p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Count</p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Fuel</p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Merchandise</p></font></td>
							</tr>														

							 
							<tr>
									<td align="left"><p>Sales</p></td>				
									 <td align="right"> <xsl:value-of select="sales/cardCount"/></td> 
									 <td align="right"> <xsl:value-of select="sales/fuel"/></td> 
									 <td align="right"> <xsl:value-of select="sales/merchandise"/></td> 
							</tr>

							<tr>
									<td align="left"><p>Refunds</p></td>				
									 <td align="right"> <xsl:value-of select="refunds/cardCount"/></td> 
									 <td align="right"> <xsl:value-of select="refunds/fuel"/></td> 
									 <td align="right"> <xsl:value-of select="refunds/merchandise"/></td> 
							</tr>

							<tr>
									<td align="left"><p>Total</p></td>				
									 <td align="right"> <xsl:value-of select="format-number(refunds/cardCount + sales/cardCount, '#,##0')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(refunds/fuel + sales/fuel, '#,##0.00')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(refunds/merchandise + sales/merchandise, '#,##0.00')"/></td> 
							</tr>


							<tr><td colspan="4"><p><br/></p></td></tr>

							</xsl:for-each>

				<tr><td colspan="4"><font size="2"><b>Total All Cards</b></font> </td></tr>
													
			
							<tr bgcolor="#3366CC" align="left">	
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p> </p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Count</p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Fuel</p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Merchandise</p></font></td>
							</tr>														

							<tr>
									<td align="left"><p>Sales</p></td>				
									 <td align="right"> <xsl:value-of select="format-number(sum(//sales/cardCount), '#,##0')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//sales/fuel), '#,##0.00')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//sales/merchandise), '#,##0.00')"/></td> 
							</tr>

							<tr>
									<td align="left"><p>Refunds</p></td>				
									 <td align="right"> <xsl:value-of select="format-number(sum(//refunds/cardCount), '#,##0')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//refunds/fuel), '#,##0.00')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//refunds/merchandise), '#,##0.00')"/></td> 
							</tr>

							<tr>
									<td align="left"><p>Total</p></td>				
									 <td align="right"> <xsl:value-of select="format-number(sum(//refunds/cardCount) + sum(//sales/cardCount), '#,##0')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//refunds/fuel) + sum(//sales/fuel), '#,##0.00')"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//refunds/merchandise) + sum(//sales/merchandise), '#,##0.00')"/></td> 
							</tr>


							<tr><td colspan="4"><p><br/></p></td></tr>

							

							
			

						</table>
						<xsl:text>Note: The accuracy of this report is diminished when multiple </xsl:text>
						<br/>
						<xsl:text>card-based tenders are used in the same transaction.</xsl:text>
						<br/>
						<br/>
						<xsl:text>^ Mobile ASA Transactions</xsl:text>
						<br/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>