<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>

		<html>
			<head>
				<title>Cash Reconciliation Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Ending Cash Reconciliation</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/t:hdr/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
	
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				<br/>
			


			<xsl:variable name="registerInfo" select="//t:register/@sysid[not(.=preceding::t:register/@sysid) and .!=0]"/>
			<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				

			<xsl:for-each select="$registerInfo">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="meReg" select="."/>
				<tr><td colspan="6"><font size="2"><b>Register <xsl:value-of select="."/></b></font> 
													
				<hr color="#FFCC00" valign="top" width="632" align="left"/></td></tr>
				
						
						<xsl:for-each select="//cashierDrawerInfo[../t:register/@sysid=$meReg]">
							<xsl:sort select="t:cashier/@sysid" data-type="number"/>
							<xsl:variable name="meCashier" select="t:cashier/@sysid"/>
							 <tr><td colspan="6"> <font size="2">Cashier <xsl:value-of select="$meCashier"/> - <xsl:value-of select="t:cashier/name"/> </font> <br/></td></tr>
							 
			
							<tr bgcolor="#3366CC" height="1" align="left">	
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>MOP</p></font></td>						
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Open Date/Time</p></font></td>								
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Close Date/Time</p></font></td>
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Over/Short</p></font></td>
							</tr>														
							<xsl:for-each select="tillInfo">
							<tr>
									 <td align="left"> <xsl:value-of select="t:mop/name"/></td> 

									 <td align="left"> <xsl:value-of select="concat(substring(../open,1,10),' - ',substring(../open,12,5))"/></td> 
									 <td align="left"> <xsl:value-of select="concat(substring(../close,1,10),' - ',substring(../close,12,5))"/></td> 
									 <td align="right"> <xsl:value-of select="overShort"/></td> 
							</tr>
							</xsl:for-each>
							<tr>

									 <td align="right" colspan="3">Total Cashier <xsl:value-of select="$meCashier"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(tillInfo/overShort), '#,##0.00')"/></td> 
							</tr>
							
						
				</xsl:for-each>
							
			
							<tr height="1" align="left">	

									 <td align="right" colspan="3">Total Reg <xsl:value-of select="$meReg"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//cashierDrawerInfo[(../t:register/@sysid=$meReg)]/tillInfo/overShort), '#,##0.00')"/></td> 
							</tr>														

						
			</xsl:for-each>
							<tr height="1" align="left">	
									 <td colspan="6" align="right"><hr/></td> 
							</tr>														


							<tr height="1" align="left">	
									 <td align="right" colspan="3">Total All Reg</td> 
									 <td align="right"> <xsl:value-of select="format-number(sum(//cashierDrawerInfo/tillInfo/overShort), '#,##0.00')"/></td> 
							</tr>														


						</table>
						<br/>


			</body>
		</html>
	</xsl:template>
</xsl:transform>