<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="pd:cashierPd">
		<html>
			<head>
				<title>Cashier Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="350" height="1">
							<b>
								<font color="#3366CC" size="5">Cashier Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:call-template name="header"/>
				
				<br/>
				<xsl:call-template name="reportBody"/>
			</body>
		</html>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" name="reportBody">
		<table cellspacing="0" cellpadding="0" width="300" height="183">
					<tr>
						<td width="298" height="24">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Summary</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="298" height="159">
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="298" height="199" bgcolor="#FFFFFF">
								<tr>
									<td width="150" bgcolor="#3366CC" height="19">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="10" bgcolor="#3366CC" height="19" align="center"/>
									<td width="45" bgcolor="#3366CC" height="19">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="9" bgcolor="#3366CC" height="19" align="center"/>
									<td width="74" bgcolor="#3366CC" height="19" align="center">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
								</tr>
								
								
								<xsl:choose>
									<xsl:when test="count(currencyAmounts) = 1">
										<xsl:apply-templates select="currencyAmounts" mode="beginDrawerAmounts"/>
									</xsl:when>
									<xsl:otherwise>
										
										<xsl:for-each select="currencyAmounts">
											<xsl:sort select="vs:currency/@sysid" data-type="number"/>
											<xsl:if test="count(mopAmounts[beginDrawerAmount &gt; 0]) &gt; 0">
												<tr>
													<td align="center" colspan="5" height="30">
														<xsl:value-of select="vs:currency/name"/> Beginning Amounts </td>
												</tr>
												<xsl:apply-templates select="." mode="beginDrawerAmounts"/>
											</xsl:if>
										</xsl:for-each>
										<tr>
											<td align="center" colspan="5" height="20"/>
										</tr>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:call-template name="summary"/>
								
								<tr>
									<td align="center" colspan="5" height="60">MOP Sales</td>
								</tr>
								<xsl:call-template name="mopSaleRefund">
									<xsl:with-param name="mopGroup" select="summaryInfo/mopTotals/sale"/>
								</xsl:call-template>
								
								<tr bgcolor="#DBDBDB">
									<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Tot MOP Sales</td>
									<td width="10" height="20" align="center"/>
									<td width="45" height="20" align="center"/>
									<td width="9" height="20" align="center"/>
									<td width="74" height="20" align="right">
										<nobr>
											<xsl:call-template name="amount">
												<xsl:with-param name="amt" select="summaryInfo/mopTotals/sale/total"/>
											</xsl:call-template>
										</nobr>
									</td>
								</tr>
								
								<tr>
									<td align="center" colspan="5" height="60">MOP Cancel/Refund</td>
								</tr>
								<xsl:call-template name="mopSaleRefund">
									<xsl:with-param name="mopGroup" select="summaryInfo/mopTotals/cancelRefund"/>
								</xsl:call-template>
								
								<tr bgcolor="#DBDBDB">
									<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Tot MOP Cancel/Refunds</td>
									<td width="10" height="20" align="center"/>
									<td width="45" height="20" align="center"/>
									<td width="9" height="20" align="center"/>
									<td width="74" height="20" align="right">
										<nobr>
											(<xsl:call-template name="amount">
												<xsl:with-param name="amt" select="summaryInfo/mopTotals/cancelRefund/total"/>
											</xsl:call-template>)
										</nobr>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				
				<br/>
				<xsl:call-template name="paymentInOut">
					<xsl:with-param name="summaryInfo" select="summaryInfo"/>
				</xsl:call-template>
				
				<br/>
				<xsl:call-template name="memoItems">
					<xsl:with-param name="summaryInfo" select="summaryInfo"/>
				</xsl:call-template>
				
				<br/>
				<xsl:call-template name="popMemo">
					<xsl:with-param name="summaryInfo" select="summaryInfo"/>
				</xsl:call-template>
				
				<br/>
				<xsl:call-template name="txnTimings">
					<xsl:with-param name="summaryInfo" select="summaryInfo"/>
				</xsl:call-template>
				
				<br/>
				<xsl:call-template name="totals">
					<xsl:with-param name="summaryInfo" select="summaryInfo"/>
				</xsl:call-template>
				
				<xsl:if test="mopAmountsEntered &gt; 0 or mopAmountsEntered = 'true'">
					<xsl:apply-templates select="currencyAmounts"/>
				</xsl:if>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" name="header">
		<xsl:variable name="periodClose" select="count(closeDate)"/>
		<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="450">
			<tr>
				<td width="402" height="23" bgcolor="#3366CC" align="center" colspan="3">
					<p align="left">
						<b>
							<font color="#FFFFFF">Cashier Period Information</font>
						</b>
					</p>
				</td>
			</tr>
			<tr>
				<td width="112">Cashier</td>
				<td width="8" height="20"/>
				<td width="150">
					<font size="2">
						<xsl:value-of select="vs:cashier/@sysid"/> - 
						<xsl:value-of select="vs:cashier/name"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="112" bgcolor="#DBDBDB">Register</td>
				<td width="8" height="20" bgcolor="#DBDBDB"/>
				<td bgcolor="#DBDBDB" width="150">
					<font size="2">
						<xsl:value-of select="vs:register/@sysid"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="112">Receipts</td>
				<td width="8" height="20"/>
				<td width="302">
					<font size="2">
						<xsl:value-of select="cashierSpecificInfo/beginTicket"/> - 
						<xsl:value-of select="cashierSpecificInfo/endTicket"/>	
						Total - <xsl:value-of select="cashierSpecificInfo/totTicket"/>	
						Actual - <xsl:value-of select="cashierSpecificInfo/actTicket"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="112" bgcolor="#DBDBDB">Sequence #</td>
				<td width="8" height="20" bgcolor="#DBDBDB"/>
				<td bgcolor="#DBDBDB" width="150">
					<font size="2">
						<xsl:value-of select="seqNum"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="110">Open Period</td>
				<td width="8" height="20"/>
				<td width="300">
					<xsl:value-of select="openDate"/>
				</td>
			</tr>
			<tr>
				<td width="110" height="18" bgcolor="#DBDBDB">Close Period</td>
				<td width="8" height="18" bgcolor="#DBDBDB"/>
				<xsl:choose>
					<xsl:when test="$periodClose &gt; 0">
						<td width="300" bgcolor="#DBDBDB">
							<xsl:value-of select="closeDate"/>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td width="300" align="left" height="18" bgcolor="#DBDBDB">Pending</td>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
			<tr>
				<td width="150">MOP amounts entry</td>
				<td width="8" height="20"/>
				<xsl:choose>
					<xsl:when test="mopAmountsEntered &gt; 0 or mopAmountsEntered = 'true'">
						<td width="100">
							<font size="2">Complete</font>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td width="100">
							<font size="2">Pending</font>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
		</table>
	</xsl:template>
	
	
	<xsl:template name="summary">
		<tr bgcolor="#FFFFFF">
			<td width="150" height="20">MOP Sales</td>
			<td width="10" height="20"/>
			<td width="45" height="20" align="center"/>
			<td width="9" height="20"/>
			<td width="74" height="20" align="right">
				<nobr>
					<xsl:call-template name="amount">
						<xsl:with-param name="amt" select="summaryInfo/mopTotals/sale/total"/>
					</xsl:call-template>
				</nobr>
			</td>
		</tr>
		<tr bgcolor="#DBDBDB">
			<td width="150" height="20">MOP Cancel Refund</td>
			<td width="10" height="20" align="center"/>
			<td width="45" height="20" align="center"/>
			<td width="9" height="20" align="center"/>
			<td width="74" height="20" align="right">
				<nobr>
					(
					<xsl:call-template name="amount">
						<xsl:with-param name="amt" select="summaryInfo/mopTotals/cancelRefund/total"/>
					</xsl:call-template>				
					)
				</nobr>
			</td>
		</tr>
		<tr bgcolor="#DBDBDB">
			<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
				<hr align="left" color="#DBDBDB"/>
			</td>
		</tr>
		<tr bgcolor="#FFFFFF">
			<td width="150" height="20">
				<font size="2">Net Sales Total</font>
			</td>
			<td width="10" height="20" align="center"/>
			<td width="45" height="20" align="center"/>
			<td width="9" height="20" align="center"/>
			<td width="74" height="20" align="right">
				<nobr>
					<xsl:call-template name="amount">
						<xsl:with-param name="amt" select="summaryInfo/mopTotals/netSales"/>
					</xsl:call-template>
				</nobr>
			</td>
		</tr>
		<tr>
			<td align="center" colspan="5" height="20"/>
		</tr>
		<tr bgcolor="#DBDBDB">
			<td width="150" height="20">
				<font size="2">Payment Out</font>
			</td>
			<td width="10" height="20" align="center"/>
			<td width="45" height="20" align="center"/>
			<td width="9" height="20" align="center"/>
			<td width="74" height="20" align="right">
				<nobr>
					(
					<xsl:call-template name="amount">
						<xsl:with-param name="amt" select="summaryInfo/totalPaymentOut"/>
					</xsl:call-template>					
					)
				</nobr>
			</td>
		</tr>
		<tr bgcolor="#FFFFFF">
			<td width="150" height="20">
				<font size="2">Payment In</font>
			</td>
			<td width="10" height="20" align="center"/>
			<td width="45" height="20" align="center"/>
			<td width="9" height="20" align="center"/>
			<td width="74" height="20" align="right">
				<nobr>
					<xsl:call-template name="amount">
						<xsl:with-param name="amt" select="summaryInfo/totalPaymentIn"/>
					</xsl:call-template>
				</nobr>
			</td>
		</tr>
		<tr bgcolor="#DBDBDB">
			<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
				<hr align="left" color="#DBDBDB"/>
			</td>
		</tr>
		<tr bgcolor="#DBDBDB">
			<td width="150" height="20">Tot to Account For</td>
			<td width="10" height="20" align="center"/>
			<td width="45" height="20" align="center"/>
			<td width="9" height="20" align="center"/>
			<td width="74" height="20" align="right">
				<nobr>
					<xsl:call-template name="amount">
						<xsl:with-param name="amt" select="summaryInfo/totalToAccountFor"/>
					</xsl:call-template>
				</nobr>
			</td>
		</tr>
	</xsl:template>
	
	
	<xsl:template name="mopSaleRefund">
		<xsl:param name="mopGroup"/>
		<xsl:for-each select="$mopGroup/mopInfo">
			<xsl:sort select="@isCardBased" data-type="text" order="descending"/>
			<xsl:sort select="@sysid" data-type="number"/>
			<tr bgcolor="#FFFFFF">
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="."/>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	
	<xsl:template match="mopInfo">
		<td width="150" height="20">
			<font size="2">
				<nobr>
					<xsl:value-of select="name"/>
					<xsl:if test="@isCardBased='true'"> - Card Based </xsl:if>
				</nobr>
			</font>
		</td>
		<td width="10" height="20" align="center"/>
		<td width="45" height="20" align="right">
			<nobr>
				<xsl:value-of select="count"/>
			</nobr>
		</td>
		<td width="9" height="20" align="center"/>
		<td width="74" height="20" align="right">
			<nobr>
				<xsl:call-template name="amount">
					<xsl:with-param name="amt" select="amount"/>
				</xsl:call-template>
			</nobr>
		</td>
	</xsl:template>
	
	
	<xsl:template name="paymentInOut">
		<xsl:param name="summaryInfo"/>
		<table cellspacing="0" cellpadding="0" width="675" height="1">
			<tr>
				<td width="340">
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>Payment Out</b>
					</font>
				</td>
				<td width="361">
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>Payment In</b>
					</font>
				</td>
			</tr>
			<tr>
				<td width="607" height="1" colspan="2">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="607" height="1" bgcolor="#FFFFFF">
						<tr bgcolor="#3366CC">
							<td width="165" height="19">
								<font color="#FFFFFF" size="2">
									<b>Category</b>
								</font>
							</td>
							<td width="12" height="19" align="center"/>
							<td width="42" height="19">
								<b>
									<font color="#FFFFFF">Count</font>
								</b>
							</td>
							<td width="12" height="19" align="center"/>
							<td width="75" height="19" align="center">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
							<td width="21" bgcolor="#FFFFFF" height="20"/>
							<td width="128" height="19">
								<font color="#FFFFFF" size="2">
									<b>Category</b>
								</font>
							</td>
							<td width="12" height="19" align="center"/>
							<td width="44" height="19">
								<b>
									<font color="#FFFFFF">Count</font>
								</b>
							</td>
							<td width="12" height="19" align="center"/>
							<td width="84" height="19" align="center">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
						</tr>
						
						<tr bgcolor="#FFFFFF">
							<td width="165" height="20">Cash Back</td>
							<td width="12" height="20"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/cashBack/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/cashBack/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="21" height="20"/>
							<td width="128" height="20">Cash Back Cancels</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/cashBackCancel/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/cashBackCancel/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td colspan="11">
								<table width="607" border="0" cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt">
									<tr>
										<td width="304">
											<table width="304" border="0" cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt">
												
												<xsl:for-each select="$summaryInfo/cashBack/mopInfo[@isCardBased='true']">
													<xsl:variable name="mopCID" select="./@sysid"/>
													<tr>
														<td width="9"/>
														<td width="165">
															<xsl:value-of select="$summaryInfo/cashBack/mopInfo[@sysid=$mopCID]/name"/>
														</td>
														<td width="12"/>
														<td width="45" align="right">
															<nobr>
																<xsl:value-of select="$summaryInfo/cashBack/mopInfo[@sysid=$mopCID]/count"/>
															</nobr>
														</td>
														<td width="12"/>
														<td width="75" align="right">
															<nobr>
																<xsl:value-of select="$summaryInfo/cashBack/mopInfo[@sysid=$mopCID]/amount"/>
															</nobr>
														</td>
													</tr>
												</xsl:for-each>
											</table>
										</td>
										<td width="21"/>
										<td width="282">
											<table width="282" border="0" cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt">
												<xsl:for-each select="$summaryInfo/cashBackCancel/mopInfo[@isCardBased='true']">
													<xsl:variable name="mopCID" select="./@sysid"/>
													<tr>
														<td width="9"/>
														<td width="128">
															<xsl:value-of select="$summaryInfo/cashBackCancel/mopInfo[@sysid=$mopCID]/name"/>
														</td>
														<td width="12"/>
														<td width="44" align="right">
															<nobr>
																<xsl:value-of select="$summaryInfo/cashBackCancel/mopInfo[@sysid=$mopCID]/count"/>
															</nobr>
														</td>
														<td width="12"/>
														<td width="84" align="right">
															<nobr>
																<xsl:value-of select="$summaryInfo/cashBackCancel/mopInfo[@sysid=$mopCID]/amount"/>
															</nobr>
														</td>
													</tr>
												</xsl:for-each>
											</table>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						
						<tr bgcolor="#DBDBDB">
							<td width="147">Pay Out</td>
							<td width="1" align="center"/>
							<td width="42" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/payOut/count"/>
								</nobr>
							</td>
							<td width="12" align="center"/>
							<td width="75" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/payOut/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="21" bgcolor="#FFFFFF"/>
							<td width="128">Pay In</td>
							<td width="12" align="center"/>
							<td width="44" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/payIn/count"/>
								</nobr>
							</td>
							<td width="12" align="center"/>
							<td width="84" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/payIn/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="147">
								<font size="2">Adjust for Vendor Payments</font>
							</td>
							<td width="12" align="center"/>
							<td width="42" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/vendorPayments/count"/>
								</nobr>
							</td>
							<td width="12" align="center"/>
							<td width="75" align="right">
								<nobr>(
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/vendorPayments/amount"/>
									</xsl:call-template>)	
								</nobr>
							</td>
							<td width="21"/>
							<td width="128">
								<font size="2">In House</font>
							</td>
							<td width="12" align="center"/>
							<td width="44" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/inHousePayIn/count"/>
								</nobr>
							</td>
							<td width="12" align="center"/>
							<td width="84" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/inHousePayIn/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="147">
								<font size="2">Change/Check</font>
							</td>
							<td width="12" align="center"/>
							<td width="42" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/changeCheck/count"/>
								</nobr>
							</td>
							<td width="12" align="center"/>
							<td width="75" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/changeCheck/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="21" bgcolor="#FFFFFF"/>
							<td width="128">
								<font size="2">Safe Loans</font>
							</td>
							<td width="12" align="center"/>
							<td width="44" align="right">
								<xsl:value-of select="$summaryInfo/safeLoan/count"/>
							</td>
							<td width="12" align="center"/>
							<td width="84" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/safeLoan/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="147">
								<font size="2">In House</font>
							</td>
							<td width="12" align="center"/>
							<td width="42" align="right">
								<xsl:value-of select="$summaryInfo/inHousePayOut/count"/>
							</td>
							<td width="12" align="center"/>
							<td width="75" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/inHousePayOut/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td/>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="147">
								<font size="2">Safe Drops</font>
							</td>
							<td width="12" align="center"/>
							<td width="42" align="right">
								<xsl:value-of select="$summaryInfo/safeDrop/total/count"/>
							</td>
							<td width="12" align="center"/>
							<td width="75" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/safeDrop/total/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td/>
						</tr>
						
						<xsl:for-each select="$summaryInfo/safeDrop/mopInfo">
							<xsl:sort select="@isCardBased" data-type="text"/>
							<xsl:sort select="@sysid" data-type="number"/>
							<tr bgcolor="#FFFFFF">
								<td colspan="2" align="center">
									<font size="2">
										<xsl:value-of select="name"/>
									</font>
									<xsl:if test="@isCardBased='true'"> - Card Based </xsl:if>
								</td>
								<td width="45" height="20" align="right">
									<xsl:value-of select="count"/>
								</td>
								<td width="9" height="20" align="center"/>
								<td width="74" height="20" align="right">
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="amount"/>
									</xsl:call-template>
								</td>
							</tr>
						</xsl:for-each>
						
						<tr bgcolor="#FFFFFF">
							<td colspan="5">
								<hr align="left" color="#DBDBDB"/>
							</td>
							<td/>
							<td colspan="5">
								<hr align="left" color="#DBDBDB"/>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="147">Tot Payment Out</td>
							<td width="12" align="center"/>
							<td width="42" align="center"/>
							<td width="12" align="center"/>
							<td width="75" align="right">
								<nobr>
									(
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/totalPaymentOut"/>
									</xsl:call-template>
									)	
								</nobr>
							</td>
							<td width="21" bgcolor="#FFFFFF"/>
							<td width="128">Tot Payment In</td>
							<td width="12" align="center"/>
							<td width="44" align="center"/>
							<td width="12" align="center"/>
							<td width="84" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/totalPaymentIn"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	
	<xsl:template name="memoItems">
		<xsl:param name="summaryInfo"/>
		<table cellspacing="0" cellpadding="0" width="607" height="183">
			<tr>
				<td>
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>Memo Items</b>
					</font>
				</td>
			</tr>
			<tr>
				<td width="594" height="1">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="607" height="65" bgcolor="#FFFFFF">
						<tr>
							<td width="147" bgcolor="#3366CC" height="20" colspan="2">
								<font color="#FFFFFF" size="2">
									<b>Category</b>
								</font>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="42" bgcolor="#3366CC" height="20">
								<b>
									<font color="#FFFFFF">Count</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="center">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
							<td width="21" height="20"/>
							<td width="128" bgcolor="#3366CC" height="20">
								<font color="#FFFFFF" size="2">
									<b>Category</b>
								</font>
							</td>
							<td width="12" bgcolor="#3366CC" height="20"/>
							<td width="44" bgcolor="#3366CC" height="20">
								<b>
									<font color="#FFFFFF">Count</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20"/>
							<td width="84" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
						</tr>
						
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20" colspan="2">Items</td>
							<td width="12" height="20"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/itemCount"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="center"/>
							<td width="21" height="20"/>
							<td width="128" height="20">Suspended</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/suspendTotal/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/suspendTotal/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Customer</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/customerCount"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="center"/>
							<td width="21" bgcolor="#FFFFFF" height="20"/>
							<td width="128" height="20">Suspend/Void</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/suspendVoid/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/suspendVoid/amount"/>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">No Sales</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/noSaleCount"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="128" height="20">
								<font color="" size="2">Unsettled Suspend</font>
							</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/suspendUnsettled/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/suspendUnsettled/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Drwr Viols</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/drawerViolations"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="center"/>
							<td width="12" bgcolor="#FFFFFF" height="20"/>
							<td width="128" height="20">
								<font color="" size="2">Reserve Stop</font>
							</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/reserveStop/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/reserveStop/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Login Overrides</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/loginOverrides"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="128" height="20">
								<font color="" size="2">Reserve Approve</font>
							</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/reserveApprove/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/reserveApprove/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Discounts</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/totalDiscounts/count"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/totalDiscounts/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Err/Corrects</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/errorCorrect/count"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/errorCorrect/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="128" height="20">
								<font color="" size="2">Coin Dispenser</font>
							</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/coinDispenser/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/coinDispenser/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Void Lines</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/voidLine/count"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/voidLine/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" bgcolor="#FFFFFF" height="20"/>
							<td width="128" height="20">
								<font color="" size="2">Vendor Payments</font>
							</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/vendorPayments/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="84" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/vendorPayments/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						
						<tr>
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Void Tickets</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/voidTicket/count"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/voidTicket/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" bgcolor="#FFFFFF" height="20"/>
							<td width="128" height="20">
								<font color="" size="2">Safe Drop Cancels</font>
							</td>
							<td width="12" height="20"/>
							<td width="44" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/safeDropCancel/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
						</tr>
						
						<tr>
							<td align="center" width="147" height="20" colspan="2">
								<font color="" size="2">Positive</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="center">
								<nobr>
									<xsl:value-of select="$summaryInfo/voidTicket/positive/count"/>
								</nobr>
							</td>
							<td width="5" height="20" align="center"/>
							<td width="75" height="20" align="center">
								<nobr>
									<xsl:value-of select="$summaryInfo/voidTicket/positive/amount"/>
								</nobr>
							</td>
						</tr>
						<tr>
							<td align="center" width="147" height="20" colspan="2">
								<font color="" size="2">Negative</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="center">
								<nobr>
									<xsl:value-of select="$summaryInfo/voidTicket/negative/count"/>
								</nobr>
							</td>
							<td width="5" height="20" align="center"/>
							<td width="75" height="20" align="center">
								<nobr>
									<xsl:value-of select="$summaryInfo/voidTicket/negative/amount"/>
								</nobr>
							</td>
						</tr>
						
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20" colspan="2">
								<font color="" size="2">Scanned Coupons</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
								</nobr>
							</td>
							
						</tr>
						
						<tr>
							<td align="center" width="147" height="20" colspan="2">
								<font color="" size="2">Ticket Level</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/ticketLvlCoupons/count"/>
								</nobr>
							</td>
							<td width="5" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/ticketLvlCoupons/amount"/>
								</nobr>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<br/>
		<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
			<tr bgcolor="#FFFFFF">
				<tr>
					<td width="147" bgcolor="#3366CC" height="20">
						<font color="#FFFFFF" size="2">
							<b>Pump Overruns </b>
						</font>
					</td>
					<td width="12" bgcolor="#3366CC" height="20" align="right"/>
					<td width="42" bgcolor="#3366CC" height="20" align="right">
						<b>
							<font color="#FFFFFF">Count</font>
						</b>
					</td>
					<td width="12" bgcolor="#3366CC" height="20" align="right"/>
					<td width="75" bgcolor="#3366CC" height="20" align="right">
						<b>
							<font color="#FFFFFF">Volume</font>
						</b>
					</td>
					<td width="12" bgcolor="#3366CC" height="20" align="right"/>
					<td width="75" bgcolor="#3366CC" height="20" align="right">
						<b>
							<font color="#FFFFFF">Amount</font>
						</b>
					</td>
				</tr>
				<xsl:choose>
						<xsl:when test="//totals/summaryInfo/fuelOverrun">
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20">Fuel Overruns</td>
							<td width="12" height="20"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/fuelOverrun/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/fuelOverrun/volume"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/fuelOverrun/amount"/>
								</nobr>
							</td>
						</tr>
					</xsl:when>
						<xsl:otherwise>
						<xsl:choose>
						<xsl:when test="//totals/summaryInfo/autoDroppedFuelOverrun">
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20"> Auto dropped</td>
							<td width="12" height="20"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/autoDroppedFuelOverrun/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/autoDroppedFuelOverrun/volume"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/autoDroppedFuelOverrun/amount"/>
								</nobr>
							</td>
						</tr>
						</xsl:when>
						<xsl:otherwise>
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20"> Auto settled</td>
							<td width="12" height="20"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/autoSettledFuelOverrun/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/autoSettledFuelOverrun/volume"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/autoSettledFuelOverrun/amount"/>
								</nobr>
							</td>
						</tr>
						</xsl:otherwise>
						</xsl:choose>
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20">Manual settled </td>
							<td width="12" height="20"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/manuallySettledFuelOverrun/count"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/manuallySettledFuelOverrun/volume"/>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/manuallySettledFuelOverrun/amount"/>
								</nobr>
							</td>
						</tr>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
		</table>
		<br/>
	</xsl:template>
	
	
	<xsl:template name="popMemo">
		<xsl:param name="summaryInfo"/>
		<table cellspacing="0" cellpadding="0" width="607" height="183">
			<tr>
				<td>
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>Pop Memo Items</b>
					</font>
				</td>
			</tr>
			<tr>
				<td width="594" height="1">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td width="147" bgcolor="#3366CC" height="20">
								<font color="#FFFFFF" size="2">
									<b>Category</b>
								</font>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="42" bgcolor="#3366CC" height="20" align="center">
								<b>
									<font color="#FFFFFF">Count</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Volume</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="center">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20">Post Dispensed</td>
							<td width="12" height="20"/>
							<td width="42" height="20" align="right">
								<xsl:value-of select="$summaryInfo/popPostdispensed/count"/>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="volume">
										<xsl:with-param name="vol" select="$summaryInfo/popPostdispensed/volume"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/popPostdispensed/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20">
								<font color="" size="2">Pre-Dispensed</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/popPredispensed/count"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="volume">
										<xsl:with-param name="vol" select="$summaryInfo/popPredispensed/volume"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/popPredispensed/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20">
								<font color="" size="2">Pre and Post Dispensed</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="sum($summaryInfo/popPostdispensed/count) + sum($summaryInfo/popPredispensed/count)"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="volume">
										<xsl:with-param name="vol" select="sum($summaryInfo/popPostdispensed/volume) + sum($summaryInfo/popPredispensed/volume)"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="sum($summaryInfo/popPostdispensed/amount)+sum($summaryInfo/popPredispensed/amount)"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20">
								<font color="" size="2">Tot Codes Redeemed</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/popCodesRedeemed"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="75" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="75" height="20" align="center"/>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20">
								<font color="" size="2">Tot Codes Earned</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/popCodesEarned"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="75" height="20" align="center"/>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20">
								<font color="" size="2">Tot Coupons Earned</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/popCouponsEarned"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="75" height="20" align="center"/>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="147" height="20">
								<font color="" size="2">Tot Free Codes</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/popCodesFree"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="75" height="20" align="center"/>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="147" height="20">
								<font color="" size="2">Tot Free Coupons</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/popCouponsFree"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="75" height="20" align="center"/>
						</tr>
						<tr>
							<td width="147" height="20">
								<font color="" size="2">Tot Member Ids</font>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/popMemberIDs"/>
								</nobr>
							</td>
							<td width="12" height="20" align="center"/>
							<td width="42" height="20" align="center"/>
							<td width="12" height="20"/>
							<td width="75" height="20" align="center"/>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	
	<xsl:template name="txnTimings">
		<xsl:param name="summaryInfo"/>
		<table cellspacing="0" cellpadding="0">
			<tr>
				<td>
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>Transaction Timings</b>
					</font>
					<font face="Trebuchet MS" color="#3366CC" size="2"/>
				</td>
			</tr>
			<tr>
				<td>
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td width="150" bgcolor="#3366CC" height="19">
								<font color="#FFFFFF" size="2">
									<b>Category</b>
								</font>
							</td>
							<td width="10" bgcolor="#3366CC" height="19" align="center"/>
							<td width="45" bgcolor="#3366CC" height="19" align="right">
								<b>
									<font color="#FFFFFF">Max</font>
								</b>
							</td>
							<td width="9" bgcolor="#3366CC" height="19" align="center"/>
							<td width="74" bgcolor="#3366CC" height="19" align="right">
								<b>
									<font color="#FFFFFF">Average</font>
								</b>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">Total</td>
							<td width="10" height="20"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/transTimeInfo/max"/>
								</nobr>
							</td>
							<td width="9" height="20"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="avgTime">
										<xsl:with-param name="secs" select="$summaryInfo/transTimeInfo/avg"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="150" height="20">Network</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/networkTransTime/max"/>
								</nobr>
							</td>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="avgTime">
										<xsl:with-param name="secs" select="$summaryInfo/networkTransTime/avg"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">
								<font size="2">Network Suspended</font>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/networkSuspendedTransTime/max"/>
								</nobr>
							</td>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="avgTime">
										<xsl:with-param name="secs" select="$summaryInfo/networkSuspendedTransTime/avg"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="150" height="20">
								<font size="2">End of Ticket</font>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/endOfTransTime/max"/>
								</nobr>
							</td>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="avgTime">
										<xsl:with-param name="secs" select="$summaryInfo/endOfTransTime/avg"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template name="totals">
		<xsl:param name="summaryInfo"/>
		<table cellspacing="0" cellpadding="0">
			<tr>
				<td>
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>Totals</b>
					</font>
				</td>
			</tr>
			<tr>
				<td>
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td width="150" bgcolor="#3366CC" height="19">
								<font color="#FFFFFF" size="2">
									<b>Category</b>
								</font>
							</td>
							<td width="10" bgcolor="#3366CC" height="19" align="center"/>
							<td width="45" bgcolor="#3366CC" height="19">
								<b>
									<font color="#FFFFFF">Count</font>
								</b>
							</td>
							<td width="9" bgcolor="#3366CC" height="19" align="center"/>
							<td width="74" bgcolor="#3366CC" height="19" align="center">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">Cash Back Fee</td>
							<td width="10" height="20"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/cashBackFee/count"/>
								</nobr>
							</td>
							<td width="9" height="20"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/cashBackFee/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="150" height="20">Cancel/Refund Cash Back Fee</td>
							<td width="10" height="20"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/cashBackFeeCanceled/count"/>
								</nobr>
							</td>
							<td width="9" height="20"/>
							<td width="74" height="20" align="right">
								<nobr>
									(<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/cashBackFeeCanceled/amount"/>
									</xsl:call-template>)
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">Debit Fee</td>
							<td width="10" height="20"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/debitFee/count"/>
								</nobr>
							</td>
							<td width="9" height="20"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/debitFee/amount"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="150" height="20">Cancel/Refund Debit Fee</td>
							<td width="10" height="20"/>
							<td width="45" height="20" align="right">
								<nobr>
									<xsl:value-of select="$summaryInfo/debitFeeCanceled/count"/>
								</nobr>
							</td>
							<td width="9" height="20"/>
							<td width="74" height="20" align="right">
								<nobr>
									(<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/debitFeeCanceled/amount"/>
									</xsl:call-template>)
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">Fuel Sales</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="center"/>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/fuelSales"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="150" height="20">
								<font size="2">Merch Sales</font>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="center"/>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/merchSales"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">
								<xsl:variable name="vfueldiscName" select="$summaryInfo/fuelDiscounts/@name"/>
								<xsl:choose>
									<xsl:when test="$vfueldiscName">
										<font size="2">
											<xsl:value-of select="$vfueldiscName"/>
										</font>
									</xsl:when>
									<xsl:otherwise>
										<font size="2">Fuel Discounts</font>
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="center"/>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/fuelDiscounts"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="150" height="20">
								<font size="2">Refund Taxes</font>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="center"/>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/totalRefundTaxes"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">
								<font size="2">Sales Taxes</font>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="center"/>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/totalSalesTaxes"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#DBDBDB">
							<td width="150" height="20">
								<font size="2">Tot Taxes</font>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="center"/>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/totalTaxes"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
						<tr bgcolor="#FFFFFF">
							<td width="150" height="20">
								<font size="2">Incl Taxes</font>
							</td>
							<td width="10" height="20" align="center"/>
							<td width="45" height="20" align="center"/>
							<td width="9" height="20" align="center"/>
							<td width="74" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="$summaryInfo/totalIncludedTaxes"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="currencyAmounts" mode="beginDrawerAmounts">
		<xsl:for-each select="mopAmounts[beginDrawerAmount &gt; 0]">
			<xsl:sort select="vs:mop/@sysid" data-type="number"/>
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="150" height="20">Beginning <xsl:value-of select="vs:mop/name"/>
				</td>
				<td width="10" height="20"/>
				<td width="45" height="20" align="center"/>
				<td width="9" height="20"/>
				<td width="74" height="20" align="right">
					<nobr>
						<xsl:call-template name="amount">
							<xsl:with-param name="amt" select="beginDrawerAmount"/>
						</xsl:call-template>
					</nobr>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="currencyAmounts">
		<br/>
		<table cellspacing="0" cellpadding="0" width="607">
			<tr>
				<td>
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>
							<xsl:value-of select="vs:currency/name"/> Amounts at Close
						</b>
					</font>
				</td>
			</tr>
			<tr>
				<td width="594" height="1">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td width="150" bgcolor="#3366CC" height="20">
								<font color="#FFFFFF" size="2">
									<b>MOP</b>
								</font>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">ECR</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Actual</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Over(Short)</font>
								</b>
							</td>
						</tr>
						<xsl:for-each select="mopAmounts">
							<xsl:sort select="vs:mop/@sysid" data-type="number"/>
							<tr bgcolor="#FFFFFF">
								<xsl:choose>
									<xsl:when test="position() mod 2 &gt; 0">
										<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:apply-templates select="."/>
							</tr>
						</xsl:for-each>
						<xsl:if test="count(mopAmounts) &gt; 1">
							<tr bgcolor="#DBDBDB">
								<td height="20" bgcolor="#FFFFFF" colspan="8">
									<hr align="left" color="#DBDBDB"/>
								</td>
							</tr>
							<tr bgcolor="#FFFFFF">
								<xsl:choose>
									<xsl:when test="count(mopAmounts) mod 2 &gt; 0">
										<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:call-template name="closeMopAmounts">
									<xsl:with-param name="ecrAmount" select="sum(mopAmounts/ecrAmount)"/>
									<xsl:with-param name="mopPaid" select="sum(mopAmounts/mopPaid)"/>
									<xsl:with-param name="imbalAmount" select="sum(mopAmounts/imbalAmount)"/>
									<xsl:with-param name="mopName">Total</xsl:with-param>
								</xsl:call-template>
							</tr>
						</xsl:if>
					</table>
				</td>
			</tr>
			<xsl:if test="vs:currency/@sysid &gt; 1">
				<tr>
					<xsl:call-template name="currencyConversion"/>
				</tr>
			</xsl:if>
		</table>
	</xsl:template>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="mopAmounts">
		<xsl:call-template name="closeMopAmounts">
			<xsl:with-param name="ecrAmount" select="ecrAmount"/>
			<xsl:with-param name="mopPaid" select="mopPaid"/>
			<xsl:with-param name="imbalAmount" select="imbalAmount"/>
			<xsl:with-param name="mopName" select="vs:mop/name"/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="closeMopAmounts">
		<xsl:param name="ecrAmount"/>
		<xsl:param name="mopPaid"/>
		<xsl:param name="imbalAmount"/>
		<xsl:param name="mopName"/>
		<td width="150" height="20">
			<xsl:value-of select="$mopName"/>
		</td>
		<td width="12" height="20"/>
		<td width="75" height="20" align="right">
			<nobr>
				<xsl:call-template name="amount">
					<xsl:with-param name="amt" select="$ecrAmount"/>
				</xsl:call-template>
			</nobr>
		</td>
		<td width="12" height="20"/>
		<td width="75" height="20" align="right">
			<nobr>
				<xsl:call-template name="amount">
					<xsl:with-param name="amt" select="$mopPaid"/>
				</xsl:call-template>
			</nobr>
		</td>
		<td width="12" height="20"/>
		<td width="75" height="20" align="right">
			<nobr>
				<xsl:call-template name="amount">
					<xsl:with-param name="amt" select="$imbalAmount"/>
				</xsl:call-template>
			</nobr>
		</td>
	</xsl:template>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" name="currencyConversion">
		<table cellspacing="0" cellpadding="0" width="607">
			<tr>
				<td>
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>Currency Conversion</b>
					</font>
				</td>
			</tr>
			<tr>
				<td width="594" height="1">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td width="150" bgcolor="#3366CC" height="20">
								<font color="#FFFFFF" size="2">
									<b>Currency</b>
								</font>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Rate</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="center"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Value</font>
								</b>
							</td>
						</tr>
						<tr>
							<td width="150" height="20">
								<xsl:value-of select="vs:currency/name"/>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="sum(mopAmounts/ecrAmount)"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="exchRate">
										<xsl:with-param name="amt" select="exchangeRate"/>
									</xsl:call-template>
								</nobr>
							</td>
							<td width="12" height="20"/>
							<td width="75" height="20" align="right">
								<nobr>
									<xsl:call-template name="amount">
										<xsl:with-param name="amt" select="sum(mopAmounts/convEcrAmount)"/>
									</xsl:call-template>
								</nobr>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="amount">
		<xsl:param name="amt"/>
		<xsl:value-of select="format-number($amt,'#,##0.00')"/>
	</xsl:template>
	<xsl:template name="exchRate">
		<xsl:param name="amt"/>
		<xsl:value-of select="format-number($amt,'#,##0.000')"/>
	</xsl:template>
	<xsl:template name="volume">
		<xsl:param name="vol"/>
		<xsl:value-of select="format-number($vol,'#,##0.000')"/>
	</xsl:template>
	<xsl:template name="avgTime">
		<xsl:param name="secs"/>
		<xsl:value-of select="format-number($secs,'#,##0.00')"/>
	</xsl:template>
</xsl:transform>