<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Cashier Tracking Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				
				<xsl:apply-templates select="//t:hdr"/>
				<br/>
				
				<xsl:apply-templates select="//cashierTrackingEntry[t:register/@till != '0']"/>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="cashierTrackingEntry">
		<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
			<tr>
				<td height="23" bgcolor="#3366CC" align="center" colspan="3">
					<p align="left">
						<b>
							<font color="#FFFFFF">Cashier Tracking Information</font>
						</b>
					</p>
				</td>
			</tr>
			<tr>
				<td>
					<b>Cashier:</b>
					<xsl:value-of select="t:cashier/name"/>
				</td>
			</tr>
			<tr>
				<td>
					<b>Cashier Period Seq:</b>
					<xsl:value-of select="format-number(t:cashier/period,'000')"/>
				</td>
			</tr>
			<tr>
				<td>
					<b>Register:</b>
					<xsl:value-of select="t:register/@sysid"/>
				</td>
			</tr>
			<tr>
				<td>
					<b>Drawer:</b>
					<xsl:value-of select="t:register/@till"/>
				</td>
			</tr>

			<tr>
				<td height="10" colspan="3">
					<hr color="#FFCC00" valign="top" width="593" align="left"/>
				</td>
			</tr>
		</table>
		<table width="593px">
			<tr>
				<th colspan="5">PLU Tracking</th>
			</tr>
			<tr>
				<th colspan="5">
					<hr/>
				</th>
			</tr>
			<tr>
				<td width="150px" align="center">PLU Number</td>
				<td width="203px" align="center">Description</td>
				<td width="80px" align="right">Qty</td>
				<td width="80px" align="right">Ext. Qty</td>
				<td width="80px" align="right">Amt</td>
			</tr>
			<tr>
				<th colspan="5">
					<hr/>
				</th>
			</tr>
			<xsl:apply-templates select="t:pluTracking"/>
			<tr>
				<th colspan="5">
					<hr/>
				</th>
			</tr>
			<tr>
				<td width="150px" align="left">
					<b>Total</b>
				</td>
				<td width="203px"/>
				<td width="80px" align="right">
					<xsl:value-of select="format-number(              sum(./t:pluTracking/grossSales/qty) +              sum(./t:pluTracking/refunds/qty),'0.000')"/>
				</td>
				<td width="80px" align="right">
					<xsl:value-of select="format-number(              sum(./t:pluTracking/grossSales/extendedQty) +              sum(./t:pluTracking/refunds/extendedQty),'0.000')"/>
				</td>
				<td width="80px" align="right">

					<xsl:value-of select="format-number(              sum(./t:pluTracking/grossSales/amount) +              sum(./t:pluTracking/refunds/amount) -              sum(./t:pluTracking/discounts/amount),'0.00')"/>
				</td>
			</tr>
		</table>
		<br/>
		<table width="593px">
			<tr>
				<th colspan="7">DEPT Tracking</th>
			</tr>
			<tr>
				<th colspan="7">
					<hr/>
				</th>
			</tr>
			<tr>
				<td align="center" width="43px">Dept #</td>
				<td align="center" width="150px">Description</td>
				<td align="right" width="80px">Items</td>
				<td align="right" width="80px">Gross</td>
				<td align="right" width="80px">Refunds</td>
				<td align="right" width="80px">Discounts</td>
				<td align="right" width="80px">Net</td>
			</tr>
			<tr>
				<th colspan="7">
					<hr/>
				</th>
			</tr>
			<xsl:apply-templates select="t:deptTracking"/>
			<tr>
				<th colspan="7">
					<hr/>
				</th>
			</tr>
			<tr>
				<td align="right" width="43px" colspan="2">
					<b>Total</b>
				</td>
				<td align="right" width="80px">
					<xsl:value-of select="format-number(sum(./t:deptTracking/grossSales/qty) + sum(./t:deptTracking/refunds/qty),'0.000')"/>
				</td>
				<td align="right" width="80px">
					<xsl:value-of select="format-number(sum(./t:deptTracking/grossSales/amount),'0.00')"/>
				</td>
				<td align="right" width="80px">
					<xsl:value-of select="format-number(sum(./t:deptTracking/refunds/amount),'0.00')"/>
				</td>
				<td align="right" width="80px">
					<xsl:value-of select="format-number(sum(./t:deptTracking/discounts/amount),'0.00')"/>
				</td>
				<td align="right" width="80px">

					<xsl:value-of select="format-number(sum(./t:deptTracking/grossSales/amount) + sum(./t:deptTracking/refunds/amount) - sum(./t:deptTracking/discounts/amount),'0.00')"/>
				</td>
			</tr>
		</table>
		<br/>
		<table width="593px">
			<tr>
				<th colspan="5">CATEGORY Tracking</th>
			</tr>
			<tr>
				<td align="center" width="40px">Cat #</td>
				<td align="left" width="153px">Description</td>
				<td align="right" width="240px"/>
				<td align="right" width="80px">Qty</td>
				<td align="right" width="80px">Net</td>
			</tr>
			<tr>
				<th colspan="5">
					<hr/>
				</th>
			</tr>
			<xsl:apply-templates select="t:catTracking"/>
			<tr>
				<th colspan="5">
					<hr/>
				</th>
			</tr>
			<tr>
				<td align="right" width="40px" colspan="2">
					<b>Total</b>
				</td>
				<td align="right" width="240px"/>
				<td align="right" width="80px">
					<xsl:value-of select="format-number(sum(./t:catTracking/grossSales/qty) + sum(./t:catTracking/refunds/qty),'0.000')"/>
				</td>
				<td align="right" width="80px">

					<xsl:value-of select="format-number(sum(./t:catTracking/grossSales/amount) + sum(./t:catTracking/refunds/amount) - sum(./t:catTracking/discounts/amount),'0.00')"/>
				</td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	<xsl:template match="t:catTracking">
		<tr>
			<td align="center" width="40px">
				<xsl:value-of select="t:cat/@sysid"/>
			</td>
			<td align="left" width="153px">
				<xsl:value-of select="t:cat/name"/>
			</td>
			<td align="right" width="240px"/>
			<td align="right" width="80px">
				<xsl:value-of select="format-number(grossSales/qty + refunds/qty,'0.000')"/>
			</td>
			<td align="right" width="80px">

				<xsl:value-of select="format-number(grossSales/amount + refunds/amount - discounts/amount,'0.00')"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="t:deptTracking">
		<tr>
			<td align="center" width="43px">
				<xsl:value-of select="t:dept/@sysid"/>
			</td>
			<td align="left" width="150px">
				<xsl:value-of select="t:dept/name"/>
			</td>
			<td align="right" width="80px">
				<xsl:value-of select="format-number(grossSales/qty + refunds/qty,'0.000')"/>
			</td>
			<td align="right" width="80px">
				<xsl:value-of select="format-number(grossSales/amount,'0.00')"/>
			</td>
			<td align="right" width="80px">
				<xsl:value-of select="format-number(refunds/amount,'0.00')"/>
			</td>
			<td align="right" width="80px">
				<xsl:value-of select="format-number(discounts/amount,'0.00')"/>
			</td>
			<td align="right" width="80px">


				<xsl:value-of select="format-number(grossSales/amount + refunds/amount - discounts/amount,'0.00')"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="t:pluTracking">
		<tr>
			<td width="150px" align="center">
				<xsl:value-of select="concat(t:plu/upc,' ',t:plu/modifier)"/>
			</td>
			<td width="203px" align="center">
				<xsl:value-of select="t:plu/name"/>
			</td>
			<td width="80px" align="right">
				<xsl:value-of select="format-number(grossSales/qty + refunds/qty,'0.000')"/>
			</td>
			<td width="80px" align="right">
				<xsl:value-of select="format-number((grossSales/extendedQty + refunds/extendedQty),'0.000')"/>
			</td>
			<td width="80px" align="right">

				<xsl:value-of select="format-number((grossSales/amount + refunds/amount - discounts/amount),'0.00')"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="t:hdr">
		<xsl:variable name="periodName" select="count(vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(endDateTime)"/>
		<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
			<tr>
				<td width="350" height="1">
					<b>
						<font color="#3366CC" size="5">Cashier Tracking Report</font>
					</b>
				</td>
				<xsl:apply-templates select="/*/t:hdr/vs:site"/>
			</tr>
			<tr>
				<td width="592" height="10" colspan="3">
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
				</td>
			</tr>
		</table>
		<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
			<tr>
				<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
					<p align="left">
						<b>
							<font color="#FFFFFF">Period Information</font>
						</b>
					</p>
				</td>
				<td width="402" height="23" align="center"/>
			</tr>
			<tr>
				<td width="94" bgcolor="#DBDBDB">Open Period</td>
				<td width="8" height="20" bgcolor="#DBDBDB"/>
				<td width="200" bgcolor="#DBDBDB">
					<xsl:value-of select="concat(substring(startDateTime,1,10),'  ',substring(startDateTime,12,5))"/>
				</td>
				<td width="402" height="20"/>
			</tr>
			<tr>
				<td width="94" height="18">Close Period</td>
				<td width="8" height="18"/>
				<xsl:choose>
					<xsl:when test="$periodClose &gt; 0">
						<td width="200" align="left" height="18">
							<xsl:value-of select="concat(substring(endDateTime,1,10),'  ',substring(endDateTime,12,5))"/>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td width="112" align="left" height="18">Pending</td>
					</xsl:otherwise>
				</xsl:choose>
				<td width="402" align="left" height="18"/>
			</tr>
		</table>
	</xsl:template>
	<xsl:template match="*"/>
</xsl:transform>