<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Category Report by Register</title>
				<STYLE>UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1"><b><font color="#3366CC" size="5">Category Report by Register</font></b></td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3"><hr color="#FFCC00" valign="top" width="632" align="left"/></td>
					</tr>
				</table>
				
				<xsl:apply-templates select="/*/vs:period"/>

				
				<br/>
					<table cellspacing="0" cellpadding="0" width="163">
						<tr>
							<td width="857"><font face="Trebuchet MS" color="#3366CC" size="3"><b>All registers</b></font></td>
						</tr>
						<tr>
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="539" height="100">
								<tr align="right">
									<td width="44" bgcolor="#3366CC" height="20"><font color="#FFFFFF" size="2"><b>Cat#</b></font></td>
									<td width="12" bgcolor="#3366CC" height="20"/>
									<td width="147" bgcolor="#3366CC" height="20" align="left"><b><font color="#FFFFFF">Description</font></b></td>
									<td width="12" bgcolor="#3366CC" height="20"/>
									<td width="50" bgcolor="#3366CC" height="20"><b><font color="#FFFFFF">Cust#</font></b></td>
									<td width="13" bgcolor="#3366CC" height="20"/>
									<td width="63" bgcolor="#3366CC" height="20"><font color="#FFFFFF"><b>Items</b></font></td>
									<td width="15" bgcolor="#3366CC" height="20"/>
									<td width="73" bgcolor="#3366CC" height="20"><font color="#FFFFFF"><b>% of Sales</b></font></td>
									<td width="14" bgcolor="#3366CC" height="20"/>
									<td bgcolor="#3366CC" height="20" width="74"><b><font color="#FFFFFF">Net Sales</font></b></td>
								</tr>
								<xsl:variable name="TotItems" select="sum(//totals/categoryInfo/itemCount)"/>
								<xsl:variable name="TotPctOfSales" select="sum(//totals/categoryInfo/percentOfSales)"/>
								<xsl:variable name="TotNetSales" select="sum(//totals/categoryInfo/netSales)"/>
								<xsl:for-each select="//totals/categoryInfo/vs:categoryBase/@sysid">
								<xsl:sort select="." data-type="number"/>
								<xsl:variable name="totDpt" select="."/>
								<tr align="right">
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<td><nobr><xsl:value-of select="."/></nobr></td>
									<td/>
									<td align="left"><nobr><xsl:value-of select="//totals/categoryInfo/vs:categoryBase[@sysid = $totDpt]/name"/></nobr></td>
									<td/>
									<td><nobr><xsl:value-of select="format-number(//totals/categoryInfo[vs:categoryBase[@sysid = $totDpt]]/netSales/count,'#,##0.00')"/></nobr></td>
									<td/>
									<td><nobr><xsl:value-of select="format-number(//totals/categoryInfo[vs:categoryBase[@sysid = $totDpt]]/netSales/itemCount, '#,##0.00')"/></nobr></td>
									<td/>
									<td><xsl:value-of select="format-number(//totals/categoryInfo[vs:categoryBase[@sysid = $totDpt]]/percentOfSales, '#,##0.00')"/></td>
									<td/>
									<td><nobr><xsl:value-of select="format-number(//totals/categoryInfo[vs:categoryBase[@sysid = $totDpt]]/netSales/amount, '#,##0.00')"/></nobr></td>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="11"><hr color="#DBDBDB"/></td>
							</tr>
							<tr align="right">
								<td>Totals</td>
								<td colspan="5"/>
								<td><nobr><xsl:value-of select="format-number(//totals/total/itemCount, '#,##0.00')"/></nobr></td>
								<td/>
								<td><nobr><xsl:value-of select="format-number(//totals/total/percentOfSales, '#,##0.00')"/></nobr></td>
								<td/>
								<td><nobr><xsl:value-of select="format-number(//totals/total/netSales, '#,##0.00')"/></nobr></td>
							</tr>
						</table>
					</tr>
				</table>
				
				<xsl:variable name="reg" select="//byRegister/vs:register/@sysid[not(.=preceding::vs:register/@sysid)]"/>
				<xsl:for-each select="$reg">
					<xsl:sort select="." data-type="number"/>
					<xsl:variable name="meReg" select="."/>
					<br/>
					<hr color="#FFCC00" valign="top" width="539" align="left"/>
					<table cellspacing="0" cellpadding="0">
						<tr>
						<td>
							<p>
							<font face="Trebuchet MS" size="3" color="#3366CC">
								<xsl:variable name="ticketRange" select="count(//byRegister[vs:register/@sysid=$meReg]/ticketRange)"/>
								<xsl:choose>
								
								<xsl:when test="$meReg = 2">
								<b>All Attendants Indoor</b>
								</xsl:when>
								<xsl:when test="$meReg = 4">
								<b>All Attendants Outdoor</b>
								</xsl:when>
									<xsl:when test="$meReg = 9">
										<b>All DCRs </b>
									</xsl:when>
									<xsl:otherwise>
										<b>Register  <xsl:value-of select="$meReg"/></b>
									</xsl:otherwise>
								</xsl:choose>
                                <xsl:for-each select="//byRegister[vs:register/@sysid=$meReg]/ticketRange">
								 <tr>
								   <td>								
								     <xsl:choose>
									     <xsl:when test="$ticketRange&gt; 0">
										     <font size="2" color="#3366CC"> Receipt # 
											 <xsl:value-of select="begin"/> - 
											 <xsl:value-of select="end"/>
											 </font>
									     </xsl:when>
								     </xsl:choose>
								   </td>
                                 </tr>
                                </xsl:for-each>							
							</font>
							</p>
						</td>
						</tr>

						<tr>
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="539" height="100">
								<tr align="right">
									<td width="44" bgcolor="#3366CC" height="20"><font color="#FFFFFF" size="2"><b>Cat#</b></font></td>
									<td width="12" bgcolor="#3366CC" height="20"/>
									<td width="147" bgcolor="#3366CC" height="20" align="center"><b><font color="#FFFFFF">Description</font></b></td>
									<td width="12" bgcolor="#3366CC" height="20"/>
									<td width="50" bgcolor="#3366CC" height="20"><b><font color="#FFFFFF">Cust#</font></b></td>
									<td width="13" bgcolor="#3366CC" height="20"/>
									<td width="63" bgcolor="#3366CC" height="20"><font color="#FFFFFF"><b>Items</b></font></td>
									<td width="15" bgcolor="#3366CC" height="20"/>
									<td width="73" bgcolor="#3366CC" height="20"><font color="#FFFFFF"><b>% of Sales</b></font></td>
									<td width="14" bgcolor="#3366CC" height="20"/>
									<td bgcolor="#3366CC" height="20" width="74"><b><font color="#FFFFFF">Net Sales</font></b></td>
								</tr>
								<xsl:variable name="dpt" select="//byRegister[vs:register/@sysid=$meReg]/categoryInfo/vs:categoryBase/@sysid[not(.=preceding::byRegister[vs:register/@sysid=$meReg]/categoryInfo/vs:categoryBase/@sysid)]"/>
								<xsl:variable name="rTotItems" select="sum(//byRegister[vs:register/@sysid=$meReg]/categoryInfo/itemCount)"/>
								
								<xsl:variable name="rTotNetSales" select="sum(//byRegister[vs:register/@sysid=$meReg]/categoryInfo/netSales)"/>
								
								<xsl:for-each select="$dpt">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="meDpt" select="."/>
									<tr align="right">
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td><xsl:value-of select="$meDpt"/></td>
										<td/>
										<td align="left"><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/categoryInfo/vs:categoryBase[@sysid=$meDpt]/name"/></nobr></td>
										<td/>
										<td><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/categoryInfo[vs:categoryBase[@sysid=$meDpt]]/netSales/count, '#,##0.00')"/></nobr></td>
										<td/>
										<td><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/categoryInfo[vs:categoryBase[@sysid=$meDpt]]/netSales/itemCount,'#,##0.00')"/></nobr></td>
										<td/>
										<td><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/categoryInfo[vs:categoryBase[@sysid=$meDpt]]/percentOfSales, '#,##0.00')"/></nobr></td>
										<td/>
										<td><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/categoryInfo[vs:categoryBase[@sysid=$meDpt]]/netSales/amount, '#,##0.00')"/></nobr></td>
									</tr>
								</xsl:for-each>
								<tr>
									<td colspan="11"><hr color="#DBDBDB"/></td>
								</tr>
								<tr align="right">
									<td><nobr>Totals</nobr></td>
									<td colspan="5"/>
									<td><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/itemCount, '#,##0.00')"/></nobr></td>
									<td/>
									<td><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/percentOfSales, '#,##0.00')"/></nobr></td>
									<td/>
									<td><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/netSales, '#,##0.00')"/></nobr></td>
								</tr>
							</table>
						</tr>
					</table>
				</xsl:for-each>
				<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr/>
					<tr>
						<td width="100%">
							<font size="1">* Registers without activity have been omitted from this report</font>
						</td>
					</tr>
				</table>
				<p/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>