<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="vs:site">
		<table style="font-family: Trebuchet MS; font-size: 10pt">
			<td align="right" width="600">
				Store Number:  <xsl:value-of select="//vs:site"/>
			</td>
		<xsl:if test="@locationId !=''">
		<tr>
			<td align="right" width="600">
				Location ID:  <xsl:value-of select="@locationId"/>
			</td>
		</tr>
		</xsl:if>
	</table>	
	</xsl:template>	
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" match="vs:period">
		<xsl:param name="desc">Period Information</xsl:param>
		<xsl:variable name="periodName" select="count(@name)"/>
		<xsl:variable name="periodClose" select="count(@periodEndDate)"/>		
		<xsl:variable name="periodClose2" select="count(//t:hdr/endDateTime)"/>	
		<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
			<tr>
				<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
					<p align="left">
						<b>
							<font color="#FFFFFF">
								<xsl:value-of select="$desc"/>
							</font>
						</b>
					</p>
				</td>
				<td width="402" height="23" align="center"/>
			</tr>
			<tr>
				<td width="112">Period</td>
				<td width="8" height="20"/>
				<xsl:choose>
					<xsl:when test="$periodClose &gt; 0 or $periodClose2 &gt; 0">
						
						<td>
							<font size="2">Closed -</font>
							<xsl:choose>
								<xsl:when test="$periodName &gt; 0">
									
									<font size="2">
										<xsl:value-of select="@name"/> - </font>
								</xsl:when>
								<xsl:otherwise>
									
									<font size="2">
										<xsl:value-of select="@periodType"/> - </font>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="@periodSeqNum">
									<font size="2"><xsl:value-of select="@periodSeqNum"/></font>			
								</xsl:when>						
								<xsl:otherwise>
									<font size="2"><xsl:value-of select="//t:hdr/seq"/></font>
								</xsl:otherwise>
							</xsl:choose>		
						</td>
					</xsl:when>
					<xsl:otherwise>
						
						<td>
							<font size="2">Current - </font>
							<xsl:choose>
								<xsl:when test="$periodName &gt; 0">
									
									<font size="2">
										<xsl:value-of select="@name"/> - </font>
								</xsl:when>
								<xsl:otherwise>
									
									<font size="2">
										<xsl:value-of select="@periodType"/> - </font>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:choose>
								<xsl:when test="@periodSeqNum">
									<font size="2"><xsl:value-of select="@periodSeqNum"/></font>			
								</xsl:when>						
								<xsl:otherwise>
									<font size="2"><xsl:value-of select="//t:hdr/seq"/></font>
								</xsl:otherwise>
							</xsl:choose>
						</td>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
			<tr>
				<td width="94" bgcolor="#DBDBDB">Open Period</td>
				<td width="8" height="20" bgcolor="#DBDBDB"/>
				<td width="200" bgcolor="#DBDBDB">
					<xsl:choose>
						<xsl:when test="@periodBeginDate">
							<font size="2"><xsl:value-of select="concat(substring(@periodBeginDate,1,10),'  ',substring(@periodBeginDate,12,5))"/></font>			
						</xsl:when>						
						<xsl:otherwise>
							<font size="2"><xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/></font>
						</xsl:otherwise>
					</xsl:choose>					
				</td>
				<td width="402" height="20"/>
			</tr>
			<tr>
				<td width="94" height="18">Close Period</td>
				<td width="8" height="18"/>
				<xsl:choose>
					<xsl:when test="$periodClose &gt; 0 or $periodClose2 &gt; 0">
						<td width="200">
							<xsl:choose>
								<xsl:when test="@periodEndDate">
									<font size="2"><xsl:value-of select="concat(substring(@periodEndDate,1,10),'  ',substring(@periodEndDate,12,5))"/></font>			
								</xsl:when>						
								<xsl:otherwise>
									<font size="2"><xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/></font>

								</xsl:otherwise>
							</xsl:choose>	
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td width="112" align="left" height="18">Pending</td>
					</xsl:otherwise>
				</xsl:choose>
				<td width="402" align="left" height="18"/>
			</tr>
		</table> 
	</xsl:template>	
</xsl:transform>