<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>

		<html>
			<head>
				<title>Hourly Customer Count</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Hourly Customer Count</font>
							</b>
						</td>
							<xsl:apply-templates select="/*/t:hdr/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>


				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
	
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				<br/>
				<br/>
				<br/>



			<xsl:variable name="hourInfo" select="//hourDesignation/@sysid[not(.=preceding::hourDesignation/@sysid)]"/>
			<xsl:variable name="minInfo" select="//hourDesignation/minutesDesignation/@sysid[not(.=preceding::hourDesignation/minutesDesignation/@sysid)]"/>
			<xsl:variable name="locInfo" select="//location[not(.=preceding::location)]"/>
			<xsl:variable name="cashierInfo" select="//t:cashier/@sysid[not(.=preceding::t:cashier/@sysid)]"/>







		<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				
				<tr><td colspan="4"><font size="2"><b>Total Customer Count</b></font> 
				<hr color="#FFCC00" valign="top" width="632" align="left"/></td></tr>

				<tr bgcolor="#3366CC" height="1" align="left">	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Hour</p></font></td>	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Total $ Sales</p></font></td>
								<td/>
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Customer Count</p></font></td>						
				</tr>														
  							<tr>
										 <td align="right"><p><br/></p></td> 
						      </tr>


				<xsl:for-each select="$hourInfo">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="thisHour" select="."/>
				
	
						<xsl:for-each select="$minInfo">
						<xsl:sort select="." data-type="number"/>
						<xsl:variable name="thisMin" select="."/>
						<xsl:variable name="thisCount" select="sum(//hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/custCount)"/>
						<xsl:variable name="thisTotal" select="sum(//hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/custCount)"/>
						<xsl:variable name="thisSalesAmount" select="format-number(sum(//hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/salesAmount), '$#,##0.00')"/>


						
						  <tr valign="middle">
							    <td align="center" valign="middle"><xsl:choose>
										<xsl:when test="$thisHour = 12">
											<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> PM				
										</xsl:when>
										<xsl:when test="$thisHour &gt;= 13">
											<xsl:value-of select="($thisHour -12)"/>:<xsl:value-of select="$thisMin"/> PM 
										</xsl:when>
										<xsl:when test="$thisHour = 0">
											<xsl:value-of select="($thisHour + 12)"/>:<xsl:value-of select="$thisMin"/> AM
										</xsl:when>
										<xsl:otherwise>
											<xsl:choose>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 2))">
													<xsl:value-of select="substring($thisHour, 2,1)"/>:<xsl:value-of select="$thisMin"/> AM 												</xsl:when>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 1))">
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM 															</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM 		
												</xsl:otherwise>
											</xsl:choose>
										</xsl:otherwise> 
									</xsl:choose>
								</td>
								<td align="right" valign="middle" width="60">
									<xsl:value-of select="$thisSalesAmount"/>
								</td>
								<td width="10"/> 
							    <td valign="middle">


        <table border="1" height="16" align="left" bgcolor="#000000"><xsl:attribute name="width"><xsl:value-of select="$thisCount * 2.5"/></xsl:attribute>
	<tr><td width="100%"/></tr></table>

        
        
           <xsl:value-of select="$thisCount"/>

			</td></tr>
				</xsl:for-each>									
				</xsl:for-each>
				</table>
				<br/>
				<br/>
				
				
				



		<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				
				<tr><td colspan="4"><font size="2"><b>Customer Count by Location</b></font> 
				<hr color="#FFCC00" valign="top" width="632" align="left"/></td></tr>
				<tr bgcolor="#3366CC" height="1" align="left">	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Hour</p></font></td>	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Total $ Sales</p></font></td>
								<td/>
								<td align="left"><font color="#FFFFFF" style="font-weight: bold;"><p>Customer Count</p></font></td>						
				</tr>														

				<xsl:for-each select="$locInfo">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="thisLoc" select="."/>
<tr>
	<td colspan="2">
	
	
	<xsl:value-of select="concat( translate(substring($thisLoc,1,1) ,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'),substring($thisLoc,2) )"/>
	
	
	</td>
</tr>

				<xsl:for-each select="$hourInfo">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="thisHour" select="."/>
				
	
						<xsl:for-each select="$minInfo">
						<xsl:sort select="." data-type="number"/>
						<xsl:variable name="thisMin" select="."/>
						<xsl:variable name="thisCount" select="sum(//cashierHours[location=$thisLoc]/hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/custCount)"/>
						<xsl:variable name="thisTotal" select="sum(//cashierHours[location=$thisLoc]/hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/custCount)"/>
						<xsl:variable name="thisSalesAmount" select="format-number(sum(//cashierHours[location=$thisLoc]/hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/salesAmount), '$#,##0.00')"/>



						
						  <tr>
							    <td align="center"><xsl:choose>
										<xsl:when test="$thisHour = 12">
											<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> PM				
										</xsl:when>
										<xsl:when test="$thisHour &gt;= 13">
											<xsl:value-of select="($thisHour -12)"/>:<xsl:value-of select="$thisMin"/> PM 
										</xsl:when>
										<xsl:when test="$thisHour = 0">
											<xsl:value-of select="($thisHour + 12)"/>:<xsl:value-of select="$thisMin"/> AM
										</xsl:when>
										<xsl:otherwise>
											<xsl:choose>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 2))">
													<xsl:value-of select="substring($thisHour, 2,1)"/>:<xsl:value-of select="$thisMin"/> AM 												</xsl:when>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 1))">
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM															</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM 		
												</xsl:otherwise>
											</xsl:choose>
										</xsl:otherwise> 
									</xsl:choose>
								</td>
							    <td align="right" valign="middle" width="60">
									<xsl:value-of select="$thisSalesAmount"/>
								</td>
								<td width="10"/> 
							    <td>




        <table border="1" height="16" align="left" bgcolor="#000000"><xsl:attribute name="width"><xsl:value-of select="$thisCount * 2.5"/></xsl:attribute>
	<tr><td width="100%"/></tr></table>

	<xsl:value-of select="$thisCount"/>

			</td></tr>
				</xsl:for-each>									
				</xsl:for-each>									
				</xsl:for-each>
				</table>
				<br/>
				
				<br/>









				

			<table width="232" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				

				<tr><td colspan="4"><font size="2"><b>Cashier Count Detail</b></font> 
													
				<hr color="#FFCC00" valign="top" width="100%" align="left"/></td></tr>

			
							<tr colspan="4" bgcolor="#3366CC" height="1" align="left">	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Time</p></font></td>									<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Total $ Sales</p></font></td>
								<td/>
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Count</p></font></td>
							</tr>														


			<xsl:for-each select="$cashierInfo">
				<xsl:sort select="." data-type="number"/>
							<xsl:variable name="thisCashier" select="."/>
							<xsl:variable name="thisTotal" select="sum(//cashierHours[t:cashier/@sysid=$thisCashier]/hourDesignation/minutesDesignation/custCount)"/>
							<xsl:variable name="thisTotalSales" select="format-number(sum(//cashierHours[t:cashier/@sysid=$thisCashier]/hourDesignation/minutesDesignation/salesAmount), '$#,##0.00')"/>



								  <tr>
							    <td colspan="3">Cashier <xsl:value-of select="$thisCashier"/> - <xsl:value-of select="//t:cashier[@sysid=$thisCashier]/name"/> </td>
							    </tr>

									
				<xsl:for-each select="$hourInfo">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="thisHour" select="."/>
				
	
						<xsl:for-each select="$minInfo">
						<xsl:sort select="." data-type="number"/>
						<xsl:variable name="thisMin" select="."/>
						
						<xsl:variable name="thisCount" select="sum(//cashierHours[t:cashier/@sysid=$thisCashier]/hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/custCount)"/>
						<xsl:variable name="thisSalesAmount" select="format-number(sum(//cashierHours[t:cashier/@sysid=$thisCashier]/hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/salesAmount), '$#,##0.00')"/>

							<tr>

							    <td align="center"><xsl:choose>
										<xsl:when test="$thisHour = 12">
											<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> PM				
										</xsl:when>
										<xsl:when test="$thisHour &gt;= 13">
											<xsl:value-of select="($thisHour -12)"/>:<xsl:value-of select="$thisMin"/> PM 
										</xsl:when>
										<xsl:when test="$thisHour = 0">
											<xsl:value-of select="($thisHour + 12)"/>:<xsl:value-of select="$thisMin"/> AM
										</xsl:when>
										<xsl:otherwise>
											<xsl:choose>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 2))">
													<xsl:value-of select="substring($thisHour, 2,1)"/>:<xsl:value-of select="$thisMin"/> AM 												</xsl:when>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 1))">
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM 															</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM 		
												</xsl:otherwise>
											</xsl:choose>
										</xsl:otherwise> 
									</xsl:choose>
								 </td>
							     <td align="right" valign="middle" width="60">
									<xsl:value-of select="$thisSalesAmount"/>
								</td>
								<td width="10"/> 
							    <td align="right"><xsl:value-of select="$thisCount"/></td>
									
							</tr>
									
									
				</xsl:for-each>
				</xsl:for-each>
							<tr>
										 <td colspan="4"><hr/></td> 
						      </tr>

							<tr>
										 <td align="center">Total</td>
										 <td align="right" valign="middle" width="60"> <xsl:value-of select="$thisTotalSales"/></td> 
										 <td align="right" width="10"/>
										 <td align="right"> <xsl:value-of select="$thisTotal"/></td> 
						      </tr>

							<tr>
										 <td align="right"><p><br/></p></td> 
						      </tr>

				</xsl:for-each>

				</table>
				<br/>







			<table width="232" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				

				<tr><td colspan="4"><font size="2"><b>Totals</b></font> 
													
				<hr color="#FFCC00" valign="top" width="100%" align="left"/></td></tr>

			
							<tr colspan="4" bgcolor="#3366CC" height="1" align="left">	
								<td align="center"><font color="#FFFFFF" style="font-weight: bold;"><p>Time</p></font></td>									<td align="center" nowrap="true"><font color="#FFFFFF" style="font-weight: bold;"><p>Total $ Sales</p></font></td>
								<td/>
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Count</p></font></td>
							</tr>														

							<xsl:variable name="thisTotal" select="sum(//cashierHours/hourDesignation/minutesDesignation/custCount)"/>
							<xsl:variable name="thisTotalSales" select="format-number(sum(//cashierHours/hourDesignation/minutesDesignation/salesAmount), '$#,##0.00')"/>


									
				<xsl:for-each select="$hourInfo">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="thisHour" select="."/>
				
	
						<xsl:for-each select="$minInfo">
						<xsl:sort select="." data-type="number"/>
						<xsl:variable name="thisMin" select="."/>
						
						<xsl:variable name="thisCount" select="sum(//cashierHours/hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/custCount)"/>
						<xsl:variable name="thisSalesAmount" select="format-number(sum(//cashierHours/hourDesignation[@sysid=$thisHour]/minutesDesignation[@sysid=$thisMin]/salesAmount), '$#,##0.00')"/>

							<tr>

							    <td align="center"><xsl:choose>
										<xsl:when test="$thisHour = 12">
											<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> PM				
										</xsl:when>
										<xsl:when test="$thisHour &gt;= 13">
											<xsl:value-of select="($thisHour -12)"/>:<xsl:value-of select="$thisMin"/> PM 
										</xsl:when>
										<xsl:when test="$thisHour = 0">
											<xsl:value-of select="($thisHour + 12)"/>:<xsl:value-of select="$thisMin"/> AM
										</xsl:when>
										<xsl:otherwise>
											<xsl:choose>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 2))">
													<xsl:value-of select="substring($thisHour, 2,1)"/>:<xsl:value-of select="$thisMin"/> AM												</xsl:when>
												<xsl:when test="(($thisHour &lt; 10) and (string-length($thisHour) = 1))">
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM															</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="$thisHour"/>:<xsl:value-of select="$thisMin"/> AM 		
												</xsl:otherwise>
											</xsl:choose>
										</xsl:otherwise> 
									</xsl:choose>
								</td>
								<td align="right" valign="middle" width="60">
									<xsl:value-of select="$thisSalesAmount"/>
								</td>
								<td width="10"/> 
							    <td align="right"><xsl:value-of select="$thisCount"/></td>
									
							</tr>
									
									
				</xsl:for-each>
				</xsl:for-each>
							<tr>
										 <td colspan="4"><hr/></td> 
						      </tr>

							<tr>
										 <td align="center">Total</td>
										 <td align="right" valign="middle" width="60"> <xsl:value-of select="$thisTotalSales"/></td> 
										 <td align="right" width="10"/>
										 <td align="right"> <xsl:value-of select="$thisTotal"/></td> 
						      </tr>

							<tr>
										 <td align="right"><p><br/></p></td> 
						      </tr>

				</table>
				<br/>




				
				
				
			</body>
		</html>
	</xsl:template>
</xsl:transform>