<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Carwash Pay Point Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Carwash Pay Point Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="550">
							<xsl:call-template name="cwPaypoints">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	
	
	
	<xsl:template name="cwPaypoints">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:variable name="cwns" select="ext:node-set($inputDoc/pd:cwPaypointPd)"/>
		
		<xsl:if test="not ($ns//cwPaypointTotals)">
			<tr>
				<td width="550" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="550" align="left"/>
				</td>
			</tr>
			<tr>
				<td width="275" align="left">NO DATA AVAILABLE</td>
			</tr>
			<tr>
				<td width="550" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="550" align="left"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$ns//cwPaypointTotals">
				<xsl:apply-templates select="$cwns/cwPaypointTotals"> 
					<xsl:sort order="ascending" select="format-number(number(./paypointID),'00')"/> 
				</xsl:apply-templates>

				<xsl:call-template name="reconciliationSummary">
					<xsl:with-param name="cwns" select="."/>
				</xsl:call-template>

				<xsl:call-template name="reconciliationSummaryTotals">
					<xsl:with-param name="cwns" select="."/>
				</xsl:call-template>

		</xsl:if>
	</xsl:template>
		
		
	
		
	
	<xsl:template match="cwPaypointTotals">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
			
			<tr>
				<td width="550" colspan="6" align="left">
					<b>
						<font>Pay Point Number <xsl:value-of select="./paypointID"/></font>
					</b>	
				</td>
			</tr>
			
			
			
			<tr>
				
				<td width="50" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Wash</font>
					</b>
				</td>
				
				<td width="100" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Total Wash</font>
					</b>
				</td>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">POS Sales</font>
					</b>
				</td>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Console Sales</font>
					</b>
				</td>
			</tr>
			<tr>
				
				<td width="50" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Id</font>
					</b>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Activations</b>
					</font>
				</td>	
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Count</font>
					</b>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Amount</font>
					</b>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Count</font>
					</b>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Amount</font>
					</b>
				</td>
			</tr>
			<xsl:for-each select=".//washDetails">
				<xsl:sort order="ascending" select="format-number(number(./washID),'00')"/>
				<tr>
					<xsl:choose>
						
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="50" align="left">
						<nobr>
							<xsl:value-of select="./washID"/>
						</nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>
							<xsl:value-of select="./countWashActivations"/>
						</nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>
							<xsl:value-of select="./posTotals/count"/>
						</nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./posTotals/amount,'##,##0.00')"/></nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>
							<xsl:value-of select="./consoleTotals/count"/>
						</nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./consoleTotals/amount,'##,##0.00')"/></nobr>
					</td>
				</tr>
			</xsl:for-each>
			
			<tr>
				<td width="550" height="1" colspan="6">
					<hr color="#000000" valign="top" width="550" align="left"/>
				</td>
			</tr>
				
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td width="50" align="left">Totals </td>
				
				<td width="100" align="right">
					<nobr>
						<xsl:value-of select="sum(.//washDetails//countWashActivations)"/>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>
						<xsl:value-of select="sum(.//washDetails//posTotals/count)"/>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(.//washDetails//posTotals/amount),'##,##0.00')"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>
						<xsl:value-of select="sum(.//washDetails//consoleTotals/count)"/>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(.//washDetails//consoleTotals/amount),'##,##0.00')"/></nobr>
				</td>
			</tr>
			
			<tr>
				<td width="550" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="550" align="left"/></td>
			</tr>



			
 			
			
			<tr>
				
				<td width="50" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Wash</font>
					</b>
				</td>
				
				<td width="100" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Total Wash</font>
					</b>
				</td>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Cash</b>
					</font>
				</td>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Credit</b>
					</font>
				</td>
			</tr>
			<tr>
				
				<td width="50" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Id</font>
					</b>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Sales</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Count</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Amount</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Count</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Amount</b>
					</font>
				</td>
			</tr>
			
			
			<xsl:for-each select=".//washDetails">
				<xsl:sort order="ascending" select="format-number(number(./washID),'00')"/>
				<tr>
					<xsl:choose>
						
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="50" align="left">
						<nobr>
							<xsl:value-of select="./washID"/>
						</nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>
							<xsl:value-of select="./countSalesPaypoint"/>
						</nobr>
					</td>
					
					<td width="100" align="right">
						<nobr><xsl:value-of select="./cashSalesPaypoint/count"/></nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./cashSalesPaypoint/amount,'##,##0.00')"/></nobr>
					</td>
					
					<td width="100" align="right">
						<nobr><xsl:value-of select="./creditSalesPaypoint/count"/></nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./creditSalesPaypoint/amount,'##,##0.00')"/></nobr>
					</td>
				</tr>
			</xsl:for-each>
			
			<tr>
				<td width="550" height="1" colspan="6">
					<hr color="#000000" valign="top" width="550" align="left"/>
				</td>
			</tr>
				
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td width="50" align="left">Totals </td>
				
				<td width="100" align="right">
					<nobr>
						<xsl:value-of select="sum(.//washDetails//countSalesPaypoint)"/>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr><xsl:value-of select="sum(.//washDetails//cashSalesPaypoint/count)"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(.//washDetails//cashSalesPaypoint/amount),'##,##0.00')"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr><xsl:value-of select="sum(.//washDetails//creditSalesPaypoint/count)"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(.//washDetails//creditSalesPaypoint/amount),'##,##0.00')"/></nobr>
				</td>
			</tr>
			
			<tr>
				<td width="550" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="550" align="left"/></td>
			</tr>

			
 			
			
			<tr>
				
				<td width="50" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Wash</font>
					</b>
				</td>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Other</b>
					</font>
				</td>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Upgrades</b>
					</font>
				</td>
			</tr>
			<tr>
				
				<td width="50" align="left" bgcolor="#3366CC" height="1">
					<b>
						<font color="#FFFFFF">Id</font>
					</b>
				</td>
				
				<td width="100" colspan="1" align="left" bgcolor="#3366CC" height="1"/>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Count</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Amount</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Count</b>
					</font>
				</td>
				
				<td width="100" align="right" bgcolor="#3366CC" height="1">
					<font color="#FFFFFF">
						<b>Amount</b>
					</font>
				</td>
			</tr>
			
			
			<xsl:for-each select=".//washDetails">
				<xsl:sort order="ascending" select="format-number(number(./washID),'00')"/>
				<tr>
					<xsl:choose>
						
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="50" align="left">
						<nobr>
							<xsl:value-of select="./washID"/>
						</nobr>
					</td>
					
					<td width="100" colspan="1" align="left"/>
					
					<td width="100" align="right">
						<nobr><xsl:value-of select="./otherSalesPaypoint/count"/></nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./otherSalesPaypoint/amount,'##,##0.00')"/></nobr>
					</td>
					
					<td width="100" align="right">
						<nobr><xsl:value-of select="./upgradesPaypoint/count"/></nobr>
					</td>
					
					<td width="100" align="right">
						<nobr>$<xsl:value-of select="format-number(./upgradesPaypoint/amount,'##,##0.00')"/></nobr>
					</td>
				</tr>
			</xsl:for-each>
			
			<tr>
				<td width="550" height="1" colspan="6">
					<hr color="#000000" valign="top" width="550" align="left"/>
				</td>
			</tr>
				
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td width="50" align="left">Totals </td>
				
				<td width="100" colspan="1" align="left"/>
				
				<td width="100" align="right">
					<nobr><xsl:value-of select="sum(.//washDetails//otherSalesPaypoint/count)"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(.//washDetails//otherSalesPaypoint/amount),'##,##0.00')"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr><xsl:value-of select="sum(.//washDetails//upgradesPaypoint/count)"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(sum(.//washDetails//upgradesPaypoint/amount),'##,##0.00')"/></nobr>
				</td>
			</tr>
			
			<tr>
				<td width="550" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="550" align="left"/></td>
			</tr>


	</xsl:template>


	
	
	
	<xsl:template name="reconciliationSummary">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
			<tr>
			<td width="550" colspan="6" align="left">
				<b>
					<font>Reconciliation Summary</font>
				</b>	
			</td>
		</tr>
		<tr>
			<td width="50" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Pay Point</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Bills In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Coins In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Coupons In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Tokens In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Coins Out</b></font>
			</td>
		</tr>
		<xsl:for-each select=".//cwPaypointTotals">
			<xsl:sort order="ascending" select="format-number(number(./paypointID),'00')"/>
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td width="50" align="left">
					<nobr>
						<xsl:value-of select="./paypointID"/>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./received/amountBills,'##,##0.00')"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./received/amountCoins,'##,##0.00')"/></nobr>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="./received/countCoupons"/>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="./received/countTokens"/>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./dispensed/amountCoins,'##,##0.00')"/></nobr>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	
	<xsl:template name="reconciliationSummaryTotals">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
			
			<tr>
				<td width="550" height="1" colspan="6">
					<hr color="#000000" valign="top" width="550" align="left"/>
				</td>
			</tr>
				
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td width="50" align="left">Totals </td>
				
				<td width="100" align="right">
					<nobr>
					<nobr>$<xsl:value-of select="format-number(sum(//received/amountBills),'##,##0.00')"/></nobr>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>
					<nobr>$<xsl:value-of select="format-number(sum(//received/amountCoins),'##,##0.00')"/></nobr>
					</nobr>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="sum(//received/countCoupons)"/>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="sum(//received/countTokens)"/>
				</td>
				
				<td width="100" align="right">
					<nobr>
					<nobr>$<xsl:value-of select="format-number(sum(//dispensed/amountCoins),'##,##0.00')"/></nobr>
					</nobr>
				</td>
			</tr>
	</xsl:template>

</xsl:transform>