<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="http://xml.apache.org/xalan" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts-xalan.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Carwash Pay Point Reconciliation Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Carwash Pay Point Reconciliation Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
							<xsl:call-template name="cwPaypoints">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	
	
	
	<xsl:template name="cwPaypoints">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
		<xsl:variable name="cwns" select="ext:nodeset($inputDoc/pd:cwPaypointReconciliation)"/>
		
		<xsl:if test="not ($ns//totals)">
			<tr>
				<td width="600" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="600" align="left"/>
				</td>
			</tr>
			<tr>
				<td width="275" align="left">NO DATA AVAILABLE</td>
			</tr>
			<tr>
				<td width="600" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="600" align="left"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$ns//totals">

				<xsl:call-template name="reconciliationSummary">
					<xsl:with-param name="cwns" select="."/>
				</xsl:call-template>

				<xsl:call-template name="reconciliationSummaryTotals">
					<xsl:with-param name="cwns" select="."/>
				</xsl:call-template>

		</xsl:if>
	</xsl:template>
		

	
	
	
	<xsl:template name="reconciliationSummary">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
			<tr>
			<td width="700" colspan="7" align="left">
				<b>
					<font>Reconciliation Summary</font>
				</b>	
			</td>
		</tr>
		<tr>
			<td width="50" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Pay Point</b></font>
			</td>
			<td width="150" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Last Event Date</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Bills In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Coins In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Coupons In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Tokens In</b></font>
			</td>
			<td width="100" align="right" bgcolor="#3366CC">
				<font color="#FFFFFF"><b>Coins Out</b></font>
			</td>
		</tr>
		<xsl:for-each select=".//totals">
			<xsl:sort order="ascending" select="format-number(number(./paypointID),'00')"/>
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td width="50" align="left">
					<nobr>
						<xsl:value-of select="./paypointID"/>
					</nobr>
				</td>
				
				<td width="150" align="right" colspan="1">
					<nobr>
						<xsl:value-of select="concat(substring(./dateTime,1,10),'  ',substring(./dateTime,12,5))"/>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./received/amountBills,'##,##0.00')"/></nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./received/amountCoins,'##,##0.00')"/></nobr>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="./received/countCoupons"/>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="./received/countTokens"/>
				</td>
				
				<td width="100" align="right">
					<nobr>$<xsl:value-of select="format-number(./dispensed/amountCoins,'##,##0.00')"/></nobr>
				</td>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	
	<xsl:template name="reconciliationSummaryTotals">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
			
			<tr>
				<td width="700" height="1" colspan="7">
					<hr color="#000000" valign="top" width="600" align="left"/>
				</td>
			</tr>
				
			<tr>
				<xsl:choose>
					
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td width="200" colspan="2" align="left">Totals </td>
				
				<td width="100" align="right">
					<nobr>
					<nobr>$<xsl:value-of select="format-number(sum(//received/amountBills),'##,##0.00')"/></nobr>
					</nobr>
				</td>
				
				<td width="100" align="right">
					<nobr>
					<nobr>$<xsl:value-of select="format-number(sum(//received/amountCoins),'##,##0.00')"/></nobr>
					</nobr>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="sum(//received/countCoupons)"/>
				</td>
				
				<td width="100" align="right">
						<xsl:value-of select="sum(//received/countTokens)"/>
				</td>
				
				<td width="100" align="right">
					<nobr>
					<nobr>$<xsl:value-of select="format-number(sum(//dispensed/amountCoins),'##,##0.00')"/></nobr>
					</nobr>
				</td>
			</tr>
	</xsl:template>

</xsl:transform>