<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	  <xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">			
			
		<html>
			<head>
				<title>DCR Statistical  Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">DCR Statistical Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="531">	
							<xsl:apply-templates select="//totals"/>
							<xsl:apply-templates select="//totals/total"/>
						</table>
						
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	

	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="totals">
	<tr>
		<td width="84" bgcolor="#3366CC" height="1" align="right"><b><font color="#FFFFFF">DCR Number</font></b></td>
		<td width="6" bgcolor="#3366CC" height="1"/>
		<td width="68" bgcolor="#3366CC" height="1" align="right"><b><font color="#FFFFFF"># of Sales</font></b></td>
		<td width="10" bgcolor="#3366CC" height="1"/>
		<td width="53" bgcolor="#3366CC" height="1" align="right"><font color="#FFFFFF"><b>Amount</b></font></td>
		<td width="8" bgcolor="#3366CC" height="1"/>
		<td width="53" bgcolor="#3366CC" height="1" align="right"><font color="#FFFFFF"><b>Volume</b></font></td>
		<td width="10" bgcolor="#3366CC" height="1"/>
		<td width="55" bgcolor="#3366CC" height="1" align="right"><font color="#FFFFFF"><b>Pump %</b></font></td>
		<td width="9" bgcolor="#3366CC" height="1"/>
		<td width="68" bgcolor="#3366CC" height="1" align="right"><b><font color="#FFFFFF">All DCR %</font></b></td>
		<td width="9" bgcolor="#3366CC" height="1"/>
		<td width="136" bgcolor="#3366CC" height="1" align="right"><b><font color="#FFFFFF">All Fuel %</font></b></td>
	</tr>											
		<xsl:for-each select="//totals/dcrStat/dcrNum">
		   <xsl:sort select="."/>
			<xsl:variable name="totDCR" select="."/>
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td align="right"><xsl:apply-templates select="."/></td>
				<td/>
				<td align="right"><xsl:apply-templates select="following-sibling::dcrSale/count"/></td>
				<td/>
				<td align="right"><xsl:apply-templates select="following-sibling::dcrSale/amount"/></td>
				<td/>
				<td align="right"><xsl:apply-templates select="following-sibling::dcrSale/volume"/></td>
				<td/>				
				<td align="right"><xsl:apply-templates select="following-sibling::thisFpPct"/></td>
				<td/>
				<td align="right"><xsl:apply-templates select="following-sibling::allDcrPct"/></td>
				<td/>
				<td align="right"><xsl:apply-templates select="following-sibling::allFpPct"/></td>
			</tr>			
		</xsl:for-each>	
	</xsl:template>	
	
	<xsl:template match="//totals/total">		
		<tr>
			<td colspan="13" width="593">			
				<hr color="#DBDBDB" valign="top" width="593" align="left"/>
			</td>
		</tr>

		<tr>
			<td>Total</td>
			<td/>
			<td align="right"><xsl:apply-templates select="./count"/></td>
			<td/>
			<td align="right"><xsl:apply-templates select="./amount"/></td>
			<td/>
			<td align="right"><xsl:apply-templates select="./volume"/></td>
			<td/>				
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
		</tr>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="dcrNum">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>
	
	
	<xsl:template match="count">
		<nobr><xsl:value-of select="."/></nobr>		
	</xsl:template>
	
	
	<xsl:template match="amount">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="volume">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>
	
	
	<xsl:template match="thisFpPct">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>

	
	<xsl:template match="allDcrPct">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>
	
	
	<xsl:template match="allFpPct">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>	
</xsl:transform>