<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	 <xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Deal Report</title>
				<STYLE>UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr>
						<td width="490">
							<b>
								<font color="#3366CC" size="5">Deal Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<hr color="#FFCC00" valign="top" width="632" align="left"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<font face="Trebuchet MS" size="3" color="#3366CC">
								<p>
									<b>Combo Deals</b>
								</p>
							</font>
						</td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628">
							<tr>
								<td width="55" bgcolor="#3366CC">
									<p align="left">
										<font color="#FFFFFF" size="2">
											<b>Promotion ID</b>
										</font>
									</p>
								</td>
								<td width="55" bgcolor="#3366CC" align="left">
									<b>
										<font color="#FFFFFF">Description</font>
									</b>
								</td>
								<td width="35" bgcolor="#3366CC" align="right">
									<b>
										<font color="#FFFFFF">Cust#</font>
									</b>
								</td>
								<td width="35" bgcolor="#3366CC" align="right">
									<font color="#FFFFFF">
										<b>Combo#</b>
									</font>
								</td>
								<td width="65" bgcolor="#3366CC" align="right">
									<nobr>
										<font color="#FFFFFF">
											<b>Total Sales</b>
										</font>
									</nobr>
								</td>
								<td width="10" align="right"/>
							</tr>
							<xsl:for-each select="//dealInfo[vs:dealBase/@xsi:type='vs:comboBase']">
								<tr bgcolor="#FFFFFF">
									<td align="left" width="15">
										<xsl:value-of select="vs:dealBase/@promotionid"/>
									</td>
									<td width="55" align="left">
										<nobr>
											<xsl:value-of select="vs:dealBase/name"/>
										</nobr>
									</td>
									<td width="35" align="right">
										<nobr>
											<xsl:value-of select="netSales/count"/>
										</nobr>
									</td>
									<td width="35" align="right">
										<nobr>
											<xsl:value-of select="netSales/itemCount"/>
										</nobr>
									</td>
									<td width="65" align="right">
										<nobr>
											<xsl:value-of select="format-number(netSales/amount,'##,##0.00')"/>
										</nobr>
									</td>
									<td width="10" align="right"/>
								</tr>
							</xsl:for-each>
							<tr>
								<td height="10" colspan="5">
									<hr color="#DBDBDB" valign="top" width="632" align="left"/>
								</td>
							</tr>
							<tr>
								<td width="15" align="right"/>
								<td width="55">
									<b>Total</b>
								</td>
								<td width="35" align="right">
									<nobr>
										<xsl:value-of select="sum(//dealInfo[vs:dealBase/@xsi:type='vs:comboBase']/netSales/count)"/>
									</nobr>
								</td>
								<td width="35" align="right">
									<nobr>
										<xsl:value-of select="sum(//dealInfo[vs:dealBase/@xsi:type='vs:comboBase']/netSales/itemCount)"/>
									</nobr>
								</td>
								<td width="65" align="right">
									<nobr>
										<xsl:value-of select="format-number(sum(//dealInfo[vs:dealBase/@xsi:type='vs:comboBase']/netSales/amount),'##,##0.00')"/>
									</nobr>
								</td>
								<td width="10" align="right"/>
							</tr>
						</table>
					</tr>
					<tr>
						<br/>
						<hr color="#FFCC00" valign="top" width="632" align="left"/>
						<br/>
					</tr>
					<tr>
						<table cellspacing="0" cellpadding="0">
							<tr>
								<td>
									<font face="Trebuchet MS" size="3" color="#3366CC">
										<p>
											<b>Mix-Match Deals</b>
										</p>
									</font>
								</td>
							</tr>
							<tr>
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628">
									<tr>
										<td width="55" bgcolor="#3366CC" align="left">
											<font color="#FFFFFF" size="2">
												<b>Promotion ID</b>
											</font>
										</td>
										<td width="55" bgcolor="#3366CC" align="left">
											<b>
												<font color="#FFFFFF">Description</font>
											</b>
										</td>
										<td width="35" bgcolor="#3366CC" align="right">
											<b>
												<font color="#FFFFFF">Cust#</font>
											</b>
										</td>
										<td width="35" bgcolor="#3366CC" align="right">
											<font color="#FFFFFF">
												<b>Match#</b>
											</font>
										</td>
										<td width="65" bgcolor="#3366CC" align="right">
											<nobr>
												<font color="#FFFFFF">
													<b>Total Sales</b>
												</font>
											</nobr>
										</td>
										<td width="10" align="right"/>
									</tr>
									<xsl:for-each select="//dealInfo[vs:dealBase/@xsi:type='vs:matchBase']">
										<tr bgcolor="#FFFFFF">
											<td width="15" align="left">
												<xsl:value-of select="vs:dealBase/@promotionid"/>
											</td>
											<td width="55" align="left">
												<nobr>
													<xsl:value-of select="vs:dealBase/name"/>
												</nobr>
											</td>
											<td width="35" align="right">
												<nobr>
													<xsl:value-of select="netSales/count"/>
												</nobr>
											</td>
											<td width="35" align="right">
												<nobr>
													<xsl:value-of select="netSales/itemCount"/>
												</nobr>
											</td>
											<td width="65" align="right">
												<nobr>
													<xsl:value-of select="format-number(netSales/amount,'##,##0.00')"/>
												</nobr>
											</td>
											<td width="10" align="right"/>
										</tr>
									</xsl:for-each>
									<tr>
										<td colspan="5">
											<hr color="#DBDBDB" valign="top" width="632" align="left"/>
										</td>
									</tr>
									<tr>
										<td width="15" align="right"/>
										<td width="55">
											<b>Total</b>
										</td>
										<td width="35" align="right">
											<nobr>
												<xsl:value-of select="sum(//dealInfo[vs:dealBase/@xsi:type='vs:matchBase']/netSales/count)"/>
											</nobr>
										</td>
										<td width="35" align="right">
											<nobr>
												<xsl:value-of select="sum(//dealInfo[vs:dealBase/@xsi:type='vs:matchBase']/netSales/itemCount)"/>
											</nobr>
										</td>
										<td width="65" align="right">
											<nobr>
												<xsl:value-of select="format-number(sum(//dealInfo[vs:dealBase/@xsi:type='vs:matchBase']/netSales/amount),'##,##0.00')"/>
											</nobr>
										</td>
										<td width="10" align="right"/>
									</tr>
								</table>
							</tr>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:transform>