<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Department Report by Register</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Department Report by Register</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>

								
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>All registers</b>
							</font>
						</td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628" height="53">							<tr>
								<td width="35" bgcolor="#3366CC" height="1">
									<p align="right">
										<font color="#FFFFFF" size="2">
											<b>Dept#</b>
										</font>
									</p>
								</td>
								
								<td width="6" bgcolor="#3366CC" height="1"/>
								
								<td width="55" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Description</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1"/>

								<td width="35" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Cust#</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="34" bgcolor="#3366CC" height="1" align="right">
									
										<font color="#FFFFFF">
											<b>Items</b>
										</font>
									
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="69" bgcolor="#3366CC" height="1" align="right">
									<font color="#FFFFFF">
										<b>% of Sales</b>
									</font>
								</td>

								<td width="35" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="50" bgcolor="#3366CC" height="1" align="right">
										<font color="#FFFFFF">
											<b>Gross</b>
										</font>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>

								<td width="62" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Refunds</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="63" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Discounts</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>

								
								<td width="62" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Net Sales</font>
									</b>
								</td>
							</tr>
							
							<xsl:variable name="TotItems" select="sum(//totals/deptInfo/netSales/itemCount)"/>
							<xsl:variable name="TotPctOfSales" select="sum(//totals/deptInfo/percentOfSales)"/>
							<xsl:variable name="TotGross" select="sum(//totals/deptInfo/grossSales)"/>
							<xsl:variable name="TotRefunds" select="sum(//totals/deptInfo/refunds/amount)"/>
							<xsl:variable name="TotDiscounts" select="sum(//totals/deptInfo/discounts/total/amount)"/>
							<xsl:variable name="TotNetSales" select="sum(//totals/deptInfo/netSales/amount)"/>


							<xsl:for-each select="//totals/deptInfo/vs:deptBase/@sysid">
								<xsl:sort select="." data-type="number"/>
								<xsl:variable name="totDpt" select="."/>
								<tr>
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<td width="35" height="1" align="right"><nobr>
										<xsl:value-of select="."/></nobr>
									</td>

									<td width="6" height="1" align="center"/>
									
									<td width="85" height="1" align="left">
										<nobr><xsl:value-of select="//totals/deptInfo/vs:deptBase[@sysid = $totDpt]/name"/></nobr>
									</td>
									
									<td width="6" height="1" align="center"/>

									<td width="35" height="1" align="right">
										<nobr><xsl:value-of select="//totals/deptInfo[vs:deptBase[@sysid = $totDpt]]/netSales/count"/></nobr>
									</td>

									<td width="6" height="1" align="center"/>

									<td width="34" height="1" align="right">
										<font size="2">
											<nobr><xsl:value-of select="//totals/deptInfo[vs:deptBase[@sysid = $totDpt]]/netSales/itemCount"/></nobr>
										</font>
									</td>
									
									<td width="6" height="1" align="center"/>

									<td width="49" height="1" align="right">
										<nobr><xsl:value-of select="format-number(//totals/deptInfo[vs:deptBase[@sysid = $totDpt]]/percentOfSales,'##,##0.00')"/></nobr></td>							
									
									<td width="6" height="1" align="center"/>

									<td width="50" height="1" align="right">
										<nobr><xsl:value-of select="format-number(//totals/deptInfo[vs:deptBase[@sysid = $totDpt]]/grossSales,'##,##0.00')"/></nobr>
									</td>
									
									<td width="6" height="1" align="center"/>

									<td width="62" height="1" align="right">
										<nobr><xsl:value-of select="format-number(//totals/deptInfo[vs:deptBase[@sysid = $totDpt]]/refunds/amount,'##,##0.00')"/></nobr>
									</td>
									
									<td width="6" height="1" align="center"/>

									<td width="63" height="1" align="right">
										<nobr><xsl:value-of select="format-number(//totals/deptInfo[vs:deptBase[@sysid = $totDpt]]/discounts/total/amount,'##,##0.00')"/></nobr>
									</td>
									
									<td width="6" height="1" align="center"/>

									<td width="62" height="1" align="right">
										<nobr><xsl:value-of select="format-number(//totals/deptInfo[vs:deptBase[@sysid = $totDpt]]/netSales/amount,'##,##0.00')"/></nobr>
									</td>
								</tr>
							</xsl:for-each>
						<tr>
							<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
						</tr>
						<tr>
							<td width="35" height="1">Neg</td>
							<td width="6" height="1" align="center"/>							
							<td width="85" height="1" align="left"/>
							<td width="6" height="1" align="center"/>									
							<td width="35" height="1" align="left"/>
							<td width="6" height="1" align="center"/>
							<td width="34" height="1" align="right"><font size="2"><nobr><xsl:value-of select="//totals/negative/itemCount"/></nobr></font></td>							
							<td width="6" height="1" align="center"/>
							<td width="49" height="1" align="center"/>				
							<td width="6" height="1" align="center"/>
							<td width="50" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/negative/grossSales,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/negative/refunds,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="63" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/negative/discounts,'##,##0.00')"/></nobr></td>					
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/negative/netSales,'##,##0.00')"/></nobr></td>
						</tr>
						<tr>
							<td width="35" height="1">Other	</td>
							<td width="6" height="1" align="center"/>
							<td width="85" height="1" align="left"/>
							<td width="6" height="1" align="center"/>									
							<td width="35" height="1" align="left"><nobr/></td>
							<td width="6" height="1" align="center"/>
							<td width="34" height="1" align="right"><font size="2"><nobr><xsl:value-of select="//totals/other/itemCount"/></nobr></font></td>							
							<td width="6" height="1" align="center"/>
							<td width="49" height="1" align="center"/>													
							<td width="6" height="1" align="center"/>
							<td width="50" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/other/grossSales,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/other/refunds,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="63" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/other/discounts,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/other/netSales,'##,##0.00')"/></nobr></td>						
						</tr>
						<tr>
							<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
						</tr>
						<tr>
							<td width="35" height="1">Totals	</td>
							<td width="6" height="1" align="center"/>
							<td width="85" height="1" align="left"/>
							<td width="6" height="1" align="center"/>																
							<td width="35" height="1" align="left"/>
							<td width="6" height="1" align="center"/>
							<td width="34" height="1" align="right"><font size="2"><nobr><xsl:value-of select="//totals/total/itemCount"/></nobr></font></td>							
							<td width="6" height="1" align="center"/>
							<td width="49" height="1" align="right">
								<nobr>
										<xsl:choose>
											<xsl:when test="//totals/total/percentOfSales">
												<xsl:value-of select="format-number(//totals/total/percentOfSales,'##,##0.00')"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="format-number(0,'0.00')"/>
											</xsl:otherwise>
										</xsl:choose>
								</nobr>
							</td>														
							<td width="6" height="1" align="center"/>
							<td width="50" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/total/grossSales,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/total/refunds,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="63" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/total/discounts,'##,##0.00')"/></nobr></td>						
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//totals/total/netSales,'##,##0.00')"/></nobr></td>
						</tr>
					</table>
				</tr>					
			</table>

				<xsl:variable name="reg" select="//byRegister/vs:register/@sysid[not(.=preceding::vs:register/@sysid)]"/>
				<xsl:for-each select="$reg">
					<xsl:sort select="." data-type="number"/>
					<xsl:variable name="meReg" select="."/>
					<br/>
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
					<table cellspacing="0" cellpadding="0">						
						<tr>
						<td>
							<p>
							<font face="Trebuchet MS" size="3" color="#3366CC">
								<xsl:variable name="ticketRange" select="count(//byRegister[vs:register/@sysid=$meReg]/ticketRange)"/>
								<xsl:choose>
								
								<xsl:when test="$meReg = 2">
								 <b>All Attendants Indoor</b>
								</xsl:when>
								<xsl:when test="$meReg = 4">
								 <b>All Attendants Outdoor</b>
								</xsl:when>
									<xsl:when test="$meReg = 9">
										<b>All DCRs </b>
									</xsl:when>
									<xsl:otherwise>
										<b>Register  <xsl:value-of select="$meReg"/></b>
									</xsl:otherwise>
								</xsl:choose>										
								<xsl:for-each select="//byRegister[vs:register/@sysid=$meReg]/ticketRange">
								    <tr>
								      <td>								
								         <xsl:choose>
									         <xsl:when test="$ticketRange&gt; 0">
										     <font size="2" color="#3366CC"> Receipt # 
											 <xsl:value-of select="begin"/> - 
											 <xsl:value-of select="end"/>
											 </font>
									        </xsl:when>
								         </xsl:choose>
								      </td>
                                    </tr>
                                </xsl:for-each>									
							 </font>
							</p>
						</td>
						</tr>

						<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628" height="53">							<tr>
								<td width="35" bgcolor="#3366CC" height="1">
									<p align="right"><font color="#FFFFFF" size="2"><b>Dept#</b></font></p>
								</td>
								
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="55" bgcolor="#3366CC" height="1">
									<b>
										<font color="#FFFFFF">Description</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>

								<td width="35" bgcolor="#3366CC" height="1">
									<b>
										<font color="#FFFFFF">Cust#</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="34" bgcolor="#3366CC" height="1" align="right">
										<font color="#FFFFFF">
											<b>Items</b>
										</font>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="69" bgcolor="#3366CC" height="1" align="right">
									<font color="#FFFFFF">
										<b>% of Sales</b>
									</font>
								</td>

								<td width="35" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="50" bgcolor="#3366CC" height="1" align="right">
										<font color="#FFFFFF">
											<b>Gross</b>
										</font>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>

								<td width="62" bgcolor="#3366CC" height="1">
									<b>
										<font color="#FFFFFF">Refunds</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								
								<td width="63" bgcolor="#3366CC" height="1">
									<b>
										<font color="#FFFFFF">Discounts</font>
									</b>
								</td>

								<td width="6" bgcolor="#3366CC" height="1" align="center"/>

								
								<td width="62" bgcolor="#3366CC" height="1">
									<b>
										<font color="#FFFFFF">Net Sales</font>
									</b>
								</td>
							</tr>

							<xsl:variable name="dpt" select="//byRegister[vs:register/@sysid=$meReg]/deptInfo/vs:deptBase/@sysid[not(.=preceding::byRegister[vs:register/@sysid=$meReg]/deptInfo/vs:deptBase/@sysid)]"/>
							<xsl:variable name="rTotItems" select="sum(//byRegister[vs:register/@sysid=$meReg]/deptInfo/netSales/itemCount)"/>

							<xsl:variable name="rTotGross" select="sum(//byRegister[vs:register/@sysid=$meReg]/deptInfo/grossSales)"/>
							<xsl:variable name="rTotRefunds" select="sum(//byRegister[vs:register/@sysid=$meReg]/deptInfo/refunds/amount)"/>
							<xsl:variable name="rTotDiscounts" select="sum(//byRegister[vs:register/@sysid=$meReg]/deptInfo/discounts/total/amount)"/>
							<xsl:variable name="rTotNetSales" select="sum(//byRegister[vs:register/@sysid=$meReg]/deptInfo/netSales/amount)"/>


								
								<xsl:for-each select="$dpt">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="meDpt" select="."/>
									<tr>
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td width="35" height="1">
											<p align="right">
												<xsl:value-of select="$meDpt"/>
											</p>
										</td>
										
										<td width="6" height="1" align="center"/>

										<td width="85" height="1">
											<p align="right"><nobr>
												<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/deptInfo/vs:deptBase[@sysid=$meDpt]/name"/></nobr>
											</p>
										</td>
	
										<td width="6" height="1" align="center"/>

										<td width="35" height="1">
											<p align="right">
												<nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/deptInfo[vs:deptBase[@sysid=$meDpt]]/netSales/count"/></nobr>
											</p>
										</td>

										<td width="6" height="1" align="center"/>								
										
										<td width="34" height="1" align="left">
											<p align="right">
												<nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/deptInfo[vs:deptBase[@sysid=$meDpt]]/netSales/itemCount"/></nobr>
											</p>
										</td>
	
										<td width="6" height="1" align="center"/>
																					
										<td width="49" height="1">
											<p align="right">
												<nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/deptInfo[vs:deptBase[@sysid=$meDpt]]/percentOfSales,'##,##0.00')"/></nobr></p>
										</td>
										
										<td width="6" height="1" align="center"/>
										
										<td width="50" height="1">
											<p align="right">
												<nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/deptInfo[vs:deptBase[@sysid=$meDpt]]/grossSales,'##,##0.00')"/></nobr>
											</p>
										</td>

										<td width="6" height="1" align="center"/>							
										
										<td width="62" height="1">
											<p align="right">
												<nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/deptInfo[vs:deptBase[@sysid=$meDpt]]/refunds/amount,'##,##0.00')"/></nobr>
											</p>
										</td>

										<td width="6" height="1" align="center"/>
										
										<td width="63" height="1">
											<p align="right">
												<nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/deptInfo[vs:deptBase[@sysid=$meDpt]]/discounts/total/amount,'##,##0.00')"/></nobr>
											</p>
										</td>

										<td width="6" height="1" align="center"/>

										<td width="62" height="1">
											<p align="right">
												<nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/deptInfo[vs:deptBase[@sysid=$meDpt]]/netSales/amount,'##,##0.00')"/></nobr>
											</p>
										</td>
									</tr>
								</xsl:for-each>
						
						<tr>
							<td height="10" colspan="17">
								<hr color="#DBDBDB" valign="top" width="632" align="left"/>
							</td>
						</tr>
						<tr>
							<td width="35" height="1">Neg</td>
							<td width="6" height="1" align="center"/>							
							<td width="85" height="1" align="left"/>
							<td width="6" height="1" align="center"/>									
							<td width="35" height="1" align="left"><nobr/></td>
							<td width="6" height="1" align="center"/>
							<td width="34" height="1" align="right"><font size="2"><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/negative/itemCount"/></nobr></font></td>							
							<td width="6" height="1" align="center"/>
							<td width="49" height="1" align="center"><nobr/></td>				
							<td width="6" height="1" align="center"/>
							<td width="50" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/negative/grossSales,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/negative/refunds,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="63" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/negative/discounts,'##,##0.00')"/></nobr></td>					
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/negative/netSales,'##,##0.00')"/></nobr></td>
						</tr>
						<tr>
							<td width="35" height="1">Other	</td>
							<td width="6" height="1" align="center"/>
							<td width="85" height="1" align="left"/>
							<td width="6" height="1" align="center"/>									
							<td width="35" height="1" align="left"/>
							<td width="6" height="1" align="center"/>
							<td width="34" height="1" align="right"><font size="2"><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/other/itemCount"/></nobr></font></td>							
							<td width="6" height="1" align="center"/>
							<td width="49" height="1" align="center"/>													
							<td width="6" height="1" align="center"/>
							<td width="50" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/other/grossSales,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/other/refunds,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="63" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/other/discounts,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/other/netSales,'##,##0.00')"/></nobr></td>						
						</tr>
						<tr>
							<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="632" align="left"/></td>
						</tr>
						<tr>
							<td width="35" height="1">Totals	</td>
							<td width="6" height="1" align="center"/>
							<td width="85" height="1" align="left"/>
							<td width="6" height="1" align="center"/>																
							<td width="35" height="1" align="left"><nobr/></td>
							<td width="6" height="1" align="center"/>
							<td width="34" height="1" align="right"><font size="2"><nobr><xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/itemCount"/></nobr></font></td>							
							<td width="6" height="1" align="center"/>
							<td width="49" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/percentOfSales,'##,##0.00')"/></nobr></td>														
							<td width="6" height="1" align="center"/>
							<td width="50" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/grossSales,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/refunds,'##,##0.00')"/></nobr></td>							
							<td width="6" height="1" align="center"/>
							<td width="63" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/discounts,'##,##0.00')"/></nobr></td>						
							<td width="6" height="1" align="center"/>
							<td width="62" height="1" align="right"><nobr><xsl:value-of select="format-number(//byRegister[vs:register/@sysid=$meReg]/total/netSales,'##,##0.00')"/></nobr></td>
						</tr>


							</table>
						</tr>
						
					</table>
				</xsl:for-each>
				<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr/>
					<tr>	<td width="100%"><font size="1">* Registers without activity have been omitted from this report</font></td></tr>
				</table>
				<p/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>