<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="http://xml.apache.org/xalan" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts-xalan.xslt"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Electronic Check Settlement Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="4">Electronic Check Settlement Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="300">
							<xsl:call-template name="batchTotals">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="650">
							<xsl:call-template name="detailsHeader">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="650">  
							<xsl:apply-templates select="//details">
								<xsl:sort order="ascending" select="format-number(number(./batchTransNumber),'00')">
								</xsl:sort>
							</xsl:apply-templates>
						</table>  
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="batchTotals">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>

		<xsl:choose>
			<xsl:when test="$ns//ecaTotals/count=0 and $ns//nonEcaTotals/count=0 and $ns//declineTotals/count=0">
		<tr>
			<td width="150" align="left" colspan="3">NO DATA AVAILABLE</td>
		</tr>
			</xsl:when>
			<xsl:otherwise>
		
		<tr>
			<td width="150" align="left">Merchant Number</td>
			<td width="150" align="left" colspan="2"><xsl:value-of select="$ns//merchantId"/></td>
		</tr>
		<tr>
			<td width="150" align="left">Merchant Name</td>
			<td width="150" align="left" colspan="2"><xsl:value-of select="$ns//merchantName"/></td>
		</tr>
		<tr>
			
			<td width="300" height="1" colspan="3"><hr color="#FFFFFF" valign="top" width="300" align="left"/></td>
		</tr>
		<tr>
			<td width="300" colspan="3" bgcolor="#3366CC" align="left"><font color="#FFFFFF"><b>Check Batch #<xsl:value-of select="format-number($ns//batchNumber,'000')"/> Totals</b></font></td>
		</tr>
		<tr>
			
			<td width="300" height="1" colspan="3"><hr color="#FFFFFF" valign="top" width="300" align="left"/></td>
		</tr>
		<tr>
			<td width="150" colspan="1" align="left"> </td>
			<td width="50" align="left">Count</td>
			<td width="100" align="right">Amount</td>
		</tr>
		<tr>
			
			<td width="300" height="1" colspan="3"><hr color="#000000" valign="top" width="300" align="left"/></td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="150" align="left">Electronic Checks</td>
			<td width="50" align="left"><xsl:value-of select="$ns//ecaTotals/count"/></td>
			<td width="100" align="right"><xsl:value-of select="format-number($ns//ecaTotals/amount,'$##,##0.00')"/></td>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
		</tr>
		<tr>
			<td width="150" align="left">Approved Non ECA</td>
			<td width="50" align="left"><xsl:value-of select="$ns//nonEcaTotals/count"/></td>
			<td width="100" align="right"><xsl:value-of select="format-number($ns//nonEcaTotals/amount,'$##,##0.00')"/></td>
		</tr>
		<tr>
			
			<td width="300" height="1" colspan="3"><hr color="#000000" valign="top" width="300" align="left"/></td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="150" align="left">Total Checks</td>
			<td width="50" align="left"><xsl:value-of select="$ns//ecaTotals/count+$ns//nonEcaTotals/count"/></td>
			<td width="100" align="right"><xsl:value-of select="format-number($ns//ecaTotals/amount+$ns//nonEcaTotals/amount,'$##,##0.00')"/></td>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
		</tr>
		<tr>
			<td width="150" align="left">Declines</td>
			<td width="50" align="left"><xsl:value-of select="$ns//declineTotals/count"/></td>
			<td width="100" align="right"><xsl:value-of select="format-number($ns//declineTotals/amount,'$##,##0.00')"/></td>
		</tr>
		<tr>
			
			<td width="300" height="1" colspan="3"><hr color="#FFFFFF" valign="top" width="300" align="left"/></td>
		</tr>
			</xsl:otherwise>
		</xsl:choose>  
	</xsl:template>

	<xsl:template name="detailsHeader">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
		<xsl:if test="$ns//details">
			<tr>
				<td width="650" colspan="9" bgcolor="#3366CC" align="left"><font color="#FFFFFF">
				<b>Check Batch #<xsl:value-of select="format-number($ns//batchNumber,'000')"/> Detail</b>
			      </font></td>
			</tr>
			<tr>
				
				<td width="650" height="1" colspan="9">
				<hr color="#FFFFFF" valign="top" width="650" align="left"/></td>
			</tr>
			<tr>
				<td width="75" align="left">Batch Tran</td>
				<td width="50" align="left">Date</td>
				<td width="75" align="left">Time</td>
				<td width="75" align="left">Term</td>
				<td width="75" align="left">Cashier</td>
				<td width="50" align="left">Type</td>
				<td width="100" align="left">Check #</td>
				<td width="75" align="left">Approval</td>
				<td width="75" align="right">Amount</td>
			</tr>
			<tr>
				
				<td width="650" height="1" colspan="9">
				<hr color="#000000" valign="top" width="650" align="left"/></td>
			</tr>
		</xsl:if>
	</xsl:template>

	
	<xsl:template match="details">
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="75" align="left"><xsl:value-of select="./batchTransNumber"/></td>
			<td width="50" align="left">
			  <xsl:value-of select="substring(./dateTime,1,2)"/>-<xsl:value-of select="substring(./dateTime,3,2)"/></td>
			<td width="75" align="left">
			  <xsl:value-of select="substring(./dateTime,5,2)"/>:<xsl:value-of select="substring(./dateTime,7,2)"/>
			  </td>
			<td width="75" align="left"><xsl:value-of select="./registerNumber"/></td>
			<td width="75" align="left"><xsl:value-of select="./cashierNumber"/></td>
			<xsl:choose>
				<xsl:when test="./tranType = 'S' ">
					<td width="50" align="left">Sale</td>
				</xsl:when>
				<xsl:otherwise>
					<td width="50" align="left">Void</td>
				</xsl:otherwise>
			</xsl:choose>
			<td width="100" align="left"><xsl:value-of select="./checkNumber"/></td>
			<td width="75" align="left"><xsl:value-of select="./approvalCode"/></td>
			<td width="75" align="right"><xsl:value-of select="format-number(./amount,'$##,##0.00')"/></td>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
		</tr>
		<tr>
			<td width="275" colspan="4" align="left">Trace # <xsl:value-of select="./traceID"/></td>
			<td width="375" colspan="5" align="left">Receipt # <xsl:value-of select="./ticketNumber"/></td>
		</tr>
	</xsl:template>

</xsl:transform>