<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="http://xml.apache.org/xalan" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts-xalan.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>E-Safe Cashier Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">E-Safe Cashier Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:call-template name="header">
					<xsl:with-param name="inputDoc" select="."/>
				</xsl:call-template>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
							<xsl:call-template name="eSafeTopLevel">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>

	
	
	
	<xsl:template name="eSafeTopLevel">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
		<xsl:variable name="esns" select="ext:nodeset($inputDoc/pd:eSafeCashierPd)"/>
		<xsl:variable name="safeType" select=".//safeType/@sysid"/>
		
		 <xsl:choose>
			  <xsl:when test="$safeType=1">
			  
			  <tr>
				<td width="600" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="600" align="left"/></td>
			</tr>
					<td width="500" align="left"><b><font color="#3366CC" size="3">TIDEL SENTINEL E-SAFE DOES NOT SUPPORT CASHIER TOTALS</font></b>
					</td>
			  </xsl:when>
			  <xsl:otherwise>
					  
						<xsl:if test="not ($ns//totalsBySafe) and not($ns//dropsBySafe)">
							<tr>
								<td width="600" height="1" colspan="1">
									<hr color="#3366CC" size="5" valign="top" width="600" align="left"/>
								</td>
							</tr>
							<tr>
								<td width="275" align="left">NO DATA AVAILABLE</td>
							</tr>
							<tr>
								<td width="600" height="1" colspan="1">
									<hr color="#3366CC" size="5" valign="top" width="600" align="left"/>
								</td>
							</tr>
						</xsl:if>
			 
		<xsl:if test="($ns//totalsBySafe)">
				<xsl:call-template name="totalsBySafeMiscData">
					<xsl:with-param name="esns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="totalsBySafeMops">
					<xsl:with-param name="esns" select="."/>
				</xsl:call-template>
		</xsl:if>
		<xsl:if test="($ns//dropsBySafe)">
				<xsl:call-template name="totalsByPosMops">
					<xsl:with-param name="esns" select="."/>
				</xsl:call-template>
		</xsl:if>
		<xsl:if test="($ns//totalsBySafe) or ($ns//dropsBySafe)">
				<xsl:call-template name="totalsGrandTotals">
					<xsl:with-param name="esns" select="."/>
				</xsl:call-template>
			</xsl:if>
			 </xsl:otherwise>
        </xsl:choose>
	</xsl:template>
		
	
		
	
	<xsl:template name="totalsBySafeMiscData">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">E-Safe</font></b>
				</td>
				
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Number of</font></b>
				</td>
				
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Unrecognized</font>	</b>
				</td>
				
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Unverified</font></b>
				</td>
				
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1"/>
			</tr>
			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Id</font></b>
				</td>
				
				<td width="125" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Envelopes</font></b>
				</td>
				
				<td width="125" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Bills</font></b>
				</td>
				
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Cash Ratio</font></b>
				</td>
				
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1"/>
			</tr>
			
			<xsl:for-each select="//totalsBySafe">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
				<tr>
					<xsl:choose>
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="100" colspan="2" align="left">
						<nobr>
							<xsl:value-of select="@sysid"/>
						</nobr>
					</td>	
					
					<td width="125" align="right">
						<nobr>
							<xsl:value-of select="./totals/envelopeCount"/>
						</nobr>
					</td>	
					
					<td width="125" align="right">
						<nobr>
							<xsl:value-of select="./unrecognizedBillCount"/>
						</nobr>
					</td>
					
					<td width="125" align="right">
						<nobr>
							<xsl:value-of select="./totals/unverifiedCashRatio"/> %
						</nobr>
					</td>
					
					<td width="125" colspan="1" align="right"/>
				</tr>
			</xsl:for-each>

			<xsl:if test="count(//totalsBySafe/totals) &gt; 1">
				
				<tr>
					<td width="600" height="1" colspan="6">
						<hr color="#000000" valign="top" width="600" align="left"/>
					</td>
				</tr>
				<tr>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					
					<td width="100" colspan="2" align="left">Totals</td>
					
					<td width="125" align="right">
						<nobr>
							<xsl:value-of select="sum(//totalsBySafe/totals/envelopeCount)"/>
						</nobr>
					</td>	
					
					<td width="125" align="right">
						<nobr>
							<xsl:value-of select="sum(//totalsBySafe/unrecognizedBillCount)"/>
						</nobr>
					</td>
					
					<td width="250" colspan="2" align="right"/>
				</tr>
			</xsl:if>
			
			
			<tr>
				<td width="600" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="600" align="left"/></td>
			</tr>
	</xsl:template>


	
		
	
	<xsl:template name="totalsBySafeMops">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
			
 			
			
			<xsl:variable name="countEnvMops" select="count( //totals/envelopeByMop[not(./name=preceding::totals/envelopeByMop/name)] )"/>
			<xsl:variable name="countCassMops" select="count( //totals/cassetteByMop[not(./name=preceding::totals/cassetteByMop/name)] )"/>
			<xsl:variable name="totCounts" select="($countEnvMops + $countCassMops)"/>
			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">E-Safe</font></b>
				</td>
				<xsl:for-each select="//totals/envelopeByMop[not(./name=preceding::totals/envelopeByMop/name)]">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					
					<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
						<b><font color="#FFFFFF">Envelope</font></b>
					</td>	
				</xsl:for-each>
				<xsl:for-each select="//totals/cassetteByMop[not(./name=preceding::totals/cassetteByMop/name)]">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					
					<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
						<b><font color="#FFFFFF">Cassette</font></b>
					</td>	
				</xsl:for-each>
				<xsl:if test="$totCounts &lt; 4">
					<td width="125 * (4-$totCounts)" colspan="4-$totCounts" align="right" bgcolor="#3366CC" height="1"/>
				</xsl:if>
			</tr>
			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Id</font></b>
				</td>
				<xsl:for-each select="//totals/envelopeByMop[not(./name=preceding::totals/envelopeByMop/name)]">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					
					<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
						<b>
							<font color="#FFFFFF">
								<nobr>
									<xsl:value-of select="./name"/>
								</nobr>
							</font>
						</b>
					</td>	
				</xsl:for-each>
				<xsl:for-each select="//totals/cassetteByMop[not(./name=preceding::totals/cassetteByMop/name)]">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					
					<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
						<b>
							<font color="#FFFFFF">
								<nobr>
									<xsl:value-of select="./name"/>
								</nobr>
							</font>
						</b>
					</td>	
				</xsl:for-each>
				<xsl:if test="$totCounts &lt; 4">
					<td width="125 * (4-$totCounts)" colspan="4-$totCounts" align="right" bgcolor="#3366CC" height="1"/>
				</xsl:if>
			</tr>
			<xsl:for-each select="//totalsBySafe">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
				<xsl:variable name="totals" select="./totals"/>
				<tr>
					<xsl:choose>
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="100" colspan="2" align="left">
						<nobr>
							<xsl:value-of select="@sysid"/>
						</nobr>
					</td>
					
					<xsl:for-each select="//totals/envelopeByMop[not(./name=preceding::totals/envelopeByMop/name)]">
					<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
						<xsl:variable name="mopName" select="./name"/>
						<xsl:call-template name="totalsByMop">
								<xsl:with-param name="tots" select="$totals/envelopeByMop[name=$mopName]"/>
						</xsl:call-template>
					</xsl:for-each>
					
					<xsl:for-each select="//totals/cassetteByMop[not(./name=preceding::totals/cassetteByMop/name)]">
					<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
						<xsl:variable name="mopName" select="./name"/>
						<xsl:call-template name="totalsByMop">
							<xsl:with-param name="tots" select="$totals/cassetteByMop[name=$mopName]"/>
						</xsl:call-template>
					</xsl:for-each>
					<xsl:if test="$totCounts &lt; 4">
						<td width="125 * (4-$totCounts)" colspan="4-$totCounts" align="right"/>
					</xsl:if>
				</tr>
			</xsl:for-each>

			<xsl:if test="count(//totalsBySafe) &gt; 1">
				
				<tr>
					<td width="600" height="1" colspan="6">
						<hr color="#000000" valign="top" width="600" align="left"/>
					</td>
				</tr>
				<tr>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					
					<td width="100" colspan="2" align="left">Totals</td>
					
					<xsl:for-each select="//totals/envelopeByMop[not(./name=preceding::totals/envelopeByMop/name)]">
					<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
							<xsl:variable name="mopName" select="./name"/>
							<td width="125" colspan="1" align="right" height="1">
									<nobr>
										<xsl:value-of select="format-number(sum(//totals/envelopeByMop[name=$mopName]/amount),'0.00')"/>
									</nobr>
							</td>	
					</xsl:for-each>
					
					<xsl:for-each select="//totals/cassetteByMop[not(./name=preceding::totals/cassetteByMop/name)]">
					<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
						<xsl:variable name="mopName" select="./name"/>
						<td width="125" colspan="1" align="right" height="1">
								<nobr>
									<xsl:value-of select="format-number(sum(//totals/cassetteByMop[name=$mopName]/amount),'0.00')"/>

								</nobr>
						</td>	
					</xsl:for-each>
					<xsl:if test="$totCounts &lt; 4">
						<td width="125 * (4-$totCounts)" colspan="4-$totCounts" align="right"/>
					</xsl:if>
				</tr>
			</xsl:if>
			
			
			<tr>
				<td width="600" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="600" align="left"/></td>
			</tr>
				
	</xsl:template>

	
		
	
	<xsl:template name="totalsByPosMops">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
			
 			
			
			<xsl:variable name="countPosMops" select="count( //dropsBySafe/mopInfo[not(./name=preceding::dropsBySafe/mopInfo/name)] )"/>

			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">E-Safe</font></b>
				</td>
				<xsl:for-each select="//dropsBySafe/mopInfo[not(./name=preceding::dropsBySafe/mopInfo/name)]">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					
					<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
						<b><font color="#FFFFFF">POS</font></b>
					</td>	
				</xsl:for-each>
				<xsl:if test="$countPosMops &lt; 4">
					<td width="125 * (4-$countPosMops)" colspan="4-$countPosMops" align="right" bgcolor="#3366CC" height="1"/>
				</xsl:if>
			</tr>
			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Id</font></b>
				</td>
				<xsl:for-each select="//dropsBySafe/mopInfo[not(./name=preceding::dropsBySafe/mopInfo/name)]">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					
					<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
						<b>
							<font color="#FFFFFF">
								<nobr>
									<xsl:value-of select="./name"/>
								</nobr>
							</font>
						</b>
					</td>	
				</xsl:for-each>
				<xsl:if test="$countPosMops &lt; 4">
					<td width="125 * (4-$countPosMops)" colspan="4-$countPosMops" align="right" bgcolor="#3366CC" height="1"/>
				</xsl:if>
			</tr>
			<xsl:for-each select="//dropsBySafe">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
				<xsl:variable name="mopInfo" select="./mopInfo"/>
				<tr>
					<xsl:choose>
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="100" colspan="2" align="left">
						<nobr>
							<xsl:value-of select="@sysid"/>
						</nobr>
					</td>
					
					<xsl:for-each select="//dropsBySafe/mopInfo[not(./name=preceding::dropsBySafe/mopInfo/name)]">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
						<xsl:variable name="mopName" select="./name"/>
						<xsl:call-template name="totalsByMop">
								<xsl:with-param name="tots" select="$mopInfo[name=$mopName]"/>
						</xsl:call-template>
					</xsl:for-each>
					<xsl:if test="$countPosMops &lt; 4">
						<td width="125 * (4-$countPosMops)" colspan="4-$countPosMops" align="right"/>
					</xsl:if>
				</tr>
			</xsl:for-each>

			<xsl:if test="count(//dropsBySafe) &gt; 1">
				
				<tr>
					<td width="600" height="1" colspan="6">
						<hr color="#000000" valign="top" width="600" align="left"/>
					</td>
				</tr>
				<tr>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					
					<td width="100" colspan="2" align="left">Totals</td>
					
					<xsl:for-each select="//dropsBySafe/mopInfo[not(./name=preceding::dropsBySafe/mopInfo/name)]">
					<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
						<xsl:variable name="mopName" select="./name"/>
						<td width="125" colspan="1" align="right" height="1">
								<nobr>
									<xsl:value-of select="format-number(sum(//dropsBySafe/mopInfo[name=$mopName]/amount),'0.00')"/>
								</nobr>
						</td>	
					</xsl:for-each>
					<xsl:if test="$countPosMops &lt; 4">
						<td width="125 * (4-$countPosMops)" colspan="4-$countPosMops" align="right"/>
					</xsl:if>
				</tr>
			</xsl:if>
			
			
			<tr>
				<td width="600" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="600" align="left"/></td>
			</tr>
				
	</xsl:template>

	<xsl:template name="totalsByMop">
		<xsl:param name="tots"/>
		<xsl:variable name="ns" select="ext:nodeset($tots)"/>
						<td width="125" colspan="1" align="right">
								<nobr>
								<xsl:if test="$tots/amount">
									<xsl:value-of select="format-number(number($tots/amount),'0.00')"/>
								</xsl:if>
								</nobr>
						</td>	
	</xsl:template>



	
		
	
	<xsl:template name="totalsGrandTotals">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>

			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">E-Safe</font></b>
				</td>
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">POS</font></b>
				</td>
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">E-Safe</font></b>
				</td>
				<td width="250" colspan="2" align="right" bgcolor="#3366CC" height="1"/>
			</tr>
			<tr>
				
				<td width="100" colspan="2" align="left" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Id</font></b>
				</td>
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Total</font></b>
				</td>
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Total</font></b>
				</td>
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1">
					<b><font color="#FFFFFF">Difference</font></b>
				</td>
				<td width="125" colspan="1" align="right" bgcolor="#3366CC" height="1"/>
			</tr>

			<xsl:choose>
				<xsl:when test="count(//dropsBySafe) &gt; count(//totalsBySafe)">
				<xsl:for-each select="//dropsBySafe">
					<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					<xsl:variable name="mopInfo" select="./mopInfo"/>
					<xsl:variable name="sysid" select="@sysid"/>
					<tr>
						<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						
						<td width="100" colspan="2" align="left">
							<nobr>
								<xsl:value-of select="@sysid"/>
							</nobr>
						</td>
						
						<td width="125" colspan="1" align="right" height="1">
							<nobr>
								<xsl:value-of select="format-number(sum($mopInfo/amount),'0.00')"/>
							</nobr>
						</td>	
						
						<td width="125" colspan="1" align="right" height="1">
							<nobr>
								<xsl:value-of select="format-number(sum(//totalsBySafe[@sysid=$sysid]/totals/*/amount),'0.00')"/>
							</nobr>
						</td>	
						
						<td width="125" colspan="1" align="right" height="1">
							<nobr>
								<xsl:value-of select="format-number(sum($mopInfo/amount) - sum(//totalsBySafe[@sysid=$sysid]/totals/*/amount),'0.00')"/>
							</nobr>
						</td>	
						<td width="125" colspan="1" align="right" height="1"/>
					</tr>
				</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
				<xsl:for-each select="//totalsBySafe">
					<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
					<xsl:variable name="totals" select="./totals"/>
					<xsl:variable name="sysid" select="@sysid"/>
					<tr>
						<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						
						<td width="100" colspan="2" align="left">
							<nobr>
								<xsl:value-of select="@sysid"/>
							</nobr>
						</td>
						
						<td width="125" colspan="1" align="right" height="1">
							<nobr>
								<xsl:value-of select="format-number(sum(//dropsBySafe[@sysid=$sysid]/mopInfo/amount),'0.00')"/>
							</nobr>
						</td>	
						
						<td width="125" colspan="1" align="right" height="1">
							<nobr>
								<xsl:value-of select="format-number(sum($totals/*/amount),'0.00')"/>
							</nobr>
						</td>	
						
						<td width="125" colspan="1" align="right" height="1">
							<nobr>
								<xsl:value-of select="format-number(sum(//dropsBySafe[@sysid=$sysid]/mopInfo/amount) - sum($totals/*/amount),'0.00')"/>
							</nobr>
						</td>	
						<td width="125" colspan="1" align="right" height="1"/>
					</tr>
				</xsl:for-each>
				</xsl:otherwise>
			</xsl:choose>
			
				
			<xsl:if test="count(//dropsBySafe) &gt; 1 or count(//totalsBySafe) &gt; 1">
				
				<tr>
					<td width="600" height="1" colspan="6">
						<hr color="#000000" valign="top" width="600" align="left"/>
					</td>
				</tr>
				
				<tr>
					
					<td width="100" colspan="2" align="left">POS Total</td>
					
					<td width="125" colspan="1" align="right" height="1">
						<nobr>
							<xsl:value-of select="format-number(sum(//dropsBySafe/*/amount),'0.00')"/>
						</nobr>
					</td>	
					
					<td width="125" colspan="1" align="right" height="1">
						<nobr>
							<xsl:value-of select="format-number(sum(//totalsBySafe/totals/*/amount),'0.00')"/>
						</nobr>
					</td>	
						
					<td width="125" colspan="1" align="right" height="1">
						<nobr>
							<xsl:value-of select="format-number( (sum(//dropsBySafe/*/amount)) - (sum(//totalsBySafe/totals/*/amount)) ,'0.00')"/>
						</nobr>
					</td>	
					<td width="125" colspan="1" align="left" height="1"/>
				</tr>

				
				<tr>
					<td width="600" height="1" colspan="6"><hr color="#FFFFFF" valign="top" width="600" align="left"/></td>
				</tr>
			</xsl:if>
	</xsl:template>


	
	<xsl:template name="header">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
		<xsl:variable name="esns" select="ext:nodeset($inputDoc/pd:eSafeCashierPd)"/>
		<xsl:variable name="periodClose" select="count($esns/closeDate)"/>
		<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="450">
			<tr>
				<td width="402" height="23" bgcolor="#3366CC" align="center" colspan="3">
					<p align="left">
						<b>
							<font color="#FFFFFF">Cashier Period Information</font>
						</b>
					</p>
				</td>
			</tr>
			<tr>
				<td width="112">Cashier</td>
				<td width="8" height="20"/>
				<td width="150">
					<font size="2">
						<xsl:value-of select="$esns/vs:cashier/@sysid"/> - 
						<xsl:value-of select="$esns/vs:cashier/name"/>
					</font>
				</td>
			</tr>
			<tr>
				<td width="112" bgcolor="#DBDBDB">Register</td>
				<td width="8" height="20" bgcolor="#DBDBDB"/>
				<td bgcolor="#DBDBDB" width="150">
					<font size="2">
						<xsl:value-of select="$esns/vs:register/@sysid"/> 
					</font>
				</td>
			</tr>
			<tr>
				<td width="112" bgcolor="#FFFFFF">Sequence #</td>
				<td width="8" height="20" bgcolor="#FFFFFF"/>
				<td bgcolor="#FFFFFF" width="150">
					<font size="2">
						<xsl:value-of select="$esns/seqNum"/> 
					</font>
				</td>
			</tr>
			<tr>
				<td width="110" bgcolor="#DBDBDB">Open Period</td>
				<td width="8" height="20" bgcolor="#DBDBDB"/>
				<td width="300" bgcolor="#DBDBDB">
					<xsl:value-of select="$esns/openDate"/>
				</td>
			</tr>
			<tr>
				<td width="110" height="18" bgcolor="#FFFFFF">Close Period</td>
				<td width="8" height="18" bgcolor="#FFFFFF"/>
				<xsl:choose>
					<xsl:when test="$periodClose &gt; 0">
						<td width="300" bgcolor="#FFFFFF">
							<xsl:value-of select="$esns/closeDate"/>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td width="300" align="left" height="18" bgcolor="#FFFFFF">Pending</td>
					</xsl:otherwise>
				</xsl:choose>
			</tr>
		</table> 
	</xsl:template>	
	
	



</xsl:transform>