<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>E-Safe Content Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">E-Safe Content Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="500">
							<xsl:call-template name="eSafeTopLevel">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template name="eSafeTopLevel">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:variable name="esns" select="ext:node-set($inputDoc/pd:eSafeContentPd)"/>
		
		
		<xsl:if test="not ($ns//tidelContentData or $ns//contentData)">
			<tr>
				<td width="600" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="600" align="left"/>
				</td>
			</tr>
			<tr>
				<td width="275" align="left">NO DATA AVAILABLE</td>
			</tr>
			<tr>
				<td width="600" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="600" align="left"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="($ns//contentData)">
			<xsl:for-each select="$ns//contentData">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>  
				<xsl:call-template name="totalsBySafeSummary">
					<xsl:with-param name="sns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="totalsByCassette">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="totalsByEnvelope">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="bagSeals">
					<xsl:with-param name="cns" select="./summaryTotals"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:if>
		
		<xsl:if test="($ns//tidelContentData)">
			<xsl:for-each select="$ns//tidelContentData">
				<xsl:sort order="ascending" select="format-number(number(@sysid),'0')"/>
				<xsl:call-template name="totalsDetail">
					<xsl:with-param name="sns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="billAcceptorDetails">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="envelopeDropDetails">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="hopperDetails">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="columnDetails">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="cassetteDetails">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
				<xsl:call-template name="rejectsDetails">
					<xsl:with-param name="cns" select="."/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:if>
		
	</xsl:template>
	
	<xsl:template name="totalsDetail">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Number of Bill Acceptors</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="count(.//BillReader)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Amount in Bill Acceptors</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number((sum(.//BillReaders/BillReader/Stack/Amount)) div 100, '0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<xsl:variable name="cashSum" select="sum(.//Drops/Cash/ValueInCents)"/>
				<xsl:variable name="checkSum" select="sum(.//Drops/Check/ValueInCents)"/>
				<xsl:variable name="otherSum" select="sum(.//Drops/Other/ValueInCents)"/>
				<td width="300" colspan="3" align="left">Vault Drop Total</td>
				<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number(($cashSum+$checkSum+$otherSum) div 100, '0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<xsl:variable name="rCashSum" select="sum(.//Reserve/Cash/ValueInCents)"/>
			<xsl:variable name="rCheckSum" select="sum(.//Reserve/Check/ValueInCents)"/>
			<xsl:variable name="rOtherSum" select="sum(.//Reserve/Other/ValueInCents)"/>
			<td width="300" colspan="3" align="left">Vault Reserve Change Fund Total</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number(($rCashSum+$rCheckSum+$rOtherSum) div 100, '0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<xsl:variable name="tCashSum" select="sum(.//CourierTray/Cash/ValueInCents)"/>
			<xsl:variable name="tCheckSum" select="sum(.//CourierTray/Check/ValueInCents)"/>
			<xsl:variable name="tOtherSum" select="sum(.//CourierTray/Other/ValueInCents)"/>
			<td width="300" colspan="3" align="left">Vault Courier Tray Total</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number(($tCashSum+$tCheckSum+$tOtherSum) div 100, '0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Number of Hoppers</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="count(.//Hopper)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Amount in Hoppers</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number((sum(.//Hoppers/Hopper/Amount)) div 100, '0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Number of Columns</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="count(.//ColumnConfiguration)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Amount in Columns</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number((sum(.//ColumnConfigurations/ColumnConfiguration/ValueInCents)) div 100 , '0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Number of Cassettes</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="count(.//Cassette)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Amount in Cassettes</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number((sum(.//Dispenser/Cassette/Amount)) div 100, '0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Number of Rejected Notes</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="sum(.//Rejects/Stack/Count)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Value of Rejected Notes</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number((sum(.//Dispenser/Rejects/Stack/Amount)) div 100 , '0.00')"/>
			</td>
		</tr>
		
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="billAcceptorDetails">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="200" colspan="2" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF">
					<b>BILL ACCEPTOR DETAILS</b>
				</font>
			</td>
		</tr>
		<xsl:for-each select=".//BillReader">
			<tr>
				<td width="100" colspan="1" align="left">
					<b>Bill Acceptor </b>
					<xsl:value-of select="./Index"/>
				</td>
			</tr>
			<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" colspan="1" align="left">Denomination</td>
				<td width="100" colspan="1" align="right">Note Count</td>
				<td width="100" colspan="1" align="right">Total Amount</td>
				<td width="250" colspan="2" align="right"/>
			</tr>
			
			<tr>
				<td width="500" height="1" colspan="5">
					<hr color="#000000" valign="top" width="500" align="left"/>
				</td>
			</tr>
			<tr>
				<xsl:for-each select=".//Stack">
					<tr>
					<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<td width="100" colspan="1" align="left">
							<xsl:variable name="denom" select="./Denomination">	</xsl:variable>
							<xsl:value-of select="($denom) div 100"/>
						</td>
						<td width="100" colspan="1" align="right">
							<xsl:variable name="notecnt" select="./Count">	</xsl:variable>
							<xsl:value-of select="$notecnt"/>
						</td>
						<td width="100" colspan="1" align="right">
							<xsl:variable name="amount" select="./Amount">	</xsl:variable>
							<xsl:value-of select="format-number(($amount) div 100,'0.00')"/>
						</td>
						<td width="250" colspan="2" align="right"/>
					</tr>
				</xsl:for-each>
			</tr>
		</xsl:for-each>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
	
	<xsl:template name="envelopeDropDetails">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="200" colspan="2" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF">
					<b>VAULT CONTENTS DETALS</b>
				</font>
			</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="100" colspan="1" align="left">
				<b>VAULT DROP </b>
			</td>
		</tr>
		<tr>
			<td width="100" colspan="1" align="left">CASH</td>
			<td width="100" colspan="1" align="right">CHECK</td>
			<td width="100" colspan="1" align="right">FOODSTAMP</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#000000" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<tr>
			<td width="100" colspan="1" align="left">
				<xsl:value-of select="format-number(sum(.//Drops/Cash/ValueInCents) div 100 ,'0.00')"/>
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="format-number(sum(.//Drops/Check/ValueInCents) div 100 ,'0.00')"/>
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="format-number(sum(.//Drops/Other/ValueInCents) div 100, '0.00')"/>
			</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
			<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="200" colspan="2" align="left">
				<b>RESERVE CHANGE FUND </b>
			</td>
		</tr>
		<tr>
			<td width="100" colspan="1" align="left">CASH</td>
			<td width="100" colspan="1" align="right">CHECK</td>
			<td width="100" colspan="1" align="right">FOODSTAMP</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#000000" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<tr>
			<td width="100" colspan="1" align="left">
				<xsl:value-of select="format-number(sum(.//Reserve/Cash/ValueInCents) div 100 ,'0.00')"/>
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="format-number(sum(.//Reserve/Check/ValueInCents) div 100 ,'0.00')"/>
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="format-number(sum(.//Reserve/Other/ValueInCents) div 100, '0.00')"/>
			</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="100" colspan="1" align="left">
				<b>COURIER TRAY</b>
			</td>
		</tr>
		<tr>
			<td width="100" colspan="1" align="left">CASH</td>
			<td width="100" colspan="1" align="right">CHECK</td>
			<td width="100" colspan="1" align="right">FOODSTAMP</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#000000" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<tr>
			<td width="100" colspan="1" align="left">
				<xsl:value-of select="format-number(sum(.//CourierTray/Cash/ValueInCents) div 100 ,'0.00')"/>
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="format-number(sum(.//CourierTray/Check/ValueInCents) div 100 ,'0.00')"/>
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="format-number(sum(.//CourierTray/Other/ValueInCents) div 100, '0.00')"/>
			</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
	
	<xsl:template name="hopperDetails">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="200" colspan="2" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF">
					<b>COIN HOPPER DETAILS</b>
				</font>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" colspan="1" align="left">Hopper</td>
				<td width="100" colspan="1" align="right">Denomination</td>
				<td width="100" colspan="1" align="right">Coin Cnt</td>
				<td width="100" colspan="1" align="right">Total Amt</td>
				<td width="250" colspan="2" align="right"/>
			</tr>
			
			<tr>
				<td width="500" height="1" colspan="5">
					<hr color="#000000" valign="top" width="500" align="left"/>
				</td>
			</tr>
		<xsl:for-each select=".//Hopper">
			<tr>
			<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
				<td width="100" colspan="1" align="left">
					<xsl:value-of select="./Index"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:variable name="denomHopper" select="./Denomination">	</xsl:variable>
							<xsl:value-of select="format-number(($denomHopper) div 100, '0.00') "/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="./Count"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:variable name="amountHopper" select="./Amount">	</xsl:variable>
					<xsl:value-of select="format-number(($amountHopper) div 100, '0.00') "/>
				</td>
				<td width="250" colspan="2" align="right"/>
				</tr>
		</xsl:for-each>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>	
	
	
	<xsl:template name="columnDetails">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="200" colspan="2" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF">
					<b>COLUMN DETAILS</b>
				</font>
			</td>
		</tr>
		<tr>
				<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" colspan="1" align="left">Column</td>
				<td width="100" colspan="1" align="right">Denomination</td>
				<td width="100" colspan="1" align="right">Note Cnt</td>
				<td width="100" colspan="1" align="right">Tube Cnt</td>
				<td width="100" colspan="1" align="right">Total Amt</td>
			</tr>
			
			<tr>
				<td width="500" height="1" colspan="5">
					<hr color="#000000" valign="top" width="500" align="left"/>
				</td>
			</tr>
		<xsl:for-each select=".//ColumnConfiguration">
			<tr>
			<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
					<td width="100" colspan="1" align="left">
						<xsl:value-of select="./Index"/>
					</td>
					<td width="100" colspan="1" align="right">
					<xsl:variable name="denomCol" select="./Denomination">	</xsl:variable>
							<xsl:value-of select="format-number(($denomCol) div 100, '0.00') "/>
					</td>
					<td width="100" colspan="1" align="right">
						<xsl:value-of select="./Count"/>	
					</td>
					<td width="100" colspan="1" align="right">
						<xsl:value-of select="./TubeCount"/>	
					</td>
					<td width="100" colspan="1" align="right">
					<xsl:variable name="colAmount" select="./ValueInCents">	</xsl:variable>
							<xsl:value-of select="format-number(($colAmount) div 100, '0.00') "/>
					</td>
				</tr>
		</xsl:for-each>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>	
	
	
<xsl:template name="cassetteDetails">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="200" colspan="2" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF">
					<b>CASSETTE DETAILS</b>
				</font>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" colspan="1" align="left">Cassette</td>
				<td width="100" colspan="1" align="right">Denomination</td>
				<td width="100" colspan="1" align="right">Note Cnt</td>
				<td width="100" colspan="1" align="right">Total Amt</td>
				<td width="250" colspan="2" align="right"/>
			</tr>
			
			<tr>
				<td width="500" height="1" colspan="5">
					<hr color="#000000" valign="top" width="500" align="left"/>
				</td>
			</tr>
		<xsl:for-each select=".//Cassette">
			<tr>
			<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
				<td width="100" colspan="1" align="left">
					<xsl:value-of select="./Index"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:variable name="cassDenom" select="./Denomination">	</xsl:variable>
							<xsl:value-of select="format-number(($cassDenom) div 100, '0.00') "/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="./Count"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:variable name="cassAmount" select="./Amount">	</xsl:variable>
							<xsl:value-of select="format-number(($cassAmount) div 100, '0.00') "/>
				</td>
				<td width="250" colspan="2" align="right"/>
				</tr>
		</xsl:for-each>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>	



<xsl:template name="rejectsDetails">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="200" colspan="2" align="left" bgcolor="#3366CC">
				<font color="#FFFFFF">
					<b>REJECTS DETAILS</b>
				</font>
			</td>
		</tr>
		<xsl:for-each select=".//Rejects">
			<tr>
				<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" colspan="1" align="left">Denomination</td>
				<td width="100" colspan="1" align="right">Count</td>
				<td width="100" colspan="1" align="right">Total Amount</td>
				<td width="250" colspan="2" align="right"/>
			</tr>
			
			<tr>
				<td width="500" height="1" colspan="5">
					<hr color="#000000" valign="top" width="500" align="left"/>
				</td>
			</tr>
			<tr>
				<xsl:for-each select=".//Stack">
					<tr>
					<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<td width="100" colspan="1" align="left">
							<xsl:variable name="rejDenom" select="./Denomination">	</xsl:variable>
							<xsl:value-of select="format-number(($rejDenom) div 100, '0.00') "/>
						</td>
						<td width="100" colspan="1" align="right">
							<xsl:value-of select="./Count"/>
						</td>
						<td width="100" colspan="1" align="right">
							<xsl:variable name="rejAmount" select="./Amount">	</xsl:variable>
							<xsl:value-of select="format-number(($rejAmount) div 100, '0.00') "/>
						</td>
						<td width="250" colspan="2" align="right"/>
					</tr>
				</xsl:for-each>
			</tr>
		</xsl:for-each>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
	
		
	
	<xsl:template name="totalsBySafeSummary">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			
			<td width="500" colspan="5" align="left" bgcolor="#3366CC" height="1">
				<font color="#FFFFFF">
					<b>E-Safe ID <xsl:value-of select="format-number(number(@sysid),'0')"/>
					</b>
				</font>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Content Report Number</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="./contentReportNumber"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">E-Safe Period Start</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="concat(substring(./startDateTime,1,10),'  ',substring(./startDateTime,12,5))"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">E-Safe Period End</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="concat(substring(./endDateTime,1,10),'  ',substring(./endDateTime,12,5))"/>
			</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Value</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number(sum(.//summaryTotals/totals/*/amount),'0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Number of Cassettes</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="count(.//cassetteTotals)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Cassette Cash</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number(sum(.//summaryTotals/totals/cassetteByMop/amount),'0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Recognized Bills</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="sum(.//cassetteTotals/recognizedBillCount)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Unrecognized Bills</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="sum(.//cassetteTotals/unrecognizedBillCount)"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Total Number of Envelopes</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="./summaryTotals/totals/envelopeCount"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Envelope Items</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="./summaryTotals/envelopeItemCount"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="300" colspan="3" align="left">Envelope Value</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="format-number(sum(.//summaryTotals/totals/envelopeByMop/amount),'0.00')"/>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="300" colspan="3" align="left">Unverified Cash Ratio</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="./summaryTotals/totals/unverifiedCashRatio"/>
			</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
		
	
	<xsl:template name="totalsByCassette">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="200" colspan="2" align="left">
				<b>Cassette Details</b>
			</td>
			<td width="100" colspan="1" align="right">Recognized</td>
			<td width="100" colspan="1" align="right">Unrecognized</td>
			<td width="100" colspan="1" align="right"/>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="100" colspan="1" align="left">Seal Number</td>
			<td width="100" colspan="1" align="right">Cash</td>
			<td width="100" colspan="1" align="right">Bills</td>
			<td width="100" colspan="1" align="right">Bills</td>
			<td width="100" colspan="1" align="right"/>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#000000" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<xsl:for-each select=".//cassetteTotals">
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" colspan="1" align="left">
					<xsl:value-of select="./sealNumber"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="format-number(sum(./totalByMop/amount),'0.00')"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="./recognizedBillCount"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="./unrecognizedBillCount"/>
				</td>
				<td width="100" colspan="1" align="right"/>
			</tr>
		</xsl:for-each>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
		
	
	<xsl:template name="totalsByEnvelope">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<tr>
			<td width="500" colspan="5" align="left">
				<b>ENVELOPE DETAIL</b>
			</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="100" colspan="1" align="left">Business</td>
			<td width="100" colspan="1" align="right">Envelope</td>
			<td width="100" colspan="1" align="right">Drop</td>
			<td width="100" colspan="1" align="right">Number</td>
			<td width="100" colspan="1" align="right">Envelope</td>
		</tr>
		<tr>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td width="100" colspan="1" align="left">Date</td>
			<td width="100" colspan="1" align="right">Number</td>
			<td width="100" colspan="1" align="right">Type</td>
			<td width="100" colspan="1" align="right">Items</td>
			<td width="100" colspan="1" align="right">Amount</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#000000" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<xsl:for-each select=".//envelopeTotals">
			<xsl:sort order="ascending" select="format-number(number(./envelopeTicketNumber),'0')"/>
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="100" colspan="1" align="left">
					<xsl:value-of select="substring(./businessDateTime,1,10)"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="./envelopeTicketNumber"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="./dropType"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="./envelopeItemCount"/>
				</td>
				<td width="100" colspan="1" align="right">
					<xsl:value-of select="format-number(sum(.//envelopeByMop/amount),'0.00')"/>
				</td>
			</tr>
		</xsl:for-each>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#000000" valign="top" width="500" align="left"/>
			</td>
		</tr>
		<tr>
			<td width="100" colspan="1" align="left">Totals</td>
			<td width="200" colspan="2" align="right">
				<xsl:value-of select="count(.//envelopeTotals)"/> Envelopes
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="sum(.//envelopeTotals/envelopeItemCount)"/>
			</td>
			<td width="100" colspan="1" align="right">
				<xsl:value-of select="format-number(sum(.//envelopeTotals/envelopeByMop/amount),'0.00')"/>
			</td>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="5">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
		
	
	<xsl:template name="bagSeals">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:if test="count(.//bagSeal[@seal != 0]) &gt; 0">
			<tr>
				<td width="500" colspan="5" align="left">
					<b>BAG SEAL NUMBERS</b>
				</td>
			</tr>
			<xsl:for-each select=".//bagSeal">
				<xsl:if test="not(@seal = 0)">
					<tr>
						<xsl:choose>
							<xsl:when test="position() mod 2 &gt; 0">
								<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>
						<td width="500" colspan="5" align="left">
							<xsl:value-of select="@seal"/>
						</td>
					</tr>
				</xsl:if>
			</xsl:for-each>
			
			<tr>
				<td width="500" height="1" colspan="5">
					<hr color="#FFFFFF" valign="top" width="500" align="left"/>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
</xsl:transform>