<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 

	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">			
			
		<html>
			<head>
				<title>Fueling Position/ Product (Hose) Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
						num					{text-align:right;} 
						text					{text-align: left;}
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Fueling Position/ Product (Hose) Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="531">	
		<thead>
			<th class="text" align="left" width="100" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Product</font></b></th>
			<th width="6" bgcolor="#3366CC" height="1"/>
			<th class="num" align="right" width="68" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF"># of Sales</font></b></th>
			<th width="10" bgcolor="#3366CC" height="1"/>
			<th class="num" align="right" width="83" bgcolor="#3366CC" height="1"><font color="#FFFFFF"><b>Volume</b></font></th>
			<th width="8" bgcolor="#3366CC" height="1"/>
			<th class="num" align="right" width="73" bgcolor="#3366CC" height="1"><font color="#FFFFFF"><b>Amount</b></font></th>
		</thead>								

							<xsl:apply-templates select="/*/byFuelingPosition">
								<xsl:sort select="fuelingPosition" data-type="number"/>
							</xsl:apply-templates>
							<xsl:apply-templates select="/*/totals/total"/>
							<tr>
								<th height="30"/>
							</tr>
							<tr>
								<td>
									<font face="Trebuchet MS" size="3" color="#3366CC">
										<p>
											<b> Product Totals</b>
										</p>
									</font>
								</td>
							</tr>
				
							<xsl:apply-templates select="/*/totals/byFuelProduct">
								<xsl:sort select="fuel:fuelProdBase/@sysid" data-type="number"/>
							</xsl:apply-templates>
							<tr>
								<td colspan="13" width="593">			
									<hr color="#DBDBDB" valign="top" width="593" align="left"/>
								</td>
							</tr>
							<xsl:apply-templates select="/*/totals/total"/>
						</table>
						
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	

	
	<xsl:template match="byFuelingPosition">
		<tr>
			<td>
				<font face="Trebuchet MS" size="3" color="#3366CC">
					<p><b> Fueling Position </b>
						 <font size="2"> 
							<xsl:value-of select="fuelingPosition"/>
						</font>
					</p>
				</font>
			</td>
		</tr>
		<xsl:apply-templates select="byFuelProduct">
			<xsl:sort select="fuel:fuelProdBase/@sysid" data-type="number"/>
		</xsl:apply-templates>
		<xsl:apply-templates select="total"/>
	</xsl:template>

	<xsl:template match="byFuelProduct">
			<xsl:call-template name="fuelProduct"/>
	</xsl:template>
	
	<xsl:template name="fuelProduct">
		<tr>
			<td class="text" align="left" width="100">
				<xsl:value-of select="fuel:fuelProdBase/name"/>
			</td>
			<td width="6"/>
			<xsl:apply-templates select="fuelInfo"/>
		</tr>
	</xsl:template>		
	
	<xsl:template match="fuelInfo">
		<xsl:call-template name="totalInfo"/>
	</xsl:template>
	
	<xsl:template match="total">
		<tr>
			<td colspan="13" width="593">			
				<hr color="#DBDBDB" valign="top" width="593" align="left"/>
			</td>
		</tr>

		<tr>
			<td class="text" align="left" width="100">Total</td>
			<td width="6"/>
			<xsl:call-template name="totalInfo"/>
		</tr>			
		<tr>
			<td colspan="13" width="593">			
				<hr color="#DBDBDB" valign="top" width="593" align="left"/>
			</td>
		</tr>
	</xsl:template>	
	
	<xsl:template match="totals/total">
		<tr>
			<td class="text" align="left" width="100">Overall Total</td>
			<td width="6"/>
			<xsl:call-template name="totalInfo"/>
		</tr>			
	</xsl:template>	

	<xsl:template name="totalInfo">
		<td class="num" align="right" width="68"><xsl:apply-templates select="./count"/></td>
		<td width="10"/>
		<td class="num" align="right" width="83"><xsl:apply-templates select="./volume"/></td>
		<td width="8"/>
		<td class="num" align="right" width="73"><xsl:apply-templates select="./amount"/></td>
	</xsl:template>
		
	
	<xsl:template match="count">
		<nobr><xsl:value-of select="."/></nobr>		
	</xsl:template>
	
	
	<xsl:template match="amount">
		<nobr><xsl:value-of select="format-number(.,'##,##0.00')"/></nobr>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="volume">
		<nobr><xsl:value-of select="format-number(.,'##,##0.000')"/></nobr>
	</xsl:template>
</xsl:transform>