<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="http://xml.apache.org/xalan" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts-xalan.xslt"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Fuel Price Change Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Fuel Price Change Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="400">
							<xsl:call-template name="totalsSummary">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template name="totalsSummary">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:nodeset($inputDoc)"/>
		
		<xsl:if test="not ($ns//grade)">
			<tr>
				<td width="450" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="450" align="left"/>
				</td>
			</tr>
			<tr>
				<td width="275" align="left">NO DATA AVAILABLE</td>
			</tr>
			<tr>
				<td width="450" height="1" colspan="1">
					<hr color="#3366CC" size="5" valign="top" width="450" align="left"/>
				</td>
			</tr>
		</xsl:if>
		<xsl:if test="$ns//grade">
			<xsl:variable name="st" select="ext:nodeset($inputDoc)"/>
			<tr>
				
				<td width="100" align="left">Product</td>
				<td width="100" align="left">MOP</td>
				<td width="50" align="left">Price</td>
				<td width="50" align="right">Count</td>
				<td width="100" align="right">Volume</td>
				<td width="100" align="right">Amount</td>
			</tr>
			<tr>
				
				<td width="500" height="1" colspan="6">
					<hr color="#000000" valign="top" width="500" align="left"/>
				</td>
			</tr>
			<xsl:apply-templates select="$st//grade"/>
			<tr>
				
				<td width="500" height="1" colspan="6">
					<hr color="#000000" valign="top" width="500" align="left"/>
				</td>
			</tr>
			
			<tr>
				<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				<td width="100" align="left">TOTALS</td>
				<td width="200" align="left" colspan="2"> </td>
				<td width="50" align="right"><xsl:value-of select="count($st//grade/mop/price/data)"/></td>
				<td width="100" align="right">
					<xsl:value-of select="format-number(sum($st//grade/mop/price/data/volume),'##,##0.000')"/>
				</td>
				<td width="100" align="right">
					<xsl:value-of select="format-number(sum($st//grade/mop/price/data/amount),'##,##0.00')"/>
				</td>
				<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			</tr>
		</xsl:if>
		
	</xsl:template>
	
	
	
	<xsl:template match="grade">
		<xsl:variable name="gradeNode" select=".">  
		</xsl:variable>
		<xsl:variable name="gradeName">
			<xsl:copy-of select="./name"/>
		</xsl:variable>
		<xsl:for-each select="./mop">
			<xsl:variable name="mopName">
				<xsl:copy-of select="./name"/>
			</xsl:variable>
			<xsl:if test="./price">
				<xsl:for-each select="./price">
					<xsl:variable name="priceElement">
						<xsl:copy-of select="./ppu"/>
					</xsl:variable>
					<tr>
						<td width="100" align="left"><xsl:value-of select="$gradeName"/></td>
						<td width="100" align="left"><xsl:value-of select="$mopName"/></td>
						<td width="50" align="left"><xsl:value-of select="$priceElement"/></td>
						<td width="50" align="right"><xsl:value-of select="count(./data)"/></td>
						<td width="100" align="right">
							<xsl:value-of select="format-number(sum(./data/volume),'##,##0.000')"/>
						</td>
						<td width="100" align="right">
							<xsl:value-of select="format-number(sum(./data/amount),'##,##0.00')"/>
						</td>
					</tr>
				</xsl:for-each>
			</xsl:if>
		</xsl:for-each>
		<tr>
			
			<td width="500" height="1" colspan="6">
				<hr color="#000000" valign="top" width="500" align="left"/>
			</td>
		</tr>
		
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="100" align="left">
				<xsl:value-of select="$gradeName"/>
			</td>
			<td width="100" align="left">TOTALS</td>
			<td width="50" align="left"> </td>
			<td width="50" align="right">
				<xsl:value-of select="count($gradeNode//data)"/>
			</td>
			<td width="100" align="right">
				<xsl:value-of select="format-number(sum($gradeNode//data/volume),'##,##0.000')"/>
			</td>
			<td width="100" align="right">
				<xsl:value-of select="format-number(sum($gradeNode//data/amount),'##,##0.00')"/>
			</td>
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
		</tr>
		
		<tr>
			<td width="500" height="1" colspan="6">
				<hr color="#FFFFFF" valign="top" width="500" align="left"/>
			</td>
		</tr>
	</xsl:template>
</xsl:transform>