<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:template match="/">
		
		<html>
			<head>
				<title>Fuel Street Price Change Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			
			<body>
				<table border="0" width="900" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Fuel Street Price Change Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td width="900" height="10" colspan="9">
							<hr color="#FFCC00" valign="top" width="900" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="900">
							<xsl:call-template name="totalsSummary">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template name="totalsSummary">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:choose>
			<xsl:when test="$ns//fuelPricePd">
				<xsl:variable name="st" select="ext:node-set($inputDoc)"/>
				<xsl:apply-templates select="$st//fuelPricePd"/>
			</xsl:when>
			<xsl:otherwise>
				<tr>
					<td width="900" height="1" colspan="9">
						<hr color="#3366CC" size="5" valign="top" width="900" align="left"/>
					</td>
				</tr>
				<tr>
					<td width="275" align="left">NO DATA AVAILABLE</td>
				</tr>
				<tr>
					<td width="900" height="1" colspan="9">
						<hr color="#3366CC" size="5" valign="top" width="900" align="left"/>
					</td>
				</tr>
			</xsl:otherwise>
		</xsl:choose>
		
		
	</xsl:template>
	
	
	
	<xsl:template match="fuelPricePd">
		<xsl:variable name="pricePdNode" select=".">  
		</xsl:variable>
		<xsl:variable name="fuelsales">
			<xsl:for-each select="./fuelTotals[fuelInfo [count &gt; 0]]">
				<xsl:value-of select="true()"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:if test="string-length($fuelsales)!=0">
			<xsl:call-template name="headerInfo">
				<xsl:with-param name="inputDoc" select="."/>
			</xsl:call-template>
			<xsl:call-template name="fuelTotals">
				<xsl:with-param name="inputDoc" select="."/>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	
	
	<xsl:template name="fuelTotals">
		<xsl:for-each select="./fuelTotals">
			<xsl:if test="./fuelInfo/count &gt; 0">
				<tr>
					<td width="50" align="left">
						<xsl:copy-of select="./fuel:fuelProdBase/name"/>
					</td>
					<td width="50" align="left">
						<xsl:copy-of select="./fuel:fuelPriceLevel/name"/>
					</td>
					<td width="50" align="left">
						<xsl:value-of select="./fuel:fuelSvcLevelBase/@sysid"/>
					</td>
					<td width="50" align="left">
						<xsl:value-of select="./fuel:fuelTierBase/@sysid"/>
					</td>
					<td width="75" align="left">
						<xsl:copy-of select="./currentPrice"/>
					</td>
					<td width="75" align="left">
						<xsl:copy-of select="./previousPrice"/>
					</td>
					<xsl:for-each select="./fuelInfo">
						<td width="100" align="left">
							<xsl:value-of select="./count"/>
						</td>
						<td width="150" align="left">
							<xsl:value-of select="format-number(sum(./volume),'##,##0.000')"/>
						</td>
						<td width="150" align="right">
							<xsl:value-of select="format-number(sum(./amount),'##,##0.00')"/>
						</td>
					</xsl:for-each>
				</tr>
			</xsl:if>
		</xsl:for-each>
		<tr>
			<td width="900" height="1" colspan="9">
				<hr color="#FFFFFF" valign="top" width="900" align="left"/>
			</td>
		</tr>
	</xsl:template>
	
	
	
	<xsl:template name="headerInfo">
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="150" colspan="1" align="left">FUEL PRICE CHANGE </td>
			<td width="150" colspan="1" align="left">
				<font size="2">
					<xsl:value-of select="concat(substring(@begin,1,10),'  ',substring(@begin,12,8))"/>
				</font>
			</td>
		</tr>
		<tr>
		<xsl:variable name="pricechangedBy">
			<xsl:choose>
					<xsl:when test="./priceChangedBy/user">
						<xsl:value-of select="./priceChangedBy/user"/>
					</xsl:when>
					<xsl:when test="./priceChangedBy/vs:employee">
						<xsl:value-of select="./priceChangedBy/vs:employee/@sysid"/>
						<xsl:text>        </xsl:text>
						<xsl:value-of select="./priceChangedBy/vs:employee/name"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>*****</xsl:text>
					</xsl:otherwise>
					</xsl:choose>
			</xsl:variable>	
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="150" colspan="1" align="left">BY</td>
			<td width="150" colspan="1" align="left">
				<font size="2">
					<xsl:value-of select="$pricechangedBy"/>
				</font>
			</td>
		</tr>
		<xsl:variable name="pricechangeOrigin">
			<xsl:choose>
					<xsl:when test="./priceChangeOrigin/vs:register">
						<xsl:text>Register </xsl:text>
						<xsl:value-of select="./priceChangeOrigin/vs:register/@sysid"/>
					</xsl:when>
					<xsl:when test="./priceChangeOrigin/ipAddress">
						<xsl:value-of select="./priceChangeOrigin/ipAddress"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:text>*****</xsl:text>
					</xsl:otherwise>
					</xsl:choose>
			</xsl:variable>	
		<tr>
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td width="150" colspan="1" align="left">FROM</td>
			<td width="150" colspan="1" align="left">
				<font size="2">
					<xsl:value-of select="$pricechangeOrigin"/>
				</font>
			</td>
		</tr>
		<tr>
			
			<td width="50" align="left">Product</td>
			<td width="50" align="left">MOP</td>
			<td width="50" align="left">SL</td>
			<td width="50" align="left">Tier</td>
			<td width="75" align="left">Prev</td>
			<td width="75" align="left">New</td>
			<td width="100" align="left">Count</td>
			<td width="150" align="left">Volume</td>
			<td width="150" align="right">Amount</td>
		</tr>
		<tr>
			
			<td width="900" height="1" colspan="9">
				<hr color="#000000" valign="top" width="900" align="left"/>
			</td>
		</tr>
	</xsl:template>
</xsl:transform>