<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" match="/">
			<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>


		<html>
			<head>
				<title>Cashier Fuel Indicators</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
				<script language="vbscript">
					sub showTable(id)
						if document.getelementbyId(id).style.display = "none" then
							document.getelementbyId(id).style.display = "block" 
						else
							document.getelementbyId(id).style.display = "none" 
						end if
					end sub 				
				</script>
			</head>
			<body>
				<table border="0" width="600" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="350" height="1">
							<b>
								<font color="#3366CC" size="5">Cashier Fuel Indicators</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="100%" align="left"/>
						</td>
					</tr>
				</table>
							<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
	
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				<br/>
				<br/>
				
				<xsl:for-each select="//cashierInfo">
					<xsl:variable name="csh" select="."/>
					<xsl:variable name="cshid" select="./t:cashier/@sysid"/>
					<p>
						<b>   Cashier - <xsl:value-of select="$cshid"/> - 
							<a href="#">
								<xsl:attribute name="onclick">vbscript:showTable('<xsl:value-of select="$cshid"/>')</xsl:attribute>
								<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/t:cashier/name"/>
							</a>
						</b>
						<div>
							<span STYLE="display:block">
								<xsl:attribute name="id"><xsl:value-of select="$cshid"/></xsl:attribute>
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
									<tr>	</tr>
									<xsl:call-template name="header"/>
									<xsl:call-template name="pumptests">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
									<xsl:call-template name="header"/>
									<xsl:call-template name="driveoffs">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>

									<xsl:call-template name="prepayCancels">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
								</table>
								<hr color="#FFCC00" valign="top" width="600" align="left"/>
							</span>
						</div>
					</p>
					
				</xsl:for-each>
				
			</body>
		</html>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="pumptests">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="11">
				<b>PUMP TESTS (<xsl:value-of select="$csh/pumptests/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/pumptests/pumptest/dateTime">
			<xsl:variable name="ref" select="."/>
			<xsl:variable name="dt" select="$csh/pumptests/pumptest[dateTime=$ref]"/>
			<xsl:for-each select="$dt/t:fuel">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="11">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="9"/>
			<td align="right">
				<xsl:value-of select="$csh/pumptests/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="driveoffs">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="11">
				<b>DRIVE OFFS (<xsl:value-of select="$csh/driveoffs/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/driveoffs/driveoff/dateTime">
			<xsl:variable name="ref" select="."/>
			<xsl:variable name="dt" select="$csh/driveoffs/driveoff[dateTime=$ref]"/>
			<xsl:for-each select="$dt/t:fuel">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="11">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="9"/>
			<td align="right">
				<xsl:value-of select="$csh/driveoffs/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="prepayCancels">
		<xsl:param name="csh"/>
			<xsl:call-template name="header"/>
			<tr bgcolor="#DBDBDB">
				<td colspan="11">
					<b>PRE-PAY/CANCEL (<xsl:value-of select="$csh/prepayCancels/overAllTotal/count"/>)</b>
				</td>
			</tr>
			<xsl:for-each select="$csh/prepayCancels/prepayCancel/dateTime">
				<xsl:variable name="ref" select="."/>
				<xsl:variable name="dt" select="$csh/prepayCancels/prepayCancel[dateTime=$ref]"/>
				<xsl:for-each select="$dt/t:fuel">
					<xsl:call-template name="detail">
						<xsl:with-param name="csh" select="$csh"/>
						<xsl:with-param name="ref" select="$ref"/>
						<xsl:with-param name="dt" select="$dt"/>
					</xsl:call-template>
				</xsl:for-each>
			</xsl:for-each>
			<tr>
				<td colspan="11">
					<hr valign="top" width="100%" align="left"/>
				</td>
			</tr>
			<tr>
				<td>Total</td>
				<td colspan="9"/>
				<td align="right">
					<xsl:value-of select="$csh/prepayCancels/overAllTotal/amount"/>
				</td>
			</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="header">
		<tr bgcolor="#3366CC" align="center">
			<td align="center">
				<b>
					<font color="#FFFFFF">Register</font>
				</b>
			</td>
			
			<td/>
			<td align="left">
				<b>
					<font color="#FFFFFF">Date/Time</font>
				</b>
			</td>
			<td/>
			<td align="left">
				<b>
					<font color="#FFFFFF">Dispenser</font>
				</b>
			</td>
			<td/>
			<td align="left">
				<b>
					<font color="#FFFFFF">Product</font>
				</b>
			</td>
			<td/>
			<td align="right">
				<b>
					<font color="#FFFFFF">Volume</font>
				</b>
			</td>
			<td/>
			<td align="right">
				<b>
					<font color="#FFFFFF">Amount</font>
				</b>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="detail">
		<xsl:param name="csh"/>
		<xsl:param name="ref"/>
		<xsl:param name="dt"/>
		<tr>
			<td align="center">
				<xsl:value-of select="$dt/t:register/@sysid"/>
			</td>
			
			<td/>
			<td align="left">
				<xsl:value-of select="concat(substring($ref,1,10),' - ',substring($ref,12,5))"/>
			</td>
			<td/>
			<td align="left">
				<xsl:value-of select="./pos"/>
			</td>
			<td/>
			<td align="left">
				<xsl:value-of select="./grade/name"/>
			</td>
			<td/>
			<td align="right">
				<xsl:value-of select="./vol"/>
			</td>
			<td/>
			<td align="right">
				<xsl:value-of select="./amt"/>
			</td>
		</tr>
	</xsl:template>
</xsl:transform>