<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Hourly Report by Register</title>
				<STYLE>
 						UL                   { cursor: hand; }
 						UL LI                { display: none;font: 90%;list-style: square; }
 						UL.showList LI       { display: block; }
 						.defaultStyles UL    { color: black; }
 						UL.defaultStyles LI  { display: none; }
 				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Hourly Report by Register</font>
							</b>
						</td>
								<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>All registers</b>
							</font>
						</td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr bgcolor="#3366CC" height="1" align="left">
								<td>
									<font color="#FFFFFF" style="font-weight: bold;">Hour</font>
								</td>
								<td/>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">Items</font>
								</td>
								<td/>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">Sales Type</font>
								</td>
								<td/>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">Cust#</font>
								</td>
								<td/>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">Net Sales</font>
								</td>
								<td/>
							</tr>
							<xsl:for-each select="//totals/hourlyInfo/hour">
								<xsl:sort select="." data-type="number"/>
								<xsl:variable name="totHr" select="."/>
								<tr height="1" align="left" bgcolor="#DBDBDB">
									<td>
										<p>
											<nobr>
												<xsl:value-of select="."/>
											</nobr>
										</p>
									</td>
									<td/>
									<td align="right">
										<p>
											<nobr>
												<xsl:value-of select="//totals/hourlyInfo[hour = $totHr]/itemCount"/>
											</nobr>
										</p>
									</td>
									<td/>
									<td>
										<p>Mer Only</p>
									</td>
									<td/>
									<td align="right">
										<p>
											<nobr>
												<xsl:value-of select="//totals/hourlyInfo[hour = $totHr]/merchOnly/count"/>
											</nobr>
										</p>
									</td>
									<td/>
									<td align="right">
										<p>
											<nobr>
												<xsl:value-of select="//totals/hourlyInfo[hour = $totHr]/merchOnly/amount"/>
											</nobr>
										</p>
									</td>
									<td/>
								</tr>
								<tr>
									<td/>
									<td/>
									<td/>
									<td/>
									<td>Mer + Fuel</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//totals/hourlyInfo[hour = $totHr]/merchFuel/count"/>
										</nobr>
									</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//totals/hourlyInfo[hour = $totHr]/merchFuel/amount"/>
										</nobr>
									</td>
									<td/>
								</tr>
								<tr>
									<td/>
									<td/>
									<td/>
									<td/>
									<td>Fuel Only</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//totals/hourlyInfo[hour = $totHr]/fuelOnly/count"/>
										</nobr>
									</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//totals/hourlyInfo[hour = $totHr]/fuelOnly/amount"/>
										</nobr>
									</td>
									<td/>
								</tr>
							</xsl:for-each>
							<tr>
								<td height="10" colspan="17">
									<hr color="#DBDBDB" valign="top" width="400" align="left"/>
								</td>
							</tr>
							<tr bgcolor="#DBDBDB">
								<td>Total</td>
								<td/>
								<td/>
								<td/>
								<td>Mer Only</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="//total/merchOnly/count"/>
									</nobr>
								</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="//total/merchOnly/amount"/>
									</nobr>
								</td>
								<td/>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
								<td/>
								<td>Mer +Fuel</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="//total/merchFuel/count"/>
									</nobr>
								</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="//total/merchFuel/amount"/>
									</nobr>
								</td>
								<td/>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
								<td/>
								<td>Fuel Only</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="//total/fuelOnly/count"/>
									</nobr>
								</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="//total/fuelOnly/amount"/>
									</nobr>
								</td>
								<td/>
							</tr>
							<tr bgcolor="#DBDBDB">
								<td>Grand Tot</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="format-number(sum(//totals/hourlyInfo/itemCount),'0.00')"/>
									</nobr>
								</td>
								<td/>
								<td/>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="sum(//totals/hourlyInfo/*/count)"/>
									</nobr>
								</td>
								<td/>
								<td align="right">
									<nobr>
										<xsl:value-of select="format-number(sum(//totals/hourlyInfo/*/amount),'0.00')"/>
									</nobr>
								</td>
								<td/>
							</tr>
						</table>
					</tr>
				</table>
				
				<xsl:variable name="reg" select="//byRegister/vs:register/@sysid[not(.=preceding::vs:register/@sysid)]"/>
				<xsl:for-each select="$reg">
					<xsl:sort select="." data-type="number"/>
					<xsl:variable name="meReg" select="."/>
					<br/>
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
					<table cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<font face="Trebuchet MS" size="3" color="#3366CC">
									<p>
										<xsl:variable name="ticketRange" select="count(//byRegister[vs:register/@sysid=$meReg]/ticketRange)"/>
										<xsl:choose>
										<xsl:when test="$meReg = 2">
								         <b>All Attendants Indoor</b>
								        </xsl:when>
								        <xsl:when test="$meReg = 4">
								         <b>All Attendants Outdoor</b>
								        </xsl:when>
											<xsl:when test="$meReg = 9">
												<b>All DCRs </b>
											</xsl:when>
											<xsl:otherwise>
												<b>Register  <xsl:value-of select="$meReg"/>
												</b>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:for-each select="//byRegister[vs:register/@sysid=$meReg]/ticketRange">
								             <tr>
								               <td>								
								                 <xsl:choose>
								                	<xsl:when test="$ticketRange&gt; 0">
										              <font size="2" color="#3366CC"> Receipt # 
											          <xsl:value-of select="begin"/> - 
											          <xsl:value-of select="end"/>
												      </font>
									                </xsl:when>
								        </xsl:choose>
								               </td>
                                              </tr>
                                      </xsl:for-each>	
									</p>
								</font>
							</td>
						</tr>
						<tr>
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
								<tr bgcolor="#3366CC" height="1" align="left">
									<td>
										<font color="#FFFFFF" style="font-weight: bold;">
											<p>Hour</p>
										</font>
									</td>
									<td/>
									<td align="right">
										<font color="#FFFFFF" style="font-weight: bold;">
											<p>Items</p>
										</font>
									</td>
									<td/>
									<td align="right">
										<font color="#FFFFFF" style="font-weight: bold;">
											<p>Sales Type</p>
										</font>
									</td>
									<td/>
									<td align="right">
										<font color="#FFFFFF" style="font-weight: bold;">
											<p>Cust#</p>
										</font>
									</td>
									<td/>
									<td align="right">
										<font color="#FFFFFF" style="font-weight: bold;">
											<p>Net Sales</p>
										</font>
									</td>
									<td/>
								</tr>
								<xsl:for-each select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo/hour">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="regHr" select="."/>
									<tr height="1" align="left" bgcolor="#DBDBDB">
										<td>
											<p>
												<nobr>
													<xsl:value-of select="."/>
												</nobr>
											</p>
										</td>
										<td/>
										<td align="right">
											<p>
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo[hour=$regHr]/itemCount"/>
												</nobr>
											</p>
										</td>
										<td/>
										<td>
											<p>Mer Only</p>
										</td>
										<td/>
										<td align="right">
											<p>
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo[hour=$regHr]/merchOnly/count"/>
												</nobr>
											</p>
										</td>
										<td/>
										<td align="right">
											<p>
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo[hour=$regHr]/merchOnly/amount"/>
												</nobr>
											</p>
										</td>
										<td/>
									</tr>
									<tr>
										<td/>
										<td/>
										<td/>
										<td/>
										<td>Mer + Fuel</td>
										<td/>
										<td align="right">
											<nobr>
												<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo[hour=$regHr]/merchFuel/count"/>
											</nobr>
										</td>
										<td/>
										<td align="right">
											<nobr>
												<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo[hour=$regHr]/merchFuel/amount"/>
											</nobr>
										</td>
										<td/>
									</tr>
									<tr>
										<td/>
										<td/>
										<td/>
										<td/>
										<td>Fuel Only</td>
										<td/>
										<td align="right">
											<nobr>
												<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo[hour=$regHr]/fuelOnly/count"/>
											</nobr>
										</td>
										<td/>
										<td align="right">
											<nobr>
												<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/hourlyInfo[hour=$regHr]/fuelOnly/amount"/>
											</nobr>
										</td>
										<td/>
									</tr>
								</xsl:for-each>
								<tr>
									<td height="10" colspan="17">
										<hr color="#DBDBDB" valign="top" width="400" align="left"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td>Total</td>
									<td/>
									<td/>
									<td/>
									<td>Mer Only</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/merchOnly/count"/>
										</nobr>
									</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/merchOnly/amount"/>
										</nobr>
									</td>
									<td/>
								</tr>
								<tr>
									<td/>
									<td/>
									<td/>
									<td/>
									<td>Mer +Fuel</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/merchFuel/count"/>
										</nobr>
									</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/merchFuel/amount"/>
										</nobr>
									</td>
									<td/>
								</tr>
								<tr>
									<td/>
									<td/>
									<td/>
									<td/>
									<td>Fuel Only</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/fuelOnly/count"/>
										</nobr>
									</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/total/fuelOnly/amount"/>
										</nobr>
									</td>
									<td/>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td>Grand Tot</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="format-number(sum(//byRegister[vs:register/@sysid=$meReg]/hourlyInfo/itemCount),'0.00')"/>
										</nobr>
									</td>
									<td/>
									<td/>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="sum(//byRegister[vs:register/@sysid=$meReg]/hourlyInfo/*/count)"/>
										</nobr>
									</td>
									<td/>
									<td align="right">
										<nobr>
											<xsl:value-of select="format-number(sum(//byRegister[vs:register/@sysid=$meReg]/hourlyInfo/*/amount),'0.00')"/>
										</nobr>
									</td>
									<td/>
								</tr>
							</table>
						</tr>
					</table>
				</xsl:for-each>
				<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr/>
					<tr>
						<td width="100%">
							<font size="1">* Registers without activity have been omitted from this report</font>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:transform>