<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ns="http://verifone.com/isd/vfit/periodTargs/kioskReportPd/tr_kioskReport" version="1.0">
<xsl:include href="../common/tr_period.xsl"/>
	<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
	<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Food Order Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Food Order Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				<br/>
				<br/>
				<br/>
				
				<table width="400" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="2">
							<font size="2">
								<b>Food Order Reconciliation </b>
							</font>
							<hr color="#FFCC00" valign="top" width="400" align="left"/>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>All Orders</p>
							</font>
						</td>
						<td align="left">
							<font>
								<p>
									<xsl:value-of select="//allordersPlaced/count"/>
								</p>
							</font>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>--Kiosk Orders</p>
							</font>
						</td>
						<td align="right">
							<font>
								<p>
									<xsl:value-of select="//ordersPlaced/count"/>
								</p>
							</font>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>--Mobile Unpaid Orders</p>
							</font>
						</td>
						<td align="right">
							<font>
								<p>
									<xsl:value-of select="//ordersPlacedMobileUnPaid/count"/>
								</p>
							</font>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>--Mobile Paid Orders</p>
							</font>
						</td>
						<td align="right">
							<font>
								<p>
									<xsl:value-of select="//ordersPlacedMobile/count"/>
								</p>
							</font>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Orders Tendered</p>
							</font>
						</td>
						<td align="left">
							<font>
								<p>
									<xsl:value-of select="//ordersTendered/count"/>
								</p>
							</font>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Uncollected Orders</p>
							</font>
						</td>
						<td align="left">
							<font>
								<p>
									<xsl:value-of select="//ordersPlaced/count + //ordersPlacedMobileUnPaid/count - //ordersTendered/count"/>
								</p>
							</font>
						</td>
					</tr>

				</table>
				<br/>
				<br/>
				<br/>
				
				<table width="620" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" bgcolor="#FFFFFF">
					<tr>
						<td colspan="8">
							<font size="2">
								<b>Kiosk Order Distribution</b>
							</font>
							<hr color="#FFCC00" valign="top" width="620" align="left"/>
						</td>
					</tr>
					<tr>
						<td align="center" width="80">
							<font style="font-weight: bold;">
								<p>Hours</p>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[1]">
											<p>Kiosk
												<xsl:value-of select="//kioskCustomerCount[1]/kioskEntry[1]/t:register/@sysid"/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text/>
										</xsl:otherwise>
									</xsl:choose>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[2]">
											<p>Kiosk
												<xsl:value-of select="//kioskCustomerCount[1]/kioskEntry[2]/t:register/@sysid"/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text/>
										</xsl:otherwise>
									</xsl:choose>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[3]">
											<p>Kiosk
												<xsl:value-of select="//kioskCustomerCount[1]/kioskEntry[3]/t:register/@sysid"/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text/>
										</xsl:otherwise>
								</xsl:choose>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[4]">
											<p>Kiosk
												<xsl:value-of select="//kioskCustomerCount[1]/kioskEntry[4]/t:register/@sysid"/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text/>
										</xsl:otherwise>
									</xsl:choose>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								 
									<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[5]">
											<p>Kiosk
												<xsl:value-of select="//kioskCustomerCount[1]/kioskEntry[5]/t:register/@sysid"/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text/>
										</xsl:otherwise>
									</xsl:choose>
								
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[6]">
											<p>Kiosk
												<xsl:value-of select="//kioskCustomerCount[1]/kioskEntry[6]/t:register/@sysid"/>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text/>
										</xsl:otherwise>
									</xsl:choose>
							</font>
						</td>						
						<td align="center" width="90">
							<font style="font-weight: bold;">
								<p>Total Counts</p>
							</font>
						</td>
					</tr>
					
					<xsl:choose>
						<xsl:when test="count(//kioskCustomerCount[1]/kioskEntry[1]/hour) &gt; 0">
							<xsl:variable name="hourEntry">
								<xsl:copy-of select="//kioskCustomerCount[1]/kioskEntry[1]/hour"/>
							</xsl:variable>
							<xsl:variable name="registers">
								<xsl:copy-of select="//kioskCustomerCount[1]/kioskEntry/t:register"/>
							</xsl:variable>
							<xsl:variable name="kioskEntries">
								<xsl:copy-of select="//kioskCustomerCount[1]/kioskEntry"/>
							</xsl:variable>
							<xsl:apply-templates select="ext:nodeset($hourEntry)/*" mode="ns:process">
								<xsl:with-param name="registers" select="ext:nodeset($registers)"/>
								<xsl:with-param name="kioskEntries" select="ext:nodeset($kioskEntries)"/>
							</xsl:apply-templates>
							<tr>
								<td colspan="8">
									<hr/>
								</td>
							</tr>
							<tr>
								<td>
									<xsl:text>TOTAL COUNTS</xsl:text>
								</td>
								<td align="center">
									<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[1]">
											<xsl:value-of select="sum(//kioskCustomerCount[1]/kioskEntry[1]/hour/count)"/>
										</xsl:when>
									</xsl:choose>
								</td>
								<td align="center">
									<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[2]">
											<xsl:value-of select="sum(//kioskCustomerCount[1]/kioskEntry[2]/hour/count)"/>
										</xsl:when>
									</xsl:choose>
								</td>
								<td align="center">
									<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[3]">
											<xsl:value-of select="sum(//kioskCustomerCount[1]/kioskEntry[3]/hour/count)"/>
										</xsl:when>
									</xsl:choose>
								</td>
								<td align="center">
									<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[4]">
											<xsl:value-of select="sum(//kioskCustomerCount[1]/kioskEntry[4]/hour/count)"/>
										</xsl:when>
									</xsl:choose>
								</td>
								<td align="center">
									<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[5]">
											<xsl:value-of select="sum(//kioskCustomerCount[1]/kioskEntry[5]/hour/count)"/>
										</xsl:when>
									</xsl:choose>
								</td>
								<td align="center">
									<xsl:choose>
										<xsl:when test="//kioskCustomerCount[1]/kioskEntry[6]">
											<xsl:value-of select="sum(//kioskCustomerCount[1]/kioskEntry[6]/hour/count)"/>
										</xsl:when>
									</xsl:choose>
								</td>																
								<td align="center">
									<xsl:value-of select="sum(//kioskCustomerCount[1]/kioskEntry/hour/count)"/>
								</td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr>
								<td colspan="8">
									<xsl:text>No Data Available</xsl:text>
								</td>
							</tr>
						</xsl:otherwise>
					</xsl:choose>
				</table>
				<br/>
				<br/>
				<br/>
							
				
				<table width="250" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" bgcolor="#FFFFFF">
					<tr>
						<td colspan="3">
							<font size="2">
								<b>Mobile Unpaid Distribution</b>
							</font>
							<hr color="#FFCC00" valign="top" width="250" align="left"/>
						</td>
					</tr>
					<tr>
						<td align="center" width="80">
							<font style="font-weight: bold;">
								<p>Hours</p>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<p>Mobile
								</p>
							</font>
						</td>
						
						<td/>	
					</tr>
					
					<xsl:variable name="mobunpaid" select="3"/>
					<xsl:call-template name="recurse_to_twentyfour">
							<xsl:with-param name="kioskCC" select="$mobunpaid"/>
					</xsl:call-template>
					
					<tr>
						<td colspan="3">
							<hr/>
						</td>
					</tr>
					<td>
						<xsl:text>TOTAL COUNTS</xsl:text>
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="//kioskCustomerCount[$mobunpaid]/kioskEntry[1]">
								<xsl:value-of select="sum(//kioskCustomerCount[$mobunpaid]/kioskEntry/hour/count)"/>
							</xsl:when>
							<xsl:otherwise>
								<tr>
									<td colspan="3">
										<xsl:text>No Data Available</xsl:text>
									</td>
								</tr>
							</xsl:otherwise>
						</xsl:choose>
						
					</td>		
				</table>
				<br/>
				<br/>
				<br/>
			
				
				<table width="250" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" bgcolor="#FFFFFF">
					<tr>
						<td colspan="3">
							<font size="2">
								<b>Mobile Paid Distribution</b>
							</font>
							<hr color="#FFCC00" valign="top" width="250" align="left"/>
						</td>
					</tr>
					<tr>
						<td align="center" width="80">
							<font style="font-weight: bold;">
								<p>Hours</p>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<p>Mobile
								</p>
							</font>
						</td>
						
						<td/>	
					</tr>
					
					<xsl:variable name="mobpaid" select="2"/>
					<xsl:call-template name="recurse_to_twentyfour">
							<xsl:with-param name="kioskCC" select="$mobpaid"/>
					</xsl:call-template>
					
					<tr>
						<td colspan="3">
							<hr/>
						</td>
					</tr>
					<td>
						<xsl:text>TOTAL COUNTS</xsl:text>
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="//kioskCustomerCount[$mobpaid]/kioskEntry[1]">
								<xsl:value-of select="sum(//kioskCustomerCount[$mobpaid]/kioskEntry/hour/count)"/>
							</xsl:when>
							<xsl:otherwise>
								<tr>
									<td colspan="3">
										<xsl:text>No Data Available</xsl:text>
									</td>
								</tr>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</table>
				<br/>
				<br/>
				<br/>
				
				
				<table width="250" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" bgcolor="#FFFFFF">
					<tr>
						<td colspan="3">
							<font size="2">
								<b>Hourly Order Distribution</b>
							</font>
							<hr color="#FFCC00" valign="top" width="250" align="left"/>
						</td>
					</tr>
					<tr>
						<td align="center" width="80">
							<font style="font-weight: bold;">
								<p>Hours</p>
							</font>
						</td>
						<td align="center" width="70">
							<font style="font-weight: bold;">
								<p>Summary
								</p>
							</font>
						</td>
						
						<td/>	
					</tr>
					
					<xsl:variable name="allorder" select="4"/>
					<xsl:call-template name="recurse_to_twentyfour">
						<xsl:with-param name="kioskCC" select="$allorder"/>
					</xsl:call-template>
					
					<tr>
						<td colspan="3">
							<hr/>
						</td>
					</tr>
					<td>
						<xsl:text>TOTAL COUNTS</xsl:text>
					</td>
					<td align="center">
						<xsl:choose>
							<xsl:when test="//kioskCustomerCount[$allorder]/kioskEntry[1]">
								<xsl:value-of select="sum(//kioskCustomerCount[$allorder]/kioskEntry/hour/count)"/>
							</xsl:when>
							<xsl:otherwise>
								<tr>
									<td colspan="3">
										<xsl:text>No Data Available</xsl:text>
									</td>
								</tr>
							</xsl:otherwise>
						</xsl:choose>
					</td>
						
				</table>
				<br/>
				<br/>
				<br/>
				
				
				
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="5">
							<font size="2">
								<b>Kiosk Order Exception</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Trans#</p>
							</font>
						</td>
						<td align="justify">
							<font style="font-weight: bold;">
								<p>Date/Time
									</p>
							</font>
						</td>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Amount
									</p>
							</font>
						</td>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Exception Type
									</p>
							</font>
						</td>
					</tr>
					
					<xsl:choose>
						<xsl:when test="count(//ordersVoided/*) &gt; 0">
							<xsl:apply-templates select="//ordersVoided/*" mode="ns:process"/>
							<tr>
								<tr>
									<td colspan="6">
										<hr/>
									</td>
								</tr>
								<td>
									<xsl:text>TOTAL EXCEPTION COUNT</xsl:text>
								</td>
								<td>
									<xsl:value-of select="//ordersVoided/count"/>
								</td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr>
								<td colspan="5">
									<xsl:text>No Exception Data Available</xsl:text>
								</td>
							</tr>
						</xsl:otherwise>
					</xsl:choose>
				</table>
				<br/>
				<br/>
				<br/>
				
				
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="5">
							<font size="2">
								<b>Mobile Order Exception</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Trans#</p>
							</font>
						</td>
						<td align="justify">
							<font style="font-weight: bold;">
								<p>Date/Time
									</p>
							</font>
						</td>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Amount
									</p>
							</font>
						</td>
						<td align="left">
							<font style="font-weight: bold;">
								<p>Exception Type
									</p>
							</font>
						</td>
					</tr>
					
					<xsl:choose>
						<xsl:when test="count(//ordersVoidedMobile/*) &gt; 0">
							<xsl:apply-templates select="//ordersVoidedMobile/*" mode="ns:process"/>
							<tr>
								<tr>
									<td colspan="6">
										<hr/>
									</td>
								</tr>
								<td>
									<xsl:text>TOTAL EXCEPTION COUNT</xsl:text>
								</td>
								<td>
									<xsl:value-of select="//ordersVoidedMobile/count"/>
								</td>
							</tr>
						</xsl:when>
						<xsl:otherwise>
							<tr>
								<td colspan="5">
									<xsl:text>No Exception Data Available</xsl:text>
								</td>
							</tr>
						</xsl:otherwise>
					</xsl:choose>
				</table>
				<br/>
			</body>
		</html>
	</xsl:template>
	

	<xsl:template name="recurse_to_twentyfour">
			<xsl:param name="kioskCC">4</xsl:param>
			<xsl:param name="num">1</xsl:param>
			
			<xsl:copy-of select="@*"/>
			<xsl:if test="not($num = '25')">
				<tr>
					<xsl:if test="(sum(//kioskCustomerCount[number($kioskCC)]/kioskEntry/hour[substring-after(@sysid,'T')=$num]/count)) &gt; '0'">
						<td>
							<xsl:if test="not($num &gt; '9')">
								<xsl:value-of select="concat($num,':00', '-', '0',$num + 1,':00')"/>
							</xsl:if>
							<xsl:if test="($num &gt; '9') and not($num = '24')">
								<xsl:value-of select="concat($num,':00', '-',$num+1,':00')"/>
							</xsl:if>
							<xsl:if test="($num = '24')">
								<xsl:value-of select="concat('00:00', '-','01:00')"/>
							</xsl:if>
						</td>
						<td align="center">
							<xsl:value-of select="sum(//kioskCustomerCount[number($kioskCC)]/kioskEntry/hour[substring-after(@sysid,'T')=$num]/count)"/>							
						</td>
					</xsl:if>
				</tr>
				
				<xsl:call-template name="recurse_to_twentyfour">
					<xsl:with-param name="num" select="$num + 1">
					</xsl:with-param>
					<xsl:with-param name="kioskCC" select="$kioskCC">
					</xsl:with-param>
				</xsl:call-template>
			</xsl:if>	
	</xsl:template>	

	

	<xsl:template match="hour" mode="ns:process">
		<xsl:param name="registers"/>
		<xsl:param name="kioskEntries"/>
		<xsl:variable name="h" select="substring(substring-after(@sysid,'T'),1,2)"/>
		<xsl:variable name="dh" select="@sysid"/>
		<tr>
			<td>
				<xsl:choose>
					<xsl:when test="not($h='24')">
						<xsl:choose>
							<xsl:when test="$h &lt; 9">
								<xsl:value-of select="concat($h,':00', '-', '0',$h+1,':00')"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="concat($h,':00', '-',$h+1,':00')"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="concat($h,':00', '-','01:00')"/>
					</xsl:otherwise>
				</xsl:choose>
			</td>
			<xsl:for-each select="ext:nodeset($registers)/*">
				<xsl:variable name="r" select="@sysid"/>
				<td align="center">
					<xsl:value-of select="ext:nodeset($kioskEntries)//*[t:register/@sysid= $r]/hour[@sysid = $dh]/count"/>
				</td>
			</xsl:for-each>
			<xsl:choose>
				<xsl:when test="count(ext:nodeset($registers)/*) = 0">
					<td/>
					<td/>
					<td/>
					<td/>
					<td/>
					<td/>					
				</xsl:when>
				<xsl:when test="count(ext:nodeset($registers)/*) = 1">
					<td/>
					<td/>
					<td/>
					<td/>
					<td/>					
				</xsl:when>
				<xsl:when test="count(ext:nodeset($registers)/*) = 2">
					<td/>
					<td/>
					<td/>
					<td/>					
				</xsl:when>
				<xsl:when test="count(ext:nodeset($registers)/*) = 3">
					<td/>
					<td/>
					<td/>					
				</xsl:when>
				<xsl:when test="count(ext:nodeset($registers)/*) = 4">
					<td/>
					<td/>				
				</xsl:when>
				<xsl:when test="count(ext:nodeset($registers)/*) = 5">
					<td/>				
				</xsl:when>								
			</xsl:choose>
			<td align="center">
				<xsl:value-of select="sum(ext:nodeset($kioskEntries)//*/hour[@sysid = $dh]/count)"/>
			</td>
		</tr>
	</xsl:template>
	
	
	<xsl:template match="t:void" mode="ns:process">
		<xsl:variable name="voidReason">
			<xsl:choose>
				<xsl:when test="@voidReason">
					<xsl:value-of select="'Cancelled Order'"/>
				</xsl:when>
				<xsl:otherwise>Expired Order</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<tr>
			<td>
				<xsl:value-of select="vs:transactionSeq"/>
			</td>
			<td>
				<xsl:value-of select="concat(substring-before(hdr/dateTime,'T'), ' ', substring(substring-after(hdr/dateTime,'T'),1,5))"/>
			</td>
			<td width="60" align="left">
				<xsl:value-of select="sum/beforeTax"/>
			</td>
			<td align="left">
				<xsl:value-of select="$voidReason"/>
			</td>
		</tr>
	</xsl:template>
	<xsl:template match="* | @* | text()" mode="ns:process"/>
	<xsl:template match="* | @* | text()"/>
</xsl:transform>