<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ns="http://verifone.com/isd/vfit/periodTargs/loyaltyPd/tr_loyaltyDetailPd" xmlns:ext="http://xml.apache.org/xalan" version="1.0" exclude-result-prefixes="ext">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="summaryTemplate">
		
		<table border="0" width="80%" bgcolor="#ffffff" style="font-family: Trebuchet MS; font-size: 10pt;" cellpadding="0" cellspacing="0">
					<tr height="1" bgcolor="#3366cc" align="left">
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
									LoyaltyName
								</font>
						</td>
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
									Count
								</font>
						</td>
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
									PPG Disc
								</font>
						</td>
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
								Ticket Disc
								</font>
						</td>
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
								Item Disc
								</font>
						</td>
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
								Cust-Auth Disc
								</font>
						</td>
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
								Tot Disc
								</font>
						</td>
						<td align="left">
							<font color="#ffffff" style="font-weight: bold;">
								Tkt Total
								</font>
						</td>
					</tr>
					<xsl:for-each select="//Summary">
						<xsl:variable name="currSummary" select="."/>
						<tr>
							<xsl:variable name="currPPGDisc">
									<xsl:choose>
										<xsl:when test="$currSummary/PPGDiscTotal">
											<xsl:value-of select="$currSummary/PPGDiscTotal"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="0.00"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="currTktDisc">
									<xsl:choose>
										<xsl:when test="$currSummary/TicketDiscTotal">
											<xsl:value-of select="$currSummary/TicketDiscTotal"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="0.00"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="currLineDisc">
									<xsl:choose>
										<xsl:when test="$currSummary/LineDiscTotal">
											<xsl:value-of select="$currSummary/LineDiscTotal"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="0.00"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
								<xsl:variable name="currCustDisc">
									<xsl:choose>
										<xsl:when test="$currSummary/CustAuthDiscTotal">
											<xsl:value-of select="$currSummary/CustAuthDiscTotal"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="0.00"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:variable>
							<td>
								<xsl:value-of select="$currSummary/@programID"/>
							</td>
							<td>
								<xsl:value-of select="$currSummary/count"/>
							</td>
							<td>
								<xsl:value-of select="format-number($currPPGDisc,'0.00')"/>
							</td>
							<td>
								<xsl:value-of select="$currTktDisc"/>
							</td>
							<td>
								<xsl:value-of select="$currLineDisc"/>
							</td>
							<td>
								<xsl:value-of select="$currCustDisc"/>
							</td>
							<td>
								<xsl:value-of select="format-number($currPPGDisc+$currTktDisc+$currLineDisc+$currCustDisc,'0.00')"/>
							</td>
							<td>
								<xsl:value-of select="format-number($currSummary/TicketTotal,'0.00')"/>
							</td>
						</tr>
					</xsl:for-each>
					<tr>
						<td colspan="8">
							<hr/>
						</td>
					</tr>
					<tr>
						<td>
							<b>Total</b>
						</td>
						<td>
							<b>
								<xsl:value-of select="sum(//Summary/count)"/>
							</b>
						</td>
						<td>
							<b>
								<xsl:value-of select="format-number(sum(//Summary/PPGDiscTotal),'0.00')"/>
							</b>
						</td>
						<td>
							<b>
								<xsl:value-of select="format-number(sum(//Summary/TicketDiscTotal),'0.00')"/>
							</b>
						</td>
						<td>
							<b>
								<xsl:value-of select="format-number(sum(//Summary/LineDiscTotal),'0.00')"/>
							</b>
						</td>
						<td>
							<b>
								<xsl:value-of select="format-number(sum(//Summary/CustAuthDiscTotal),'0.00')"/>
							</b>
						</td>
						<td>
							<b>
								<xsl:value-of select="format-number(sum(//Summary/TotalDisc),'0.00')"/>
							</b>
						</td>
						<td>
							<b>
								<xsl:copy-of select="format-number(sum(//Summary/TicketTotal),'0.00')"/>
							</b>
						</td>
					</tr>
					
				</table>
	</xsl:template>
	
	<xsl:template name="detailTemplate">
		<table border="0" width="80%" bgcolor="#ffffff" style="font-family: Trebuchet MS; font-size: 10pt;" cellpadding="0" cellspacing="0">
				
					<xsl:for-each select="//loyaltyDetailByProgram">
						<xsl:variable name="currLolDetail" select="."/>
						<tr align="left">
							<td colspan="6">
								<font style="font-weight: bold;">
									<xsl:value-of select="$currLolDetail/@programID"/>  Details
									</font>
								<hr color="#ffcc00" width="100%"/>
							</td>
						</tr>
						<tr height="1" bgcolor="#3366cc" align="left">
							<td align="left">
								<font color="#ffffff" style="font-weight: bold;">
										Loyalty Acct#
									</font>
							</td>
							<td align="left">
								<font color="#ffffff" style="font-weight: bold;">
										Date/Time
									</font>
							</td>
							<td align="left">
								<font color="#ffffff" style="font-weight: bold;">
										Trans#
									</font>
							</td>
							<td align="left">
								<font color="#ffffff" style="font-weight: bold;">
										Cashier#
									</font>
							</td>
							<td align="left" width="40%">
								<table border="0" width="100%" cellpadding="0" cellspacing="0">
									<tr>
										<td colspan="1">
											<font color="#ffffff" style="font-weight: bold;">Disc Type</font>
										</td>
										<td colspan="1" align="center">
											<font color="#ffffff" style="font-weight: bold;">Descr</font>
										</td>
										<td colspan="2" align="right">
											<font color="#ffffff" style="font-weight: bold;">Qty</font>
										</td>
										<td align="right" colspan="1">
											<font color="#ffffff" style="font-weight: bold;">Dsc Amt</font>
										</td>
									</tr>
								</table>
							</td>
							<td align="center">
								<font color="#ffffff" style="font-weight: bold;">
									Tkt Total 	
								</font>
							</td>
						</tr>
						<tr/>
						<xsl:for-each select="$currLolDetail//Detail">
							<xsl:variable name="currDetail" select="."/>
							<tr>
								<td>
									<xsl:value-of select="$currDetail/t:sumLoyalty/loyaltyCardInfo/acct"/>
								</td>
								<td>
									<xsl:value-of select="$currDetail/dateTime"/>
								</td>
								<td>
									<xsl:value-of select="$currDetail/vs:transactionSeq"/>
								</td>
								<td>
									<xsl:value-of select="$currDetail/t:cashier/@number"/>
								</td>
								<td width="40%" align="left">
									<table border="0" width="100%" align="left" style="font-family: Trebuchet MS; font-size: 10pt;" cellpadding="0" cellspacing="0">
										
											<xsl:for-each select="$currDetail//t:line">
												<xsl:variable name="currLine" select="."/>
												<xsl:if test="$currLine/t:fuel/loyaltyDisc">
												<tr align="left">
													<td>PPG Disc</td>
													<td><xsl:value-of select="$currLine/t:fuel/grade/name"/></td>
													<td><xsl:value-of select="$currLine/t:fuel/vol"/></td>
													<td align="right">
														<xsl:value-of select="sum($currLine/t:fuel//loyaltyDisc/amt)"/>
													</td>
												</tr>
												</xsl:if>
											</xsl:for-each>	
										
										<xsl:if test="$currDetail/t:sumLoyalty/loyaltyDiscounts">
											<tr align="left">
												<td>Ticket Disc</td>
												<td/>
												<td/>
												<td align="right">
													<xsl:value-of select="$currDetail/t:sumLoyalty/loyaltyDiscounts/autoApplied"/>
												</td>
											</tr>
										</xsl:if>
											<xsl:for-each select="$currDetail//t:line">
												<xsl:variable name="currLine" select="."/>
												<xsl:if test="$currLine/t:loyalty">
												<tr align="left">
													<td>Line Item</td>
													<td>
														<xsl:value-of select="$currLine/desc"/>
														
													</td>
													<td>
														<xsl:copy-of select="format-number($currLine/t:loyalty/qty,'0.00')"/>
													</td>
													<td align="right">
														<xsl:copy-of select="$currLine/t:loyalty/amt"/>
													</td>
												</tr>
												</xsl:if>
											</xsl:for-each>
										<xsl:if test="$currDetail/t:sumLoyalty/loyaltyDiscounts/custApproved">
											<xsl:if test="$currDetail/t:sumLoyalty/loyaltyDiscounts/custApproved &gt; 0">
												<tr>
													<td>Cust-Auth</td>
													<td/>
													<td/>
													<td align="right">
														<xsl:copy-of select="$currDetail/t:sumLoyalty/loyaltyDiscounts/custApproved"/>
													</td>
												</tr>
											</xsl:if>
										</xsl:if>
									</table>
								</td>
							</tr>
							<tr>
								<td/>
								<td/>
								<td/>
								<td/>
								<td>
									<hr style="border:dashed #ffcc00; border-width:1px 0 0 0; height:0;line-height:1px;font-size:0;margin:0;padding:0;"/>
								</td>
							</tr>
							<tr>
								<td/>
								<td>
									<xsl:choose>
										<xsl:when test="$currDetail/t:sumLoyalty/loyaltyDiscounts[@reversed = 'true']">
											<b>Refund</b>
										</xsl:when>
										<xsl:otherwise>
											<b>Sale</b>
										</xsl:otherwise>
									</xsl:choose>
									
									
								</td>
								<xsl:choose>
									<xsl:when test="$currDetail/t:line/t:loyalty">
										<td>
											<b>Tax Credit:     <xsl:copy-of select="format-number($currDetail/t:line/t:loyalty/taxCredit,'0.00')"/>
											</b>
										</td>
									</xsl:when>
									<xsl:otherwise>
										<td/>
									</xsl:otherwise>
								</xsl:choose>
								<td/>
								<td width="40%" align="left">
									<table border="0" width="100%" cellpadding="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt;">
										<tr>
											<td align="left">
												<b>Total Discount</b>
											</td>
											<td/>
											<td/>
											<td align="right">
												<xsl:variable name="lineTotalDisc">
													<xsl:choose>
														<xsl:when test="$currDetail/t:line/t:loyalty">
															<xsl:value-of select="sum($currDetail//t:line//t:loyalty/amt)"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="0.00"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:variable>
												
												<xsl:variable name="ticketTotalDisc">
													<xsl:choose>
														<xsl:when test="$currDetail/t:sumLoyalty/loyaltyDiscounts/autoApplied">
															<xsl:value-of select="$currDetail/t:sumLoyalty/loyaltyDiscounts/autoApplied"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="0.00"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:variable>
												
												<xsl:variable name="custApprovedDisc">
													<xsl:choose>
													<xsl:when test="$currDetail/t:sumLoyalty/loyaltyDiscounts/custApproved">
														<xsl:value-of select="$currDetail/t:sumLoyalty/loyaltyDiscounts/custApproved"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="0.00"/>
													</xsl:otherwise>
													</xsl:choose>
												</xsl:variable>
												
												<xsl:variable name="PPGDisc">
														<xsl:choose>
													<xsl:when test="$currDetail/t:line/t:fuel/loyaltyDisc/amt">
														<xsl:value-of select="$currDetail//t:line/t:fuel//loyaltyDisc/amt"/>
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="0.00"/>
													</xsl:otherwise>
														</xsl:choose>
												</xsl:variable>
												
												<b>
													<xsl:copy-of select="format-number($lineTotalDisc+$ticketTotalDisc+$custApprovedDisc+$PPGDisc,'0.00')"/>
												</b>
											</td>
										</tr>
									</table>
								</td>
								<td align="center">
									<b>
										<xsl:copy-of select="format-number($currDetail/TicketTotal,'0.00')"/>
									</b>
								</td>
							</tr>
							<tr>
								<td colspan="8">
									<hr/>
								</td>
							</tr>
							<tr height="30px"/>
							</xsl:for-each>
						
					</xsl:for-each>
				</table>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:variable name="inputDoc" select="."/>
		<html>
			<head>
				<title>Loyalty Detail Report</title>
			</head>
			<body>
				<table border="0" width="80%" style="font-family: Trebuchet MS; font-size: 10pt" height="61" cellpadding="0" cellspacing="0">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Loyalty Detail Report</font>
							</b>
						</td>
						<xsl:apply-templates select="loyaltyDetailReport/t:hdr/vs:site"/>
					</tr>
					<tr>
						<td height="10" colspan="3">
							<hr color="#FFCC00" valign="top" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="loyaltyDetailReport/t:hdr/vs:period"/>
				<br/>
				<font size="2" style="font-family: Trebuchet MS; font-size: 10pt;">
					<b>Loyalty Summary</b>
				</font>
				<hr color="#ffcc00" align="left" valign="top" width="80%"/>
				<xsl:call-template name="summaryTemplate"/>
				<br/><br/>
				<xsl:call-template name="detailTemplate"/>
				
			</body>
		</html>
	</xsl:template>
	
	
</xsl:transform>