<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ns="http://verifone.com/isd/vfit/periodTargs/loyaltyPd/tr_loyaltyPPGPd.xsl" xmlns:ns1="http://verifone.com/isd/vfit/periodTargs/loyaltyPd/tr_loyaltyPPGPd" xmlns:ext="urn:schemas-microsoft-com:xslt" version="1.0" exclude-result-prefixes="ext">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<html>
			<head>
				<title>Loyalty Price Per Unit (PPU) Totals</title>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Loyalty Price Per Unit (PPU) Totals</font>
							</b>
						</td>
						<td>
							<xsl:apply-templates select="loyaltyDetailReport/t:hdr/vs:site"/>
						</td>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="loyaltyDetailReport/t:hdr/vs:period"/>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<xsl:call-template name="byType"/>
				</table>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<xsl:call-template name="byGrade">
						<xsl:with-param name="inputDoc" select="."/>
					</xsl:call-template>
				</table>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<xsl:call-template name="byProgram">
						<xsl:with-param name="inputDoc" select="."/>
					</xsl:call-template>
				</table>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<xsl:call-template name="detail">
						<xsl:with-param name="inputDoc" select="."/>
					</xsl:call-template>
				</table>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="byType">
		<tr>
			<td colspan="4">
				<font size="2">
					<b>Loyalty Discounts by Type</b>
				</font>
				<hr color="#FFCC00" valign="top" width="632" align="left"/>
			</td>
		</tr>
		<tr bgcolor="#3366CC" height="1" align="left">
			<td align="left">
				<font color="#FFFFFF" style="font-weight: bold;">
					<p>PPU Discounts</p>
				</font>
			</td>
			<td align="left">
				<font color="#FFFFFF" style="font-weight: bold;">
					<p>Ticket Level Discounts</p>
				</font>
			</td>
			<td align="left">
				<font color="#FFFFFF" style="font-weight: bold;">
					<p>Line Level Discounts</p>
				</font>
			</td>
			<td align="right">
				<font color="#FFFFFF" style="font-weight: bold;">
					<p>Total Loyalty Discounts</p>
				</font>
			</td>
		</tr>
		<tr>
			<xsl:variable name="TotalTickDiscAmount">
				<xsl:value-of select="sum(ext:node-set(//TicketDiscTotal))"/>
			</xsl:variable>
			<xsl:variable name="TotalPPUAmount">
				<xsl:value-of select="sum(ext:node-set(//PPGDiscTotal))"/>
			</xsl:variable>
			<xsl:variable name="TotalLineAmount">
				<xsl:value-of select="sum(ext:node-set(//LineDiscTotal))"/>
			</xsl:variable>
			<td align="left">
				<xsl:value-of select="format-number($TotalPPUAmount, '0.00')"/>
			</td>
			<td align="left">
				<xsl:value-of select="format-number($TotalTickDiscAmount,'0.00')"/>
			</td>
			<td align="left">
				<xsl:value-of select="format-number($TotalLineAmount,'0.00')"/>
			</td>
			<td align="right">
				<xsl:value-of select="format-number($TotalTickDiscAmount +$TotalPPUAmount + $TotalLineAmount,'0.00')"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="byGrade">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="gradeList">
			<xsl:variable name="sortedList">
				<xsl:for-each select="//t:line/t:fuel">
					<xsl:sort order="ascending" select="grade" data-type="text"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:node-set($sortedList)/t:fuel[ not(grade = preceding-sibling::t:fuel[1]/grade)]/grade"/>
		</xsl:variable>
		<xsl:if test="count($inputDoc//Detail//t:line/t:fuel//loyaltyDisc)">
			<tr>
				<td colspan="5">
					<font size="2">
						<b>PPU Totals by Grade</b>
					</font>
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
				</td>
			</tr>
			<tr bgcolor="#3366CC" height="1" align="left">
				<td align="left">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Grade ID</p>
					</font>
				</td>
				<td align="left">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Program Name</p>
					</font>
				</td>
				<td align="right">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Count</p>
					</font>
				</td>
				<td align="right">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Volume</p>
					</font>
				</td>
				<td align="right">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Discounts</p>
					</font>
				</td>
			</tr>
			<xsl:for-each select="ext:node-set($gradeList)/grade">
				<xsl:variable name="curGrade" select="."/>
				<xsl:for-each select="$inputDoc//loyaltyDetailByProgram">
					<xsl:variable name="currDetail" select="."/>
					<xsl:if test="count($currDetail//t:fuel[grade=$curGrade]//loyaltyDisc[name = $currDetail/@programID])">
						<tr>
							<td align="left">
								<xsl:value-of select="$curGrade"/>
							</td>
							<td align="left">
								<xsl:value-of select="$currDetail/@programID"/>
							</td>
							<td align="right">
								<xsl:value-of select="count($currDetail//t:fuel[grade=$curGrade]//loyaltyDisc[name = $currDetail/@programID])"/>
							</td>
							<td align="right">
								<xsl:value-of select="format-number(sum($currDetail//t:fuel[grade=$curGrade and loyaltyDisc/name = $currDetail/@programID]/vol),'0.000')"/>
							</td>
							<td align="right">
								<xsl:value-of select="format-number(sum($currDetail//t:fuel[grade=$curGrade]//loyaltyDisc[name = $currDetail/@programID]/amt),'0.000')"/>
							</td>
						</tr>
					</xsl:if>
				</xsl:for-each>
				<tr>
					<td/>
					<td colspan="4">
						<hr style="border:dashed #ffcc00; border-width:1px 0 0 0; height:0;line-height:1px;font-size:0;margin:0;padding:0;"/>
					</td>
				</tr>
				<tr height="1" align="left">
					<td/>
					<td>
						<b>Total</b>
					</td>
					<td align="right">
						<font style="font-weight: bold;">
							<xsl:value-of select="count($inputDoc//Detail/t:line/t:fuel[grade=$curGrade]//loyaltyDisc[name = ../../../../@programID])"/>
						</font>
					</td>
					<td align="right">
					</td>
					<td align="right">
						<font style="font-weight: bold;">
							<xsl:value-of select="format-number(sum($inputDoc//Detail//t:line/t:fuel[grade=$curGrade]//loyaltyDisc[name = ../../../../@programID]/amt),'0.000')"/>
						</font>
					</td>
				</tr>
				<tr height="12"/>
				<tr>
					<td align="left" colspan="5">
						<hr/>
					</td>
				</tr>
			</xsl:for-each>
			<tr height="1" align="left">
				<td>
					<b>Total</b>
				</td>
				<td/>
				<td align="right">
					<font style="font-weight: bold;">
						<xsl:value-of select="count($inputDoc//Detail//t:line/t:fuel//loyaltyDisc[name = ../../../../@programID])"/>
					</font>
				</td>
				<td align="right">
					
					
				</td>
				<td align="right">
					<font style="font-weight: bold;">
						<xsl:value-of select="format-number(sum($inputDoc//Detail//t:line/t:fuel//loyaltyDisc[name = ../../../../@programID]/amt),'0.000')"/>
					</font>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="byProgram">
		<xsl:param name="inputDoc"/>
		<xsl:if test="count($inputDoc//Detail//t:line/t:fuel//loyaltyDisc)">
			<tr>
				<td colspan="4">
					<font size="2">
						<b>PPU Totals by Program</b>
					</font>
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
				</td>
			</tr>
			<tr bgcolor="#3366CC" height="1" align="left">
				<td align="left">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Program Name</p>
					</font>
				</td>
				<td align="right">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Count</p>
					</font>
				</td>
				<td align="right">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Volume</p>
					</font>
				</td>
				<td align="right">
					<font color="#FFFFFF" style="font-weight: bold;">
						<p>Discounts</p>
					</font>
				</td>
			</tr>
			<xsl:for-each select="$inputDoc//loyaltyDetailByProgram">
				<xsl:variable name="currDetail" select="."/>
				<xsl:if test="$currDetail/Detail//t:line/t:fuel/loyaltyDisc">
					<xsl:variable name="curProgram" select="$currDetail/@programID"/>
					<tr>
						<td align="left">
							<xsl:value-of select="$curProgram"/>
						</td>
						<td align="right">
							<xsl:value-of select="count($currDetail/Detail//t:line/t:fuel//loyaltyDisc[name = $curProgram])"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(sum($currDetail/Detail//t:line/t:fuel[loyaltyDisc/name = $curProgram]/vol),'0.000')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number(sum($currDetail/Detail//t:line/t:fuel//loyaltyDisc[name = $curProgram]/amt),'0.000')"/>
						</td>
					</tr>
				</xsl:if>
			</xsl:for-each>
			<tr>
				<td align="left" colspan="4">
					<hr/>
				</td>
			</tr>
			<tr height="1" align="left">
				<td>
					<b>Total</b>
				</td>
				<td align="right">
					<font style="font-weight: bold;">
						<xsl:value-of select="count($inputDoc//Detail//t:line/t:fuel//loyaltyDisc[name = ../../../../@programID])"/>
					</font>
				</td>
				<td align="right">
					
					
				</td>
				<td align="right">
					<font style="font-weight: bold;">
						<xsl:value-of select="format-number(sum($inputDoc//Detail//t:line/t:fuel//loyaltyDisc[name = ../../../../@programID]/amt),'0.000')"/>
					</font>
				</td>
			</tr>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="detail">
		<xsl:param name="inputDoc"/>
		<xsl:if test="count($inputDoc//Detail//t:line/t:fuel//loyaltyDisc)">
			<xsl:for-each select="$inputDoc//loyaltyDetailByProgram">
				<xsl:variable name="currDetail" select="."/>
				<xsl:if test="$currDetail//Detail/t:line/t:fuel/loyaltyDisc">
					<xsl:variable name="curProgram" select="$currDetail/@programID"/>
					<br/>
					<tr>
						<td colspan="4">
							<font size="3">
								<b>
									<xsl:value-of select="$curProgram"/> Details</b>
							</font>
							<hr color="#FFCC00" valign="top" width="820" align="left"/>
						</td>
					</tr>
					<table width="820" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<br/>
						<tr>
							<td colspan="11">
								<font size="2">
									<b> PPU Transaction Details </b>
								</font>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left"/>
							<td align="center"/>
							<td align="center"/>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Street</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Disc</p>
								</font>
							</td>
							<td align="right"/>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Total</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Total</p>
								</font>
							</td>
							<td align="center"/>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Sale</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Orig</p>
								</font>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Date/Time</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Pump</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Grade</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Price</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>PPU</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Volume</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Disc</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p> Sale</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Member ID</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Trans#</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Tran#</p>
								</font>
							</td>
						</tr>
						<xsl:for-each select="Detail[t:line/t:fuel/loyaltyDisc[name = $curProgram]]">
							<tr>
								<td align="left">
									<xsl:value-of select="dateTime"/>
								</td>
								<td align="center">
									<xsl:value-of select="t:line/t:fuel/pos"/>
								</td>
								<td align="center">
									<xsl:value-of select="t:line/t:fuel/grade"/>
								</td>
								<td align="right">
									<xsl:value-of select="t:line/t:fuel/loyaltyDisc[name = $curProgram]/origPPU"/>
								</td>
								<td align="right">
									<xsl:value-of select="t:line/t:fuel/loyaltyDisc[name = $curProgram]/ppuDisc"/>
								</td>
								<td align="right">
									<xsl:value-of select="t:line/t:fuel/vol"/>
								</td>
								<td align="right">
									<xsl:value-of select="t:line/t:fuel/loyaltyDisc[name = $curProgram]/amt"/>
								</td>
								<td align="right">
									<xsl:value-of select="TicketTotal"/>
								</td>
								<td align="right">
									<xsl:value-of select="t:sumLoyalty[name = $curProgram]/loyaltyCardInfo/acct"/>
								</td>
								<td align="right">
									<xsl:value-of select="vs:transactionSeq"/>
								</td>
								<td align="right">
									<xsl:value-of select="t:line/origTranSeq"/>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<td align="left" colspan="11">
								<hr/>
							</td>
						</tr>
						<tr height="1" align="left">
							<td>
								<b>Total</b>
							</td>
							<td align="center"/>
							<td align="center"/>
							<td align="right"/>
							<td align="right"/>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum($currDetail//Detail//t:line/t:fuel/loyaltyDisc[name=$curProgram]/../vol),'0.000')"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum($currDetail//Detail//t:line/t:fuel//loyaltyDisc[name=$curProgram]/amt),'0.000')"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum($currDetail//Detail//t:line/t:fuel//loyaltyDisc[name=$curProgram]/../../../TicketTotal),'0.00')"/>
								</font>
							</td>
							<td align="center"/>
							<td align="center"/>
						</tr>
					</table>
					<br/>
					<br/>
				</xsl:if>
			</xsl:for-each>
		</xsl:if>
		<br/>
		<br/>
	</xsl:template>
</xsl:transform>