<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ext="http://xml.apache.org/xalan" version="1.0" exclude-result-prefixes="ext">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:output method="html"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
		<xsl:variable name="inputDoc" select="."/>
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<xsl:variable name="rawLoyTx">
			<xsl:copy-of select="$inputDoc/*/loyaltyDetailTotals/loyaltyDetail/ppgDiscDetail"/>
		</xsl:variable>
		<xsl:variable name="rawLoyTx2">
			<xsl:copy-of select="$inputDoc/*/loyaltyDetailTotals/loyaltyDetail"/>
		</xsl:variable>
		
		<xsl:variable name="gradeList">
			<xsl:variable name="sortedList">
				<xsl:for-each select="//ppgDiscDetail">
					<xsl:sort order="ascending" select="grade" data-type="text"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList)/ppgDiscDetail[not(grade = preceding-sibling::ppgDiscDetail[1]/grade)]/grade"/>
		</xsl:variable>
		
		<xsl:variable name="ppgList">
			<xsl:variable name="sortedList">
				<xsl:for-each select="//ppgDiscDetail">
					<xsl:sort order="ascending" select="PPGGalDisc" data-type="number"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList)/ppgDiscDetail[not(PPGGalDisc= preceding-sibling::ppgDiscDetail[1]/PPGGalDisc)]/PPGGalDisc"/>
		</xsl:variable>
		<html>
			<head>
				<title>Loyalty Price Per Unit (PPU) Totals</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Loyalty Price Per Unit (PPU) Totals</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
					<tr>
						<td width="120" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//vs:period/@periodBeginDate,1,10),'  ',substring(//vs:period/@periodBeginDate,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="120" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//vs:period/@periodEndDate,1,10),'  ',substring(//vs:period/@periodEndDate,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
					<tr>
						<td width="120" bgcolor="#DBDBDB">Period Sequence#</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="//vs:period/@periodSeqNum"/>
						</td>
						<td width="402" height="20"/>
					</tr>
				</table>
				<br/>
				<br/>
				
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="4">
							<font size="2">
								<b>Loyalty Discounts by Type</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>PPU Discounts</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Ticket Level Discounts</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Line Level Discounts</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total Loyalty Discounts</p>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:variable name="TotalDiscAmount">
							<xsl:value-of select="sum(ext:nodeset($rawLoyTx2)/*/totalDiscAmt)"/>
						</xsl:variable>
						<xsl:variable name="TotalPPUAmount">
							<xsl:value-of select="sum(//ppgDiscDetail/PPGTotDisc)"/>
						</xsl:variable>
						<xsl:variable name="TotalLineAmount">
							<xsl:value-of select="sum(//lineItemDiscAmt)"/>
						</xsl:variable>
						<td align="left">
						<xsl:value-of select="format-number($TotalPPUAmount, '0.00')"/>
						</td>
						<td align="left">
						<xsl:value-of select="format-number($TotalDiscAmount - $TotalPPUAmount - $TotalLineAmount,'0.00')"/>					
						</td>
						<td align="left">
							<xsl:value-of select="format-number($TotalLineAmount,'0.00')"/>														</td>
						<td align="right">
							<xsl:value-of select="format-number($TotalDiscAmount,'0.00')"/>
						</td>
					</tr>
				</table>
				<br/>				
				<br/>
				<br/>
				
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="5">
							<font size="2">
								<b>Totals by Grade and PPU Discount</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Grade ID</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>PPU Discount</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Count</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Volume</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Discounts</p>
							</font>
						</td>
					</tr>
					<xsl:for-each select="ext:nodeset($gradeList)/grade">
						<xsl:variable name="curGrade" select="."/>				
						<xsl:for-each select="ext:nodeset($ppgList)/PPGGalDisc">
							<xsl:variable name="curPPG" select="."/>				
							<xsl:variable name="count1" select="count(ext:nodeset($rawLoyTx)/*[grade=$curGrade and PPGGalDisc=$curPPG])"/>	
							<xsl:if test="$count1 != '0'">
								<tr>
									<td align="left">
										<xsl:value-of select="$curGrade"/>
									</td>
									<td align="left">
										<xsl:value-of select="$curPPG"/>
									</td>
									<td align="right">
										<xsl:value-of select="$count1"/>
									</td>
									<td align="right">
										<xsl:value-of select="format-number(sum(ext:nodeset($rawLoyTx)/*[grade=$curGrade and PPGGalDisc=$curPPG]/PPGVol),'0.000')"/>
									</td>
									<td align="right">
										<xsl:value-of select="format-number(sum(ext:nodeset($rawLoyTx)/*[grade=$curGrade and PPGGalDisc=$curPPG]/PPGTotDisc),'0.00')"/>
									</td>
								</tr>
							</xsl:if>	
						</xsl:for-each>
					</xsl:for-each>
					<tr>
						<td align="left" colspan="5">
							<hr/>
						</td>
					</tr>
					<tr height="1" align="left">
						<td align="left"/>
						<td align="left"/>
						<td align="right">
							<font style="font-weight: bold;">
								<xsl:value-of select="count(//ppgDiscDetail)"/>
							</font>
						</td>
						<td align="right">
							<font style="font-weight: bold;">
								<xsl:value-of select="format-number(sum(//ppgDiscDetail/PPGVol),'0.000')"/>
							</font>
						</td>
						<td align="right">
							<font style="font-weight: bold;">
								<xsl:value-of select="format-number(sum(//ppgDiscDetail/PPGTotDisc), '0.00')"/>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="4">
							<font size="2">
								<b>PPU Totals by Grade</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Grade ID</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Count</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Volume</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Discounts</p>
							</font>
						</td>
					</tr>
					<xsl:for-each select="ext:nodeset($gradeList)/grade">
						<xsl:variable name="curGrade" select="."/>				
						<tr>
							<td align="left">
								<xsl:value-of select="$curGrade"/>
							</td>
							<td align="right">
								<xsl:value-of select="count(ext:nodeset($rawLoyTx)/*[grade=$curGrade])"/>				
							</td>
							<td align="right">
								<xsl:value-of select="format-number(sum(ext:nodeset($rawLoyTx)/*[grade=$curGrade]/PPGVol),'0.000')"/>
							</td>
							<td align="right">
								<xsl:value-of select="format-number(sum(ext:nodeset($rawLoyTx)/*[grade=$curGrade]/PPGTotDisc),'0.00')"/>
							</td>
						</tr>
					</xsl:for-each>
					<tr>
						<td align="left" colspan="4">
							<hr/>
						</td>
					</tr>
					<tr height="1" align="left">
						<td align="left"/>
						<td align="right">
							<font style="font-weight: bold;">
								<xsl:value-of select="count(//ppgDiscDetail)"/>
							</font>
						</td>
						<td align="right">
							<font style="font-weight: bold;">
								<xsl:value-of select="format-number(sum(//ppgDiscDetail/PPGVol),'0.000')"/>
							</font>						
						</td>
						<td align="right">
							<font style="font-weight: bold;">
								<xsl:value-of select="format-number(sum(//ppgDiscDetail/PPGTotDisc), '0.00')"/>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				<br/>

							
				<xsl:if test="count(ext:nodeset($rawLoyTx2)/*[loyAuthReply=-1])">
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="5">
							<font size="2">
								<b>Authorization Failure Exceptions</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left"/>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total</p>
							</font>
						</td>
						<td align="center"/>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Sale</p>
							</font>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Date/Time</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Disc</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Sale</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Member ID</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Trans#</p>
							</font>
						</td>
					</tr>
					<xsl:for-each select="ext:nodeset($rawLoyTx2)/*[loyAuthReply=-1]">				
						<tr>
							<td align="left">
								<font color="#FF0000"> 
									<xsl:value-of select="concat(substring(TXTime,1,10),'  ',substring(TXTime,12,5))"/>
								</font>	
							</td>
							<td align="right">
								<xsl:choose>
									<xsl:when test="ppgDiscDetail">
										<font color="#FF0000"> 
											<xsl:value-of select="ppgDiscDetail/PPGTotDisc"/>				
										</font>	
									</xsl:when>
									<xsl:otherwise>
										<font color="#FF0000"> 
											<xsl:value-of select="'0.00'"/>
										</font>	
									</xsl:otherwise>	
								</xsl:choose>					
							</td>
							<td align="right">
								<font color="#FF0000"> 
									<xsl:value-of select="ticketTotal"/>
								</font>	
							</td>
							<td align="center">
								<font color="#FF0000"> 						
									<xsl:value-of select="accountNumber"/>							
								</font>
							</td>
							<td align="center">
								<font color="#FF0000"> 
									<xsl:value-of select="TXNumber"/>
								</font>									
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<br/>
				<br/>			
				</xsl:if>
		
				
				<table width="820" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="11">
							<font size="2">
								<b>PPU Transaction Details</b>
							</font>
							<hr color="#FFCC00" valign="top" width="820" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left"/>
						<td align="center"/>
						<td align="center"/>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Street</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Disc</p>
							</font>
						</td>
						<td align="right"/>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total</p>
							</font>
						</td>
						<td align="center"/>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Sale</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Orig</p>
							</font>
						</td>
					</tr>			
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Date/Time</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Pump</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Grade</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Price</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>PPU</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Volume</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Disc</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p> Sale</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Member ID</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Trans#</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Tran#</p>
							</font>
						</td>
					</tr>			
					<xsl:for-each select="ext:nodeset($rawLoyTx2)/loyaltyDetail/ppgDiscDetail">
						<xsl:choose>
							<xsl:when test="../loyAuthReply = -1">
									<tr>
										<td align="left">
											<font color="#FF0000"> 
												<xsl:value-of select="concat(substring(../TXTime,1,10),'  ',substring(../TXTime,12,5))"/>
											</font>
										</td>
										<td align="center">
											<font color="#FF0000"> 
												<xsl:value-of select="@fuelPosition"/>				
											</font>
										</td>
										<td align="center">
											<font color="#FF0000">
												<xsl:value-of select="grade"/>
											</font>
										</td>
										<td align="right">
											<font color="#FF0000">																								<xsl:value-of select="PPGOrgPrice"/>
											</font>
										</td>
										<td align="right">
											<font color="#FF0000">
												<xsl:value-of select="PPGGalDisc"/>
											</font>
										</td>
										<td align="right">
											<font color="#FF0000">																								<xsl:value-of select="PPGVol"/>
											</font>
										</td>
										<td align="right">
											<font color="#FF0000">																								<xsl:value-of select="PPGTotDisc"/>
											</font>
										</td>
										<td align="right">
											<font color="#FF0000">																								<xsl:value-of select="../ticketTotal"/>
											</font>
										</td>
										<td align="center">
											<font color="#FF0000">																								<xsl:value-of select="../accountNumber"/>
											</font>
										</td>
										<td align="center">
											<font color="#FF0000">																								<xsl:value-of select="../TXNumber"/>
											</font>
										</td>
										<td align="center">
											<font color="#FF0000">																								<xsl:value-of select="PPGOrigTXNum"/>
											</font>
										</td>
								</tr>
							</xsl:when>
							<xsl:otherwise>
									<tr>
										<td align="left">
											<xsl:value-of select="concat(substring(../TXTime,1,10),'  ',substring(../TXTime,12,5))"/>
										</td>
										<td align="center">
											<xsl:value-of select="@fuelPosition"/>				
										</td>
										<td align="center">
											<xsl:value-of select="grade"/>
										</td>
										<td align="right">
											<xsl:value-of select="PPGOrgPrice"/>
										</td>
										<td align="right">
											<xsl:value-of select="PPGGalDisc"/>
										</td>
										<td align="right">
											<xsl:value-of select="PPGVol"/>
										</td>
										<td align="right">
											<xsl:value-of select="PPGTotDisc"/>
										</td>
										<td align="right">
											<xsl:value-of select="../ticketTotal"/>
										</td>
										<td align="center">
											<xsl:value-of select="../accountNumber"/>
										</td>
										<td align="center">
											<xsl:value-of select="../TXNumber"/>
										</td>
										<td align="center">
											<xsl:value-of select="PPGOrigTXNum"/>
										</td>
								</tr>			
							</xsl:otherwise>
						</xsl:choose>			
					</xsl:for-each>
					<tr>
						<td align="left" colspan="11">
							<hr/>
						</td>
					</tr>
					<tr height="1" align="left">
							<td align="left"/>
							<td align="center"/>
							<td align="center"/>
							<td align="right"/>
							<td align="right"/>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(//ppgDiscDetail/PPGVol),'0.000')"/>
								</font>	
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(//ppgDiscDetail/PPGTotDisc),'0.00')"/>
								</font>	
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:nodeset($rawLoyTx2)/*[ppgDiscDetail/PPGTotDisc != 0]/ticketTotal),'0.00')"/>								</font>	
							</td>
							<td align="center"/>
							<td align="center"/>
					</tr>
				</table>	
				<br/>
				<br/>

				
				<table width="820" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="11">
							<font size="2">
								<b>Post Pay Fuel Ticket Discounts</b>
							</font>
							<hr color="#FFCC00" valign="top" width="820" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left"/>
						<td align="center"/>
						<td align="center"/>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Street</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Actual</p>
							</font>
						</td>						
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Disc</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Fuel</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total</p>
							</font>
						</td>
						<td align="center"/>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Sale</p>
							</font>
						</td>
					</tr>			
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Date/Time</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Pump</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Grade</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Price</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Volume</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Volume</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Disc</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p> Amt</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p> Sale</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Member ID</p>
							</font>
						</td>
						<td align="center">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Trans#</p>
							</font>
						</td>
					</tr>			
					<xsl:for-each select="ext:nodeset($rawLoyTx2)/loyaltyDetail/postFuelDetails">
						<xsl:variable name="DiscVolume">
							<xsl:choose>
									<xsl:when test="../loyFuelLimits">
										<xsl:choose>
											<xsl:when test="../loyFuelLimits = 0">
												<xsl:value-of select="PostFuelVol"/>
											</xsl:when>
											<xsl:when test="../loyFuelLimits &lt; PostFuelVol">
												<xsl:value-of select="../loyFuelLimits"/>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="PostFuelVol"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="PostFuelVol"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>				
						<tr>
							<td align="left">
								<xsl:value-of select="concat(substring(../TXTime,1,10),'  ',substring(../TXTime,12,5))"/>
							</td>
							<td align="center">
								<xsl:value-of select="@fuelPosition"/>				
							</td>
							<td align="center">
								<xsl:value-of select="grade"/>
							</td>
							<td align="right">
								<xsl:value-of select="PostFuelPrice"/>
							</td>
							<td align="right">
								<xsl:value-of select="PostFuelVol"/>
							</td>
							<td align="right">
								<xsl:value-of select="format-number($DiscVolume,'0.000')"/>
							</td>
							<td align="right">
								<xsl:value-of select="format-number(../automaticDiscAmt + ../custAuthDiscAmt,'0.00')"/>
							</td>
							<td align="right">
								<xsl:value-of select="PostFuelAmt"/>
							</td>
							<td align="right">
								<xsl:value-of select="../ticketTotal"/>
							</td>
							<td align="center">
								<xsl:value-of select="../accountNumber"/>
							</td>
							<td align="center">
								<xsl:value-of select="../TXNumber"/>
							</td>
					</tr>			
					</xsl:for-each>
					<tr>
						<td align="left" colspan="11">
							<hr/>
						</td>
					</tr>
					<tr height="1" align="left">
							<td align="left"/>
							<td align="center"/>
							<td align="center"/>
							<td align="right"/>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(//postFuelDetails/PostFuelVol),'0.000')"/>
								</font>	
							</td>
							<xsl:variable name="VolumeAdjusted">
								<xsl:value-of select="sum(ext:nodeset($rawLoyTx2)/*[postFuelDetails/PostFuelVol &gt; loyFuelLimits]/loyFuelLimits)"/>
							</xsl:variable>
							<xsl:variable name="VolumeNormal">
								<xsl:value-of select="sum(ext:nodeset($rawLoyTx2)/*[postFuelDetails/PostFuelVol &lt; loyFuelLimits]/postFuelDetails/PostFuelVol)"/>
							</xsl:variable>
							<xsl:variable name="VolumeZeroCase">
								<xsl:value-of select="sum(ext:nodeset($rawLoyTx2)/*[loyFuelLimits = 0]/postFuelDetails/PostFuelVol)"/>
							</xsl:variable>
							<xsl:variable name="VolumeMissingCase">
								<xsl:value-of select="sum(ext:nodeset($rawLoyTx2)/*[not(loyFuelLimits)]/postFuelDetails/PostFuelVol)"/>
							</xsl:variable>
							<td align="right">
								<font style="font-weight: bold;">												
									<xsl:value-of select="format-number($VolumeAdjusted+ $VolumeNormal+ $VolumeZeroCase+ $VolumeMissingCase,'0.000')"/>
								</font>	
							</td>
							<xsl:variable name="custDiscTotal">
								<xsl:value-of select="sum(ext:nodeset($rawLoyTx2)/*[postFuelDetails/PostFuelVol != 0]/custAuthDiscAmt)"/>
							</xsl:variable>
							<xsl:variable name="autoDiscTotal">
								<xsl:value-of select="sum(ext:nodeset($rawLoyTx2)/*[postFuelDetails/PostFuelVol != 0]/automaticDiscAmt)"/>
							</xsl:variable>
							<td align="right">
								<font style="font-weight: bold;">												
									<xsl:value-of select="format-number($custDiscTotal + $autoDiscTotal,'0.00')"/>
								</font>	
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(//postFuelDetails/PostFuelAmt),'0.00')"/>
								</font>	
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:nodeset($rawLoyTx2)/*[postFuelDetails/PostFuelVol != 0]/ticketTotal),'0.00')"/>								</font>	
							</td>
							<td align="center"/>
							<td align="center"/>
					</tr>
				</table>	

				
			</body>
		</html>
	</xsl:template>
</xsl:transform>