<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ext="urn:schemas-microsoft-com:xslt" version="1.0" exclude-result-prefixes="ext">
	<xsl:output method="html"/>
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
		<xsl:variable name="inputDoc" select="."/>
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<xsl:variable name="rawLoyTx">
			<xsl:copy-of select="$inputDoc/*/loyaltyDetailTotals/loyaltyDetail/lineDetails/t:line/t:fuel"/>
		</xsl:variable>
		<xsl:variable name="rawLoyTx2">
			<xsl:copy-of select="$inputDoc/*/loyaltyDetailTotals/loyaltyDetail"/>
		</xsl:variable>
		<xsl:variable name="gradeList">
			<xsl:variable name="sortedList">
				<xsl:for-each select="//t:line/t:fuel">
					<xsl:sort order="ascending" select="grade" data-type="text"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:node-set($sortedList)/t:fuel[ not(grade = preceding-sibling::t:fuel[1]/grade)]/grade"/>
		</xsl:variable>
		<xsl:variable name="loyaltyProgramPPGList">
			<xsl:variable name="sortedList">
				<xsl:for-each select="//t:line/t:fuel/loyaltyDisc">
					<xsl:sort order="ascending" select="name" data-type="text"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:node-set($sortedList)/loyaltyDisc[not(name = preceding-sibling::loyaltyDisc[1]/name)]/name"/>
		</xsl:variable>
		<xsl:variable name="loyaltyProgramList">
			<xsl:variable name="sortedList">
				<xsl:for-each select="//t:sumLoyalty">
					<xsl:sort order="ascending" select="name" data-type="text"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:node-set($sortedList)/t:sumLoyalty[not(name = preceding-sibling::t:sumLoyalty[1]/name)]/name"/>
		</xsl:variable>
		<html>
			<head>
				<title>Loyalty Price Per Unit (PPU) Totals</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Loyalty Price Per Unit (PPU) Totals</font>
							</b>
						</td>
						<td>
							<xsl:apply-templates select="t:loyaltyDetailReport/t:hdr/vs:site"/>
						</td>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="t:loyaltyDetailReport/t:hdr/vs:period"/>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="4">
							<font size="2">
								<b>Loyalty Discounts by Type</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>PPU Discounts</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Ticket Level Discounts</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Line Level Discounts</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total Loyalty Discounts</p>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:variable name="TotalTickDiscAmount">
							<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*/ticketDetails/t:sumLoyalty/loyaltyDiscounts/total)"/>
						</xsl:variable>
						<xsl:variable name="TotalPPUAmount">
							<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*//t:line/t:fuel/loyaltyDisc/amt)"/>
						</xsl:variable>
						<xsl:variable name="TotalLineAmount">
							<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*//t:line/t:loyalty/amt)"/>
						</xsl:variable>
						<td align="left">
							<xsl:value-of select="format-number($TotalPPUAmount, '0.00')"/>
						</td>
						<td align="left">
							<xsl:value-of select="format-number($TotalTickDiscAmount,'0.00')"/>
						</td>
						<td align="left">
							<xsl:value-of select="format-number($TotalLineAmount,'0.00')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number($TotalTickDiscAmount +$TotalPPUAmount + $TotalLineAmount,'0.00')"/>
						</td>
					</tr>
				</table>
				<br/>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="4">
							<font size="2">
								<b>PPU Totals by Grade</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Grade ID</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Count</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Volume</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Discounts</p>
							</font>
						</td>
					</tr>
					<xsl:if test="count(ext:node-set($gradeList)/grade)">
						<xsl:for-each select="ext:node-set($gradeList)/grade">
							<xsl:variable name="curGrade" select="."/>
							<xsl:if test="count(ext:node-set($rawLoyTx)/*[grade=$curGrade]/loyaltyDisc)">
								<tr>
									<td align="left">
										<xsl:value-of select="$curGrade"/>
									</td>
									<td align="right">
										<xsl:value-of select="count(ext:node-set($rawLoyTx)/*[grade=$curGrade]/loyaltyDisc)"/>
									</td>
									<td align="right">
										<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*[grade=$curGrade and loyaltyDisc]/vol),'0.000')"/>
									</td>
									<td align="right">
										<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*[grade=$curGrade]/loyaltyDisc/amt),'0.00')"/>
									</td>
								</tr>
							</xsl:if>
						</xsl:for-each>
						<tr>
							<td align="left" colspan="4">
								<hr/>
							</td>
						</tr>
						<tr height="1" align="left">
							<td align="left"/>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="count(ext:node-set($rawLoyTx)/*/loyaltyDisc)"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*[loyaltyDisc]/vol),'0.000')"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*/loyaltyDisc/amt), '0.00')"/>
								</font>
							</td>
						</tr>
					</xsl:if>
				</table>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="4">
							<font size="2">
								<b>PPU Totals by Program</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Program Name</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Count</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Volume</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Discounts</p>
							</font>
						</td>
					</tr>
					<xsl:if test="count(ext:node-set($loyaltyProgramPPGList)/name)">
						<xsl:for-each select="ext:node-set($loyaltyProgramPPGList)/name">
							<xsl:variable name="curProgram" select="."/>
							<tr>
								<td align="left">
									<xsl:value-of select="$curProgram"/>
								</td>
								<td align="right">
									<xsl:value-of select="count(ext:node-set($rawLoyTx)/*/loyaltyDisc[name=$curProgram])"/>
								</td>
								<td align="right">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*/loyaltyDisc[name=$curProgram]/../vol),'0.000')"/>
								</td>
								<td align="right">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*/loyaltyDisc[name=$curProgram]/amt),'0.00')"/>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<td align="left" colspan="4">
								<hr/>
							</td>
						</tr>
						<tr height="1" align="left">
							<td align="left"/>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="count(ext:node-set($rawLoyTx)/*/loyaltyDisc)"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*[loyaltyDisc]/vol),'0.000')"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx)/*/loyaltyDisc/amt), '0.00')"/>
								</font>
							</td>
						</tr>
					</xsl:if>
				</table>
				<br/>
				<xsl:if test="count(ext:node-set($rawLoyTx2)/*[loyAuthReply=-1])">
					<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td colspan="5">
								<font size="2">
									<b>Authorization Failure Exceptions</b>
								</font>
								<hr color="#FFCC00" valign="top" width="632" align="left"/>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left"/>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Total</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Total</p>
								</font>
							</td>
							<td align="center"/>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Sale</p>
								</font>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Date/Time</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Disc</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Sale</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Member ID</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Trans#</p>
								</font>
							</td>
						</tr>
						<xsl:for-each select="ext:node-set($rawLoyTx2)/*[loyAuthReply=-1]">
							<tr>
								<td align="left">
									<font color="#FF0000">
										<xsl:value-of select="concat(substring(TXTime,1,10),'  ',substring(TXTime,12,5))"/>
									</font>
								</td>
								<td align="right">
									<xsl:choose>
										<xsl:when test="ppgDiscDetail">
											<font color="#FF0000">
												<xsl:value-of select="ppgDiscDetail/PPGTotDisc"/>
											</font>
										</xsl:when>
										<xsl:otherwise>
											<font color="#FF0000">
												<xsl:value-of select="'0.00'"/>
											</font>
										</xsl:otherwise>
									</xsl:choose>
								</td>
								<td align="right">
									<font color="#FF0000">
										<xsl:value-of select="ticketTotal"/>
									</font>
								</td>
								<td align="center">
									<font color="#FF0000">
										<xsl:value-of select="accountNumber"/>
									</font>
								</td>
								<td align="center">
									<font color="#FF0000">
										<xsl:value-of select="TXNumber"/>
									</font>
								</td>
							</tr>
						</xsl:for-each>
					</table>
					<br/>
					<br/>
				</xsl:if>
				<xsl:for-each select="ext:node-set($loyaltyProgramList)/name">
					<xsl:variable name="curProgram" select="."/>
					<br/>
					<tr>
						<td colspan="4">
							<font size="3">
								<b>
									<xsl:value-of select="$curProgram"/> Details</b>
							</font>
							<hr color="#FFCC00" valign="top" width="820" align="left"/>
						</td>
					</tr>
					<table width="820" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<br/>
						<tr>
							<td colspan="11">
								<font size="2">
									<b> PPU Transaction Details </b>
								</font>
								
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left"/>
							<td align="center"/>
							<td align="center"/>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Street</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Disc</p>
								</font>
							</td>
							<td align="right"/>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Total</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Total</p>
								</font>
							</td>
							<td align="center"/>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Sale</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Orig</p>
								</font>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Date/Time</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Pump</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Grade</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Price</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>PPU</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Volume</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Disc</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p> Sale</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Member ID</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Trans#</p>
								</font>
							</td>
							<td align="center">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Tran#</p>
								</font>
							</td>
						</tr>
						<xsl:for-each select="ext:node-set($rawLoyTx2)/loyaltyDetail/lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]">
							<tr>
								<td align="left">
									<xsl:value-of select="concat(substring(../../../../hdr/dateTime,1,10),'  ',substring(../../../../hdr/dateTime,12,5))"/>
								</td>
								<td align="center">
									<xsl:value-of select="../pos"/>
								</td>
								<td align="center">
									<xsl:value-of select="../grade"/>
								</td>
								<td align="right">
									<xsl:value-of select="origPPU"/>
								</td>
								<xsl:variable name="origPrice">
									<xsl:value-of select="origPPU"/>
								</xsl:variable>
								<xsl:variable name="discPrice">
									<xsl:value-of select="ppuDisc"/>
								</xsl:variable>
								<td align="right">
									<xsl:value-of select="format-number(ppuDisc,'0.000')"/>
								</td>
								<td align="right">
									<xsl:value-of select="../vol"/>
								</td>
								<td align="right">
									<xsl:value-of select="amt"/>
								</td>
								<td align="right">
									<xsl:value-of select="../../../../ticketTotal "/>
								</td>
								<td align="center">
									<xsl:value-of select="../../../../ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyCardInfo/acct"/>
								</td>
								<td align="center">
									<xsl:value-of select="../../../../vs:transactionSeq"/>
								</td>
								<td align="center">
									<xsl:value-of select="../../../origTranSeq/vs:transactionSeq"/>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<td align="left" colspan="11">
								<hr/>
							</td>
						</tr>
						<tr height="1" align="left">
							<td align="left"/>
							<td align="center"/>
							<td align="center"/>
							<td align="right"/>
							<td align="right"/>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/loyaltyDetail/lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]/../vol),'0.000')"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/loyaltyDetail/lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]/amt),'0.00')"/>
								</font>
							</td>
							<td align="right">
								<font style="font-weight: bold;">
									<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/loyaltyDetail/lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]/../../../../ticketTotal),'0.00')"/>
								</font>
							</td>
							<td align="center"/>
							<td align="center"/>
						</tr>
					</table>
					<br/>
					<br/>
					<xsl:if test="count(ext:node-set($rawLoyTx2)/loyaltyDetail/ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts) and count(ext:node-set($rawLoyTx2)/loyaltyDetail/lineDetails/t:line/t:fuel) ">
						<table width="820" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td colspan="10">
									<font size="2">
										<b>
											Post Pay Fuel Ticket Discounts</b>
									</font>
									
								</td>
							</tr>
							<tr bgcolor="#3366CC" height="1" align="left">
								<td align="left"/>
								<td align="center"/>
								<td align="center"/>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Unit</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Actual</p>
									</font>
								</td>
								
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Total</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Fuel</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Total</p>
									</font>
								</td>
								<td align="center"/>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Sale</p>
									</font>
								</td>
							</tr>
							<tr bgcolor="#3366CC" height="1" align="left">
								<td align="left">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Date/Time</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Pump</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Grade</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Price</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Volume</p>
									</font>
								</td>
								
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Disc</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p> Amt</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p> Sale</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Member ID</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Trans#</p>
									</font>
								</td>
							</tr>
							<xsl:variable name="totalTicketDiscount">
								<xsl:value-of select="0.00"/>
							</xsl:variable>
							<xsl:for-each select="ext:node-set($rawLoyTx2)/loyaltyDetail/ticketDetails/t:sumLoyalty[name=$curProgram]">
								<xsl:if test="../../lineDetails/t:line/t:fuel">
									<xsl:if test="loyaltyDiscounts">
										<xsl:variable name="DiscVolume">
											<xsl:choose>
												<xsl:when test="../loyFuelLimits">
													<xsl:choose>
														<xsl:when test="../loyFuelLimits = 0">
															<xsl:value-of select="PostFuelVol"/>
														</xsl:when>
														<xsl:when test="../loyFuelLimits &lt; PostFuelVol">
															<xsl:value-of select="../loyFuelLimits"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="PostFuelVol"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="PostFuelVol"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:variable>
										<tr>
											<td align="left">
												<xsl:value-of select="concat(substring(../../hdr/dateTime,1,10),'  ',substring(../../hdr/dateTime,12,5))"/>
											</td>
											<td align="center">
												<xsl:value-of select="../../lineDetails/t:line/t:fuel/pos"/>
											</td>
											<td align="center">
												<xsl:value-of select="../../lineDetails/t:line/t:fuel/grade/name"/>
											</td>
											<td align="right">
												<xsl:value-of select="format-number(../../lineDetails/t:line/t:fuel/prc,'0.000')"/>
											</td>
											<td align="right">
												<xsl:value-of select="../../lineDetails/t:line/t:fuel/vol"/>
											</td>
											
											<td align="right">
												<xsl:value-of select="format-number(loyaltyDiscounts/custApproved +loyaltyDiscounts/autoApplied,'0.00')"/>
											</td>
											<td align="right">
												<xsl:value-of select="../../lineDetails/t:line/t:fuel/amt"/>
											</td>
											<td align="right">
												<xsl:value-of select="../../ticketTotal"/>
											</td>
											<td align="center">
												<xsl:value-of select="loyaltyCardInfo/acct"/>
											</td>
											<td align="center">
												<xsl:value-of select="../../vs:transactionSeq"/>
											</td>
										</tr>
									</xsl:if>
								</xsl:if>
							</xsl:for-each>
							<tr>
								<td align="left" colspan="11">
									<hr/>
								</td>
							</tr>
							<tr height="1" align="left">
								<td align="left"/>
								<td align="center"/>
								<td align="center"/>
								<td align="right"/>
								<xsl:variable name="custDiscTotal">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[postFuelDetails/PostFuelVol != 0]/custAuthDiscAmt)"/>
								</xsl:variable>
								<xsl:variable name="autoDiscTotal">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[postFuelDetails/PostFuelVol != 0]/automaticDiscAmt)"/>
								</xsl:variable>
								<xsl:variable name="TotalTickDiscAmount">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*/ticketDetails/t:sumLoyalty[name=$curProgram and ../../lineDetails/t:line/t:fuel]/loyaltyDiscounts/total)"/>
								</xsl:variable>
								<td align="right">
									<font style="font-weight: bold;">
										<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/*/lineDetails/t:line[../../ticketDetails/t:sumLoyalty/name=$curProgram and ../../ticketDetails/t:sumLoyalty/loyaltyDiscounts]/t:fuel/vol),'0.000')"/>
									</font>
								</td>
								<xsl:variable name="VolumeAdjusted">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[postFuelDetails/PostFuelVol &gt; loyFuelLimits]/loyFuelLimits)"/>
								</xsl:variable>
								<xsl:variable name="VolumeNormal">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[postFuelDetails/PostFuelVol &lt; loyFuelLimits]/postFuelDetails/PostFuelVol)"/>
								</xsl:variable>
								<xsl:variable name="VolumeZeroCase">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[loyFuelLimits = 0]/postFuelDetails/PostFuelVol)"/>
								</xsl:variable>
								<xsl:variable name="VolumeMissingCase">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[not(loyFuelLimits)]/postFuelDetails/PostFuelVol)"/>
								</xsl:variable>
								
								<td align="right">
									<font style="font-weight: bold;">
										<xsl:value-of select="format-number($TotalTickDiscAmount,'0.00')"/>
									</font>
								</td>
								<td align="right">
									<font style="font-weight: bold;">
										<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/*/lineDetails/t:line[../../ticketDetails/t:sumLoyalty/name=$curProgram and ../../ticketDetails/t:sumLoyalty/loyaltyDiscounts ]/t:fuel/amt),'0.00')"/>
									</font>
								</td>
								<td align="right">
									<font style="font-weight: bold;">
										<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/loyaltyDetail[lineDetails/t:line/t:fuel and ticketDetails/t:sumLoyalty/name=$curProgram and ticketDetails/t:sumLoyalty/loyaltyDiscounts]/ticketTotal),'0.00')"/>
									</font>
								</td>
								<td align="center"/>
								<td align="center"/>
							</tr>
						</table>
					</xsl:if>
					<br/>
					<br/>
					<xsl:if test="count(ext:node-set($rawLoyTx2)/loyaltyDetail/ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts)  and count(ext:node-set($rawLoyTx2)/loyaltyDetail/lineDetails/t:line/t:fuelPrepay) ">
						<table width="820" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td colspan="7">
									<font size="2">
										<b>
											 Pre Pay Fuel Ticket Discounts</b>
									</font>
									
								</td>
							</tr>
							<tr bgcolor="#3366CC" height="1" align="left">
								<td align="left"/>
								<td align="center"/>
								
								
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Total</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Fuel</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Total</p>
									</font>
								</td>
								<td align="center"/>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Sale</p>
									</font>
								</td>
							</tr>
							<tr bgcolor="#3366CC" height="1" align="left">
								<td align="left">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Date/Time</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Pump</p>
									</font>
								</td>
								
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Disc</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p> Amt</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p> Sale</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Member ID</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Trans#</p>
									</font>
								</td>
							</tr>
							<xsl:for-each select="ext:node-set($rawLoyTx2)/loyaltyDetail/ticketDetails/t:sumLoyalty[name=$curProgram]">
								<xsl:if test="../../lineDetails/t:line[not( @hide)]/t:fuelPrepay">
									<xsl:if test="loyaltyDiscounts">
										<xsl:variable name="DiscVolume">
											<xsl:choose>
												<xsl:when test="../loyFuelLimits">
													<xsl:choose>
														<xsl:when test="../loyFuelLimits = 0">
															<xsl:value-of select="PostFuelVol"/>
														</xsl:when>
														<xsl:when test="../loyFuelLimits &lt; PostFuelVol">
															<xsl:value-of select="../loyFuelLimits"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="PostFuelVol"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="PostFuelVol"/>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:variable>
										<tr>
											<td align="left">
												<xsl:value-of select="concat(substring(../../hdr/dateTime,1,10),'  ',substring(../../hdr/dateTime,12,5))"/>
											</td>
											<td align="center">
												<xsl:value-of select="../../lineDetails/t:line/t:fuelPrepay/pos"/>
											</td>
											
											
											<td align="right">
												<xsl:value-of select="format-number(loyaltyDiscounts/custApproved +loyaltyDiscounts/autoApplied,'0.00')"/>
											</td>
											<td align="right">
												<xsl:value-of select="../../lineDetails/t:line/t:fuelPrepay/amt"/>
											</td>
											<td align="right">
												<xsl:value-of select="../../ticketTotal"/>
											</td>
											<td align="center">
												<xsl:value-of select="loyaltyCardInfo/acct"/>
											</td>
											<td align="center">
												<xsl:value-of select="../../vs:transactionSeq"/>
											</td>
										</tr>
									</xsl:if>
								</xsl:if>
							</xsl:for-each>
							<tr>
								<td align="left" colspan="11">
									<hr/>
								</td>
							</tr>
							<tr height="1" align="left">
								<td align="center"/>
								<td align="right"/>
								
								<xsl:variable name="TotalTickDiscAmount">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*/ticketDetails/t:sumLoyalty[name=$curProgram and ../../lineDetails/t:line[not(@hide)]/t:fuelPrepay]/loyaltyDiscounts/total)"/>
								</xsl:variable>
								<xsl:variable name="VolumeAdjusted">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[postFuelDetails/PostFuelVol &gt; loyFuelLimits]/loyFuelLimits)"/>
								</xsl:variable>
								<xsl:variable name="VolumeNormal">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[postFuelDetails/PostFuelVol &lt; loyFuelLimits]/postFuelDetails/PostFuelVol)"/>
								</xsl:variable>
								<xsl:variable name="VolumeZeroCase">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[loyFuelLimits = 0]/postFuelDetails/PostFuelVol)"/>
								</xsl:variable>
								<xsl:variable name="VolumeMissingCase">
									<xsl:value-of select="sum(ext:node-set($rawLoyTx2)/*[not(loyFuelLimits)]/postFuelDetails/PostFuelVol)"/>
								</xsl:variable>
								
								<td align="right">
									<font style="font-weight: bold;">
										<xsl:value-of select="format-number($TotalTickDiscAmount,'0.00')"/>
									</font>
								</td>
								<td align="right">
									<font style="font-weight: bold;">
										<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/*/lineDetails/t:line[not(@hide)and  ../../ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts/total&gt;0 ]/t:fuelPrepay/amt),'0.00')"/>
									</font>
								</td>
								<td align="right">
									<font style="font-weight: bold;">
										<xsl:value-of select="format-number(sum(ext:node-set($rawLoyTx2)/loyaltyDetail[lineDetails/t:line[not(@hide)]/t:fuelPrepay and ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts/total&gt;0]/ticketTotal),'0.00')"/>
									</font>
								</td>
								<td align="center"/>
								<td align="center"/>
							</tr>
						</table>
					</xsl:if>
					<br/>
					<xsl:if test="count(ext:node-set($rawLoyTx2)/loyaltyDetail/ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyCardInfo[auth=-1])">
						<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td colspan="5">
									<font size="2">
										<b>Authorization Failure Exceptions</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="#3366CC" height="1" align="left">
								<td align="left"/>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Total</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Total</p>
									</font>
								</td>
								<td align="center"/>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Sale</p>
									</font>
								</td>
							</tr>
							<tr bgcolor="#3366CC" height="1" align="left">
								<td align="left">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Date/Time</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Disc</p>
									</font>
								</td>
								<td align="right">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Sale</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Member ID</p>
									</font>
								</td>
								<td align="center">
									<font color="#FFFFFF" style="font-weight: bold;">
										<p>Trans#</p>
									</font>
								</td>
							</tr>
							<xsl:for-each select="ext:node-set($rawLoyTx2)/loyaltyDetail/ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyCardInfo[auth=-1]">
								<tr>
									<td align="left">
										<font color="#FF0000">
											<xsl:value-of select="concat(substring(../../../hdr/dateTime,1,10),'  ',substring(../../../hdr/dateTime,12,5))"/>
										</font>
									</td>
									<td align="right">
										<xsl:choose>
											<xsl:when test="../../../lineDetails/t:line/t:fuel/loyaltyDisc">
												<font color="#FF0000">
													<xsl:value-of select="../../../lineDetails/t:line/t:fuel/loyaltyDisc/amt"/>
												</font>
											</xsl:when>
											<xsl:otherwise>
												<font color="#FF0000">
													<xsl:value-of select="0.00"/>
												</font>
											</xsl:otherwise>
										</xsl:choose>
									</td>
									<td align="right">
										<font color="#FF0000">
											<xsl:value-of select="../../../ticketTotal"/>
										</font>
									</td>
									<td align="center">
										<font color="#FF0000">
											<xsl:value-of select="acct"/>
										</font>
									</td>
									<td align="center">
										<font color="#FF0000">
											<xsl:value-of select="../../../vs:transactionSeq"/>
										</font>
									</td>
								</tr>
							</xsl:for-each>
						</table>
						<br/>
						<br/>
					</xsl:if>
				</xsl:for-each>
				<br/>
				<br/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>