<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Loyalty Report</title>
				<STYLE>UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr>
						<td width="490">
							<b>
								<font color="#3366CC" size="5">Loyalty Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<tr>
					<td colspan="3">
						<hr color="#FFCC00" valign="top" width="632" align="left"/>
					</td>
				</tr>
				<tr>
					<td colspan="4">
						<br/>
					</td>
				</tr>
				<tr>
					<td>
						<font face="Trebuchet MS" size="3" color="#3366CC">
							<p>
								<b>STATION TOTALS</b>
							</p>
						</font>
					</td>
				</tr>
				
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td colspan="4">
							<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt">
								<tr>
									<td bgcolor="#3366CC" align="left">
										<b>
											<font color="#FFFFFF">Description</font>
										</b>
									</td>
									<td bgcolor="#3366CC" align="right">
									
									</td>
									<td bgcolor="#3366CC" align="right">
										<font color="#FFFFFF">
											<b>Amount / Percentage</b>
										</font>
									</td>
								</tr>
								<tr>
									<td align="left">								
									Total Customers								
							</td>
									<td align="right">
								
								</td>
									<td align="right">
										<xsl:value-of select="//totals/total/sales/count"/>
									</td>
								</tr>
								
								<tr>
									<td align="left">
								
									Total Sales (Before Ticket Discounts)
								
							</td>
									<td align="right">
									
									</td>
									<td align="right">
										<xsl:value-of select="format-number(//totals/total/sales/amount,'#,##0.00')"/>
									</td>
								</tr>
								<tr>
									<td align="left">
								
									Total PPG Discount
								
							</td>
									<td align="right">
									
									</td>
									<td align="right">
										<xsl:value-of select="format-number(//totals/total/loyalty/ppgDiscount,'#,##0.00')"/>
									</td>
								</tr>
								<tr>
									<td align="left">
								
									Total Ticket Discount
								
							</td>
									<td align="right">
									
									</td>
									<td align="right">
										<xsl:value-of select="format-number(//totals/total/loyalty/ticketDiscount,'#,##0.00')"/>
									</td>
								</tr>
								<tr>
									<td align="left">
								
									Total Line Item Discount
								
							</td>
									<td align="right">
									
									</td>
									<td align="right">
										<xsl:value-of select="format-number(//totals/total/loyalty/lineItemDiscount,'#,##0.00')"/>
									</td>
								</tr>
								<tr>
									<td align="left">
								
									Total Loyalty Discount
								
							</td>
									<td align="right">
									
									</td>
									<td align="right">
										<xsl:value-of select="format-number(//totals/total/loyalty/ppgDiscount+//totals/total/loyalty/ticketDiscount+//totals/total/loyalty/lineItemDiscount,'#,##0.00')"/>
									</td>
								</tr>
								<tr>
									<td colspan="4">
										<br/>
									</td>
								</tr>
								<tr>
									<td align="left">
								
									% Loyalty Customers
								
							</td>
									<td align="right">
									
									</td>
									<td align="right">
										<xsl:value-of select="//totals/percent/loyaltyTransactions"/>%
								
							</td>
								</tr>
								<tr>
									<td align="left">
								
									% Sales on Loyalty
								
							</td>
									<td align="right">
									
									</td>
									<td align="right">
										<xsl:value-of select="//totals/percent/loyaltySales"/>%
								
							</td>
								</tr>
								<tr>
									<td align="left">
								
									% Sales Without Loyalty
								
							</td>
									<td align="right">
									
								</td>
									<td align="right">
										<xsl:value-of select="//totals/percent/nonLoyaltySales"/>%
								
							</td>
								</tr>
								<tr>
									<td colspan="4">
										<br/>
									</td>
								</tr>

								<xsl:call-template name="drawHorizontalLine"/>
							
								<xsl:for-each select="//byProgram">
									<tr>
										<td>
											<font face="Trebuchet MS" size="3" color="#3366CC">
												<p>
													<b>
														<xsl:value-of select="@programID"/> Totals</b>
												</p>
											</font>
										</td>
										<tr>
											<td bgcolor="#3366CC" align="left">
												<b>
													<font color="#FFFFFF">Description</font>
												</b>
											</td>
											<td bgcolor="#3366CC" align="right">
									
									</td>
											<td bgcolor="#3366CC" align="right">
												<font color="#FFFFFF">
													<b>Amount / Percentage</b>
												</font>
											</td>
										</tr>
										
										
										<tr>
											<td align="left">
								
									Total PPG Discount
								
							</td>
											<td align="right">
									
									</td>
											<td align="right">
												<xsl:value-of select="format-number(totals/total/ppgDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Ticket Discount
								
							</td>
											<td align="right">
									
									</td>
											<td align="right">
												<xsl:value-of select="format-number(totals/total/ticketDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Line Item Discount
								
							</td>
											<td align="right">
									
									</td>
											<td align="right">
												<xsl:value-of select="format-number(totals/total/lineItemDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Loyalty Discount
								
							</td>
											<td align="right">
									
									</td>
											<td align="right">
												<xsl:value-of select="format-number((totals/total/ppgDiscount+totals/total/ticketDiscount+totals/total/lineItemDiscount),'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td>
												<font face="Trebuchet MS" size="3" color="#3366CC">
													<p>
														<b>Loyalty Transactions Inside</b>
													</p>
												</font>
											</td>
										</tr>
										
										<tr>
											<td align="left">
								
									Total Sales (Before Ticket Discounts)
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number(totals/inside/amount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total PPG Discounts
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number(totals/inside/ppgDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Ticket Discounts
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number(totals/inside/ticketDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Line Item Discounts
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number(totals/inside/lineItemDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Discounts
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number((totals/inside/ticketDiscount+totals/inside/ppgDiscount+totals/inside/lineItemDiscount),'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td colspan="2">
												<br/>
											</td>
										</tr>
										<tr>
											<td>
												<font face="Trebuchet MS" size="3" color="#3366CC">
													<p>
														<b>Loyalty Transactions Outside</b>
													</p>
												</font>
											</td>
										</tr>
										
										<tr>
											<td align="left">
								
									Total Sales (Before Ticket Discounts)
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number(totals/outside/amount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total PPG Discounts
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number(totals/outside/ppgDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Ticket Discounts
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number(totals/outside/ticketDiscount,'#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="left">
								
									Total Discounts
								
							</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="format-number((totals/outside/ticketDiscount+totals/outside/ppgDiscount),'#,##0.00')"/>
											</td>
										</tr>
									</tr>
									<tr>
										<td colspan="2">
											<br/>
										</td>
									</tr>
									<xsl:call-template name="drawHorizontalLine"/>
								</xsl:for-each>
							</table>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	<xsl:template name="drawHorizontalLine">
		<tr>
			<td colspan="3">
				<hr color="#FFCC00" valign="top" width="632" align="left"/>
			</td>
		</tr>
	</xsl:template>
</xsl:transform>