<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ext="http://xml.apache.org/xalan" version="1.0" exclude-result-prefixes="ext">
	<xsl:output method="html"/>
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
		<xsl:variable name="inputDoc" select="."/>
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<xsl:variable name="rawLoyTx">
			<xsl:copy-of select="$inputDoc/*/loyaltyDetailTotals/loyaltyDetail"/>
		</xsl:variable>
		<xsl:variable name="loyaltyProgramList">
			<xsl:variable name="sortedList">
				<xsl:for-each select="//t:sumLoyalty">
					<xsl:sort order="ascending" select="name" data-type="text"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList)/t:sumLoyalty[not(name = preceding-sibling::t:sumLoyalty[1]/name)]/name"/>
		</xsl:variable>
		<html>
			<head>
				<title>Loyalty Detail Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Loyalty Detail Report</font>
							</b>
						</td>
						<xsl:apply-templates select="t:loyaltyDetailReport/t:hdr/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="t:loyaltyDetailReport/t:hdr/vs:period"/>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="3">
							<font size="2">
								<b>Loyalty Discount Summary</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Transaction Count</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total Ticket Amounts</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total Loyalty Discounts</p>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:variable name="TotalTicketDiscAmount">
							<xsl:value-of select="sum(ext:nodeset($rawLoyTx)/*/ticketDetails/t:sumLoyalty/loyaltyDiscounts/total)"/>
						</xsl:variable>
						<xsl:variable name="TotalLineDiscountAmount">
							<xsl:value-of select="sum(ext:nodeset($rawLoyTx)/*//t:line/t:loyalty/amt)"/>
						</xsl:variable>
						<xsl:variable name="TotalPPUAmount">
							<xsl:value-of select="sum(ext:nodeset($rawLoyTx)/*//t:line/t:fuel/loyaltyDisc/amt)"/>
						</xsl:variable>
						<td align="left">
							<xsl:value-of select="count(//loyaltyDetail)"/>
						</td>
						<td align="left">
							<xsl:value-of select="format-number(sum(ext:nodeset($rawLoyTx)/*/ticketTotal) ,'0.00')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number($TotalTicketDiscAmount + $TotalLineDiscountAmount + $TotalPPUAmount ,'0.00')"/>
						</td>
					</tr>
				</table>
				<br/>
				<br/>
				<br/>
				<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr>
						<td colspan="4">
							<font size="2">
								<b>Loyalty Discounts by Type</b>
							</font>
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
					<tr bgcolor="#3366CC" height="1" align="left">
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>PPU Discounts</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Ticket Level Discounts</p>
							</font>
						</td>
						<td align="left">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Line Level Discounts</p>
							</font>
						</td>
						<td align="right">
							<font color="#FFFFFF" style="font-weight: bold;">
								<p>Total Loyalty Discounts</p>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:variable name="TotalTickDiscAmount">
							<xsl:value-of select="sum(ext:nodeset($rawLoyTx)/*/ticketDetails/t:sumLoyalty/loyaltyDiscounts/total)"/>
						</xsl:variable>
						<xsl:variable name="TotalPPUAmount">
							<xsl:value-of select="sum(ext:nodeset($rawLoyTx)/*//t:line/t:fuel/loyaltyDisc/amt)"/>
						</xsl:variable>
						<xsl:variable name="TotalLineAmount">
							<xsl:value-of select="sum(ext:nodeset($rawLoyTx)/*//t:line/t:loyalty/amt)"/>
						</xsl:variable>
						<td align="left">
							<xsl:value-of select="format-number($TotalPPUAmount, '0.00')"/>
						</td>
						<td align="left">
							<xsl:value-of select="format-number($TotalTickDiscAmount,'0.00')"/>
						</td>
						<td align="left">
							<xsl:value-of select="format-number($TotalLineAmount,'0.00')"/>
						</td>
						<td align="right">
							<xsl:value-of select="format-number($TotalTickDiscAmount +$TotalPPUAmount + $TotalLineAmount,'0.00')"/>
						</td>
					</tr>
				</table>
				<br/>
				<br/>
				<br/>
				<xsl:for-each select="ext:nodeset($loyaltyProgramList)/name">
					<xsl:variable name="curProgram" select="."/>
					<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr>
							<td colspan="6">
								<font size="2">
									<b>
										<xsl:value-of select="$curProgram"/> Detail Totals</b>
								</font>
								<hr color="#FFCC00" valign="top" width="700" align="left"/>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Transaction Time</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Cashier#</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Ticket#</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Loyalty Account#       </p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Is Refund?</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Ticket Total</p>
								</font>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Automatic Disc</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Cust Auth Disc</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Line Item Disc</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Tax Credit Amt</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>PPG Discounts</p>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Total Discount</p>
								</font>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>Line Item Disc Details</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
						</tr>
						<tr bgcolor="#3366CC" height="1" align="left">
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p>PPG Disc Details</p>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="left">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
							<td align="right">
								<font color="#FFFFFF" style="font-weight: bold;">
									<p/>
								</font>
							</td>
						</tr>
						<xsl:for-each select="ext:nodeset($rawLoyTx)/loyaltyDetail">
							<xsl:choose>
								<xsl:when test="count(ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts) or count(lineDetails/t:line/t:loyalty[name=$curProgram])  or  count(lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram])">
									<tr>
										<td align="left">
											<xsl:value-of select="concat(substring(hdr/dateTime,1,10),'  ',substring(hdr/dateTime,12,5))"/>
										</td>
										<td align="left">
											<xsl:value-of select="t:cashier/@number"/>
										</td>
										<td align="left">
											<b>
												<xsl:value-of select="vs:transactionSeq"/>
											</b>
										</td>
										<td align="left">
											<xsl:value-of select="ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyCardInfo/acct"/>
										</td>
										<td align="left">
											<xsl:choose>
												<xsl:when test="ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts/@reversed ='true'">
													<xsl:value-of select="'Y'"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="'N'"/>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<td align="right">
											<font style="font-weight: bold;">
												<xsl:value-of select="ticketTotal"/>
											</font>
										</td>
									</tr>
									<tr>
										<td align="left">
											<xsl:choose>
												<xsl:when test="count(ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts)">
													<xsl:value-of select="ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts/autoApplied"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="'0.00'"/>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<td align="left">
											<xsl:choose>
												<xsl:when test="count(ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts)">
													<xsl:value-of select="ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts/custApproved"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="'0.00'"/>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<td align="left">
											<xsl:choose>
												<xsl:when test="count(lineDetails/t:line/t:loyalty[name=$curProgram])">
													<xsl:value-of select="sum(lineDetails/t:line/t:loyalty[name=$curProgram]/amt)"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="'0.00'"/>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<td align="left">
											<xsl:choose>
												<xsl:when test="count(lineDetails/t:line/t:loyalty[name=$curProgram]/taxCredit)">
													<xsl:value-of select="sum(lineDetails/t:line/t:loyalty[name=$curProgram]/taxCredit)"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="'0.00'"/>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<td align="left">
											<xsl:choose>
												<xsl:when test="count(lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram])">
													<xsl:value-of select="sum(lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]/amt)"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="'0.00'"/>
												</xsl:otherwise>
											</xsl:choose>
										</td>
										<td align="right">
											<font style="font-weight: bold;">
												<xsl:variable name="TotalTicketDisc">
													<xsl:choose>
														<xsl:when test="ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts">
															<xsl:value-of select="ticketDetails/t:sumLoyalty[name=$curProgram]/loyaltyDiscounts/total"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="0"/>
													</xsl:otherwise>
													</xsl:choose>
												</xsl:variable>
												<xsl:variable name="TotalLineDisc">
													<xsl:choose>
														<xsl:when test="count(lineDetails/t:line/t:loyalty[name=$curProgram]/amt)">
															<xsl:value-of select="sum(lineDetails/t:line/t:loyalty[name=$curProgram]/amt)"/>

														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="0"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:variable>
												<xsl:variable name="TotalPPGDisc">
													<xsl:choose>
														<xsl:when test="count(lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram])">
															<xsl:value-of select="sum(lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]/amt)"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="0"/>
														</xsl:otherwise>
													</xsl:choose>
												</xsl:variable>
												<xsl:value-of select="format-number($TotalTicketDisc + $ TotalLineDisc + $TotalPPGDisc,'0.00')"/> 
												
										
												
											</font>
										</td>
									</tr>
									
									<xsl:choose>
										<xsl:when test="count(lineDetails/t:line/t:loyalty[name=$curProgram])">
											<xsl:for-each select="lineDetails/t:line">
												<xsl:if test="count(t:loyalty[name=$curProgram])">
													<tr>
														<td align="left">
															<xsl:value-of select="iid/t:plu/upc"/>
														</td>
														<td align="left">
															<xsl:value-of select="concat('Qty:','  ',string(t:loyalty[name=$curProgram]/qty))"/>
														</td>
														<td align="left">
															<xsl:value-of select="concat('Discount:','  ',string(t:loyalty[name=$curProgram]/amt))"/>
														</td>
														<td align="right">
											
											</td>
														<td align="left">
															<font color="#FFFFFF" style="font-weight: bold;">
																<p/>
															</font>
														</td>
													</tr>
												</xsl:if>
											</xsl:for-each>
										</xsl:when>
										<xsl:when test="loyAuthReply = -1">
											<tr>
												<td align="left">
													<font color="#FF0000" style="font-weight: bold;">
														<xsl:value-of select="'AUTHORIZATION FAILURE'"/>
													</font>
												</td>
											</tr>
										</xsl:when>
										<xsl:otherwise>
											<tr>
												<td align="left">
													<xsl:value-of select="'No Line Item Discounts'"/>
												</td>
											</tr>
										</xsl:otherwise>
									</xsl:choose>
									
									<xsl:choose>
										<xsl:when test="lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]">
											<tr>
												<td align="left">
													<xsl:choose>
														<xsl:when test="ppgDiscDetail/@isUnderrun = 'true'">
															<xsl:value-of select="'PPG UNDERRUN'"/>
														</xsl:when>
														<xsl:when test="ppgDiscDetail/@isOverrun = 'true'">
															<xsl:value-of select="'PPG OVERRUN'"/>
														</xsl:when>
														<xsl:otherwise>
															<xsl:value-of select="'PPG DISC'"/>
														</xsl:otherwise>
													</xsl:choose>
												</td>
												<td align="left">
													<xsl:value-of select="concat('Grade:','  ',string(lineDetails/t:line/t:fuel/grade))"/>
												</td>
												<td align="left">
													<xsl:value-of select="concat('Qty:','  ',string(lineDetails/t:line/t:fuel/vol))"/>
												</td>
												<td align="left">
													<xsl:value-of select="concat('Discount:','  ',string(lineDetails/t:line/t:fuel/loyaltyDisc[name=$curProgram]/amt))"/>
												</td>
											</tr>
										</xsl:when>
										<xsl:otherwise>
											<tr>
												<td align="left">
													<xsl:value-of select="'No PPG Discounts'"/>
												</td>
											</tr>
										</xsl:otherwise>
									</xsl:choose>
									<tr>
										<td align="left" colspan="6">
											<br/>
										</td>
									</tr>
									<tr>
										<td align="left" colspan="6">
											<hr/>
										</td>
									</tr>
								</xsl:when>
							</xsl:choose>
						</xsl:for-each>
					</table>
					<br/>
					<br/>
					
				
				</xsl:for-each>
				<br/>
				<br/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>