<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>

		<html>
			<head>
				<title>Merchandise Sales</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Merchandise Sales</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/t:hdr/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
	
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				<br/>
				<br/>
			



			<xsl:variable name="catInfo" select="//categoryInfo/t:cat/@sysid[not(.=preceding::t:cat/@sysid)]"/>
			<table width="632" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">				

			<xsl:for-each select="$catInfo">
				<xsl:sort select="." data-type="number"/>
				<xsl:variable name="meCat" select="."/>
							<tr height="1" align="left">	
									 <td colspan="5" align="right"><br/></td> 
							</tr>														


				<tr><td colspan="5"><font size="2"><b>Department <xsl:value-of select="."/> - <xsl:value-of select="//categoryInfo/t:cat[@sysid=$meCat]/name"/>  </b></font> 
													
				<hr color="#FFCC00" valign="top" width="632" align="left"/></td></tr>
				
						
						<xsl:for-each select="//departmentInfo[../t:cat/@sysid=$meCat]">
							<xsl:sort select="t:dept/@sysid" data-type="number"/>
							<xsl:variable name="meDept" select="t:dept/@sysid"/>

							<tr height="1" align="left">	
									 <td colspan="5" align="right"><br/></td> 
							</tr>														


							 <tr><td colspan="5"> <font size="2">Category <xsl:value-of select="$meDept"/> - <xsl:value-of select="t:dept/name"/> </font> <br/></td></tr>

							 
			
							<tr bgcolor="#3366CC" height="1" align="left">	
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p> </p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Quantity</p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Sell Units</p></font></td>						
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Extended Qty</p></font></td>
								<td align="right"><font color="#FFFFFF" style="font-weight: bold;"><p>Sales Amt</p></font></td>
							</tr>														

							<xsl:for-each select="pluSales">
							<tr>
									<td align="right"><p> </p></td>				
									 <td align="right"> <xsl:value-of select="qty"/></td> 
									 <td align="right"> <xsl:value-of select="sellUnit"/></td> 
									 <td align="right"> <xsl:value-of select="extendedQty"/></td> 
									 <td align="right"> <xsl:value-of select="salesAmount"/></td> 
							</tr>
							</xsl:for-each>

							<xsl:for-each select="openDeptSales">
							<tr>
									<td align="right"><p>Open Rings</p></td>				
									 <td align="right"> <xsl:value-of select="qty"/></td> 
									 <td align="right"> <xsl:value-of select="format-number(sellUnit,'#,##0.000')"/></td> 
									 <td align="right"> <xsl:value-of select="extendedQty"/></td> 
									 <td align="right"> <xsl:value-of select="salesAmount"/></td> 
							</tr>
							</xsl:for-each>

							<tr>
									<td align="right"><p><b>Total Cat <xsl:value-of select="$meDept"/></b></p></td>						
									 <td align="right"><b> <xsl:value-of select="format-number(sum(pluSales/qty)+sum(openDeptSales/qty), '#,##0')"/></b></td> 
									 <td align="right"> <b/></td> 
									 <td align="right"> <b><xsl:value-of select="format-number(sum(pluSales/extendedQty)+sum(openDeptSales/extendedQty), '#,##0')"/></b></td> 
									 <td align="right"> <b><xsl:value-of select="format-number(sum(pluSales/salesAmount)+sum(openDeptSales/salesAmount), '#,##0.00')"/></b></td> 
							</tr>
							
					
				</xsl:for-each>
							
							<tr>
									<td colspan="5"><hr/></td>						
							</tr> 			
							<tr height="1" align="left">	
									<td align="right"><p><b>Total Dept <xsl:value-of select="$meCat"/></b> </p></td>	
									 <td align="right"><b> <xsl:value-of select="format-number(sum(//categoryInfo[(t:cat/@sysid=$meCat)]/departmentInfo/pluSales/qty)+sum(//categoryInfo[(t:cat/@sysid=$meCat)]/departmentInfo/openDeptSales/qty), '#,##0')"/></b></td> 
									 <td align="right"> </td> 
									 <td align="right"> <b><xsl:value-of select="format-number(sum(//categoryInfo[(t:cat/@sysid=$meCat)]/departmentInfo/pluSales/extendedQty)+sum(//categoryInfo[(t:cat/@sysid=$meCat)]/departmentInfo/openDeptSales/extendedQty), '#,##0')"/></b></td> 
									 <td align="right"><b> <xsl:value-of select="format-number(sum(//categoryInfo[(t:cat/@sysid=$meCat)]/departmentInfo/pluSales/salesAmount)+sum(//categoryInfo[(t:cat/@sysid=$meCat)]/departmentInfo/openDeptSales/salesAmount), '#,##0.00')"/></b></td> 
							</tr>														

						
			</xsl:for-each>
							<tr height="1" align="left">	
									 <td colspan="5" align="right"><hr/></td> 
							</tr>														


							<tr height="1" align="left">	

									<td align="right"><p><b>Total All  </b></p></td>	
									 <td align="right"><b> <xsl:value-of select="format-number(sum(//categoryInfo/departmentInfo/pluSales/qty)+sum(//categoryInfo/departmentInfo/openDeptSales/qty), '#,##0')"/></b></td> 
									 <td align="right"> </td> 
									 <td align="right"><b> <xsl:value-of select="format-number(sum(//categoryInfo/departmentInfo/openDeptSales/extendedQty)+sum(//categoryInfo/departmentInfo/pluSales/extendedQty), '#,##0')"/></b></td> 
									 <td align="right"> <b><xsl:value-of select="format-number(sum(//categoryInfo/departmentInfo/openDeptSales/salesAmount)+sum(//categoryInfo/departmentInfo/pluSales/salesAmount), '#,##0.00')"/></b></td> 
							</tr>														


						</table>
						<br/>
<p>* These are Open Rings</p>

			</body>
		</html>
	</xsl:template>
</xsl:transform>