<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template match="pd:moneyOrderPd">
		<html>
			<head>
				<title>Money Order Log Report</title>			
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
						num					{text-align:right;} 
						text					{text-align: left;}
				 </STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Money Order Log Report</font>
							</b>
						</td>
						<xsl:apply-templates select="vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="vs:period"/>
				<br/>

				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="670">					
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Money Order Event Log </b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td class="text" align="left" width="210" height="1">
									<b><font color="#FFFFFF">Date</font>
									</b>	
								</td>
								<td/>
								<td class="text" align="left" width="50" height="1">
									<b><font color="#FFFFFF">Register</font>
									</b>	
								</td>								
								<td width="10"/>
								<td class="text" align="left" width="72" height="1">
									<b><font color="#FFFFFF">Employee</font>
									</b>	
								</td>
								<td/>
								<td class="num" align="right" width="70" height="1">
									<b><font color="#FFFFFF">Amount</font></b></td>
								<td width="10"/>
								<td class="text" align="left" width="150"><b><font color="#FFFFFF">Serial #</font></b></td>
								<td/>
								<td class="text" align="left" width="70"><b><font color="#FFFFFF">Payee</font></b></td>
								<td/>
								<td class="text" align="left" width="130"><b><font color="#FFFFFF">Type</font></b></td>			
							</tr>						
							<xsl:for-each select="totals/pd:moneyOrderSaleEvent | totals/pd:vendorPmtEvent">								<xsl:variable name="eventType" select="name()"/>
								<tr bgcolor="#FFFFFF" align="right">		
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>	
									<xsl:apply-templates select=".">
										<xsl:with-param name="type" select="$eventType"/>
									</xsl:apply-templates>
								</tr>
							</xsl:for-each>
						</table>
						<br/>	
					</tr>
				</table>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="400">	
							<tr>
								<td colspan="15">		
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>ECR Money Order Totals</b>
									</font>
								</td>
							</tr>
							<tr>
								<td class="text" align="left" width="200" bgcolor="#3366CC" height="1">
									<b><font color="#FFFFFF">Description</font>
									</b>	
								</td>
								<td width="5" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="68" bgcolor="#3366CC" height="1">
									<b><font color="#FFFFFF">Count</font>		
									</b>	
								</td>
								<td width="10" bgcolor="#3366CC" height="1"/>
								<td class="num" align="right" width="73" bgcolor="#3366CC" height="1">
									<font color="#FFFFFF"><b>Amount</b></font>		
								</td>
							</tr>
					
							<xsl:apply-templates select="totals/moneyOrderSales"/>
							<xsl:call-template name="totalMOSales"/>
							<tr>
								<td width="300" height="20" colspan="3">
									<hr color="#FFFFFF" valign="top" width="300" align="left"/>
								</td>
							</tr>							
							<xsl:apply-templates select="totals/vendorPayments"/>
							<xsl:call-template name="totalVendPmts"/>
							<tr>
								<td width="300" height="20" colspan="3">
									<hr color="#FFFFFF" valign="top" width="300" align="left"/>
								</td>
							</tr>		
							<xsl:call-template name="totalPrinted"/>																					<xsl:call-template name="totalOffline"/>
							<xsl:call-template name="totalRefunds"/>
						</table>
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	
	
	<xsl:template match="pd:moneyOrderSaleEvent | pd:vendorPmtEvent">	
		<xsl:param name="type"/>
		<td class="text" align="left" width="210"><xsl:apply-templates select="date"/></td>
		<td/>
		<td align="center" width="50"><xsl:value-of select="vs:register/@sysid"/></td>
		<td/>
		<td class="text" align="left" width="72"><xsl:value-of select="vs:cashier/@sysid"/>-<xsl:value-of select="vs:cashier/name"/></td>
		<td/>
		<td class="num" align="right" width="70"><xsl:apply-templates select="./amount"/></td>
		<td/>
		<td class="text" align="left" width="150"><xsl:value-of select="serialNum"/></td>
		<td/>
		<td class="text" align="left" width="70"><xsl:value-of select="payeeID"/></td>
		<td/>
		<td class="text" align="left" width="130">
			<xsl:choose>
				<xsl:when test="name() = 'pd:vendorPmtEvent'">Vendor Pmt</xsl:when>
				<xsl:otherwise>Sale</xsl:otherwise>
			</xsl:choose>
		</td>				
	</xsl:template>
	
	<xsl:template match="totals/moneyOrderSales">
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td class="text" align="left" width="240">Money Order Sales - Printed</td>
			<td/>
			<xsl:apply-templates select="printed"/>
		</tr>
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td class="text" align="left" width="240">Money Order Sales - Offline</td>
			<td/>
			<xsl:apply-templates select="offline"/>
		</tr>
	</xsl:template>
	
	<xsl:template match="totals/vendorPayments">
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td class="text" align="left" width="240">Vendor payments - Printed</td>
			<td/>
			<xsl:apply-templates select="printed"/>
		</tr>
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
			<td class="text" align="left" width="240">Vendor payments - Offline</td>
			<td/>
			<xsl:apply-templates select="offline"/>
		</tr>
	</xsl:template>
	
	<xsl:template match="printed | offline">
		<xsl:call-template name="countAmount"/>
	</xsl:template>
	
	<xsl:template name="totalMOSales">
		<tr>
			<td colspan="13" width="100%">			
				<hr color="#DBDBDB" valign="top" width="100%" align="left"/>
			</td>
		</tr>	
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td class="text" align="left" width="200">Total Money Order sales</td>
			<td/>
			<td class="num" align="right" width="68">
				<xsl:value-of select="sum(totals/moneyOrderSales/*/count)"/>
			</td>
			<td/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(sum(totals/moneyOrderSales/*/amount),'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="totalVendPmts">
		<tr>
			<td colspan="13" width="100%">			
				<hr color="#DBDBDB" valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td class="text" align="left" width="200">Total Vendor payments</td>
			<td/>
			<td class="num" align="right" width="68">
				<xsl:value-of select="sum(totals/vendorPayments/*/count)"/>
			</td>
			<td/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(sum(totals/vendorPayments/*/amount),'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="totalPrinted">
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td class="text" align="left" width="200">Total printed</td>
			<td/>
			<td class="num" align="right" width="68">
				<xsl:value-of select="sum(totals/*/printed/count)"/>
			</td>
			<td/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(sum(totals/*/printed/amount),'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template name="totalOffline">
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td class="text" align="left" width="200">Total offline</td>
			<td/>
			<td class="num" align="right" width="68">
				<xsl:value-of select="sum(totals/*/offline/count)"/>
			</td>
			<td/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(sum(totals/*/offline/amount),'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>

	<xsl:template name="totalRefunds">
		<tr bgcolor="#FFFFFF" align="right">
			<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
			<td class="text" align="left" width="200">Total refunds</td>
			<td/>
			<td class="num" align="right" width="68">
				<xsl:value-of select="totals/moneyOrderRefunds/count"/>
			</td>
			<td/>
			<td class="num" align="right" width="73">
				<xsl:value-of select="format-number(totals/moneyOrderRefunds/amount,'##,##0.00')"/>
			</td>
		</tr>
	</xsl:template>
			
	<xsl:template name="countAmount">
		<td class="num" align="right" width="68">
			<xsl:value-of select="count"/>
		</td>
		<td/>
		<td class="num" align="right" width="73">
			<xsl:value-of select="format-number(amount,'##,##0.00')"/>
		</td>
	</xsl:template>

	<xsl:template match="amount">
		<nobr><xsl:value-of select="format-number(.,'##,##0.00')"/></nobr>
	</xsl:template>
	
	<xsl:template match="date">
		<xsl:value-of select="substring(.,1,10)"/>
		<xsl:text> </xsl:text>
		<xsl:value-of select="substring(.,12,5)"/>
	</xsl:template>	

</xsl:transform>