<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<html>
			<head>
				<title>Network Totals Report</title>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="20">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Network Totals Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				
				<br/>
				<table cellspacing="0" cellpadding="0" width="200" height="20">
					<tr>
						<td width="198" height="24">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>HOST TOTALS</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="198" height="10">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="200" height="10">
							<font face="Trebuchet MS" color="#0" size="2">Type of totals</font>
						</td>
						<td>
							<font face="Trebuchet MS" color="#0" size="2">
								<xsl:value-of select="//totals/networkTotals/hostTotals/hostDate"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="200" height="10">
							<font face="Trebuchet MS" color="#0" size="2">Merchant Id</font>
						</td>
						<td>
							<font face="Trebuchet MS" color="#0" size="2">
								<xsl:value-of select="//totals/networkTotals/hostTotals/merchantNum"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="200" height="10">
							<font face="Trebuchet MS" color="#0" size="2">Terminal Id</font>
						</td>
						<td>
							<font face="Trebuchet MS" color="#0" size="2">
								<xsl:value-of select="//totals/networkTotals/hostTotals/terminalID"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="198" height="10">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b/>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="300" height="10" colspan="3">
							<font face="Trebuchet MS" color="#3366CC" size="2">
								<b>Totals by card type</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#3366CC" height="19" align="left">
							<font color="#FFFFFF" size="2">
								<b>Type</b>
							</font>
						</td>
						<td width="60" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Count</font>
							</b>
						</td>
						<td width="180" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Amount</font>
							</b>
						</td>
					</tr>
					<xsl:for-each select="//totals/networkTotals/hostTotals/hostTotalsByCardType/group">
						<xsl:sort select="." data-type="text"/>
						<xsl:variable name="labelID" select="./label"/>
						<tr bgcolor="#FFFFFF">
							<xsl:choose>
								<xsl:when test="position() mod 2 &gt; 0">
									<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<td width="60" height="20">
								<font size="2">
									<nobr>
										<xsl:value-of select="//totals/networkTotals/hostTotals/hostTotalsByCardType/group[./label=$labelID]/label"/>
									</nobr>
								</font>
							</td>
							<td width="60" height="20" align="right">
								<nobr>
									<xsl:value-of select="//totals/networkTotals/hostTotals/hostTotalsByCardType/group[./label=$labelID]/count"/>
								</nobr>
							</td>
							<td width="180" height="20" align="right">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/hostTotals/hostTotalsByCardType/group[./label=$labelID]/amount,'#,##0.00')"/>
								</nobr>
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 12pt" width="300" height="20">
					<tr>
						<td width="60" bgcolor="#FFFFFF" height="19" align="left">
							<font color="#0" size="2">
								<b>TOTAL</b>
							</font>
						</td>
						<td width="60" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0"/>
							</b>
						</td>
						<td width="180" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0">$<xsl:value-of select="format-number(sum(//totals/networkTotals/hostTotals/hostTotalsByCardType/group[label != 'AO' and label != 'SV1' and label != 'SV3' and label != 'SV4']/amount),'#,##0.00')"/>
								</font>
							</b>
						</td>
					</tr>
				</table>
				<font color="#0" size="1">
				** Card types of AO, SV1, SV3, and SV4 are not included in the totals.
				</font>
				<br/>
				<br/>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="300" height="10" colspan="3">
							<font face="Trebuchet MS" color="#3366CC" size="2">
								<b>Totals by category</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#3366CC" height="19" align="left">
							<font color="#FFFFFF" size="2">
								<b>Category</b>
							</font>
						</td>
						<td width="60" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Count</font>
							</b>
						</td>
						<td width="180" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Amount</font>
							</b>
						</td>
					</tr>
					<xsl:for-each select="//totals/networkTotals/hostTotals/hostTotalsByCategory/group">
						<xsl:sort select="." data-type="text"/>
						<xsl:variable name="labelID" select="./label"/>
						<tr bgcolor="#FFFFFF">
							<xsl:choose>
								<xsl:when test="position() mod 2 &gt; 0">
									<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<td width="60" height="20">
								<font size="2">
									<nobr>
										<xsl:value-of select="//totals/networkTotals/hostTotals/hostTotalsByCategory/group[./label=$labelID]/label"/>
									</nobr>
								</font>
							</td>
							<td width="60" height="20" align="right">
								<nobr>
									<xsl:value-of select="//totals/networkTotals/hostTotals/hostTotalsByCategory/group[./label=$labelID]/count"/>
								</nobr>
							</td>
							<td width="180" height="20" align="right">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/hostTotals/hostTotalsByCategory/group[./label=$labelID]/amount,'#,##0.00')"/>
								</nobr>
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 12pt" width="300" height="20">
					<tr>
						<td width="60" bgcolor="#FFFFFF" height="19" align="left">
							<font color="#0" size="2">
								<b>TOTAL</b>
							</font>
						</td>
						<td width="60" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0"/>
							</b>
						</td>
						<td width="180" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0">$<xsl:value-of select="format-number(sum(//totals/networkTotals/hostTotals/hostTotalsByCategory/group/amount),'#,##0.00')"/>
								</font>
							</b>
						</td>
					</tr>
				</table>
				<br/>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						<td width="60" height="20">
							<font size="2">
								<nobr>Gross Amount</nobr>
							</font>
						</td>
						<td width="60" height="20">
							<font size="2">
								<nobr/>
							</font>
						</td>
						<td width="180" height="20" align="right">
							<font size="2">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/hostTotals/grandTotal,'#,##0.00')"/>
								</nobr>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						<td width="60" height="20">
							<font size="2">
								<nobr>Fee</nobr>
							</font>
						</td>
						<td width="60" height="20">
							<font size="2">
								<nobr/>
							</font>
						</td>
						<td width="180" height="20" align="right">
							<font size="2">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/hostTotals/adjustment,'#,##0.00')"/>
								</nobr>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						<td width="60" height="20">
							<font size="2">
								<nobr>Net Amount</nobr>
							</font>
						</td>
						<td width="60" height="20">
							<font size="2">
								<nobr/>
							</font>
						</td>
						<td width="180" height="20" align="right">
							<font size="2">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/hostTotals/netAmount,'#,##0.00')"/>
								</nobr>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						<td width="60" height="20">
							<font size="2">
								<nobr/>
							</font>
						</td>
						<td width="60" height="20">
							<font size="2">
								<nobr/>
							</font>
						</td>
						<td width="180" height="20" align="right">
							<font size="2">
								<nobr/>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						<td width="60" height="20">
							<font size="2">
								<nobr>Last deposit</nobr>
							</font>
						</td>
						<td width="60" height="20">
							<font size="2">
								<nobr/>
							</font>
						</td>
						<td width="180" height="20" align="right">
							<font size="2">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/hostTotals/lastDepositAmount,'#,##0.00')"/>
								</nobr>
							</font>
						</td>
					</tr>
					<tr>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						<td width="60" height="20">
							<font size="2">
								<nobr>Deposit date</nobr>
							</font>
						</td>
						<td width="60" height="20">
							<font size="2">
								<nobr/>
							</font>
						</td>
						<td width="180" height="20" align="right">
							<font size="2">
								<nobr>
									<xsl:value-of select="//totals/networkTotals/hostTotals/lastDepositDate"/>
								</nobr>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				
				<xsl:if test="(//totals/networkTotals/hostTotals/regularGallons != 0) or (//totals/networkTotals/hostTotals/unleadedGallons != 0) or (//totals/networkTotals/hostTotals/superGallons != 0) or (//totals/networkTotals/hostTotals/dieselGallons != 0) or (//totals/networkTotals/hostTotals/custom1 != 0) or (//totals/networkTotals/hostTotals/custom2 != 0)">
					<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
						<tr>
							<td width="300" height="10" colspan="3">
								<font face="Trebuchet MS" color="#3366CC" size="2">
									<b>Fuel volumes</b>
								</font>
							</td>
						</tr>
						<tr>
							<td width="100" bgcolor="#3366CC" height="19" align="left">
								<font color="#FFFFFF" size="2">
									<b>Type</b>
								</font>
							</td>
							<td width="200" bgcolor="#3366CC" height="19" align="right">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
						</tr>
						<xsl:if test="(//totals/networkTotals/hostTotals/regularGallons != 0)">
							<tr>
								<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
									<font size="2">
										<nobr>Regular Gallons</nobr>
									</font>
								</td>
								<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
									<font size="2">
										<nobr>
											<xsl:value-of select="//totals/networkTotals/hostTotals/regularGallons"/>
										</nobr>
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="(//totals/networkTotals/hostTotals/unleadedGallons != 0)">
							<tr>
								<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
									<font size="2">
										<nobr>Unleaded Gallons</nobr>
									</font>
								</td>
								<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
									<font size="2">
										<nobr>
											<xsl:value-of select="//totals/networkTotals/hostTotals/unleadedGallons"/>
										</nobr>
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="(//totals/networkTotals/hostTotals/superGallons != 0)">
							<tr>
								<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
									<font size="2">
										<nobr>Super Gallons</nobr>
									</font>
								</td>
								<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
									<font size="2">
										<nobr>
											<xsl:value-of select="//totals/networkTotals/hostTotals/superGallons"/>
										</nobr>
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="(//totals/networkTotals/hostTotals/dieselGallons != 0)">
							<tr>
								<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
									<font size="2">
										<nobr>Diesel Gallons</nobr>
									</font>
								</td>
								<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
									<font size="2">
										<nobr>
											<xsl:value-of select="//totals/networkTotals/hostTotals/dieselGallons"/>
										</nobr>
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="(//totals/networkTotals/hostTotals/custom1Gallons != 0)">
							<tr>
								<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
									<font size="2">
										<nobr>Custom 1 Gallons</nobr>
									</font>
								</td>
								<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
									<font size="2">
										<nobr>
											<xsl:value-of select="//totals/networkTotals/hostTotals/custom1Gallons"/>
										</nobr>
									</font>
								</td>
							</tr>
						</xsl:if>
						<xsl:if test="(//totals/networkTotals/hostTotals/custom2Gallons != 0)">
							<tr>
								<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
									<font size="2">
										<nobr>Custom 2 Gallons</nobr>
									</font>
								</td>
								<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
									<font size="2">
										<nobr>
											<xsl:value-of select="//totals/networkTotals/hostTotals/custom2Gallons"/>
										</nobr>
									</font>
								</td>
							</tr>
						</xsl:if>
					</table>
				</xsl:if>
				<br/>
				<table cellspacing="0" cellpadding="0" width="200" height="20">
					<tr>
						<td width="198" height="24">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>LOCAL TOTALS</b>
							</font>
						</td>
					</tr>
				</table>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="300" height="10" colspan="3">
							<font face="Trebuchet MS" color="#3366CC" size="2">
								<b>Totals by card type</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#3366CC" height="19" align="left">
							<font color="#FFFFFF" size="2">
								<b>Type</b>
							</font>
						</td>
						<td width="60" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Count</font>
							</b>
						</td>
						<td width="180" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Amount</font>
							</b>
						</td>
					</tr>
					<xsl:for-each select="//totals/networkTotals/localTotals/localTotalsByCardType/group">
						<xsl:sort select="." data-type="text"/>
						<xsl:variable name="labelID" select="./label"/>
						<tr bgcolor="#FFFFFF">
							<xsl:choose>
								<xsl:when test="position() mod 2 &gt; 0">
									<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<td width="60" height="20">
								<font size="2">
									<nobr>
										<xsl:value-of select="//totals/networkTotals/localTotals/localTotalsByCardType/group[./label=$labelID]/label"/>
									</nobr>
								</font>
							</td>
							<td width="60" height="20" align="right">
								<nobr>
									<xsl:value-of select="//totals/networkTotals/localTotals/localTotalsByCardType/group[./label=$labelID]/count"/>
								</nobr>
							</td>
							<td width="180" height="20" align="right">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/localTotals/localTotalsByCardType/group[./label=$labelID]/amount,'#,##0.00')"/>
								</nobr>
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 12pt" width="300" height="20">
					<tr>
						<td width="60" bgcolor="#FFFFFF" height="19" align="left">
							<font color="#0" size="2">
								<b>TOTAL</b>
							</font>
						</td>
						<td width="60" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0"/>
							</b>
						</td>
						<td width="180" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0">$<xsl:value-of select="format-number(sum(//totals/networkTotals/localTotals/localTotalsByCardType/group[label != 'AO' and label != 'SV1' and label != 'SV3' and label != 'SV4']/amount),'#,##0.00')"/>
								</font>
							</b>
						</td>
					</tr>
				</table>
				<font color="#0" size="1">
				** Card types of AO, SV1, SV3, and SV4 are not included in the totals.
				</font>
				<br/>
				<br/>				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="60" height="10" align="left">
							<font face="Trebuchet MS" color="#0" size="2">MANUAL</font>
						</td>
						<td width="60" align="right">
							<font face="Trebuchet MS" color="#0" size="2">
								<xsl:value-of select="//totals/networkTotals/localTotals/count"/>
							</font>
						</td>
						<td width="180" align="right">
							<font face="Trebuchet MS" color="#0" size="2">
								<xsl:value-of select="//totals/networkTotals/localTotals/amount"/>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="300" height="10" colspan="3">
							<font face="Trebuchet MS" color="#3366CC" size="2">
								<b>Totals comparison</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="100" bgcolor="#3366CC" height="19" align="left">
							<font color="#FFFFFF" size="2">
								<b>Total</b>
							</font>
						</td>
						<td width="200" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Amount</font>
							</b>
						</td>
					</tr>
					<tr>
						<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
							<font size="2">
								<nobr>Host Totals</nobr>
							</font>
						</td>
						<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
							<font size="2">
								<nobr>$<xsl:value-of select="//totals/networkTotals/hostTotals/overallHostTotals"/>
								</nobr>
							</font>
						</td>
					</tr>
					<tr>
						<td width="100" bgcolor="#DBDBDB" Align="left" height="20">
							<font size="2">
								<nobr>Local Totals</nobr>
							</font>
						</td>
						<td width="200" bgcolor="#DBDBDB" Align="right" height="20">
							<font size="2">
								<nobr>$<xsl:value-of select="//totals/networkTotals/localTotals/overallLocalTotals"/>
								</nobr>
							</font>
						</td>
					</tr>
					<tr>
						<td width="100" bgcolor="#FFFFFF" Align="left" height="20">
							<font size="2">
								<nobr>Difference</nobr>
							</font>
						</td>
						<td width="200" bgcolor="#FFFFFF" Align="right" height="20">
							<font size="2">
								<nobr>$<xsl:value-of select="//totals/networkTotals/localTotals/difference"/>
								</nobr>
							</font>
						</td>
					</tr>
				</table>
				<br/>
				<xsl:if test="(//totals/networkTotals/localTotals/difference != 0)">
					<br/>
					<table cellspacing="0" cellpadding="0" width="200" height="20">
						<tr>
							<td width="198" height="24">
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>Out Of Balance</b>
								</font>
							</td>
						</tr>
					</table>
					<br/>
				</xsl:if>
				<xsl:if test="(//totals/networkTotals/localTotals/difference = 0)">
					<br/>
					<table cellspacing="0" cellpadding="0" width="200" height="20">
						<tr>
							<td width="198" height="24">
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>In Balance</b>
								</font>
							</td>
						</tr>
					</table>
					<br/>
				</xsl:if>
				<br/>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="300" height="10" colspan="3">
							<font face="Trebuchet MS" color="#3366CC" size="2">
								<b>Expanded charges by card type</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#3366CC" height="19" align="left">
							<font color="#FFFFFF" size="2">
								<b>Card</b>
							</font>
						</td>
						<td width="60" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Count</font>
							</b>
						</td>
						<td width="180" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Amount</font>
							</b>
						</td>
					</tr>
					<xsl:for-each select="//totals/networkTotals/charges/group">
						<xsl:sort select="." data-type="text"/>
						<xsl:variable name="typeID" select="./type"/>
						<tr bgcolor="#FFFFFF">
							<xsl:choose>
								<xsl:when test="position() mod 2 &gt; 0">
									<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<td width="60" height="20">
								<font size="2">
									<nobr>
										<xsl:value-of select="//totals/networkTotals/charges/group[./type=$typeID]/type"/>
									</nobr>
								</font>
							</td>
							<td width="60" height="20" align="right">
								<nobr>
									<xsl:value-of select="//totals/networkTotals/charges/group[./type=$typeID]/count"/>
								</nobr>
							</td>
							<td width="180" height="20" align="right">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/charges/group[./type=$typeID]/amount,'#,##0.00')"/>
								</nobr>
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 12pt" width="300" height="20">
					<tr>
						<td width="60" bgcolor="#FFFFFF" height="19" align="left">
							<font color="#0" size="2">
								<b>TOTAL</b>
							</font>
						</td>
						<td width="60" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0">
									<xsl:value-of select="sum(//totals/networkTotals/charges/group/count)"/>
								</font>
							</b>
						</td>
						<td width="180" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0">$<xsl:value-of select="format-number(sum(//totals/networkTotals/charges/group/amount),'#,##0.00')"/>
								</font>
							</b>
						</td>
					</tr>
				</table>
				<br/>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="300" height="10" colspan="3">
							<font face="Trebuchet MS" color="#3366CC" size="2">
								<b>Expanded corrections by card type</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#3366CC" height="19" align="left">
							<font color="#FFFFFF" size="2">
								<b>Card</b>
							</font>
						</td>
						<td width="60" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Count</font>
							</b>
						</td>
						<td width="180" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Amount</font>
							</b>
						</td>
					</tr>
					<xsl:for-each select="//totals/networkTotals/corrections/group">
						<xsl:sort select="." data-type="text"/>
						<xsl:variable name="typeID" select="./type"/>
						<tr bgcolor="#FFFFFF">
							<xsl:choose>
								<xsl:when test="position() mod 2 &gt; 0">
									<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<td width="60" height="20">
								<font size="2">
									<nobr>
										<xsl:value-of select="//totals/networkTotals/corrections/group[./type=$typeID]/type"/>
									</nobr>
								</font>
							</td>
							<td width="60" height="20" align="right">
								<nobr>
									<xsl:value-of select="//totals/networkTotals/corrections/group[./type=$typeID]/count"/>
								</nobr>
							</td>
							<td width="180" height="20" align="right">
								<nobr>$<xsl:value-of select="format-number(//totals/networkTotals/corrections/group[./type=$typeID]/amount,'#,##0.00')"/>
								</nobr>
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 12pt" width="300" height="20">
					<tr>
						<td width="60" bgcolor="#FFFFFF" height="19" align="left">
							<font color="#0">
								<b>Total</b>
							</font>
						</td>
						<td width="60" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0">
									<xsl:value-of select="sum(//totals/networkTotals/corrections/group/count)"/>
								</font>
							</b>
						</td>
						<td width="180" bgcolor="#FFFFFF" height="19" align="right">
							<b>
								<font color="#0">$<xsl:value-of select="format-number(sum(//totals/networkTotals/corrections/group/amount),'#,##0.00')"/>
								</font>
							</b>
						</td>
					</tr>
				</table>
				<br/>
				
				<table cellspacing="0" cellpadding="0" style="font-family: Trebuchet MS; font-size: 10pt" width="300" height="20">
					<tr>
						<td width="300" height="10" colspan="3">
							<font face="Trebuchet MS" color="#3366CC" size="2">
								<b>Expanded totals comparison</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#3366CC" height="19" align="left">
							<font color="#FFFFFF" size="2">
								<b>Total</b>
							</font>
						</td>
						<td width="60" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Count</font>
							</b>
						</td>
						<td width="180" bgcolor="#3366CC" height="19" align="right">
							<b>
								<font color="#FFFFFF">Amount</font>
							</b>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#FFFFFF" height="19" align="left">
							<font color="#0">CHARGES</font>
						</td>
						<td width="60" bgcolor="#FFFFFF" height="19" align="right">
							<font color="#0">
								<xsl:value-of select="sum(//totals/networkTotals/charges/group/count)"/>
							</font>
						</td>
						<td width="180" bgcolor="#FFFFFF" height="19" align="right">
							<font color="#0">$<xsl:value-of select="format-number(sum(//totals/networkTotals/charges/group/amount),'#,##0.00')"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#DBDBDB" height="19" align="left">
							<font color="#0">CORRECTIONS</font>
						</td>
						<td width="60" bgcolor="#DBDBDB" height="19" align="right">
							<font color="#0">
								<xsl:value-of select="sum(//totals/networkTotals/corrections/group/count)"/>
							</font>
						</td>
						<td width="180" bgcolor="#DBDBDB" height="19" align="right">
							<font color="#0">$<xsl:value-of select="format-number(sum(//totals/networkTotals/corrections/group/amount),'#,##0.00')"/>
							</font>
						</td>
					</tr>
					<tr>
						<td width="60" bgcolor="#FFFFFF" height="19" align="left">
							<font color="#0">NET</font>
						</td>
						<td width="60" bgcolor="#FFFFFF" height="19" align="right">
							<font color="#0">
								<xsl:value-of select="sum(//totals/networkTotals/charges/group/count)-sum(//totals/networkTotals/corrections/group/count)"/>
							</font>
						</td>
						<td width="180" bgcolor="#FFFFFF" height="19" align="right">$<font color="#0">
								<xsl:value-of select="format-number(sum(//totals/networkTotals/charges/group/amount)+sum(//totals/networkTotals/corrections/group/amount),'#,##0.00')"/>
							</font>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:transform>