<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0">
	<xsl:template match="/">
		<html>
			<head>
				<title>Payroll</title>
			</head>
			<body>
				<font face="Arial">
					<table border="0" width="650">
						<tr>
							<td align="left">
								Store Number:
								<xsl:value-of select="//vs:site"/>
							</td>
							<td align="right"/>
						</tr>
					</table>
					<b>
						<font color="#3366CC" size="5" face="Arial">Payroll</font>
					</b>
					<hr color="#FFCC00" align="center"/>
					<table border="0" cellspacing="0" cellpadding="0" width="220">
						<tr>
							<td bgcolor="#3366CC" align="center" colspan="3" width="100%">
								<p align="left">
									<b>
										<font color="#FFFFFF">Period Information</font>
									</b>
								</p>
							</td>
						</tr>
						<tr>
							<td width="50%">Period</td>
							<td width="50%" align="left">
								<xsl:choose>
									<xsl:when test="//vs:period/@sysid = 1">Current</xsl:when>
									<xsl:otherwise>Previous</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>
					</table>
					<br/>
					<br/>
					<table border="0" width="650">
						<xsl:for-each select="//employeeInfo">
							<xsl:sort select="./vs:employee/@sysid" data-type="number"/>
							<h3>
								<font color="#3366CC">
									<xsl:value-of select="./vs:employee/@sysid"/>
									-
									<xsl:value-of select="./vs:employee/name"/>
									(
									<xsl:value-of select="./vs:employee/@number"/>
									)
								</font>
							</h3>
							<table border="0" width="650">
								<tr>
									<td align="right" bgcolor="#3366CC" width="20%">
										<font color="#FFFFFF">
											<b>Time In</b>
										</font>
									</td>
									<td bgcolor="#3366CC" align="right" width="20%">
										<font color="#FFFFFF">
											<b>Time Out</b>
										</font>
									</td>
									<td bgcolor="#3366CC" align="right" width="20%">
										<font color="#FFFFFF">
											<b>Total Hours</b>
										</font>
									</td>
								</tr>
								<xsl:for-each select="./sessionInfo">
									<tr>
										<td align="right">
											<xsl:value-of select="concat(substring(./start,1,10),' - ',substring(./start,12,5))"/>
										</td>
										<xsl:choose>
											<xsl:when test="string-length(./end) &gt; 1">
												<td align="right">
													<xsl:value-of select="concat(substring(./end,1,10),' - ',substring(./end,12,5))"/>
												</td>
												<td align="right">
													<xsl:value-of select="concat(format-number(substring(./duration,3,4),'#,##0'),':',substring(./duration,8,2))"/>
												</td>
											</xsl:when>
											<xsl:otherwise>
												<td align="right">PENDING</td>
												<td align="right">
													*
													<xsl:value-of select="concat(format-number(substring(./duration,3,4),'#,##0'),':',substring(./duration,8,2))"/>
												</td>
											</xsl:otherwise>
										</xsl:choose>
									</tr>
								</xsl:for-each>
								<tr>
									<td colspan="3">
										<hr color="#D0D0D0" align="center"/>
									</td>
								</tr>
								<tr>
									<td>Total</td>
									<td align="right"/>
									<td align="right">
										<xsl:value-of select="concat(format-number(substring(./total,3,4),'#,##0'),':',substring(./total,8,2))"/>
									</td>
								</tr>
							</table>
							<br/>
							<br/>
							<table border="1" width="650" height="100">
								<tr>
									<td alight="right">Employee Signature:</td>
								</tr>
								<tr>
									<td alight="right">Manager Signature:</td>
								</tr>
							</table>
							<br/>
							<br/>
							<br/>
							<hr/>
							<br/>
							<br/>
						</xsl:for-each>
					</table>
				</font>
			</body>
		</html>
	</xsl:template>
</xsl:transform>