<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:payroll="urn:vfi-sapphire:np.payrollrpt.2005-03-09" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Payroll</title>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Payroll Report </font>
							</b>
						</td>
								<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<br/>
				<br/>
				<table border="0" width="650">
					<xsl:for-each select="//employeeRecord">
						<xsl:sort select="@sysid" data-type="number"/>
						<h3>
							<font color="#3366CC">
								<xsl:value-of select="@sysid"/>
									-
									<xsl:value-of select="name"/>
									(
									<xsl:value-of select="@number"/>
									)
								</font>
						</h3>
						<table border="0" width="650">
							<tr>
								<td align="right" bgcolor="#3366CC" width="20%">
									<font color="#FFFFFF">
										<b>Time In</b>
									</font>
								</td>
								<td bgcolor="#3366CC" align="right" width="20%">
									<font color="#FFFFFF">
										<b>Time Out</b>
									</font>
								</td>
								<td bgcolor="#3366CC" align="right" width="20%">
									<font color="#FFFFFF">
										<b>Total Hours</b>
									</font>
								</td>
							</tr>
							<xsl:for-each select="./payroll:clockEntries/clockEntry">
								<tr>
									<td align="right">
										<xsl:value-of select="concat(substring(./payroll:clockIn,1,10),' - ',substring(./payroll:clockIn,12,5))"/>
									</td>
									<xsl:choose>
										<xsl:when test="string-length(./payroll:clockOut) &gt; 1">
											<td align="right">
												<xsl:value-of select="concat(substring(./payroll:clockOut,1,10),' - ',substring(./payroll:clockOut,12,5))"/>
											</td>
											<xsl:choose>
												<xsl:when test="not(./hoursWorked)">
													<td align="right">
														<xsl:variable name="hoursWorked">
															<xsl:value-of select="format-number(((js:calculateHours(string(./payroll:clockIn),                   string(./payroll:clockOut ))                     div 3600)div 1000),'0.000')"/>
														</xsl:variable>
														<xsl:value-of select="concat(substring-before($hoursWorked,'.'),':',format-number((round(number(concat('.',substring(substring-after($hoursWorked,'.'),1,2))) * 60) ),'00'))"/>
													</td>
												</xsl:when>
												<xsl:otherwise>
													<td align="right">
														<xsl:value-of select="concat(substring-before(./hoursWorked,'.'),':',format-number((round(number(concat('.',substring(substring-after(./hoursWorked,'.'),1,2))) * 60) ),'00'))"/>
													</td>
												</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:otherwise>
											<td align="right">PENDING</td>
											<td align="right">
													*
											</td>
										</xsl:otherwise>
									</xsl:choose>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="3">
									<hr color="#D0D0D0" align="center"/>
								</td>
							</tr>
							<tr>
								<td>Total</td>
								<td align="right"/>
								<td align="right">
									<xsl:value-of select="concat(substring-before(./totalHoursWorked,'.'),':',format-number((round(number(concat('.',substring(substring-after(./totalHoursWorked,'.'),1,2))) * 60) ),'00'))"/>
								</td>
							</tr>
						</table>
						
						<hr/>
						<br/>
						<br/>
					</xsl:for-each>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:transform>