<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 

	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">			
			
		<html>
			<head>
				<title>PLU Exception Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">PLU Exception Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td><font face="Trebuchet MS" color="#3366CC" size="3"><b>All Registers</b></font></td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628">	
						<tr>
							<td width="133" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">PLU Number</font></b></td>
							<td width="8" bgcolor="#3366CC" height="1"/>
							<td width="115" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Exception</font></b></td>
							<td width="8" bgcolor="#3366CC" height="1"/>
							<td width="45" bgcolor="#3366CC" height="1"><font color="#FFFFFF"><b>State</b></font></td>
							<td width="7" bgcolor="#3366CC" height="1"/>
							<td width="100" bgcolor="#3366CC" height="1"><font color="#FFFFFF"><b>Cashier</b></font></td>
							<td width="7" bgcolor="#3366CC" height="1"/>
							<td width="70" bgcolor="#3366CC" height="1"><font color="#FFFFFF"><b>Quantity</b></font></td>
							<td width="7" bgcolor="#3366CC" height="1"/>
							<td width="73" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Org Price</font></b></td>
							<td width="7" bgcolor="#3366CC" height="1"/>
							<td width="109" bgcolor="#3366CC" height="1"><b><font color="#FFFFFF">Override Price</font></b></td>
						</tr>
						<xsl:apply-templates select="//totals"/>
						</table>						
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	

	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="totals">
		
														
		<xsl:for-each select="//totals/pluInfo/vs:pluBase">
			<xsl:variable name="totPLU" select="upc"/>
			<xsl:variable name="totMod" select="modifier"/>
			<xsl:variable name="totCsh" select="../vs:cashier/@sysid"/>
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				
				<td><xsl:apply-templates select="./upc"/></td>
				<td/>
				<td><xsl:apply-templates select="following-sibling::exception"/></td>
				<td/>
				<td><xsl:apply-templates select="following-sibling::txnType"/></td>
				<td/>
				<td><xsl:apply-templates select="following-sibling::vs:cashier"/></td>
				<td/>				
				<td align="right"><xsl:apply-templates select="following-sibling::itemCount"/></td>
				<td/>
				<td align="right"><xsl:apply-templates select="following-sibling::originalPrice"/></td>
				<td/>
				<td align="right"><xsl:apply-templates select="following-sibling::overridePrice"/></td>
			</tr>			
		</xsl:for-each>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="upc">
		<nobr><xsl:value-of select="."/>/<xsl:value-of select="../modifier"/></nobr>
	</xsl:template>
	
	
	<xsl:template match="exception">
		<nobr><xsl:value-of select="."/></nobr>		
	</xsl:template>
	
	
	<xsl:template match="txnType">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="vs:cashier">
		<nobr><xsl:value-of select="./name"/></nobr>
	</xsl:template>
	
	
	<xsl:template match="itemCount">
		<nobr><xsl:value-of select="."/></nobr>
	</xsl:template>

	
	<xsl:template match="originalPrice">
		<nobr><xsl:value-of select="format-number(. , '#,##0.00')"/></nobr> 
	</xsl:template>
	
	
	<xsl:template match="overridePrice">
		<nobr><xsl:value-of select="format-number(. , '#,##0.00')"/></nobr> 
	</xsl:template>	
</xsl:transform>