<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../periodTargs/common/tr_period.xsl"/> 

	<xsl:template match="/">
		<html>
			<head>
				<title>Top/Bottom <xsl:value-of select="/*/numPLUsToList"/> Sellers</title>			
			</head>
			<body>
				<table border="0" width="560" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Top/Bottom <xsl:value-of select="/*/numPLUsToList"/> Sellers</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<br/>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td>Report Criteria:</td>
						<td/>
						<td>Reporting Period:</td>
						<td/>
						<td>
							
						<xsl:choose>
							<xsl:when test="/*/startDay='' and /*/endDay=''">
								CURRENT
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="/*/startDay"/>
								<xsl:if test="/*/startDay=''">CURRENT</xsl:if>
								<xsl:text>  To  </xsl:text>
								<xsl:value-of select="/*/endDay"/>
								<xsl:if test="/*/endDay=''">CURRENT</xsl:if>
								<xsl:text>  (</xsl:text>
								<xsl:value-of select="/*/daysReported"/>
								<xsl:text> Period</xsl:text>
								<xsl:if test="/*/daysReported &gt; 1">s</xsl:if>)
							</xsl:otherwise>
						</xsl:choose>
						</td>
					</tr>
					<tr>
						<td/>
						<td/>
						<td>Department:</td>
						<td/>
						<td><xsl:value-of select="/*/category"/></td>
					</tr>
				</table>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<xsl:call-template name="PLUClass">
							<xsl:with-param name="title">Top <xsl:value-of select="/*/numPLUsToList"/> Sellers Based on Quantity Sold</xsl:with-param>
							<xsl:with-param name="PLUList" select="/*/byQuantity/top/pluRecord"/>
						</xsl:call-template>

						<br/>	

						<xsl:call-template name="PLUClass">
							<xsl:with-param name="title">Bottom <xsl:value-of select="/*/numPLUsToList"/> Sellers Based on Quantity Sold</xsl:with-param>
							<xsl:with-param name="PLUList" select="/*/byQuantity/bottom/pluRecord"/>
						</xsl:call-template>

						<br/>	
						
						<xsl:call-template name="PLUClass">
							<xsl:with-param name="title">Top <xsl:value-of select="/*/numPLUsToList"/> Sellers Based on Sales Dollars</xsl:with-param>
							<xsl:with-param name="PLUList" select="/*/byAmount/top/pluRecord"/>
						</xsl:call-template>

						<br/>	
						
						<xsl:call-template name="PLUClass">
							<xsl:with-param name="title">Bottom <xsl:value-of select="/*/numPLUsToList"/> Sellers Based on Sales Dollars</xsl:with-param>
							<xsl:with-param name="PLUList" select="/*/byAmount/bottom/pluRecord"/>
						</xsl:call-template>

						<br/>

						<br/>						
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	

	<xsl:template name="PLUClass">
    	<xsl:param name="title"/>
    	<xsl:param name="PLUList"/>
		<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">					
			<tr>
				<td colspan="15">		
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b><xsl:value-of select="$title"/></b>
					</font>
				</td>
			</tr>
			<tr bgcolor="3366CC" align="right">
				<td align="left"><b><font color="#FFFFFF">Rank</font></b></td>
				<td/>
				<td align="right"><b><font color="#FFFFFF">UPC #</font></b></td>
				<td/>
				<td align="left"><b><font color="#FFFFFF">Description</font></b></td>
				<td/>
				<td align="right"><b><font color="#FFFFFF">Unit Price</font></b></td>
				<td/>
				<td align="right"><b><font color="#FFFFFF">Quantity</font></b></td>
				<td/>
				<td align="right"><b><font color="#FFFFFF">Sales</font></b></td>
				<td/>
				<td align="right"><b><font color="#FFFFFF">Avg. Qty</font></b></td>
				<td/>
				<td align="right"><b><font color="#FFFFFF">Avg. Sales</font></b></td>
			</tr>						
			<xsl:for-each select="$PLUList">			
				<tr bgcolor="#FFFFFF" align="center">		
					<xsl:choose>
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>				
					<xsl:apply-templates select=".">
						<xsl:with-param name="rank" select="position()"/>
					</xsl:apply-templates>
				</tr>
			</xsl:for-each>
		</table>
	</xsl:template>
	
	<xsl:template match="pluRecord">
    	<xsl:param name="rank"/>
		<td align="left"><xsl:value-of select="$rank"/></td>
		<td/>
		<td align="right"><xsl:value-of select="upc"/>/<xsl:value-of select="format-number(modifier,'000')"/></td>
		<td/>
		<td align="left"><xsl:value-of select="description"/></td>
		<td/>
		<td align="right"><xsl:value-of select="format-number(price,'#,##0.00')"/></td>
		<td/>
		<td align="right"><xsl:value-of select="format-number(quantity,'#,##0.000')"/></td>
		<td/>
		<td align="right"><xsl:value-of select="format-number(totalSales,'#,##0.00')"/></td>
		<td/>
		<td align="right"><xsl:value-of select="format-number(averageQty,'#,##0.000')"/></td>
		<td/>
		<td align="right"><xsl:value-of select="format-number(averageSales,'#,##0.00')"/></td>
	</xsl:template>

</xsl:transform>