<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>

	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">


			
		<html>
			<head>
				<title>PLU Report by Cashier</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }

				</STYLE>
			</head>
			<body>
				<table border="0" width="800" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="632" height="1">
							<b>
								<font color="#3366CC" size="5">PLU Report by Cashier</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="800" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="800" align="left"/>
						</td>
					</tr>
				</table>

				<xsl:apply-templates select="/*/vs:deptBase"/>				
				

				<xsl:choose>
					<xsl:when test="count(/*/vs:period) &gt; 1">
						<xsl:apply-templates select="/*/vs:period[1]">
							<xsl:with-param name="desc">Period Range Begin</xsl:with-param>
						</xsl:apply-templates>
						<xsl:apply-templates select="/*/vs:period[last()]">
							<xsl:with-param name="desc">Period Range End</xsl:with-param>
						</xsl:apply-templates>	
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="/*/vs:period"/>
					</xsl:otherwise>
				</xsl:choose>
							
				<br/>
				<table width="800" cellspacing="0" cellpadding="0">
					<tr>
						<td><font face="Trebuchet MS" color="#3366CC" size="3"><b>All Cashiers</b></font></td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="800">	
							
							<xsl:apply-templates select="/*/totals"/>
						</table>						
											
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="800">	
											
							<xsl:apply-templates select="/*/byCashier">
								<xsl:sort select="vs:cashier/@sysid" data-type="number"/>
							</xsl:apply-templates>								
						</table>
				
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>
	
	
	
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="totals">

		<xsl:call-template name="tableHdr"/>

	    <xsl:variable name="sortedPluList">
	        <xsl:apply-templates select="pluInfo" mode="sorted">
				<xsl:sort select="vs:pluBase/upc" data-type="text"/>
				<xsl:sort select="vs:pluBase/modifier" data-type="number"/>	
	        </xsl:apply-templates>
	    </xsl:variable>

		<xsl:apply-templates select="msxsl:node-set($sortedPluList)/pluInfo"/>

		<xsl:apply-templates select="total"/>	

	</xsl:template>
	
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="byCashier">

		<tr>
			<td colspan="17">
				<font color="#3366CC">
					<b>Cashier <nobr><xsl:value-of select="vs:cashier/@sysid"/></nobr></b>
				</font>	
				<font size="2" color="#3366CC">
					<nobr> - <xsl:value-of select="vs:cashier/name"/></nobr>
				</font>
			</td>
		</tr>
		<xsl:call-template name="tableHdr"/>

	    <xsl:variable name="sortedPluList">
	        <xsl:apply-templates select="pluInfo" mode="sorted">
				<xsl:sort select="vs:pluBase/upc" data-type="text"/>
				<xsl:sort select="vs:pluBase/modifier" data-type="number"/>	
	        </xsl:apply-templates>
	    </xsl:variable>

		<xsl:apply-templates select="msxsl:node-set($sortedPluList)/pluInfo"/>

		<xsl:apply-templates select="total"/>	

	</xsl:template>

	<xsl:template match="pluInfo" mode="sorted">
	    <xsl:copy>
	        <xsl:copy-of select="@*"/>
	        <xsl:copy-of select="*"/>
	    </xsl:copy>
	</xsl:template>

	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="pluInfo">
		<xsl:variable name="curPLU" select="."/>
		<xsl:variable name="curPos" select="position()"/>

		<xsl:choose>
			<xsl:when test="../pluInfo[$curPos - 1]/vs:pluBase/upc = vs:pluBase/upc and                    ../pluInfo[$curPos - 1]/vs:pluBase/modifier = vs:pluBase/modifier">
				<xsl:call-template name="pluRepeat">
					<xsl:with-param name="pluInfo" select="."/>
					<xsl:with-param name="position" select="position()"/>
				</xsl:call-template>
				<xsl:if test="not(../pluInfo[$curPos + 1]/vs:pluBase/upc = vs:pluBase/upc and            ../pluInfo[$curPos + 1]/vs:pluBase/modifier = vs:pluBase/modifier)">
					<xsl:call-template name="pluGrpTot">
						<xsl:with-param name="itemCount">
							<xsl:value-of select="sum(../pluInfo[vs:pluBase/upc = $curPLU/vs:pluBase/upc                  and vs:pluBase/modifier = $curPLU/vs:pluBase/modifier]/netSales/itemCount)"/>	
						</xsl:with-param>
						<xsl:with-param name="amount">
							<xsl:value-of select="sum(../pluInfo[vs:pluBase/upc = $curPLU/vs:pluBase/upc                  and vs:pluBase/modifier = $curPLU/vs:pluBase/modifier]/netSales/amount)"/>		
						</xsl:with-param>
						<xsl:with-param name="percentOfSales">
							<xsl:value-of select="sum(../pluInfo[vs:pluBase/upc = $curPLU/vs:pluBase/upc                  and vs:pluBase/modifier = $curPLU/vs:pluBase/modifier]/percentOfSales)"/>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:if>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="firstPlu">
				<xsl:with-param name="pluInfo" select="."/>
				<xsl:with-param name="position" select="position()"/>
				</xsl:call-template>	
			</xsl:otherwise>
		</xsl:choose>	
	</xsl:template>
							
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" name="firstPlu">
		<xsl:param name="pluInfo"/>
		<xsl:param name="position"/>
		<tr>
			<xsl:choose>
				<xsl:when test="$position mod 2 &gt; 0">
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<td align="left">
				<nobr>
					<xsl:value-of select="$pluInfo/vs:pluBase/upc"/>
					<xsl:text>/</xsl:text>
					<xsl:value-of select="format-number($pluInfo/vs:pluBase/modifier, '000')"/>
				</nobr>
			</td>
			<td width="10"/>
			<td align="left">
				<nobr><xsl:value-of select="$pluInfo/vs:pluBase/name"/></nobr>
			</td>
			<td width="10"/>
			<xsl:call-template name="pluSaleData"/>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" name="pluRepeat">
		<xsl:param name="pluInfo"/>
		<xsl:param name="position"/>
		<tr>
			<xsl:choose>
				<xsl:when test="$position mod 2 &gt; 0">
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>		
			<td align="left"/>
			<td width="10"/>
			<td align="left"/>
			<td width="10"/>
			<xsl:call-template name="pluSaleData"/>
		</tr>
	</xsl:template>
	
	<xsl:template name="pluSaleData">
		<td align="right">
			<nobr><xsl:value-of select="format-number(./salePrice,'#,##0.00')"/></nobr></td>
		<td width="25"/>
		<td align="right">
			<nobr><xsl:value-of select="format-number(./netSales/count,'#,##0')"/></nobr></td>
		<td width="25"/>
		<td align="right">
			<nobr><xsl:value-of select="format-number(./netSales/itemCount,'#,##0.000')"/></nobr>
		</td>
		<td width="25"/>
		<td align="right">
			<nobr><xsl:value-of select="format-number(./netSales/amount,'#,##0.00')"/></nobr>
		</td>
		<td width="25"/>
		<td align="right">
			<nobr><xsl:value-of select="format-number(./percentOfSales,'##0.00')"/></nobr>
		</td>
		<td width="25"/>
		<td>
			<xsl:for-each select="./reasonCode">
				<xsl:choose>
					<xsl:when test="position() &gt; 1">
						, <xsl:value-of select="."/>				
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="."/>
					</xsl:otherwise>
				</xsl:choose>				
			</xsl:for-each>
		</td>
		<td width="25"/>
		<td align="left">
			<xsl:choose>
				<xsl:when test="not(./promotionID = '-') and (string-length(./reasonCode) &gt; 0)">
					<nobr><xsl:value-of select="./promotionID"/></nobr>				
				</xsl:when>
				<xsl:otherwise>

				</xsl:otherwise>
			</xsl:choose>				
			
		</td>
	</xsl:template>

	<xsl:template name="pluGrpTot">
		<xsl:param name="itemCount"/>
		<xsl:param name="amount"/>
		<xsl:param name="percentOfSales"/>
		<tr>
			<td colspan="15">			
				<hr color="#DBDBDB" valign="top" align="left"/>
			</td>
		</tr>	
		<tr>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>			
			<td/>
			<td/>			
			<td/>
			<td align="right">
				<nobr><xsl:value-of select="format-number($itemCount,'#,##0.000')"/></nobr>
			</td>
			<td width="10"/>
			<td align="right">
				<nobr><xsl:value-of select="format-number($amount,'#,##0.00')"/></nobr>
			</td>
			<td width="10"/>
			<td align="right">
				<nobr><xsl:value-of select="format-number($percentOfSales,'##0.00')"/></nobr>
			</td>
		</tr>	
	</xsl:template>
						
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="total">
		<tr>
			<td colspan="13">			
				<hr color="black" valign="top" align="left"/>
			</td>
		</tr>	
		<tr>
			<td>Totals</td>
			<td width="10"/>
			<td/>
			<td width="10"/>
			<td/>			
			<td width="10"/>
			<td/>			
			<td width="10"/>
			<td align="right">
				<nobr><xsl:value-of select="format-number(itemCount,'#,##0.000')"/></nobr>
			</td>
			<td width="10"/>
			<td align="right" width="100">
				<nobr><xsl:value-of select="format-number(netSales,'#,##0.00')"/></nobr>
			</td>
			<td width="10"/>
			<td align="right" width="80">
				<nobr><xsl:value-of select="format-number(percentOfSales,'##0.00')"/></nobr>
			</td>
		</tr>				
	</xsl:template>
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="vs:deptBase">
		<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="750">
			<tr>
				<td><font face="Trebuchet MS" size="3" color="#3366CC"><b>Reported Department</b></font></td>
				<td><xsl:value-of select="@sysid"/>-<xsl:value-of select="name"/></td>
			</tr>
		</table>
		<br/>
	</xsl:template>
	
	<xsl:template name="tableHdr">
		<tr>
			<td align="left" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">PLU Number</font></b>
			</td>
			<td width="15" bgcolor="#3366CC" height="1"/>
			<td align="left" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Description</font></b>
			</td>
			<td width="15" bgcolor="#3366CC" height="1"/>
			<td align="right" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Price</font></b>
			</td>
			<td width="15" bgcolor="#3366CC" height="1"/>
			<td align="right" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Cust</font></b>
			</td>
			<td width="15" bgcolor="#3366CC" height="1"/>
			<td align="right" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Items</font></b>
			</td>
			<td width="15" bgcolor="#3366CC" height="1"/>
			<td align="right" bgcolor="#3366CC" height="1">
				<nobr><b><font color="#FFFFFF">Tot Sales</font></b></nobr>
			</td>
			<td width="20" bgcolor="#3366CC" height="1"/>
			<td align="right" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">%Sales</font></b>
			</td>
			<td width="15" bgcolor="#3366CC" height="1"/>
			<td bgcolor="#3366CC" height="1" align="left">
				<nobr><b><font color="#FFFFFF">Reason Code</font></b></nobr>
			</td>
			<td width="15" bgcolor="#3366CC" height="1"/>
			<td bgcolor="#3366CC" height="1" align="left">
				<nobr><b><font color="#FFFFFF">Promotion ID</font></b></nobr>
			</td>
		</tr>
	</xsl:template>			
	
</xsl:transform>