<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template match="pd:popDefPd">
		
		<html>
			<head>
				<title>POP Discount Definition Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="700" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="600" height="1">
							<b>
								<font color="#3366CC" size="5">POP Discount Definition Report</font>
							</b>
						</td>
						<xsl:apply-templates select="vs:site"/>
					</tr>
					<tr>
						<td width="700" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="700">
							<xsl:apply-templates select="totals">
							</xsl:apply-templates>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	
	<xsl:template match="totals">
		<tr>
			<td width="55" bgcolor="#3366CC" height="1" align="left">
				<b>
					<font color="#FFFFFF">Discount Definition</font>
				</b>
			</td>
			<td width="6" bgcolor="#3366CC" height="1"/>
			<td width="49" bgcolor="#3366CC" height="1" align="left">
				<b>
					<font color="#FFFFFF">Associated Program Name</font>
				</b>
			</td>
			<td width="6" bgcolor="#3366CC" height="1"/>
			<td width="89" bgcolor="#3366CC" height="1" align="left">
				<b>
					<font color="#FFFFFF">Product</font>
				</b>
			</td>
			<td width="9" bgcolor="#3366CC" height="1"/>
			<td width="32" bgcolor="#3366CC" height="1" align="right">
				<b>
					<font color="#FFFFFF">Description</font>
				</b>
			</td>
			<td width="9" bgcolor="#3366CC" height="1"/>
			<td width="29" bgcolor="#3366CC" height="1" align="right">
				<b>
					<font color="#FFFFFF">Count</font>
				</b>
			</td>
			<td width="9" bgcolor="#3366CC" height="1"/>
			<td width="32" bgcolor="#3366CC" height="1" align="right">
				<b>
					<font color="#FFFFFF">Volume</font>
				</b>
			</td>
			<td width="9" bgcolor="#3366CC" height="1"/>
			<td width="29" bgcolor="#3366CC" height="1" align="right">
				<font color="#FFFFFF">
					<b>Amount</b>
				</font>
			</td>
		</tr>
		<xsl:for-each select="//totals/definitionInfo/definitionBase">
			<xsl:sort select="./@sysid" data-type="number"/>
			<xsl:variable name="fCode" select="."/>
			<xsl:for-each select="../popDefInfo/fuel:fuelProdBase">
				<xsl:sort select="@sysid" data-type="number"/>
				<xsl:variable name="pCode" select="."/>
				<tr>
					
					<td align="left">
						<nobr>
							<xsl:apply-templates select="../../definitionBase"/>
						</nobr>
					</td>
					<td/>
					<td align="left">
						<xsl:apply-templates select="../../definitionBase/name"/>
					</td>
					<td/>

					<td align="left">
						<nobr>
							<xsl:apply-templates select="../fuel:fuelProdBase"/>
						</nobr>
					</td>
					<td/>
					<td align="left">
						<xsl:apply-templates select="../fuel:fuelProdBase/name"/>
					</td>
					<td/>
					<td align="right">
						<xsl:apply-templates select="../discInfo/count"/>
					</td>
					<td/>
					<td align="right">
						<xsl:apply-templates select="../discInfo/volume"/>
					</td>
					<td/>
					<td align="right">
						<xsl:apply-templates select="../discInfo/amount"/>
					</td>
				</tr>
				<xsl:choose>
					<xsl:when test="./discType='all'">
						<tr>
							<td colspan="14">
								<hr width="700" color="#FFCC00"/>
							</td>
						</tr>
						<tr>
							<td colspan="7"> </td>
						</tr>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
			<tr>
				<td width="700" height="10" colspan="14">
					<hr color="#DBDBDB" valign="top" width="700" align="left"/>
				</td>
			</tr>
		</xsl:for-each>
		<xsl:apply-templates select="./total"/>
	</xsl:template>
	<xsl:template match="total">
		
		<tr>
			<td>
				<font color="#3366CC">Total</font>
			</td>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td align="right">
				<xsl:apply-templates select="./amount"/>
			</td>
		</tr>		
	</xsl:template>
	
	<xsl:template match="fuel:fuelProdBase">
		<xsl:value-of select="@sysid"/>
	</xsl:template>
	
	<xsl:template xmlns:vs="urn:vfi-sapphire:pd.2001-10-01" match="definitionBase">
		<xsl:value-of select="@sysid"/>
	</xsl:template>	
	
	<xsl:template match="count">
		<nobr>
			<xsl:value-of select="."/>
		</nobr>
	</xsl:template>
	
	<xsl:template match="volume">
		<nobr>
			<xsl:value-of select="."/>
		</nobr>
	</xsl:template>
	
	<xsl:template match="amount">
		<nobr>
			<xsl:value-of select="."/>
		</nobr>
	</xsl:template>
</xsl:transform>