<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" version="1.0">

	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>	 
	<xsl:template match="/">			
			
		<html>
			<head>
				<title>Prepaid Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="5">Prepaid Card Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="//vs:period"/>
				<table cellspacing="0" cellpadding="0">
					<tr>
					<br/>
					</tr>
					<tr> 
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="500">	
							<xsl:apply-templates select="//cardInfo">
							</xsl:apply-templates>
						</table>	
					</tr>
				</table>
				<table cellspacing="0" cellpadding="0">
					<tr>
					<br/>
					</tr>
					<tr> 
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="450">	
							<xsl:call-template name="summaryTotals">
								<xsl:with-param name="inputDoc" select="."/>
							</xsl:call-template>
						</table>	
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	
	
	<xsl:template match="cardInfo">
		<xsl:for-each select="cardType">
		<xsl:for-each select="funcType">
			<xsl:if test="./byDate/@day">
				<tr>
					<td colspan="5" height="1">
						
						<b><nobr>
						<font color="#3366CC" size="3"><xsl:value-of select="../name"/></font>
						<xsl:choose>
							<xsl:when test="./@type = 'ACTIVATE '">
								<font color="#3366CC" size="3"> - ACTIVATIONS       </font>
							</xsl:when>
							<xsl:otherwise>
								<font color="#3366CC" size="3"> - REPLENISHMENTS</font>
							</xsl:otherwise>
						</xsl:choose>
						</nobr></b>
					</td>
				</tr>	
			</xsl:if>
			<xsl:for-each select="byDate">
				<tr>
					<td colspan="5" height="1">
						<b><font color="#3366CC" size="2"><xsl:value-of select="substring(./@day,1,10)"/></font></b>
					</td>
				</tr>	
				<tr>
					
					<td width="200" align="left" bgcolor="#3366CC" height="1"><b>
						<font color="#FFFFFF">Account Number</font></b></td>
					
					<td width="75" align="left" bgcolor="#3366CC" height="1">
						<font color="#FFFFFF"><b>Date</b></font></td>
					
					<td width="75" align="left" bgcolor="#3366CC" height="1">
						<font color="#FFFFFF"><b>Time</b></font></td>
					
					<td width="50" align="left" bgcolor="#3366CC" height="1">
						<font color="#FFFFFF"><b>Register</b></font></td>
					
					<td width="100" align="right" bgcolor="#3366CC" height="1">
						<b><font color="#FFFFFF">Amount</font></b></td>
				</tr>												
				<xsl:for-each select="ppdFunction">
				<tr>
					<xsl:choose>
						
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					
					<td width="200" align="left"><nobr><xsl:value-of select="./ppdAcctNum"/></nobr></td>
					
					<td width="75" align="left"><nobr><xsl:value-of select="substring(./ppdTime,6,5)"/></nobr></td>
					
					<td width="75" align="left"><nobr><xsl:value-of select="substring(./ppdTime,12,8)"/></nobr></td>
					
					<td width="50" align="left"><nobr><xsl:value-of select="./ppdRegister"/></nobr></td>
					
					<td width="100" align="right"><nobr><xsl:value-of select="format-number(./ppdAmount,'##,##0.00')"/></nobr></td>
				</tr>
				</xsl:for-each>	
				
				<tr>
					<xsl:choose>
						
						<xsl:when test="./count mod 2 = 0">
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<td colspan="3" align="left">Total for <xsl:value-of select="substring(./@day,1,10)"/>:</td>
					<td colspan="1" align="left"><xsl:value-of select="./count"/></td>
					<td colspan="1" align="right">$<xsl:value-of select="format-number(./amount,'##,##0.00')"/></td>
				</tr>
				<tr>
					<td width="20" align="left"><br/></td>
				</tr>
		</xsl:for-each> 
		
			<xsl:if test="./byDate/@day">
				<tr>
					
					<td width="500" height="1" colspan="5">
						<hr color="#000000" valign="top" width="500" align="left"/>
					</td>
				</tr>
				<tr>
					<xsl:choose>
						<xsl:when test="./@type = 'ACTIVATE '">
							<td colspan="3" align="left">TOTAL <xsl:value-of select="../name"/> ACTIVATIONS:</td>
						</xsl:when>
						<xsl:otherwise>
							<td colspan="3" align="left">TOTAL <xsl:value-of select="../name"/> REPLENISHMENTS:</td>
						</xsl:otherwise>
					</xsl:choose>
					<td colspan="1" align="left"><xsl:value-of select="sum(./byDate/count)"/>
</td>
					<td colspan="1" align="right">$<xsl:value-of select="format-number(sum(./byDate/amount),'##,##0.00')"/></td>
				</tr>
				<tr>
					
					<td width="500" height="1" colspan="5">
						<hr color="#000000" valign="top" width="500" align="left"/>
					</td>
				</tr>
				<tr>
					<td width="20" align="left"><br/></td>
				</tr>
			</xsl:if>		
		</xsl:for-each> 
		</xsl:for-each> 
	</xsl:template>


	<xsl:template name="summaryTotals">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		
		<tr>
			<td width="500" height="1" colspan="3">
				<hr color="#3366CC" size="5" valign="top" width="500" align="left"/>
			</td>
		</tr> 
		
		<xsl:if test="not (sum($ns//funcType/byDate/count)) ">		
			<tr>
				<td width="500" align="left">NO PREPAID ACTIVITY</td>
			</tr>
		</xsl:if>
		
		<xsl:if test="sum($ns//funcType[@type='ACTIVATE ']/byDate/count)">		
			<tr>
				<td width="350" align="left">TOTAL ACTIVATIONS:</td>
				<td width="50" align="left"><xsl:value-of select="sum($ns//funcType[@type='ACTIVATE ']/byDate/count)"/></td>
				<td width="100" align="right">$<xsl:value-of select="format-number(sum($ns//funcType[@type='ACTIVATE ']/byDate/amount),'##,##0.00')"/></td>
			</tr>
		</xsl:if>
		
		<xsl:if test="sum($ns//funcType[@type='REPLENISH']/byDate/count)">		
			<tr>
				<td width="350" align="left">TOTAL REPLENISHMENTS:</td>
				<td width="50" align="left"><xsl:value-of select="sum($ns//funcType[@type='REPLENISH']/byDate/count)"/></td>
				<td width="100" align="right">$<xsl:value-of select="format-number(sum($ns//funcType[@type='REPLENISH']/byDate/amount),'##,##0.00')"/></td>
			</tr>
		</xsl:if>
		<tr> 
			<td width="500" height="1" colspan="3">
				<hr color="#3366CC" size="5" valign="top" width="500" align="left"/>
			</td>
		</tr> 
	</xsl:template>
</xsl:transform>