<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:include href="../../transactionSet/scripts.xslt"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Prepaid Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="390" height="1">
							<b>
								<font color="#3366CC" size="4">Prepaid Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<xsl:choose>
					<xsl:when test="//prepaidEntry">
						<xsl:apply-templates select="//prepaidEntry"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="oldStyle">
							<xsl:with-param name="inputDoc" select="."/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="Header">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:choose>
			<xsl:when test="$ns//details">
				<tr>
					<td width="150" align="left">Network Name</td>
					<td width="200" align="left" colspan="2">
						<xsl:value-of select="$ns//networkName"/>
					</td>
				</tr>
				<tr>
					<td width="150" align="left">Merchant Number</td>
					<td width="200" align="left" colspan="2">
						<xsl:value-of select="$ns//merchantId"/>
					</td>
				</tr>
				<tr>
					<td width="150" align="left">Merchant Name</td>
					<td width="200" align="left" colspan="2">
						<xsl:value-of select="$ns//merchantName"/>
					</td>
				</tr>
			</xsl:when>
			<xsl:otherwise>
				<tr>
					<td width="350" align="left" colspan="3">NO DATA AVAILABLE</td>
				</tr>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="details">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:if test="$ns//details">
			<tr>
				<td width="150" align="left">Transaction Type</td>
				<td width="100" align="right">Amount</td>
				<td width="100" align="right">Fee</td>
			</tr>
			<tr>
				
				<td width="350" height="1" colspan="3`">
					<hr color="#000000" valign="top" width="350" align="left"/>
				</td>
			</tr>
			<xsl:for-each select="$ns//details">
				<tr>
					<xsl:choose>
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<td width="150" align="left">
						<xsl:value-of select="./tranType"/>
					</td>
					<td width="100" align="right">
						<xsl:value-of select="format-number(./totalAmount,'$##,##0.00')"/>
					</td>
					<td width="100" align="right">
						<xsl:value-of select="format-number(./totalFee,'$##,##0.00')"/>
					</td>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				</tr>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template name="details-1">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<xsl:if test="$ns//details">
			<tr>
				<td width="150" align="left">Transaction Type</td>
				<td width="100" align="right">Amount</td>
				<td width="100" align="right">Fee</td>
			</tr>
			<tr>
				
				<td width="350" height="1" colspan="3`">
					<hr color="#000000" valign="top" width="350" align="left"/>
				</td>
			</tr>
			<xsl:for-each select="$ns//details">
				<tr>
					<xsl:choose>
						<xsl:when test="position() mod 2 &gt; 0">
							<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<td width="150" align="left">
						<xsl:value-of select="./tranType"/>
					</td>
					<td width="100" align="right">
						<xsl:value-of select="format-number(./amount,'$##,##0.00')"/>
					</td>
					<td width="100" align="right">
						<xsl:value-of select="format-number(./fee,'$##,##0.00')"/>
					</td>
					<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
				</tr>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	<xsl:template match="prepaidEntry">
		<table cellspacing="0" cellpadding="0">
			<tr>
				<br/>
			</tr>
			<tr>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="350">
					<xsl:call-template name="Header">
						<xsl:with-param name="inputDoc" select="."/>
					</xsl:call-template>
				</table>
			</tr>
		</table>
		<table cellspacing="0" cellpadding="0">
			<tr>
				<br/>
			</tr>
			<tr>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="350">
					<xsl:call-template name="details">
						<xsl:with-param name="inputDoc" select="."/>
					</xsl:call-template>
				</table>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="oldStyle">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)"/>
		<table cellspacing="0" cellpadding="0">
			<tr>
				<br/>
			</tr>
			<tr>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="350">
					<xsl:call-template name="Header">
						<xsl:with-param name="inputDoc" select="$ns"/>
					</xsl:call-template>
				</table>
			</tr>
		</table>
		<table cellspacing="0" cellpadding="0">
			<tr>
				<br/>
			</tr>
			<tr>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="350">
					<xsl:choose>
						<xsl:when test="//totalAmount">
							<xsl:call-template name="details">
								<xsl:with-param name="inputDoc" select="$ns"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="details-1">
								<xsl:with-param name="inputDoc" select="$ns"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</table>
			</tr>
		</table>
	</xsl:template>
</xsl:transform>