<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">		

		<html>
			<head>
				<title>Proprietary Network Card Report by Register</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
						num					{text-align:right;} 
						text					{text-align: left;}
				</STYLE>
			</head>
			<body>			
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="450" height="1">
							<b>
								<font color="#3366CC" size="5">Proprietary Network Card Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>			

				<xsl:apply-templates select="/*/totals"/>		
				<xsl:apply-templates select="/*/byRegister">
					<xsl:sort select="vs:register/@sysid" data-type="number"/>
				</xsl:apply-templates>
				<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr/>
					<tr>	
						<td width="100%">
							<font size="1">* Registers without activity have been omitted from this report</font>
						</td>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	

	<xsl:template match="totals">
		<table cellspacing="0" cellpadding="0">
			<tr>
				<td>
					<font face="Trebuchet MS" color="#3366CC" size="3">
						<b>All registers</b>
					</font>
				</td>
			</tr>
			<tr>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">	
					<xsl:call-template name="regHdr"/>
					<xsl:for-each select="cardInfo">
						<xsl:sort select="cardNumber" data-type="number"/>
						<tr height="1" align="left">
							<xsl:choose>
								<xsl:when test="position() mod 2 &gt; 0">
									<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:apply-templates select="."/>
						</tr>									
					</xsl:for-each>
					<xsl:apply-templates select="total"/>
				</table>
			</tr>					
		</table>
	</xsl:template>

	<xsl:template match="byRegister">
		<br/>
		<hr color="#FFCC00" valign="top" width="532" align="left"/>
		<table cellspacing="0" cellpadding="0">						
			<tr>
				<td>
					<font face="Trebuchet MS" size="3" color="#3366CC">
						<xsl:choose>
							<xsl:when test="vs:register/@sysid = 6">
								<p>	<b>All DCRs </b></p>
							</xsl:when>
							<xsl:otherwise>		
								<xsl:variable name="ticketRange" select="count(./ticketRange)"/>									<xsl:choose>
									<xsl:when test="$ticketRange&gt; 0">
										<p>
											<b>Register  <xsl:value-of select="vs:register/@sysid"/></b>
											<font size="2"> - Receipt # 
												<xsl:value-of select="ticketRange/begin"/> - 
												<xsl:value-of select="ticketRange/end"/>
											</font>
										</p>
									</xsl:when>
									<xsl:otherwise>
										<p>
											<b>Register <xsl:value-of select="vs:register/@sysid"/></b>										</p>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</font>
				</td>
			</tr>	
			<tr>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">	
					<xsl:call-template name="regHdr"/>
					<xsl:for-each select="cardInfo">
						<xsl:sort select="cardNumber" data-type="number"/>
						<tr height="1" align="left">
							<xsl:choose>
								<xsl:when test="position() mod 2 &gt; 0">
									<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:apply-templates select="."/>
						</tr>									
					</xsl:for-each>
					<xsl:apply-templates select="total"/>
				</table>
			</tr>					
		</table>
	</xsl:template>			
	
	<xsl:template name="regHdr">
		<tr>
			<td class="text" width="70" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Number</font>
				</b>	
			</td>
			<td width="6" bgcolor="#3366CC" height="1"/>
			<td class="text" width="80" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF">Name</font>
				</b>	
			</td>
			<td width="6" bgcolor="#3366CC" height="1"/>
			<td class="num" width="63" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF"># Charges</font>		
				</b>	
			</td>
			<td width="10" bgcolor="#3366CC" height="1"/>
			<td class="num" width="73" bgcolor="#3366CC" height="1">
				<font color="#FFFFFF"><b>Amount</b></font>		
			</td>
			<td width="10" bgcolor="#3366CC" height="1"/>
			<td class="num" width="63" bgcolor="#3366CC" height="1">
				<b><font color="#FFFFFF"># Corrections</font>		
				</b>	
			</td>
			<td width="10" bgcolor="#3366CC" height="1"/>
			<td class="num" width="73" bgcolor="#3366CC" height="1">
				<font color="#FFFFFF"><b>Amount</b></font>		
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template match="cardInfo">
		<td class="text" width="70"><xsl:value-of select="./cardNumber"/></td>
		<td width="6"/>
		<td class="text" width="80"><xsl:apply-templates select="./cardName"/></td>	
		<td width="6"/>
		<td class="num" width="63"><xsl:apply-templates select="./cardCharges/count"/></td>
		<td width="10"/>
		<td class="num" width="73"><xsl:apply-templates select="./cardCharges/amount"/></td>
		<td width="10"/>
		<td class="num" width="63"><xsl:apply-templates select="./cardCorrections/count"/></td>
		<td width="10"/>
		<td class="num" width="73"><xsl:apply-templates select="./cardCorrections/amount"/></td>
	</xsl:template>
	
	<xsl:template match="total">
		<tr>
			<td height="10" colspan="17">
				<hr color="#DBDBDB" valign="top" width="532" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Totals</td>	
			<td/>
			<td/>										
			<td/>	
			<td class="num" width="73"><xsl:apply-templates select="./cardCharges/count"/></td>
			<td width="10"/>
			<td class="num" width="73"><xsl:apply-templates select="./cardCharges/amount"/></td>
			<td width="10"/>
			<td class="num" width="73"><xsl:apply-templates select="./cardCorrections/count"/></td>
			<td width="10"/>
			<td class="num" width="73"><xsl:apply-templates select="./cardCorrections/amount"/></td>	
		</tr>		
	</xsl:template>
		
	
	<xsl:template match="count">
		<nobr><xsl:value-of select="."/></nobr>		
	</xsl:template>
	
	
	<xsl:template match="amount">
		<nobr><xsl:value-of select="format-number(.,'##,##0.00')"/></nobr>
	</xsl:template>
</xsl:transform>