<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/> 
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" match="/">		
			
		<html>
			<head>
				<title>Proprietary Network Product Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="450" height="1">
							<b>
								<font color="#3366CC" size="5">Proprietary Network Product Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>		
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="433" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
					
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="433">	
							<xsl:apply-templates select="/*/totals"/>
						</table>		
					</tr>
				</table>
			</body>
		</html>				
	</xsl:template>

	
	
	
	
	<xsl:template match="totals">
			<tr>
				<td width="55" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Product</font></b></td>
				<td width="9" bgcolor="#3366CC" height="1"/>
				<td width="113" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Description</font></b></td>
				<td width="8" bgcolor="#3366CC" height="1"/>
				<td width="63" bgcolor="#3366CC" height="1" align="right"><font color="#FFFFFF"><b>Quantity</b></font></td>
				<td width="8" bgcolor="#3366CC" height="1"/>
				<td width="48" bgcolor="#3366CC" height="1" align="right"><font color="#FFFFFF"><b>Count</b></font></td>
				<td width="9" bgcolor="#3366CC" height="1"/>
				<td width="84" bgcolor="#3366CC" height="1" align="right"><b><font color="#FFFFFF">Tot Sales</font></b></td>
			</tr>												
		<xsl:for-each select="//totals/netProdInfo/vs:netwCode">
			<xsl:sort select="@sysid" data-type="number"/>
			<xsl:variable name="pCode" select="."/>
			<tr>
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<td width="55" align="left"><nobr><xsl:apply-templates select="."/></nobr></td>
				<td width="9"/>
				<td width="113" align="left"><nobr><xsl:apply-templates select="name"/></nobr></td>									
				<td width="9"/>
				<td width="63" align="right"><nobr><xsl:apply-templates select="following-sibling::volume"/></nobr></td>
				<td width="8"/>
				<td width="84" align="right"><nobr><xsl:apply-templates select="following-sibling::netSales/count"/></nobr></td>
					<td width="8"/>
				<td width="48" align="right"><nobr><xsl:apply-templates select="following-sibling::netSales/amount"/></nobr></td>

			</tr>			
		</xsl:for-each>
			<tr>	<xsl:apply-templates select="//totals/total"/></tr>
	</xsl:template>	

	
	<xsl:template match="vs:netwCode">
		<xsl:value-of select="@sysid"/>	
	</xsl:template>

	
	<xsl:template match="name">
		<xsl:value-of select="."/>		
	</xsl:template>

	
	<xsl:template match="volume">
		<xsl:value-of select="."/>
		
	</xsl:template>

	
	<xsl:template match="count">
		<xsl:value-of select="."/>
	</xsl:template>

	
	<xsl:template match="amount">
		<xsl:value-of select="."/>
	</xsl:template>

	
	<xsl:template match="total">
		<tr>	<td height="10" colspan="17"><hr color="#DBDBDB" valign="top" width="433" align="left"/></td></tr>
		<tr>
			<td>Totals</td>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td/>
			<td align="right"><xsl:value-of select="."/></td>
		</tr>
	</xsl:template>
</xsl:transform>