<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@name)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Safe Drop Report</title>
				<STYLE>UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Safe Drop Report</font>
							</b>
						</td>
						
						<xsl:apply-templates select="/*/vs:site"/>	
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
					<tr>
						<td width="112">Period</td>
						<td width="8" height="20"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								
								<td>
									<font size="2">Closed -</font>
									<xsl:choose>
										<xsl:when test="$periodName &gt; 0">
											
											<font size="2">
												<xsl:value-of select="//vs:period/@name"/>
												-
											</font>
										</xsl:when>
										<xsl:otherwise>
											
											<font size="2">
												<xsl:value-of select="//vs:period/@periodType"/>
												-
											</font>
										</xsl:otherwise>
									</xsl:choose>
									<font size="2">
										<xsl:value-of select="//vs:period/@periodSeqNum"/>
									</font>
								</td>
							</xsl:when>
							<xsl:otherwise>
								
								<td>
									<font size="2">Current -</font>
									<xsl:choose>
										<xsl:when test="$periodName &gt; 0">
											
											<font size="2">
												<xsl:value-of select="//vs:period/@name"/>
												-
											</font>
										</xsl:when>
										<xsl:otherwise>
											
											<font size="2">
												<xsl:value-of select="//vs:period/@periodType"/>
												-
											</font>
										</xsl:otherwise>
									</xsl:choose>
									<font size="2">
										<xsl:value-of select="//vs:period/@periodSeqNum"/>
									</font>
								</td>
							</xsl:otherwise>
						</xsl:choose>
					</tr>
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//vs:period/@periodBeginDate,1,10),'  ',substring(//vs:period/@periodBeginDate,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//vs:period/@periodEndDate,1,10),'  ',substring(//vs:period/@periodEndDate,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Safe Drops</b>
							</font>
						</td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628" height="53">
							<tr>
								<td width="15" bgcolor="#3366CC" height="1">
									<p align="left">
										<font color="#FFFFFF" size="2">
											<b>Safe ID</b>
										</font>
									</p>
								</td>
								<td width="20" bgcolor="#3366CC" height="1">
									<p align="left">
										<font color="#FFFFFF" size="2">
											<b>Drop Time</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="55" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Ref#</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="35" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">MOP</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="34" bgcolor="#3366CC" height="1" align="right">
									<font color="#FFFFFF">
										<b>Amount</b>
									</font>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="69" bgcolor="#3366CC" height="1" align="left">
									<font color="#FFFFFF">
										<b>Register</b>
									</font>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="62" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Cashier</font>
									</b>
								</td>
							</tr>
							<xsl:for-each select="//totals/safedropEvent">
								<tr bgcolor="#FFFFFF">
									<td width="15" height="1" align="left">
										<xsl:choose>
											<xsl:when test="safeId">
													<xsl:value-of select="safeId/@sysid"/>
											</xsl:when>
											<xsl:otherwise>
												<nobr>
													<xsl:value-of select="'M'"/>
												</nobr>
											</xsl:otherwise>
										</xsl:choose> 
									</td>
									<td width="20" height="1" align="left">
										<xsl:choose>
											<xsl:when test="@correction='true'">
												<xsl:value-of select="''"/>
											</xsl:when>
											<xsl:otherwise>
												<nobr>
													<xsl:value-of select="substring(dropTime,12,5)"/>
												</nobr>
											</xsl:otherwise> 
										</xsl:choose>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="85" height="1" align="right">
										<xsl:choose>
											<xsl:when test="@correction='true'">
												<xsl:value-of select="'***'"/>
											</xsl:when>
											<xsl:otherwise>
												<nobr>
													<xsl:value-of select="refNum"/>
												</nobr>
											</xsl:otherwise> 
										</xsl:choose>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="35" height="1" align="left">
										<nobr>
											<xsl:value-of select="vs:mop/name"/>
										</nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="34" height="1" align="right">
										<font size="2">
											<nobr>
												<xsl:value-of select="format-number(amount, '#.00')"/>
											</nobr>
										</font>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="49" height="1" align="left">
										<nobr>
											<xsl:value-of select="vs:register/@sysid"/>
										</nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="62" height="1" align="left">
										<nobr>
											<xsl:value-of select="vs:cashier/@sysid"/>
											-
											<xsl:value-of select="vs:cashier/name"/>
										</nobr>
									</td>
								</tr>
							</xsl:for-each>
							<tr>
								<td height="10" colspan="17">
									<hr color="#DBDBDB" valign="top" width="632" align="left"/>
								</td>
							</tr>

							<tr>
								<td height="10" colspan="17" align="left">
								<xsl:text>Legend:</xsl:text>
								</td>
							</tr>
							<tr>
								<td height="10" colspan="17" align="left">
									<xsl:text>1) SafeId: A Safe ID equal to 'M' indicates a drop to a manual safe a numeric value refers to a configured electronic safe. </xsl:text>
								</td>
							</tr>
							<tr>
								<td height="10" colspan="17" align="left">
									<xsl:text>2) Ref#: *** indicates that the drop is a correction to the drop above it.</xsl:text>
								</td>
							</tr>
						</table>
						
						<br/>
						<table cellspacing="0" cellpadding="0">
							<tr>
								<td>
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>MOP Totals - Safe Drop</b>
									</font>
								</td>
							</tr>
							<tr>
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628" height="53">
									<tr>
										<td width="35" bgcolor="#3366CC" height="1">
											<p align="left">
												<font color="#FFFFFF" size="2">
													<b>MOP</b>
												</font>
											</p>
										</td>
										<td width="6" bgcolor="#3366CC" height="1" align="center"/>
										<td width="55" bgcolor="#3366CC" height="1" align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="6" bgcolor="#3366CC" height="1" align="center"/>
										<td width="35" bgcolor="#3366CC" height="1" align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									</tr>
									<xsl:for-each select="//totals/safeDropInfo/mopInfo">
										<tr bgcolor="#FFFFFF">
											<td width="35" height="1" align="left">
												<nobr>
													<xsl:value-of select="name"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="85" height="1" align="right">
												<nobr>
													<xsl:value-of select="count"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="35" height="1" align="right">
												<nobr>
													<xsl:value-of select="format-number(amount, '#.00')"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
										</tr>
									</xsl:for-each>
									<tr>
										<td height="10" colspan="17">
											<hr valign="top" width="632" align="left"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="35" height="1" align="left">
											<nobr>
												<xsl:value-of select="'Overall Total'"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="85" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/safeDropInfo/total/count"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="35" height="1" align="right">
											<nobr>
												<xsl:value-of select="format-number(//totals/safeDropInfo/total/amount, '#.00')"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
									</tr>
									<tr>
										<td height="10" colspan="17">
											<hr color="#DBDBDB" valign="top" width="632" align="left"/>
										</td>
									</tr>
								</table>
							</tr>
						</table>
						<br/>
						<table cellspacing="0" cellpadding="0">
							<tr>
								<td>
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Total - Cancel Safe Drop</b>
									</font>
								</td>
							</tr>
							<tr>
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="628" height="53">
									<tr>
										<td width="35" bgcolor="#3366CC" height="1">
											<p align="right">
												<font color="#FFFFFF" size="2">
													<b>Count</b>
												</font>
											</p>
										</td>
										<td width="6" bgcolor="#FFFFFF" height="1" align="center"/>
										<td width="55" bgcolor="#FFFFFF" height="1">
											<b>

											</b>
										</td>
										<td width="6" bgcolor="#FFFFFF" height="1" align="center"/>
										<td width="35" bgcolor="#FFFFFF" height="1">
											<b>

											</b>
										</td>
										<td width="6" bgcolor="#FFFFFF" height="1" align="center"/>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="35" height="1" align="right">
											<nobr>
												<xsl:value-of select="//dropCancelCount"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="85" height="1" align="left">
											<nobr>
													
												</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="35" height="1" align="left">
											<nobr>
													
												</nobr>
										</td>
										<td width="6" height="1" align="center"/>
									</tr>
									<tr>
										<td height="10" colspan="17">
											<hr color="#DBDBDB" valign="top" width="632" align="left"/>
										</td>
									</tr>
								</table>
							</tr>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:transform>