<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>
		<html>
			<head>
				<title>End of Day</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
				<script language="vbscript">
					sub showTable(id)
						if document.getelementbyId(id).style.display = "none" then
							document.getelementbyId(id).style.display = "block" 
						else
							document.getelementbyId(id).style.display = "none" 
						end if
					end sub 				
				</script>
			</head>
			<body>
				<table border="0" width="600" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="350" height="1">
							<b>
								<font color="#3366CC" size="5">End of Day</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="100%" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td height="23" align="center"/>
					</tr>
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td align="left" height="18"/>
					</tr>
				</table>
				<br/>
				
				<p>
					<b>
						<a href="#" onclick="vbscript:showTable('All')">
							<font face="Trebuchet MS" color="#3366CC" size="4">
								<b>End of Day</b> - All Cashiers</font>
						</a>
					</b>
				</p>
				<div>
					<span STYLE="display:block" id="All">
						
						<b>
							<a href="#" onclick="vbscript:showTable('Merch')">Merchandise Sales</a>
						</b>
						<div>
							<span STYLE="display:block" id="Merch">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr>
								</tr>
									<tr bgcolor="#3366CC" align="center">
										<td>
											<b>
												<font color="#FFFFFF">Department</font>
											</b>
										</td>
										<td/>
										<td>
											<b>
												<font color="#FFFFFF">Description</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Sales</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Void Amount</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Void Count</font>
											</b>
										</td>
									</tr>
									<xsl:for-each select="//summaryAmounts/merchandiseSales/categoryInfo">
										<xsl:variable name="cat" select="."/>
										<xsl:variable name="catid" select="./t:cat/@sysid"/>
										<tr>
											<td align="center">
												<xsl:value-of select="$catid"/>
											</td>
											<td/>
											<td align="left">
												<xsl:value-of select="$cat[t:cat[@sysid=$catid]]/t:cat/name"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number((salesAmount + refundAmount),'$#,##0.00')"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(./voidsAmount,'$#,##0.00')"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="./voidsCount"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td colspan="13">
											<hr color="#000000" valign="top" width="393" align="left"/>
										</td>
									</tr>
									<tr>
										<td align="center">
												Overall Total
											</td>
										<td/>
										<td align="center">
												
											</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number((sum(//summaryAmounts/merchandiseSales/categoryInfo/salesAmount) +                        sum(//summaryAmounts/merchandiseSales/categoryInfo/refundAmount)),'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(sum(//summaryAmounts/merchandiseSales/categoryInfo/voidsAmount),'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="sum(//summaryAmounts/merchandiseSales/categoryInfo/voidsCount)"/>
										</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('Fuel')">Fuel Sales</a>
						</b>
						<div>
							<span STYLE="display:block" id="Fuel">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
									<tr bgcolor="#3366CC" align="center">
										<td align="right">
											<b>
												<font color="#FFFFFF">Fuel Cnt</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Fuel Amt </font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Fuel Gallons</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Void Fuel Cnt</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Void Fuel Amt</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Drive Off Cnt</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Drive Off Amt</font>
											</b>
										</td>
									</tr>
									<tr>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/fuelTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/fuelTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/fuelTotals/volume"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/fuelVoids/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/fuelVoids/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/driveOffTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/driveOffTotals/amount,'$#,##0.00')"/>
										</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="600" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('Pumptest')">Pumptest</a>
						</b>
						<div>
							<span STYLE="display:block" id="Pumptest">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr bgcolor="#3366CC" align="center">
										<td align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount </font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Gallons</font>
											</b>
										</td>
									</tr>
									<tr>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/pumpTestTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/pumpTestTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/pumpTestTotals/volume"/>
										</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('cwash')">Car Wash Sales</a>
						</b>
						<div>
							<span STYLE="display:block" id="cwash">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr>
								</tr>
									<tr bgcolor="#3366CC" align="center">
										<td>
											<b>
												<font color="#FFFFFF">UPC</font>
											</b>
										</td>
										<td/>
										<td align="center">
											<b>
												<font color="#FFFFFF">Description</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td/>
									</tr>
									<xsl:for-each select="//summaryAmounts/carwashTotals/carWashSaleItem">
										<tr>
											<td align="left">
												<xsl:value-of select="t:plu/upc"/>/<xsl:value-of select="t:plu/modifier"/>
											</td>
											<td/>
											<td align="left">
												<xsl:value-of select="t:plu/name"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="count"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(soldAtPrice,'$#,##0.00')"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td colspan="13">
											<hr valign="top" width="393" align="left"/>
										</td>
									</tr>
									<tr>
										<td>Complimentary</td>
										<td colspan="2"/>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/carwashTotals/carWashComp/count"/>
										</td>
										<td/>
										<td align="right">$0.00</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('lotto')">Lottery/Lotto Sales</a>
						</b>
						<div>
							<span STYLE="display:block" id="lotto">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr>
								</tr>
									<tr bgcolor="#3366CC" align="center">
										<td align="center">
											<b>
												<font color="#FFFFFF">Type</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td/>
									</tr>
									<tr>
										<td>Lottery Sales</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalLotterySales/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalLotterySales/amount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Lotto Sales</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalLottoSales/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalLottoSales/amount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Lottery Winners</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalLotteryWinners/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalLotteryWinners/amount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Lotto Winners</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalLottoWinners/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalLottoWinners/amount,'$#,##0.00')"/>
										</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('mo')">Money Orders</a>
						</b>
						<div>
							<span STYLE="display:block" id="mo">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr>
								</tr>
									<tr bgcolor="#3366CC" align="center">
										<td align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount </font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Fees</font>
											</b>
										</td>
									</tr>
									<tr>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/moneyOrderTotals/salesLineCount"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/moneyOrderTotals/salesAmount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/moneyOrderTotals/feesAmount,'$#,##0.00')"/>
										</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('os')">Other Services</a>
						</b>
						<div>
							<span STYLE="display:block" id="os">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr>
								</tr>
									<tr bgcolor="#3366CC" align="center">
										<td align="center">
											<b>
												<font color="#FFFFFF">Type</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Count </font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
									</tr>
									<tr>
										<td>Sales</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalOtherServices/salesLineCount"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalOtherServices/salesAmount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Refunds</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalOtherServices/refundCount"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalOtherServices/refundAmount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Voids</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalOtherServices/voidsCount"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalOtherServices/voidsAmount,'$#,##0.00')"/>
										</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('ppc')">Prepaid Cards</a>
						</b>
						<div>
							<span STYLE="display:block" id="ppc">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr>
								</tr>
									<tr bgcolor="#3366CC" align="center">
										<td>
											<b>
												<font color="#FFFFFF">Department</font>
											</b>
										</td>
										<td/>
										<td>
											<b>
												<font color="#FFFFFF">Description</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Sales</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Void Amount</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Void Count</font>
											</b>
										</td>
									</tr>
									<xsl:for-each select="//summaryAmounts/prePaidCardTotals/prePaidCardInfo">
										<xsl:variable name="dep" select="."/>
										<xsl:variable name="depid" select="./t:dept/@sysid"/>
										<tr>
											<td align="center">
												<xsl:value-of select="$depid"/>
											</td>
											<td/>
											<td align="left">
												<xsl:value-of select="$dep/t:dept/name"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number((salesAmount + refundAmount),'$#,##0.00')"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(./voidsAmount,'$#,##0.00')"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="./voidsCount"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td colspan="13">
											<hr color="#000000" valign="top" width="393" align="left"/>
										</td>
									</tr>
									<tr>
										<td align="center">
												Overall Total
											</td>
										<td/>
										<td align="center">
												
											</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number((sum(//summaryAmounts/prePaidCardTotals/prePaidCardInfo/salesAmount) +                        sum(//summaryAmounts/prePaidCardTotals/prePaidCardInfo/refundAmount)),'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(sum(//summaryAmounts/prePaidCardTotals/prePaidCardInfo/voidsAmount),'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="sum(//summaryAmounts/prePaidCardTotals/prePaidCardInfo/voidsCount)"/>
										</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('cc')">Cash Controls</a>
						</b>
						<div>
							<span STYLE="display:block" id="cc">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr bgcolor="#3366CC" align="center">
										<td align="center">
											<b>
												<font color="#FFFFFF">Type</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Avg/Percent</font>
											</b>
										</td>
									</tr>
									<tr>
										<td>Total MOP</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalTendered/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalTendered/amount,'$##,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Tax Amount</td>
										<td/>
									</tr>
									<xsl:for-each select="//summaryAmounts/totalTaxes/t:sumTax">
										<tr>
											<td align="right">
												<xsl:value-of select="vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
											<td/>
											<td/>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(amt,'$#,##0.00')"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td align="right">Total</td>
										<td colspan="3"/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalTaxes/total/amt,'$#,##0.00')"/>
										</td>
									</tr>
									<xsl:choose>
										<xsl:when test="//summaryAmounts/totalExemptTaxes">
											<tr>
												<td>Tax Exempt Amount</td>
												<td/>
											</tr>
											<xsl:for-each select="//summaryAmounts/totalExemptTaxes/t:sumTaxExempt">
												<tr>
													<td align="right">
														<xsl:value-of select="vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
														<td/>
														<td/>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number(forgivenTax,'$#,##0.00')"/>
													</td>
												</tr>
											</xsl:for-each>
											<tr>
												<td align="right">Total</td>
												<td colspan="3"/>
												<td align="right">
													<xsl:value-of select="format-number(//summaryAmounts/totalExemptTaxes/total/forgivenTax,'$#,##0.00')"/>
												</td>
											</tr>
										</xsl:when>
										<xsl:otherwise>
											<tr>
												<td>Tax Exempt Amount</td>
												<td/>
											</tr>
											<xsl:for-each select="//summaryAmounts/totalTaxes/t:sumTax">
											<xsl:variable name="TaxExempt">
												<xsl:value-of select="exemptTax"/>
											</xsl:variable>
											<xsl:if test="$TaxExempt != 0.00">
												<tr>
													<td align="right">
														<xsl:value-of select="vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
													<td/>
													<td/>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number(exemptTax,'$#,##0.00')"/>
													</td>
												</tr>
											</xsl:if>
											</xsl:for-each>
											<tr>
												<td align="right">Total</td>
												<td colspan="3"/>
												<td align="right">
													<xsl:value-of select="format-number(//summaryAmounts/totalTaxes/totalExemptTaxes/amt,'$#,##0.00')"/>
												</td>
											</tr>
											<tr>
												<td>Tax Forgiven Amount</td>
												<td/>
											</tr>	
											<xsl:for-each select="//summaryAmounts/totalTaxes/t:sumTax">
											<xsl:variable name="TaxForgiven">
												<xsl:value-of select="forgivenTax"/>
											</xsl:variable>
											<xsl:if test="$TaxForgiven != 0.00">
											<tr>
												<td align="right">
													<xsl:value-of select="vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
												<td/>
												<td/>
												<td/>
												<td align="right">
													<xsl:value-of select="format-number(forgivenTax,'$#,##0.00')"/>
												</td>
											</tr>
											</xsl:if>
											</xsl:for-each>
											<tr>
												<td align="right">Total</td>
												<td colspan="3"/>
												<td align="right">
													<xsl:value-of select="format-number(//summaryAmounts/totalTaxes/totalForgivenTaxes/amt,'$#,##0.00')"/>
												</td>
											</tr>
										</xsl:otherwise>
									</xsl:choose>	
									<xsl:for-each select="//summaryAmounts/totalOverShort/overShortMOP">
										<tr>
											<td>Over/Short - <xsl:value-of select="t:mop/name"/>
											</td>
											<td/>
										</tr>
										<tr>
											<td align="right">Total ECR</td>
											<td/>
											<td/>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(TotalEcrAmt,'$#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="right">Total Actual</td>
											<td/>
											<td/>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(TotalActualAmt,'$#,##0.00')"/>
											</td>
										</tr>
										<tr>
											<td align="right">Total Over/Short</td>
											<td/>
											<td/>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(TotalOverShortAmt,'$#,##0.00')"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td>Refunds</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalRefunds/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalRefunds/amount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Voids</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalVoids/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/totalVoids/amount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Coupons</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/couponTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/couponTotals/amount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>Drawer Alarms</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/drawerAlarmTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/drawerAlarmTotals/totalDrawerOpens"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/drawerAlarmTotals/averageTimes"/>
										</td>
									</tr>
									<tr>
										<td>Error Corrects</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/errorCorrectTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/errorCorrectTotals/amount"/>
										</td>
									</tr>
									<tr>
										<td>Department/Category</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/depCatTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/depCatTotals/amount,'$#,##0.00')"/>
										</td>
									</tr>
									<tr>
										<td>No Sale</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/totalNoSales/count"/>
										</td>
									</tr>
									<tr>
										<td>Credit Card</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/creditMOPTotals/totalCreditCount/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/totalCreditCount/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/totalCreditCount/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Manual CC</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/creditMOPTotals/manuallyEntered/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/manuallyEntered/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/manuallyEntered/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Imprinted CC</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/creditMOPTotals/imprinted/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/imprinted/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/imprinted/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Swiped CC</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/creditMOPTotals/swiped/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/swiped/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/creditMOPTotals/swiped/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Debit</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/debitMOPTotals/totalDebitCount/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/debitMOPTotals/totalDebitCount/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/debitMOPTotals/totalDebitCount/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Manual Debit</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/debitMOPTotals/manuallyEntered/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/debitMOPTotals/manuallyEntered/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/debitMOPTotals/manuallyEntered/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Swiped Debit</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/debitMOPTotals/swiped/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/debitMOPTotals/swiped/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/debitMOPTotals/swiped/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Electronic Check</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/electronicCheckTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/electronicCheckTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td/>
									</tr>
									<tr>
										<td>Manual Check</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/manualCheckTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/manualCheckTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td/>
									</tr>
									
									<tr>
										<td>EBT Cash</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/EBTTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/EBTTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td/>
									</tr>

									<tr>
										<td>Electronic FS</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/foodStampTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/foodStampTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td/>
									</tr>
									
									<tr>
										<td>Mobile</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/mobileTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/mobileTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td/>
									</tr>
									<tr>
										<td>Safe Drops</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/safeDropTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/safeDropTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/safeDropTotals/averageAmount,'$#,##0.00')"/>
										</td>
									</tr>
									<xsl:if test="//summaryAmounts/safeDropTotals/safeDropCorrections/count">
									<tr>
										<td>Safe Drop Corrections</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/safeDropTotals/safeDropCorrections/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/safeDropTotals/safeDropCorrections/amount,'$#,##0.00')"/>
										</td>
										<td/>
									</tr>
									</xsl:if>
									<xsl:for-each select="//summaryAmounts/safeDropTotals/totalsByEsafe">
									<tr>
										<td>E-Safe Drops on <xsl:value-of select="concat(@sysid,'-',@name)"/></td>
										<td/>
										<td align="right">
											<xsl:value-of select="count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(amount,'$#,##0.00')"/>
										</td>
										<td/>
									</tr>
									</xsl:for-each>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
						<br/>
						
						<b>
							<a href="#" onclick="vbscript:showTable('item')">Item Sales</a>
						</b>
						<div>
							<span STYLE="display:block" id="item">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr bgcolor="#3366CC" align="center">
										<td align="center">
											<b>
												<font color="#FFFFFF">Type</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Percent</font>
											</b>
										</td>
									</tr>
									<tr>
										<td>Total PLUs</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/itemTotals/totalPLUs/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/totalPLUs/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/totalPLUs/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Scanned Items</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/itemTotals/scannedItems/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/scannedItems/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/scannedItems/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Keyed Items</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/itemTotals/keyedItems/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/keyedItems/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/keyedItems/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>Open Dept Rings</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/itemTotals/openDeptRings/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/openDeptRings/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/openDeptRings/percent,'#,##0.00')"/>%
										</td>
									</tr>
									<tr>
										<td>PLU Not Found</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//summaryAmounts/itemTotals/pluNotFoundItems/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/pluNotFoundItems/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//summaryAmounts/itemTotals/pluNotFoundItems/percent,'#,##0.00')"/>%
										</td>
									</tr>
								</table>
							</span>
						</div>
					</span>
				</div>
				
				<p>
					<b>
						<a href="#" onclick="vbscript:showTable('AllDCR')">
							<font face="Trebuchet MS" color="#3366CC" size="4">
								<b>End of Day</b> - All DCR</font>
						</a>
					</b>
				</p>
				<div>
					<span id="allDCR" style="display:block">
						
						<b>
							<a href="#" onclick="vbscript:showTable('allDCRFuel')">Fuel Sales</a>
						</b>
						<div>
							<span STYLE="display:block" id="allDCRFuel">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="300">
									<tr bgcolor="#3366CC" align="center">
										<td align="right">
											<b>
												<font color="#FFFFFF">Fuel Cnt</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Fuel Amt </font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Fuel Gallons</font>
											</b>
										</td>
										<td/>
									</tr>
									<tr>
										<td align="right">
											<xsl:value-of select="//allDCR/fuelTotals/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(//allDCR/fuelTotals/amount,'$#,##0.00')"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="//allDCR/fuelTotals/volume"/>
										</td>
										<td/>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="300" align="left"/>
								<br/>
							</span>
						</div>
						
						<b>
							<a href="#" onclick="vbscript:showTable('allDCRcwash')">Car Wash Sales</a>
						</b>
						<div>
							<span STYLE="display:block" id="allDCRcwash">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
									<tr>
								</tr>
									<tr bgcolor="#3366CC" align="center">
										<td>
											<b>
												<font color="#FFFFFF">UPC</font>
											</b>
										</td>
										<td/>
										<td align="center">
											<b>
												<font color="#FFFFFF">Description</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td/>
										<td align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td/>
									</tr>
									<xsl:for-each select="//allDCR/carwashTotals/carWashSaleItem">
										<tr>
											<td align="left">
												<xsl:value-of select="t:plu/upc"/>/<xsl:value-of select="t:plu/modifier"/>
											</td>
											<td/>
											<td align="left">
												<xsl:value-of select="t:plu/name"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="count"/>
											</td>
											<td/>
											<td align="right">
												<xsl:value-of select="format-number(soldAtPrice,'$#,##0.00')"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td colspan="13">
											<hr valign="top" width="393" align="left"/>
										</td>
									</tr>
									<tr>
										<td>Complimentary</td>
										<td colspan="2"/>
										<td/>
										<td align="right">
											<xsl:value-of select="//allDCR/carwashTotals/carWashComp/count"/>
										</td>
										<td/>
										<td align="right">$0.00</td>
									</tr>
								</table>
								<hr color="#FFCC00" valign="top" width="393" align="left"/>
							</span>
						</div>
					</span>
				</div>
				
				
				
				
				<b>
					<a href="#" onclick="vbscript:showTable('ByC')">
						<font face="Trebuchet MS" color="#3366CC" size="4">
							<b>End of Day</b> - By Cashier</font>
					</a>
				</b>
				<div>
					<span STYLE="display:block" id="ByC">
						<xsl:for-each select="//cashierInfo">
							<xsl:variable name="csh" select="."/>
							<xsl:variable name="cshid" select="./t:cashier/@sysid"/>
							<xsl:variable name="cshper" select="./t:cashier/period"/>
							<b>
								<font face="Trebuchet MS" color="#3366CC" size="3">
									Cashier - <xsl:value-of select="$cshid"/> - 
								</font>
								<a href="#">
									<xsl:attribute name="onclick">vbscript:showTable('<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>
									<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/t:cashier/name"/>
								</a>
							</b>
							<div>
								<span STYLE="display:block">
									<xsl:attribute name="id"><xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
									
									<hr color="#FFCC00" valign="top" width="632" align="left"/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('Merch<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>
									Merchandise Sales
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">Merch<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr>
							</tr>
												<tr bgcolor="#3366CC" align="center">
													<td>
														<b>
															<font color="#FFFFFF">Department</font>
														</b>
													</td>
													<td/>
													<td>
														<b>
															<font color="#FFFFFF">Description</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Sales</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Void Amount</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Void Count</font>
														</b>
													</td>
												</tr>
												<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/merchandiseSales/categoryInfo">
													<xsl:variable name="cat" select="."/>
													<xsl:variable name="catid" select="./t:cat/@sysid"/>
													<tr>
														<td align="left">
															<xsl:value-of select="$catid"/>
														</td>
														<td/>
														<td align="left">
															<xsl:value-of select="$cat[t:cat[@sysid=$catid]]/t:cat/name"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./salesAmount + ./refundAmount,'$#,##0.00')"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./voidsAmount,'$#,##0.00')"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="./voidsCount"/>
														</td>
													</tr>
												</xsl:for-each>
												<tr>
													<td colspan="13">
														<hr color="#000000" valign="top" width="393" align="left"/>
													</td>
												</tr>
												<tr>
													<td align="center">
												Overall Total
											</td>
													<td/>
													<td align="center">
												
											</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number((sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/merchandiseSales/categoryInfo/salesAmount) +                         sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/merchandiseSales/categoryInfo/refundAmount)),'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number(sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/merchandiseSales/categoryInfo/voidsAmount),'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/merchandiseSales/categoryInfo/voidsCount)"/>
													</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('Fuel<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>
									Fuel Sales
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">Fuel<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
												<tr bgcolor="#3366CC" align="center">
													<td align="right">
														<b>
															<font color="#FFFFFF">Fuel Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Fuel Amount </font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Fuel Gallons</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Void Fuel Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Void Fuel Amount</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Drive Off Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Drive Off Amount</font>
														</b>
													</td>
												</tr>
												<tr>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/fuelTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/fuelTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/fuelTotals/volume"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/fuelVoids/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/fuelVoids/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/driveOffTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/driveOffTotals/amount,'$#,##0.00')"/>
													</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="600" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('Pumptest<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>
									Pumptest
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">Pumptest<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr bgcolor="#3366CC" align="center">
													<td align="right">
														<b>
															<font color="#FFFFFF">Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Amount </font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Gallons</font>
														</b>
													</td>
												</tr>
												<tr>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/pumpTestTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/pumpTestTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/pumpTestTotals/volume"/>
													</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('cwash<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>
									Car Wash Sales
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">cwash<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr>
							</tr>
												<tr bgcolor="#3366CC" align="center">
													<td>
														<b>
															<font color="#FFFFFF">UPC</font>
														</b>
													</td>
													<td/>
													<td align="center">
														<b>
															<font color="#FFFFFF">Description</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Amount</font>
														</b>
													</td>
													<td/>
												</tr>
												<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/carwashTotals/carWashSaleItem">
													<tr>
														<td align="left">
															<xsl:value-of select="t:plu/upc"/>/<xsl:value-of select="t:plu/modifier"/>
														</td>
														<td/>
														<td align="left">
															<xsl:value-of select="t:plu/name"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="count"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(soldAtPrice,'$#,##0.00')"/>
														</td>
													</tr>
												</xsl:for-each>
												<tr>
													<td colspan="13">
														<hr valign="top" width="393" align="left"/>
													</td>
												</tr>
												<tr>
													<td>Complimentary</td>
													<td colspan="2"/>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/carwashTotals/carWashComp/count"/>
													</td>
													<td/>
													<td align="right">$0.00</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('lotto<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>								
									Lottery/Lotto Sales
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">lotto<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr>
							</tr>
												<tr bgcolor="#3366CC" align="center">
													<td align="center">
														<b>
															<font color="#FFFFFF">Type</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Amount</font>
														</b>
													</td>
													<td/>
												</tr>
												<tr>
													<td>Lottery Sales</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLotterySales/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLotterySales/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Lotto Sales</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLottoSales/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLottoSales/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Lottery Winners</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLotteryWinners/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLotteryWinners/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Lotto Winners</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLottoWinners/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalLottoWinners/amount,'$#,##0.00')"/>
													</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('mo<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>								
								Money Orders
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">mo<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr>
							</tr>
												<tr bgcolor="#3366CC" align="center">
													<td align="right">
														<b>
															<font color="#FFFFFF">Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Amount </font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Fees</font>
														</b>
													</td>
												</tr>
												<tr>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/moneyOrderTotals/salesLineCount"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/moneyOrderTotals/salesAmount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/moneyOrderTotals/feesAmount,'$#,##0.00')"/>
													</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('os<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>																
								Other Services
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">os<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr>
							</tr>
												<tr bgcolor="#3366CC" align="center">
													<td align="center">
														<b>
															<font color="#FFFFFF">Type</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Count </font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Amount</font>
														</b>
													</td>
												</tr>
												<tr>
													<td>Sales</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalOtherServices/salesLineCount"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalOtherServices/salesAmount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Refunds</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalOtherServices/refundCount"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalOtherServices/refundAmount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Voids</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalOtherServices/voidsCount"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalOtherServices/voidsAmount,'$#,##0.00')"/>
													</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('ppc<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>
									Prepaid Cards
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">ppc<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr>
							</tr>
												<tr bgcolor="#3366CC" align="center">
													<td>
														<b>
															<font color="#FFFFFF">Department</font>
														</b>
													</td>
													<td/>
													<td>
														<b>
															<font color="#FFFFFF">Description</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Sales</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Void Amount</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Void Count</font>
														</b>
													</td>
												</tr>
												<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/prePaidCardTotals/prePaidCardInfo">
													<xsl:variable name="dep" select="."/>
													<xsl:variable name="depid" select="./t:dept/@sysid"/>
													<tr>
														<td align="left">
															<xsl:value-of select="$depid"/>
														</td>
														<td/>
														<td align="left">
															<xsl:value-of select="$dep/t:dept/name"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./salesAmount + ./refundAmount,'$#,##0.00')"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./voidsAmount,'$#,##0.00')"/>
														</td>
														<td/>
														<td align="right">
															<xsl:value-of select="./voidsCount"/>
														</td>
													</tr>
												</xsl:for-each>
												<tr>
													<td colspan="13">
														<hr color="#000000" valign="top" width="393" align="left"/>
													</td>
												</tr>
												<tr>
													<td align="center">
												Overall Total
											</td>
													<td/>
													<td align="center">
												
											</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number((sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/prePaidCardTotals/perPaidCardInfo/salesAmount) +                         sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/prePaidCardTotals/prePaidCardInfo/refundAmount)),'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number(sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/prePaidCardTotals/prePaidCardInfo/voidsAmount),'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="sum($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/prePaidCardTotals/prePaidCardInfo/voidsCount)"/>
													</td>
												</tr>
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('cc<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>																
									Cash Controls
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">cc<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr bgcolor="#3366CC" align="center">
													<td align="center">
														<b>
															<font color="#FFFFFF">Type</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Amount</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Percent</font>
														</b>
													</td>
												</tr>
												<tr>
													<td>Total MOP</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTendered/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTendered/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Tax Amount</td>
													<td/>
												</tr>
												<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTaxes/t:sumTax">
													<tr>
														<td align="right">
															<xsl:value-of select="./vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
														<td/>
														<td/>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./amt,'$#,##0.00')"/>
														</td>
													</tr>
												</xsl:for-each>
												<tr>
													<td align="right">Total</td>
													<td colspan="3"/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTaxes/total/amt,'$#,##0.00')"/>
													</td>
												</tr>
												<xsl:choose>
													<xsl:when test="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalExemptTaxes">
														<tr>
															<td>Tax Exempt Amount</td>
															<td/>
														</tr>
														<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalExemptTaxes/t:sumTaxExempt">
															<tr>
																<td align="right">
																	<xsl:value-of select="./vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
																<td/>
																<td/>
																<td/>
																<td align="right">
																	<xsl:value-of select="format-number(./forgivenTax,'$#,##0.00')"/>
																</td>
															</tr>
														</xsl:for-each>
														<tr>
															<td align="right">Total</td>
															<td colspan="3"/>
															<td align="right">
																<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalExemptTaxes/total/forgivenTax,'$#,##0.00')"/>
															</td>
														</tr>
													</xsl:when>
													<xsl:otherwise>
														<tr>
															<td>Tax Exempt Amount</td>
															<td/>
														</tr>
														<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTaxes/t:sumTax">
														<xsl:variable name="TaxExempt">
																<xsl:value-of select="exemptTax"/>
															</xsl:variable>
															<xsl:if test="$TaxExempt != 0.00">
															<tr>
																<td align="right">
																	<xsl:value-of select="./vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
																<td/>
																<td/>
																<td/>
																<td align="right">
																	<xsl:value-of select="format-number(./exemptTax,'$#,##0.00')"/>
																</td>
															</tr>
															</xsl:if>
														</xsl:for-each>
														<tr>
															<td align="right">Total</td>
															<td colspan="3"/>
															<td align="right">
																<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTaxes/totalExemptTaxes/amt,'$#,##0.00')"/>
															</td>
														</tr>
														<tr>
															<td>Tax Forgiven Amount</td>
														<td/>
														</tr>
														<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTaxes/t:sumTax">
															<xsl:variable name="TaxForgiven">
																<xsl:value-of select="forgivenTax"/>
															</xsl:variable>
															<xsl:if test="$TaxForgiven != 0.00">
															<tr>
																<td align="right">
																	<xsl:value-of select="./vs:taxrateBase/name"/>(<xsl:value-of select="vs:taxrateBase/taxRate"/>)</td>
																<td/>
																<td/>
																<td/>
																<td align="right">
																	<xsl:value-of select="format-number(./forgivenTax,'$#,##0.00')"/>
																</td>
															</tr>
															</xsl:if>
														</xsl:for-each>
														<tr>
															<td align="right">Total</td>
															<td colspan="3"/>
															<td align="right">
																<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalTaxes/totalForgivenTaxes/amt,'$#,##0.00')"/>
															</td>
														</tr>	
													</xsl:otherwise>
												</xsl:choose>
												<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalOverShort/overShortMOP">
													<tr>
														<td>Over/Short - <xsl:value-of select="t:mop/name"/>
														</td>
														<td/>
													</tr>
													<tr>
														<td align="right">Total ECR</td>
														<td/>
														<td/>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./TotalEcrAmt,'$#,##0.00')"/>
														</td>
													</tr>
													<tr>
														<td align="right">Total Actual</td>
														<td/>
														<td/>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./TotalActualAmt,'$#,##0.00')"/>
														</td>
													</tr>
													<tr>
														<td align="right">Total Over/Short</td>
														<td/>
														<td/>
														<td/>
														<td align="right">
															<xsl:value-of select="format-number(./TotalOverShortAmt,'$#,##0.00')"/>
														</td>
													</tr>
												</xsl:for-each>
												<tr>
													<td>Refunds</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalRefunds/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalRefunds/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Voids</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalVoids/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalVoids/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Coupons</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/couponTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/couponTotals/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>Drawer Alarms</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/drawerAlarmTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/drawerAlarmTotals/totalDrawerOpens"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/drawerAlarmTotals/averageTimes"/>
													</td>
												</tr>
												<tr>
													<td>Error Correct</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/errorCorrectTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/errorCorrectTotals/amount"/>
													</td>
												</tr>
												<tr>
													<td>Department/Category</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/depCatTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/depCatTotals/amount,'$#,##0.00')"/>
													</td>
												</tr>
												<tr>
													<td>No Sale</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/totalNoSales/count"/>
													</td>
												</tr>
												<tr>
													<td>Credit Card</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/totalCreditCount/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/totalCreditCount/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/totalCreditCount/percent,'#,##0.00')"/>%

											</td>
												</tr>
												<tr>
													<td>Manual CC</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/manuallyEntered/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/manuallyEntered/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/manuallyEntered/percent,'#,##0.00')"/>%
											</td>
												</tr>
												<tr>
													<td>Imprinted CC</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/imprinted/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/imprinted/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/imprinted/percent,'#,##0.00')"/>%
											</td>
												</tr>
												<tr>
													<td>Swiped CC</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/swiped/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/swiped/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/creditMOPTotals/swiped/percent,'#,##0.00')"/>%
											</td>
												</tr>
												<tr>
													<td>Debit</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/totalDebitCount/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/totalDebitCount/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/totalDebitCount/percent,'#,##0.00')"/>%
													</td>
												</tr>
												<tr>
													<td>Manual Debit</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/manuallyEntered/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/manuallyEntered/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/manuallyEntered/percent,'#,##0.00')"/>%
													</td>
												</tr>
												<tr>
													<td>Swiped Debit</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/swiped/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/swiped/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/debitMOPTotals/swiped/percent,'#,##0.00')"/>%
													</td>
												</tr>
												<tr>
													<td>Electronic Check</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/electronicCheckTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/electronicCheckTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td/>
												</tr>
												<tr>
													<td>Manual Check</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/manualCheckTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/manualCheckTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td/>
												</tr>
												
												<tr>
													<td>EBT Cash</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/EBTTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/EBTTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td/>
												</tr>

												<tr>
													<td>Electronic FS</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/foodStampTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/foodStampTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td/>
												</tr>
												
												<tr>
													<td>Mobile</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/mobileTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/mobileTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td/>
												</tr>
												<tr>
													<td>Safe Drops</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/safeDropTotals/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/safeDropTotals/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/safeDropTotals/averageAmount,'$#,##0.00')"/>
													</td>
												</tr>
									<xsl:if test="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/safeDropTotals/safeDropCorrections/count">
									<tr>
										<td>Safe Drop Corrections</td>
										<td/>
										<td align="right">
											<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/safeDropTotals/safeDropCorrections/count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/safeDropTotals/safeDropCorrections/amount,'$#,##0.00')"/>
										</td>
										<td/>
									</tr>
									</xsl:if>
									<xsl:for-each select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/safeDropTotals/totalsByEsafe">
									<tr>
										<td>E-Safe Drops on <xsl:value-of select="concat(@sysid,'-',@name)"/></td>
										<td/>
										<td align="right">
											<xsl:value-of select="count"/>
										</td>
										<td/>
										<td align="right">
											<xsl:value-of select="format-number(amount,'$#,##0.00')"/>
										</td>
										<td/>
									</tr>
									</xsl:for-each>
												
											</table>
											<hr color="#FFCC00" valign="top" width="393" align="left"/>
										</span>
									</div>
									<br/>
									
									<b>
										<a href="#">
											<xsl:attribute name="onclick">vbscript:showTable('item<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/>')</xsl:attribute>																
									Item Sales
								</a>
									</b>
									<div>
										<span STYLE="display:block">
											<xsl:attribute name="id">item<xsl:value-of select="$cshid"/><xsl:value-of select="$cshper"/></xsl:attribute>
											<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="393">
												<tr bgcolor="#3366CC" align="center">
													<td align="center">
														<b>
															<font color="#FFFFFF">Type</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Count</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Amount</font>
														</b>
													</td>
													<td/>
													<td align="right">
														<b>
															<font color="#FFFFFF">Percent</font>
														</b>
													</td>
												</tr>
												<tr>
													<td>Total PLUs</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/totalPLUs/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/totalPLUs/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/totalPLUs/percent,'#,##0.00')"/>%
											</td>
												</tr>
												<tr>
													<td>Scanned Items</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/scannedItems/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/scannedItems/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/scannedItems/percent,'#,##0.00')"/>%
											</td>
												</tr>
												<tr>
													<td>Keyed Items</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/keyedItems/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/keyedItems/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/keyedItems/percent,'#,##0.00')"/>%
											</td>
												</tr>
												<tr>
													<td>Open Dept Rings</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/openDeptRings/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/openDeptRings/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/openDeptRings/percent,'#,##0.00')"/>%
											</td>
												</tr>
												<tr>
													<td>PLU Not Found</td>
													<td/>
													<td align="right">
														<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/pluNotFoundItems/count"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/pluNotFoundItems/amount,'$#,##0.00')"/>
													</td>
													<td/>
													<td align="right">
														<xsl:value-of select="format-number($csh[t:cashier[@sysid=$cshid]]/cashierAmounts/itemTotals/pluNotFoundItems/percent,'#,##0.00')"/>%
											</td>
												</tr>
											</table>
										</span>
									</div>
								</span>
							</div>
							<br/>
						</xsl:for-each>
					</span>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:transform>