<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<html>
			<head>
				<title>Summary Report by Cashier</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Summary Report by Cashier</font>
							</b>
						</td>
						<xsl:value-of select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				
				<br/>
				<table cellspacing="0" cellpadding="0" width="300" height="183">
					<tr>
						<td width="298" height="24">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Summary</b> - All Cashiers
							</font>
						</td>
					</tr>
					<tr>
						<td width="298" height="159">
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="298" height="199" bgcolor="#FFFFFF">
								<tr>
									<td width="150" bgcolor="#3366CC" height="19">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="10" bgcolor="#3366CC" height="19" align="right"/>
									<td width="45" bgcolor="#3366CC" height="19">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="9" bgcolor="#3366CC" height="19" align="right"/>
									<td width="74" bgcolor="#3366CC" height="19" align="right">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">MOP Sales</td>
									<td width="10" height="20"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/total"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">MOP Cancel Refund</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">(<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/total"/>)</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Net Sales Total</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/mopTotals/netSales"/>
									</td>
								</tr>
								<tr>
									<td align="right" colspan="5" height="20"/>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">
										<font size="2">Payment Out</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">(<xsl:value-of select="//totals/summaryInfo/totalPaymentOut"/>)</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Payment In</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalPaymentIn"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Tot to Account For</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalToAccountFor"/>
									</td>
								</tr>
								<tr>
									<td align="left" colspan="5">MOP Sales</td>
								</tr>
								
								
								<xsl:for-each select="//totals/summaryInfo/mopTotals/sale/mopInfo[@isCardBased='true']">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="mopCID" select="./@sysid"/>
									<tr bgcolor="#FFFFFF">
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td width="150" height="20">
											<font size="2">
												<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopCID]/name"/> - Card Based</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopCID]/count"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopCID]/amount"/>
										</td>
									</tr>
								</xsl:for-each>
								
								<xsl:for-each select="//totals/summaryInfo/mopTotals/sale/mopInfo[@isCardBased='false']">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="mopID" select="./@sysid"/>
									<tr bgcolor="#FFFFFF">
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td width="150" height="20">
											<font size="2">
												<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopID]/name"/>
											</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopID]/count"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopID]/amount"/>
										</td>
									</tr>
								</xsl:for-each>
								<tr bgcolor="#DBDBDB">
									<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Tot MOP Sales</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/mopTotals/sale/total"/>
									</td>
								</tr>
								<tr>
									<td align="left" colspan="5">MOP Cancel/Refund</td>
								</tr>
								
								
								<xsl:for-each select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@isCardBased='true']">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="mopCID" select="./@sysid"/>
									<tr bgcolor="#FFFFFF">
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td width="150" height="20">
											<font size="2">
												<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopCID]/name"/> - Card Based</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopCID]/count"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopCID]/amount"/>
										</td>
									</tr>
								</xsl:for-each>
								
								<xsl:for-each select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@isCardBased='false']">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="mopID" select="./@sysid"/>
									<tr bgcolor="#FFFFFF">
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td width="150" height="20">
											<font size="2">
												<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopID]/name"/>
											</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopID]/count"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopID]/amount"/>
										</td>
									</tr>
								</xsl:for-each>
								<tr>
									<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Tot MOP Cancel/Refunds</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">(<xsl:value-of select="//totals/summaryInfo/mopTotals/cancelRefund/total"/>)</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				
				<br/>
				<table cellspacing="0" cellpadding="0" width="675" height="1">
					<tr>
						<td width="340">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Payment Out</b>
							</font>
						</td>
						<td width="361">
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Payment In</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="607" height="1" colspan="2">
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="607" height="1" bgcolor="#FFFFFF">
								<tr bgcolor="#3366CC">
									<td width="165" height="19">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="12" height="19" align="right"/>
									<td width="42" height="19">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="12" height="19" align="right"/>
									<td width="75" height="19" align="right">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
									<td width="21" bgcolor="#FFFFFF" height="20"/>
									<td width="128" height="19">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="12" height="19" align="right"/>
									<td width="44" height="19">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="12" height="19" align="right"/>
									<td width="84" height="19" align="right">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20">Cash Back</td>
									<td width="12" height="20"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/cashBack/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/cashBack/amount"/>
									</td>
									<td width="21" height="20"/>
									<td width="128" height="20">Cash Back Cancels</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/cashBackCancel/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/cashBackCancel/amount"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="147">Pay Out</td>
									<td width="1" align="right"/>
									<td width="42" align="right">
										<xsl:value-of select="//totals/summaryInfo/payOut/count"/>
									</td>
									<td width="12" align="right"/>
									<td width="75" align="right">
										<xsl:value-of select="//totals/summaryInfo/payOut/amount"/>
									</td>
									<td width="21" bgcolor="#FFFFFF"/>
									<td width="128">Pay In</td>
									<td width="12" align="right"/>
									<td width="44" align="right">
										<xsl:value-of select="//totals/summaryInfo/payIn/count"/>
									</td>
									<td width="12" align="right"/>
									<td width="84" align="right">
										<xsl:value-of select="//totals/summaryInfo/payIn/amount"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="147">
										<font size="2">Change/Check</font>
									</td>
									<td width="12" align="right"/>
									<td width="42" align="right">
										<xsl:value-of select="//totals/summaryInfo/changeCheck/count"/>
									</td>
									<td width="12" align="right"/>
									<td width="75" align="right">
										<xsl:value-of select="//totals/summaryInfo/changeCheck/amount"/>
									</td>
									<td width="21"/>
									<td width="128">
										<font size="2">In House</font>
									</td>
									<td width="12" align="right"/>
									<td width="44" align="right">
										<xsl:value-of select="//totals/summaryInfo/inHousePayIn/count"/>
									</td>
									<td width="12" align="right"/>
									<td width="84" align="right">
										<xsl:value-of select="//totals/summaryInfo/inHousePayIn/amount"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="147">
										<font size="2">In House</font>
									</td>
									<td width="12" align="center"/>
									<td width="42" align="right">
										<xsl:value-of select="//totals/summaryInfo/inHousePayOut/count"/>
									</td>
									<td width="12" align="center"/>
									<td width="75" align="right">
										<xsl:value-of select="//totals/summaryInfo/inHousePayOut/amount"/>
									</td>
									<td/>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="147">
										<font size="2">Safe Drops</font>
									</td>
									<td width="12" align="right"/>
									<td width="42" align="right">
										<xsl:value-of select="//totals/summaryInfo/safeDrop/total/count"/>
									</td>
									<td width="12" align="right"/>
									<td width="75" align="right">
										<xsl:value-of select="//totals/summaryInfo/safeDrop/total/amount"/>
									</td>
									<td width="21" bgcolor="#FFFFFF"/>
									<td width="128">
										<font size="2">Safe Loans</font>
									</td>
									<td width="12" align="right"/>
									<td width="44" align="right">
										<xsl:value-of select="//totals/summaryInfo/safeLoan/count"/>
									</td>
									<td width="12" align="right"/>
									<td width="84" align="right">
										<xsl:value-of select="//totals/summaryInfo/safeLoan/amount"/>
									</td>
								</tr>
								
								
								<xsl:for-each select="//totals/summaryInfo/safeDrop/mopInfo[@isCardBased='false']">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="safeID" select="./@sysid"/>
									<tr bgcolor="#FFFFFF">
										<td colspan="2" align="right">
											<font size="2">
												<xsl:value-of select="//totals/summaryInfo/safeDrop/mopInfo[@sysid=$safeID]/name"/>
											</font>
										</td>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/safeDrop/mopInfo[@sysid=$safeID]/count"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//totals/summaryInfo/safeDrop/mopInfo[@sysid=$safeID]/amount"/>
										</td>
									</tr>
								</xsl:for-each>
								
								<xsl:for-each select="//totals/summaryInfo/safeDrop/mopInfo[@isCardBased='true']">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="safeCID" select="./@sysid"/>
									<tr bgcolor="#FFFFFF">
										<td colspan="2" align="right">
											<font size="2">
												<xsl:value-of select="//totals/summaryInfo/safeDrop/mopInfo[@sysid=$safeCID]/name"/> - Card Based</font>
										</td>
										<td align="right">
											<xsl:value-of select="//totals/summaryInfo/safeDrop/mopInfo[@sysid=$safeCID]/count"/>
										</td>
										<td align="right"/>
										<td align="right">
											<xsl:value-of select="//totals/summaryInfo/safeDrop/mopInfo[@sysid=$safeCID]/amount"/>
										</td>
									</tr>
								</xsl:for-each>
								<tr bgcolor="#FFFFFF">
									<td colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
									<td/>
									<td colspan="5">
										<hr align="left" color="#DBDBDB"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="147">Tot Payment Out</td>
									<td width="12" align="right"/>
									<td width="42" align="right"/>
									<td width="12" align="right"/>
									<td width="75" align="right">(<xsl:value-of select="//totals/summaryInfo/totalPaymentOut"/>)</td>
									<td width="21" bgcolor="#FFFFFF"/>
									<td width="128">Tot Payment In</td>
									<td width="12" align="right"/>
									<td width="44" align="right"/>
									<td width="12" align="right"/>
									<td width="84" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalPaymentIn"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				
				<br/>
				<table cellspacing="0" cellpadding="0" width="607" height="183">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Memo Items</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="594" height="1">
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="607" height="65" bgcolor="#FFFFFF">
								<tr>
									<td width="147" bgcolor="#3366CC" height="20" colspan="2">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="12" bgcolor="#3366CC" height="20" align="right"/>
									<td width="42" bgcolor="#3366CC" height="20">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="12" bgcolor="#3366CC" height="20" align="right"/>
									<td width="75" bgcolor="#3366CC" height="20" align="right">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
									<td width="21" height="20"/>
									<td width="128" bgcolor="#3366CC" height="20">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="12" bgcolor="#3366CC" height="20"/>
									<td width="44" bgcolor="#3366CC" height="20">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="12" bgcolor="#3366CC" height="20"/>
									<td width="84" bgcolor="#3366CC" height="20">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
								</tr>
								
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20" colspan="2">Items</td>
									<td width="12" height="20"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/itemCount"/>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right"/>
									<td width="21" height="20"/>
									<td width="128" height="20">Suspended</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/suspendTotal/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/suspendTotal/amount"/>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Customer</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/customerCount"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right"/>
									<td width="21" bgcolor="#FFFFFF" height="20"/>
									<td width="128" height="20">Suspend/Void</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/suspendVoid/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/suspendVoid/amount"/>
									</td>
								</tr>
								
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">No Sales</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/noSaleCount"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="128" height="20">
										<font color="" size="2">Unsettled Suspend</font>
									</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/suspendUnsettled/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/suspendUnsettled/amount"/>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Drawer Viols</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/drawerViolations"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right"/>
									<td width="12" bgcolor="#FFFFFF" height="20"/>
									<td width="128" height="20">
										<font color="" size="2">Reserve Stop</font>
									</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/reserveStop/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/reserveStop/amount"/>
									</td>
								</tr>
								
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Login Overrides</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/loginOverrides"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="128" height="20">
										<font color="" size="2">Reserve Approve</font>
									</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/reserveApprove/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/reserveApprove/amount"/>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Discounts</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalDiscounts/count"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalDiscounts/amount"/>
									</td>
								</tr>
								
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Err/Corrects</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/errorCorrect/count"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/errorCorrect/amount"/>
									</td>
									<td width="12" height="20"/>
									<td width="128" height="20">
										<font color="" size="2">Coin Dispenser</font>
									</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/coinDispenser/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/coinDispenser/amount"/>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Void Lines</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/voidLine/count"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/voidLine/amount"/>
									</td>
									<td width="12" bgcolor="#FFFFFF" height="20"/>
									<td width="128" height="20">
										<font color="" size="2"> Vendor Payments</font>
									</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/vendorPayments/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/vendorPayments/amount"/>
									</td>
								</tr>
								
								<tr>
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Void Tickets</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/voidTicket/count"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/voidTicket/amount"/>
									</td>
									<td width="12" bgcolor="#FFFFFF" height="20"/>
									<td width="128" height="20">
										<font color="" size="2">Safe Drop Cancels</font>
									</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/safeDropCancel/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/safeDropCancel/amount"/>
									</td>
								</tr>
								<tr>
									<td align="center" width="147" height="20" colspan="2">
										<font color="" size="2">Positive</font>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="42" height="20" align="center">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/voidTicket/positive/count"/>
										</nobr>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="75" height="20" align="center">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/voidTicket/positive/amount"/>
										</nobr>
									</td>
								</tr>
								<tr>
									<td align="center" width="147" height="20" colspan="2">
										<font color="" size="2">Negative</font>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="42" height="20" align="center">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/voidTicket/negative/count"/>
										</nobr>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="75" height="20" align="center">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/voidTicket/negative/amount"/>
										</nobr>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Prepaid Recharge</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/prepaidRecharge/count"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/prepaidRecharge/amount"/>
										</nobr>
									</td>
									<td width="12" bgcolor="#FFFFFF" height="20"/>
									<td width="128" height="20">
										<font color="" size="2">Prepaid Activation</font>
									</td>
									<td width="12" height="20"/>
									<td width="44" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/prepaidActivation/count"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="84" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/prepaidActivation/amount"/>
										</nobr>
									</td>
								</tr>
								
								<tr>
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Scanned Coupons</font>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="42" height="20" align="center">
										<nobr>
										</nobr>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="75" height="20" align="center">
										<nobr>
										</nobr>
									</td>
									
								</tr>
								
								<tr>
									<td align="center" width="147" height="20" colspan="2">
										<font color="" size="2">Ticket Level</font>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/ticketLvlCoupons/count"/>
										</nobr>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/ticketLvlCoupons/amount"/>
										</nobr>
									</td>
								</tr>
								
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20" colspan="2">
										<font color="" size="2">Fuel Converts</font>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="42" height="20" align="center">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/fuelConversion/count"/>
										</nobr>
									</td>
									<td width="12" height="20" align="center"/>
									<td width="75" height="20" align="center">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/fuelConversion/amount"/>
										</nobr>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				<br/>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<tr bgcolor="#FFFFFF">
						<tr>
							<td width="147" bgcolor="#3366CC" height="20">
								<font color="#FFFFFF" size="2">
									<b>Pump Overruns </b>
								</font>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="right"/>
							<td width="42" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Count</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="right"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Volume</font>
								</b>
							</td>
							<td width="12" bgcolor="#3366CC" height="20" align="right"/>
							<td width="75" bgcolor="#3366CC" height="20" align="right">
								<b>
									<font color="#FFFFFF">Amount</font>
								</b>
							</td>
						</tr>
						<xsl:choose>
							<xsl:when test="//totals/summaryInfo/fuelOverrun">
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20">Fuel Overruns</td>
									<td width="12" height="20"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/fuelOverrun/count"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/fuelOverrun/volume"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/fuelOverrun/amount"/>
										</nobr>
									</td>
								</tr>
							</xsl:when>
							<xsl:otherwise>
									<xsl:choose>
									<xsl:when test="//totals/summaryInfo/autoDroppedFuelOverrun">
									<tr bgcolor="#FFFFFF">
									<td width="147" height="20"> Auto dropped</td>
									<td width="12" height="20"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/autoDroppedFuelOverrun/count"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/autoDroppedFuelOverrun/volume"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/autoDroppedFuelOverrun/amount"/>
										</nobr>
									</td>
								</tr>
								</xsl:when>
								<xsl:otherwise>
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20"> Auto settled</td>
									<td width="12" height="20"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/autoSettledFuelOverrun/count"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/autoSettledFuelOverrun/volume"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/autoSettledFuelOverrun/amount"/>
										</nobr>
									</td>
								</tr>
								</xsl:otherwise>
								</xsl:choose>
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20">Manual settled </td>
									<td width="12" height="20"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/manuallySettledFuelOverrun/count"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/manuallySettledFuelOverrun/volume"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/manuallySettledFuelOverrun/amount"/>
										</nobr>
									</td>
								</tr>
							</xsl:otherwise>
						</xsl:choose>
					</tr>
				</table>
				<br/>
				
				<br/>
				<table cellspacing="0" cellpadding="0" width="607" height="183">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Pop Memo Items</b>
							</font>
						</td>
					</tr>
					<tr>
						<td width="594" height="1">
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
								<tr>
									<td width="147" bgcolor="#3366CC" height="20">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="12" bgcolor="#3366CC" height="20" align="right"/>
									<td width="42" bgcolor="#3366CC" height="20" align="right">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="12" bgcolor="#3366CC" height="20" align="right"/>
									<td width="75" bgcolor="#3366CC" height="20" align="right">
										<b>
											<font color="#FFFFFF">Volume</font>
										</b>
									</td>
									<td width="12" bgcolor="#3366CC" height="20" align="right"/>
									<td width="75" bgcolor="#3366CC" height="20" align="right">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20">Post Dispensed</td>
									<td width="12" height="20"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/popPostdispensed/count"/>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/popPostdispensed/volume"/>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/popPostdispensed/amount"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20">
										<font color="" size="2">Pre-Dispensed</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/popPredispensed/count"/>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/popPredispensed/volume"/>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/popPredispensed/amount"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20">
										<font color="" size="2">Pre and Post Dispensed</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="sum(//totals/summaryInfo/popPostdispensed/count) + sum(//totals/summaryInfo/popPredispensed/count)"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="format-number(sum(//totals/summaryInfo/popPostdispensed/volume) + sum(//totals/summaryInfo/popPredispensed/volume),'#,##0.000')"/>
										</nobr>
									</td>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right">
										<nobr>
											<xsl:value-of select="format-number(sum(//totals/summaryInfo/popPostdispensed/amount)+sum(//totals/summaryInfo/popPredispensed/amount),'#,##0.00')"/>
										</nobr>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20">
										<font color="" size="2">Tot Codes Redeemed</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/popCodesRedeemed"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="75" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right"/>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20">
										<font color="" size="2">Tot Codes Earned</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/popCodesEarned"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right"/>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20">
										<font color="" size="2">Tot Coupons Earned</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/popCouponsEarned"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right"/>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="147" height="20">
										<font color="" size="2">Tot Free Codes</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/popCodesFree"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right"/>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="147" height="20">
										<font color="" size="2">Tot Free Coupons</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/popCouponsFree"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right"/>
								</tr>
								<tr>
									<td width="147" height="20">
										<font color="" size="2">Tot Member Ids</font>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right">
										<nobr>
											<xsl:value-of select="//totals/summaryInfo/popMemberIDs"/>
										</nobr>
									</td>
									<td width="12" height="20" align="right"/>
									<td width="42" height="20" align="right"/>
									<td width="12" height="20"/>
									<td width="75" height="20" align="right"/>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Transaction Timings</b>
							</font>
						</td>
					</tr>
					<tr>
						<td>
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
								<tr>
									<td width="150" bgcolor="#3366CC" height="19">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="10" bgcolor="#3366CC" height="19" align="right"/>
									<td width="45" bgcolor="#3366CC" height="19">
										<b>
											<font color="#FFFFFF">Max</font>
										</b>
									</td>
									<td width="9" bgcolor="#3366CC" height="19" align="right"/>
									<td width="74" bgcolor="#3366CC" height="19" align="right">
										<b>
											<font color="#FFFFFF">Average</font>
										</b>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">Total</td>
									<td width="10" height="20"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/transTimeInfo/max"/>
									</td>
									<td width="9" height="20"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/transTimeInfo/avg"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Network</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/networkTransTime/max"/>
									</td>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/networkTransTime/avg"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Network Suspended</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/networkSuspendedTransTime/max"/>
									</td>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/networkSuspendedTransTime/avg"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">
										<font size="2">End of Ticket</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/endOfTransTime/max"/>
									</td>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/endOfTransTime/avg"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td>
							<font face="Trebuchet MS" color="#3366CC" size="3">
								<b>Totals</b>
							</font>
						</td>
					</tr>
					<tr>
						<td>
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
								<tr>
									<td width="150" bgcolor="#3366CC" height="19">
										<font color="#FFFFFF" size="2">
											<b>Category</b>
										</font>
									</td>
									<td width="10" bgcolor="#3366CC" height="19" align="right"/>
									<td width="45" bgcolor="#3366CC" height="19">
										<b>
											<font color="#FFFFFF">Count</font>
										</b>
									</td>
									<td width="9" bgcolor="#3366CC" height="19" align="right"/>
									<td width="74" bgcolor="#3366CC" height="19" align="right">
										<b>
											<font color="#FFFFFF">Amount</font>
										</b>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">Cash Back Fee</td>
									<td width="10" height="20"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/cashBackFee/count"/>
									</td>
									<td width="9" height="20"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/cashBackFee/amount"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Cancel/Refund Cash Back Fee</td>
									<td width="10" height="20"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/cashBackFeeCanceled/count"/>
									</td>
									<td width="9" height="20"/>
									<td width="74" height="20" align="right">
										(<xsl:value-of select="//totals/summaryInfo/cashBackFeeCanceled/amount"/>)
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">Debit Fee</td>
									<td width="10" height="20"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/debitFee/count"/>
									</td>
									<td width="9" height="20"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/debitFee/amount"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">Cancel/Refund Debit Fee</td>
									<td width="10" height="20"/>
									<td width="45" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/debitFeeCanceled/count"/>
									</td>
									<td width="9" height="20"/>
									<td width="74" height="20" align="right">
										(<xsl:value-of select="//totals/summaryInfo/debitFeeCanceled/amount"/>)
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">Fuel Sales</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/fuelSales"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">
										<font size="2">Merch Sales</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/merchSales"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Fuel Discount</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/fuelDiscounts"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">
										<font size="2">Refund Taxes</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalRefundTaxes"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Sales Taxes</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalSalesTaxes"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">
										<font size="2">Tot Taxes</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalTaxes"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Incl Taxes</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/summaryInfo/totalIncludedTaxes"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">
										<font size="2">Grand Totalizer Begin</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/totalizers/start/overallGrand"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Grand Totalizer End</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/totalizers/end/overallGrand"/>
									</td>
								</tr>
								<tr bgcolor="#DBDBDB">
									<td width="150" height="20">
										<font size="2">Sales Totalizer Begin</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/totalizers/start/overallSales"/>
									</td>
								</tr>
								<tr bgcolor="#FFFFFF">
									<td width="150" height="20">
										<font size="2">Sales Totalizer End</font>
									</td>
									<td width="10" height="20" align="right"/>
									<td width="45" height="20" align="right"/>
									<td width="9" height="20" align="right"/>
									<td width="74" height="20" align="right">
										<xsl:value-of select="//totals/totalizers/end/overallSales"/>
									</td>
								</tr>
							</table>
						</td>
					</tr>
				</table>
				
				<xsl:variable name="csh" select="//byCashier/vs:cashier/@sysid[not(.=preceding::vs:cashier/@sysid)]"/>
				<xsl:for-each select="$csh">
					<xsl:sort select="." data-type="text"/>
					<xsl:variable name="meCsh" select="."/>
					
					<br/>
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
					<table cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<font face="Trebuchet MS" size="3" color="#3366CC">
									<b>Cashier <xsl:value-of select="$meCsh"/>
									</b>
								</font>
								<font face="Trebuchet MS" size="2" color="#3366CC">
							 - <xsl:value-of select="//byCashier/vs:cashier[@sysid=$meCsh]/name"/>
								</font>
							</td>
						</tr>
						<tr>
							<td width="298" height="159">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="298" height="199" bgcolor="#FFFFFF">
									<tr>
										<td width="150" bgcolor="#3366CC" height="19">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="10" bgcolor="#3366CC" height="19" align="right"/>
										<td width="45" bgcolor="#3366CC" height="19">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="9" bgcolor="#3366CC" height="19" align="right"/>
										<td width="74" bgcolor="#3366CC" height="19" align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">MOP Sales</td>
										<td width="10" height="20"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/total"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">MOP Cancel Refund</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">-<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/total"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
											<hr align="left" color="#DBDBDB"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">
											<font size="2">Net Sales Total</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/netSales"/>
										</td>
									</tr>
									<tr>
										<td align="right" colspan="5" height="20"/>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">
											<font size="2">Payment Out</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">(<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalPaymentOut"/>)</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">
											<font size="2">Payment In</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalPaymentIn"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
											<hr align="left" color="#DBDBDB"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">Tot to Account For</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalToAccountFor"/>
										</td>
									</tr>
									
									<tr>
										<td align="right" colspan="5">MOP Sales</td>
									</tr>
									
									<xsl:for-each select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@isCardBased='true']">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="mopCID" select="./@sysid"/>
										<tr bgcolor="#FFFFFF">
											<xsl:choose>
												<xsl:when test="position() mod 2 &gt; 0">
													<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
											<td width="150" height="20">
												<font size="2">
													<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopCID]/name"/> - Card Based</font>
											</td>
											<td width="10" height="20" align="right"/>
											<td width="45" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopCID]/count"/>
											</td>
											<td width="9" height="20" align="right"/>
											<td width="74" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopCID]/amount"/>
											</td>
										</tr>
									</xsl:for-each>
									
									<xsl:for-each select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@isCardBased='false']">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="mopID" select="./@sysid"/>
										<tr bgcolor="#FFFFFF">
											<xsl:choose>
												<xsl:when test="position() mod 2 &gt; 0">
													<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
											<td width="150" height="20">
												<font size="2">
													<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopID]/name"/>
												</font>
											</td>
											<td width="10" height="20" align="right"/>
											<td width="45" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopID]/count"/>
											</td>
											<td width="9" height="20" align="right"/>
											<td width="74" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/mopInfo[@sysid=$mopID]/amount"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
											<hr align="left" color="#DBDBDB"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">Tot MOP Sales</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/sale/total"/>
										</td>
									</tr>
									
									<tr>
										<td align="right" colspan="5">MOP Cancel/Refund</td>
									</tr>
									
									<xsl:for-each select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@isCardBased='true']">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="mopCID" select="./@sysid"/>
										<tr bgcolor="#FFFFFF">
											<xsl:choose>
												<xsl:when test="position() mod 2 &gt; 0">
													<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
											<td width="150" height="20">
												<font size="2">
													<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopCID]/name"/> - Card Based</font>
											</td>
											<td width="10" height="20" align="right"/>
											<td width="45" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopCID]/count"/>
											</td>
											<td width="9" height="20" align="right"/>
											<td width="74" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopCID]/amount"/>
											</td>
										</tr>
									</xsl:for-each>
									
									<xsl:for-each select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@isCardBased='false']">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="mopID" select="./@sysid"/>
										<tr bgcolor="#FFFFFF">
											<xsl:choose>
												<xsl:when test="position() mod 2 &gt; 0">
													<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
											<td width="150" height="20">
												<font size="2">
													<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopID]/name"/>
												</font>
											</td>
											<td width="10" height="20" align="right"/>
											<td width="45" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopID]/count"/>
											</td>
											<td width="9" height="20" align="right"/>
											<td width="74" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/mopInfo[@sysid=$mopID]/amount"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr>
										<td width="288" height="20" bgcolor="#FFFFFF" colspan="5">
											<hr align="left" color="#DBDBDB"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">Tot MOP Cancel/Refunds</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">-<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/mopTotals/cancelRefund/total"/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					
					<br/>
					<table cellspacing="0" cellpadding="0" width="675" height="1">
						<tr>
							<td width="340">
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>Payment Out</b>
								</font>
							</td>
							<td width="361">
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>Payment In</b>
								</font>
							</td>
						</tr>
						<tr>
							<td width="607" height="1" colspan="2">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="607" height="1" bgcolor="#FFFFFF">
									<tr bgcolor="#3366CC">
										<td width="165" height="19">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="12" height="19" align="right"/>
										<td width="42" height="19">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="12" height="19" align="right"/>
										<td width="75" height="19" align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td width="21" bgcolor="#FFFFFF" height="20"/>
										<td width="128" height="19">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="12" height="19" align="right"/>
										<td width="44" height="19">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="12" height="19" align="right"/>
										<td width="84" height="19" align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20">Cash Back</td>
										<td width="12" height="20"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBack/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBack/amount"/>
										</td>
										<td width="21" height="20"/>
										<td width="128" height="20">Cash Back Cancels</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBackCancel/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBackCancel/amount"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147">Pay Out</td>
										<td width="1" align="right"/>
										<td width="42" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/payOut/count"/>
										</td>
										<td width="12" align="right"/>
										<td width="75" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/payOut/amount"/>
										</td>
										<td width="21" bgcolor="#FFFFFF"/>
										<td width="128">Pay In</td>
										<td width="12" align="right"/>
										<td width="44" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/payIn/count"/>
										</td>
										<td width="12" align="right"/>
										<td width="84" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/payIn/amount"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="147">
											<font size="2">Change/Check</font>
										</td>
										<td width="12" align="right"/>
										<td width="42" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/changeCheck/count"/>
										</td>
										<td width="12" align="right"/>
										<td width="75" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/changeCheck/amount"/>
										</td>
										<td width="21"/>
										<td width="128">
											<font size="2">In House</font>
										</td>
										<td width="12" align="right"/>
										<td width="44" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/inHousePayIn/count"/>
										</td>
										<td width="12" align="right"/>
										<td width="84" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/inHousePayIn/amount"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="147">
											<font size="2">In House</font>
										</td>
										<td width="12" align="center"/>
										<td width="42" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/inHousePayOut/count"/>
										</td>
										<td width="12" align="center"/>
										<td width="75" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/inHousePayOut/amount"/>
										</td>
										<td/>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147">
											<font size="2">Safe Drops</font>
										</td>
										<td width="12" align="right"/>
										<td width="42" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/total/count"/>
										</td>
										<td width="12" align="right"/>
										<td width="75" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/total/amount"/>
										</td>
										<td width="21" bgcolor="#FFFFFF"/>
										<td width="128">
											<font size="2">Safe Loans</font>
										</td>
										<td width="12" align="right"/>
										<td width="44" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeLoan/count"/>
										</td>
										<td width="12" align="right"/>
										<td width="84" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeLoan/amount"/>
										</td>
									</tr>
									
									
									<xsl:for-each select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@isCardBased='false']">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="safeID" select="./@sysid"/>
										<tr bgcolor="#FFFFFF">
											<td colspan="2" align="right">
												<font size="2">
													<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@sysid=$safeID]/name"/>
												</font>
											</td>
											<td width="45" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@sysid=$safeID]/count"/>
											</td>
											<td width="9" height="20" align="right"/>
											<td width="74" height="20" align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@sysid=$safeID]/amount"/>
											</td>
										</tr>
									</xsl:for-each>
									
									<xsl:for-each select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@isCardBased='true']">
										<xsl:sort select="." data-type="number"/>
										<xsl:variable name="safeCID" select="./@sysid"/>
										<tr bgcolor="#FFFFFF">
											<td colspan="2" align="right">
												<font size="2">
													<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@sysid=$safeCID]/name"/> - Card Based</font>
											</td>
											<td align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@sysid=$safeCID]/count"/>
											</td>
											<td align="right"/>
											<td align="right">
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDrop/mopInfo[@sysid=$safeCID]/amount"/>
											</td>
										</tr>
									</xsl:for-each>
									<tr bgcolor="#FFFFFF">
										<td colspan="5">
											<hr align="left" color="#DBDBDB"/>
										</td>
										<td/>
										<td colspan="5">
											<hr align="left" color="#DBDBDB"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147">Tot Payment Out</td>
										<td width="12" align="right"/>
										<td width="42" align="right"/>
										<td width="12" align="right"/>
										<td width="75" align="right">(<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalPaymentOut"/>)</td>
										<td width="21" bgcolor="#FFFFFF"/>
										<td width="128">Tot Payment In</td>
										<td width="12" align="right"/>
										<td width="44" align="right"/>
										<td width="12" align="right"/>
										<td width="84" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalPaymentIn"/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					
					<br/>
					<table cellspacing="0" cellpadding="0" width="607" height="183">
						<tr>
							<td>
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>Memo Items</b>
								</font>
							</td>
						</tr>
						<tr>
							<td width="594" height="1">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" width="607" height="65" bgcolor="#FFFFFF">
									<tr>
										<td width="147" bgcolor="#3366CC" height="20" colspan="2">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="12" bgcolor="#3366CC" height="20" align="right"/>
										<td width="42" bgcolor="#3366CC" height="20">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="12" bgcolor="#3366CC" height="20" align="right"/>
										<td width="75" bgcolor="#3366CC" height="20" align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
										<td width="21" height="20"/>
										<td width="128" bgcolor="#3366CC" height="20">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="12" bgcolor="#3366CC" height="20"/>
										<td width="44" bgcolor="#3366CC" height="20">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="12" bgcolor="#3366CC" height="20"/>
										<td width="84" bgcolor="#3366CC" height="20">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
									</tr>
									
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20" colspan="2">Items</td>
										<td width="12" height="20"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/itemCount"/>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right"/>
										<td width="21" height="20"/>
										<td width="128" height="20">Suspended</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/suspendTotal/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/suspendTotal/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Customer</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/customerCount"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right"/>
										<td width="21" bgcolor="#FFFFFF" height="20"/>
										<td width="128" height="20">Suspend/Void</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/suspendVoid/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/suspendVoid/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">No Sales</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/noSaleCount"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="128" height="20">
											<font color="" size="2">Unsettled Suspend</font>
										</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/suspendUnsettled/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/suspendUnsettled/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Drawer Viols</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/drawerViolations"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right"/>
										<td width="12" bgcolor="#FFFFFF" height="20"/>
										<td width="128" height="20">
											<font color="" size="2">Reserve Stop</font>
										</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/reserveStop/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/reserveStop/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Login Overrides</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/loginOverrides"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="128" height="20">
											<font color="" size="2">Reserve Approve</font>
										</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/reserveApprove/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/reserveApprove/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Discounts</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalDiscounts/count"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalDiscounts/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Err/Corrects</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/errorCorrect/count"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/errorCorrect/amount"/>
										</td>
										<td width="12" height="20"/>
										<td width="128" height="20">
											<font color="" size="2">Coin Dispenser</font>
										</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/coinDispenser/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/coinDispenser/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Void Lines</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/voidLine/count"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/voidLine/amount"/>
										</td>
										<td width="12" bgcolor="#FFFFFF" height="20"/>
										<td width="128" height="20">
											<font color="" size="2"> Vendor Payments</font>
										</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/vendorPayments/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/vendorPayments/amount"/>
										</td>
									</tr>
									
									<tr>
										<td width="147" height="20" colspan="2">
											<font size="2">Void Tickets</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/voidTicket/count"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/voidTicket/amount"/>
										</td>
										<td width="12" bgcolor="#FFFFFF" height="20"/>
										<td width="128" height="20">
											<font color="" size="2">Safe Drop Cancels</font>
										</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDropCancel/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/safeDropCancel/amount"/>
										</td>
									</tr>
									
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Prepaid Recharge</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/prepaidRecharge/count"/>
											</nobr>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/prepaidRecharge/amount"/>
											</nobr>
										</td>
										<td width="12" bgcolor="#FFFFFF" height="20"/>
										<td width="128" height="20">
											<font color="" size="2">Prepaid Activation</font>
										</td>
										<td width="12" height="20"/>
										<td width="44" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/prepaidActivation/count"/>
											</nobr>
										</td>
										<td width="12" height="20"/>
										<td width="84" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/prepaidActivation/amount"/>
											</nobr>
										</td>
									</tr>
									
									<tr>
										<td width="147" height="20" colspan="2">
											<font color="" size="2">Scanned Coupons</font>
										</td>
										<td width="12" height="20" align="center"/>
										<td width="42" height="20" align="center">
											<nobr>
										</nobr>
										</td>
										<td width="12" height="20" align="center"/>
										<td width="75" height="20" align="center">
											<nobr>
										</nobr>
										</td>
										
									</tr>
									
									<tr>
										<td align="center" width="147" height="20" colspan="2">
											<font color="" size="2">Ticket Level</font>
										</td>
										<td width="12" height="20" align="center"/>
										<td width="42" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/ticketLvlCoupons/count"/>
											</nobr>
										</td>
										<td width="12" height="20" align="center"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/ticketLvlCoupons/amount"/>
											</nobr>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					<br/>
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
						<tr bgcolor="#FFFFFF">
							<tr>
								<td width="147" bgcolor="#3366CC" height="20">
									<font color="#FFFFFF" size="2">
										<b>Pump Overruns </b>
									</font>
								</td>
								<td width="12" bgcolor="#3366CC" height="20" align="right"/>
								<td width="42" bgcolor="#3366CC" height="20" align="right">
									<b>
										<font color="#FFFFFF">Count</font>
									</b>
								</td>
								<td width="12" bgcolor="#3366CC" height="20" align="right"/>
								<td width="75" bgcolor="#3366CC" height="20" align="right">
									<b>
										<font color="#FFFFFF">Volume</font>
									</b>
								</td>
								<td width="12" bgcolor="#3366CC" height="20" align="right"/>
								<td width="75" bgcolor="#3366CC" height="20" align="right">
									<b>
										<font color="#FFFFFF">Amount</font>
									</b>
								</td>
							</tr>
							<xsl:choose>
								<xsl:when test="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/fuelOverrun">
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20">Fuel Overruns</td>
										<td width="12" height="20"/>
										<td width="42" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/fuelOverrun/count"/>
											</nobr>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/fuelOverrun/volume"/>
											</nobr>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/fuelOverrun/amount"/>
											</nobr>
										</td>
									</tr>
								</xsl:when>
								<xsl:otherwise>
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20"> Auto settled</td>
										<td width="12" height="20"/>
										<td width="42" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/autoSettledFuelOverrun/count"/>
											</nobr>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/autoSettledFuelOverrun/volume"/>
											</nobr>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/autoSettledFuelOverrun/amount"/>
											</nobr>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20">Manual settled </td>
										<td width="12" height="20"/>
										<td width="42" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/manuallySettledFuelOverrun/count"/>
											</nobr>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/manuallySettledFuelOverrun/volume"/>
											</nobr>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<nobr>
												<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/manuallySettledFuelOverrun/volume"/>
											</nobr>
										</td>
									</tr>
								</xsl:otherwise>
							</xsl:choose>
						</tr>
					</table>
					<br/>
					
					<br/>
					<table cellspacing="0" cellpadding="0" width="607" height="183">
						<tr>
							<td>
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>Pop Memo Items</b>
								</font>
							</td>
						</tr>
						<tr>
							<td width="594" height="1">
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
									<tr>
										<td width="147" bgcolor="#3366CC" height="20">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="12" bgcolor="#3366CC" height="20" align="right"/>
										<td width="42" bgcolor="#3366CC" height="20" align="right">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="12" bgcolor="#3366CC" height="20" align="right"/>
										<td width="75" bgcolor="#3366CC" height="20" align="right">
											<b>
												<font color="#FFFFFF">Volume</font>
											</b>
										</td>
										<td width="12" bgcolor="#3366CC" height="20" align="right"/>
										<td width="75" bgcolor="#3366CC" height="20" align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20">Post Dispensed</td>
										<td width="12" height="20"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPostdispensed/count"/>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPostdispensed/volume"/>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPostdispensed/amount"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20">
											<font color="" size="2">Pre-Dispensed</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPredispensed/count"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPredispensed/volume"/>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPredispensed/amount"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20">
											<font color="" size="2">Pre and Post Dispensed</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="sum(//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPostdispensed/count) + sum(//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPredispensed/count)"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="format-number(sum(//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPostdispensed/volume) + sum(//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPredispensed/volume),'#,##0.000')"/>
										</td>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right">
											<xsl:value-of select="format-number(sum(//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPostdispensed/amount)+sum(//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popPredispensed/amount),'#,##0.00')"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20">
											<font color="" size="2">Tot Codes Redeemed</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popCodesRedeemed"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right"/>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20">
											<font color="" size="2">Tot Codes Earned</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popCodesEarned"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right"/>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20">
											<font color="" size="2">Tot Coupons Earned</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popCouponsEarned"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right"/>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="147" height="20">
											<font color="" size="2">Tot Free Codes</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popCodesFree"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right"/>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="147" height="20">
											<font color="" size="2">Tot Free Coupons</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popCouponsFree"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right"/>
									</tr>
									<tr>
										<td width="147" height="20">
											<font color="" size="2">Tot Member Ids</font>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/popMemberIDs"/>
										</td>
										<td width="12" height="20" align="right"/>
										<td width="42" height="20" align="right"/>
										<td width="12" height="20"/>
										<td width="75" height="20" align="right"/>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					
					<br/>
					<table cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>Transaction Timings</b>
								</font>
							</td>
						</tr>
						<tr>
							<td>
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
									<tr>
										<td width="150" bgcolor="#3366CC" height="19">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="10" bgcolor="#3366CC" height="19" align="right"/>
										<td width="45" bgcolor="#3366CC" height="19">
											<b>
												<font color="#FFFFFF">Max</font>
											</b>
										</td>
										<td width="9" bgcolor="#3366CC" height="19" align="right"/>
										<td width="74" bgcolor="#3366CC" height="19" align="right">
											<b>
												<font color="#FFFFFF">Average</font>
											</b>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">Total</td>
										<td width="10" height="20"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/transTimeInfo/max"/>
										</td>
										<td width="9" height="20"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/transTimeInfo/avg"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">Network</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/networkTransTime/max"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/networkTransTime/avg"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">
											<font size="2">Network Suspended</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/networkSuspendedTransTime/max"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/networkSuspendedTransTime/avg"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">
											<font size="2">End of Ticket</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/endOfTransTime/max"/>
										</td>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/endOfTransTime/avg"/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
					
					<br/>
					<table cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<font face="Trebuchet MS" color="#3366CC" size="3">
									<b>Totals</b>
								</font>
							</td>
						</tr>
						<tr>
							<td>
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
									<tr>
										<td width="150" bgcolor="#3366CC" height="19">
											<font color="#FFFFFF" size="2">
												<b>Category</b>
											</font>
										</td>
										<td width="10" bgcolor="#3366CC" height="19" align="right"/>
										<td width="45" bgcolor="#3366CC" height="19">
											<b>
												<font color="#FFFFFF">Count</font>
											</b>
										</td>
										<td width="9" bgcolor="#3366CC" height="19" align="right"/>
										<td width="74" bgcolor="#3366CC" height="19" align="right">
											<b>
												<font color="#FFFFFF">Amount</font>
											</b>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">Cash Back Fee</td>
										<td width="10" height="20"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBackFee/count"/>
										</td>
										<td width="9" height="20"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBackFee/amount"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">Cancel/Refund Cash Back Fee</td>
										<td width="10" height="20"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBackFeeCanceled/count"/>
										</td>
										<td width="9" height="20"/>
										<td width="74" height="20" align="right">
											(<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/cashBackFeeCanceled/amount"/>)
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">Debit Fee</td>
										<td width="10" height="20"/>
										<td width="45" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/debitFee/count"/>
										</td>
										<td width="9" height="20"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/debitFee/amount"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">Fuel Sales</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/fuelSales"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">
											<font size="2">Merch Sales</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/merchSales"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">
											<font size="2">Fuel Discount</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/fuelDiscounts"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">
											<font size="2">Refund Taxes</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalRefundTaxes"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">
											<font size="2">Sales Taxes</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalSalesTaxes"/>
										</td>
									</tr>
									<tr bgcolor="#FFFFFF">
										<td width="150" height="20">
											<font size="2">Tot Taxes</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalTaxes"/>
										</td>
									</tr>
									<tr bgcolor="#DBDBDB">
										<td width="150" height="20">
											<font size="2">Incl Taxes</font>
										</td>
										<td width="10" height="20" align="right"/>
										<td width="45" height="20" align="right"/>
										<td width="9" height="20" align="right"/>
										<td width="74" height="20" align="right">
											<xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/summaryInfo/totalIncludedTaxes"/>
										</td>
									</tr>
								</table>
							</td>
						</tr>
					</table>
				</xsl:for-each>
			</body>
		</html>
	</xsl:template>
</xsl:transform>