<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" version="1.0">
  <xsl:include href="../common/tr_period.xsl"/>  
	
	<xsl:template xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" match="/">
		<html>
			<head>
				<title>Tank Monitor Report</title>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Tank Monitor Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				
				<table cellspacing="0" cellpadding="0">
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
							<tr>
								<td colspan="15">
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Inventory</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC" align="right">
								<td align="center">
									<b>
										<font color="#FFFFFF">Tank</font>
									</b>
								</td>
								<td/>
								<td align="center" width="168" height="1">
									<b>
										<font color="#FFFFFF">Inventory Date</font>
									</b>
								</td>
								<td/>
								<td>
									<b>
										<font color="#FFFFFF">Level</font>
									</b>
								</td>
								<td/>
								<td>
									<b>
										<font color="#FFFFFF">Volume</font>
									</b>
								</td>
								<td/>
								<td>
									<b>
										<font color="#FFFFFF">Temp</font>
									</b>
								</td>
								<td/>
								<td>
									<b>
										<font color="#FFFFFF">Ullage</font>
									</b>
								</td>
								<td/>
								<td>
									<b>
										<font color="#FFFFFF">Water</font>
									</b>
								</td>
							</tr>
							<xsl:for-each select="/*/inventoryInfo">
								<xsl:sort select="fuel:fuelTank/@sysid" data-type="number" order="ascending"/>
								<tr bgcolor="#FFFFFF" align="right">
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:apply-templates select="."/>
								</tr>
							</xsl:for-each>
						</table>
						<br/>
						
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="610">
							<tr>
								<td colspan="21">
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Leak</b>
									</font>
								</td>
							</tr>
							<tr align="right" bgcolor="3366CC">
								<td align="center" width="90">
									<b>
										<font color="#FFFFFF">Tank</font>
									</b>
								</td>
								<td/>
								<td align="left" height="1" width="80">
									<b>
										<font color="#FFFFFF">Test Start</font>
									</b>
								</td>
								<td width="7"/>
								<td align="right" width="80">
									<b>
										<font color="#FFFFFF">Beg vol</font>
									</b>
								</td>
								<td width="7"/>
								<td align="right" width="80">
									<b>
										<font color="#FFFFFF">Temp Chg</font>
									</b>
								</td>
								<td width="7"/>
								<td width="50" align="right">
									<b>
										<font color="#FFFFFF">Hour</font>
									</b>
								</td>
								<td width="7"/>
								<td width="95" align="right">
									<b>
										<font color="#FFFFFF">Leak Change</font>
									</b>
								</td>

							</tr>
							<xsl:for-each select="/*/leakInfo">
								<xsl:sort select="fuel:fuelTank/@sysid" data-type="number" order="ascending"/>
								<xsl:sort select="leakDate" data-type="text" order="descending"/>								
								<tr bgcolor="#FFFFFF" align="right'">
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:apply-templates select="."/>
								</tr>
							</xsl:for-each>
						</table>
						<br/>
						
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
							<xsl:apply-templates select="/*/alarmHistory"/>
						</table>
						<br/>
						
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
							<tr>
								<td colspan="5">
									<font face="Trebuchet MS" color="#3366CC" size="3">
										<b>Delivery Info</b>
									</font>
								</td>
								<td/>
								<td align="center" colspan="3">
									<font face="Trebuchet MS" color="#3366CC">
										<b>----Begin----</b>
									</font>
								</td>
								<td/>
								<td align="center" colspan="3">
									<font face="Trebuchet MS" color="#3366CC">
										<b>----End----</b>
									</font>
								</td>
							</tr>
							<tr bgcolor="3366CC">
								<td align="left">
									<b>
										<font color="#FFFFFF">Tank#</font>
									</b>
								</td>
								<td/>
								<td align="center">
									<b>
										<font color="#FFFFFF">Start Date</font>
									</b>
								</td>
								<td/>
								<td align="center">
									<b>
										<font color="#FFFFFF">End Date</font>
									</b>
								</td>
								<td/>
								<td align="center">
									<b>
										<font color="#FFFFFF">Vol</font>
									</b>
								</td>
								<td/>
								<td align="center">
									<b>
										<font color="#FFFFFF">Temp</font>
									</b>
								</td>
								<td/>
								<td align="center">
									<b>
										<font color="#FFFFFF">Vol</font>
									</b>
								</td>
								<td/>
								<td align="center">
									<b>
										<font color="#FFFFFF">Temp</font>
									</b>
								</td>
							</tr>
							<xsl:for-each select="/*/deliveryInfo">
								<xsl:sort select="fuel:fuelTank/@sysid" data-type="number" order="ascending"/>
							<xsl:for-each select="deliveryRecords">
								<xsl:sort select="startDate" order="descending"/>
								<tr bgcolor="#FFFFFF" align="center">
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:apply-templates select="."/>
								</tr>
							</xsl:for-each>
							</xsl:for-each>
						</table>
						<br/>
						
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
							<xsl:apply-templates select="//alarmStatus"/>
						</table>
						<br/>
						
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="600">
							<xsl:apply-templates select="//autoTransFlag"/>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
	
	
	
	
	<xsl:template match="inventoryInfo">
		<td align="center">
			<xsl:value-of select="fuel:fuelTank/@sysid"/> (<xsl:value-of select="fuel:fuelTank"/>)</td>
		<td/>
		<td align="center">
			<xsl:apply-templates select="inventoryDate"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="fuelLvl"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="fuelVolume"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="fuelTemperature"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="ullage"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="waterLvl"/>
		</td>
	</xsl:template>
	<xsl:template match="inventoryDate">
		<xsl:call-template name="isoDate"/>
	</xsl:template>
	
	<xsl:template match="leakInfo">
		<td align="center" valign="top ">
			<xsl:value-of select="fuel:fuelTank/@sysid"/> (<xsl:value-of select="fuel:fuelTank"/>)</td>
		<td/>
		<td valign="top ">
			<xsl:apply-templates select="leakDate"/>
		</td>
		<td/>
		<td align="right" valign="top ">
			<xsl:value-of select="format-number(startVolume,'##,##0')"/>
		</td>
		<td/>
		<td align="right" valign="top ">
			<xsl:value-of select="tempChange"/>
		</td>
				<td width="7"/>
		<td valign="top" align="right">
			<xsl:for-each select="./hourlyChange">
				<xsl:sort select="hourNum" data-type="number" order="ascending"/>		
						<xsl:value-of select="hourNum"/>
				<br/>
			</xsl:for-each>
		</td>
					<td width="7"/>
		<td valign="top" align="right">
			<xsl:for-each select="./hourlyChange">
				<xsl:sort select="hourNum" data-type="number" order="ascending"/>		
					<xsl:value-of select="leakChange"/>
				<br/>
			</xsl:for-each>
		</td>

	</xsl:template>
	<xsl:template match="leakDate">
		<xsl:call-template name="isoDate"/>
	</xsl:template>
	
	<xsl:template match="alarmHistory">
		<tr>
			<td colspan="7">
				<font face="Trebuchet MS" color="#3366CC" size="3">
					<b>Alarm History</b>
				</font>
			</td>
		</tr>
		<tr bgcolor="3366CC">
			<td align="left">
				<b>
					<font color="#FFFFFF">Location</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Alarm Type</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Alarm Date</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Tank#</font>
				</b>
			</td>
		</tr>
		<xsl:for-each select="externalAlarms">
			<xsl:sort select="fuel:fuelTank/@sysid" data-type="number" order="ascending"/>
			<xsl:sort select="externalAlarm/alarmTypeDescription" data-type="text" order="ascending"/>
			<xsl:sort select="externalAlarm/alarmDate" data-type="text" order="descending"/>
			<tr bgcolor="#FFFFFF" align="center">
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="."/>
			</tr>
		</xsl:for-each>
		<xsl:for-each select="internalTankAlarms">
			<xsl:sort select="fuel:fuelTank/@sysid" data-type="number" order="ascending"/>
			<xsl:sort select="internalAlarm/alarmTypeDescription" data-type="text" order="ascending"/>
			<xsl:sort select="internalAlarm/alarmDate" data-type="text" order="descending"/>		
			<tr bgcolor="#FFFFFF" align="center">
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="."/>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="externalAlarms">
		<td align="left">External</td>
		<td/>
		<td align="left">
			<xsl:value-of select="externalAlarm/alarmTypeDescription"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="concat( substring(externalAlarm/alarmDate, 1, 10), '   ', substring(externalAlarm/alarmDate, 12, 5))"/>
		</td>
		<td/>
		<td> </td>
	</xsl:template>
	
	<xsl:template match="internalTankAlarms">
		<td align="left">Internal</td>
		<td/>
		<td align="left">
			<xsl:value-of select="internalAlarm/alarmTypeDescription"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="concat( substring(internalAlarm/alarmDate, 1, 10), '   ', substring(internalAlarm/alarmDate, 12, 5))"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="fuel:fuelTank/@sysid"/>
		</td>
	</xsl:template>
	
	<xsl:template match="deliveryRecords">
		<td>
			<xsl:value-of select="../fuel:fuelTank/@sysid"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="concat( substring(startDate, 1, 10), '   ', substring(startDate, 12, 5))"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="concat( substring(endDate, 1, 10), '   ', substring(endDate, 12, 5))"/>
		</td>
		<td/>
		<td align="right">
			<xsl:value-of select="startVolume"/>
		</td>
		<td/>
		<td align="right">
			<xsl:value-of select="startTemperature"/>
		</td>
		<td/>
		<td align="right">
			<xsl:value-of select="endVolume"/>
		</td>
		<td/>
		<td align="right">
			<xsl:value-of select="endTemperature"/>
		</td>
	</xsl:template>
	
	<xsl:template match="alarmStatus">
		<tr>
			<td colspan="7">
				<font face="Trebuchet MS" color="#3366CC" size="3">
					<b>Alarm Status</b>
				</font>
			</td>
			<td colspan="4" align="right">
				<font face="Trebuchet MS" color="#3366CC">
					External Input Status:  <xsl:value-of select="extInputStatus"/>
				</font>
			</td>
		</tr>
		<tr bgcolor="3366CC">
			<td align="left">
				<b>
					<font color="#FFFFFF">Tank#</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Leak</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">High Water</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Over Fill</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Low Limit</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Theft</font>
				</b>
			</td>
		</tr>
		<xsl:for-each select="intTankAlarmStatus">
										<xsl:sort select="fuel:fuelTank/@sysid" data-type="number" order="ascending"/>

			<tr bgcolor="#FFFFFF" align="center">
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="."/>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="intTankAlarmStatus">
		<td>
			<xsl:value-of select="fuel:fuelTank/@sysid"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/leak"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/highWater"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/overFill"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/lowLimit"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/theft"/>
		</td>
	</xsl:template>
	
	<xsl:template match="autoTransFlag">
		<tr>
			<td colspan="4">
				<font face="Trebuchet MS" color="#3366CC" size="3">
					<b>Auto-Trans Flag</b>
				</font>
			</td>
			<td colspan="11" align="right">
				<font face="Trebuchet MS" color="#3366CC">External Input Flags-<b>Closed:  </b>
					<xsl:value-of select="extInputClosed"/>
					<b>  Open:  </b>
					<xsl:value-of select="extInputOpen"/>
				</font>
			</td>
		</tr>
		<tr bgcolor="3366CC">
			<td align="left">
				<b>
					<font color="#FFFFFF">Tank#</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Leak</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">High Water</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Over Fill</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Low Limit</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Theft</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Delivery Start</font>
				</b>
			</td>
			<td/>
			<td align="center">
				<b>
					<font color="#FFFFFF">Delivery End</font>
				</b>
			</td>
		</tr>
		<xsl:for-each select="intTankAutoTransFlags">
												<xsl:sort select="fuel:fuelTank/@sysid" data-type="number" order="ascending"/>

			<tr bgcolor="#FFFFFF" align="center">
				<xsl:choose>
					<xsl:when test="position() mod 2 &gt; 0">
						<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:apply-templates select="."/>
			</tr>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="intTankAutoTransFlags">
		<td>
			<xsl:value-of select="fuel:fuelTank/@sysid"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/leak"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/highWater"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/overFill"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/lowLimit"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="intTankFlags/theft"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="concat( substring(delivStart, 1, 10), '   ', substring(delivStart, 12, 5))"/>
		</td>
		<td/>
		<td>
			<xsl:value-of select="concat( substring(delivEnd, 1, 10), '   ', substring(delivEnd, 12, 5))"/>
		</td>
	</xsl:template>
	<xsl:template name="isoDate">
			<xsl:value-of select="concat( substring(., 1, 10), '   ', substring(., 12, 5))"/>

	</xsl:template>
</xsl:transform>