<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<html>
			<head>
				<title>Tank Reconciliation Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Tank Reconciliation Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="632" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				<br/>
				<table cellspacing="0" cellpadding="0">
					<tr>
						
						
						
						<font face="Trebuchet MS" color="#3366CC" size="3">
							<nobr>
								<b>Begin Inventories</b>
							</nobr>
						</font>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td width="95" bgcolor="#3366CC" height="1">
									<p align="right">
										<font color="#FFFFFF" size="2">
											<b>Tank#</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Date</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Time</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<p align="right">
										<font color="#FFFFFF">
											<b>Volume</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="right">
									<font color="#FFFFFF">
										<b>Total</b>
									</font>
								</td>
								<td width="35" bgcolor="#3366CC" height="1" align="center"/>
							</tr>
							<xsl:for-each select="//beginInventories">
								<xsl:sort select="./fuel:fuelTank/@sysid" data-type="number"/>
								<tr>
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<td width="95" align="right">
										<nobr>
										Inventory <xsl:value-of select="fuel:fuelTank/@sysid"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
											<xsl:value-of select="substring(inventoryDate, 1, 10)"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
											<xsl:value-of select="substring(inventoryDate, 12, 8)"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="right">
										<font size="2">
											<nobr>
												<xsl:value-of select="inventoryVolume"/>
											</nobr>
										</font>
									</td>
									<td width="6" align="center"/>
									
									<td width="95" align="center">
										<nobr>
											
										</nobr>
									</td>
									<td width="6" align="center"/>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="8" align="right">Starting Inventory</td>
								<td align="right">
									<nobr>
										<xsl:value-of select="//totalBeginInventory"/>
									</nobr>
								</td>
							</tr>
						</table>
					</tr>
					
					
					
					<tr>
						<font face="Trebuchet MS" color="#3366CC" size="3">
							<nobr>
								<b>Deliveries</b>
							</nobr>
						</font>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td width="95" bgcolor="#3366CC" height="1">
									<p align="right">
										<font color="#FFFFFF" size="2">
											<b>Tank#</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Date</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Time</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="right">
									<p align="right">
										<font color="#FFFFFF">
											<b>Volume</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="right">
									<font color="#FFFFFF">
										<b>Total</b>
									</font>
								</td>
								<td width="35" bgcolor="#3366CC" height="1" align="center"/>
							</tr>
							<xsl:for-each select="//deliveryRecords">
								 <xsl:sort select="./fuel:fuelTank/@sysid" data-type="number"/> 
								<tr>
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<td width="95" align="right">
										<nobr>
										Del <xsl:value-of select="deliveryNumForTank"/>  -  <xsl:value-of select="fuel:fuelTank/@sysid"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
											<xsl:value-of select="substring(deliveryDate, 1, 10)"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
											<xsl:value-of select="substring(deliveryDate, 12, 8)"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="right">
										<font size="2">
											<nobr>
												<xsl:value-of select="deliveryVolume "/>
											</nobr>
										</font>
									</td>
									<td width="6" align="center"/>
									
									<td width="95" align="center">
										<nobr>
											
										</nobr>
									</td>
									<td width="6" align="center"/>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="8" align="right">Deliveries</td>
								<td align="right">
									<nobr>
										<xsl:value-of select="//totalFuelDelivered"/>
									</nobr>
								</td>
							</tr>
						</table>
					</tr>
					
					
					
					<tr>
						<font face="Trebuchet MS" color="#3366CC" size="3">
							<nobr>
								<b>Dispensed</b>
							</nobr>
						</font>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td width="95" bgcolor="#3366CC" height="1">
									<p align="right">
										<font color="#FFFFFF" size="2">
											<b>Tank#</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="center">
									<b>
										<font color="#FFFFFF"/>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="center">
									<b>
										<font color="#FFFFFF"/>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<p align="right">
										<font color="#FFFFFF">
										<b>Volume</b>
									</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="right">
									<font color="#FFFFFF">
										<b>Total</b>
									</font>
								</td>
								<td width="35" bgcolor="#3366CC" height="1" align="center"/>
							</tr>
							<xsl:for-each select="//dispenseRecords">
								 <xsl:sort select="./fuel:fuelTank/@sysid" data-type="number"/>
								<tr>
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<td width="95" align="right">
										<nobr>
										Dispensed <xsl:value-of select="fuel:fuelTank/@sysid"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
										
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
									
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="right">
										<font size="2">
											<nobr>
												
												<xsl:value-of select="dispensedVolume "/>
											</nobr>
										</font>
									</td>
									<td width="6" align="center"/>
									
									<td width="95" align="center">
										<nobr>
								
										</nobr>
									</td>
									<td width="6" align="center"/>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="8" align="right">Dispensed</td>
								<td align="right">
									<nobr>
										<xsl:value-of select="//totalFuelDispensed"/>
									</nobr>
								</td>
							</tr>
						</table>
					</tr>
					
					
					
					<tr>
						<font face="Trebuchet MS" color="#3366CC" size="3">
							<nobr>
								<b>Ending Inventories</b>
							</nobr>
						</font>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td width="95" bgcolor="#3366CC" height="1">
									<p align="right">
										<font color="#FFFFFF" size="2">
											<b>Tank#</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Date</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Time</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="left">
									<p align="right">
										<font color="#FFFFFF">
											<b>Volume</b>
										</font>
									</p>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="95" bgcolor="#3366CC" height="1" align="right">
									<font color="#FFFFFF">
										<b>Total</b>
									</font>
								</td>
								<td width="35" bgcolor="#3366CC" height="1" align="center"/>
							</tr>
							<xsl:for-each select="//endInventories">
								<xsl:sort select="./fuel:fuelTank/@sysid" data-type="number"/>
								<tr>
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<td width="95" align="right">
										<nobr>
										Inventory <xsl:value-of select="fuel:fuelTank/@sysid"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
											<xsl:value-of select="substring(inventoryDate, 1, 10)"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="left">
										<nobr>
											<xsl:value-of select="substring(inventoryDate, 12, 8)"/>
										</nobr>
									</td>
									<td width="6" align="center"/>
									<td width="95" align="right">
										<font size="2">
											<nobr>
												<xsl:value-of select="inventoryVolume "/>
											</nobr>
										</font>
									</td>
									<td width="6" align="center"/>
									
									<td width="95" align="center">
										<nobr>

										</nobr>
									</td>
									<td width="6" align="center"/>
								</tr>
							</xsl:for-each>
							<tr>
								<td colspan="8" align="right">Ending Inventory</td>
								<td align="right">
									<nobr>
										<xsl:value-of select="//totalEndInventory"/>
									</nobr>
								</td>
							</tr>
						</table>
					</tr>
					
					
					
					<tr>
						<br/>
						<table width="534" border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td align="right">Discrepancy</td>
								<td align="right" width="95">
									<nobr>
										<xsl:value-of select="//discrepancy "/>
									</nobr>
								</td>
								<td width="35"/>
							</tr>
						</table>
					</tr>
				</table>
			</body>
		</html>
	</xsl:template>
</xsl:transform>