<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<html>
			<head>
				<title>Tax Report by Register</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Tax Report by Register</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<td>
							<font face="Trebuchet MS" size="3" color="#3366CC">
								<b>All Registers</b>
							</font>
						</td>
					</tr>
					<tr>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td width="45" bgcolor="#3366CC" height="1" align="left">
									<b>
										<font color="#FFFFFF">Name</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="67" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Tax Rate</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="55" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">
											<b>Act-Rate</b>
										</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="62" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF" size="2">Tax Sales</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="90" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Non-Tax Sales</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="90" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Refund Taxes</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="78" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Sales Taxes</font>
									</b>
								</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="75" bgcolor="#3366CC" height="1" align="right">
									<b>
										<font color="#FFFFFF">Tot Taxes</font>
									</b>
								</td>
							</tr>
							<xsl:variable name="TotSalesColl" select="sum(//totals/taxInfo/salesTax)"/>
							<xsl:variable name="TotRefundColl" select="sum(//totals/taxInfo/refundTax)"/>
							<xsl:variable name="TotTaxColl" select="sum(//totals/taxInfo/netTax)"/>
							<xsl:for-each select="//totals/taxInfo/vs:taxrateBase/@sysid">
								<xsl:sort select="." data-type="number"/>
								<xsl:variable name="totTax" select="."/>
								<xsl:variable name="totLineTaxNet" select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/netTax"/>
								<xsl:variable name="salesTax" select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/salesTax"/>
								<xsl:variable name="refundTax" select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/refundTax"/>
								<xsl:if test="$totLineTaxNet&gt; 0 or $salesTax&gt; 0 or $refundTax&lt; 0">
									<tr>
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td width="45" height="1" align="left">
											<nobr>
												<xsl:value-of select="//totals/taxInfo/vs:taxrateBase[@sysid = $totTax]/name"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="67" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/taxInfo/vs:taxrateBase[@sysid = $totTax]/taxRate"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="55" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/actualTaxRate"/>%</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="62" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/taxableSales"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="90" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/nonTaxableSales"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="90" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/refundTax"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="78" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/salesTax"/>
											</nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="75" height="1" align="right">
											<nobr>
												<xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/netTax"/>
											</nobr>
										</td>
									</tr>
								</xsl:if>
							</xsl:for-each>
							<tr>
								<td height="10" colspan="15">
									<hr color="#DBDBDB" valign="top" width="600" align="left"/>
								</td>
							</tr>
							<tr>
								<td width="45" height="1">
								Totals
							</td>
								<td width="6" height="1" align="center"/>
								<td width="67" height="1">
				
							</td>
								<td width="6" height="1" align="center"/>
								<td width="55" height="1">
				
							</td>
								<td width="6" height="1" align="center"/>
								<td width="62" height="1" align="center">
				
							</td>
								<td width="6" height="1" align="center"/>
								<td width="90" height="1">
				
							</td>
								<td width="6" height="1" align="center"/>
								<td width="90" height="1" align="right">
									<nobr>
										<xsl:value-of select="format-number($TotRefundColl,'##,##0.00')"/>
									</nobr>
								</td>
								<td width="6" height="1" align="center"/>
								<td width="78" height="1" align="right">
									<nobr>
										<xsl:value-of select="format-number($TotSalesColl,'##,##0.00')"/>
									</nobr>
								</td>
								<td width="6" height="1" align="center"/>
								<td width="75" height="1" align="right">
									<nobr>
										<xsl:value-of select="format-number($TotTaxColl,'##,##0.00')"/>
									</nobr>
								</td>
							</tr>
						</table>
					</tr>
				</table>
				
				<xsl:variable name="reg" select="//byRegister/vs:register/@sysid[not(.=preceding::vs:register/@sysid)]"/>
				<xsl:for-each select="$reg">
					<xsl:sort select="." data-type="number"/>
					<xsl:variable name="meReg" select="."/>
					<br/>
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
					<table cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<font face="Trebuchet MS" size="3" color="#3366CC">
									<xsl:variable name="ticketRange" select="count(//byRegister[vs:register/@sysid=$meReg]/ticketRange)"/>
									<xsl:choose>
									<xsl:when test="$meReg = 2">
								     <b>All Attendants Indoor</b>
								    </xsl:when>
								    <xsl:when test="$meReg = 4">
								     <b>All Attendants Outdoor</b>
								    </xsl:when>
										<xsl:when test="$meReg = 9">
											<p>
												<b>All DCRs </b>
											</p>
										</xsl:when>
										<xsl:otherwise>
											<p>
												<b>Register <xsl:value-of select="$meReg"/></b>
											</p>
										</xsl:otherwise>
									</xsl:choose>
									 <xsl:for-each select="//byRegister[vs:register/@sysid=$meReg]/ticketRange">
								         <tr>
								           <td>								
								             <xsl:choose>
									            <xsl:when test="$ticketRange&gt; 0">
										         <font size="2" color="#3366CC"> Receipt # 
											     <xsl:value-of select="begin"/> - 
											     <xsl:value-of select="end"/>
												 </font>
									            </xsl:when>
								             </xsl:choose>
								           </td>
                                         </tr>
                                   </xsl:for-each>	
								</font>
							</td>
						</tr>
						<tr>
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
								<tr>
									<td width="45" bgcolor="#3366CC" height="1" align="left">
										<b>
											<font color="#FFFFFF">Name</font>
										</b>
									</td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="67" bgcolor="#3366CC" height="1" align="right">
										<b>
											<font color="#FFFFFF">Tax Rate</font>
										</b>
									</td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="55" bgcolor="#3366CC" height="1" align="right">
										<font color="#FFFFFF">
											<b>Act-Rate</b>
										</font>
									</td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="62" bgcolor="#3366CC" height="1" align="right">
										<b>
											<font color="#FFFFFF" size="2">Tax Sales</font>
										</b>
									</td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="90" bgcolor="#3366CC" height="1" align="right">
										<b>
											<font color="#FFFFFF">Non-Tax Sales</font>
										</b>
									</td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="90" bgcolor="#3366CC" height="1" align="right">
										<b>
											<font color="#FFFFFF">Refund Taxes</font>
										</b>
									</td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="78" bgcolor="#3366CC" height="1" align="right">
										<b>
											<font color="#FFFFFF">Sales Taxes</font>
										</b>
									</td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="75" bgcolor="#3366CC" height="1" align="right">
										<b>
											<font color="#FFFFFF">Tot Taxes</font>
										</b>
									</td>
								</tr>
								<xsl:variable name="tax" select="//byRegister[vs:register/@sysid=$meReg]/taxInfo/vs:taxrateBase/@sysid[not(.=preceding::byRegister[vs:register/@sysid=$meReg]/taxInfo/vs:taxrateBase/@sysid)]"/>
								<xsl:variable name="rTotSalesColl" select="sum(//byRegister[vs:register/@sysid=$meReg]/taxInfo/salesTax)"/>
								<xsl:variable name="rTotRefundColl" select="sum(//byRegister[vs:register/@sysid=$meReg]/taxInfo/refundTax)"/>
								<xsl:variable name="rTotTaxColl" select="sum(//byRegister[vs:register/@sysid=$meReg]/taxInfo/netTax)"/>
								<xsl:for-each select="$tax">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="meTax" select="."/>
									<xsl:variable name="meTaxLineTot" select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/netTax"/>
									
									<xsl:variable name="meSalesTax" select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/salesTax"/>
									
<xsl:variable name="meRefundTax" select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/refundTax"/>
									<xsl:if test="$meTaxLineTot&gt; 0 or $meSalesTax&gt; 0 or $meRefundTax&lt; 0">
										<tr>
											<xsl:choose>
												<xsl:when test="position() mod 2 &gt; 0">
													<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
												</xsl:when>
												<xsl:otherwise>
													<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
												</xsl:otherwise>
											</xsl:choose>
											<td width="45" height="1" align="left">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo/vs:taxrateBase[@sysid=$meTax]/name"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="67" height="1" align="right">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo/vs:taxrateBase[@sysid=$meTax]/taxRate"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="55" height="1" align="right">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/actualTaxRate"/>%</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="65" height="1" align="right">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/taxableSales"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="90" height="1" align="right">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/nonTaxableSales"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="90" height="1" align="right">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/refundTax"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="78" height="1" align="right">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/salesTax"/>
												</nobr>
											</td>
											<td width="6" height="1" align="center"/>
											<td width="75" height="1" align="right">
												<nobr>
													<xsl:value-of select="//byRegister[vs:register/@sysid=$meReg]/taxInfo[vs:taxrateBase[@sysid=$meTax]]/netTax"/>
												</nobr>
											</td>
										</tr>
									</xsl:if>
								</xsl:for-each>
								<tr>
									<td height="10" colspan="15">
										<hr color="#DBDBDB" valign="top" width="600" align="left"/>
									</td>
								</tr>
								<tr>
									<td width="45" height="1">Totals</td>
									<td width="6" height="1" align="center"/>
									<td width="67" height="1"/>
									<td width="6" height="1" align="center"/>
									<td width="55" height="1"/>
									<td width="6" height="1" align="center"/>
									<td width="62" height="1" align="center">	</td>
									<td width="6" height="1" align="center"/>
									<td width="90" height="1"/>
									<td width="6" height="1" align="center"/>
									<td width="90" height="1" align="right">
										<nobr>
											<xsl:value-of select="format-number($rTotRefundColl,'##,##0.00')"/>
										</nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="78" height="1" align="right">
										<nobr>
											<xsl:value-of select="format-number($rTotSalesColl,'##,##0.00')"/>
										</nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="75" height="1" align="right">
										<nobr>
											<xsl:value-of select="format-number($rTotTaxColl,'##,##0.00')"/>
										</nobr>
									</td>
								</tr>
							</table>
						</tr>
					</table>
				</xsl:for-each>
				<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr/>
					<tr>
						<td width="100%">
							<font size="1">* Registers without activity have been omitted from this report</font>
						</td>
					</tr>
				</table>
				<p/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>