<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" match="/">
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<html>
			<head>
				<title>Tax Report by Cashier</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Tax Report by Cashier</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="600" align="left"/>
						</td>
					</tr>
				</table>
				<xsl:apply-templates select="/*/vs:period"/>
				
				<table cellspacing="0" cellpadding="0">
					<tr>
						<br/>
					</tr>
					<tr>
						<td>
							<font face="Trebuchet MS" size="3" color="#3366CC">
								<b>All Registers</b>
							</font>
						</td>
						<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
							<tr>
								<td width="45" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Name</font></b></td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="67" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Tax Rate</font></b>	</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="55" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Act-Rate</font></b>	</td>								
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="62" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF" size="2">Tax Sales</font></b>	</td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="90" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Non-Tax Sales</font></b></td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="90" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Refund Taxes</font></b></td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="78" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Sales Taxes</font></b></td>
								<td width="6" bgcolor="#3366CC" height="1" align="center"/>
								<td width="75" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Tot Taxes</font></b></td>
							</tr>

							<xsl:variable name="TotSalesColl" select="sum(//totals/taxInfo/salesTax)"/>
							<xsl:variable name="TotRefundColl" select="sum(//totals/taxInfo/refundTax)"/>
							<xsl:variable name="TotTaxColl" select="sum(//totals/taxInfo/netTax)"/>

							<xsl:for-each select="//totals/taxInfo/vs:taxrateBase/@sysid">
								<xsl:sort select="." data-type="number"/>
								<xsl:variable name="totTax" select="."/>
								<tr>
									<xsl:choose>
										<xsl:when test="position() mod 2 &gt; 0">
											<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<td width="45" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo/vs:taxrateBase[@sysid = $totTax]/name"/></nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="67" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo/vs:taxrateBase[@sysid = $totTax]/taxRate"/></nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="55" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/actualTaxRate"/>%</nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="62" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/taxableSales"/></nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="90" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/nonTaxableSales"/></nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="90" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/refundTax"/></nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="78" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/salesTax"/></nobr>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="75" height="1" align="left">
										<nobr><xsl:value-of select="//totals/taxInfo[vs:taxrateBase[@sysid = $totTax]]/netTax"/></nobr>
									</td>
								</tr>
							</xsl:for-each>
							<tr>
						<td height="10" colspan="15">
							<hr color="#DBDBDB" valign="top" width="600" align="left"/>
						</td>
					</tr>
					<tr>
						<td width="45" height="1"><p align="left">Totals</p></td>
						<td width="6" height="1" align="center"/>
						<td width="67" height="1"><p align="left"/></td>
						<td width="6" height="1" align="center"/>
						<td width="55" height="1"><p align="left"/></td>
						<td width="6" height="1" align="center"/>
						<td width="62" height="1" align="center">	<p align="left"/></td>
						<td width="6" height="1" align="center"/>
						<td width="90" height="1"><p align="left"/></td>
						<td width="6" height="1" align="center"/>
						<td width="90" height="1"><nobr><xsl:value-of select="format-number($TotRefundColl,'##,##0.00')"/></nobr></td>
						<td width="6" height="1" align="center"/>
						<td width="78" height="1"><nobr><xsl:value-of select="format-number($TotSalesColl,'##,##0.00')"/></nobr></td>
						<td width="6" height="1" align="center"/>
						<td width="75" height="1"><nobr><xsl:value-of select="format-number($TotTaxColl,'##,##0.00')"/></nobr></td>
					</tr>
					</table>
				</tr>
				</table>
				
				<xsl:variable name="csh" select="//byCashier/vs:cashier/@sysid[not(.=preceding::vs:cashier/@sysid)]"/>
				<xsl:for-each select="$csh">
					<xsl:sort select="." data-type="text"/>
					<xsl:variable name="meCsh" select="."/>
					<br/>
					<hr color="#FFCC00" valign="top" width="632" align="left"/>
					<table cellspacing="0" cellpadding="0">
						<tr>
							<td>
								<font face="Trebuchet MS" size="3" color="#3366CC">
									<b>Cashier<nobr><xsl:value-of select="$meCsh"/></nobr></b>
								</font>
								<font face="Trebuchet MS" size="2" color="#3366CC">
								 <nobr> - <xsl:value-of select="//byCashier/vs:cashier[@sysid=$meCsh]/name"/></nobr>
								</font>
							</td>
						</tr>
						<tr>
							<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
								<tr>
									<td width="45" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Name</font></b></td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="67" bgcolor="#3366CC" height="1" align="left"><b><font color="#FFFFFF">Tax Rate</font></b></td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="55" bgcolor="#3366CC" height="1" align="left"><b>	<font color="#FFFFFF">Act-Rate</font></b></td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="62" bgcolor="#3366CC" height="1" align="left"><b>	<font color="#FFFFFF" size="2">Tax Sales</font>	</b></td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="90" bgcolor="#3366CC" height="1" align="left"><b>	<font color="#FFFFFF">Non-Tax Sales</font></b></td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="90" bgcolor="#3366CC" height="1" align="left"><b>	<font color="#FFFFFF">Refund Taxes</font></b></td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="78" bgcolor="#3366CC" height="1" align="left"><b>	<font color="#FFFFFF">Sales Taxes</font></b></td>
									<td width="6" bgcolor="#3366CC" height="1" align="center"/>
									<td width="75" bgcolor="#3366CC" height="1" align="left"><b>	<font color="#FFFFFF">Tot Taxes</font></b></td>
								</tr>
								<xsl:variable name="ctax" select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo/vs:taxrateBase/@sysid[not(.=preceding::byCashier[vs:cashier/@sysid=$meCsh]/taxInfo/vs:taxrateBase/@sysid)]"/>
								<xsl:variable name="cTotSalesColl" select="sum(//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo/salesTax)"/>
								<xsl:variable name="cTotRefundColl" select="sum(//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo/refundTax)"/>
								<xsl:variable name="cTotTaxColl" select="sum(//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo/netTax)"/>
								
								<xsl:for-each select="$ctax">
									<xsl:sort select="." data-type="number"/>
									<xsl:variable name="mecTax" select="."/>
									<tr>
										<xsl:choose>
											<xsl:when test="position() mod 2 &gt; 0">
												<xsl:attribute name="bgcolor">#FFFFFF</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="bgcolor">#DBDBDB</xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<td width="45" height="1">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo/vs:taxrateBase[@sysid=$mecTax]/name"/></nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="67" height="1">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo/vs:taxrateBase[@sysid=$mecTax]/taxRate"/></nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="55" height="1" align="center">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo[vs:taxrateBase[@sysid=$mecTax]]/actualTaxRate"/></nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="62" height="1">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo[vs:taxrateBase[@sysid=$mecTax]]/taxableSales"/></nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="90" height="1">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo[vs:taxrateBase[@sysid=$mecTax]]/nonTaxableSales"/></nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="90" height="1">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo[vs:taxrateBase[@sysid=$mecTax]]/refundTax"/></nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="78" height="1">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo[vs:taxrateBase[@sysid=$mecTax]]/salesTax"/></nobr>
										</td>
										<td width="6" height="1" align="center"/>
										<td width="75" height="1">
											<nobr><xsl:value-of select="//byCashier[vs:cashier/@sysid=$meCsh]/taxInfo[vs:taxrateBase[@sysid=$mecTax]]/netTax"/></nobr>
										</td>
									</tr>
								</xsl:for-each>
								<tr>
									<td height="10" colspan="15">
										<hr color="#DBDBDB" valign="top" width="600" align="left"/>
									</td>
								</tr>
								<tr>
									<td width="45" height="1">
										<p align="left">Totals</p>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="67" height="1">
										<p align="left"/>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="55" height="1">
										<p align="left"/>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="62" height="1" align="center">
										<p align="left"/>
									</td>
									<td width="6" height="1" align="center"/>
									<td width="90" height="1">
										<p align="left"/>
									</td>
									<td width="6" height="1" align="center"/>
								<td width="90" height="1">	
									<nobr><xsl:value-of select="format-number($cTotRefundColl,'##,##0.00')"/></nobr>
								</td>
								<td width="6" height="1" align="center"/>
								<td width="78" height="1">
									<nobr><xsl:value-of select="format-number($cTotSalesColl,'##,##0.00')"/></nobr>
								</td>
								<td width="6" height="1" align="center"/>
								<td width="75" height="1">
									<nobr><xsl:value-of select="format-number($cTotTaxColl,'##,##0.00')"/></nobr>
								</td>
								</tr>
							</table>
						</tr>
					</table>
				</xsl:for-each>
				<table border="0" width="61%" style="font-family: Trebuchet MS; font-size: 10pt">
					<tr/>
					<tr>	<td width="100%"><font size="1">* Registers without activity have been omitted from this report</font></td></tr>
					<tr>	<td width="100%"><font size="1">** The above totals may reflect combined sales from multiple workstations</font></td></tr>
				</table>
				<p/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>