<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" match="/">
		<xsl:variable name="periodClose" select="count(//vs:period/@periodEndDate)"/>
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<html>
			<head>
				<title>Taxable Rebates Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
			</head>
			<body>
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="490" height="1">
							<b>
								<font color="#3366CC" size="5">Taxable Rebates Report</font>
							</b>
						</td>
						<xsl:apply-templates select="/*/t:hdr/vs:site"/>
					</tr>
				</table>
				<xsl:apply-templates select="/*/t:hdr/vs:period"/>
				<br/>
				<br/>
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF">
					<xsl:for-each select="//rebateEntry">
						
						<tr>
							<td width="100" align="left">
								<nobr>
									<b><xsl:value-of select="concat(./vs:taxrateBase/name, ' Tax (', ./vs:taxrateBase/taxRate, '%)')"/></b>								</nobr>
							</td>
						</tr>
						<tr>
							<td width="100"/>
							<td align="left">
								<b>
									<xsl:value-of select="'PLU (Item) Based Rebates'"/>
								</b>
							</td>
						</tr>
						<tr>
							<td width="100" align="left"/>
							<td width="100" align="left"/>
							<td width="100" align="left">
								<b>PLU#</b>
							</td>
							<td width="10"/>
							<td width="100" align="left">
								<b>Descr</b>
							</td>
							<td width="40"/>
							<td width="40" align="center">
								<b>Qty Sold</b>
							</td>
							<td width="10"/>
							<td width="40" align="center">
								<b>Rebate Amount</b>
							</td>
							<td width="10"/>
							<td width="100" align="center">
								<b>Total Taxable Rebate Amount</b>
							</td>
						</tr>
						<xsl:for-each select="./items/item">
							<tr>
								<td width="100" align="left"/>
								<td width="100" align="left"/>
								<td width="100" align="left">
									<xsl:value-of select="concat(t:plu/upc,'/',t:plu/modifier)"/>
								</td>
								<td width="10"/>
								<td width="100" align="left">
									<xsl:value-of select="t:plu/name"/>
								</td>
								<td width="40"/>
								<td width="40" align="right">
									<xsl:value-of select="format-number(totals/totalSold/count, '#.000')"/>
								</td>
								<td width="10"/>
								<td width="40" align="right">
									<xsl:value-of select="format-number(totals/rebateAmt, '#.00')"/>
								</td>
								<td width="10"/>
								<td width="100" align="right">
									<xsl:value-of select="format-number(totals/totalSold/amount, '#.00')"/>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<th/>
						</tr>
						<tr>
							<th/>
						</tr>
						<tr>
							<th/>
						</tr>
						<tr>
							<td width="100"/>
							<td align="left">
								<b>
									<xsl:value-of select="'PROMO Based Rebates'"/>
								</b>
							</td>
						</tr>
						<tr>
							<td width="100" align="left"/>
							<td width="100" align="left"/>
							<td width="100" align="left">
								<b>Promo ID</b>
							</td>
							<td width="10"/>
							<td width="100" align="left">
								<b>Descr</b>
							</td>
							<td width="40"/>
							<td width="40" align="center">
								<b>Qty Sold</b>
							</td>
							<td width="10"/>
							<td width="40" align="center">
								<b>Rebate Amount</b>
							</td>
							<td width="10"/>
							<td width="100" align="center">
								<b>Total Taxable Rebate Amount</b>
							</td>
						</tr>
						<xsl:for-each select="./promos/promo">
							<tr>
								<td width="100" align="left"/>
								<td width="100" align="left"/>
								<td width="100" align="left">
									<xsl:value-of select="t:match/promoID"/>
								</td>
								<td width="10"/>
								<td width="100" align="left">
									<xsl:value-of select="t:match/name"/>
								</td>
								<td width="40"/>
								<td width="40" align="right">
									<xsl:value-of select="format-number(totals/totalSold/count, '#.000')"/>
								</td>
								<td width="10"/>
								<td width="40" align="right">
									<xsl:value-of select="format-number(totals/rebateAmt, '#.00')"/>
								</td>
								<td width="10"/>
								<td width="100" align="right">
									<xsl:value-of select="format-number(totals/totalSold/amount, '#.00')"/>
								</td>
							</tr>
						</xsl:for-each>
						<tr>
							<th>
								<xsl:value-of select="' '"/>
							</th>
						</tr>
						<tr>
							<td width="100" align="left"/>
							<td width="100" align="left"/>
							<td width="100" align="left">
								</td>
							<td width="10"/>
							<td width="180" align="left">
								<b>
									<xsl:value-of select="'Total Taxable Rebate Amount'"/>
								</b>
							</td>
							<td width="40"/>
							<td width="40" align="right">
								</td>
							<td width="10"/>
							<td width="40" align="right">
								</td>
							<td width="10"/>
							<td width="100" align="right">
								<u>
									<b>
										<xsl:value-of select="format-number(           sum(./items/item/totals/totalSold/amount) +            sum(./promos/promo/totals/totalSold/amount), '#.00')"/>
									</b>
								</u>
							</td>
						</tr>
					</xsl:for-each>
				</table>
				<p/>
			</body>
		</html>
	</xsl:template>
</xsl:transform>