<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:template xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" match="/">
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>
		<html>
			<head>
				<title>Cashier Transaction Indicators</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
				<script language="vbscript">
					sub showTable(id)
						if document.getelementbyId(id).style.display = "none" then
							document.getelementbyId(id).style.display = "block" 
						else
							document.getelementbyId(id).style.display = "none" 
						end if
					end sub 				
				</script>
			</head>
			<body topmargin="0" leftmargin="0">
				<table border="0" width="593" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="350" height="1">
							<b>
								<font color="#3366CC" size="5">Cashier Transaction Indicators</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td width="593" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="593" align="left"/>
						</td>
					</tr>
				</table>
				<table border="0" style="font-family: Trebuchet MS; font-size: 10pt" cellspacing="0" cellpadding="0" width="593">
					<tr>
						<td width="187" height="23" bgcolor="#3366CC" align="center" colspan="3">
							<p align="left">
								<b>
									<font color="#FFFFFF">Period Information</font>
								</b>
							</p>
						</td>
						<td width="402" height="23" align="center"/>
					</tr>
					<tr>
						<td width="94" bgcolor="#DBDBDB">Open Period</td>
						<td width="8" height="20" bgcolor="#DBDBDB"/>
						<td width="200" bgcolor="#DBDBDB">
							<xsl:value-of select="concat(substring(//t:hdr/startDateTime,1,10),'  ',substring(//t:hdr/startDateTime,12,5))"/>
						</td>
						<td width="402" height="20"/>
					</tr>
					<tr>
						<td width="94" height="18">Close Period</td>
						<td width="8" height="18"/>
						<xsl:choose>
							<xsl:when test="$periodClose &gt; 0">
								<td width="200" align="left" height="18">
									<xsl:value-of select="concat(substring(//t:hdr/endDateTime,1,10),'  ',substring(//t:hdr/endDateTime,12,5))"/>
								</td>
							</xsl:when>
							<xsl:otherwise>
								<td width="112" align="left" height="18">Pending</td>
							</xsl:otherwise>
						</xsl:choose>
						<td width="402" align="left" height="18"/>
					</tr>
				</table>
				<br/>
				<br/>
				<xsl:for-each select="//cashierInfo">
					<xsl:variable name="csh" select="."/>
					<xsl:variable name="cshid" select="./t:cashier/@sysid"/>
					<p>
						<b>   Cashier - <xsl:value-of select="$cshid"/> - 
							<a href="#">
								<xsl:attribute name="onclick">vbscript:showTable(<xsl:value-of select="$cshid"/>)</xsl:attribute>
								<xsl:value-of select="$csh[t:cashier[@sysid=$cshid]]/t:cashier/name"/>
							</a>
						</b>
						<div>
							<span STYLE="display:block">
								<xsl:attribute name="id"><xsl:value-of select="$cshid"/></xsl:attribute>
								<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="0" bgcolor="#FFFFFF" width="650">
									<tr>	</tr>
									<xsl:call-template name="header"/>
									<xsl:call-template name="refunds">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
									<xsl:call-template name="header"/>
									<xsl:call-template name="voidLines">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
									<xsl:call-template name="header"/>
									<xsl:call-template name="voids">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
									<xsl:call-template name="header"/>
									<xsl:call-template name="priceOvers">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
									<xsl:call-template name="header"/>
									<xsl:call-template name="errorCorrects">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
									<xsl:call-template name="header">
										<xsl:with-param name="te" select="'true'"/>
									</xsl:call-template>
									<xsl:call-template name="taxExempts">
										<xsl:with-param name="csh" select="$csh[t:cashier[@sysid=$cshid]]"/>
									</xsl:call-template>
								</table>
								<hr color="#FFCC00" valign="top" width="732" align="left"/>
							</span>
						</div>
					</p>
					
				</xsl:for-each>
				
			</body>
		</html>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="refunds">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="15">
				<b>REFUNDS (<xsl:value-of select="$csh/refunds/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/refunds/refundInfo/dateTime">
			<xsl:variable name="ref" select="."/>
			<xsl:variable name="dt" select="$csh/refunds/refundInfo[dateTime=$ref]"/>
			<xsl:for-each select="$dt/lineItems/t:line">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="15">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="13"/>
			<td align="right">
				<xsl:value-of select="$csh/refunds/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="voids">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="15">
				<b>VOIDS (<xsl:value-of select="$csh/voids/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/voids/voidInfo/dateTime">
			<xsl:variable name="ref" select="."/>
			<xsl:variable name="dt" select="$csh/voids/voidInfo[dateTime=$ref]"/>
			<xsl:for-each select="$dt/lineItems/t:line">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="15">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="13"/>
			<td align="right">
				<xsl:value-of select="$csh/voids/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="voidLines">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="15">
				<b>VOID LINES (<xsl:value-of select="$csh/voidLines/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/voidLines/voidLineInfo/dateTime">
			<xsl:variable name="ref" select="."/>
			<xsl:variable name="dt" select="$csh/voidLines/voidLineInfo[dateTime=$ref]"/>
			<xsl:for-each select="$dt/lineItems/t:line">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="15">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="13"/>
			<td align="right">
				<xsl:value-of select="$csh/voidLines/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="priceOvers">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="15">
				<b>PRICE OVERRIDES(<xsl:value-of select="$csh/priceOvers/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/priceOvers/priceOverrideInfo/dateTime">
			<xsl:variable name="ref" select="."/>
			<xsl:variable name="dt" select="$csh/priceOvers/priceOverrideInfo[dateTime=$ref]"/>
			<xsl:for-each select="$dt/lineItems/t:line">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="15">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="13"/>
			<td align="right">
				<xsl:value-of select="$csh/priceOvers/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="errorCorrects">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="15">
				<b>ERROR CORRECTS(<xsl:value-of select="$csh/errorCorrects/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/errorCorrects/errorCorrectInfo">
			<xsl:variable name="ref" select="./dateTime"/>
			<xsl:variable name="dt" select="."/>
			<xsl:for-each select="$dt/lineItems/t:errorCorrectDetail">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="15">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="13"/>
			<td align="right">
				<xsl:value-of select="$csh/errorCorrects/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="taxExempts">
		<xsl:param name="csh"/>
		<tr bgcolor="#DBDBDB">
			<td colspan="15">
				<b>TAX EXEMPTS(<xsl:value-of select="$csh/taxExempts/overAllTotal/count"/>)</b>
			</td>
		</tr>
		<xsl:for-each select="$csh/taxExempts/taxExemptInfo/dateTime">
			<xsl:variable name="ref" select="."/>
			<xsl:variable name="dt" select="$csh/taxExempts/taxExemptInfo[dateTime=$ref]"/>
			<xsl:for-each select="$dt/lineItems/t:taxExemptDetail">
				<xsl:call-template name="detail">
					<xsl:with-param name="csh" select="$csh"/>
					<xsl:with-param name="ref" select="$ref"/>
					<xsl:with-param name="dt" select="$dt"/>
					<xsl:with-param name="te" select="'true'"/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:for-each>
		<tr>
			<td colspan="15">
				<hr valign="top" width="100%" align="left"/>
			</td>
		</tr>
		<tr>
			<td>Total</td>
			<td colspan="13"/>
			<td align="right">
				<xsl:value-of select="$csh/taxExempts/overAllTotal/amount"/>
			</td>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="header">
		<xsl:param name="te" select="'false'"/>
		<tr bgcolor="#3366CC" align="center">
			<td>
				<b>
					<font color="#FFFFFF">Register</font>
				</b>
			</td>
			
			<td/>
			<td>
				<b>
					<font color="#FFFFFF">Date/Time</font>
				</b>
			</td>
			<td/>
			<td>
				<b>
					<font color="#FFFFFF">Category</font>
				</b>
			</td>
			<td width="5"/>
			<td>
				<b>
					<font color="#FFFFFF">UPC</font>
				</b>
			</td>
			<td width="5"/>
			<td>
				<b>
					<font color="#FFFFFF">Description</font>
				</b>
			</td>
			<td/>
			<td align="right">
				<b>
					<font color="#FFFFFF">
						<nobr>Sell Units</nobr>
					</font>
				</b>
			</td>
			<td/>
			<td align="right">
				<b>
					<font color="#FFFFFF">Qty.</font>
				</b>
			</td>
			<td/>
			<xsl:choose>
				<xsl:when test="$te='false'">
					<td align="right">
						<b>
							<font color="#FFFFFF">
								<nobr>Dollars</nobr>
							</font>
						</b>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td align="right">
						<b>
							<font color="#FFFFFF">
								<nobr>Est. Tax</nobr>
							</font>
						</b>
					</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
	</xsl:template>
	
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" name="detail">
		<xsl:param name="csh"/>
		<xsl:param name="ref"/>
		<xsl:param name="dt"/>
		<xsl:param name="te" select="'false'"/>
		<tr>
			<td align="center">
				<xsl:value-of select="$dt/t:register/@sysid"/>
			</td>
			
			<td/>
			<td align="left">
				<nobr>
					<xsl:value-of select="concat(substring($ref,1,10),' - ',substring($ref,12,5))"/>
				</nobr>
			</td>
			
			<td/>
			<xsl:choose>
				<xsl:when test="$te='false'">
					<td align="left">
						<nobr>
							<xsl:value-of select="./fid/t:dept/name"/>
						</nobr>
					</td>
					<td/>
					
					<xsl:choose>
						<xsl:when test="./iid">
							<td align="left">
								<xsl:value-of select="./iid/t:plu/upc"/>/<xsl:value-of select="./iid/t:plu/modifier"/>
							</td>
							<td/>
							<td align="left">
								<nobr>
									<xsl:value-of select="substring(./iid/t:plu/name,1,16)"/>
								</nobr>
							</td>
							<td/>
							<td align="right">
								<xsl:value-of select="./iid/t:plu/sellunit"/>
							</td>
						</xsl:when>
						<xsl:when test="not(./fid)">
							<td align="left"/>
							<td/>
							<td align="left">
								<nobr>
									<xsl:value-of select="./desc"/>
								</nobr>
							</td>
							<td/>
							<td align="right"/>
						</xsl:when>
						<xsl:otherwise>
							<td align="center">
								
							</td>
							<td/>
							<td align="center">
								
							</td>
							<td/>
							<td/>
						</xsl:otherwise>
					</xsl:choose>
					<td/>
					<td align="right">
						<xsl:value-of select="./qty"/>
					</td>
					<td/>
					<td align="right">
						<xsl:value-of select="./tot"/>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td align="left">
						<nobr>
							<xsl:value-of select="./*/fid/t:dept/name"/>
						</nobr>
					</td>
					<td/>
					
					<xsl:choose>
						<xsl:when test="./*/iid">
							<td align="left">
								<xsl:value-of select="./*/iid/t:plu/upc"/>/<xsl:value-of select="./*/iid/t:plu/modifier"/>
							</td>
							<td/>
							<td align="left">
								<nobr>
									<xsl:value-of select="./*/iid/t:plu/name"/>
								</nobr>
							</td>
							<td/>
							<td align="right">
								<xsl:value-of select="./*/iid/t:plu/sellunit"/>
							</td>
						</xsl:when>
						<xsl:when test="not(./*/fid)">
							<td align="left"/>
							<td/>
							<td align="left">
								<nobr>
									<xsl:value-of select="./*/desc"/>
								</nobr>
							</td>
							<td/>
							<td align="right"/>
						</xsl:when>
						<xsl:otherwise>
							<td align="center">
								
							</td>
							<td/>
							<td align="center">
								
							</td>
							<td/>
							<td/>
						</xsl:otherwise>
					</xsl:choose>
					<td/>
					<td align="right">
						<xsl:value-of select="./*/qty"/>
					</td>
					<td/>
					<td align="right">
						<xsl:value-of select="./estimatedTaxForgiven"/>
					</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
	</xsl:template>
</xsl:transform>