<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:fuel="urn:vfi-sapphire:fuel.2001-10-01" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:js="javascript:code-transactionSet-scripts" xmlns:ext="urn:schemas-microsoft-com:xslt" version="1.0">
	<xsl:include href="../common/tr_period.xsl"/>
	<xsl:output method="html"/>
	<xsl:template xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" match="/">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="periodName" select="count(//vs:period/@periodName)"/>
		<xsl:variable name="periodClose" select="count(//t:hdr/endDateTime)"/>
		
		<html>
			<head>
				<title>Unpaid Transactions Report</title>
				<STYLE>
						UL                   { cursor: hand; }
						UL LI                { display: none;font: 90%;list-style: square; }
						UL.showList LI       { display: block; }
						.defaultStyles UL    { color: black; }
						UL.defaultStyles LI  { display: none; }
				</STYLE>
				<script language="vbscript">
					sub showTable(id)
						if document.getelementbyId(id).style.display = "none" then
							document.getelementbyId(id).style.display = "block" 
						else
							document.getelementbyId(id).style.display = "none" 
						end if
					end sub 				
				</script>
			</head>
			<body>
				<table border="0" width="600" style="font-family: Trebuchet MS; font-size: 10pt" height="61">
					<tr>
						<td width="350" height="1">
							<b>
								<font color="#3366CC" size="5">Unpaid Transactions Report</font>
							</b>
						</td>
						<xsl:apply-templates select="//vs:site"/>
					</tr>
					<tr>
						<td width="592" height="10" colspan="3">
							<hr color="#FFCC00" valign="top" width="700" align="left"/>
						</td>
					</tr>					
				</table>
				<xsl:apply-templates select="/*/vs:period"/>				
				<br/>
				<div>
				<xsl:call-template name="UnpaidTransactionsReport">
					<xsl:with-param name="inputDoc" select="."/>
				</xsl:call-template>
				</div>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="UnpaidTransactionsReport">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns" select="ext:node-set($inputDoc)//entry"/>
		<xsl:for-each select="ext:node-set($ns)">
		<div>
			<span STYLE="display:block" id="Header1">
				<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" bgcolor="#FFFFFF" width="650">
					<tr bgcolor="#3366CC" align="left">
						<td width="90">
							<b>
								<font color="#FFFFFF">Date</font>
							</b>
						</td>
						<td width="90">
							<b>
								<font color="#FFFFFF">Time </font>
							</b>
						</td>
						<td width="150">
							<b>
								<font color="#FFFFFF">Overall Result</font>
							</b>
						</td>
						<td width="130">
							<b>
								<font color="#FFFFFF">Msg Type</font>
							</b>
						</td>
						<td>
							<b>
								<font color="#FFFFFF">Total Loyalty Discount</font>
							</b>
						</td>						
					</tr>
				</table>
			</span>
			<table>
				<tr>
					<td align="left" width="98">
						<xsl:value-of select="substring(./transDateTime,1,10)"/>
					</td>
					<td align="left" width="95">
						<xsl:value-of select="substring(./transDateTime,12,5)"/>
					</td>					
					<td align="left" width="158">
						<xsl:value-of select="./overallResult"/>
					</td>
					<td align="left" width="136">
						<xsl:value-of select="./msgType"/>
					</td>
						<td align="left">
						<xsl:value-of select="format-number(./totalLoyaltyDiscount,'$#,##0.00')"/>
					</td>						
				</tr>
				</table>
			</div>
			<div>
				<span STYLE="display:block" id="Header2">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" width="650">
						<tr bgcolor="#3366CC" align="left">
						<td width="190">
							<b>
								<font color="#FFFFFF">Masked Acct#</font>
							</b>
						</td>
						<td width="150">
							<b>
								<font color="#FFFFFF">Acct Type</font>
							</b>
						</td>
						<td width="130">
							<b>
								<font color="#FFFFFF">Txn Amt</font>
							</b>
						</td>
						<td>
							<b>
								<font color="#FFFFFF">Approval Code</font>
							</b>
						</td>
					</tr>
				</table>
				</span>
				<table>
					<td align="left" width="200">
						<xsl:value-of select="./cardInfo/acctNum"/>
					</td>
					<td align="left" width="155">
						<xsl:value-of select="./cardInfo/acctType"/>
					</td>
					<td align="left" width="136">
						<xsl:value-of select="format-number(./cardInfo/amt,'$#,##0.00')"/>
					</td>
					<td align="left" width="50">
						<xsl:value-of select="./cardInfo/approvalCode"/>
					</td>	
				</table>
			</div>
			<div>
				<span STYLE="display:block" id="Header3">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" bgcolor="#FFFFFF" width="650">
						<tr bgcolor="#3366CC" align="left">
							<td width="190">
								<b>
									<font color="#FFFFFF">Terminal Batch</font>
								</b>
							</td>
							<td width="150">
								<b>
									<font color="#FFFFFF">Terminal STAN</font>
								</b>
							</td>
							<td>
								<b>
									<font color="#FFFFFF">Ref Num</font>
								</b>
							</td>
							<td width="135">
								<b>
									<font color="#FFFFFF">Merchant ID</font>
								</b>
							</td>								
						</tr>
					</table>
				</span>
				<table>
					<tr>
						<td align="left" width="200">
							<xsl:value-of select="./cardInfo/terminalBatch"/>
						</td>
						<td align="left" width="155">
							<xsl:value-of select="./cardInfo/terminalSTAN"/>
						</td>
						<td align="left" width="140">
							<xsl:value-of select="./cardInfo/referenceNumber"/>
						</td>
						<td align="left">
							<xsl:value-of select="../merchantID"/>
						</td>							
					</tr>
				</table>
			</div>
			<xsl:if test="./loyaltyData/loyaltyRewardID != '' ">
			<div>
				<span STYLE="display:block" id="Header3">
					<table border="0" cellspacing="0" style="font-family: Trebuchet MS; font-size: 10pt" cellpadding="5" bgcolor="#FFFFFF" width="650">
						<tr bgcolor="#3366CC" align="left">
								<td width="190">
									<b>
										<font color="#FFFFFF">Loyalty Terminal Batch</font>
									</b>
								</td>
								<td width="150">
									<b>
										<font color="#FFFFFF">Loyalty Reward ID</font>
									</b>
								</td>
								<td>
									<b>
										<font color="#FFFFFF">Loyalty Discount Amt</font>
									</b>
								</td>				
						</tr>
					</table>
				</span>
				
				<table>
				<xsl:for-each select="./loyaltyData">
					<tr>
					<td align="left" width="200">
						<xsl:value-of select="loyaltyTerminalBatch"/>
					</td>
					<td align="left" width="155">
						<xsl:value-of select="loyaltyRewardID"/>
					</td>
					<td align="left">
						<xsl:value-of select="format-number(loyaltyDiscountAmt,'$#,##0.00')"/>
					</td>
					</tr>
					</xsl:for-each>
				</table>	
				
			</div>
			</xsl:if>
			<br/>
			<br/>			
		</xsl:for-each>
	</xsl:template>
</xsl:transform>