<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/tlog/NAXMLCashier" xmlns:ns1="http://verifone.com/isd/vfit/tlog/lists" xmlns:ns2="http://verifone.com/isd/vfit/tlog/NAXML-MCMDetail" xmlns:ns3="http://verifone.com/isd/vfit/tlog/NAXML-MSMDetail" xmlns:ns4="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:js="javascript:code-transactionSet-scripts" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" version="1.0" exclude-result-prefixes="xsl ext ns ns1 ns2 ns3 ns4 js base vs t">

	<xsl:import href="NAXML-MCMDetail-xalan.xslt"/>
	<xsl:import href="NAXML-MSMDetail-xalan.xslt"/>
	<xsl:import href="lists-xalan.xslt"/>
	<xsl:import href="../transactionSet/scripts-xalan.xslt"/>
	<xsl:import href="../transactionSet/tlogDoc-xalan.xslt"/>
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	<xsl:param name="ns:dontSkipDcrs" select="false()"/>
	<xsl:param name="ns:dcrRegister" select="'9'"/>
	<xsl:param name="ns:skipCountCheck" select="true()"/> 
		
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		
		<xsl:call-template name="ns:cashierMovement">
			<xsl:with-param name="baseRawSet" select="$inputDoc/t:tlog"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:cashierMovement">
		<xsl:param name="baseRawSet"/>
		<xsl:param name="followingReptURL"/>	
		
		<xsl:variable name="completeSaleSet">
			<xsl:call-template name="ns1:getSaleSet">
				<xsl:with-param name="tlogEntrySet" select="$baseRawSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="cashierList">
			<xsl:call-template name="ns1:getCashierList">
				<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		
		
		<xsl:variable name="processList">
			<xsl:for-each select="ext:nodeset($cashierList)/*">
				<xsl:variable name="cashier" select="."/>
				
				<xsl:variable name="registerList">
					<xsl:call-template name="ns1:getRegisterList">
						<xsl:with-param name="tlogEntrySet">
							<xsl:call-template name="ns1:getTLogEntriesForCashier">
								<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
								<xsl:with-param name="cashier" select="$cashier"/>
							</xsl:call-template>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
				
				<xsl:for-each select="ext:nodeset($registerList)/*">
					<xsl:variable name="register" select="."/>
					<xsl:if test="$ns:dontSkipDcrs or not($register/@sysid = $ns:dcrRegister)">
						<xsl:variable name="completeCashierSet">
							<xsl:call-template name="ns1:getTLogEntriesForCashier">
								<xsl:with-param name="tlogEntrySet" select="$baseRawSet"/>
								<xsl:with-param name="cashier" select="$cashier"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:variable name="isCountPresent" select="($register/@sysid = $ns:dcrRegister) or boolean(ext:nodeset($completeCashierSet)/t:countCashier)"/>
						<xsl:element name="pitem">
							<xsl:if test="not($isCountPresent)">
								<xsl:attribute name="needsCounts"><xsl:value-of select="'true'"/></xsl:attribute>
							</xsl:if>
							<xsl:copy-of select="$cashier"/>
							<xsl:copy-of select="$register"/>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:variable>
		
		
		<xsl:variable name="ns:extRawDoc">
			<xsl:if test="boolean(ext:nodeset($processList)/*[@needsCounts = 'true'])">
				<xsl:call-template name="ns4:main">
					<xsl:with-param name="inputDoc" select="document($followingReptURL)"/>
				</xsl:call-template>
			</xsl:if>
		</xsl:variable>	
			
		<NAXML-MovementReport>
			<xsl:attribute name="version"><xsl:text>3.4</xsl:text></xsl:attribute>
			<xsl:call-template name="ns:transmissionHeaderElem">
				<xsl:with-param name="rawSet" select="$baseRawSet"/>
			</xsl:call-template>	
			<xsl:for-each select="ext:nodeset($processList)/*">
				<xsl:variable name="seqNum" select="position()"/>
				<xsl:variable name="cashier" select="t:cashier"/>
				<xsl:variable name="register" select="t:register"/>
				
				<xsl:variable name="registerSaleSet">
					<xsl:call-template name="ns1:getTLogEntriesForRegister">
						<xsl:with-param name="tlogEntrySet">
							<xsl:call-template name="ns1:getTLogEntriesForCashier">
								<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
								<xsl:with-param name="cashier" select="$cashier"/>
							</xsl:call-template>
						</xsl:with-param>
						<xsl:with-param name="register" select="$register"/>
					</xsl:call-template>
				</xsl:variable>
					
				<xsl:variable name="registerCompleteSet">
					<xsl:call-template name="ns1:getTLogEntriesForRegister">
						<xsl:with-param name="tlogEntrySet">
							<xsl:call-template name="ns1:getTLogEntriesForCashier">
								<xsl:with-param name="tlogEntrySet" select="$baseRawSet"/>
								<xsl:with-param name="cashier" select="$cashier"/>
							</xsl:call-template>
						</xsl:with-param>
						<xsl:with-param name="register" select="$register"/>
					</xsl:call-template>
				</xsl:variable>
				
				<xsl:variable name="extCashierSet">					
					<xsl:if test="$ns:extRawDoc and @needsCounts = 'true'">
						<xsl:variable name="counts">
							<xsl:call-template name="ns1:getDrawerEntriesForCashier">
								<xsl:with-param name="tlogEntrySet" select="ext:nodeset($ns:extRawDoc)/t:tlog"/>
								<xsl:with-param name="cashier" select="$cashier"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:variable name="cc" select="count(ext:nodeset($counts)/*)"/>
						
						<xsl:if test="not($ns:skipCountCheck) and ($cc &lt; 1)">
							<xsl:message terminate="yes">
								<xsl:text>follow on period does not have required cashier counts for cashier </xsl:text>
								<xsl:value-of select="t:cashier/@empNum"/><xsl:text>:</xsl:text><xsl:value-of select="t:cashier/@sysid"/>
								<xsl:text>, terminating processing</xsl:text>
							</xsl:message>
						</xsl:if>
						<xsl:copy-of select="$counts"/>
					</xsl:if>
				</xsl:variable>
				<xsl:variable name="cashierCompleteExtSet" select="ext:nodeset($registerCompleteSet) | ext:nodeset($extCashierSet)"/>
				<xsl:call-template name="ns:merchCodeMvtElem">
					<xsl:with-param name="seqNum" select="$seqNum"/>
					<xsl:with-param name="rawSet" select="$baseRawSet"/>
					<xsl:with-param name="saleSet" select="$registerSaleSet"/>
					<xsl:with-param name="cashier" select="$cashier"/>
					<xsl:with-param name="register" select="$register"/>
				</xsl:call-template>
				<xsl:call-template name="ns:miscSummaryMvtElem">
					<xsl:with-param name="seqNum" select="$seqNum"/>
					<xsl:with-param name="rawSet" select="$baseRawSet"/>
					<xsl:with-param name="completeSet" select="$cashierCompleteExtSet"/>
					<xsl:with-param name="saleSet" select="$registerSaleSet"/>
					<xsl:with-param name="cashier" select="$cashier"/>
					<xsl:with-param name="register" select="$register"/>
				</xsl:call-template>
			</xsl:for-each>
		</NAXML-MovementReport>
	</xsl:template>
	
	<xsl:template name="ns:transmissionHeaderElem">
		<xsl:param name="rawSet"/>
		<xsl:element name="TransmissionHeader">
			<xsl:element name="StoreLocationID">
				<xsl:value-of select="$rawSet/hdr/vs:site"/>
			</xsl:element>
			<xsl:element name="VendorName">
				<xsl:text>VeriFone</xsl:text>
			</xsl:element>
			<xsl:element name="VendorModelVersion">
				<xsl:text>VSMS1.0</xsl:text>
			</xsl:element>
		</xsl:element>
	</xsl:template>

	
	<xsl:template name="ns:mvtHeaderElem">
		<xsl:param name="seqNum"/>
		<xsl:param name="rawSet"/>
		<xsl:param name="reptPeriod"/>
		<xsl:element name="MovementHeader">
			<xsl:element name="ReportSequenceNumber">
			
				<xsl:value-of select="$seqNum"/>
			</xsl:element>
			<xsl:element name="PrimaryReportPeriod">
				<xsl:value-of select="$reptPeriod"/> 
			</xsl:element>
			<xsl:element name="SecondaryReportPeriod">
			</xsl:element>
			<xsl:element name="BeginDate">
				<xsl:value-of select="js:parseDate(string($rawSet/hdr/startDateTime))"/>
			</xsl:element>
			<xsl:element name="BeginTime">
				<xsl:value-of select="js:parseTime(string($rawSet/hdr/startDateTime))"/>
			</xsl:element>
			<xsl:element name="EndDate">
				<xsl:value-of select="js:parseDate(string($rawSet/hdr/endDateTime))"/>
			</xsl:element>
			<xsl:element name="EndTime">
				<xsl:value-of select="js:parseTime(string($rawSet/hdr/endDateTime))"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:salesMvtHeaderElem">
		<xsl:param name="cashier"/>
		<xsl:param name="register"/>
		<xsl:variable name="ns-cashier" select="ext:nodeset($cashier)"/>
		<xsl:variable name="ns-register" select="ext:nodeset($register)"/>
		<xsl:element name="SalesMovementHeader">
			<xsl:element name="RegisterID">
				<xsl:value-of select="$ns-register/@sysid"/>
			</xsl:element>
			<xsl:element name="CashierID">
				<xsl:value-of select="$ns-cashier/@sysid"/>
			</xsl:element>
			<xsl:element name="TillID">
				<xsl:value-of select="$ns-register/@till"/>
			</xsl:element>
			<xsl:element name="EmployeeNumber">	
				<xsl:choose>
					<xsl:when test="$ns-cashier/@number"><xsl:value-of select="$ns-cashier/@number"/></xsl:when>
					<xsl:otherwise><xsl:value-of select="0"/></xsl:otherwise>
				</xsl:choose>				
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:merchCodeMvtElem">
		<xsl:param name="seqNum"/>
		<xsl:param name="rawSet"/>
		<xsl:param name="saleSet"/>
		<xsl:param name="cashier"/>
		<xsl:param name="register"/>
		
		<xsl:variable name="deptList">
			<xsl:call-template name="ns1:getDeptList">
				<xsl:with-param name="tlogEntrySet" select="$saleSet"/>
			</xsl:call-template>
		</xsl:variable>
				
		<xsl:variable name="feeDeptList">
			<xsl:call-template name="ns1:getFeeDeptList">
				<xsl:with-param name="tlogEntrySet" select="$saleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:element name="MerchandiseCodeMovement">
			<xsl:call-template name="ns:mvtHeaderElem">
				<xsl:with-param name="seqNum" select="$seqNum"/>
				<xsl:with-param name="rawSet" select="$rawSet"/>
				<xsl:with-param name="reptPeriod" select="'99'"/>	
			</xsl:call-template>
			<xsl:call-template name="ns:salesMvtHeaderElem">
				<xsl:with-param name="cashier" select="$cashier"/>
				<xsl:with-param name="register" select="$register"/>
			</xsl:call-template>
			
			<xsl:for-each select="ext:nodeset($deptList)/*">
				<xsl:call-template name="ns2:mcmDetailElem">
					<xsl:with-param name="saleSet" select="$saleSet"/>
					<xsl:with-param name="dept" select="."/>
				</xsl:call-template>
			</xsl:for-each>
			<xsl:for-each select="ext:nodeset($feeDeptList)/*">
				<xsl:call-template name="ns2:mcmDetailForFeeDeptElem">
					<xsl:with-param name="saleSet" select="$saleSet"/>
					<xsl:with-param name="dept" select="."/>
				</xsl:call-template>			
			</xsl:for-each>
		</xsl:element>
	</xsl:template>


	<xsl:template name="ns:miscSummaryMvtElem">
		<xsl:param name="seqNum"/>
		<xsl:param name="rawSet"/>
		<xsl:param name="completeSet"/>
		<xsl:param name="saleSet"/>
		<xsl:param name="cashier"/>
		<xsl:param name="register"/>
		<xsl:element name="MiscellaneousSummaryMovement">
			<xsl:call-template name="ns:mvtHeaderElem">
				<xsl:with-param name="seqNum" select="$seqNum"/>
				<xsl:with-param name="rawSet" select="$rawSet"/>
				<xsl:with-param name="reptPeriod" select="'99'"/>	
			</xsl:call-template>
			<xsl:call-template name="ns:salesMvtHeaderElem">
				<xsl:with-param name="cashier" select="$cashier"/>
				<xsl:with-param name="register" select="$register"/>
			</xsl:call-template>
			
			<xsl:call-template name="ns3:fmtMsmDetails">
				<xsl:with-param name="completeSet" select="$completeSet"/>
				<xsl:with-param name="saleSet" select="$saleSet"/>
			</xsl:call-template>

		</xsl:element>
	</xsl:template>

</xsl:stylesheet>