<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/tlog/buildCashierProcList" xmlns:ns1="http://verifone.com/isd/vfit/tlog/lists" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t">
	<xsl:import href="lists-xalan.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:param name="ns:dontSkipDcrs" select="false()"/>
	<xsl:param name="ns:dcrRegister" select="'9'"/>

	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="baseRawSet" select="$inputDoc/t:tlog"/>
		<xsl:variable name="completeSaleSet">
			<xsl:call-template name="ns1:getSaleSet">
				<xsl:with-param name="tlogEntrySet" select="$baseRawSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="cashierList">
			<xsl:call-template name="ns1:getCashierList">
				<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		
		
		<xsl:element name="procList">
			<xsl:for-each select="ext:nodeset($cashierList)/*">
				<xsl:variable name="cashier" select="."/>
				
				<xsl:variable name="registerList">
					<xsl:call-template name="ns1:getRegisterList">
						<xsl:with-param name="tlogEntrySet">
							<xsl:call-template name="ns1:getTLogEntriesForCashier">
								<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
								<xsl:with-param name="cashier" select="$cashier"/>
							</xsl:call-template>
						</xsl:with-param>
					</xsl:call-template>
				</xsl:variable>
				
				<xsl:for-each select="ext:nodeset($registerList)/*">
					<xsl:variable name="register" select="."/>
					<xsl:if test="$ns:dontSkipDcrs or not($register/@sysid = $ns:dcrRegister)">
						<xsl:variable name="completeCashierSet">
							<xsl:call-template name="ns1:getTLogEntriesForCashier">
								<xsl:with-param name="tlogEntrySet" select="$baseRawSet"/>
								<xsl:with-param name="cashier" select="$cashier"/>
							</xsl:call-template>
						</xsl:variable>
						<xsl:variable name="isCountPresent" select="($register/@sysid = $ns:dcrRegister) or boolean(ext:nodeset($completeCashierSet)/t:countCashier)"/>
						<xsl:element name="pitem">
							<xsl:if test="not($isCountPresent)">
								<xsl:attribute name="needsCounts"><xsl:value-of select="'true'"/></xsl:attribute>
							</xsl:if>
							<xsl:copy-of select="$cashier"/>
							<xsl:copy-of select="$register"/>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:element>
		
	</xsl:template>
	
</xsl:stylesheet>