<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/tlog/buildFuelSales" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/lists" xmlns:jsc="javascript:code-transactionSet-scripts" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" exclude-result-prefixes="xsl ext ns ns1 ns2 jsc xsi base t">
	<xsl:import href="lists-xalan.xslt"/>
	<xsl:import href="../transactionSet/scripts-xalan.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:param name="ns:dcrRegister" select="'9'"/>
	<xsl:param name="ns:currencyType">USD</xsl:param>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="baseRawSet" select="ext:nodeset($inputDoc)/t:tlog"/>
		<xsl:variable name="header" select="$baseRawSet/t:hdr"/>

		
		<xsl:variable name="fuelTrans">
			<xsl:for-each select="$baseRawSet/t:sale/lines/t:line/t:fuel | $baseRawSet/t:adjustment/lines/t:line/t:fuel">
				<xsl:element name="data">
					<xsl:copy-of select="."/>
				</xsl:element>
			</xsl:for-each>
		</xsl:variable>

		
		
		<xsl:variable name="gradeTypes">
			<xsl:variable name="sortedList1">
				<xsl:for-each select="ext:nodeset($fuelTrans)//grade">
					<xsl:sort order="ascending" data-type="number" select="@sysid"/>
					<xsl:copy-of select="."/>  
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList1)/*[          not(. = preceding-sibling::grade)]"/>
		</xsl:variable>

		
		<xsl:variable name="mopTypes">
			<xsl:variable name="sortedList2">
				<xsl:for-each select="ext:nodeset($fuelTrans)//mop">
					<xsl:sort order="ascending" data-type="number" select="@sysid"/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList2)/*[          not(. = preceding-sibling::mop)]"/>
		</xsl:variable>

		
		<xsl:variable name="priceTypes">
			<xsl:variable name="sortedList3">
				<xsl:for-each select="ext:nodeset($fuelTrans)//prc">
					<xsl:sort order="ascending" data-type="number" select="."/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList3)/*[          not(. = preceding-sibling::prc)]"/>
		</xsl:variable>

		
		<xsl:variable name="allFuelTrx">
			
			<xsl:for-each select="ext:nodeset($gradeTypes)/*">
				<xsl:variable name="grades" select="."/>
				<xsl:element name="grade">
					<xsl:element name="name">
						<xsl:value-of select="$grades"/>
					</xsl:element>

					
					<xsl:for-each select="ext:nodeset($mopTypes)/*">
						<xsl:variable name="mops" select="."/>
						<xsl:element name="mop">
							<xsl:element name="name">
								<xsl:value-of select="$mops"/>
							</xsl:element>
	
							
								<xsl:for-each select="ext:nodeset($priceTypes)/*">
								<xsl:variable name="prices" select="."/>
									
									<xsl:variable name="rawList">
										<xsl:for-each select="ext:nodeset($fuelTrans)/*/t:fuel[(grade/name=$grades) and (mop/name=$mops) and (prc=$prices)]">
											<xsl:element name="data">
												<xsl:element name="volume">
													<xsl:value-of select="vol"/>
												</xsl:element>
												<xsl:element name="amount">
													<xsl:value-of select="amt"/>
												</xsl:element>
											</xsl:element>
										</xsl:for-each>
									</xsl:variable>
									<xsl:if test="count(ext:nodeset($rawList)/data)">
										<xsl:element name="price">
											<xsl:element name="ppu">
												<xsl:value-of select="$prices"/>
											</xsl:element>
											<xsl:for-each select="ext:nodeset($rawList)/data">
												<xsl:element name="data">
													<xsl:element name="volume">
														<xsl:value-of select="volume"/>
													</xsl:element>
													<xsl:element name="amount">
														<xsl:value-of select="amount"/>
													</xsl:element>
												</xsl:element>
											</xsl:for-each>
										</xsl:element>  
									</xsl:if> 

							</xsl:for-each>	

						</xsl:element>	
					</xsl:for-each>		

				</xsl:element>   
			</xsl:for-each>	
		</xsl:variable>


		<fuelSales>
			<xsl:copy-of select="$header"/>
			<xsl:copy-of select="$allFuelTrx"/>
		</fuelSales>
	</xsl:template>
</xsl:stylesheet>