<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/tlog/buildLoyaltySales" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/lists" xmlns:nsc="http://verifone.com/isd/vfit/transactionSet/scripts" xmlns:jsc="javascript:code-transactionSet-scripts" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0" exclude-result-prefixes="xsl ext ns ns1 ns2 nsc jsc xsi vs">
	<xsl:import href="lists-xalan.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		
		<xsl:variable name="baseRawSet" select="ext:nodeset($inputDoc)/t:tlog"/>
		<xsl:variable name="header" select="$baseRawSet/t:hdr"/>
		<xsl:variable name="tranSet">
			<xsl:apply-templates select="ext:nodeset($baseRawSet)/*"/>
		</xsl:variable>
		
		<xsl:variable name="final">
			<xsl:element name="t:loyaltyDetailReport">
				<xsl:copy-of select="$header"/>
				<xsl:element name="loyaltyDetailTotals">
					<xsl:call-template name="ns:buildLoyaltyDetails">
						<xsl:with-param name="tlogEntrySet" select="$tranSet"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:element>
		</xsl:variable>
		<xsl:copy-of select="$final"/>
	</xsl:template>
	<xsl:template match=" t:sale | t:adjustment">
		<xsl:copy-of select="."/>
	</xsl:template>
	<xsl:template name="ns:buildLoyaltyDetails">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="tlogSet" select="ext:nodeset($tlogEntrySet)"/>
		<xsl:for-each select="ext:nodeset($tlogSet)/*">
			<xsl:if test="sum/t:sumLoyalty">
				<xsl:element name="loyaltyDetail">
					<xsl:copy-of select="hdr"/>
					<xsl:copy-of select="t:cashier"/>
					<xsl:copy-of select="vs:transactionSeq"/>
					<xsl:element name="refundFlag">
						<xsl:value-of select="@isRefund"/>
					</xsl:element>
					<xsl:element name="ticketTotal">
						<xsl:value-of select="sum/total"/>
					</xsl:element>
					<xsl:element name="ticketDetails">
						<xsl:copy-of select="sum/t:sumLoyalty"/>
					</xsl:element>
					<xsl:element name="lineDetails">
						<xsl:variable name="adjustedline" select="following::t:adjustment[vs:transactionSeq=current()/vs:transactionSeq]/lines"/>
						<xsl:choose>
							<xsl:when test="$adjustedline">
								<xsl:copy-of select="$adjustedline/t:line"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:copy-of select="lines/t:line"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>