<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/buildMoneyOrder" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/lists" xmlns:nsc="http://verifone.com/isd/vfit/transactionSet/scripts" xmlns:jsc="javascript:code-transactionSet-scripts" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0" exclude-result-prefixes="xsl ext ns ns1 ns2 nsc jsc xsi vs">
	
	<xsl:import href="lists.xslt"/>
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:param name="ns:reportPrefs">reptPrefs.xml</xsl:param>
	<xsl:param name="ns:reptGroupName">moneyOrder</xsl:param>
	
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>

		<xsl:variable name="baseRawSet" select="ext:node-set($inputDoc)/t:tlog"/>

		<xsl:variable name="header" select="$baseRawSet/t:hdr"/>
		<xsl:variable name="rptPrefDoc" select="document(string($ns:reportPrefs))"/>

		<xsl:variable name="rawRptPrefs" select="$rptPrefDoc//*[* = $ns:reptGroupName]"/>


		<xsl:variable name="tranSet">
			<xsl:copy-of select="$baseRawSet/t:sale[not(@isRefund) and lines/t:line/fid/t:dept/@sysid = ext:node-set($rawRptPrefs)//@sysid] |           $baseRawSet/t:adjustment[ lines/t:line/fid/t:dept/@sysid = ext:node-set($rawRptPrefs)//@sysid]"/>
		</xsl:variable>

		<xsl:variable name="report">
			<xsl:for-each select="ext:node-set($tranSet)/*">
				<xsl:element name="moneyOrderEntry">
					<xsl:copy-of select="hdr/dateTime"/>
					<xsl:copy-of select="hdr/t:register"/>
					<xsl:copy-of select="vs:transactionSeq"/>
					<xsl:copy-of select="t:cashier"/>
					<xsl:element name="moneyOrderSales">
						<xsl:element name="amount">
							<xsl:value-of select="format-number(               sum(./lines/t:line[not(@isVoid or @voidLineIndex)and fid/t:dept/@sysid = ext:node-set($rawRptPrefs)//@sysid]/stot)               ,'0.00')"/>
						</xsl:element>
						<xsl:element name="count">
							<xsl:value-of select="sum(./lines/t:line[not(@isVoid or @voidLineIndex) and fid/t:dept/@sysid = ext:node-set($rawRptPrefs)//@sysid ]/qty)"/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="allOtherSales">
						<xsl:element name="amount">
							<xsl:value-of select="format-number(               sum(./lines/t:line[not(@isVoid or @voidLineIndex)and not(fid/t:dept/@sysid = ext:node-set($rawRptPrefs)//@sysid)]/stot)               ,'0.00')"/>
						</xsl:element>
						<xsl:element name="count">
							<xsl:value-of select="sum(./lines/t:line[not(@isVoid or @voidLineIndex) and not(fid/t:dept/@sysid = ext:node-set($rawRptPrefs)//@sysid)]/qty)"/>
						</xsl:element>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:variable>
		
		<xsl:element name="t:moneyOrder">
			<xsl:copy-of select="$header"/>
			<xsl:copy-of select="$report"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>