<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/tlog/buildPaidInOut" xmlns:ns2="http://verifone.com/isd/vfit/tlog/lists" xmlns:jsc="javascript:code-transactionSet-scripts" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" exclude-result-prefixes="xsl ext ns ns2 vs jsc xsi base">

	<xsl:import href="lists-xalan.xslt"/>
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:param name="ns:driveoff" select="14"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>

		<xsl:variable name="baseRawSet" select="ext:nodeset($inputDoc)/t:tlog"/>
		<xsl:variable name="header" select="$baseRawSet/t:hdr"/>
		


		<xsl:variable name="allPayIns">
			<xsl:copy-of select="$baseRawSet/t:tillPayin"/>	
		</xsl:variable>
			

		<xsl:variable name="allPayOuts">
			<xsl:copy-of select="$baseRawSet/t:tillPayout"/>
		</xsl:variable>


		<t:paidInsOuts>
			<xsl:copy-of select="$header"/>
			<allPayIns>
				<xsl:copy-of select="$allPayIns"/>
				<xsl:element name="overAllTotal">
				<xsl:element name="amount">
					<xsl:value-of select="format-number(sum(ext:nodeset($allPayIns)/*/amount), '#.00')"/>
				</xsl:element>
				<xsl:element name="count">
					<xsl:value-of select="count(ext:nodeset($allPayIns)/*)"/>
				</xsl:element>
			</xsl:element>
			</allPayIns>
			<allPayOuts>
				<xsl:copy-of select="$allPayOuts"/>
				<xsl:element name="overAllTotal">
				<xsl:element name="amount">
					<xsl:value-of select="format-number(sum(ext:nodeset($allPayOuts)/*/amount), '#.00')"/>
				</xsl:element>
				<xsl:element name="count">
					<xsl:value-of select="count(ext:nodeset($allPayOuts)/*)"/>
				</xsl:element>
			</xsl:element>
		</allPayOuts>
		</t:paidInsOuts>
	</xsl:template>
</xsl:stylesheet>