<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/tlog/buildPrepaidEvents" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/lists" xmlns:jsc="javascript:code-transactionSet-scripts" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" exclude-result-prefixes="xsl ext ns ns1 ns2 jsc xsi base t">
	<xsl:import href="lists-xalan.xslt"/>
	<xsl:import href="../transactionSet/scripts-xalan.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:param name="ns:dcrRegister" select="'9'"/>
	<xsl:param name="ns:currencyType">USD</xsl:param>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="baseRawSet" select="ext:nodeset($inputDoc)/t:tlog"/>
		<xsl:variable name="header" select="$baseRawSet/t:hdr"/>
		
		
		<xsl:variable name="ppTrans">
			<xsl:for-each select="$baseRawSet/t:event[@type='prepaidCard']">
			<xsl:element name="ppdFunction">
				<xsl:element name="ppdFuncType">
					<xsl:value-of select="./ppdFunction/ppdFuncType"/>
				</xsl:element>
				<xsl:element name="ppdAcctNum">
					<xsl:value-of select="./ppdFunction/ppdAcctNum"/>
				</xsl:element>
				<xsl:element name="ppdCardType">
					<xsl:value-of select="./ppdFunction/ppdCardType"/>
				</xsl:element>
				<xsl:element name="ppdTime">
					<xsl:value-of select="./ppdFunction/ppdTime"/>
				</xsl:element>
				<xsl:element name="ppdAmount">
					<xsl:value-of select="./ppdFunction/ppdAmount"/>
				</xsl:element>
				<xsl:element name="ppdRegister">
					<xsl:value-of select="./hdr/t:register/@sysid"/>
				</xsl:element>
			</xsl:element>
			</xsl:for-each>
		</xsl:variable>
		
		
		<xsl:variable name="cardType">
			<xsl:variable name="rawTypes">
				<xsl:copy-of select="ext:nodeset($ppTrans)//ppdCardType"/>
			</xsl:variable>
			<xsl:variable name="sortedList">
				<xsl:for-each select="ext:nodeset($rawTypes)">
					<xsl:sort order="ascending" select="."/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList)/*[          not(. = preceding-sibling::ppdCardType)         ]"/>
		</xsl:variable>
		
		<xsl:variable name="funcType">
			<xsl:variable name="rawTypes1">
				<xsl:copy-of select="ext:nodeset($ppTrans)//ppdFuncType"/>
			</xsl:variable>
			<xsl:variable name="sortedList">
				<xsl:for-each select="ext:nodeset($rawTypes1)">
					<xsl:sort order="ascending" select="."/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedList)/*[          not(. = preceding-sibling::ppdFuncType)         ]"/>
		</xsl:variable>

		
		<xsl:variable name="dateTimeType">
			<xsl:variable name="rawTypes2">
				<xsl:copy-of select="ext:nodeset($ppTrans)//ppdTime"/>
			</xsl:variable>
			<xsl:variable name="sortedListDate">
				<xsl:for-each select="ext:nodeset($rawTypes2)">
					<xsl:sort order="ascending" select="."/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:copy-of select="ext:nodeset($sortedListDate)"/> 
		</xsl:variable>
		
		<xsl:variable name="unparedDateType">
			<xsl:for-each select="ext:nodeset($dateTimeType)/*">
				<xsl:variable name="dType" select="."/>
					<xsl:element name="byDate">
						<xsl:value-of select="substring($dType,1,10)"/>
					</xsl:element>
			</xsl:for-each>
		</xsl:variable>
		
		<xsl:variable name="dateType">
			<xsl:copy-of select="ext:nodeset($unparedDateType)/*[          not(. = preceding-sibling::byDate)         ]"/>
		</xsl:variable>


		
		<xsl:variable name="allPPCards">
			
			<xsl:for-each select="ext:nodeset($cardType)/*">
				<xsl:variable name="ccType" select="."/>
				<xsl:element name="cardInfo">
					<xsl:element name="cardType">
						<xsl:element name="name">
							<xsl:value-of select="$ccType"/>
						</xsl:element>
						
						<xsl:for-each select="ext:nodeset($funcType)/*">
							<xsl:variable name="fType" select="."/>
					  		<xsl:element name="funcType">
								<xsl:attribute name="type">
									<xsl:value-of select="$fType"/>
								</xsl:attribute>

							
							<xsl:for-each select="ext:nodeset($dateType)/*">
								<xsl:variable name="dType" select="."/>
								<xsl:variable name="rawList">

									<xsl:copy-of select="ext:nodeset($ppTrans)/ppdFunction[(ppdCardType=$ccType) and (ppdFuncType=$fType) and (substring(ppdTime,1,10)=substring($dType,1,10))]"/>  
								</xsl:variable>
								<xsl:if test="count(ext:nodeset($rawList)/ppdFunction)">
											<xsl:element name="byDate">
												<xsl:attribute name="day">
													<xsl:value-of select="substring($dType,1,10)"/>
												</xsl:attribute>
											<xsl:copy-of select="$rawList"/>
											<xsl:element name="count">
												<xsl:value-of select="count(ext:nodeset($rawList)/ppdFunction)"/>
											</xsl:element>
											<xsl:element name="amount">
												<xsl:value-of select="sum(ext:nodeset($rawList)/ppdFunction/ppdAmount)"/>
											</xsl:element>
											</xsl:element>
								</xsl:if>
						</xsl:for-each>	
						</xsl:element>
						</xsl:for-each>	
					</xsl:element>
				</xsl:element>
			</xsl:for-each> 
		</xsl:variable>
		<ppdEvents>
			<xsl:copy-of select="$header"/>
			<xsl:copy-of select="$allPPCards"/>
		</ppdEvents>
	</xsl:template>
</xsl:stylesheet>