<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/lists" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:doc="http://verifone.com/isd/stylesheets/documentation" version="1.1" extension-element-prefixes="doc" exclude-result-prefixes="xsl ext ns">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	
	
	
	
	
	<xsl:template name="ns:getSaleSet">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:copy-of select="$ns-set/t:sale          | $ns-set/t:adjustment"/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getVoidSet">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:copy-of select="$ns-set/t:void"/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getRefundTLogEntrySet">
		<xsl:param name="tlogEntrySet"/>
		<xsl:copy-of select="ext:node-set($tlogEntrySet)/*[@isRefund = 'true']"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getNonRefundTLogEntrySet">
		<xsl:param name="tlogEntrySet"/>
		<xsl:copy-of select="ext:node-set($tlogEntrySet)/*[ not(@isRefund = 'true') ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForCashier">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="cashier"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-cashier" select="ext:node-set($cashier)"/>
		<xsl:copy-of select="$ns-set/*[ t:cashier/@sysid = $ns-cashier//@sysid           and (           not($ns-cashier//period) or (t:cashier/period = $ns-cashier//period)          )         ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForRegister">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="register"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-register" select="ext:node-set($register)"/>
		<xsl:copy-of select="$ns-set/*[ hdr/t:register/@sysid = $ns-register//@sysid ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForDept">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="dept"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-dept" select="ext:node-set($dept)"/>
		<xsl:copy-of select="$ns-set/*[ lines/t:line/fid/t:dept/@sysid = $ns-dept//@sysid]        | $ns-set/*[ lines/t:cline/t:sline/fid/t:dept/@sysid = $ns-dept//@sysid]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForCategory">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="cat"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-cat" select="ext:node-set($cat)"/>
		<xsl:copy-of select="$ns-set/*[ lines/t:line/fid/t:cat/@sysid = $ns-cat//@sysid]        | $ns-set/*[ lines/t:cline/t:sline/fid/t:cat/@sysid = $ns-cat//@sysid]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForNetw">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="netw"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-netw" select="ext:node-set($netw)"/>
		<xsl:copy-of select="$ns-set/*[ lines/t:line/fid/t:netw/@sysid = $ns-netw//@sysid]        | $ns-set/*[ lines/t:cline/t:sline/fid/t:netw/@sysid = $ns-netw//@sysid]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForPlu">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="plu"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-plu" select="ext:node-set($plu)"/>
		<xsl:copy-of select="$ns-set/*[ lines/t:line/iid/t:plu/upc = $ns-plu//upc                 and lines/t:line/iid/t:plu/modifier = $ns-plu//modifier ]        | $ns-set/*[ lines/t:cline/t:sline/iid/t:plu/upc = $ns-plu//upc                and lines/t:cline/t:sline/iid/t:plu/modifier = $ns-plu//modifier ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForFeeDept">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="dept"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-dept" select="ext:node-set($dept)"/>
		<xsl:copy-of select="$ns-set/*[ lines/t:line/t:fee/t:dept/@sysid = $ns-dept//@sysid ]         | $ns-set/*[ lines/t:cline/t:fee/t:dept/@sysid = $ns-dept//@sysid ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getDrawerEntriesForCashier">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="cashier"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-cashier" select="ext:node-set($cashier)"/>
		<xsl:variable name="cashierDrawerEntries">
			<xsl:copy-of select="$ns-set/t:closeCashier | $ns-set/t:openCashier | $ns-set/t:countCashier"/>
		</xsl:variable>
		<xsl:variable name="ns-cashierDrawerEntries" select="ext:node-set($cashierDrawerEntries)"/>
		<xsl:copy-of select="$ns-cashierDrawerEntries/*[ t:cashier/@sysid = $ns-cashier//@sysid           and (           not($ns-cashier//period) or (t:cashier/period = $ns-cashier//period)          )         ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTLogEntriesForPeriod">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="period"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-period" select="ext:node-set($period)"/>
		
		<xsl:copy-of select="$ns-set/*/hdr/vs:period[ @sysid = $ns-period//@sysid          and @periodSeqNum = $ns-period//@periodSeqNum]/../.."/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getRawFidList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:copy-of select="$ns-set/*/lines/t:line/fid | $ns-set/*/lines/t:cline/t:sline/fid"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getDeptList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawFidList">
				<xsl:with-param name="tlogEntrySet" select="$tlogEntrySet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/fid">
				<xsl:sort data-type="number" order="ascending" select="t:dept/@sysid"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/fid[ not( t:dept/@sysid = preceding-sibling::fid[1]/t:dept/@sysid ) ]/t:dept"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getCategoryList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawFidList">
				<xsl:with-param name="tlogEntrySet" select="$tlogEntrySet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/fid">
				<xsl:sort data-type="number" order="ascending" select="t:cat/@sysid"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/fid[ not( t:cat/@sysid = preceding-sibling::fid[1]/t:cat/@sysid ) ]/t:cat"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getNetwList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawFidList">
				<xsl:with-param name="tlogEntrySet" select="$tlogEntrySet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/fid">
				<xsl:sort data-type="number" order="ascending" select="t:netw/@sysid"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/fid[ not( t:netw/@sysid = preceding-sibling::fid[1]/t:netw/@sysid ) ]/t:netw"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getRawIidList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:copy-of select="$ns-set/*/lines/t:line/iid | $ns-set/*/lines/t:cline/t:sline/iid"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getPluList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawIidList">
				<xsl:with-param name="tlogEntrySet" select="$tlogEntrySet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/iid">
				<xsl:sort data-type="number" order="ascending" select="t:plu/upc"/>
				<xsl:sort data-type="number" order="ascending" select="t:plu/modifier"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/iid[          not( t:plu/upc = preceding-sibling::iid[1]/t:plu/upc)         or         ( t:plu/upc = preceding-sibling::iid[1]/t:plu/upc and not( t:plu/modifier = preceding-sibling::iid[1]/t:plu/modifier) )         ]/t:plu"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getRawTaxList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:copy-of select="$ns-set/*/sum/t:sumTax/vs:taxrateBase | $ns-set/*/sum/t:sumTaxExempt/vs:taxrateBase"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getTaxList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawTaxList">
				<xsl:with-param name="tlogEntrySet" select="$ns-set"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/*">
				<xsl:sort data-type="number" order="ascending" select="./taxRate"/>
				<xsl:sort data-type="text" order="ascending" select="./name"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/vs:taxrateBase[           not( name = preceding-sibling::vs:taxrateBase[1]/name )          or not(taxRate = preceding-sibling::vs:taxrateBase[1]/taxRate           )]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getCashierList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($tlogEntrySet)/*/t:cashier">
				<xsl:sort data-type="number" order="ascending" select="@sysid"/>
				<xsl:sort data-type="number" order="ascending" select="period"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/t:cashier[         not( @sysid = preceding-sibling::t:cashier[1]/@sysid)         or         ( @sysid = preceding-sibling::t:cashier[1]/@sysid and period != preceding-sibling::t:cashier[1]/period )         ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getRegisterList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($tlogEntrySet)/*/hdr/t:register">
				<xsl:sort data-type="number" order="ascending" select="@sysid"/>
				<xsl:sort data-type="number" order="ascending" select="@till"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/t:register[         not( @sysid = preceding-sibling::t:register[1]/@sysid)         or         ( @sysid = preceding-sibling::t:register[1]/@sysid and @till != preceding-sibling::t:register[1]/@till )         ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getMopList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($tlogEntrySet)/*/paylines/t:payline/t:mop">
				<xsl:sort data-type="number" order="ascending" select="@sysid"/>
				<xsl:sort data-type="number" order="ascending" select="@cat"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/t:mop[         not( @sysid = preceding-sibling::t:mop[1]/@sysid)         or         ( @sysid = preceding-sibling::t:mop[1]/@sysid and @cat != preceding-sibling::t:mop[1]/@cat )         ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getMopSafeList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-tlogEntrySet" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="safeMopList" select="$ns-tlogEntrySet/t:tillSafeDrop | $ns-tlogEntrySet/t:tillSafeLoan"/>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($safeMopList)/*">
				<xsl:sort data-type="number" order="ascending" select="@sysid"/>
				<xsl:sort data-type="number" order="ascending" select="@cat"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/t:mop[         not( @sysid = preceding-sibling::t:mop[1]/@sysid)         or         ( @sysid = preceding-sibling::t:mop[1]/@sysid and @cat != preceding-sibling::t:mop[1]/@cat )         ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getFeeDeptList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="sortedList">
			<xsl:for-each select="$ns-set/*/lines/t:line/t:fee/t:dept | $ns-set/*/lines/t:cline/t:fee/t:dept">
				<xsl:sort data-type="number" order="ascending" select="@sysid"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/t:dept[not( @sysid = preceding-sibling::t:dept[1]/@sysid )]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getPeriodList">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="period"/>
		<xsl:variable name="ns-prdtype" select="ext:node-set($period)"/>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($tlogEntrySet)/*/hdr/vs:period[@sysid = $ns-prdtype//@sysid]">
				<xsl:sort data-type="number" order="ascending" select="@periodSeqNum"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/vs:period[         not( @periodSeqNum = preceding-sibling::vs:period[1]/@periodSeqNum)]"/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getLineSet">
		<xsl:param name="tlogEntrySet"/>
		<xsl:copy-of select=" ext:node-set($tlogEntrySet)/*/lines/*"/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getRawFidListFromLines">
		<xsl:param name="lineSet"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:copy-of select="$ns-set/t:line/fid | $ns-set/t:cline/t:sline/fid | $ns-set/t:sline/fid"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getDeptListFromLines">
		<xsl:param name="lineSet"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawFidListFromLines">
				<xsl:with-param name="lineSet" select="$lineSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/fid">
				<xsl:sort data-type="number" order="ascending" select="t:dept/@sysid"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/fid[ not( t:dept/@sysid = preceding-sibling::fid[1]/t:dept/@sysid ) ]/t:dept"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getCategoryListFromLines">
		<xsl:param name="lineSet"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawFidListFromLines">
				<xsl:with-param name="lineSet" select="$lineSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/fid">
				<xsl:sort data-type="number" order="ascending" select="t:cat/@sysid"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/fid[ not( t:cat/@sysid = preceding-sibling::fid[1]/t:cat/@sysid ) ]/t:cat"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getRawIidListFromLines">
		<xsl:param name="lineSet"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:copy-of select="$ns-set/t:line/iid | $ns-set/t:cline/t:sline/iid | $ns-set/t:sline/iid"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getPluListFromLines">
		<xsl:param name="lineSet"/>
		<xsl:variable name="rawList">
			<xsl:call-template name="ns:getRawIidListFromLines">
				<xsl:with-param name="lineSet" select="$lineSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="sortedList">
			<xsl:for-each select="ext:node-set($rawList)/iid">
				<xsl:sort data-type="number" order="ascending" select="t:plu/upc"/>
				<xsl:sort data-type="number" order="ascending" select="t:plu/modifier"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:node-set($sortedList)/iid[          not( t:plu/upc = preceding-sibling::iid[1]/t:plu/upc)         or         ( t:plu/upc = preceding-sibling::iid[1]/t:plu/upc and not( t:plu/modifier = preceding-sibling::iid[1]/t:plu/modifier) )         ]/t:plu"/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getLinesForDept">
		<xsl:param name="lineSet"/>
		<xsl:param name="dept"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:variable name="ns-dept" select="ext:node-set($dept)"/>
		<xsl:copy-of select="$ns-set/t:line[ fid/t:dept/@sysid = $ns-dept//@sysid ]        | $ns-set/t:cline/t:sline[ fid/t:dept/@sysid = $ns-dept//@sysid ]        | $ns-set/t:sline[ fid/t:dept/@sysid = $ns-dept//@sysid ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesForCategory">
		<xsl:param name="lineSet"/>
		<xsl:param name="cat"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:variable name="ns-cat" select="ext:node-set($cat)"/>
		<xsl:copy-of select="$ns-set/t:line[ fid/t:cat/@sysid = $ns-cat//@sysid ]        | $ns-set/t:cline/t:sline[ fid/t:cat/@sysid = $ns-cat//@sysid ]        | $ns-set/t:sline[ fid/t:cat/@sysid = $ns-cat//@sysid ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesForNetw">
		<xsl:param name="lineSet"/>
		<xsl:param name="netw"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:variable name="ns-netw" select="ext:node-set($netw)"/>
		<xsl:copy-of select="$ns-set/t:line[ fid/t:netw/@sysid = $ns-netw//@sysid ]        | $ns-set/t:cline/t:sline[ fid/t:netw/@sysid = $ns-netw//@sysid ]        | $ns-set/t:sline[ fid/t:netw/@sysid = $ns-netw//@sysid ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesForPlu">
		<xsl:param name="lineSet"/>
		<xsl:param name="plu"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:variable name="ns-plu" select="ext:node-set($plu)"/>
		<xsl:copy-of select="$ns-set/t:line[               iid/t:plu/upc = $ns-plu//upc              and iid/t:plu/modifier = $ns-plu//modifier              ]        | $ns-set/t:cline/t:sline[               iid/t:plu/upc = $ns-plu//upc               and iid/t:plu/modifier = $ns-plu//modifier             ]        | $ns-set/t:sline[               iid/t:plu/upc = $ns-plu//upc               and iid/t:plu/modifier = $ns-plu//modifier             ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesWithPlu">
		<xsl:param name="lineSet"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:copy-of select="$ns-set/t:line[ iid ] | $ns-set/t:cline |  $ns-set/t:sline"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesWithoutPlu">
		<xsl:param name="lineSet"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:copy-of select="$ns-set/t:line[ not(iid) ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesForFeeDept">
		<xsl:param name="lineSet"/>
		<xsl:param name="dept"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:variable name="ns-dept" select="ext:node-set($dept)"/>
		<xsl:copy-of select="$ns-set/t:line[ t:fee/t:dept/@sysid = $ns-dept//@sysid ]         | $ns-set/t:cline[ t:fee/t:dept/@sysid = $ns-dept//@sysid ]"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesForInsideSales">
		<xsl:param name="lineSet"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:copy-of select="$ns-set/t:line[ not(t:fuel or t:fuelPrepay) ]         | $ns-set/t:cline         | $ns-set/t:sline"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getLinesForFuelSales">
		<xsl:param name="lineSet"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:copy-of select="$ns-set/t:line[ t:fuel or t:fuelPrepay ]"/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getDiscountSetFromLines">
		<xsl:param name="lineSet"/>
		<xsl:variable name="ns-set" select="ext:node-set($lineSet)"/>
		<xsl:copy-of select="$ns-set/*/t:disc        | $ns-set/*/t:promo        | $ns-set/*/t:match        | $ns-set/*/t:combo       "/>
	</xsl:template>
	
	
	
	<xsl:template name="ns:getPaylineSet">
		<xsl:param name="tlogEntrySet"/>
		<xsl:copy-of select=" ext:node-set($tlogEntrySet)/*/paylines/t:payline"/>
	</xsl:template>
	
	
	<xsl:template name="ns:getPaylinesForMop">
		<xsl:param name="paylineSet"/>
		<xsl:param name="mop"/>
		<xsl:variable name="ns-set" select="ext:node-set($paylineSet)"/>
		<xsl:variable name="ns-mop" select="ext:node-set($mop)"/>
		<xsl:choose>
			<xsl:when test="$ns-mop//@sysid">
				<xsl:copy-of select="$ns-set/t:payline[ t:mop/@sysid = $ns-mop//@sysid ]"/>
			</xsl:when>
			<xsl:when test="$ns-mop//@cat">
				<xsl:copy-of select="$ns-set/t:payline[ t:mop/@cat = $ns-mop//@cat ]"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	
	<xsl:template name="ns:getTillItems">
		<xsl:param name="tlogEntrySet"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:copy-of select="$ns-set/t:tillSafeDrop | $ns-set/t:tillSafeLoan | $ns-set/t:tillPayout | $ns-set/t:tillPayin | $ns-set/t:tillNoSale"/>
	</xsl:template>
	
	<xsl:template name="ns:getTillItemsForMop">
		<xsl:param name="tlogEntrySet"/>
		<xsl:param name="mop"/>
		<xsl:variable name="ns-set" select="ext:node-set($tlogEntrySet)"/>
		<xsl:variable name="ns-mop" select="ext:node-set($mop)"/>
		<xsl:choose>
			<xsl:when test="$ns-mop//@sysid">
				<xsl:copy-of select="$ns-set/*[ t:mop/@sysid = $ns-mop//@sysid ]"/>
			</xsl:when>
			<xsl:when test="$ns-mop//@cat">
				<xsl:copy-of select="$ns-set/*[ t:mop/@cat = $ns-mop//@cat ]"/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>