<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/listsTest" xmlns:ns1="http://verifone.com/isd/vfit/tlog/lists" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" version="1.1" exclude-result-prefixes="xsl ext ns ns1">

	<xsl:import href="lists.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	

	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		
		<xsl:variable name="completeSaleSet">
			<xsl:call-template name="ns1:getSaleSet">
				<xsl:with-param name="tlogEntrySet" select="$inputDoc/t:tlog"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="deptList">
			<xsl:call-template name="ns1:getDeptList">
				<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
			</xsl:call-template>
		</xsl:variable>		
		<xsl:variable name="feeDeptList">
			<xsl:call-template name="ns1:getFeeDeptList">
				<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<testDocument>
			<xsl:for-each select="ext:node-set($deptList)/*">
				<xsl:call-template name="ns:deptRpt">
					<xsl:with-param name="inputSet" select="$completeSaleSet"/>
					<xsl:with-param name="dept" select="."/>
				</xsl:call-template>
			</xsl:for-each>
			<xsl:for-each select="ext:node-set($feeDeptList)/*">
				<xsl:call-template name="ns:feeDeptRpt">
					<xsl:with-param name="inputSet" select="$completeSaleSet"/>
					<xsl:with-param name="dept" select="."/>
				</xsl:call-template>
			</xsl:for-each>
		</testDocument>
	</xsl:template>
		
	<xsl:template name="ns:deptRpt">
		<xsl:param name="inputSet"/>
		<xsl:param name="dept"/>
		
		
		<xsl:variable name="completeSaleSet" select="$inputSet"/>
		<xsl:variable name="deptSaleSet">
			<xsl:call-template name="ns1:getTLogEntriesForDept">
				<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="refundSaleSet">
			<xsl:call-template name="ns1:getRefundTLogEntrySet">
				<xsl:with-param name="tlogEntrySet" select="$deptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="nonRefundSaleSet">
			<xsl:call-template name="ns1:getNonRefundTLogEntrySet">
				<xsl:with-param name="tlogEntrySet" select="$deptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		
		<xsl:variable name="completeLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$completeSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="deptSuperLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$deptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="deptSuperRefundLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$refundSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="deptSuperNonRefundLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$nonRefundSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="deptLineSet">
			<xsl:call-template name="ns1:getLinesForDept">
				<xsl:with-param name="lineSet" select="$deptSuperLineSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="refundLineSet">
			<xsl:call-template name="ns1:getLinesForDept">
				<xsl:with-param name="lineSet" select="$deptSuperRefundLineSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="nonRefundLineSet">
			<xsl:call-template name="ns1:getLinesForDept">
				<xsl:with-param name="lineSet" select="$deptSuperNonRefundLineSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="completeDiscountSet">
			<xsl:call-template name="ns1:getDiscountSetFromLines">
				<xsl:with-param name="lineSet" select="$completeLineSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="deptDiscountSet">
			<xsl:call-template name="ns1:getDiscountSetFromLines">
				<xsl:with-param name="lineSet" select="$deptLineSet"/>
			</xsl:call-template>
		</xsl:variable>
		
		<xsl:variable name="completeSalesCount">
			<xsl:value-of select="count(ext:node-set($completeSaleSet)/*)"/>
		</xsl:variable>
		<xsl:variable name="completeSalesAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($completeLineSet)/*/stot) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="completeDiscountAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($completeDiscountSet)/*/amt),'#.00')"/>
		</xsl:variable>
		<xsl:variable name="completeGrossSalesAmt">
			<xsl:value-of select="format-number( $completeSalesAmt + $completeDiscountAmt,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="salesCount">
			<xsl:value-of select="count(ext:node-set($deptSaleSet)/*)"/>
		</xsl:variable>
		<xsl:variable name="salesAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($deptLineSet)/*/stot) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="grossSalesBeforeDiscAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($nonRefundLineSet)/*/stot) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="quantity">
			<xsl:value-of select="format-number( sum( ext:node-set($deptLineSet)/*/qty) ,'#.000')"/>
		</xsl:variable>
		<xsl:variable name="discountAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($deptDiscountSet)/*/amt),'#.00')"/>
		</xsl:variable>
		<xsl:variable name="grossSalesAmt">
			<xsl:value-of select="format-number( $grossSalesBeforeDiscAmt + $discountAmt,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="refundSaleCount">
			<xsl:value-of select="count(ext:node-set($refundSaleSet)/*)"/>
		</xsl:variable>
		<xsl:variable name="refundSaleAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($refundLineSet)/*/stot) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="pctSales">
			<xsl:value-of select="format-number( ($salesAmt div $completeSalesAmt) * 100, '#.00')"/>
		</xsl:variable>
		<deptRept sysid="{ext:node-set($dept)/@sysid}">
			<count><xsl:value-of select="$salesCount"/></count>
			<amt><xsl:value-of select="$salesAmt"/></amt>
			<qty><xsl:value-of select="$quantity"/></qty>
			<refund>
				<count><xsl:value-of select="$refundSaleCount"/></count>
				<amt><xsl:value-of select="$refundSaleAmt"/></amt>
			</refund>
			<discounts><xsl:value-of select="$discountAmt"/></discounts>
			<gsales><xsl:value-of select="$grossSalesAmt"/></gsales>
			<totalPctSales><xsl:value-of select="$pctSales"/></totalPctSales>
		</deptRept>
	</xsl:template>

	<xsl:template name="ns:feeDeptRpt">
		<xsl:param name="inputSet"/>
		<xsl:param name="dept"/>
		
		<xsl:variable name="completeLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$inputSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="feeDeptSaleSet">
			<xsl:call-template name="ns1:getTLogEntriesForFeeDept">
				<xsl:with-param name="tlogEntrySet" select="$inputSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="nonRefundFeeDeptSaleSet">
			<xsl:call-template name="ns1:getNonRefundTLogEntrySet">
				<xsl:with-param name="tlogEntrySet" select="$feeDeptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>		
		<xsl:variable name="refundFeeDeptSaleSet">
			<xsl:call-template name="ns1:getRefundTLogEntrySet">
				<xsl:with-param name="tlogEntrySet" select="$feeDeptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		
		<xsl:variable name="feeDeptSuperLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$feeDeptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="nonRefundSuperLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$nonRefundFeeDeptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="refundSuperLineSet">
			<xsl:call-template name="ns1:getLineSet">
				<xsl:with-param name="tlogEntrySet" select="$refundFeeDeptSaleSet"/>
			</xsl:call-template>
		</xsl:variable>
		
		<xsl:variable name="feeDeptLineSet">
			<xsl:call-template name="ns1:getLinesForFeeDept">
				<xsl:with-param name="lineSet" select="$feeDeptSuperLineSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="nonRefundLineSet">
			<xsl:call-template name="ns1:getLinesForFeeDept">
				<xsl:with-param name="lineSet" select="$nonRefundSuperLineSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="refundLineSet">
			<xsl:call-template name="ns1:getLinesForFeeDept">
				<xsl:with-param name="lineSet" select="$refundSuperLineSet"/>
				<xsl:with-param name="dept" select="$dept"/>
			</xsl:call-template>
		</xsl:variable>
		
		
		<xsl:variable name="completeSalesAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($completeLineSet)/*/stot) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="feeCount">
			<xsl:value-of select="count(ext:node-set($feeDeptSaleSet)/*)"/>
		</xsl:variable>
		<xsl:variable name="feeAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($feeDeptLineSet)/*/t:fee/amt) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="feeQty">
			<xsl:value-of select="format-number( sum( ext:node-set($feeDeptLineSet)/*/qty) ,'#.000')"/>
		</xsl:variable>
		<xsl:variable name="feeRefundCount">
			<xsl:value-of select="count(ext:node-set($refundFeeDeptSaleSet)/*)"/>
		</xsl:variable>
		<xsl:variable name="feeRefundAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($refundLineSet)/*/t:fee/amt) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="grossSalesAmt">
			<xsl:value-of select="format-number( sum( ext:node-set($nonRefundLineSet)/*/t:fee/amt) ,'#.00')"/>
		</xsl:variable>
		<xsl:variable name="pctSales">
			<xsl:value-of select="format-number( ($feeAmt div $completeSalesAmt) * 100, '#.00')"/>
		</xsl:variable>
		
		<feeDeptRpt sysid="{ext:node-set($dept)/@sysid}">
			<count><xsl:value-of select="$feeCount"/></count>
			<amt><xsl:value-of select="$feeAmt"/></amt>
			<qty><xsl:value-of select="$feeQty"/></qty>
			<refund>
				<count><xsl:value-of select="$feeRefundCount"/></count>
				<amt><xsl:value-of select="$feeRefundAmt"/></amt>
			</refund>
			<discounts><xsl:value-of select="format-number(0,'#.00')"/></discounts>
			<gsales><xsl:value-of select="$grossSalesAmt"/></gsales>
			<totalPctSales><xsl:value-of select="$pctSales"/></totalPctSales>			
		</feeDeptRpt>
	</xsl:template>
</xsl:stylesheet>