<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/FuelGradeMovementTlog" xmlns:ext="http://xml.apache.org/xalan" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" exclude-result-prefixes="ns">
	<xsl:output method="xml" indent="yes"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:apply-templates select="ext:nodeset($inputDoc)" mode="ns:report"/>
	</xsl:template>
	<xsl:template match="/" mode="ns:report">
		<xsl:choose>
			<xsl:when test="count(t:tlog) = 0">
				<xsl:copy>
					<xsl:copy-of select="*"/>
				</xsl:copy>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="t:tlog"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="t:tlog">
		<t:tlog>
			<xsl:apply-templates select="t:hdr"/>
			<xsl:apply-templates select="t:sale"/>
			<xsl:apply-templates select="t:pumpTest"/>
			<xsl:apply-templates select="t:adjustment"/>
		</t:tlog>
	</xsl:template>
	<xsl:template match="t:hdr">
		<t:hdr>
			<xsl:apply-templates select="node()"/>
		</t:hdr>
	</xsl:template>
	<xsl:template match="t:sale">
		<t:sale>
			<xsl:choose>
				<xsl:when test="@isRefund">
					<xsl:attribute name="isRefund"><xsl:value-of select="@isRefund"/></xsl:attribute>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
			<xsl:apply-templates select="hdr"/>
			<xsl:apply-templates select="t:cashier"/>
			<xsl:apply-templates select="vs:transactionSeq"/>
			<xsl:apply-templates select="lines"/>
			<xsl:choose>
				<xsl:when test="(hdr/t:register/@sysid=9 and not(paylines))">
					<xsl:call-template name="autocollect_trans"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:apply-templates select="paylines"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:apply-templates select="sum"/>
		</t:sale>
	</xsl:template>
	<xsl:template match="t:pumpTest">
		<t:pumpTest>
			<xsl:apply-templates select="node()"/>
		</t:pumpTest>
	</xsl:template>
	<xsl:template match="t:adjustment">
		<t:adjustment>
			<xsl:apply-templates select="lines"/>
			<xsl:call-template name="disp-paylines"/>
		</t:adjustment>
	</xsl:template>
	<xsl:template match="hdr">
		<hdr>
			<xsl:apply-templates select="node()"/>
		</hdr>
	</xsl:template>
	<xsl:template match="t:cashier">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="sum">
		<sum>
			<xsl:apply-templates select="node()"/>
		</sum>
	</xsl:template>
	<xsl:template match="lines">
		<lines>
			<xsl:apply-templates select="node()"/>
		</lines>
	</xsl:template>
	<xsl:template match="node()">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<xsl:template name="disp-paylines">
		<xsl:variable name="pay-line1" select="preceding-sibling::t:sale[lines/t:line/t:fuelPrepay/pos = current()/lines/t:line/t:fuel[@completion = 'true']/pos and lines/t:line/t:fuelPrepay/amt = current()/lines/t:line/t:fuel[@completion = 'true']/amt][1]"/>
		<xsl:variable name="pay-line2" select="preceding-sibling::t:sale[paylines/t:payline/t:mop/@sysid = current()/lines/t:line/t:fuel[@completion = 'true']/mop/@sysid][1]"/>
		<xsl:choose>
			<xsl:when test="$pay-line1">
				<xsl:apply-templates select="$pay-line1/paylines"/>
			</xsl:when>
			<xsl:when test="$pay-line2">
				<xsl:apply-templates select="$pay-line2/paylines"/>
			</xsl:when>
			<xsl:otherwise/>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="paylines">
		<xsl:copy>
			<xsl:copy-of select="@*"/>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template name="autocollect_trans">
		<paylines>
			<t:payline>
				<t:mop sysid="99" cat="99">
					<name>AUTOCOLL</name>
				</t:mop>
				<amt>0.00</amt>
			</t:payline>
		</paylines>
	</xsl:template>
</xsl:stylesheet>