<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/MSMovementSub" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0">
	<xsl:variable name="summaryMap" select="document('../../lib/naxml3.3/summaryMap.xml')//pair"/>
	<xsl:variable name="map" select="document('../../lib/naxml3.3/map.xml')//pair"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:apply-templates select="ext:node-set($inputDoc)" mode="ns:report"/>
	</xsl:template>
	<xsl:template match="/" mode="ns:report">
		<xsl:for-each select="t:tlog">
			<xsl:call-template name="matchXpath">
				<xsl:with-param name="tLogNode" select="."/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="matchXpath">
		<xsl:param name="tLogNode"/>
		<t:tlog>
			<code>
				<xsl:copy-of select="$tLogNode/t:hdr"/>
				<xsl:for-each select="t:sale | t:tillSafeDrop | t:tillSafeLoan | t:tillPayout | t:tillPayin | t:startTotals |  t:endTotals | t:tillNosale | t:suspendedSale | t:void | t:suspendedSale | t:pumpTest | t:closeCashier | t:openCashier | t:countCashier">
					<xsl:if test="count(current()[name(.)='t:tillSafeDrop'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(0)"/>
								<xsl:with-param name="mopCatCode" select="current()/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
							</xsl:call-template>
							<t:tillSafeDrop>
								<amount>
									<xsl:attribute name="currency"><xsl:value-of select="current()/amount/@currency"/></xsl:attribute>
									<xsl:value-of select="current()/amount"/>
								</amount>
								<t:mop>
									<xsl:attribute name="sysid"><xsl:value-of select="current()/t:mop/@sysid"/></xsl:attribute>
									<xsl:attribute name="cat"><xsl:value-of select="current()/t:mop/@cat"/></xsl:attribute>
								</t:mop>
							</t:tillSafeDrop>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:tillSafeLoan'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(1)"/>
								<xsl:with-param name="mopCatCode" select="current()/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
							</xsl:call-template>
							<t:tillSafeLoan>
								<amount>
									<xsl:attribute name="currency"><xsl:value-of select="current()/amount/@currency"/></xsl:attribute>
									<xsl:value-of select="current()/amount"/>
								</amount>
								<xsl:if test="current()/t:mop">
									<t:mop>
										<xsl:attribute name="sysid"><xsl:value-of select="current()/t:mop/@sysid"/></xsl:attribute>
										<xsl:attribute name="cat"><xsl:value-of select="current()/t:mop/@cat"/></xsl:attribute>
									</t:mop>
								</xsl:if>
							</t:tillSafeLoan>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale'][@isRefund=true() or @isRefund='true']/sum/total)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(3)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="t:cashier/@number"/>
								<xsl:with-param name="flag" select="'true'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(79)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="t:cashier/@number"/>
								<xsl:with-param name="flag" select="'true'"/>
							</xsl:call-template>
								<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:tillPayout'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(4)"/>
								<xsl:with-param name="mopCatCode" select="current()/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
							</xsl:call-template>
							<t:tillPayout>
								<amount>
									<xsl:attribute name="currency"><xsl:value-of select="current()/amount/@currency"/></xsl:attribute>
									<xsl:value-of select="current()/amount"/>
								</amount>
								<xsl:if test="current()/t:mop">
									<t:mop>
										<xsl:attribute name="sysid"><xsl:value-of select="current()/t:mop/@sysid"/></xsl:attribute>
										<xsl:attribute name="cat"><xsl:value-of select="current()/t:mop/@cat"/></xsl:attribute>
									</t:mop>
								</xsl:if>
							</t:tillPayout>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:tillPayin'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(5)"/>
								<xsl:with-param name="mopCatCode" select="current()/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
							</xsl:call-template>
							<t:tillPayin>
								<amount>
									<xsl:attribute name="currency"><xsl:value-of select="current()/amount/@currency"/></xsl:attribute>
									<xsl:value-of select="current()/amount"/>
								</amount>
								<xsl:if test="current()/t:mop">
									<t:mop>
										<xsl:attribute name="sysid"><xsl:value-of select="current()/t:mop/@sysid"/></xsl:attribute>
										<xsl:attribute name="cat"><xsl:value-of select="current()/t:mop/@cat"/></xsl:attribute>
									</t:mop>
								</xsl:if>
							</t:tillPayin>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:startTotals']/overallGrand)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDis">
								<xsl:with-param name="enumCode" select="number(60)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="currentNode" select="./overallGrand"/>
							</xsl:call-template>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:startTotals']/overallSales)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDis">
								<xsl:with-param name="enumCode" select="number(61)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="currentNode" select="./overallSales"/>
							</xsl:call-template>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:endTotals']/overallGrand)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDis">
								<xsl:with-param name="enumCode" select="number(62)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="currentNode" select="./overallGrand"/>
							</xsl:call-template>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:endTotals']/overallSales)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDis">
								<xsl:with-param name="enumCode" select="number(63)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="currentNode" select="./overallSales"/>
							</xsl:call-template>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale']/lines/t:line/priceOverride)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(70)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'price'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:for-each select="current()/lines/t:line/priceOverride">
									<lines>
										<t:line>
											<priceOverride/>
										</t:line>
									</lines>
								</xsl:for-each>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale']/lines/t:line/t:disc)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(71)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'disc'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:for-each select="current()/lines/t:line/t:disc">
									<lines>
										<t:line>
											<t:disc>
												<xsl:attribute name="currency"><xsl:value-of select="current()/@currency"/></xsl:attribute>
												<amt>
													<xsl:value-of select="current()/amt"/>
												</amt>
											</t:disc>
										</t:line>
									</lines>
								</xsl:for-each>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(8)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'disc'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:for-each select="current()/lines/t:line/t:disc">
									<lines>
										<t:line>
											<t:disc>
												<xsl:attribute name="currency"><xsl:value-of select="current()/@currency"/></xsl:attribute>
												<amt>
													<xsl:value-of select="current()/amt"/>
												</amt>
											</t:disc>
										</t:line>
									</lines>
								</xsl:for-each>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale'][@isRefund=false() or @isRefund='false']/lines[t:line[@isVoid=false() or @isVoid='false'] or t:cline[@isVoid=false() or @isVoid='false'] or t:dupLine[@isVoid=false() or @isVoid='false']])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(72)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'items'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<xsl:for-each select="current()/lines/t:line">
									<lines>
										<t:line>
											<xsl:if test="current()/@isVoid">
												<xsl:attribute name="isVoid"><xsl:value-of select="current()/@isVoid"/></xsl:attribute>
											</xsl:if>
										</t:line>
									</lines>
								</xsl:for-each>
								<xsl:for-each select="current()/lines/t:cline">
									<lines>
										<t:line>
											<xsl:if test="current()/@isVoid">
												<xsl:attribute name="isVoid"><xsl:value-of select="current()/@isVoid"/></xsl:attribute>
											</xsl:if>
										</t:line>
									</lines>
								</xsl:for-each>
								<xsl:for-each select="current()/lines/t:dupLine">
									<lines>
										<t:line>
											<xsl:if test="current()/@isVoid">
												<xsl:attribute name="isVoid"><xsl:value-of select="current()/@isVoid"/></xsl:attribute>
											</xsl:if>
										</t:line>
									</lines>
								</xsl:for-each>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:tillNosale'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(73)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
							</xsl:call-template>
							<xsl:copy-of select="."/>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:suspendedSale'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(74)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'suspend'"/>
							</xsl:call-template>
							<t:suspendedSale>
								<xsl:if test="current()/sum/total">
									<sum>
										<total>
											<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
											<xsl:value-of select="current()/sum/total"/>
										</total>
									</sum>
								</xsl:if>
							</t:suspendedSale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale' or name(.)='t:void' or name(.)='t:suspendedSale' or name(.)='t:pumpTest'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(75)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'transaction'"/>
							</xsl:call-template>
							<xsl:if test="current()[name(.)='t:sale']">
								<t:sale>
									<sum>
										<total>
											<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
											<xsl:value-of select="current()/sum/total"/>
										</total>
									</sum>
								</t:sale>
							</xsl:if>
							<xsl:if test="current()[name(.)='t:void']">
								<t:void>
									<sum>
										<total>
											<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
											<xsl:value-of select="current()/sum/total"/>
										</total>
									</sum>
								</t:void>
							</xsl:if>
							<xsl:if test="current()[name(.)='t:suspendedSale']">
								<t:suspendedSale>
									<sum>
										<total>
											<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
											<xsl:value-of select="current()/sum/total"/>
										</total>
									</sum>
								</t:suspendedSale>
							</xsl:if>
							<xsl:if test="current()[name(.)='t:pumpTest']">
								<t:pumpTest>
									<sum>
										<total>
											<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
											<xsl:value-of select="current()/sum/total"/>
										</total>
									</sum>
								</t:pumpTest>
							</xsl:if>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:void'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(76)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'void'"/>
							</xsl:call-template>
							<t:void>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:void>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale']/lines/t:line/tax[@reversed=true() and @reversed='true'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(77)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'tax'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:for-each select="lines/t:line/tax[@reversed=true() or @reversed='true']">
									<lines>
										<t:line>
											<tax>
											<xsl:if test="@reversed">
												<xsl:attribute name="reversed"><xsl:value-of select="current()/@reversed"/></xsl:attribute>
											</xsl:if>
											</tax>
										</t:line>
									</lines>
								</xsl:for-each>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale']/sum/total)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(9)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'sum'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(15)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'sum'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale'][@isRefund='false' or not(@isRefund)]/sum/total)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(10)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'sale'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:openCashier'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(11)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
							</xsl:call-template>
							<t:openCashier>
								<t:cashier>
									<xsl:attribute name="sysid">
										<xsl:value-of select="current()/t:cashier/@sysid"/>
									</xsl:attribute>
									<xsl:attribute name="number">
										<xsl:value-of select="current()/t:cashier/@number"/>
									</xsl:attribute>
							    </t:cashier>
								<beginCash><xsl:value-of select="current()/beginCash"/></beginCash>
								<beginFoodStmp>
									<xsl:choose>
										<xsl:when test="current()/beginFoodStmp">
											<xsl:value-of select="current()/beginFoodStmp"/> 
										</xsl:when>
										<xsl:otherwise>
										<xsl:value-of select="0"/>
										</xsl:otherwise>
									</xsl:choose>								
								</beginFoodStmp>
							</t:openCashier>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:closeCashier'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(12)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
							</xsl:call-template>
							<t:closeCashier>
								<t:cashier>
									<xsl:attribute name="sysid">
										<xsl:value-of select="current()/t:cashier/@sysid"/>
									</xsl:attribute>
									<xsl:attribute name="number">
										<xsl:value-of select="current()/t:cashier/@number"/>
									</xsl:attribute>
							    </t:cashier>
								<beginCash><xsl:value-of select="current()/beginCash"/></beginCash>
								<beginFoodStmp>
									<xsl:choose>
										<xsl:when test="current()/beginFoodStmp">
											<xsl:value-of select="current()/beginFoodStmp"/> 
										</xsl:when>
										<xsl:otherwise>
										<xsl:value-of select="0"/>
										</xsl:otherwise>
									</xsl:choose>								
								</beginFoodStmp>							</t:closeCashier>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:countCashier'])&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(13)"/>
								<xsl:with-param name="mopCatCode" select="current()/tillAmount/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
							</xsl:call-template>
							<t:countCashier>
								<t:cashier>
									<xsl:attribute name="sysid">
										<xsl:value-of select="current()/t:cashier/@sysid"/>
									</xsl:attribute>
									<xsl:attribute name="number">
										<xsl:value-of select="current()/t:cashier/@number"/>
									</xsl:attribute>
							    </t:cashier>
							    <xsl:for-each select="tillAmount">
								<tillAmount>
									<t:mop>
										<xsl:attribute name="sysid">
											<xsl:value-of select="current()/t:mop/@sysid"/>
										</xsl:attribute>
										<xsl:attribute name="cat">
											<xsl:value-of select="current()/t:mop/@cat"/>
										</xsl:attribute>
									</t:mop>
									<actualAmount><xsl:value-of select="current()/actualAmount"/></actualAmount>
								</tillAmount>
								</xsl:for-each>
							</t:countCashier>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale']/sum/t:sumTax/taxable)&gt;=1">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(14)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'taxable'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<xsl:if test="current()/sum/t:sumTax/taxable">
								<sum>
								<xsl:for-each select="current()/sum/t:sumTax">
								<t:sumTax>
								<taxable>
									<xsl:attribute name="currency">
										<xsl:value-of select="current()/taxable/@currency"/>
									</xsl:attribute>
									<xsl:value-of select="current()/taxable"/>
								</taxable>
								</t:sumTax>
								</xsl:for-each>
								</sum>
								</xsl:if>
							</t:sale>
						</commonElements>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale']/paylines/t:payline/t:cardInfo[hostId!='PROPNET'])&gt;=1">
					<xsl:if test="paylines/t:payline/t:cardInfo">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(16)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'credit'"/>
							</xsl:call-template>
							<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<xsl:if test="current()/paylines/t:payline/t:cardInfo">
								<paylines>
									<t:payline>
									<amt><xsl:value-of select="current()/paylines/t:payline/amt"/></amt>
										<t:cardInfo>
											<hostId>
												<xsl:value-of select="current()/paylines/t:payline/t:cardInfo/hostId"/>
										     </hostId>
										</t:cardInfo>
									</t:payline>
								</paylines>
								</xsl:if>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
						</xsl:if>
					</xsl:if>
					<xsl:if test="count(current()[name(.)='t:sale']/paylines/t:payline/t:mop[@cat='14'])&gt;=1">
					<xsl:if test="paylines/t:payline/t:mop[@cat='14']">
						<commonElements>
							<xsl:call-template name="getSummaryDisWithSales">
								<xsl:with-param name="enumCode" select="number(78)"/>
								<xsl:with-param name="mopCatCode" select="current()/paylines/t:payline/t:mop/@cat"/>
								<xsl:with-param name="registerID" select="current()/hdr/t:register/@sysid"/>
								<xsl:with-param name="cashierID" select="current()/t:cashier/@sysid"/>
								<xsl:with-param name="tillID" select="current()/hdr/t:register/@till"/>
								<xsl:with-param name="empno" select="current()/t:cashier/@number"/>
								<xsl:with-param name="flag" select="'drive'"/>
							</xsl:call-template>
								<t:sale>
								<xsl:if test="current()/@isRefund">
									<xsl:attribute name="isRefund"><xsl:value-of select="current()/@isRefund"/></xsl:attribute>
								</xsl:if>
								<xsl:if test="current()/paylines/t:payline">
								<paylines>
									<t:payline>
										<t:mop>
											<xsl:attribute name="cat">
												<xsl:value-of select="current()/paylines/t:payline/t:mop/@cat"/>
										     </xsl:attribute>
										</t:mop>
									</t:payline>
								</paylines>
								</xsl:if>
								<sum>
									<total>
										<xsl:attribute name="currency"><xsl:value-of select="current()/sum/total/@currency"/></xsl:attribute>
										<xsl:value-of select="current()/sum/total"/>
									</total>
								</sum>
							</t:sale>
						</commonElements>
						</xsl:if>
					</xsl:if>
				</xsl:for-each>
			</code>
		</t:tlog>
	</xsl:template>
	
	<xsl:template name="getSummaryDis">
		<xsl:param name="enumCode"/>
		<xsl:param name="mopCatCode"/>
		<xsl:param name="currentNode"/>
		<xsl:variable name="tendercode">
			<xsl:for-each select="$map">
				<xsl:for-each select="shortID">
					<xsl:choose>
						<xsl:when test="number($mopCatCode)=number(@cat)">
							<xsl:value-of select="@cat"/>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:variable>
		<xsl:for-each select="$summaryMap">
			<xsl:choose>
				<xsl:when test="$enumCode=enumCode/@val">
					<summaryCode>
						<xsl:value-of select="summary/@summaryCode"/>
					</summaryCode>
					<summarySubCode>
						<xsl:value-of select="summary/@summarySubcode"/>
					</summarySubCode>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:for-each select="$map">
			<xsl:choose>
				<xsl:when test="shortID">
					<xsl:for-each select="shortID">
						<xsl:choose>
							<xsl:when test="number($mopCatCode)=number(@cat)">
								<tenderCode>
									<xsl:value-of select="../tender3.3/@tenderCode"/>
								</tenderCode>
								<tenderSubCode>
									<xsl:value-of select="../tender3.3/@tenderSubcode"/>
								</tenderSubCode>
							</xsl:when>
						</xsl:choose>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="default and $tendercode=''">
						<tenderCode>
							<xsl:value-of select="tender3.3/@tenderCode"/>
						</tenderCode>
						<tenderSubCode>
							<xsl:value-of select="tender3.3/@tenderSubcode"/>
						</tenderSubCode>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<xsl:copy-of select="ext:node-set($currentNode)"/>
	</xsl:template>
	<xsl:template name="getSummaryDisWithSales">
		<xsl:param name="enumCode"/>
		<xsl:param name="mopCatCode"/>
		<xsl:param name="registerID"/>
		<xsl:param name="cashierID"/>
		<xsl:param name="tillID"/>
		<xsl:param name="empno"/>
		<xsl:param name="flag"/>
		<xsl:variable name="tendercode">
			<xsl:for-each select="$map">
				<xsl:for-each select="shortID">
					<xsl:choose>
						<xsl:when test="number($mopCatCode)=number(@cat)">
							<xsl:value-of select="@cat"/>
						</xsl:when>
					</xsl:choose>
				</xsl:for-each>
			</xsl:for-each>
		</xsl:variable>
		<registerID>
			<xsl:value-of select="$registerID"/>
		</registerID>
		<cashierID>
			<xsl:value-of select="$cashierID"/>
		</cashierID>
		<tillID>
			<xsl:value-of select="$tillID"/>
		</tillID>
		<EmployeeNumber>
			<xsl:value-of select="$empno"/>
		</EmployeeNumber>
		<xsl:for-each select="$summaryMap">
			<xsl:choose>
				<xsl:when test="$enumCode=enumCode/@val">
					<summaryCode>
						<xsl:value-of select="summary/@summaryCode"/>
					</summaryCode>
					<summarySubCode>
						<xsl:value-of select="summary/@summarySubcode"/>
					</summarySubCode>
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
		<xsl:for-each select="$map">
			<xsl:choose>
				<xsl:when test="shortID">
					<xsl:for-each select="shortID">
						<xsl:choose>
							<xsl:when test="number($mopCatCode)=number(@cat)">
								<tenderCode>
									<xsl:value-of select="../tender3.3/@tenderCode"/>
								</tenderCode>
								<tenderSubCode>
									<xsl:value-of select="../tender3.3/@tenderSubcode"/>
								</tenderSubCode>
							</xsl:when>
						</xsl:choose>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="default and $tendercode=''">
						<tenderCode>
							<xsl:value-of select="tender3.3/@tenderCode"/>
						</tenderCode>
						<tenderSubCode>
							<xsl:value-of select="tender3.3/@tenderSubcode"/>
						</tenderSubCode>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:for-each>
		<xsl:if test="$flag!=''">
			<flag>
				<xsl:value-of select="$flag"/>
			</flag>
		</xsl:if>
		
	</xsl:template>
</xsl:stylesheet>