<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:js="javascript:code-transactionSet-scripts" xmlns:dts="javascript:code-transactionSet-dateTimeScripts" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/latpak/tlog2naxml-eventAbstract" xmlns:nsl="http://verifone.com/isd/vfit/tlog/naxml3.3/latpak/tlog2naxml-eventAbstract.1" xmlns:lib="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-lib" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vfi="urn:vfi-sapphire:np.naxmlext.2005-06-24" version="1.0" exclude-result-prefixes="xsl js dts msxsl ns nsl lib">
	<xsl:import href="../../../transactionSet/scripts.xslt"/>
	<xsl:import href="../../../transactionSet/dateTimeScripts.xslt"/>
	<xsl:import href="../tlog2naxml-lib.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>

	
	<xsl:template name="ns:elem-OtherEvent.FileChange">
		<xsl:param name="trans"/>
			<xsl:element name="nax:OtherEvent">
				<xsl:call-template name="nsl:group-OtherEvent">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:MemoDetail">
					<xsl:text>Configuration Change</xsl:text>						
					 
				</xsl:element>
				<xsl:element name="nax:Extension">
					<xsl:element name="vfi:FileChangeMsg">
						<xsl:value-of select="$trans/text"/>
					</xsl:element>
				</xsl:element>
			</xsl:element>						
	</xsl:template>


		
		
	<xsl:template name="nsl:group-OtherEvent">
		<xsl:param name="trans"/>
		
		
		<xsl:element name="nax:EventSequenceID">
			<xsl:value-of select="position()"/>
		</xsl:element>
		
		
		
		<xsl:element name="nax:TransactionID">
		</xsl:element>
		
		
		<xsl:element name="nax:TrainingModeFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:element name="nax:CashierID">
			<xsl:value-of select="$trans/t:cashier/@number"/>
		</xsl:element>
		
		<xsl:element name="nax:RegisterID">
			<xsl:value-of select="$trans/hdr/t:register/@sysid"/>
		</xsl:element>
		
		<xsl:element name="nax:TillID">
			<xsl:value-of select="$trans/hdr/t:register/@till"/>
		</xsl:element>

		

		<xsl:variable name="startDateTime">
			<xsl:value-of select="$trans/hdr/dateTime"/>
		</xsl:variable>
		<xsl:variable name="endDateTime">
			<xsl:value-of select="$trans/hdr/dateTime"/>
			
		</xsl:variable>

		<xsl:element name="nax:EventStartDate">
			<xsl:value-of select="js:parseDate(string($startDateTime))"/>
		</xsl:element>
		
		<xsl:element name="nax:EventStartTime">
			<xsl:value-of select="js:parseTime(string($startDateTime))"/>
		</xsl:element>
		
		<xsl:element name="nax:EventEndDate">
			<xsl:value-of select="js:parseDate(string($endDateTime))"/>
		</xsl:element>
		
		<xsl:element name="nax:EventEndTime">
			<xsl:value-of select="js:parseTime(string($endDateTime))"/>
		</xsl:element>
		
		<xsl:element name="nax:BusinessDate">
			<xsl:value-of select="$trans/hdr/t:busDate"/>
		</xsl:element>
		
		
		
		
		<xsl:element name="nax:OfflineFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		
		<xsl:element name="nax:SuspendFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		
		<xsl:if test="false()">			
			<xsl:element name="nax:StoreHierarchyID">
			</xsl:element>
		</xsl:if>

	</xsl:template>

</xsl:stylesheet>