<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-cashierAbstract" xmlns:nsl="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-cashierAbstract.1" xmlns:lib="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-lib" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vfi="urn:vfi-sapphire:np.naxmlext.2005-06-24" version="1.0" exclude-result-prefixes="xsl msxsl ns nsl lib">
	<xsl:import href="tlog2naxml-lib.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template name="ns:elem-OtherEvent.CashierDetail-open">
		<xsl:param name="trans"/>
		<xsl:element name="nax:OtherEvent">
			<xsl:call-template name="nsl:group-OtherEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:CashierDetail">
				<xsl:attribute name="detailType"><xsl:text>open</xsl:text></xsl:attribute>
				<xsl:element name="nax:CashInDrawer">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$trans/beginCash"/>
					</xsl:call-template>
				</xsl:element>
				<xsl:element name="nax:FoodStampsInDrawer">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$trans/beginFoodStmp"/>
					</xsl:call-template>
				</xsl:element>
				
				<xsl:element name="nax:TenderSource">
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-OtherEvent.CashierDetail-close">
		<xsl:param name="trans"/>
		<xsl:element name="nax:OtherEvent">
			<xsl:call-template name="nsl:group-OtherEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:CashierDetail">
				<xsl:attribute name="detailType"><xsl:text>close</xsl:text></xsl:attribute>
				
				<xsl:element name="nax:CashInDrawer">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$trans/beginCash"/>
					</xsl:call-template>
				</xsl:element>
				<xsl:element name="nax:FoodStampsInDrawer">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$trans/beginFoodStmp"/>
					</xsl:call-template>
				</xsl:element>
				
				<xsl:element name="nax:TenderSource">
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-OtherEvent.CashierDetail-count">
		<xsl:param name="trans"/>
		
		<xsl:variable name="ECROption">
			<xsl:choose>
				<xsl:when test="$lib:naxmlPrefs">
					<xsl:choose>
						<xsl:when test="msxsl:node-set($lib:naxmlPrefs)//CSRAuditECRTotals">
							<xsl:value-of select="msxsl:node-set($lib:naxmlPrefs)//CSRAuditECRTotals/@value"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'false'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'false'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:element name="nax:OtherEvent">
			<xsl:call-template name="nsl:group-OtherEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:CashierDetail">
				<xsl:attribute name="detailType"><xsl:text>audit</xsl:text></xsl:attribute>
				
				
				<xsl:element name="nax:CashInDrawer">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$trans/tillAmount[ t:mop/@cat = '0']/actualAmount"/>
					</xsl:call-template>
				</xsl:element>
				<xsl:element name="nax:FoodStampsInDrawer">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$trans/tillAmount[ t:mop/@cat = '13']/actualAmount"/>
					</xsl:call-template>
				</xsl:element>
				
				<xsl:element name="nax:TenderSource">
				</xsl:element>
				<xsl:for-each select="$trans/tillAmount">
					
					<xsl:element name="nax:TenderInfo">
						<xsl:element name="nax:Tender">
							<xsl:element name="nax:TenderCode">
								<xsl:choose>
									<xsl:when test="./t:mop/@nacstendercode">
										<xsl:value-of select="./t:mop/@nacstendercode"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="./t:mop/@sysid"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
							<xsl:element name="nax:TenderSubCode">
								<xsl:choose>
									<xsl:when test="./t:mop/@nacstendersubcode">
										<xsl:value-of select="./t:mop/@nacstendersubcode"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="./t:mop/@cat"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
						</xsl:element>
						<xsl:element name="nax:TenderAmount">
							
							<xsl:choose>
								<xsl:when test="$ECROption='true'">
									<xsl:call-template name="lib:group-currency">
										<xsl:with-param name="amt" select="ecrAmount"/>
									</xsl:call-template>
								</xsl:when>
								<xsl:otherwise>
									<xsl:call-template name="lib:group-currency">
										<xsl:with-param name="amt" select="actualAmount"/>
									</xsl:call-template>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:element>
						<xsl:element name="nax:ChangeFlag">
							<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
			<xsl:element name="nax:Extension">
				<xsl:choose>
					<xsl:when test="$ECROption='true'">
						<xsl:element name="vfi:cashierDetailActual">
							<xsl:call-template name="ns:populateTenderInfo">
								<xsl:with-param name="ECROption" select="$ECROption"/>
								<xsl:with-param name="trans" select="$trans"/>
							</xsl:call-template>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:element name="vfi:cashierDetailECR">
							<xsl:call-template name="ns:populateTenderInfo">
								<xsl:with-param name="ECROption" select="$ECROption"/>
								<xsl:with-param name="trans" select="$trans"/>
							</xsl:call-template>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:populateTenderInfo">
		<xsl:param name="ECROption"/>
		<xsl:param name="trans"/>
		<xsl:for-each select="$trans/tillAmount">
			<xsl:element name="vfi:TenderInfo">
				<xsl:element name="vfi:Tender">
					<xsl:element name="vfi:TenderCode">
						<xsl:choose>
							<xsl:when test="./t:mop/@nacstendercode">
								<xsl:value-of select="./t:mop/@nacstendercode"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="./t:mop/@sysid"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="vfi:TenderSubCode">
						<xsl:choose>
							<xsl:when test="./t:mop/@nacstendersubcode">
								<xsl:value-of select="./t:mop/@nacstendersubcode"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="./t:mop/@cat"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
				<xsl:element name="vfi:TenderAmount">
					<xsl:choose>
						<xsl:when test="$ECROption='false'">
							<xsl:call-template name="lib:group-currency">
								<xsl:with-param name="amt" select="ecrAmount"/>
							</xsl:call-template>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="lib:group-currency">
								<xsl:with-param name="amt" select="actualAmount"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="vfi:ChangeFlag">
					<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="ns:elem-OtherEvent.ErrorCorrect">
		<xsl:param name="trans"/>
		<xsl:element name="nax:OtherEvent">
			<xsl:call-template name="nsl:group-OtherEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:MemoDetail">
				<xsl:text>Error Correct</xsl:text>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template name="nsl:group-OtherEvent">
		<xsl:param name="trans"/>
		
		<xsl:element name="nax:EventSequenceID">
			<xsl:value-of select="position()"/>
		</xsl:element>
		
		
		<xsl:element name="nax:TransactionID">
		</xsl:element>
		
		<xsl:element name="nax:TrainingModeFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		<xsl:element name="nax:CashierID">
			<xsl:value-of select="$trans/t:cashier/@number"/>
		</xsl:element>
		<xsl:element name="nax:RegisterID">
			<xsl:value-of select="$trans/hdr/t:register/@sysid"/>
		</xsl:element>
		<xsl:element name="nax:TillID">
			<xsl:value-of select="$trans/hdr/t:register/@till"/>
		</xsl:element>
		
		
		<xsl:call-template name="lib:create-eventDates">
			<xsl:with-param name="trans" select="msxsl:node-set($trans)"/>
		</xsl:call-template>
		
		
		<xsl:element name="nax:OfflineFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:element name="nax:SuspendFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:if test="false()">
			<xsl:element name="nax:StoreHierarchyID">
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>