<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-clock" xmlns:nsl="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-clock.1" xmlns:lib="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-lib" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vfi="urn:vfi-sapphire:np.naxmlext.2005-06-24" version="1.0" exclude-result-prefixes="xsl msxsl ns nsl lib">
	<xsl:import href="tlog2naxml-lib.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template name="ns:elem-OtherEvent.TimeClockDetail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:OtherEvent">
			<xsl:call-template name="nsl:group-OtherEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:TimeClockDetail">
				
				<xsl:attribute name="detailType"><xsl:text>original</xsl:text></xsl:attribute>
				
				<xsl:element name="nax:TimeClockSequenceNumber">
					<xsl:value-of select="$trans/hdr/seq/@term"/>
					<xsl:value-of select="$trans/hdr/seq"/>
				</xsl:element>
				
				<xsl:element name="nax:DeviceID">
				</xsl:element>
				<xsl:element name="nax:BusinessDate">
					<xsl:value-of select="$trans/hdr/t:busDate"/>
				</xsl:element>
				<xsl:element name="nax:EmployeeNumber">
					<xsl:value-of select="$trans/t:cashier/@number"/>
				</xsl:element>
				
				<xsl:element name="nax:TaskID">
				</xsl:element>
				
				<xsl:element name="nax:EntryMethod">
					<xsl:attribute name="method"><xsl:text>manual</xsl:text></xsl:attribute>
				</xsl:element>
				
				<xsl:element name="nax:PunchType">
					<xsl:text>register</xsl:text>
				</xsl:element>
				
				<xsl:element name="nax:PunchReason">
					<xsl:choose>
						<xsl:when test="$trans/clockOut">
							<xsl:text>clockOut</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>clockIn</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:if test="false()">
					<xsl:element name="nax:ManagerAuthorizationDetail">
						<xsl:element name="nax:ManagerID">
						</xsl:element>
						<xsl:element name="nax:PunchModReason">
						</xsl:element>
					</xsl:element>
				</xsl:if>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template name="nsl:group-OtherEvent">
		<xsl:param name="trans"/>
		
		<xsl:element name="nax:EventSequenceID">
			<xsl:value-of select="position()"/>
		</xsl:element>
		
		
		<xsl:element name="nax:TransactionID">
		</xsl:element>
		
		<xsl:element name="nax:TrainingModeFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		<xsl:element name="nax:CashierID">
			<xsl:value-of select="$trans/t:cashier/@number"/>
		</xsl:element>
		<xsl:element name="nax:RegisterID">
			<xsl:value-of select="$trans/hdr/t:register/@sysid"/>
		</xsl:element>
		<xsl:element name="nax:TillID">
			<xsl:value-of select="$trans/hdr/t:register/@till"/>
		</xsl:element>
		
		
		<xsl:call-template name="lib:create-eventDates">
			<xsl:with-param name="trans" select="msxsl:node-set($trans)"/>
		</xsl:call-template>
		
		
		<xsl:element name="nax:OfflineFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:element name="nax:SuspendFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:if test="false()">
			<xsl:element name="nax:StoreHierarchyID">
			</xsl:element>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>