<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:js="javascript:code-transactionSet-scripts" xmlns:dts="javascript:code-transactionSet-dateTimeScripts" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-saleAbstract" xmlns:nsl="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-saleAbstract.1" xmlns:lib="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-lib" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vfi="urn:vfi-sapphire:np.naxmlext.2005-06-24" version="1.0" exclude-result-prefixes="xsl js dts ext ns nsl lib">
	<xsl:import href="../../transactionSet/scripts.xslt"/>
	<xsl:import href="../../transactionSet/dateTimeScripts.xslt"/>
	<xsl:import href="tlog2naxml-lib.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template name="ns:elem-RefundEvent">
		<xsl:param name="trans"/>
		<xsl:element name="nax:RefundEvent">
			<xsl:call-template name="nsl:group-CommonEventContent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-TransactionDetailGroup">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-TransactionSummary">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			
			<xsl:element name="nax:ApproverID">
			</xsl:element>
			
			<xsl:element name="nax:RefundReason">
				<xsl:text>none</xsl:text>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-SaleEvent">
		<xsl:param name="trans"/>
		<xsl:element name="nax:SaleEvent">
			<xsl:call-template name="nsl:group-CommonEventContent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-TransactionDetailGroup">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-TransactionSummary">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-Extension">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-SubAcct-Extension">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-VoidEvent">
		<xsl:param name="trans"/>
		<xsl:element name="nax:VoidEvent">
			<xsl:call-template name="nsl:group-CommonEventContent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-TransactionDetailGroup">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:call-template name="nsl:elem-TransactionSummary">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			
			<xsl:if test="false()">
				<xsl:element name="nax:FinalizedFlag">
					<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
				</xsl:element>
			</xsl:if>
			
			<xsl:element name="nax:ApproverID">
			</xsl:element>
			
			<xsl:element name="nax:VoidReason">
				<xsl:text>none</xsl:text>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-FinancialEvent.FinancialEventDetail.PumpTestDetail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:FinancialEvent">
			<xsl:call-template name="nsl:group-FinancialEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:FinancialEventDetail">
				<xsl:call-template name="nsl:group-FinancialEventDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:PumpTestDetail">
					<xsl:element name="nax:FuelPositionID">
						<xsl:value-of select="$trans/lines/t:line[1]/t:fuel/pos"/>
					</xsl:element>
					<xsl:element name="nax:FuelGradeID">
						
						<xsl:choose>
							<xsl:when test="$trans/lines/t:line[1]/t:fuel/grade/@NAXMLFuelGradeID">
								<xsl:value-of select="$trans/lines/t:line[1]/t:fuel/grade/@NAXMLFuelGradeID"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$trans/lines/t:line[1]/t:fuel/grade/@sysid"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="nax:PumpTestVolume">
						<xsl:call-template name="lib:group-volume">
							<xsl:with-param name="vol" select="$trans/lines/t:line[1]/t:fuel/vol"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:element name="nax:PumpTestReason">
						<xsl:text>none</xsl:text>
					</xsl:element>
					<xsl:element name="nax:PumpTesterID">
						<xsl:value-of select="t:cashier/@number"/>
					</xsl:element>
					<xsl:element name="nax:PumpTestAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$trans/lines/t:line[1]/t:fuel/amt"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:if test="false()">
						<xsl:element name="nax:ReturnTankID">
						</xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-FinancialEvent.FinancialEventDetail.DriveOffDetail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:FinancialEvent">
			<xsl:call-template name="nsl:group-FinancialEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:FinancialEventDetail">
				<xsl:call-template name="nsl:group-FinancialEventDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:DriveOffDetail">
					<xsl:element name="nax:FuelGradeID">
						
						<xsl:choose>
							<xsl:when test="$trans/lines/t:line[1]/t:fuel/grade/@NAXMLFuelGradeID">
								<xsl:value-of select="$trans/lines/t:line[1]/t:fuel/grade/@NAXMLFuelGradeID"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="$trans/lines/t:line[1]/t:fuel/grade/@sysid"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="nax:FuelPositionID">
						<xsl:value-of select="$trans/lines/t:line[1]/t:fuel/pos"/>
					</xsl:element>
					<xsl:element name="nax:FuelGradeSalesVolume">
						<xsl:call-template name="lib:group-volume">
							<xsl:with-param name="vol" select="$trans/lines/t:line[1]/t:fuel/vol"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:element name="nax:FuelGradeSalesAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$trans/lines/t:line[1]/t:fuel/amt"/>
						</xsl:call-template>
					</xsl:element>
					
					<xsl:if test="false()">
						<xsl:element name="nax:LicensePlateID">
						</xsl:element>
					</xsl:if>
					
					<xsl:if test="false()">
						<xsl:element name="nax:VehicleDescription">
						</xsl:element>
					</xsl:if>
					
					<xsl:if test="false()">
						<xsl:element name="nax:AuthorizingCashierID">
						</xsl:element>
					</xsl:if>
					
					<xsl:if test="false()">
						<xsl:element name="nax:LinkedTransactionInfo">
						</xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template name="nsl:group-CommonEventContent">
		<xsl:param name="trans"/>
		
		<xsl:element name="nax:EventSequenceID">
			<xsl:value-of select="position()"/>
		</xsl:element>
		
		<xsl:element name="nax:TrainingModeFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		<xsl:element name="nax:CashierID">
			<xsl:value-of select="$trans/t:cashier/@number"/>
		</xsl:element>
		<xsl:element name="nax:RegisterID">
			<xsl:value-of select="$trans/hdr/t:register/@sysid"/>
		</xsl:element>
		<xsl:element name="nax:TillID">
			<xsl:value-of select="$trans/hdr/t:register/@till"/>
		</xsl:element>
		
		<xsl:element name="nax:OutsideSalesFlag">
			<xsl:attribute name="value"><xsl:choose><xsl:when test="(($trans/hdr/t:register/@sysid = 9) or ($trans/hdr/t:register/@sysid &gt;= 900 and $trans/hdr/t:register/@sysid &lt;= 999)) "><xsl:text>yes</xsl:text></xsl:when><xsl:otherwise><xsl:text>no</xsl:text></xsl:otherwise></xsl:choose></xsl:attribute>
		</xsl:element>
		<xsl:element name="nax:TransactionID">
			<xsl:value-of select="$trans/vs:transactionSeq"/>
		</xsl:element>
		<xsl:element name="nax:EventStartDate">
			<xsl:value-of select="js:parseDate(string($trans/hdr/dateTime))"/>
		</xsl:element>
		<xsl:element name="nax:EventStartTime">
			<xsl:value-of select="js:parseTime(string($trans/hdr/dateTime))"/>
		</xsl:element>
		<xsl:variable name="endDateTime">
			<xsl:value-of select="dts:incrementDateTime(string($trans/hdr/dateTime),string($trans/duration))"/>
		</xsl:variable>
		<xsl:element name="nax:EventEndDate">
			<xsl:value-of select="js:parseDate(string($endDateTime))"/>
		</xsl:element>
		<xsl:element name="nax:EventEndTime">
			<xsl:value-of select="js:parseTime(string($endDateTime))"/>
		</xsl:element>
		<xsl:element name="nax:BusinessDate">
			<xsl:value-of select="$trans/hdr/t:busDate"/>
		</xsl:element>
		<xsl:element name="nax:ReceiptDate">
			<xsl:value-of select="js:parseDate(string($trans/hdr/dateTime))"/>
		</xsl:element>
		<xsl:element name="nax:ReceiptTime">
			<xsl:value-of select="js:parseTime(string($trans/hdr/dateTime))"/>
		</xsl:element>
		
		<xsl:element name="nax:OfflineFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:element name="nax:SuspendFlag">
			<xsl:attribute name="value"><xsl:choose><xsl:when test="name($trans) = 't:suspendedSale'"><xsl:text>yes</xsl:text></xsl:when><xsl:otherwise><xsl:text>no</xsl:text></xsl:otherwise></xsl:choose></xsl:attribute>
		</xsl:element>
		
		<xsl:if test="false()">
			<xsl:element name="nax:LinkedTransactionInfo">
			</xsl:element>
			<xsl:element name="nax:StoreHierarchyID">
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="nsl:elem-TransactionDetailGroup">
		<xsl:param name="trans"/>
		<xsl:variable name="refundFlag">
			<xsl:choose>
				<xsl:when test="$trans/@isRefund = 'true'">
					<xsl:value-of select="'true'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'false'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:element name="nax:TransactionDetailGroup">
			<xsl:choose>
				<xsl:when test="count($trans/lines/*) &gt; 0 or count($trans/paylines/*) &gt; 0">
					
					<xsl:for-each select="$trans/lines/t:line | $trans/lines/t:cline">
						<xsl:if test="not(@voidLineIndex)">
							
							<xsl:element name="nax:TransactionLine">
								<xsl:choose>
									<xsl:when test="@isVoid = 'true'">
										<xsl:attribute name="status"><xsl:text>cancel</xsl:text></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:call-template name="nsl:group-TransactionLine.anySale">
									<xsl:with-param name="line" select="."/>
									<xsl:with-param name="isRefund" select="$refundFlag"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:if>
					</xsl:for-each>
					<xsl:for-each select="$trans/sum/t:sumTax">
						<xsl:element name="nax:TransactionLine">
							<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
							<xsl:call-template name="nsl:group-TransactionLine.TransactionTax">
								<xsl:with-param name="line" select="."/>
								<xsl:with-param name="isRefund" select="$refundFlag"/>
							</xsl:call-template>
						</xsl:element>
					</xsl:for-each>
					
					<xsl:for-each select="$trans/sum/t:sumCoupons/t:coupon">
						<xsl:element name="nax:TransactionLine">
							<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
							<xsl:call-template name="nsl:group-TransactionLine.TransactionScannedCoupon">
								<xsl:with-param name="coupon" select="."/>
							</xsl:call-template>
						</xsl:element>
					</xsl:for-each>
					
					<xsl:for-each select="$trans/sum/t:sumLoyalty">
						<xsl:call-template name="nsl:group-TransactionLine.TransactionLoyalty">
							<xsl:with-param name="loyalty" select="."/>
						</xsl:call-template>
					</xsl:for-each>
					
					<xsl:for-each select="$trans/paylines/t:payline">
						<xsl:variable name="endDateTime">
							<xsl:value-of select="dts:incrementDateTime(string($trans/hdr/dateTime),string($trans/duration))"/>
						</xsl:variable>
						<xsl:variable name="curPayline">
							<xsl:copy-of select="ext:node-set(.)"/>
						</xsl:variable>
						
						<xsl:choose>
							<xsl:when test="ext:node-set($lib:naxmlPrefs)//discountReason[@sysid = ext:node-set($curPayline)//@sysid                   and @cat = ext:node-set($curPayline)//@cat]">
								<xsl:element name="nax:TransactionLine">
									<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
									<xsl:call-template name="nsl:group-TransactionLine.DiscountLine-tender">
										<xsl:with-param name="amt" select="./amt"/>
										<xsl:with-param name="reason" select="ext:node-set($lib:naxmlPrefs)//discountReason[@sysid =                            ext:node-set($curPayline)//@sysid                             and @cat = ext:node-set($curPayline)//@cat]/@reason"/>
									</xsl:call-template>
								</xsl:element>
							</xsl:when>
							<xsl:when test="ext:node-set($lib:naxmlPrefs)//discountReason[@cat = ext:node-set($curPayline)//@cat]">
								<xsl:element name="nax:TransactionLine">
									<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
									<xsl:call-template name="nsl:group-TransactionLine.DiscountLine-tender">
										<xsl:with-param name="amt" select="./amt"/>
										<xsl:with-param name="reason" select="ext:node-set($lib:naxmlPrefs)//discountReason[@cat =                            ext:node-set($curPayline)//@cat]/@reason"/>
									</xsl:call-template>
								</xsl:element>
							</xsl:when>
							
							<xsl:otherwise>
								<xsl:element name="nax:TransactionLine">
									<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
									<xsl:call-template name="nsl:group-TransactionLine.TenderInfo">
										<xsl:with-param name="line" select="."/>
										<xsl:with-param name="datetime" select="$endDateTime"/>
									</xsl:call-template>
								</xsl:element>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					
					<xsl:element name="nax:TransactionLine">
						<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
						<xsl:element name="nax:RoundingAmount">
							<xsl:value-of select="0"/>
						</xsl:element>
					</xsl:element>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:if test="$trans/ageVerification and $trans/ageVerification/@xsi:nil != 'true'">
				<xsl:element name="nax:TransactionLine">
					<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
					<xsl:call-template name="nsl:elem-CustomerID-trans">
						<xsl:with-param name="trans" select="$trans"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:elem-CustomerID-trans">
		<xsl:param name="trans"/>
		<xsl:element name="nax:CustomerID">
			<xsl:element name="nax:CashierBypassedFlag">
				
				<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
			</xsl:element>
			<xsl:element name="nax:EntryMethod">
				
				<xsl:attribute name="method"><xsl:text>manual</xsl:text></xsl:attribute>
			</xsl:element>
			<xsl:element name="nax:PersonalID">
				
				<xsl:attribute name="idType"><xsl:text>driversLicense</xsl:text></xsl:attribute>
				
			</xsl:element>
			<xsl:element name="nax:IDExpirationDate">
				
				<xsl:value-of select="$trans/ageVerification"/>
			</xsl:element>
			<xsl:element name="nax:IDIssuingAuthority">
				
			</xsl:element>
			<xsl:element name="nax:BirthDate">
				<xsl:value-of select="$trans/ageVerification"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:elem-TransactionSummary">
		<xsl:param name="trans"/>
		<xsl:variable name="refundFlag">
			<xsl:choose>
				<xsl:when test="$trans/@isRefund = 'true'">
					<xsl:value-of select="'true'"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'false'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:element name="nax:TransactionSummary">
			
			
			<xsl:element name="nax:TransactionTotalGrossAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$trans/sum/beforeTax"/>
				</xsl:call-template>
			</xsl:element>
			
			
			<xsl:element name="nax:TransactionTotalNetAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$trans/sum/total"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:variable name="totalTax">
				<xsl:element name="amt">
					<xsl:if test="$trans/sum/t:sumTax[1]/amt/@currency">
						<xsl:attribute name="currency"><xsl:value-of select="$trans/sum/t:sumTax[1]/amt/@currency"/></xsl:attribute>
					</xsl:if>
					<xsl:value-of select="sum($trans/sum/t:sumTax/amt) + sum($trans/sum/t:sumTax/inclusiveTaxAmt)"/>
				</xsl:element>
			</xsl:variable>
			<xsl:element name="nax:TransactionTotalTaxSalesAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="ext:node-set($totalTax)/amt"/>
				</xsl:call-template>
			</xsl:element>
			
			<xsl:if test="$trans//exemptTax">
				<xsl:variable name="totalTaxExempt">
					<xsl:element name="amt">
						<xsl:if test="$trans/sum/t:sumTax[1]/amt/@currency">
							<xsl:attribute name="currency"><xsl:value-of select="              $trans/sum/t:sumTax[1]/amt/@currency"/></xsl:attribute>
						</xsl:if>
						<xsl:value-of select="sum($trans/sum/t:sumTax/exemptTax)"/>
					</xsl:element>
				</xsl:variable>
				<xsl:element name="nax:TransactionTotalTaxExemptAmount">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="ext:node-set($totalTaxExempt)/amt"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:if>
			<xsl:if test="$trans//forgivenTax">
				<xsl:variable name="totalTaxForgiven">
					<xsl:element name="amt">
						<xsl:if test="$trans/sum/t:sumTax[1]/amt/@currency">
							<xsl:attribute name="currency"><xsl:value-of select="              $trans/sum/t:sumTax[1]/amt/@currency"/></xsl:attribute>
						</xsl:if>
						<xsl:value-of select="sum($trans/sum/t:sumTax/forgivenTax)"/>
					</xsl:element>
				</xsl:variable>
				<xsl:element name="nax:TransactionTotalTaxForgivenAmount">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="ext:node-set($totalTaxForgiven)/amt"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:if>
			
			<xsl:element name="nax:TransactionTotalTaxNetAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="ext:node-set($totalTax)/amt"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:if test="false()">
				<xsl:element name="nax:TaxExemptCertificateID">
				</xsl:element>
			</xsl:if>
			
			<xsl:element name="nax:TransactionTotalGrandAmount">
				
				<xsl:choose>
					<xsl:when test="$refundFlag= 'true'">
						<xsl:attribute name="direction"><xsl:text>Refunded</xsl:text></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="direction"><xsl:text>Collected</xsl:text></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$trans/sum/total"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:if test="$trans//taxableRebate">
				<xsl:element name="nax:Extension">
					<xsl:for-each select="$trans//taxableRebate">				
						<xsl:element name="vfi:TaxableRebate">
							<xsl:element name="vfi:Amount">
								<xsl:value-of select="."/>
							</xsl:element>
							<xsl:element name="vfi:Tax"> 
								<xsl:attribute name="sysid"><xsl:value-of select="../vs:taxrateBase/@sysid"/></xsl:attribute>
							</xsl:element>
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:if>			
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:group-FinancialEvent">
		<xsl:param name="trans"/>
		
		<xsl:element name="nax:EventSequenceID">
			<xsl:value-of select="position()"/>
		</xsl:element>
		
		<xsl:element name="nax:TransactionID">
			<xsl:value-of select="$trans/vs:transactionSeq"/>
		</xsl:element>
		
		<xsl:element name="nax:TrainingModeFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		<xsl:element name="nax:CashierID">
			<xsl:value-of select="$trans/t:cashier/@number"/>
		</xsl:element>
		<xsl:element name="nax:RegisterID">
			<xsl:value-of select="$trans/hdr/t:register/@sysid"/>
		</xsl:element>
		<xsl:element name="nax:TillID">
			<xsl:value-of select="$trans/hdr/t:register/@till"/>
		</xsl:element>
		
		<xsl:element name="nax:EventStartDate">
			<xsl:value-of select="js:parseDate(string(hdr/dateTime))"/>
		</xsl:element>
		<xsl:element name="nax:EventStartTime">
			<xsl:value-of select="js:parseTime(string(hdr/dateTime))"/>
		</xsl:element>
		<xsl:variable name="endDateTime">
			<xsl:value-of select="dts:incrementDateTime(string($trans/hdr/dateTime),string($trans/duration))"/>
		</xsl:variable>
		<xsl:element name="nax:EventEndDate">
			<xsl:value-of select="js:parseDate(string($endDateTime))"/>
		</xsl:element>
		<xsl:element name="nax:EventEndTime">
			<xsl:value-of select="js:parseTime(string($endDateTime))"/>
		</xsl:element>
		<xsl:element name="nax:BusinessDate">
			<xsl:value-of select="$trans/hdr/t:busDate"/>
		</xsl:element>
		<xsl:element name="nax:ReceiptDate">
			<xsl:value-of select="js:parseDate(string($trans/hdr/dateTime))"/>
		</xsl:element>
		<xsl:element name="nax:ReceiptTime">
			<xsl:value-of select="js:parseTime(string($trans/hdr/dateTime))"/>
		</xsl:element>
		
		<xsl:element name="nax:OfflineFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:element name="nax:SuspendFlag">
			<xsl:attribute name="value"><xsl:choose><xsl:when test="name($trans) = 't:suspendedSale'"><xsl:text>yes</xsl:text></xsl:when><xsl:otherwise><xsl:text>no</xsl:text></xsl:otherwise></xsl:choose></xsl:attribute>
		</xsl:element>
		
		<xsl:if test="false()">
			<xsl:element name="nax:StoreHierarchyID">
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:group-FinancialEventDetail">
		<xsl:param name="trans"/>
		
		<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
	</xsl:template>
	
	
	<xsl:template name="nsl:group-TransactionLine.anySale">
		<xsl:param name="line"/>
		<xsl:param name="isRefund" select="false"/>
		
		<xsl:choose>
			<xsl:when test="name() = 't:line' or name() = 't:cline'">
				<xsl:choose>
					<xsl:when test="iid">
						
						<xsl:call-template name="nsl:elem-ItemLine">
							<xsl:with-param name="line" select="$line"/>
							<xsl:with-param name="isRefund" select="$isRefund"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						
						<xsl:choose>
							<xsl:when test="t:fuel">
								
								<xsl:call-template name="nsl:elem-FuelLine">
									<xsl:with-param name="line" select="$line"/>
								</xsl:call-template>
								<xsl:call-template name="nsl:elem-ManualFuel_CashAcceptor-Extension">
									<xsl:with-param name="line" select="$line"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:when test="t:fuelPrepay">
								
								<xsl:call-template name="nsl:elem-FuelPrepayLine">
									<xsl:with-param name="line" select="$line"/>
								</xsl:call-template>
							</xsl:when>
							<xsl:otherwise>
								
								<xsl:call-template name="nsl:elem-MerchandiseCodeLine">
									<xsl:with-param name="line" select="$line"/>
									<xsl:with-param name="isRefund" select="$isRefund"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			
		</xsl:choose>
		
		<xsl:if test="$line/t:fee">
			
			<xsl:element name="nax:Extension">
				<xsl:for-each select="$line/t:fee">
					<xsl:element name="vfi:FeeInfo">
						<xsl:element name="vfi:FeeNumber">
							<xsl:value-of select="./@sysid"/>
						</xsl:element>
						<xsl:element name="vfi:FeeAmt">
							<xsl:attribute name="currency"><xsl:value-of select="./amt/@currency"/></xsl:attribute>
							<xsl:value-of select="./amt"/>
						</xsl:element>
						<xsl:element name="vfi:FeeName">
							<xsl:value-of select="./name"/>
						</xsl:element>
						<xsl:element name="vfi:FeeDept">
							<xsl:value-of select="./t:dept/@sysid"/>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:if>
		
		<xsl:if test="$line/t:loyalty">
			<xsl:element name="nax:Extension">
				
				<xsl:for-each select="$line/t:loyalty">
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:element>
		</xsl:if>
		<xsl:if test="$line/t:fuel/loyaltyDisc">
			<xsl:element name="nax:Extension">
				
				<xsl:for-each select="$line/t:fuel/loyaltyDisc">
					<xsl:element name="vfi:PPULoyalty">
						<xsl:copy-of select="."/>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:if>
		
		<xsl:if test="$line/t:fuel/popDisc">
			<xsl:element name="nax:Extension">
				<xsl:element name="vfi:popDiscountDetails">
					
					<xsl:for-each select="$line/t:fuel/popDisc">
						<xsl:element name="vfi:popDiscount">
							
							<xsl:element name="vfi:popID">
								<xsl:value-of select="./popID"/>
							</xsl:element>
							<xsl:element name="vfi:popDescription">
								<xsl:value-of select="./name"/>
							</xsl:element>
							<xsl:element name="vfi:popAwardType">
								<xsl:choose>
									<xsl:when test="./time[@sysid=1]">
										<xsl:value-of select="'pre-disp'"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="'post-disp'"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:element>
							<xsl:element name="vfi:amount">
								<xsl:value-of select="./amt"/>
							</xsl:element>
													
							<xsl:if test="./popDefinitionID">
								<xsl:element name="vfi:popDefinitionID">
									<xsl:value-of select="./popDefinitionID"/>
								</xsl:element>
							</xsl:if>
							<xsl:if test="./popDiscountID">
								<xsl:element name="vfi:popDiscountID">
									<xsl:value-of select="./popDiscountID"/>
								</xsl:element>
							</xsl:if>								
						</xsl:element>
					</xsl:for-each>
				</xsl:element>
			</xsl:element>
		</xsl:if>
		
		<xsl:if test="$line//taxableRebateFlag">
			<xsl:element name="nax:Extension">
				<xsl:for-each select="$line//taxableRebateFlag">			
					<xsl:element name="vfi:TaxableRebate">
					<xsl:element name="vfi:Amount"><xsl:value-of select="."/></xsl:element>
						<xsl:element name="vfi:Tax"> 
							<xsl:attribute name="sysid"><xsl:value-of select="./@sysid"/></xsl:attribute>
						</xsl:element>
					</xsl:element>
				</xsl:for-each>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:elem-MerchandiseCodeLine">
		<xsl:param name="line"/>
		<xsl:param name="isRefund" select="false"/>
		<xsl:element name="nax:MerchandiseCodeLine">
			<xsl:element name="nax:MerchandiseCode">
				<xsl:value-of select="$line/fid/t:dept/@sysid"/>
			</xsl:element>
			<xsl:element name="nax:Description">
				<xsl:value-of select="$line/desc"/>
			</xsl:element>
			<xsl:if test="$line/serialNum">
				<xsl:element name="nax:SerialNumber">
					<xsl:value-of select="$line/serialNum"/>
				</xsl:element>
			</xsl:if>
			<xsl:element name="nax:ActualSalesPrice">
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/itmprc"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:call-template name="nsl:elem-Discount-line">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			
			<xsl:call-template name="nsl:elem-Promotion-line">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			
			
			
			<xsl:element name="nax:RegularSellPrice">
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/itmprc"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:element name="nax:SalesQuantity">
				
				<xsl:call-template name="lib:group-quantity">
					<xsl:with-param name="qty" select="$line/qty"/>
				</xsl:call-template>
			</xsl:element>
			
			
			<xsl:element name="nax:SalesAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/tot"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:element name="nax:SalesRestriction">
				<xsl:if test="$line/flags/@ageVerifReqd = 'true'">
					<xsl:element name="nax:MinimumCustomerAge">
						
						<xsl:value-of select="21"/>
					</xsl:element>
				</xsl:if>
				
			</xsl:element>
			
			<xsl:for-each select="$line/tax">
				<xsl:call-template name="nsl:group-ItemLine.ItemTax">
					<xsl:with-param name="line" select="."/>
				</xsl:call-template>
			</xsl:for-each>
			
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:elem-ItemCode">
		<xsl:param name="line"/>
		<xsl:element name="nax:ItemCode">
			<xsl:element name="nax:POSCodeFormat">
				<xsl:variable name="enc" select="$line/iid/t:plu/@encoding"/>
				<xsl:attribute name="format"><xsl:choose><xsl:when test="$enc = 'A'"><xsl:text>upcA</xsl:text></xsl:when><xsl:when test="$enc = 'E'"><xsl:text>upcE</xsl:text></xsl:when><xsl:when test="$enc = 'EAN'"><xsl:text>ean13</xsl:text></xsl:when><xsl:when test="$enc = 'RW'"><xsl:text>plu</xsl:text></xsl:when><xsl:otherwise><xsl:text>gtin</xsl:text></xsl:otherwise></xsl:choose></xsl:attribute>
			</xsl:element>
			<xsl:element name="nax:POSCode">
				<xsl:value-of select="$line/iid/t:plu/upc"/>
			</xsl:element>
			<xsl:element name="nax:POSCodeModifier">
				
				<xsl:choose>
					<xsl:when test="$line/iid/t:plu/modifier">
						<xsl:value-of select="$line/iid/t:plu/modifier"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="0"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			
			<xsl:if test="$line/iid/t:plu/invItemID">
				<xsl:element name="nax:InventoryItemID">
					<xsl:value-of select="$line/iid/t:plu/invItemID"/>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:elem-ItemLine">
		<xsl:param name="line"/>
		<xsl:param name="isRefund" select="false"/>
		<xsl:element name="nax:ItemLine">
			<xsl:call-template name="nsl:elem-ItemCode">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			
			<xsl:element name="nax:Description">
				<xsl:value-of select="$line/desc"/>
			</xsl:element>
			
			<xsl:if test="$line/serialNum">
				<xsl:element name="nax:SerialNumber">
					<xsl:value-of select="$line/serialNum"/>
				</xsl:element>
			</xsl:if>
			<xsl:element name="nax:EntryMethod">
				<xsl:attribute name="method"><xsl:choose><xsl:when test="$line/flags/@scanned = 'true'"><xsl:text>scan</xsl:text></xsl:when><xsl:when test="$line/iid/t:plu/@entryMethod = 'scanner'"><xsl:text>scan</xsl:text></xsl:when><xsl:otherwise><xsl:text>manual</xsl:text></xsl:otherwise></xsl:choose></xsl:attribute>
			</xsl:element>
			<xsl:element name="nax:ActualSalesPrice">
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/itmprc"/>
				</xsl:call-template>
			</xsl:element>
			
			<xsl:element name="nax:MerchandiseCode">
				<xsl:value-of select="fid/t:dept/@sysid"/>
			</xsl:element>
			
			<xsl:element name="nax:SellingUnits">
				<xsl:attribute name="uom"><xsl:text>each</xsl:text></xsl:attribute>
				<xsl:value-of select="$line/iid/t:plu/sellunit"/>
			</xsl:element>
			<xsl:call-template name="nsl:elem-Discount-line">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			
			<xsl:call-template name="nsl:elem-Promotion-line">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			
			
			
			<xsl:element name="nax:RegularSellPrice">
				<xsl:choose>
					<xsl:when test="$line/priceOverride">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$line/priceOverride/oldprc"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$line/itmprc"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:call-template name="nsl:elem-PriceOverride-line">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			<xsl:element name="nax:SalesQuantity">
				
				<xsl:call-template name="lib:group-quantity">
					<xsl:with-param name="qty" select="$line/qty"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:element name="nax:SalesAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/tot"/>
				</xsl:call-template>
			</xsl:element>
			
			<xsl:for-each select="$line/tax">
				<xsl:call-template name="nsl:group-ItemLine.ItemTax">
					<xsl:with-param name="line" select="."/>
				</xsl:call-template>
			</xsl:for-each>
			
			
			
			<xsl:element name="nax:SalesRestriction">
				<xsl:if test="$line/flags/@ageVerifReqd = 'true'">
					<xsl:element name="nax:MinimumCustomerAge">
						
						<xsl:value-of select="21"/>
					</xsl:element>
				</xsl:if>
				
			</xsl:element>
			
			
			
			
			
			
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:elem-FuelLine">
		<xsl:param name="line"/>
		<xsl:element name="nax:FuelLine">
			<xsl:element name="nax:FuelGradeID">
				
				<xsl:choose>
					<xsl:when test="$line/t:fuel/grade/@NAXMLFuelGradeID">
						<xsl:value-of select="$line/t:fuel/grade/@NAXMLFuelGradeID"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$line/t:fuel/grade/grade/@sysid"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			<xsl:element name="nax:FuelPositionID">
				<xsl:value-of select="$line/t:fuel/pos"/>
			</xsl:element>
			<xsl:element name="nax:PriceTierCode">
				<xsl:value-of select="$line/t:fuel/mop/@sysid"/>
			</xsl:element>
			<xsl:element name="nax:TimeTierCode">
				
			</xsl:element>
			<xsl:element name="nax:ServiceLevelCode">
				<xsl:value-of select="$line/t:fuel/svcLevel/@sysid"/>
			</xsl:element>
			<xsl:element name="nax:Description">
				<xsl:value-of select="$line/desc"/>
			</xsl:element>
			
			<xsl:element name="nax:EntryMethod">
				<xsl:attribute name="method"><xsl:choose><xsl:when test="$line/flags/@scanned = 'true'"><xsl:text>scan</xsl:text></xsl:when><xsl:otherwise><xsl:text>manual</xsl:text></xsl:otherwise></xsl:choose></xsl:attribute>
			</xsl:element>
			<xsl:element name="nax:ActualSalesPrice">
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/t:fuel/prc"/>
					<xsl:with-param name="mask" select="$lib:fuelCurrencyMask"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:element name="nax:MerchandiseCode">
				<xsl:value-of select="fid/t:dept/@sysid"/>
			</xsl:element>
			<xsl:call-template name="nsl:elem-Discount-line">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			
			<xsl:call-template name="nsl:elem-Promotion-line">
				<xsl:with-param name="line" select="$line"/>
			</xsl:call-template>
			
			<xsl:element name="nax:RegularSellPrice">
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/t:fuel/prc"/>
					<xsl:with-param name="mask" select="$lib:fuelCurrencyMask"/>
				</xsl:call-template>
			</xsl:element>
			
			<xsl:element name="nax:SalesQuantity">
				<xsl:call-template name="lib:group-quantity">
					<xsl:with-param name="qty" select="$line/t:fuel/vol"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:element name="nax:SalesAmount">
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/t:fuel/amt"/>
				</xsl:call-template>
			</xsl:element>
			
			<xsl:for-each select="$line/t:fuel/fuelTaxExemption">
				<xsl:element name="nax:ItemTax">
					<xsl:element name="nax:TaxLevelID">
						
						<xsl:value-of select="./desc/@sysid"/>
					</xsl:element>
					
					
					<xsl:choose>
						
						<xsl:when test="./@reversed = 'true'">
							<xsl:element name="nax:TaxCollectedAmount">
								<xsl:call-template name="lib:group-currency">
									<xsl:with-param name="amt" select="./amt"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="nax:TaxExemptAmount">
								<xsl:call-template name="lib:group-currency">
									<xsl:with-param name="amt" select="./amt"/>
								</xsl:call-template>
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:element name="nax:TaxExemptReason">
						<xsl:value-of select="./desc"/>
						
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:elem-FuelPrepayLine">
		<xsl:param name="line"/>
		<xsl:element name="nax:FuelPrepayLine">
			<xsl:element name="nax:FuelPositionID">
				<xsl:value-of select="$line/t:fuelPrepay/pos"/>
			</xsl:element>
			
			<xsl:element name="nax:Description">
				<xsl:value-of select="$line/desc"/>
			</xsl:element>
			
			<xsl:element name="nax:MerchandiseCode">
				<xsl:value-of select="fid/t:dept/@sysid"/>
			</xsl:element>
			<xsl:element name="nax:SalesAmount">
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/t:fuelPrepay/amt"/>
				</xsl:call-template>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:group-TransactionLine.DiscountLine-tender">
		<xsl:param name="amt"/>
		<xsl:param name="reason"/>
		<xsl:element name="nax:DiscountLine">
			<xsl:element name="nax:Discount">
				<xsl:element name="nax:DiscountAmount">
					<xsl:value-of select="$amt"/>
				</xsl:element>
				
				<xsl:element name="nax:DiscountReason">
					<xsl:value-of select="$reason"/>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:group-TransactionLine.TenderInfo">
		<xsl:param name="line"/>
		<xsl:param name="datetime"/>
		
		<xsl:element name="nax:TenderInfo">
			<xsl:call-template name="lib:xlate-payline">
				<xsl:with-param name="payline" select="$line"/>
			</xsl:call-template>
			<xsl:element name="nax:TenderAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="$line/amt"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:element name="nax:ChangeFlag">
				<xsl:attribute name="value"><xsl:choose><xsl:when test="$line/t:mop/name = 'Change'"><xsl:text>yes</xsl:text></xsl:when><xsl:when test="substring($line/amt,1,1) = '-'"><xsl:text>yes</xsl:text></xsl:when><xsl:otherwise><xsl:text>no</xsl:text></xsl:otherwise></xsl:choose></xsl:attribute>
			</xsl:element>
			
			<xsl:if test="ext:node-set($line)/t:cardInfo">
				<xsl:element name="nax:Authorization">
					<xsl:element name="nax:PreAuthorizationFlag">
					</xsl:element>
					<xsl:element name="nax:RequestedAmount">
						
						<xsl:value-of select="0.00"/>
					</xsl:element>
					<xsl:element name="nax:AuthorizationResponseCode">
					</xsl:element>
					<xsl:element name="nax:AuthorizationResponseDescription">
					</xsl:element>
					<xsl:element name="nax:ApprovalReferenceCode">
						<xsl:value-of select="$line/t:cardInfo/ticket"/>
					</xsl:element>
					<xsl:element name="nax:ReferenceNumber">
						<xsl:value-of select="$line/t:cardInfo/ref"/>
					</xsl:element>
					<xsl:element name="nax:ProviderID">
					</xsl:element>
					<xsl:element name="nax:AuthorizationDate">
						<xsl:value-of select="js:parseDate(string($datetime))"/>
					</xsl:element>
					<xsl:element name="nax:AuthorizationTime">
						<xsl:value-of select="js:parseTime(string($datetime))"/>
					</xsl:element>
					<xsl:element name="nax:HostAuthorizedFlag">
					</xsl:element>
					<xsl:element name="nax:AuthorizationApprovalDescription">
					</xsl:element>
					<xsl:element name="nax:AuthorizingTerminalID">
						<xsl:value-of select="$line/t:cardInfo/termID"/>
					</xsl:element>
					<xsl:element name="nax:ForceOnLineFlag">
					</xsl:element>
					<xsl:element name="nax:ElectronicSignature">
					</xsl:element>
					<xsl:element name="nax:AuthorizedChargeAmount">
						
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$line/amt"/>
						</xsl:call-template>
					</xsl:element>
				</xsl:element>
			</xsl:if>
			
			<xsl:if test="ext:node-set($line)/t:cardInfo | ext:node-set($line)/t:houseAcct">
				<xsl:element name="nax:AccountInfo">
					<xsl:element name="nax:AccountID">
						<xsl:choose>
							<xsl:when test="ext:node-set($line)/t:cardInfo">
								<xsl:value-of select="ext:node-set($line)/t:cardInfo/acct"/>
							</xsl:when>
							<xsl:when test="ext:node-set($line)/t:houseAcct">
								<xsl:value-of select="ext:node-set($line)/t:houseAcct/acct"/>
							</xsl:when>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="nax:AccountName">
						<xsl:choose>
							<xsl:when test="ext:node-set($line)/t:cardInfo">
								<xsl:value-of select="ext:node-set($line)/t:cardInfo/cardHolderName"/>
							</xsl:when>
							<xsl:when test="ext:node-set($line)/t:houseAcct">
								<xsl:value-of select="ext:node-set($line)/t:houseAcct/name"/>
							</xsl:when>
						</xsl:choose>
					</xsl:element>
					
					<xsl:element name="nax:AccountFirstName"/>
					<xsl:element name="nax:AccountMiddleName"/>
					<xsl:element name="nax:AccountLastName"/>
					
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:group-TransactionLine.TransactionTax">
		<xsl:param name="line"/>
		<xsl:param name="isRefund" select="false"/>
		
		<xsl:element name="nax:TransactionTax">
			
			<xsl:element name="nax:TaxLevelID">
				<xsl:value-of select="vs:taxrateBase/@sysid"/>
			</xsl:element>
			<xsl:element name="nax:TaxableSalesAmount">
				
				<xsl:call-template name="lib:group-currency">
					<xsl:with-param name="amt" select="taxable"/>
				</xsl:call-template>
			</xsl:element>
			<xsl:element name="nax:TaxCollectedAmount">
				<xsl:variable name="addedTax">
					<xsl:element name="amt">
						<xsl:if test="$line/amt/@currency">
							<xsl:attribute name="currency"><xsl:value-of select="$line/amt/@currency"/></xsl:attribute>
						</xsl:if>
						<xsl:value-of select="sum($line/amt) + sum($line/inclusiveTaxAmt)"/>
					</xsl:element>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test="$isRefund= 'true'">
						<xsl:call-template name="lib:group-currency-abs">
							<xsl:with-param name="amt" select="ext:node-set($addedTax)/amt"/>
						</xsl:call-template>
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="ext:node-set($addedTax)/amt"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:element>
			
			<xsl:if test="exemptTax">
				<xsl:element name="nax:TaxExemptSalesAmount">
					<xsl:value-of select="format-number(exemptAgainst,'0.00')"/>
				</xsl:element>
				<xsl:element name="nax:TaxExemptAmount">
					<xsl:value-of select="format-number(exemptTax,'0.00')"/>
				</xsl:element>
				<xsl:element name="nax:TaxExemptReason">
					<xsl:value-of select="'exempt'"/>
				</xsl:element>
			</xsl:if>
			<xsl:if test="forgivenTax">
				<xsl:element name="nax:TaxForgivenSalesAmount">
					<xsl:value-of select="format-number(forgivenAgainst,'0.00')"/>
				</xsl:element>
				<xsl:element name="nax:TaxForgivenAmount">
					<xsl:value-of select="format-number(forgivenTax,'0.00')"/>
				</xsl:element>
				<xsl:element name="nax:TaxForgivenReason">
					<xsl:value-of select="'foodstamp'"/>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:group-ItemLine.ItemTax">
		<xsl:param name="line"/>
		<xsl:element name="nax:ItemTax">
			<xsl:element name="nax:TaxLevelID">
				<xsl:value-of select="vs:taxrateBase/@sysid"/>
			</xsl:element>
			
			<xsl:if test="@reversed='true'">
				<xsl:element name="nax:TaxExemptReason">
					<xsl:value-of select="'exempt'"/>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:elem-Discount-line">
		<xsl:param name="line"/>
		<xsl:if test="$line/t:fuel/popDisc">
			<xsl:for-each select="$line/t:fuel/popDisc">
				<xsl:element name="nax:Discount">
					<xsl:element name="nax:DiscountAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="amt"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:element name="nax:DiscountReason">
						<xsl:text>pop-fuel</xsl:text>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="$line/t:promo">
			<xsl:for-each select="$line/t:promo">
				<xsl:element name="nax:Discount">
					<xsl:element name="nax:DiscountAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="./amt"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:element name="nax:DiscountReason">
						<xsl:choose>
							<xsl:when test="./@type = 'pct'">
								<xsl:choose>
									<xsl:when test="$line/carwash">
										<xsl:text>promo-pct-cw</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>promo-pct</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:when test="./@type = 'fixed'">
								<xsl:choose>
									<xsl:when test="$line/carwash">
										<xsl:text>promo-amt-cw</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>promo-amt</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>none</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
		<xsl:if test="$line/t:disc">
			<xsl:for-each select="$line/t:disc">
				<xsl:element name="nax:Discount">
					<xsl:element name="nax:DiscountAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="./amt"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:element name="nax:DiscountReason">
						<xsl:choose>
							<xsl:when test="./@reason">
								<xsl:value-of select="./@reason"/>
							</xsl:when>
							<xsl:when test="./@type = 'pct'">
								<xsl:text>discount-pct</xsl:text>
							</xsl:when>
							<xsl:when test="./@type = 'fixed'">
								<xsl:text>discount-amt</xsl:text>
							</xsl:when>
							<xsl:when test="./@type = 'pct'">
								<xsl:choose>
									<xsl:when test="$line/carwash">
										<xsl:text>promo-pct-cw</xsl:text>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>promo-pct</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>none</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					
				</xsl:element>
			</xsl:for-each>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:elem-PriceOverride-line">
		<xsl:param name="line"/>
		<xsl:if test="$line/priceOverride">
			<xsl:element name="nax:PriceOverride">
				<xsl:element name="nax:PriceOverridePrice">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$line/itmprc "/>
					</xsl:call-template>
				</xsl:element>
				
				<xsl:choose>
				<xsl:when test="$line//t:authorizingAuthority/@softKeyCode">
					<xsl:element name="nax:PriceOverrideApproverID">
						<xsl:value-of select="$line//t:authorizingAuthority[@softKeyCode='POR']/@sysid"/>
					</xsl:element>
				</xsl:when>
				<xsl:otherwise>
					<xsl:element name="nax:PriceOverrideApproverID">
						<xsl:value-of select="$line/t:authorizingAuthority/@sysid"/>
					</xsl:element>
				</xsl:otherwise>
				</xsl:choose>
		
				
				
				<xsl:element name="nax:PriceOverrideReason">
					<xsl:text>none</xsl:text>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:elem-Promotion-line">
		<xsl:param name="line"/>
		<xsl:for-each select="$line/t:match">
			<xsl:element name="nax:Promotion">
				<xsl:element name="nax:PromotionID">
					
					<xsl:value-of select="current()/promoID"/>
				</xsl:element>
				<xsl:element name="nax:PromotionReason">
					<xsl:choose>
						<xsl:when test="current()/promoID/@type = 'mix-match'">
							<xsl:text>mixAndMatchOffer</xsl:text>
						</xsl:when>
						<xsl:when test="current()/promoID/@type = 'combo'">
							<xsl:text>combinationOffer</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>tempPriceChange</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="nax:PromotionAmount">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="current()/amt"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:element>
		</xsl:for-each>
		<xsl:if test="$line/t:promo">
			<xsl:element name="nax:Promotion">
				<xsl:element name="nax:PromotionID">
					
					<xsl:variable name="type" select="$line/t:promo/@type"/>
					<xsl:attribute name="type"><xsl:choose><xsl:when test="$type = 'pct'"><xsl:text>pct</xsl:text></xsl:when><xsl:when test="$type = 'fixed'"><xsl:text>amt</xsl:text></xsl:when><xsl:otherwise><xsl:value-of select="substring($line/t:promo/@type,1,5)"/></xsl:otherwise></xsl:choose></xsl:attribute>
					
				</xsl:element>
				<xsl:element name="nax:PromotionReason">
					<xsl:value-of select="tempPriceChange"/>
				</xsl:element>
				<xsl:element name="nax:PromotionAmount">
					<xsl:call-template name="lib:group-currency">
						<xsl:with-param name="amt" select="$line/t:promo/amt"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:elem-Extension">
		<xsl:param name="trans"/>
		<xsl:if test="$trans//origTranSeq">
			<xsl:variable name="tranSeqs" select="$trans//origTranSeq/vs:transactionSeq"/>
			<xsl:variable name="sorted">
				<xsl:for-each select="ext:node-set($tranSeqs)">
					<xsl:sort data-type="number" order="ascending" select="."/>
					<xsl:copy-of select="."/>
				</xsl:for-each>
			</xsl:variable>
			<xsl:element name="nax:Extension">
				<xsl:copy-of select="ext:node-set($sorted)/vs:transactionSeq[not(. = preceding-sibling::vs:transactionSeq[1])]"/>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:elem-SubAcct-Extension">
		<xsl:param name="trans"/>
		<xsl:if test="$trans/paylines//t:payline/t:houseAcct/subAccount">
			<xsl:element name="nax:Extension">
				<xsl:for-each select="$trans/paylines/t:payline">
					<xsl:if test="t:houseAcct/subAccount">
						<xsl:element name="vfi:houseAccount">
							<xsl:element name="vfi:acct">
								<xsl:value-of select="t:houseAcct/acct"/>
							</xsl:element>
							<xsl:element name="vfi:subAccount">
								<xsl:value-of select="t:houseAcct/subAccount"/>
							</xsl:element>
						</xsl:element>
					</xsl:if>
				</xsl:for-each>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:elem-ManualFuel_CashAcceptor-Extension">
		<xsl:param name="line"/>
		<xsl:choose>
			<xsl:when test="$line/t:fuel/@isManualFuel">
				<xsl:element name="nax:Extension">
					<xsl:element name="vfi:isManualFuel">
						<xsl:attribute name="value"><xsl:value-of select="'yes'"/></xsl:attribute>
					</xsl:element>
				</xsl:element>
			</xsl:when>
			<xsl:when test="$line/t:fuel/@isCashAcceptor">
				<xsl:element name="nax:Extension">
					<xsl:element name="vfi:isCashAcceptor">
						<xsl:attribute name="value"><xsl:value-of select="'yes'"/></xsl:attribute>
					</xsl:element>
				</xsl:element>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="nsl:group-TransactionLine.TransactionScannedCoupon">
		<xsl:param name="coupon"/>
		<xsl:element name="nax:TenderInfo">
			<xsl:element name="nax:Tender">
				<xsl:element name="nax:TenderCode">
					<xsl:value-of select="'coupon'"/>
				</xsl:element>
				<xsl:element name="nax:TenderSubCode">
					<xsl:choose>
						<xsl:when test="ext:node-set($coupon)/data/@entryMeth">
							<xsl:value-of select="ext:node-set($coupon)/data/@entryMeth"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'generic'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
			</xsl:element>
			<xsl:element name="nax:TenderAmount">
				<xsl:value-of select="ext:node-set($coupon)/amt"/>
			</xsl:element>
			<xsl:element name="nax:ChangeFlag">
				<xsl:attribute name="value"><xsl:value-of select="'no'"/></xsl:attribute>
			</xsl:element>
			
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:group-TransactionLine.TransactionLoyalty">
		<xsl:param name="loyalty"/>
		<xsl:element name="nax:TransactionLine">
			<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
			<xsl:element name="nax:TenderInfo">
				<xsl:element name="nax:Tender">
					
					<xsl:element name="nax:TenderCode">
						<xsl:value-of select="'loyalty'"/>
					</xsl:element>
					
					<xsl:element name="nax:TenderSubCode">
						<xsl:value-of select="ext:node-set($loyalty)/name"/>
					</xsl:element>
				</xsl:element>
				
				
				<xsl:element name="nax:TenderAmount">
					<xsl:choose>
						<xsl:when test="ext:node-set($loyalty)/loyaltyDiscounts">
							<xsl:value-of select="ext:node-set($loyalty)/loyaltyDiscounts/total"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'0'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="nax:ChangeFlag">
					<xsl:attribute name="value"><xsl:value-of select="'no'"/></xsl:attribute>
				</xsl:element>
				<xsl:element name="nax:AccountInfo">
					
					<xsl:element name="nax:AccountID">
						<xsl:value-of select="ext:node-set($loyalty)/loyaltyCardInfo/acct"/>
					</xsl:element>
					
					<xsl:element name="nax:AccountName">
					</xsl:element>
					
					<xsl:element name="nax:AccountFirstName">
					</xsl:element>
					
					<xsl:element name="nax:AccountMiddleName">
					</xsl:element>
					
					<xsl:element name="nax:AccountLastName">
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>