<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:js="javascript:code-transactionSet-scripts" xmlns:dts="javascript:code-transactionSet-dateTimeScripts" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-tillTransactionAbstract" xmlns:nsl="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-tillTransactionAbstract.1" xmlns:lib="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-lib" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vfi="urn:vfi-sapphire:np.naxmlext.2005-06-24" version="1.0" exclude-result-prefixes="xsl js dts ext ns nsl lib">
	<xsl:import href="../../transactionSet/scripts.xslt"/>
	<xsl:import href="../../transactionSet/dateTimeScripts.xslt"/>
	<xsl:import href="tlog2naxml-lib.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template name="ns:elem-FinancialEvent.FinancialEventDetail.PayInDetail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:FinancialEvent">
			<xsl:call-template name="nsl:group-FinancialEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:FinancialEventDetail">
				<xsl:call-template name="nsl:group-FinancialEventDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:PayInDetail">
					<xsl:call-template name="nsl:group-PayInOutDetail">
						<xsl:with-param name="trans" select="$trans"/>
					</xsl:call-template>
					<xsl:element name="nax:PayInReason">
						<xsl:choose>
							<xsl:when test="$trans/reference">
								<xsl:value-of select="$trans/reference"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>payin</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:call-template name="nsl:elem-FinancialEvent-Extension">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template name="ns:elem-FinancialEvent.FinancialEventDetail.PayOutDetail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:FinancialEvent">
			<xsl:call-template name="nsl:group-FinancialEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:FinancialEventDetail">
				<xsl:call-template name="nsl:group-FinancialEventDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:PayOutDetail">
					<xsl:call-template name="nsl:group-PayInOutDetail">
						<xsl:with-param name="trans" select="$trans"/>
						<xsl:with-param name="isPayout" select="true()"/>
					</xsl:call-template>
					<xsl:element name="nax:PayOutReason">
						<xsl:choose>
							<xsl:when test="$trans/reference">
								<xsl:value-of select="$trans/reference"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>payout</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
			</xsl:element>
			<xsl:call-template name="nsl:elem-FinancialEvent-Extension">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
		</xsl:element>
	</xsl:template>
	
	
	
	<xsl:template name="nsl:elem-FinancialEvent-Extension">
		<xsl:param name="trans"/>
		<xsl:if test="$trans/reference/@subAccount">
			<xsl:element name="nax:Extension">
				<xsl:element name="vfi:houseAccount">
					<xsl:element name="vfi:acct">
						<xsl:value-of select="$trans/reference"/>
					</xsl:element>
					<xsl:element name="vfi:subAccount">
						<xsl:value-of select="$trans/reference/@subAccount"/>
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="ns:elem-FinancialEvent.FinancialEventDetail.Nosale">
		<xsl:param name="trans"/>
		<xsl:element name="nax:FinancialEvent">
			<xsl:call-template name="nsl:group-FinancialEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:FinancialEventDetail">
				<xsl:call-template name="nsl:group-FinancialEventDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:PayOutDetail">
					<xsl:call-template name="nsl:group-PayInOutDetail">
						<xsl:with-param name="trans" select="$trans"/>
						<xsl:with-param name="isPayout" select="true()"/>
					</xsl:call-template>
					<xsl:element name="nax:PayOutReason">
						<xsl:text>noSale</xsl:text>
					</xsl:element>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-FinancialEvent.FinancialEventDetail.SafeDropDetail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:FinancialEvent">
			<xsl:call-template name="nsl:group-FinancialEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:FinancialEventDetail">
				<xsl:call-template name="nsl:group-FinancialEventDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:SafeDropDetail">
					<xsl:element name="nax:DropAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$trans/amount"/>
						</xsl:call-template>
					</xsl:element>
					
					<xsl:element name="nax:EnvelopeID">
					</xsl:element>
					<xsl:element name="nax:DropNumber">
						
						<xsl:value-of select="$trans/reference"/>
					</xsl:element>
					<xsl:call-template name="nsl:elem-TenderInfo">
						<xsl:with-param name="trans" select="$trans"/>
					</xsl:call-template>
				</xsl:element>
			</xsl:element>
			
			<xsl:if test="$trans//@correction='true'">
				<xsl:element name="nax:FinancialEventDetail">
					<xsl:attribute name="status"><xsl:text>void</xsl:text></xsl:attribute>
					<xsl:element name="nax:SafeDropDetail">
						<xsl:element name="nax:DropAmount">
							<xsl:call-template name="lib:group-currency">
								<xsl:with-param name="amt" select="$trans/origSafedropInfo/amount"/>
							</xsl:call-template>
						</xsl:element>
						
						<xsl:element name="nax:EnvelopeID">
					</xsl:element>
						<xsl:element name="nax:DropNumber">
							
							<xsl:value-of select="$trans/reference"/>
						</xsl:element>
						<xsl:call-template name="nsl:elem-TenderInfo">
							<xsl:with-param name="trans" select="$trans"/>
							<xsl:with-param name="correction" select="'true'"/>
						</xsl:call-template>
					</xsl:element>
				</xsl:element>
			</xsl:if>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:elem-FinancialEvent.FinancialEventDetail.SafeLoanDetail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:FinancialEvent">
			<xsl:call-template name="nsl:group-FinancialEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:FinancialEventDetail">
				<xsl:call-template name="nsl:group-FinancialEventDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
				<xsl:element name="nax:SafeLoanDetail">
					
					<xsl:element name="nax:LoanAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$trans/amount"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:call-template name="nsl:elem-TenderInfo">
						<xsl:with-param name="trans" select="$trans"/>
					</xsl:call-template>
					
					<xsl:if test="false()">
						<xsl:element name="nax:SafeLoanReason">
							<xsl:text>none</xsl:text>
						</xsl:element>
					</xsl:if>
				</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template name="nsl:group-FinancialEvent">
		<xsl:param name="trans"/>
		
		<xsl:element name="nax:EventSequenceID">
			<xsl:value-of select="position()"/>
		</xsl:element>
		
		<xsl:element name="nax:TransactionID">
			<xsl:value-of select="$trans/vs:transactionSeq"/>
		</xsl:element>
		
		<xsl:element name="nax:TrainingModeFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		<xsl:element name="nax:CashierID">
			<xsl:value-of select="$trans/t:cashier/@number"/>
		</xsl:element>
		<xsl:element name="nax:RegisterID">
			<xsl:value-of select="$trans/hdr/t:register/@sysid"/>
		</xsl:element>
		<xsl:element name="nax:TillID">
			<xsl:value-of select="$trans/hdr/t:register/@till"/>
		</xsl:element>
		
		<xsl:call-template name="lib:create-eventDates">
			<xsl:with-param name="trans" select="ext:node-set($trans)"/>
		</xsl:call-template>
		<xsl:element name="nax:ReceiptDate">
			<xsl:value-of select="js:parseDate(string($trans/hdr/dateTime))"/>
		</xsl:element>
		<xsl:element name="nax:ReceiptTime">
			<xsl:value-of select="js:parseTime(string($trans/hdr/dateTime))"/>
		</xsl:element>
		
		<xsl:element name="nax:OfflineFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:element name="nax:SuspendFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:if test="false()">
			<xsl:element name="nax:StoreHierarchyID">
			</xsl:element>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nsl:elem-TenderInfo">
		
		<xsl:param name="trans"/>
		<xsl:param name="correction" select="'false'"/>
		<xsl:element name="nax:TenderInfo">
			<xsl:element name="nax:Tender">
				<xsl:element name="nax:TenderCode">
					<xsl:choose>
						<xsl:when test="ext:node-set($trans)/t:mop/@nacstendercode">
							<xsl:value-of select="ext:node-set($trans)/t:mop/@nacstendercode"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="ext:node-set($trans)/t:mop/@sysid"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="nax:TenderSubCode">
					<xsl:choose>
						<xsl:when test="ext:node-set($trans)/t:mop/@nacstendersubcode">
							<xsl:value-of select="ext:node-set($trans)/t:mop/@nacstendersubcode"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="ext:node-set($trans)/t:mop/@cat"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
			</xsl:element>
			<xsl:element name="nax:TenderAmount">
				<xsl:choose>
					<xsl:when test="$correction='true'">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$trans/origSafedropInfo/amount"/>
						</xsl:call-template>
						</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$trans/amount"/>
						</xsl:call-template>
					</xsl:otherwise> 
				</xsl:choose>
			</xsl:element>
			<xsl:element name="nax:ChangeFlag">
				<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="nsl:group-FinancialEventDetail">
		<xsl:param name="trans"/>
		
		<xsl:attribute name="status"><xsl:text>normal</xsl:text></xsl:attribute>
	</xsl:template>
	
	<xsl:template name="nsl:group-PayInOutDetail">
		<xsl:param name="trans"/>
		<xsl:param name="isPayout"/>
		<xsl:element name="nax:DetailAmount">
			<xsl:call-template name="lib:group-currency">
				<xsl:with-param name="amt" select="$trans/amount"/>
			</xsl:call-template>
		</xsl:element>
		<xsl:call-template name="nsl:elem-TenderInfo">
			<xsl:with-param name="trans" select="$trans"/>
		</xsl:call-template>
		
		<xsl:if test="$trans[@isHouseAcct='true']">
			<xsl:element name="nax:AccountInfo">
				<xsl:element name="nax:AccountID">
					<xsl:value-of select="$trans/reference"/>
				</xsl:element>
				<xsl:element name="nax:AccountName">
					<xsl:value-of select="$trans/reference/@name"/>
				</xsl:element>
				<xsl:element name="nax:AccountFirstName"/>
				<xsl:element name="nax:AccountMiddleName"/>
				<xsl:element name="nax:AccountLastName"/>
			</xsl:element>
		</xsl:if>
		<xsl:if test="$isPayout">
			
			<xsl:if test="$trans/moneyOrder">
				<xsl:element name="nax:MoneyOrderLine">
					<xsl:element name="nax:MoneyOrderNumber">
						<xsl:value-of select="$trans/moneyOrder/serialNum"/>
					</xsl:element>
					<xsl:element name="nax:MoneyOrderCheckDigit"/>
					<xsl:element name="nax:MoneyOrderFeeCollected"/>
					<xsl:element name="nax:MoneyOrderFaceAmount">
						<xsl:call-template name="lib:group-currency">
							<xsl:with-param name="amt" select="$trans/amount"/>
						</xsl:call-template>
					</xsl:element>
					<xsl:element name="nax:MoneyOrderTypeIndicator"/>
				</xsl:element>
			</xsl:if>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>