<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/FuelGradeMovementcommonTemplate" xmlns:ext="http://xml.apache.org/xalan" version="1.0">
	<xsl:param name="ns:UOM" select="'liter'"/>
	<xsl:variable name="map" select="document('../../lib/naxml3.3/map.xml')//pair"/>
	<xsl:variable name="mapPeriod" select="document('../../lib/naxml3.3/commonMap.xml')//PeriodType"/>
	<xsl:variable name="mapVol" select="document('../../lib/naxml3.3/commonMap.xml')//VolumeUOM"/>
	<xsl:variable name="mapMoney" select="document('../../lib/naxml3.3/commonMap.xml')//CurrencyUOM"/>
	
	<xsl:key name="product_keyTest" match="t:fuel" use="grade/@sysid"/>
	<xsl:key name="sellPrice_keyTest" match="t:sale" use="lines/t:line/t:fuel/prc"/>
	<xsl:key name="mopCatCode_key" match="*" use="paylines/t:payline/t:mop/@cat"/>
	<xsl:key name="testGroup" match="t:sale" use="concat(lines/t:line/t:fuel/grade/@sysid,'+',paylines/t:payline/t:mop/@cat)"/>
	<xsl:key name="testGroupGradeTenderPrice" match="t:fuel" use="concat(grade/@sysid,'+',ancestor::lines/parent::node()/paylines/t:payline/t:mop/@cat,'+',prc)"/>
	<xsl:key name="testGroupGradePrice" match="t:fuel" use="concat(grade/@sysid,'+',pos)"/>
	<xsl:key name="testGroupGrade" match="t:fuel" use="grade/@sysid"/>
	
	<xsl:key name="mopCatCode_keyFuel" match="t:mop" use="@cat"/>
	<xsl:key name="pos_key" match="t:fuel" use="pos"/>
	<xsl:key name="product_key" match="t:fuel" use="grade/@sysid"/>
	<xsl:key name="sellPrice_key" match="t:fuel" use="prc"/>
	<xsl:key name="serLevel_key" match="t:fuel" use="svcLevel/@sysid"/>
	<xsl:variable name="lowercase" select="'abcdefghijklmnopqrstuvwxyz'"/>
	<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:common">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:common">
		<xsl:param name="inputDoc"/>
		<xsl:apply-templates select="ext:nodeset($inputDoc)" mode="ns:fgm"/>
	</xsl:template>
	<xsl:template match="/" mode="ns:fgm">
		<xsl:choose>
			<xsl:when test="count(t:tlog) = 0">
				<xsl:copy>
					<xsl:copy-of select="*"/>
				</xsl:copy>
			</xsl:when>
			<xsl:otherwise>
				<NAXML-MovementReport>
					<xsl:attribute name="version"><xsl:text>3.4</xsl:text></xsl:attribute>
					
					<TransmissionHeader>
						<StoreLocationID>
							<xsl:value-of select="/t:tlog/t:hdr/vs:site"/>
						</StoreLocationID>
						<VendorName>VeriFone</VendorName>
						<VendorModelVersion>Commander Site Controller</VendorModelVersion> 
					</TransmissionHeader>
					
					<xsl:call-template name="NAXFuelDetails"/>
				</NAXML-MovementReport>
				
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="NAXFuelDetails">
		<FuelGradeMovement>
			<xsl:for-each select="t:tlog">
				<xsl:call-template name="NAXHeaderDisp"/>
			</xsl:for-each>
			
			
			<xsl:variable name="fuelNode" select="//t:fuel"/>
			<xsl:for-each select="t:tlog">
				<xsl:for-each select="current()/t:sale | current()/t:pumpTest | current()/t:adjustment">
					<xsl:variable name="tLogNode" select="."/>
					
					<xsl:call-template name="NAXFuelTenderSummary">
						<xsl:with-param name="pumpTestNode" select="$tLogNode/parent::node()/t:pumpTest"/>
						<xsl:with-param name="tLogNode" select="."/>
						<xsl:with-param name="fuelNode" select="$fuelNode"/>
					</xsl:call-template>
				</xsl:for-each>
				<xsl:call-template name="NAXFuelPositionSummary">
					<xsl:with-param name="fuelNode" select="$fuelNode"/>
				</xsl:call-template>
				<xsl:call-template name="NAXFuelSalesTotal">
					<xsl:with-param name="fuelNode" select="$fuelNode"/>
				</xsl:call-template>
			</xsl:for-each>
		</FuelGradeMovement>
	</xsl:template>
	<xsl:template name="NAXFuelPositionSummary">
		<xsl:param name="fuelNode"/>
		
		<xsl:for-each select="current()/t:sale | current()/t:pumpTest | current()/t:adjustment">
			<xsl:call-template name="NAXDispFuelPositionSummary">
				<xsl:with-param name="pumpTestNode" select="./parent::node()/t:pumpTest"/>
				<xsl:with-param name="tLogNode" select="."/>
				<xsl:with-param name="fuelNode" select="$fuelNode"/>
			</xsl:call-template>
		</xsl:for-each>
	</xsl:template>
	<xsl:template name="NAXFuelSalesTotal">
		<xsl:param name="fuelNode"/>
		
		<xsl:for-each select="current()/t:sale | current()/t:pumpTest | current()/t:adjustment">
			<xsl:call-template name="NAXDispFgmSalesTotal">
				<xsl:with-param name="pumpTestNode" select="./parent::node()/t:pumpTest"/>
				<xsl:with-param name="tLogNode" select="."/>
				<xsl:with-param name="fuelNode" select="$fuelNode"/>
			</xsl:call-template>
		</xsl:for-each>
		
	</xsl:template>
	
	<xsl:template name="NAXFuelTenderSummary">
		<xsl:param name="pumpTestNode"/>
		<xsl:param name="tLogNode"/>
		<xsl:param name="fuelNode"/>
		<xsl:for-each select="$tLogNode/lines/t:line/t:fuel">
			<xsl:variable name="gradeID" select="grade/@sysid"/>
			<xsl:variable name="MopCode" select="ancestor::lines/parent::node()/paylines/t:payline[1]/t:mop/@cat"/>
			<xsl:variable name="price" select="prc"/>
			<xsl:variable name="sl" select="number(svcLevel/@sysid)"/>
			<xsl:choose>
				<xsl:when test="generate-id(.)=generate-id($fuelNode[grade/@sysid=$gradeID and  ancestor::lines/parent::node()/paylines/t:payline[1]/t:mop[number(@cat)=number($MopCode)] and prc=$price and svcLevel/@sysid = $sl])">
					<xsl:variable name="productId" select="number(grade/@sysid)"/>
					<xsl:variable name="sellPrice" select="prc"/>
					<xsl:variable name="serLevel" select="number(svcLevel/@sysid)"/>
					<xsl:variable name="ccNameVal" select="ancestor::lines/parent::node()/paylines/t:payline/t:cardInfo/ccName"/>
					<xsl:variable name="mopCatCode" select="ancestor::lines/parent::node()/paylines/t:payline/t:mop/@cat"/>
					<xsl:variable name="creditVal" select="'creditCards'"/>
					<xsl:variable name="tendercode">
						<xsl:for-each select="$map">
							<xsl:for-each select="shortID">
								<xsl:choose>
									<xsl:when test="number($mopCatCode)=number(@cat)">
										<xsl:value-of select="@cat"/>
									</xsl:when>
								</xsl:choose>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:variable>
					<xsl:variable name="pumpTotalAmt">
						<xsl:value-of select="sum(//t:pumpTest[(paylines/t:payline[position()=1]/t:mop/@cat=$mopCatCode) and (lines/t:line/t:fuel/grade/@sysid=current()/grade/@sysid) and (lines/t:line/t:fuel/prc=current()/prc) and (lines/t:line/t:fuel/svcLevel/@sysid=current()/svcLevel/@sysid)]/lines/t:line/t:fuel/amt)"/>
					</xsl:variable>
					<xsl:variable name="pumpTotalVol">
						<xsl:value-of select="sum(//t:pumpTest[(paylines/t:payline[position()=1]/t:mop/@cat=$mopCatCode) and (lines/t:line/t:fuel/grade/@sysid=current()/grade/@sysid) and (lines/t:line/t:fuel/prc=current()/prc) and (lines/t:line/t:fuel/svcLevel/@sysid=current()/svcLevel/@sysid)]/lines/t:line/t:fuel/vol)"/>
					</xsl:variable>
					<xsl:variable name="saleTotalAmt">
						<xsl:value-of select="format-number(sum(//t:fuel[(ancestor::node()/parent::node()/paylines/t:payline[position()=1 and t:mop[number(@cat)=number($mopCatCode)] ]) and  (grade/@sysid=current()/grade/@sysid) and (prc=current()/prc) and (svcLevel/@sysid=current()/svcLevel/@sysid)]/amt), '##.##')"/>
					</xsl:variable>
					<xsl:variable name="saleTotalVol">
						<xsl:value-of select="format-number(sum(//t:fuel[(ancestor::node()/parent::node()/paylines/t:payline[position()=1 and t:mop[number(@cat)=number($mopCatCode)]]) and  (grade/@sysid=current()/grade/@sysid) and (prc=current()/prc) and (svcLevel/@sysid=current()/svcLevel/@sysid)]/vol), '##.###')"/>
					</xsl:variable>
					<xsl:if test="($saleTotalAmt !='' and $saleTotalAmt !=0.00) or ($saleTotalVol !='' and $saleTotalVol !=0.000)">
						<FGMDetail>
							<FuelGradeID>
								<xsl:value-of select="$gradeID"/>
							</FuelGradeID>
							<FGMTenderSummary>
								<xsl:choose>
									<xsl:when test="$mopCatCode!=''">
										<Tender>
											<xsl:for-each select="$map">
												<xsl:choose>
													<xsl:when test="shortID">
														<xsl:for-each select="shortID">
															<xsl:choose>
																<xsl:when test="number($mopCatCode)=number(@cat)">
																	<TenderCode>
																		<xsl:value-of select="../tender3.3/@tenderCode"/>
																	</TenderCode>
																	<TenderSubCode>
																		<xsl:value-of select="../tender3.3/@tenderSubcode"/>
																	</TenderSubCode>
																</xsl:when>
															</xsl:choose>
														</xsl:for-each>
													</xsl:when>
													<xsl:otherwise>
														<xsl:if test="default and $tendercode=''">
															<TenderCode>
																<xsl:value-of select="tender3.3/@tenderCode"/>
															</TenderCode>
															<TenderSubCode>
																<xsl:value-of select="tender3.3/@tenderSubcode"/>
															</TenderSubCode>
														</xsl:if>
													</xsl:otherwise>
												</xsl:choose>
											</xsl:for-each>
										</Tender>
									</xsl:when>
								</xsl:choose>
								<FGMSellPriceSummary>
									<ActualSalesPrice>
										<xsl:choose>
											<xsl:when test="not(prc/@currency)">
												<xsl:attribute name="currency">USD</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="currency"><xsl:value-of select="prc/@currency"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:value-of select="prc"/>
									</ActualSalesPrice>
									<xsl:for-each select="current()/svcLevel[count(. | key('serLevel_key', svcLevel/@sysid)[1])=1]">
										<xsl:if test="current()[not(@sysid = preceding-sibling::svcLevel/@sysid)]">
											<xsl:variable name="saleTotalAmtEE">
												<xsl:value-of select="sum(//t:fuel[(ancestor::lines/parent::node()/paylines/t:payline[position()=1 and t:mop[number(@cat)=number($mopCatCode)]]) and  (grade/@sysid=$productId) and (prc=$sellPrice) and (svcLevel/@sysid=current()/@sysid)]/amt)"/>
											</xsl:variable>
											<xsl:variable name="saleTotalVolEE">
												<xsl:value-of select="sum(//t:fuel[(ancestor::lines/parent::node()/paylines/t:payline[position()=1 and t:mop[number(@cat)=number($mopCatCode)]]) and  (grade/@sysid=$productId) and (prc=$sellPrice) and (svcLevel/@sysid=current()/@sysid)]/vol)"/>
											</xsl:variable>
											<xsl:if test="$saleTotalAmtEE !=0 or $saleTotalVolEE!=0">
												<xsl:variable name="MoneyUOM" select="../amt/@currency"/>
												<xsl:variable name="VolumeUOM" select="../vol/@uom"/>
												<FGMServiceLevelSummary>
													<ServiceLevelCode>
														<xsl:value-of select="@sysid"/>
													</ServiceLevelCode>
													<FGMSalesTotals>
														<FuelGradeSalesVolume>
															<xsl:choose>
																<xsl:when test="not(../vol/@uom)">
																	<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:variable name="attrValue">
																		<xsl:for-each select="$mapMoney/pair">
																			<xsl:choose>
																				<xsl:when test="$VolumeUOM=volumeUOM/@value">
																					<xsl:value-of select="volume3.3/@value"/>
																				</xsl:when>
																			</xsl:choose>
																		</xsl:for-each>
																	</xsl:variable>
																	<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$VolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:choose>
																<xsl:when test="$saleTotalVolEE !=0 or format-number($saleTotalVolEE, '#0.000')!=0.000 or format-number($saleTotalVolEE, '#0.000')!=''">
																	<xsl:value-of select="format-number($saleTotalVolEE, '#0.000')"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:text>0.0</xsl:text>
																</xsl:otherwise>
															</xsl:choose>
														</FuelGradeSalesVolume>
														<FuelGradeSalesAmount>
															<xsl:choose>
																<xsl:when test="not(../amt/@currency)">
																	<xsl:attribute name="currency">USD</xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:variable name="attrValue">
																		<xsl:for-each select="$mapMoney/pair">
																			<xsl:choose>
																				<xsl:when test="$MoneyUOM=currency/@value">
																					<xsl:value-of select="currency3.3/@value"/>
																				</xsl:when>
																			</xsl:choose>
																		</xsl:for-each>
																	</xsl:variable>
																	<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$MoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:choose>
																<xsl:when test="$saleTotalAmtEE !=0 or format-number($saleTotalAmtEE, '#0.00')!=0.00 or format-number($saleTotalAmtEE, '#0.00')!=''">
																	<xsl:value-of select="format-number($saleTotalAmtEE, '#0.00')"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:text>0.0</xsl:text>
																</xsl:otherwise>
															</xsl:choose>
														</FuelGradeSalesAmount>
														<xsl:if test="$pumpTotalAmt != 0 or $pumpTotalVol != 0">
															<xsl:variable name="PMoneyUOM" select="$pumpTestNode/lines/t:line/t:fuel/amt/@currency"/>
															<PumpTestTotals>
																<xsl:choose>
																	<xsl:when test="$pumpTotalAmt != 0">
																		<PumpTestAmount>
																			<xsl:choose>
																				<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/amt/@currency)">
																					<xsl:attribute name="currency">USD</xsl:attribute>
																				</xsl:when>
																				<xsl:otherwise>
																					<xsl:variable name="attrValue">
																						<xsl:for-each select="$mapMoney/pair">
																							<xsl:choose>
																								<xsl:when test="$PMoneyUOM=currency/@value">
																									<xsl:value-of select="currency3.3/@value"/>
																								</xsl:when>
																							</xsl:choose>
																						</xsl:for-each>
																					</xsl:variable>
																					<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PMoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																				</xsl:otherwise>
																			</xsl:choose>
																			<xsl:value-of select="format-number($pumpTotalAmt, '#0.00')"/>
																		</PumpTestAmount>
																	</xsl:when>
																</xsl:choose>
																<xsl:choose>
																	<xsl:when test="$pumpTotalVol != 0">
																		<xsl:variable name="PVolumeUOM" select="$pumpTestNode/lines/t:line/t:fuel/vol/@uom"/>
																		<PumpTestVolume>
																			<xsl:choose>
																				<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/vol/@uom)">
																					<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
																				</xsl:when>
																				<xsl:otherwise>
																					<xsl:variable name="attrValue">
																						<xsl:for-each select="$mapMoney/pair">
																							<xsl:choose>
																								<xsl:when test="$PVolumeUOM=volumeUOM/@value">
																									<xsl:value-of select="volume3.3/@value"/>
																								</xsl:when>
																							</xsl:choose>
																						</xsl:for-each>
																					</xsl:variable>
																					<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PVolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																				</xsl:otherwise>
																			</xsl:choose>
																			<xsl:value-of select="format-number($pumpTotalVol, '#0.000')"/>
																		</PumpTestVolume>
																	</xsl:when>
																</xsl:choose>
															</PumpTestTotals>
														</xsl:if>
													</FGMSalesTotals>
												</FGMServiceLevelSummary>
											</xsl:if>
										</xsl:if>
									</xsl:for-each>
								</FGMSellPriceSummary>
							</FGMTenderSummary>
						</FGMDetail>
					</xsl:if>
				</xsl:when>
				<xsl:when test="generate-id(.)=generate-id($fuelNode[grade/@sysid=$gradeID and  ancestor::lines/parent::node()[not(paylines)] and prc=$price and svcLevel/@sysid = $sl])">
					<xsl:variable name="productId" select="number(grade/@sysid)"/>
					<xsl:variable name="sellPrice" select="prc"/>
					<xsl:variable name="serLevel" select="number(svcLevel/@sysid)"/>
					<xsl:variable name="ccNameVal" select="ancestor::lines/parent::node()/paylines/t:payline/t:cardInfo/ccName"/>
					<xsl:variable name="mopCatCode" select="ancestor::lines/parent::node()/paylines/t:payline/t:mop/@cat"/>
					<xsl:variable name="creditVal" select="'creditCards'"/>
					<xsl:variable name="tendercode">
						<xsl:for-each select="$map">
							<xsl:for-each select="shortID">
								<xsl:choose>
									<xsl:when test="number($mopCatCode)=number(@cat)">
										<xsl:value-of select="@cat"/>
									</xsl:when>
								</xsl:choose>
							</xsl:for-each>
						</xsl:for-each>
					</xsl:variable>
					<xsl:variable name="pumpTotalAmt">
						<xsl:value-of select="sum(//t:pumpTest[(paylines/t:payline[position()=1]/t:mop/@cat=$mopCatCode) and (lines/t:line/t:fuel/grade/@sysid=current()/grade/@sysid) and (lines/t:line/t:fuel/prc=current()/prc) and (lines/t:line/t:fuel/svcLevel/@sysid=current()/svcLevel/@sysid)]/lines/t:line/t:fuel/amt)"/>
					</xsl:variable>
					<xsl:variable name="pumpTotalVol">
						<xsl:value-of select="sum(//t:pumpTest[(paylines/t:payline[position()=1]/t:mop/@cat=$mopCatCode) and (lines/t:line/t:fuel/grade/@sysid=current()/grade/@sysid) and (lines/t:line/t:fuel/prc=current()/prc) and (lines/t:line/t:fuel/svcLevel/@sysid=current()/svcLevel/@sysid)]/lines/t:line/t:fuel/vol)"/>
					</xsl:variable>
					<xsl:variable name="saleTotalAmt">
						<xsl:value-of select="format-number(sum(//t:fuel[(ancestor::node()/parent::node()[not(paylines)]) and  (grade/@sysid=current()/grade/@sysid) and (prc=current()/prc) and (svcLevel/@sysid=current()/svcLevel/@sysid)]/amt), '##.##')"/>
					</xsl:variable>
					<xsl:variable name="saleTotalVol">
						<xsl:value-of select="format-number(sum(//t:fuel[(ancestor::node()/parent::node()[not(paylines)]) and  (grade/@sysid=current()/grade/@sysid) and (prc=current()/prc) and (svcLevel/@sysid=current()/svcLevel/@sysid)]/vol), '##.###')"/>
					</xsl:variable>
					<xsl:if test="($saleTotalAmt !='' and $saleTotalAmt !=0.00) or ($saleTotalVol !='' and $saleTotalVol !=0.000)">
						<FGMDetail>
							<FuelGradeID>
								<xsl:value-of select="$gradeID"/>
							</FuelGradeID>
							<FGMTenderSummary>
								<Tender>
									<TenderCode>
										<xsl:value-of select="'generic'"/>
									</TenderCode>
									<TenderSubCode>
										<xsl:value-of select="'generic'"/>
									</TenderSubCode>
								</Tender>
								<FGMSellPriceSummary>
									<ActualSalesPrice>
										<xsl:choose>
											<xsl:when test="not(prc/@currency)">
												<xsl:attribute name="currency">USD</xsl:attribute>
											</xsl:when>
											<xsl:otherwise>
												<xsl:attribute name="currency"><xsl:value-of select="prc/@currency"/></xsl:attribute>
											</xsl:otherwise>
										</xsl:choose>
										<xsl:value-of select="prc"/>
									</ActualSalesPrice>
									<xsl:for-each select="current()/svcLevel[count(. | key('serLevel_key', svcLevel/@sysid)[1])=1]">
										<xsl:if test="current()[not(@sysid = preceding-sibling::svcLevel/@sysid)]">
											<xsl:variable name="saleTotalAmtEE">
												
												<xsl:value-of select="sum(//t:fuel[(ancestor::lines/parent::node()[not(paylines)]) and  (grade/@sysid=$productId) and (prc=$sellPrice) and (svcLevel/@sysid=current()/@sysid)]/amt)"/>
											</xsl:variable>
											<xsl:variable name="saleTotalVolEE">
												<xsl:value-of select="sum(//t:fuel[(ancestor::lines/parent::node()[not(paylines)]) and  (grade/@sysid=$productId) and (prc=$sellPrice) and (svcLevel/@sysid=current()/@sysid)]/vol)"/>
											</xsl:variable>
											<xsl:if test="$saleTotalAmtEE !=0 or $saleTotalVolEE!=0">
												<xsl:variable name="MoneyUOM" select="../amt/@currency"/>
												<xsl:variable name="VolumeUOM" select="../vol/@uom"/>
												<FGMServiceLevelSummary>
													<ServiceLevelCode>
														<xsl:value-of select="@sysid"/>
													</ServiceLevelCode>
													<FGMSalesTotals>
														<FuelGradeSalesVolume>
															<xsl:choose>
																<xsl:when test="not(../vol/@uom)">
																	<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:variable name="attrValue">
																		<xsl:for-each select="$mapMoney/pair">
																			<xsl:choose>
																				<xsl:when test="$VolumeUOM=volumeUOM/@value">
																					<xsl:value-of select="volume3.3/@value"/>
																				</xsl:when>
																			</xsl:choose>
																		</xsl:for-each>
																	</xsl:variable>
																	<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$VolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:choose>
																<xsl:when test="$saleTotalVolEE !=0 or format-number($saleTotalVolEE, '#0.000')!=0.000 or format-number($saleTotalVolEE, '#0.000')!=''">
																	<xsl:value-of select="format-number($saleTotalVolEE, '#0.000')"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:text>0.0</xsl:text>
																</xsl:otherwise>
															</xsl:choose>
														</FuelGradeSalesVolume>
														<FuelGradeSalesAmount>
															<xsl:choose>
																<xsl:when test="not(../amt/@currency)">
																	<xsl:attribute name="currency">USD</xsl:attribute>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:variable name="attrValue">
																		<xsl:for-each select="$mapMoney/pair">
																			<xsl:choose>
																				<xsl:when test="$MoneyUOM=currency/@value">
																					<xsl:value-of select="currency3.3/@value"/>
																				</xsl:when>
																			</xsl:choose>
																		</xsl:for-each>
																	</xsl:variable>
																	<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$MoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																</xsl:otherwise>
															</xsl:choose>
															<xsl:choose>
																<xsl:when test="$saleTotalAmtEE !=0 or format-number($saleTotalAmtEE, '#0.00')!=0.00 or format-number($saleTotalAmtEE, '#0.00')!=''">
																	<xsl:value-of select="format-number($saleTotalAmtEE, '#0.00')"/>
																</xsl:when>
																<xsl:otherwise>
																	<xsl:text>0.0</xsl:text>
																</xsl:otherwise>
															</xsl:choose>
														</FuelGradeSalesAmount>
														<xsl:if test="$pumpTotalAmt != 0 or $pumpTotalVol != 0">
															<xsl:variable name="PMoneyUOM" select="$pumpTestNode/lines/t:line/t:fuel/amt/@currency"/>
															<PumpTestTotals>
																<xsl:choose>
																	<xsl:when test="$pumpTotalAmt != 0">
																		<PumpTestAmount>
																			<xsl:choose>
																				<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/amt/@currency)">
																					<xsl:attribute name="currency">USD</xsl:attribute>
																				</xsl:when>
																				<xsl:otherwise>
																					<xsl:variable name="attrValue">
																						<xsl:for-each select="$mapMoney/pair">
																							<xsl:choose>
																								<xsl:when test="$PMoneyUOM=currency/@value">
																									<xsl:value-of select="currency3.3/@value"/>
																								</xsl:when>
																							</xsl:choose>
																						</xsl:for-each>
																					</xsl:variable>
																					<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PMoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																				</xsl:otherwise>
																			</xsl:choose>
																			<xsl:value-of select="format-number($pumpTotalAmt, '#0.00')"/>
																		</PumpTestAmount>
																	</xsl:when>
																</xsl:choose>
																<xsl:choose>
																	<xsl:when test="$pumpTotalVol != 0">
																		<xsl:variable name="PVolumeUOM" select="$pumpTestNode/lines/t:line/t:fuel/vol/@uom"/>
																		<PumpTestVolume>
																			<xsl:choose>
																				<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/vol/@uom)">
																					<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
																				</xsl:when>
																				<xsl:otherwise>
																					<xsl:variable name="attrValue">
																						<xsl:for-each select="$mapMoney/pair">
																							<xsl:choose>
																								<xsl:when test="$PVolumeUOM=volumeUOM/@value">
																									<xsl:value-of select="volume3.3/@value"/>
																								</xsl:when>
																							</xsl:choose>
																						</xsl:for-each>
																					</xsl:variable>
																					<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PVolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
																				</xsl:otherwise>
																			</xsl:choose>
																			<xsl:value-of select="format-number($pumpTotalVol, '#0.000')"/>
																		</PumpTestVolume>
																	</xsl:when>
																</xsl:choose>
															</PumpTestTotals>
														</xsl:if>
													</FGMSalesTotals>
												</FGMServiceLevelSummary>
											</xsl:if>
										</xsl:if>
									</xsl:for-each>
								</FGMSellPriceSummary>
							</FGMTenderSummary>
						</FGMDetail>
					</xsl:if>
				</xsl:when>
				<xsl:otherwise/>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="NAXHeaderDisp">
		<xsl:variable name="tLogNode" select="."/>
		<xsl:variable name="VFIperiodType" select="$tLogNode/t:hdr/vs:period/@periodType"/>
		<MovementHeader>
			<ReportSequenceNumber>
				<xsl:value-of select="$tLogNode/t:hdr/seq"/>
			</ReportSequenceNumber>
			<PrimaryReportPeriod>
				<xsl:choose>
					<xsl:when test="not($tLogNode/t:hdr/vs:period/@periodType)">
						<xsl:attribute name="interval">other</xsl:attribute>
					</xsl:when>
					<xsl:when test="$tLogNode/t:hdr/vs:period/@periodType =''">
						<xsl:attribute name="interval">other</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:variable name="attrValue">
							<xsl:for-each select="$mapPeriod/pair">
								<xsl:choose>
									<xsl:when test="$VFIperiodType=vfiPeriod/@value">
										<xsl:value-of select="period3.3/@value"/>
									</xsl:when>
								</xsl:choose>
							</xsl:for-each>
						</xsl:variable>
						<xsl:attribute name="interval"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$VFIperiodType"/></xsl:otherwise></xsl:choose></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:value-of select="$tLogNode/t:hdr/vs:period/@sysid"/>
			</PrimaryReportPeriod>
			<SecondaryReportPeriod>
				<xsl:value-of select="$tLogNode/t:hdr/seq"/>
			</SecondaryReportPeriod>
			<BeginDate>
				<xsl:value-of select="substring-before($tLogNode/t:hdr/startDateTime,'T')"/>
			</BeginDate>
			<BeginTime>
				<xsl:value-of select="substring($tLogNode/t:hdr/startDateTime,12,8)"/>
			</BeginTime>
			<EndDate>
				<xsl:value-of select="substring-before($tLogNode/t:hdr/endDateTime,'T')"/>
			</EndDate>
			<EndTime>
				<xsl:value-of select="substring($tLogNode/t:hdr/endDateTime,12,8)"/>
			</EndTime>
		</MovementHeader>
	</xsl:template>
	
	<xsl:template name="NAXDispFuelPositionSummary">
		<xsl:param name="pumpTestNode"/>
		<xsl:param name="tLogNode"/>
		<xsl:param name="fuelNode"/>
		<xsl:variable name="emptyValue" select="'0.0'"/>
		<xsl:for-each select="$tLogNode/lines/t:line/t:fuel">
			<xsl:variable name="gradeID" select="grade/@sysid"/>
			<xsl:variable name="position" select="pos"/>
			<xsl:if test="generate-id(.)=generate-id($fuelNode[grade/@sysid=$gradeID and  pos=$position])">
				<xsl:variable name="lngProductID">
					<xsl:value-of select="number(grade/@sysid)"/>
				</xsl:variable>
				<xsl:variable name="lngPos">
					<xsl:value-of select="number(pos)"/>
				</xsl:variable>
				<xsl:variable name="saleAmt">
					<xsl:value-of select="format-number(sum(//t:fuel[(grade/@sysid=$lngProductID and pos=$lngPos)]/amt), '#0.00')"/>
				</xsl:variable>
				<xsl:variable name="saleVol">
					<xsl:value-of select="format-number(sum(//t:fuel[(grade/@sysid=$lngProductID and pos=$lngPos)]/vol), '#0.000')"/>
				</xsl:variable>
				<xsl:variable name="pumpTestAmt">
					<xsl:value-of select="sum(//t:pumpTest[(lines/t:line/t:fuel/grade/@sysid=$lngProductID and lines/t:line/t:fuel/pos=$lngPos)]/lines/t:line/t:fuel/amt)"/>
				</xsl:variable>
				<xsl:variable name="pumpTestVol">
					<xsl:value-of select="sum(//t:pumpTest[(lines/t:line/t:fuel/grade/@sysid=$lngProductID and lines/t:line/t:fuel/pos=$lngPos)]/lines/t:line/t:fuel/vol)"/>
				</xsl:variable>
				<xsl:if test="($saleAmt !='' and $saleAmt !=0.00) or ($saleVol !='' and $saleVol !=0.000)">
					<xsl:variable name="MoneyUOM" select="amt/@currency"/>
					<xsl:variable name="VolumeUOM" select="vol/@uom"/>
					<FGMDetail>
						<FuelGradeID>
							<xsl:value-of select="grade/@sysid"/>
						</FuelGradeID>
						<FGMPositionSummary>
							<FuelPositionID>
								<xsl:value-of select="pos"/>
							</FuelPositionID>
							<FGMSalesTotals>
								<FuelGradeSalesVolume>
									<xsl:choose>
										<xsl:when test="not(vol/@uom)">
											<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="attrValue">
												<xsl:for-each select="$mapVol/pair">
													<xsl:choose>
														<xsl:when test="$VolumeUOM=volumeUOM/@value">
															<xsl:value-of select="volume3.3/@value"/>
														</xsl:when>
													</xsl:choose>
												</xsl:for-each>
											</xsl:variable>
											<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$VolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
										<xsl:when test="$saleVol !=0 or format-number($saleVol, '#0.000')!=0.000 or format-number($saleVol, '#0.000')!=''">
											<xsl:value-of select="$saleVol"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>0.0</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</FuelGradeSalesVolume>
								<FuelGradeSalesAmount>
									<xsl:choose>
										<xsl:when test="not(amt/@currency)">
											<xsl:attribute name="currency">USD</xsl:attribute>
										</xsl:when>
										<xsl:otherwise>
											<xsl:variable name="attrValue">
												<xsl:for-each select="$mapMoney/pair">
													<xsl:choose>
														<xsl:when test="$MoneyUOM=currency/@value">
															<xsl:value-of select="currency3.3/@value"/>
														</xsl:when>
													</xsl:choose>
												</xsl:for-each>
											</xsl:variable>
											<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$MoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
										</xsl:otherwise>
									</xsl:choose>
									<xsl:choose>
										<xsl:when test="$saleAmt !=0 or format-number($saleAmt, '#0.00')!=0.00 or format-number($saleAmt, '#0.00')!=''">
											<xsl:value-of select="$saleAmt"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:text>0.0</xsl:text>
										</xsl:otherwise>
									</xsl:choose>
								</FuelGradeSalesAmount>
								<xsl:if test=" $pumpTestAmt != 0 or $pumpTestAmt!= 0">
									<PumpTestTotals>
										<xsl:if test="$pumpTestNode/lines/t:line/t:fuel">
											<xsl:if test="$pumpTestAmt != 0">
												<xsl:variable name="PMoneyUOM" select="$pumpTestNode/lines/t:line/t:fuel/amt/@currency"/>
												<PumpTestAmount>
													<xsl:choose>
														<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/amt/@currency)">
															<xsl:attribute name="currency">USD</xsl:attribute>
														</xsl:when>
														<xsl:otherwise>
															<xsl:variable name="attrValue">
																<xsl:for-each select="$mapMoney/pair">
																	<xsl:choose>
																		<xsl:when test="$PMoneyUOM=currency/@value">
																			<xsl:value-of select="currency3.3/@value"/>
																		</xsl:when>
																	</xsl:choose>
																</xsl:for-each>
															</xsl:variable>
															<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PMoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:value-of select="format-number($pumpTestAmt, '#0.00')"/>
												</PumpTestAmount>
											</xsl:if>
											<xsl:if test="sum($pumpTestNode/lines/t:line/t:fuel/vol) != 0">
												<xsl:variable name="PVolumeUOM" select="$pumpTestNode/lines/t:line/t:fuel/vol/@uom"/>
												<PumpTestVolume>
													<xsl:choose>
														<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/vol/@uom)">
															<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
														</xsl:when>
														<xsl:otherwise>
															<xsl:variable name="attrValue">
																<xsl:for-each select="$mapMoney/pair">
																	<xsl:choose>
																		<xsl:when test="$PVolumeUOM=volumeUOM/@value">
																			<xsl:value-of select="volume3.3/@value"/>
																		</xsl:when>
																	</xsl:choose>
																</xsl:for-each>
															</xsl:variable>
															<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PVolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
														</xsl:otherwise>
													</xsl:choose>
													<xsl:value-of select="format-number($pumpTestVol, '#0.000')"/>
												</PumpTestVolume>
											</xsl:if>
										</xsl:if>
									</PumpTestTotals>
								</xsl:if>
							</FGMSalesTotals>
						</FGMPositionSummary>
					</FGMDetail>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template name="NAXDispFgmSalesTotal">
		<xsl:param name="tLogNode"/>
		<xsl:param name="pumpTestNode"/>
		<xsl:param name="fuelNode"/>
		<xsl:variable name="product" select="number($pumpTestNode/lines/t:line/t:fuel/grade/@sysid)"/>
		<xsl:variable name="sellPrice" select="number($pumpTestNode/lines/t:line/t:fuel/prc)"/>
		<xsl:variable name="serLevel" select="number($pumpTestNode/lines/t:line/t:fuel/svcLevel/@sysid)"/>
		<xsl:variable name="posn" select="number($pumpTestNode/lines/t:line/t:fuel/pos)"/>
		<xsl:variable name="emptyValue" select="0.0"/>
		<xsl:for-each select="$tLogNode/lines/t:line/t:fuel">
			<xsl:variable name="gradeID" select="grade/@sysid"/>
			<xsl:variable name="position" select="pos"/>
			<xsl:if test="generate-id(.)=generate-id($fuelNode[grade/@sysid=$gradeID])">
				<xsl:variable name="lngProductID">
					<xsl:value-of select="number(grade/@sysid)"/>
				</xsl:variable>
				<xsl:variable name="lngPos">
					<xsl:value-of select="number(pos)"/>
				</xsl:variable>
				<xsl:variable name="fstTradeID" select="//t:fuel[grade/@sysid=$lngProductID]"/>
				<xsl:variable name="saleAmt" select="format-number(sum(//t:fuel[grade/@sysid=$lngProductID]/amt), '#0.00')"/>
				<xsl:variable name="saleVol" select="format-number(sum(//t:fuel[grade/@sysid=$lngProductID]/vol), '#0.000')"/>
				<xsl:variable name="fstPos" select="//t:fuel[pos=$lngPos]"/>
				<xsl:variable name="pumpTestAmt">
					<xsl:value-of select="sum(//t:pumpTest[(lines/t:line/t:fuel/grade/@sysid=$lngProductID)]/lines/t:line/t:fuel/amt)"/>
				</xsl:variable>
				<xsl:variable name="pumpTestVol">
					<xsl:value-of select="sum(//t:pumpTest[(lines/t:line/t:fuel/grade/@sysid=$lngProductID)]/lines/t:line/t:fuel/vol)"/>
				</xsl:variable>
				<xsl:if test="($saleAmt !='' and $saleAmt !=0.00) or ($saleVol !='' and $saleVol=0.000)">
					<xsl:variable name="MoneyUOM" select="amt/@currency"/>
					<xsl:variable name="VolumeUOM" select="vol/@uom"/>
					<FGMDetail>
						<FuelGradeID>
							<xsl:value-of select="grade/@sysid"/>
						</FuelGradeID>
						<FGMSalesTotals>
							<FuelGradeSalesVolume>
								<xsl:choose>
									<xsl:when test="not(vol/@uom)">
										<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:variable name="attrValue">
											<xsl:for-each select="$mapMoney/pair">
												<xsl:choose>
													<xsl:when test="$VolumeUOM=volumeUOM/@value">
														<xsl:value-of select="volume3.3/@value"/>
													</xsl:when>
												</xsl:choose>
											</xsl:for-each>
										</xsl:variable>
										<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$VolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="$saleVol !=0 or format-number($saleVol, '#0.000')!=0.000 or format-number($saleVol, '#0.000')!=''">
										<xsl:value-of select="$saleVol"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>0.0</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</FuelGradeSalesVolume>
							<FuelGradeSalesAmount>
								<xsl:choose>
									<xsl:when test="not(amt/@currency)">
										<xsl:attribute name="currency">USD</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:variable name="attrValue">
											<xsl:for-each select="$mapMoney/pair">
												<xsl:choose>
													<xsl:when test="$MoneyUOM=currency/@value">
														<xsl:value-of select="currency3.3/@value"/>
													</xsl:when>
												</xsl:choose>
											</xsl:for-each>
										</xsl:variable>
										<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$MoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:choose>
									<xsl:when test="$saleAmt !=0 or format-number($saleAmt, '#0.00')!=0.00 or format-number($saleAmt, '#0.00')!=''">
										<xsl:value-of select="$saleAmt"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:text>0.0</xsl:text>
									</xsl:otherwise>
								</xsl:choose>
							</FuelGradeSalesAmount>
							<xsl:if test="$pumpTestAmt != 0 or $pumpTestVol != 0 ">
								<PumpTestTotals>
									<xsl:if test="$pumpTestNode/lines/t:line/t:fuel">
										<xsl:if test="$pumpTestAmt != 0">
											<xsl:variable name="PMoneyUOM" select="$pumpTestNode/lines/t:line/t:fuel/amt/@currency"/>
											<PumpTestAmount>
												<xsl:choose>
													<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/amt/@currency)">
														<xsl:attribute name="currency">USD</xsl:attribute>
													</xsl:when>
													<xsl:otherwise>
														<xsl:variable name="attrValue">
															<xsl:for-each select="$mapMoney/pair">
																<xsl:choose>
																	<xsl:when test="$PMoneyUOM=currency/@value">
																		<xsl:value-of select="currency3.3/@value"/>
																	</xsl:when>
																</xsl:choose>
															</xsl:for-each>
														</xsl:variable>
														<xsl:attribute name="currency"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PMoneyUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:value-of select="format-number($pumpTestAmt, '#0.00')"/>
											</PumpTestAmount>
										</xsl:if>
										<xsl:if test="$pumpTestVol != 0">
											<xsl:variable name="PVolumeUOM" select="$pumpTestNode/lines/t:line/t:fuel/vol/@uom"/>
											<PumpTestVolume>
												<xsl:choose>
													<xsl:when test="not($pumpTestNode/lines/t:line/t:fuel/vol/@uom)">
														<xsl:attribute name="uom"><xsl:value-of select="$ns:UOM"/></xsl:attribute>
													</xsl:when>
													<xsl:otherwise>
														<xsl:variable name="attrValue">
															<xsl:for-each select="$mapMoney/pair">
																<xsl:choose>
																	<xsl:when test="$PVolumeUOM=volumeUOM/@value">
																		<xsl:value-of select="volume3.3/@value"/>
																	</xsl:when>
																</xsl:choose>
															</xsl:for-each>
														</xsl:variable>
														<xsl:attribute name="uom"><xsl:choose><xsl:when test="$attrValue!=''"><xsl:value-of select="$attrValue"/></xsl:when><xsl:otherwise><xsl:value-of select="$PVolumeUOM"/></xsl:otherwise></xsl:choose></xsl:attribute>
													</xsl:otherwise>
												</xsl:choose>
												<xsl:value-of select="format-number($pumpTestVol, '#0.000')"/>
											</PumpTestVolume>
										</xsl:if>
									</xsl:if>
								</PumpTestTotals>
							</xsl:if>
						</FGMSalesTotals>
					</FGMDetail>
				</xsl:if>
			</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>