<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:naxml="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:ext="http://xml.apache.org/xalan" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/MSMovementGrouping" version="1.0" exclude-result-prefixes="xsl ext ns naxml">
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:apply-templates select="ext:nodeset($inputDoc)" mode="ns:msm2"/>
	</xsl:template>
	
	
	<xsl:template match="/" mode="ns:msm2">	
		<xsl:choose>
			<xsl:when test="count(naxml:NAXML-MovementReport) = 0">
				<xsl:copy>
					<xsl:copy-of select="*"/>
				</xsl:copy>
			</xsl:when>
			<xsl:otherwise>
				<NAXML-MovementReport>
					<xsl:attribute name="version"><xsl:text>3.4</xsl:text></xsl:attribute>
					<xsl:copy-of select="naxml:NAXML-MovementReport/naxml:TransmissionHeader"/>		
					<xsl:call-template name="NAXSorter"/>
				</NAXML-MovementReport>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
		
		
	<xsl:template name="NAXSorter">
		<xsl:variable name="MSMOrgNode" select="."/>
		<xsl:variable name="MSMElementNodes" select="//naxml:MiscellaneousSummaryMovement"/>

		<xsl:call-template name="groupWithoutSalesHeader">
			<xsl:with-param name="MSMElementNodes" select="$MSMElementNodes"/>
			<xsl:with-param name="MSMOrgNode" select="$MSMOrgNode"/>
		</xsl:call-template>	
			
		<xsl:variable name="SalesMoveList">
			<xsl:call-template name="ns:getSalesMovementList">
					<xsl:with-param name="MSMElementNodes" select="$MSMElementNodes"/>
			</xsl:call-template>
		</xsl:variable>
		
		
		
		<xsl:call-template name="groupWithSalesMovementHeader">
			<xsl:with-param name="MSMElementNodes" select="$MSMElementNodes"/>
			<xsl:with-param name="SalesMoveList" select="$SalesMoveList"/>
		</xsl:call-template>
	</xsl:template>
	
	
	
	<xsl:template name="groupWithSalesMovementHeader">
		<xsl:param name="MSMElementNodes"/>
		<xsl:param name="SalesMoveList"/>

		<xsl:for-each select="ext:nodeset($SalesMoveList)/naxml:SalesMovementHeader">
			<MiscellaneousSummaryMovement>			
					
				<xsl:copy-of select="$MSMElementNodes[1]/naxml:MovementHeader"/>
				
				
				<xsl:copy-of select="."/>		
				
				<xsl:variable name="Reg_ID">
					<xsl:value-of select="current()/naxml:RegisterID"/>
				</xsl:variable>
				
				<xsl:variable name="Cashier_ID">
					<xsl:value-of select="current()/naxml:CashierID"/>
				</xsl:variable>
				
				<xsl:variable name="Till_ID">
					<xsl:value-of select="current()/naxml:TillID"/>
				</xsl:variable>

				<xsl:for-each select="$MSMElementNodes[naxml:SalesMovementHeader/naxml:CashierID = $Cashier_ID and naxml:SalesMovementHeader/naxml:RegisterID = $Reg_ID and naxml:SalesMovementHeader/naxml:TillID = $Till_ID]">
					<xsl:copy-of select="naxml:MSMDetail"/>		
				</xsl:for-each>
			</MiscellaneousSummaryMovement>
			
		</xsl:for-each>	
	</xsl:template>
	
	
	<xsl:template name="groupWithoutSalesHeader">
		<xsl:param name="MSMElementNodes"/>
		<xsl:param name="MSMOrgNode"/>
		<MiscellaneousSummaryMovement>			
				
			<xsl:copy-of select="$MSMElementNodes[1]/naxml:MovementHeader"/>
			
			<xsl:for-each select="$MSMElementNodes">
					<xsl:if test="(not(current()/naxml:SalesMovementHeader))">
						<xsl:copy-of select="current()/naxml:MSMDetail"/>		
					</xsl:if>	
			</xsl:for-each>
		</MiscellaneousSummaryMovement>
	</xsl:template>
	
	
	<xsl:template name="ns:getSalesMovementList">
		<xsl:param name="MSMElementNodes"/>
		<xsl:variable name="sortedList">
			<xsl:for-each select="$MSMElementNodes/naxml:SalesMovementHeader">
				<xsl:sort data-type="number" order="ascending" select="naxml:RegisterID"/>
				<xsl:sort data-type="number" order="ascending" select="naxml:CashierID"/>
				<xsl:sort data-type="number" order="ascending" select="naxml:TillID"/>
				<xsl:copy-of select="."/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:copy-of select="ext:nodeset($sortedList)/naxml:SalesMovementHeader[ not(naxml:RegisterID = preceding-sibling::naxml:SalesMovementHeader[1]/naxml:RegisterID)         or         ( naxml:RegisterID = preceding-sibling::naxml:SalesMovementHeader[1]/naxml:RegisterID and naxml:CashierID != preceding-sibling::naxml:SalesMovementHeader[1]/naxml:CashierID )  or   ( naxml:RegisterID = preceding-sibling::naxml:SalesMovementHeader[1]/naxml:RegisterID and naxml:CashierID = preceding-sibling::naxml:SalesMovementHeader[1]/naxml:CashierID and  naxml:TillID != preceding-sibling::naxml:SalesMovementHeader[1]/naxml:TillID)  ]"/>
	</xsl:template>
</xsl:stylesheet>