<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.4/tlog2naxml-mwsAbstract" xmlns:nsl="http://verifone.com/isd/vfit/tlog/naxml3.4/tlog2naxml-mwsAbstract.1" xmlns:lib="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-lib" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vfi="urn:vfi-sapphire:np.naxmlext.2005-06-24" version="1.0" exclude-result-prefixes="xsl msxsl ns nsl lib">
	<xsl:import href="../naxml3.3/tlog2naxml-lib.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:template name="ns:elem-OtherEvent.mwsEvent-Detail">
		<xsl:param name="trans"/>
		<xsl:element name="nax:OtherEvent">
			<xsl:call-template name="nsl:group-OtherEvent">
				<xsl:with-param name="trans" select="$trans"/>
			</xsl:call-template>
			<xsl:element name="nax:DayDetail">
				<xsl:attribute name="detailType"><xsl:text>audit</xsl:text></xsl:attribute>
			</xsl:element>
			<xsl:element name="nax:Extension">
				<xsl:apply-templates select="$trans" mode="ns:convertNamespace"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	
	<xsl:template name="nsl:group-OtherEvent">
		<xsl:param name="trans"/>
		
		<xsl:element name="nax:EventSequenceID">
			<xsl:value-of select="position()"/>
		</xsl:element>
		
		
		<xsl:element name="nax:TransactionID">
		</xsl:element>
		
		<xsl:element name="nax:TrainingModeFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		<xsl:element name="nax:CashierID">
			
			<xsl:choose>
				<xsl:when test="$trans/t:cashier/@number">
					<xsl:value-of select="$trans/t:cashier/@number"/>				
				</xsl:when>
				<xsl:when test="$trans/t:cashier/@sysid">
					<xsl:value-of select="$trans/t:cashier/@sysid"/>
				</xsl:when>
				
				<xsl:otherwise>
					<xsl:value-of select="0"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:element>
		<xsl:element name="nax:RegisterID">
			<xsl:value-of select="$trans/hdr/t:register/@sysid"/>
		</xsl:element>
		<xsl:element name="nax:TillID">
			<xsl:value-of select="$trans/hdr/t:register/@till"/>
		</xsl:element>
		

		<xsl:call-template name="lib:create-eventDates">
			<xsl:with-param name="trans" select="msxsl:node-set($trans)"/>
		</xsl:call-template>
		
		
		<xsl:element name="nax:OfflineFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:element name="nax:SuspendFlag">
			<xsl:attribute name="value"><xsl:text>no</xsl:text></xsl:attribute>
		</xsl:element>
		
		<xsl:if test="false()">
			<xsl:element name="nax:StoreHierarchyID">
			</xsl:element>
		</xsl:if>
	</xsl:template>

	<xsl:template match="* | @* | text()" mode="ns:convertNamespace">
		<xsl:choose>
		
			<xsl:when test="local-name() = 'managerWSEvent'">
				<xsl:apply-templates select="* | @* | text()" mode="ns:convertNamespace"/>
			</xsl:when>
			
			<xsl:when test="     local-name() = 'correctionCSRPeriodInfo' or      local-name() = 'adjustmentCSRPeriodInfo' or      local-name() = 'verifiedCSRperiodInfo' or     local-name() = 'mgrReviewAction' or     local-name() = 'mgrAcceptAction' or     local-name() = 'mgrFinalizeAction'    ">
				<xsl:variable name="lname" select="local-name()"/>
				<xsl:element name="vfi:{$lname}">
					<xsl:apply-templates select="* | @* | text()" mode="ns:convertNamespace-1"/>
				</xsl:element>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="hdr | t:cashier" mode="ns:convertNamespace"/>

	<xsl:template match="*" mode="ns:convertNamespace-1">
		<xsl:variable name="lname" select="local-name()"/>
		<xsl:element name="vfi:{$lname}">
				<xsl:apply-templates select="* | @* | text()" mode="ns:convertNamespace-1"/>
		</xsl:element>
	</xsl:template>
	
	<xsl:template match="@* | text()" mode="ns:convertNamespace-1">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:convertNamespace-1"/>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>