<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:js="javascript:code-transactionSet-scripts" xmlns:dts="javascript:code-transactionSet-dateTimeScripts" xmlns:ns="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml" xmlns:csh="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-cashierAbstract" xmlns:clk="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-clock" xmlns:event="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-eventAbstract" xmlns:sale="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-saleAbstract" xmlns:till="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-tillTransactionAbstract" xmlns:lib="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml-lib" xmlns:mws="http://verifone.com/isd/vfit/tlog/naxml3.4/tlog2naxml-mwsAbstract" xmlns:tlog="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml.1" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" version="1.0" exclude-result-prefixes="xsl msxsl js dts ns csh clk event sale till lib tlog t vs mws">
	
	<xsl:import href="../../transactionSet/scripts.xslt"/>
	<xsl:import href="../../transactionSet/dateTimeScripts.xslt"/>
	<xsl:import href="../naxml3.3/tlog2naxml-cashierAbstract.xslt"/>
	<xsl:import href="../naxml3.3/tlog2naxml-clock.xslt"/>
	<xsl:import href="../naxml3.3/tlog2naxml-eventAbstract.xslt"/>
	<xsl:import href="../naxml3.3/tlog2naxml-saleAbstract.xslt"/>
	<xsl:import href="../naxml3.3/tlog2naxml-tillTransactionAbstract.xslt"/>
	<xsl:import href="../naxml3.3/tlog2naxml-lib.xslt"/>
	<xsl:import href="tlog2naxml-mwsAbstract.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:param name="ns:vendorName">VeriFone</xsl:param>
	<xsl:param name="ns:vendorVersion">Commander Site Controller</xsl:param>
	<xsl:param name="ns:naxmlVersion">3.4</xsl:param>
	<xsl:param name="ns:diag"/>
	
	<xsl:param name="ns:driveOffPaycode" select="14"/>
	<xsl:param name="ns:pumpTestPaycode" select="19"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:call-template name="ns:elem-NAXML-POSJournal">
			<xsl:with-param name="inputDoc" select="$inputDoc"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:elem-NAXML-POSJournal">
		<xsl:param name="inputDoc"/>
		<nax:NAXML-POSJournal>
			<xsl:attribute name="version"><xsl:value-of select="$ns:naxmlVersion"/></xsl:attribute>
			<xsl:call-template name="tlog:elem-TransmissionHeader">
				<xsl:with-param name="tlog" select="$inputDoc/t:tlog"/>
			</xsl:call-template>
			<xsl:call-template name="tlog:elem-JournalReport">
				<xsl:with-param name="tlog" select="$inputDoc/t:tlog"/>
			</xsl:call-template>
		</nax:NAXML-POSJournal>
	</xsl:template>
	
	<xsl:template name="tlog:elem-JournalReport">
		<xsl:param name="tlog"/>
		<xsl:element name="nax:JournalReport">
			<xsl:call-template name="tlog:elem-JournalHeader">
				<xsl:with-param name="tlog" select="$tlog"/>
			</xsl:call-template>
			<xsl:for-each select="$tlog/*">
				<xsl:call-template name="ns:mapTlog2NAXML">
					<xsl:with-param name="trans" select="."/>
				</xsl:call-template>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="tlog:elem-TransmissionHeader">
		<xsl:param name="tlog"/>
		<xsl:variable name="startTotals" select="$tlog/t:startTotals/*[not(name() = 't:hdr')]"/>
		<xsl:variable name="endTotals" select="$tlog/t:endTotals/*[not(name() = 't:hdr')]"/>
		<xsl:element name="nax:TransmissionHeader">
			<xsl:element name="nax:StoreLocationID">
				<xsl:value-of select="$tlog/t:hdr/vs:site"/>
			</xsl:element>
			<xsl:element name="nax:VendorName">
				<xsl:value-of select="$ns:vendorName"/>
			</xsl:element>
			<xsl:element name="nax:VendorModelVersion">
				<xsl:value-of select="$ns:vendorVersion"/>
			</xsl:element>
			
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="tlog:elem-JournalHeader">
		<xsl:param name="tlog"/>
		<xsl:element name="nax:JournalHeader">
			<xsl:element name="nax:ReportSequenceNumber">
				<xsl:value-of select="number($tlog/t:hdr/vs:period/@periodSeqNum)"/>
			</xsl:element>
			<xsl:element name="nax:PrimaryReportPeriod">
				<xsl:attribute name="interval"><xsl:value-of select="$tlog/t:hdr/vs:period/@periodType"/></xsl:attribute>
				<xsl:value-of select="$tlog/t:hdr/vs:period/@sysid"/>
			</xsl:element>
			<xsl:element name="nax:SecondaryReportPeriod">
				<xsl:value-of select="number($tlog/t:hdr/vs:period/@periodSeqNum)"/>
			</xsl:element>
			<xsl:element name="nax:BeginDate">
				<xsl:value-of select="js:parseDate(string($tlog/t:hdr/startDateTime))"/>
			</xsl:element>
			<xsl:element name="nax:BeginTime">
				<xsl:value-of select="js:parseTime(string($tlog/t:hdr/startDateTime))"/>
			</xsl:element>
			<xsl:element name="nax:EndDate">
				<xsl:value-of select="js:parseDate(string($tlog/t:hdr/endDateTime))"/>
			</xsl:element>
			<xsl:element name="nax:EndTime">
				<xsl:value-of select="js:parseTime(string($tlog/t:hdr/endDateTime))"/>
			</xsl:element>
		</xsl:element>
	</xsl:template>
	
	<xsl:template name="ns:mapTlog2NAXML">
		<xsl:param name="trans"/>
		
		
		<xsl:variable name="driveOffOption">
			<xsl:choose>
				<xsl:when test="$lib:naxmlPrefs">
					<xsl:choose>
						<xsl:when test="msxsl:node-set($lib:naxmlPrefs)//DriveOffFinancialEvent">
							<xsl:value-of select="msxsl:node-set($lib:naxmlPrefs)//DriveOffFinancialEvent/@value"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'false'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'false'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="pumpTestOption">
			<xsl:choose>
				<xsl:when test="$lib:naxmlPrefs">
					<xsl:choose>
						<xsl:when test="msxsl:node-set($lib:naxmlPrefs)//PumpTestFinancialEvent">
							<xsl:value-of select="msxsl:node-set($lib:naxmlPrefs)//PumpTestFinancialEvent/@value"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'false'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'false'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		
		<xsl:variable name="suppressPrintCashier">
			<xsl:choose>
				<xsl:when test="$lib:naxmlPrefs">
					<xsl:choose>
						<xsl:when test="msxsl:node-set($lib:naxmlPrefs)//SuppressCSRAudit">
							<xsl:value-of select="msxsl:node-set($lib:naxmlPrefs)//SuppressCSRAudit/@value"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'false'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'false'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:variable name="suppressMWSEvents">
			<xsl:choose>
				<xsl:when test="$lib:naxmlPrefs">
					<xsl:choose>
						<xsl:when test="msxsl:node-set($lib:naxmlPrefs)//SuppressMWSEvents">
							<xsl:value-of select="msxsl:node-set($lib:naxmlPrefs)//SuppressMWSEvents/@value"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="'false'"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="'false'"/>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:choose>
			
			<xsl:when test="name($trans) = 't:sale' and $trans/@isRefund = 'true'">
				<xsl:call-template name="sale:elem-RefundEvent">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans)='t:sale' and            $trans/paylines/t:payline/t:mop/@cat = $ns:driveOffPaycode            and $driveOffOption = 'true'">
				<xsl:call-template name="sale:elem-FinancialEvent.FinancialEventDetail.DriveOffDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:pumpTest' and           $trans/paylines/t:payline/t:mop/@cat = $ns:pumpTestPaycode            and $pumpTestOption = 'true'">
				<xsl:call-template name="sale:elem-FinancialEvent.FinancialEventDetail.PumpTestDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:pumpTest' and           $trans/paylines/t:payline/t:mop/@cat = $ns:pumpTestPaycode            and $pumpTestOption = 'false'">
				<xsl:call-template name="sale:elem-SaleEvent">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:sale'">
				<xsl:call-template name="sale:elem-SaleEvent">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:adjustment'">
				<xsl:call-template name="sale:elem-SaleEvent">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:void'">
				<xsl:call-template name="sale:elem-VoidEvent">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:suspendedSale'">
				<xsl:call-template name="sale:elem-SaleEvent">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:tillNosale'">
				<xsl:call-template name="till:elem-FinancialEvent.FinancialEventDetail.Nosale">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:tillPayin'">
				<xsl:call-template name="till:elem-FinancialEvent.FinancialEventDetail.PayInDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:tillPayout'">
				<xsl:call-template name="till:elem-FinancialEvent.FinancialEventDetail.PayOutDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:tillSafeDrop'">
				<xsl:call-template name="till:elem-FinancialEvent.FinancialEventDetail.SafeDropDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:tillSafeLoan'">
				<xsl:call-template name="till:elem-FinancialEvent.FinancialEventDetail.SafeLoanDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:pumpTest'">
				<xsl:call-template name="sale:elem-FinancialEvent.FinancialEventDetail.PumpTestDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:openCashier'">
				<xsl:call-template name="csh:elem-OtherEvent.CashierDetail-open">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:closeCashier'">
				
				<xsl:call-template name="csh:elem-OtherEvent.CashierDetail-close">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
		
			<xsl:when test="name($trans) = 't:countCashier'">
				<xsl:choose>
					<xsl:when test="$suppressPrintCashier = 'true'">
						
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="csh:elem-OtherEvent.CashierDetail-count">
							<xsl:with-param name="trans" select="$trans"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:clock'">
				<xsl:call-template name="clk:elem-OtherEvent.TimeClockDetail">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="name($trans) = 't:event' and $trans/@type = 'errorCorrect'">
				<xsl:call-template name="csh:elem-OtherEvent.ErrorCorrect">
					<xsl:with-param name="trans" select="$trans"/>
				</xsl:call-template>
			</xsl:when>

			
			<xsl:when test="name($trans) = 't:managerWSEvent'">
				<xsl:choose>
					<xsl:when test="$suppressMWSEvents= 'true'">
						
					</xsl:when>
					<xsl:otherwise>
						<xsl:call-template name="mws:elem-OtherEvent.mwsEvent-Detail">
							<xsl:with-param name="trans" select="$trans"/>
						</xsl:call-template>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>