<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:xsi="periodTargs.xsd" xmlns:ext="http://xml.apache.org/xalan" version="1.0" exclude-result-prefixes="ext">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" media-type="text/xml"/>
	<xsl:template match="transSet">
		<pd:moneyOrderPd>
			<xsl:choose>
				<xsl:when test="@longId='CURRENT'">
					<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}"/>
				</xsl:when>
				<xsl:otherwise>
					<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}" periodEndDate="{closedTime}" periodSeqNum="{@shortId}"/>
				</xsl:otherwise>
			</xsl:choose>
			<vs:site>
				<xsl:attribute name="locationId"><xsl:value-of select="@locationId"/></xsl:attribute>
				<xsl:value-of select="@site"/>
			</vs:site>
			<totals>
				<xsl:apply-templates select="trans[not(@type='void') and not(@rollback='true') and not(@fuelPrepayCompletion ='true')]/trLines/trLine/trlMO[not(trlMOSerialNum = '')]"/>
				<xsl:call-template name="MOTotals">
					<xsl:with-param name="MOList" select="trans[not(@type='void') and not(@rollback='true') and not(@fuelPrepayCompletion ='true')]/trLines[trLine/trlMO[not(trlMOSerialNum = '')][not(trlMOVendorPmt)]]"/>
					<xsl:with-param name="tagName">moneyOrderSales</xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="MOTotals">
					<xsl:with-param name="MOList" select="trans[not(@type='void') and not(@rollback='true') and not(@fuelPrepayCompletion ='true')]/trLines[trLine/trlMO[not(trlMOSerialNum = '')][trlMOVendorPmt]]"/>
					<xsl:with-param name="tagName">vendorPayments</xsl:with-param>
				</xsl:call-template>
				<xsl:variable name="totalMORefund">
					<xsl:call-template name="MOrefundSum">
						<xsl:with-param name="MOrefundLineList" select="trans[@type = 'refund sale']/trLines/trLine[trlDept/@type = 'moneyOrder']"/>
					</xsl:call-template>
				</xsl:variable>
				<moneyOrderRefunds>
					<count>
						<xsl:value-of select="count(trans[@type = 'refund sale']/trLines/trLine[trlDept/@type = 'moneyOrder'])"/>
						
					</count>
					<amount>
						<xsl:value-of select="$totalMORefund * -1"/>
					</amount>
				</moneyOrderRefunds>
			</totals>
		</pd:moneyOrderPd>
	</xsl:template>
	<xsl:template match="trlMO">
		<xsl:variable name="eventType">
			<xsl:choose>
				<xsl:when test="trlMOVendorPmt">
					<xsl:text>vendorPmtEvent</xsl:text>
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>moneyOrderSaleEvent</xsl:text>
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:element name="pd:{$eventType}">
			<date>
				<xsl:value-of select="../../../trHeader/date"/>
			</date>
			<serialNum>
				<xsl:value-of select="trlMOSerialNum"/>
			</serialNum>
			<vs:cashier sysid="{../../../trHeader/cashier/@sysid}">
				<name>
					<xsl:value-of select="../../../trHeader/cashier"/>
				</name>
			</vs:cashier>
			<vs:register sysid="{../../../trHeader/cashier/@posNum}"/>
			<amount>
				<xsl:choose>
					<xsl:when test="trlMOCoupAmt">
						<xsl:value-of select="trlMOCoupAmt"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="../trlUnitPrice"/>
					</xsl:otherwise>
				</xsl:choose>
			</amount>
			<payeeID>
				<xsl:value-of select="trlMOPayee"/>
			</payeeID>
		</xsl:element>
	</xsl:template>
	<xsl:template name="MOTotals">
		<xsl:param name="MOList"/>
		<xsl:param name="tagName"/>
		<xsl:variable name="totalPrinted">
			<xsl:call-template name="MOSum">
				<xsl:with-param name="MOSumList" select="ext:nodeset($MOList)//trLine[trlMO and not(trlMO/trlMONotPrinted)]"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="totalNotPrinted">
			<xsl:call-template name="MOSum">
				<xsl:with-param name="MOSumList" select="ext:nodeset($MOList)//trLine[trlMO and trlMO/trlMONotPrinted]"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:element name="{$tagName}">
			<printed>
				<count>
					<xsl:value-of select="count($MOList//trlMO[not(trlMONotPrinted)])"/>
				</count>
				<amount>
					<xsl:value-of select="$totalPrinted"/>
				</amount>
			</printed>
			<offline>
				<count>
					<xsl:value-of select="count($MOList//trlMO[trlMONotPrinted])"/>
				</count>
				<amount>
					<xsl:value-of select="$totalNotPrinted"/>
				</amount>
			</offline>
		</xsl:element>
	</xsl:template>
	<xsl:template name="MOrefundSum">
		<xsl:param name="MOrefundLineList"/>
		<xsl:choose>
			<xsl:when test="$MOrefundLineList">
				<xsl:variable name="result">
					<xsl:call-template name="MOrefundSum">
						<xsl:with-param name="MOrefundLineList" select="$MOrefundLineList[position() &gt; 1]"/>
					</xsl:call-template>
				</xsl:variable>
				<xsl:value-of select="($MOrefundLineList[1]/trlQty * $MOrefundLineList[1]/trlUnitPrice) + $result"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template name="MOSum">
		<xsl:param name="MOSumList"/>
		<xsl:choose>
			<xsl:when test="$MOSumList">
				<xsl:variable name="tot">
				<xsl:for-each select="ext:nodeset($MOSumList)">
					<xsl:element name="amount">
						<xsl:value-of select="./trlQty * ./trlUnitPrice"/>
					</xsl:element>
				</xsl:for-each>
				</xsl:variable>
				<xsl:value-of select="sum(ext:nodeset($tot)//amount)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="0"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:transform>