<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" version="1.0">
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" media-type="text/xml"/>

<xsl:key name="safedropKey" match="trans[@type='safedrop']" use="trPaylines/trPayline/trpPaycode"/>


<xsl:template match="transSet">

	<xsl:variable name="uniqueMop" select="trans[@type='safedrop']/trPaylines/trPayline/trpPaycode[not(.=preceding::trpPaycode[ancestor::trans[@type='safedrop']])]"/>

	<pd:safedropPd>
		<xsl:choose>
			<xsl:when test="@longId='CURRENT'">
				<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}"/>
			</xsl:when>
			<xsl:otherwise>
				<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}" periodEndDate="{closedTime}" periodSeqNum="{@shortId}"/>
			</xsl:otherwise>
		</xsl:choose>
		<vs:site>
		<xsl:attribute name="locationId"><xsl:value-of select="@locationId"/></xsl:attribute>
		<xsl:value-of select="@site"/>
		</vs:site>
		<totals>
		<xsl:for-each select="trans[@type='safedrop']">

			<safedropEvent>
		
				<dropTime><xsl:value-of select="trHeader/date"/></dropTime>
				<refNum><xsl:value-of select="trHeader/trMiscRefNum"/></refNum>
				<vs:cashier sysid="{trHeader/cashier/@sysid}">
					<name><xsl:value-of select="trHeader/cashier"/></name>
				</vs:cashier>
				<vs:register sysid="{trHeader/trTickNum/posNum}"/>
				<amount><xsl:value-of select="trValue/trCurrTot"/></amount>
				<vs:mop sysid="{trPaylines/trPayline/trpPaycode/@mop}">
					<name><xsl:value-of select="trPaylines/trPayline/trpPaycode"/></name>
				</vs:mop>
		
			</safedropEvent>
	
		</xsl:for-each>
		
		<safeDropInfo>
		
			<total>
				<count><xsl:value-of select="count(trans[@type='safedrop'])"/></count>
				<xsl:variable name="totAmt" select="sum(trans[@type='safedrop']/trValue/trCurrTot)"/>
				<amount><xsl:value-of select="format-number($totAmt,'#,##0.00')"/></amount>
			</total>
				

		<xsl:for-each select="$uniqueMop">

			<xsl:sort select="@mop" data-type="number"/>

			<xsl:variable name="this" select="."/>

			<mopInfo sysid="{@mop}">

				<name><xsl:value-of select="$this"/></name>
				<count><xsl:value-of select="count(key('safedropKey',$this))"/></count>
				<xsl:variable name="thisAmt" select="sum(key('safedropKey',$this)/trValue/trCurrTot)"/>
				<amount><xsl:value-of select="format-number($thisAmt,'#,##0.00')"/></amount>				

			</mopInfo>

		</xsl:for-each>

		</safeDropInfo>
		<dropCancelCount><xsl:value-of select="count(trans[@type='journal']/trJournal/trjText[@type='SAFE DROP EVENT'][contains(.,'Exiting Safe Drop w/o Doing Drop')])"/></dropCancelCount>
	</totals>
	</pd:safedropPd>

</xsl:template>
</xsl:transform>