<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="http://xml.apache.org/xalan" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/buildNonLoyaltyTransactions" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" version="1.0" exclude-result-prefixes="xsl ext ns xsi ns1">
	<xsl:import href="tlogDoc-xalan.xslt"/>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<xsl:param name="ns:loyaltyConfig"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="baseRawSet" select="ext:nodeset($inputDoc)"/>
		
		
		<xsl:variable name="nonLoyalty">
			<xsl:apply-templates select="$baseRawSet" mode="ns:strip"/>
		</xsl:variable>
		
		<xsl:variable name="tlog">
			<xsl:call-template name="ns1:main">
				<xsl:with-param name="inputDoc" select="ext:nodeset($nonLoyalty)"/>
			</xsl:call-template>
		</xsl:variable>

		<xsl:variable name="merchNum">
			<xsl:copy-of select="ext:nodeset($ns:loyaltyConfig)//merchantNum[1]"/>
		</xsl:variable> 

		<xsl:choose>
			<xsl:when test="$merchNum !=''">
				<xsl:apply-templates select="ext:nodeset($tlog)" mode="ns:output">
					<xsl:with-param name="merchNum" select="$merchNum"/>
				</xsl:apply-templates>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="$tlog"/>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

	<xsl:template match="t:tlog" mode="ns:output">
		<xsl:param name="merchNum"/>
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:output">
				<xsl:with-param name="merchNum" select="$merchNum"/>
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="vs:site" mode="ns:output">
		<xsl:param name="merchNum"/>
		<xsl:variable name="lname" select="name()"/>
		<xsl:element name="{$lname}">
			<xsl:value-of select="$merchNum"/>
		</xsl:element>
	</xsl:template>
	<xsl:template match="/ | * | @* | text()" mode="ns:output">
		<xsl:param name="merchNum"/>
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:output">
				<xsl:with-param name="merchNum" select="$merchNum"/>
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>

	
	<xsl:template match="transactionSet" mode="ns:strip">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:strip"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="trans" mode="ns:strip">
		<xsl:variable name="type" select="@type"/>
		<xsl:choose>
			<xsl:when test="not($type='sale' or $type='refund sale' or $type='network sale' or $type='refund network sale')">
				<xsl:apply-templates select="following-sibling[1]" mode="ns:strip"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="not(trLoyalty)">
						<xsl:copy>
							<xsl:apply-templates select="* | @* | text()" mode="ns:strip"/>
						</xsl:copy>
					</xsl:when>
					<xsl:otherwise>
						<xsl:apply-templates select="following-sibling[1]" mode="ns:strip"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise> 
		</xsl:choose> 
	</xsl:template>
	<xsl:template match="* | @* | text()" mode="ns:strip">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:strip"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="openCashier | closeCashier | printCashier | startTotals | endTotals" mode="ns:strip"/>
</xsl:stylesheet>