<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/consolidateFGM" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/naxml3.3/FuelGradeMovement" xmlns:ns3="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/FuelGradeMovement" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 base ns3 nax">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:param name="ns:fuelSite"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="ns:NAXGrades">
			<xsl:apply-templates select="$inputDoc/*" mode="ns:changeGradeID"/>
		</xsl:variable>
		<xsl:apply-templates select="ext:node-set($ns:NAXGrades)/*" mode="ns:consolidate"/>
	</xsl:template>
	
	<xsl:template match="* |@* | text()" mode="ns:changeGradeID">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:changeGradeID"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="nax:FuelGradeID" mode="ns:changeGradeID">
		<xsl:copy>
			<xsl:call-template name="ns:xlate-fuelGrade">
				<xsl:with-param name="fuelGrade" select="."/>
			</xsl:call-template>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="* |@* | text()" mode="ns:consolidate">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:consolidate"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="nax:FGMDetail" mode="ns:consolidate">
		<xsl:variable name="gradeID" select="./nax:FuelGradeID"/>
		<xsl:variable name="tenderCode" select="./nax:FGMTenderSummary/nax:Tender/nax:TenderCode"/>
		<xsl:variable name="tenderSubCode" select="./nax:FGMTenderSummary/nax:Tender/nax:TenderSubCode"/>
		<xsl:variable name="sellPrice" select="./nax:FGMTenderSummary/nax:FGMSellPriceSummary/nax:ActualSalesPrice"/>
		<xsl:variable name="servLevel" select="./nax:FGMTenderSummary/nax:FGMSellPriceSummary/nax:FGMServiceLevelSummary/nax:ServiceLevelCode"/>
		<xsl:choose>
			<xsl:when test="nax:FGMTenderSummary">
				<xsl:choose>
					<xsl:when test="following-sibling::nax:FGMDetail[nax:FuelGradeID = $gradeID]/nax:FGMTenderSummary[             nax:Tender/nax:TenderCode = $tenderCode and             nax:Tender/nax:TenderSubCode = $tenderSubCode and             nax:FGMSellPriceSummary/nax:ActualSalesPrice = $sellPrice and             nax:FGMSellPriceSummary/nax:FGMServiceLevelSummary/nax:ServiceLevelCode = $servLevel]">
						<xsl:apply-templates select="following-sibling[1]" mode="ns:consolidate"/>
					</xsl:when>
					<xsl:when test="preceding-sibling::nax:FGMDetail[nax:FuelGradeID = $gradeID]/nax:FGMTenderSummary[             nax:Tender/nax:TenderCode = $tenderCode and             nax:Tender/nax:TenderSubCode = $tenderSubCode and             nax:FGMSellPriceSummary/nax:ActualSalesPrice = $sellPrice and             nax:FGMSellPriceSummary/nax:FGMServiceLevelSummary/nax:ServiceLevelCode = $servLevel]">
						
						
						<xsl:variable name="ps">
							<xsl:copy-of select="preceding-sibling::nax:FGMDetail[nax:FuelGradeID = $gradeID and         nax:FGMTenderSummary/nax:Tender/nax:TenderCode = $tenderCode and         nax:FGMTenderSummary/nax:Tender/nax:TenderSubCode = $tenderSubCode and         nax:FGMTenderSummary/nax:FGMSellPriceSummary/nax:ActualSalesPrice = $sellPrice and          nax:FGMTenderSummary/nax:FGMSellPriceSummary/nax:FGMServiceLevelSummary/nax:ServiceLevelCode = $servLevel]"/>
						</xsl:variable>
						<xsl:copy>
							<xsl:apply-templates select="* | @* | text" mode="ns:consolidate-1">
								<xsl:with-param name="preSibs" select="$ps"/>
							</xsl:apply-templates>
						</xsl:copy>
						<xsl:apply-templates select="following-sibling[1]" mode="ns:consolidate"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="."/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="nax:FGMSalesTotals">
				<xsl:choose>
					<xsl:when test="following-sibling::nax:FGMDetail[nax:FGMSalesTotals]/nax:FuelGradeID = $gradeID">
						<xsl:apply-templates select="following-sibling[1]" mode="ns:consolidate"/>
					</xsl:when>
					<xsl:when test="preceding-sibling::nax:FGMDetail[nax:FGMSalesTotals]/nax:FuelGradeID = $gradeID">
						
						
						<xsl:variable name="ps">
							<xsl:copy-of select="preceding-sibling::nax:FGMDetail[nax:FGMSalesTotals and nax:FuelGradeID = $gradeID]"/>
						</xsl:variable>
						<xsl:copy>
							<xsl:apply-templates select="* | @* | text" mode="ns:consolidate-1">
								<xsl:with-param name="preSibs" select="$ps"/>
							</xsl:apply-templates>
						</xsl:copy>
						<xsl:apply-templates select="following-sibling[1]" mode="ns:consolidate"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="."/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template match="*| @* |text()" mode="ns:consolidate-1">
		<xsl:param name="preSibs"/>
		<xsl:copy>
			<xsl:apply-templates select="* |@* |text()" mode="ns:consolidate-1">
				<xsl:with-param name="preSibs" select="$preSibs"/>
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="nax:FuelGradeSalesAmount" mode="ns:consolidate-1">
		<xsl:param name="preSibs"/>
		<xsl:choose>
			<xsl:when test="count(ext:node-set($preSibs)/*) &gt;= 1">
				<xsl:element name="{name()}">
					<xsl:copy-of select="@*"/>
					<xsl:variable name="preSibTot" select="sum(ext:node-set($preSibs)//nax:FuelGradeSalesAmount)"/>
					<xsl:value-of select="format-number( ($preSibTot +.) ,'#.00')"/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="* | @* | text()" mode="ns:consolidate-1">
						<xsl:with-param name="preSibs" select="$preSibs"/>
					</xsl:apply-templates>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="nax:FuelGradeSalesVolume" mode="ns:consolidate-1">
		<xsl:param name="preSibs"/>
		<xsl:choose>
			<xsl:when test="count(ext:node-set($preSibs)/*) &gt;= 1">
				<xsl:element name="{name()}">
					<xsl:copy-of select="@*"/>
					<xsl:variable name="preSibTot" select="sum(ext:node-set($preSibs)//nax:FuelGradeSalesVolume)"/>
					<xsl:value-of select="format-number( ($preSibTot + .) ,'#.000')"/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="* | @* | text()" mode="ns:consolidate-1">
						<xsl:with-param name="preSibs" select="$preSibs"/>
					</xsl:apply-templates>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
	<xsl:template match="nax:PumpTestAmount" mode="ns:consolidate-1">
		<xsl:param name="preSibs"/>
		<xsl:choose>
			<xsl:when test="count(ext:node-set($preSibs)/*) &gt;= 1">
				<xsl:element name="{name()}">
					<xsl:copy-of select="@*"/>
					<xsl:variable name="preSibTot" select="sum(ext:node-set($preSibs)//nax:PumpTestAmount)"/>
					<xsl:value-of select="format-number( ($preSibTot +.) ,'#.00')"/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="* | @* | text()" mode="ns:consolidate-1">
						<xsl:with-param name="preSibs" select="$preSibs"/>
					</xsl:apply-templates>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="nax:PumpTestVolume" mode="ns:consolidate-1">
		<xsl:param name="preSibs"/>
		<xsl:choose>
			<xsl:when test="count(ext:node-set($preSibs)/*) &gt;= 1">
				<xsl:element name="{name()}">
					<xsl:copy-of select="@*"/>
					<xsl:variable name="preSibTot" select="sum(ext:node-set($preSibs)//nax:PumpTestVolume)"/>
					<xsl:value-of select="format-number( ($preSibTot + .) ,'#.000')"/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="* | @* | text()" mode="ns:consolidate-1">
						<xsl:with-param name="preSibs" select="$preSibs"/>
					</xsl:apply-templates>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="nax:FuelGradeNonResettableTotalAmount" mode="ns:consolidate-1">
		<xsl:param name="preSibs"/>
		<xsl:choose>
			<xsl:when test="count(ext:node-set($preSibs)/*) &gt;= 1">
				<xsl:element name="{name()}">
					<xsl:copy-of select="@*"/>
					<xsl:variable name="preSibTot" select="sum(ext:node-set($preSibs)//nax:FuelGradeNonResettableTotalAmount)"/>
					<xsl:value-of select="format-number( ($preSibTot +.) ,'#.00')"/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="* | @* | text()" mode="ns:consolidate-1">
						<xsl:with-param name="preSibs" select="$preSibs"/>
					</xsl:apply-templates>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="nax:FuelGradeNonResettableTotalVolume" mode="ns:consolidate-1">
		<xsl:param name="preSibs"/>
		<xsl:choose>
			<xsl:when test="count(ext:node-set($preSibs)/*) &gt;= 1">
				<xsl:element name="{name()}">
					<xsl:copy-of select="@*"/>
					<xsl:variable name="preSibTot" select="sum(ext:node-set($preSibs)//nax:FuelGradeNonResettableTotalVolume)"/>
					<xsl:value-of select="format-number( ($preSibTot + .) ,'#.000')"/>
				</xsl:element>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="* | @* | text()" mode="ns:consolidate-1">
						<xsl:with-param name="preSibs" select="$preSibs"/>
					</xsl:apply-templates>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="ns:xlate-fuelGrade">
		<xsl:param name="fuelGrade"/>
		<xsl:choose>
			<xsl:when test="$ns:fuelSite">
				<xsl:variable name="naxProdID" select="ext:node-set($ns:fuelSite)/*/fuelProducts/fuelProduct[@sysid = $fuelGrade]/@NAXMLFuelGradeID"/>
				<xsl:choose>
					<xsl:when test="$naxProdID">
						<xsl:value-of select="$naxProdID"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="$fuelGrade"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="$fuelGrade"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>