<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/fiscalTran" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" xmlns:vfi="urn:vfi-sapphire:np.naxmlext.2005-06-24" version="1.0" exclude-result-prefixes="xsl ext ns">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no"/>

	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:param name="ref"/>
		

			<xsl:apply-templates select="$inputDoc/*" mode="ns:fiscalTran">				
				<xsl:with-param name="ref" select="ext:node-set($ref)"/>
			</xsl:apply-templates>
			
	</xsl:template>
	
	<xsl:template match="/ | * | @* | text()" mode="ns:fiscalTran">
		<xsl:param name="ref"/>
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:fiscalTran">
				<xsl:with-param name="ref" select="ext:node-set($ref)"/>
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="nax:TransactionSummary" mode="ns:fiscalTran">
		<xsl:param name="ref"/>
		
		<xsl:element name="nax:TransactionSummary">
			
			<xsl:copy-of select="./*"/>
						<xsl:variable name="TranID">
				<xsl:value-of select="../nax:TransactionID"/>
			</xsl:variable>
				<xsl:variable name="RubyID">
					<xsl:copy-of select="ext:node-set($ref)/appSpcfcData[LatpakFiscalTran/RubyReceiptNumber/trSeq = $TranID]"/>				
				</xsl:variable>
				<xsl:if test="not($RubyID='')">
					<xsl:element name="nax:Extension">
						<xsl:element name="vfi:FiscalTransaction">
							<xsl:attribute name="TranType"><xsl:value-of select="ext:node-set($RubyID)/appSpcfcData/LatpakFiscalTran/@TranType"/></xsl:attribute>
							<xsl:copy-of select="ext:node-set($RubyID)/appSpcfcData/LatpakFiscalTran/*"/>
							
						</xsl:element>
						
					</xsl:element>
				</xsl:if>
			
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>