<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/stripCheckDigit" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/naxml3.3/tlog2naxml" xmlns:ns2="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns3="http://verifone.com/isd/vfit/tlog/naxml3.3/latpak/tlog2naxml" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 base ns3">
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:param name="ns:lowManCodeRange" select="01000"/>
	<xsl:param name="ns:highManCodeRange" select="07999"/>
	<xsl:param name="ns:lowItemCodeRange" select="00005"/>
	<xsl:param name="ns:highItemCodeRange" select="00009"/>
	<xsl:param name="ns:beginLACRange" select="1"/>
	<xsl:param name="ns:endLACRange" select="9999"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:apply-templates select="$inputDoc/*" mode="ns:stripCheckDigit"/>
	</xsl:template>
	<xsl:template match="* | @* | text()" mode="ns:stripCheckDigit">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:stripCheckDigit"/>
		</xsl:copy>
	</xsl:template>
	
	<xsl:template match="nax:ItemCode" mode="ns:stripCheckDigit">
		<xsl:variable name="PLU" select="./nax:POSCode"/>
		<xsl:variable name="manCode" select="substring($PLU,4,5)"/>
		<xsl:variable name="itmCode" select="substring($PLU,9,5)"/>
		<xsl:choose>
			
			<xsl:when test="number(substring($PLU,2,1)) = 0">
				<xsl:choose>
					<xsl:when test="number($manCode) = 0 and (number($itmCode) &gt;= $ns:beginLACRange and number($itmCode) &lt;= $ns:endLACRange )">
						<xsl:element name="{name()}">
							<xsl:apply-templates select="nax:POSCodeFormat" mode="ns:alter"/>
							<xsl:apply-templates select="nax:POSCode" mode="ns:alter">
								<xsl:with-param name="plu" select="concat('0000',$manCode,$itmCode)"/>
							</xsl:apply-templates>
							<xsl:copy-of select="nax:POSCodeModifier"/>
						</xsl:element>
					</xsl:when>
					<xsl:when test="(number($manCode) &gt;= $ns:lowManCodeRange and number($manCode) &lt;= $ns:highManCodeRange) and (number($itmCode) &gt;= $ns:lowItemCodeRange and number($itmCode) &lt;= $ns:highItemCodeRange) ">
						<xsl:element name="{name()}">
							<xsl:apply-templates select="nax:POSCodeFormat" mode="ns:alter"/>
							<xsl:apply-templates select="nax:POSCode" mode="ns:alter">
								<xsl:with-param name="plu" select="concat('0000',$manCode,$itmCode)"/>
							</xsl:apply-templates>
							<xsl:copy-of select="nax:POSCodeModifier"/>
						</xsl:element>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy-of select="."/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy-of select="."/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="nax:POSCodeFormat" mode="ns:alter">
		<xsl:element name="{name()}">
			<xsl:copy-of select="@*"/>
			<xsl:attribute name="checkDigit"><xsl:value-of select="'absent'"/></xsl:attribute>
		</xsl:element>
	</xsl:template>
	<xsl:template match="nax:POSCode" mode="ns:alter">
		<xsl:param name="plu"/>
		<xsl:element name="{name()}">
			<xsl:copy-of select="@*"/>
			<xsl:value-of select="$plu"/>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>