<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/stripPrepay" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/naxml3.3/tlog2naxml" xmlns:ns2="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns3="http://verifone.com/isd/vfit/tlog/naxml3.3/tlog2naxml" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:nax="http://www.naxml.org/POSBO/Vocabulary/2003-10-16" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 base ns3">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>
		<xsl:variable name="result">
			<xsl:apply-templates select="$inputDoc/*" mode="ns:stripPrepay"/>
		</xsl:variable>
		<xsl:apply-templates select="ext:node-set($result)/*" mode="ns:output"/>
	</xsl:template>
	<xsl:template match="* | @* | text()" mode="ns:stripPrepay">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:stripPrepay"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="nax:SaleEvent" mode="ns:stripPrepay">
		<xsl:choose>
			
			<xsl:when test="nax:TransactionDetailGroup/nax:TransactionLine/nax:FuelPrepayLine           and  not(nax:TransactionDetailGroup/nax:TransactionLine/nax:FuelLine)          and  not(Extension) and not(nax:SuspendFlag/@value='yes')">
				
				<xsl:apply-templates select="following-sibling[1]" mode="ns:stripPrepay"/>
			</xsl:when>
			
			<xsl:when test="nax:TransactionDetailGroup/nax:TransactionLine/nax:MerchandiseCodeLine[nax:MerchandiseCode = '9999']           and  nax:TransactionDetailGroup/nax:TransactionLine/nax:FuelLine           and not(Extension) and not(nax:SuspendFlag/@value='yes')">
				
				<xsl:variable name="tid" select="./nax:TransactionID"/>
				<xsl:variable name="cashierID">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $tid] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                    /nax:CashierID"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                    /nax:CashierID"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>

				<xsl:variable name="tid-TenderInfo">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $tid] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                    /nax:TransactionDetailGroup/nax:TransactionLine[nax:TenderInfo]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                    /nax:TransactionDetailGroup/nax:TransactionLine[nax:TenderInfo]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="tid-TransactionSummary">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $tid] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                    /nax:TransactionSummary"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                    /nax:TransactionSummary"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="tid-TransactionLines">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $tid] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                           /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID = $tid and nax:SuspendFlag/@value='no']                           /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:copy>
					<xsl:for-each select="./*">
						<xsl:choose>
							<xsl:when test="name() = 'nax:CashierID'">
								<xsl:copy>
									<xsl:value-of select="$cashierID"/>	
								</xsl:copy>								
							</xsl:when>
							<xsl:when test="name() = 'nax:TransactionDetailGroup'">
								<xsl:copy>
									<xsl:copy-of select="./nax:TransactionLine[not(nax:TenderInfo)                   and not(nax:FuelPrepayLine)                  and not(nax:MerchandiseCodeLine[nax:MerchandiseCode = '9999'])]"/>
									<xsl:copy-of select="$tid-TransactionLines"/>
									<xsl:copy-of select="./nax:TransactionLine[nax:TenderInfo]"/>
									<xsl:copy-of select="$tid-TenderInfo"/>
								</xsl:copy>
							</xsl:when>
							<xsl:when test="name() = 'nax:TransactionSummary'">
								<xsl:copy-of select="$tid-TransactionSummary"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:copy-of select="."/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:copy>
				<xsl:apply-templates select="following-sibling[1]" mode="ns:stripPrepay"/>
			</xsl:when>
			
			<xsl:when test="nax:TransactionDetailGroup/nax:TransactionLine/nax:FuelPrepayLine           and  nax:TransactionDetailGroup/nax:TransactionLine/nax:FuelLine           and Extension and not(nax:SuspendFlag/@value='yes')">
				
				<xsl:variable name="this.node" select="."/>
				<xsl:variable name="ts" select="./Extension/vs:transactionSeq"/>
				<xsl:variable name="ext-TenderInfo">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID = $ts and nax:SuspendFlag/@value='no']                      /nax:TransactionDetailGroup/nax:TransactionLine[nax:TenderInfo]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID = $ts and nax:SuspendFlag/@value='no']                    /nax:TransactionDetailGroup/nax:TransactionLine[nax:TenderInfo]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="ext-TransactionSummary">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                    /nax:TransactionSummary"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                    /nax:TransactionSummary"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="ext-TransactionLines-Cancel">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                             /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and (@status='cancel')]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                             /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and (@status='cancel')]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="ext-TransactionLines">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                             /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and not(@status='cancel')]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                             /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and not(@status='cancel')]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>

				<xsl:variable name="this-TransactionLines">
					<xsl:copy-of select="$this.node/nax:TransactionDetailGroup/nax:TransactionLine[               not(nax:TenderInfo)                and not(nax:FuelPrepayLine)               and not (@status='cancel')]"/>
				</xsl:variable>
				<xsl:copy>
					<xsl:for-each select="./*">
						<xsl:choose>
							<xsl:when test="name() = 'nax:TransactionDetailGroup'">
								<xsl:copy>
									<xsl:copy-of select="./nax:TransactionLine[not(nax:TenderInfo)                   and not(nax:FuelPrepayLine)                  and not(nax:MerchandiseCodeLine[nax:MerchandiseCode = '9999'])]"/>
									<xsl:copy-of select="$ext-TransactionLines"/>
									<xsl:copy-of select="$ext-TransactionLines-Cancel"/>
									<xsl:copy-of select="./nax:TransactionLine[nax:TenderInfo]"/>
									<xsl:copy-of select="$ext-TenderInfo"/>
								</xsl:copy>
							</xsl:when>
							<xsl:when test="name() = 'nax:TransactionSummary'">
								<xsl:copy>
									<xsl:for-each select="./*">
										<xsl:element name="{name()}">
											<xsl:copy-of select="@*"/>
											<xsl:choose>
												<xsl:when test="name() = 'nax:TransactionTotalGrossAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:SalesAmount)                      + sum(ext:node-set($ext-TransactionLines)//nax:SalesAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalNetAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:SalesAmount)                      + sum(ext:node-set($ext-TransactionLines)//nax:SalesAmount)                     + sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalTaxSalesAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalTaxNetAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalGrandAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:SalesAmount)                      + sum(ext:node-set($ext-TransactionLines)//nax:SalesAmount)                     + sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
											</xsl:choose>
										</xsl:element>
									</xsl:for-each>
								</xsl:copy>
							</xsl:when>
							<xsl:otherwise>
								<xsl:copy-of select="."/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:copy>
				<xsl:apply-templates select="following-sibling[1]" mode="ns:stripPrepay"/>
			</xsl:when>
			
			<xsl:when test="nax:TransactionDetailGroup/nax:TransactionLine/nax:FuelPrepayLine           and  not(nax:TransactionDetailGroup/nax:TransactionLine/nax:FuelLine)           and Extension and not(nax:SuspendFlag/@value='yes')">
				
				<xsl:variable name="this.node" select="."/>
				<xsl:variable name="ts" select="./Extension/vs:transactionSeq"/>
				<xsl:variable name="ext-TenderInfo">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID = $ts and nax:SuspendFlag/@value='no']                    /nax:TransactionDetailGroup/nax:TransactionLine[nax:TenderInfo]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID = $ts and nax:SuspendFlag/@value='no']                    /nax:TransactionDetailGroup/nax:TransactionLine[nax:TenderInfo]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="ext-TransactionSummary">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID  = $ts  and nax:SuspendFlag/@value='no']                    /nax:TransactionSummary"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                    /nax:TransactionSummary"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="ext-TransactionLines-Cancel">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                   /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and (@status='cancel')]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                             /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and (@status='cancel')]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="ext-TransactionLines">
					<xsl:choose>
						<xsl:when test="preceding-sibling::*[nax:TransactionID = $ts] = true()">
							<xsl:copy-of select="preceding-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                             /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and not(@status='cancel')]"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:copy-of select="following-sibling::*[nax:TransactionID  = $ts and nax:SuspendFlag/@value='no']                             /nax:TransactionDetailGroup/nax:TransactionLine[                    not(nax:TenderInfo)                     and not(nax:FuelPrepayLine)                    and not (@status='cancel')]"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:variable>
				<xsl:variable name="this-TransactionLines">
					<xsl:copy-of select="$this.node/nax:TransactionDetailGroup/nax:TransactionLine[               not(nax:TenderInfo)                and not(nax:FuelPrepayLine)               and not (@status='cancel')]"/>
				</xsl:variable>
				<xsl:copy>
					<xsl:for-each select="./*">
						<xsl:choose>
							<xsl:when test="name() = 'nax:TransactionDetailGroup'">
								<xsl:copy>
									<xsl:copy-of select="./nax:TransactionLine[not(nax:TenderInfo)                   and not(nax:FuelPrepayLine)                  and not(nax:MerchandiseCodeLine[nax:MerchandiseCode = '9999'])]"/>
									<xsl:copy-of select="$ext-TransactionLines"/>
									<xsl:copy-of select="$ext-TransactionLines-Cancel"/>
									<xsl:copy-of select="./nax:TransactionLine[nax:TenderInfo]"/>
									<xsl:copy-of select="$ext-TenderInfo"/>
								</xsl:copy>
							</xsl:when>
							<xsl:when test="name() = 'nax:TransactionSummary'">
								<xsl:copy>
									<xsl:for-each select="./*">
										<xsl:element name="{name()}">
											<xsl:copy-of select="@*"/>
											<xsl:choose>
												<xsl:when test="name() = 'nax:TransactionTotalGrossAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:SalesAmount)                      + sum(ext:node-set($ext-TransactionLines)//nax:SalesAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalNetAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:SalesAmount)                      + sum(ext:node-set($ext-TransactionLines)//nax:SalesAmount)                     + sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalTaxSalesAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalTaxNetAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
												<xsl:when test="name() = 'nax:TransactionTotalGrandAmount'">
													<xsl:value-of select="format-number(                     (sum(ext:node-set($this-TransactionLines)//nax:SalesAmount)                      + sum(ext:node-set($ext-TransactionLines)//nax:SalesAmount)                     + sum(ext:node-set($this-TransactionLines)//nax:TaxCollectedAmount)                     + sum(ext:node-set($ext-TransactionLines)//nax:TaxCollectedAmount)),                     '0.00')"/>
												</xsl:when>
											</xsl:choose>
										</xsl:element>
									</xsl:for-each>
								</xsl:copy>
							</xsl:when>
							<xsl:otherwise>
								<xsl:copy-of select="."/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</xsl:copy>
				<xsl:apply-templates select="following-sibling[1]" mode="ns:stripPrepay"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="* | @* | text()" mode="ns:stripPrepay"/>
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="* | @* | text()" mode="ns:output">
		<xsl:copy>
			<xsl:apply-templates select="* | @* | text()" mode="ns:output"/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="Extension" mode="ns:output"/>
</xsl:stylesheet>