<?xml version="1.0" encoding="UTF-8"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ext="urn:schemas-microsoft-com:xslt" xmlns:ns="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/tlog2naxml" xmlns:ns1="http://verifone.com/isd/vfit/transactionSet/tlogDoc" xmlns:ns2="http://verifone.com/isd/vfit/tlog/naxml3.3/latpak/tlog2naxml" xmlns:ns3="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/stripCheckDigit" xmlns:ns4="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/stripPrepay" xmlns:ns5="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/fiscalTran" xmlns:ns6="http://verifone.com/isd/vfit/transactionSet/naxml3.3/latpak/convertDiscAmount" xmlns:t="urn:vfi-sapphire:tlog.2003-06-27" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" version="1.0" exclude-result-prefixes="xsl ext ns ns1 t vs ns2 base ns3 ns4 ns5 ns6">
	<xsl:import href="../../tlogDoc.xslt"/>
	<xsl:import href="../../../tlog/naxml3.3/latpak/tlog2naxml.xslt"/>
	<xsl:import href="stripCheckDigit.xslt"/>
	<xsl:import href="convertDiscAmount.xslt"/>
	<xsl:import href="stripPrepay.xslt"/>
	<xsl:import href="fiscalTran.xslt"/>

	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="no"/>

	<xsl:template match="/">
		<xsl:call-template name="ns:main">
			<xsl:with-param name="inputDoc" select="."/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="ns:main">
		<xsl:param name="inputDoc"/>

		

		<xsl:variable name="LatpakSpecific">
			<xsl:copy-of select="ext:node-set($inputDoc)//appSpcfcData"/>
		</xsl:variable>

		
		

		<xsl:variable name="ns:tlog">
			<xsl:call-template name="ns1:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($inputDoc)"/>
			</xsl:call-template>
		</xsl:variable>

		
		
		<xsl:variable name="ns:PJR">
			<xsl:call-template name="ns2:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($ns:tlog)"/>
			</xsl:call-template>
		</xsl:variable>

		
		
		<xsl:variable name="ns:noCheckDigit">
			<xsl:call-template name="ns3:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($ns:PJR)"/>
			</xsl:call-template>
		</xsl:variable>

		

		<xsl:variable name="ns:stripPrepay">
			<xsl:call-template name="ns4:main">
				<xsl:with-param name="inputDoc" select="ext:node-set($ns:noCheckDigit)"/>
			</xsl:call-template>
		</xsl:variable>


		
		<xsl:variable name="ns:fiscalTran">		
		<xsl:call-template name="ns5:main">
			<xsl:with-param name="inputDoc" select="ext:node-set($ns:stripPrepay)"/>
			<xsl:with-param name="ref" select="$LatpakSpecific"/>
		</xsl:call-template>
		</xsl:variable>		


		<xsl:call-template name="ns6:main">
			<xsl:with-param name="inputDoc" select="ext:node-set($ns:fiscalTran)"/>
		</xsl:call-template>

		
	</xsl:template>
</xsl:stylesheet>