<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:xsi="periodTargs.xsd" version="1.0">
<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" media-type="text/xml"/>

<xsl:template match="transactionSet">

	<pd:pluExceptionPd>
		<xsl:choose>
			<xsl:when test="@longId='CURRENT'">
				<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}"/>
			</xsl:when>
			<xsl:otherwise>
				<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}" periodEndDate="{closedTime}" periodSeqNum="{@shortId}"/>
			</xsl:otherwise>
		</xsl:choose>

		<vs:site><xsl:value-of select="@site"/></vs:site>

		<totals>
			<xsl:apply-templates select="trans[(@type='sale' or @type='network sale' or @type='refund sale' or @type='refund network sale') and not(@suspended='true' or @rollback='true')]/trLines/trLine[trlPrcOvrd]|            trans[(@type='sale' or @type='network sale' or @type='refund sale' or @type='refund network sale') and not(@suspended='true' or @rollback='true')]/trLines/trLine[trlFlags/trlPLUNotFnd]"/>
		</totals>
	</pd:pluExceptionPd>

</xsl:template>

<xsl:template match="trLine">
	<pluInfo>
	
		<vs:pluBase>
			<upc><xsl:value-of select="trlUPC"/></upc>
			<modifier><xsl:value-of select="trlModifier"/></modifier>
			<name><xsl:value-of select="trlDesc"/></name>
		</vs:pluBase>
		
		<itemCount><xsl:value-of select="trlQty"/></itemCount>
		
		<xsl:apply-templates select="trlFlags/trlPLUNotFnd|trlPrcOvrd"/>
		
		<xsl:choose>
			<xsl:when test="ancestor::trans[@type='refund sale' or @type='refund network sale']">
				<txnType>REFUND</txnType>
   			</xsl:when>
			<xsl:when test="self::trLine[starts-with(@type,'void')]">
				<txnType>VOID</txnType>
   			</xsl:when>
   			<xsl:otherwise>
   				<txnType>SALE</txnType>
      		</xsl:otherwise>
		</xsl:choose>
		
		<vs:cashier sysid="{trlOvrdCshr/@sysid}">
			<name><xsl:value-of select="trlOvrdCshr"/></name>
		</vs:cashier>
		
	</pluInfo>
	
</xsl:template>

<xsl:template match="trlFlags/trlPLUNotFnd">
	<originalPrice><xsl:value-of select="../../trlUnitPrice"/></originalPrice>
	<exception>PLU_NOT_FOUND</exception>
</xsl:template>

<xsl:template match="trlPrcOvrd">
	<originalPrice><xsl:value-of select="../trlPrcOvrd"/></originalPrice>
	<overridePrice><xsl:value-of select="../trlUnitPrice"/></overridePrice>
	<exception>PRICE_OVERRIDE</exception>
</xsl:template>

</xsl:transform>