<?xml version="1.0" encoding="UTF-8"?>
<!--
	Copyright(c) 2003 VeriFone, Inc.  All rights reserved.
-->

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
xmlns:ns="http://verifone.com/isd/vfit/transactionSet/scripts" 
xmlns:js="javascript:code-transactionSet-scripts" 
xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" 
xmlns:base="urn:vfi-sapphire:base.2001-10-01" 
exclude-result-prefixes="xsl msxsl ns js"
>
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<msxsl:script language="javascript" implements-prefix="js"><![CDATA[
		
		function parseDate(timeDateStr) {
			var ix = timeDateStr.indexOf('T');
			if (ix != -1)
				timeDateStr = timeDateStr.substring(0,ix);
			return timeDateStr;
		}
		
		function parseTime(timeDateStr) {
			var ix = timeDateStr.indexOf('T');
			if (ix ==  -1) ix = 0;
			var ix1 = timeDateStr.indexOf('-',ix+1);
			if (ix1 == -1) ix1 = timeDateStr.length;
			timeDateStr = timeDateStr.substring(ix+1,ix1);
			return timeDateStr;
		}
		
		function americanDate(dateStr) {
			var ix = dateStr.indexOf('-');
			if (ix == -1)
				return "";
			var ix1 = dateStr.indexOf('-',ix+1);
			if (ix1 == -1)
				return "";
			return  dateStr.substring(ix+1,ix1)+"/"+dateStr.substring(ix1+1,dateStr.length)+"/"+dateStr.substr(0,ix);
		}
		
		function noDashDate(dateStr) {
			var ix = dateStr.indexOf('-');
			if (ix == -1)
				return "";
			var ix1 = dateStr.indexOf('-',ix+1);
			if (ix1 == -1)
				return "";
			var ix2 = dateStr.indexOf('T',ix1+1);
			if (ix2 == -1)
				return "";
			
			return dateStr.substring(0,ix)+dateStr.substring(ix+1,ix1)+dateStr.substring(ix1+1,ix2);
		}
		
		function date() {
			var date = new Date();
			var month = 1 + date.getMonth();
			return date.getFullYear()+'-'+month+'-'+date.getDate()+'T'+date.getHours()+':'+date.getMinutes()+':'+date.getSeconds();
		}

		function old2NewDate(odateStr) {
			var mo = odateStr.substr(0,2);
			var da = odateStr.substr(2,2);
			var yr = odateStr.substr(4,2) - 0;
			yr += ((yr > 5) ? 1900 : 2000);
			return yr+"-"+mo+"-"+da;
		}
		
		function getPrepayFP(txt) {
			return txt.substr(txt.indexOf('#')+1,2) - 0;
		}
		
		function getPrepaidCancelFP(txt) {
			var ix1 = txt.indexOf('#');
			txt = txt.substr(ix1+1);
			var result = txt.match(/ *[0-9]*/);
			return result[0] - 0;
		}
		
		function xlateCardEntry(txt) {
/*all "swipe" entry methods possible based on rubyExtract*/
			if (txt == "Swipe" || txt == "Island" || txt == "Swipe w/DL" || txt == "Swipe T1" || txt == "Island T1"||txt == "Swipe T2" || txt == "Island T2" || txt == "SmartCard") {
				return 'swipe';
			}
/*all "manual" entry methods based on rubyExtract*/			
			else if (txt == "Manual" || txt == "Manual w/DL" || txt == "Manual Fast Credit" || txt == "Keyboard") {
				return 'manual';
			}
/*all "RF" entry methods based on rubyExtract*/			
			else if(txt == "RF Inside" || txt == "RF Outside" || txt == "RF Inside T2" || txt == "RF Outside T2"){
				return 'rf';
			}
/*for biometric transactions*/
				else if(txt == "Biometric"){
				return 'biometric';
			}
			else {
				return 'unk';
			}
		}
		
		function getDecimalValue(txt) {
			var result = txt.match(/ [0-9]*\.[0-9]+/);

			if (result != null)
				return result[0] - 0;
			return 0;
		}

//computeHalfHour returns a 0 or 1 to identify whether the minutes are in the first or second
//half hour segment of the hour.		
		function computeHalfHour(timeDateStr){
			//find the beginning of the time portion of the date and time string
			var ix = timeDateStr.indexOf('T');

			//test and make sure that a time portion is available
			if (ix == -1){
				return "";
			}
			
			//now get the minutes portion of the string.
			var ix1 = timeDateStr.indexOf(':', ix +1);
			
			//test and make sure that the minutes may exist
			if (ix1 == -1){
				return "";
			}
			var mins =  timeDateStr.substring( ix1+1, ix1 +3);

			if (mins <= '29'){
				return 0;
			}else{
				return 1;
			}
		}
//maskAcctNum accepts a string and a number, the string is the acct number to be masked and the number is 
//the number of characters at the end of the account number that will not be masked. if unMaskedNum is not 
//specified the default will be 4
		function maskAcctNum(acctNumStr,unMaskedNum) {
			//if no arguments just return
			if (acctNumStr == null && unMaskedNum == null){
				return;
			}
			if (acctNumStr == null){
				return;
			}

			//if the unMaskedNum was not specified default it to 4since this is the
			//min required by most card issuers
			if  (unMaskedNum == null){
				unMaskedNum = 4;
			}
			
			var strLen = acctNumStr.length - unMaskedNum;
			var str = ""; 
			for (var cnt = 0; cnt < strLen; cnt++){
				str += "*";
			}
			return str + acctNumStr.substring(strLen);
			
		}
//decodeAcctNum accepts a string of an encoded acct number and returns a string with the acct number decoded.
		function decodeAcctNum(acctNumStr){
			var result = acctNumStr.match(/[g-zG-Z]/);
			if (result != null){
					return acctNumStr;	
			}
			var i;
			var j = acctNumStr.length / 2 - 1;
			var k = eval("0x"+ acctNumStr.substr((j*2),2)) - 58 - j
			var code = 0;
			var charCode =0;
			var res = "";
	
			for (i = 0; i < j; i++){
				code  = k -(i*3);
				charCode =  (138 - eval("0x"+acctNumStr.substr( (i * 2),2)) - code);
				res  = res + String.fromCharCode(charCode);	
			}
				return res;
		}
//return the description of an error correct journal entry text "string"
		function getErrorCorrectItem(txt){
		/*The assumption is that all the fields are fixed length.
		Find the first occurance of 3 spaces followed by a number. This
		this is the qty field. 
		*/
			var pos = txt.search(/[\s]{3}[0-9]/)
		/*Now get the text starting at pos 6 [1-5 is reserved for the tax flags]
		to pos - 5. This will return the description.
		*/
			var str = txt.substr(6,pos-6);
		/*If str is empty then this is an error correct with no detail such as an error 
		correct of a "partial" @ for pricing.	
		*/
			if (str != ""){
				return str;
			}else{
				return "No Description";
			}
		}
//return the price of an error correct journal entry text "string"				
		function getErrorCorrectPrice(txt){
		/*
		1)	match on any number of digits that are followed by
		a decimal and any number of numeric characters 
		-----or----- 
		2) 1) is preceeded by a '-'	in the event this was a void line error correct 
		-----or----- 
		3) a positive or negative decimal value followed by spaces an @ 1 space and any numbet of digits
		but exclude it from the match (this is a "@ for" entry)
		*/
			var result = txt.match(/ [0-9]*\.[0-9]+ | -[0-9]*\.[0-9]+ | [0-9]*\.[0-9]{2}(?=[\s]*[@]{1}[\s]{1}[0-9]+) | -[0-9]*\.[0-9]{2}(?=[\s]*[@]{1}[\s]{1}[0-9]+)/);
			if (result != null){
				return result[0]-0;	
			}else{
				return 0;
			}
		}
//return the qty of an error correct journal entry text "string"				
		function getErrorCorrectQty(txt){
			//if the word prepay is found return a qty of 1since there is no qty on a prepay
			if (txt.match(/Prepay/) != null){
				return 1;
			}else{
			/*
			1) match on a 1 to 3 digits (which is the standard qty journaling) 
			-----or----- 
			2) 1-3 digits followed by a decimal followed by 3 digits (yes must be 3 since it is fuel) followed 
			by a alpha (yes alpha to denote UOM) but exclude the UOM in the match since what we are 
			interrest in is a numeric value 
			-----or----- 
			3) a decimal value with 2 decimal places (which denotes random weight.)
			*/
				var result = txt.match(/\s\s\s[0-9]{1,3} | \s\s\s[0-9]{1,3}\.[0-9]{3}(?=[A-Z]{1}) | [\s\s\s][0-9]{1,3}\.[0-9]{2}/);
			}
			//Check result for null if not null return result otherwise return 0.
			if (result != null){
				return result[0]-0;
			}else{
				return 0;
			}
		}
//return the number of hours worked based on the clockout - clockin time ISO dateTime formats		
	function calculateHours(strIn, strOut){
			//need to parse the incoming strings in the yyyy, mm,dd,hh,mm,ss
			var inDate = new Date(strIn.substr(0,4), strIn.substr(5,2), strIn.substr(8,2),strIn.substr(11,2),strIn.substr(14,2),strIn.substr(17,2));
			var outDate = new Date(strOut.substr(0,4), strOut.substr(5,2), strOut.substr(8,2),strOut.substr(11,2),strOut.substr(14,2),strOut.substr(17,2));
			return (outDate.valueOf() - inDate.valueOf()) ;
		}	

]]></msxsl:script>
	
</xsl:stylesheet>
