<?xml version="1.0" encoding="UTF-8"?><xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:vs="urn:vfi-sapphire:vs.2001-10-01" xmlns:base="urn:vfi-sapphire:base.2001-10-01" xmlns:pd="urn:vfi-sapphire:pd.2002-05-21" xmlns:xsi="periodTargs.xsd" version="1.0">

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" media-type="text/xml"/>

<xsl:template match="transactionSet">

	<pd:shelldtlsPd>
		
		<xsl:choose>
			<xsl:when test="@longId='CURRENT'">
				<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}"/>
			</xsl:when>
			<xsl:otherwise>
				<vs:period sysid="{@periodID}" name="{@periodname}" periodType="{@periodname}" periodBeginDate="{openedTime}" periodEndDate="{closedTime}" periodSeqNum="{@shortId}"/>
			</xsl:otherwise>
		</xsl:choose>
		<vs:site><xsl:value-of select="@site"/></vs:site>

		
		<totals>
			<xsl:variable name="mainPath" select="trans[@type='journal']"/>
			<xsl:variable name="hostPath" select="trans[@type='journal']/trJournal/trjText[@type='SHELL LOYALTY']"/>

			<xsl:for-each select="$mainPath">

				<xsl:if test="trJournal/trjText[@type='SHELL LOYALTY'][contains(.,'TY:')]">

					<xsl:variable name="tmpStr" select="trJournal/trjText"/>
					<xsl:variable name="ddcNumber" select=" substring-after( substring-before( $tmpStr, ' MP:'), 'DDC:')"/>
					<xsl:variable name="reference" select=" substring-after( substring-before( $tmpStr, ' DDC:'),'RF:')"/>
					<xsl:variable name="tickAmount" select=" substring-after( substring-before( $tmpStr, ' FA:'), 'TA:')"/>
					<xsl:variable name="fuelAmount" select=" substring-after( substring-before( $tmpStr, ' DA:'), 'FA:')"/>
					<xsl:variable name="vol" select=" substring-after( substring-before( $tmpStr, ' FD:'), 'VL:')"/>

					
					<xsl:variable name="hostRsp" select="count( $hostPath[contains(., 'RCVD') and contains(., $ddcNumber) and contains(., $reference)])"/>

					<loyaltyRec>
						  
						<xsl:attribute name="recId"><xsl:value-of select="$ddcNumber"/></xsl:attribute>
						<xsl:attribute name="hostRply"><xsl:value-of select="$hostRsp"/></xsl:attribute>

						<dateYear><xsl:value-of select="substring( trHeader/date, 3, 2)"/></dateYear>
						<dateMonth><xsl:value-of select="substring( trHeader/date, 6, 2)"/></dateMonth>
						<dateDay><xsl:value-of select="substring( trHeader/date, 9, 2)"/></dateDay>
						<timeHour><xsl:value-of select="substring( trHeader/date, 12, 2)"/></timeHour>
						<timeMin><xsl:value-of select="substring( trHeader/date, 15, 2)"/></timeMin>
						
						
						<ddcNum><xsl:value-of select=" $ddcNumber"/></ddcNum>
						<complete><xsl:value-of select="$hostRsp"/></complete>
						<refNum><xsl:value-of select="$reference"/></refNum>
						<tickAmt><xsl:value-of select="$tickAmount"/></tickAmt>
						<fuelAmt><xsl:value-of select="$fuelAmount"/></fuelAmt>
						<volume><xsl:value-of select="$vol"/></volume>
						<mopNum><xsl:value-of select=" substring-after( substring-before( $tmpStr, ' SP:'), 'MP:')"/></mopNum>
						<strPr> <xsl:value-of select=" substring-after( substring-before( $tmpStr, ' FP:'), 'SP:')"/></strPr>
						<fuelPr><xsl:value-of select=" substring-after( substring-before( $tmpStr, ' TA:'), 'FP:')"/></fuelPr>
						<discAmt><xsl:value-of select=" substring-after( substring-before( $tmpStr, ' QL:'), 'DA:')"/></discAmt>
						<qual>   <xsl:value-of select=" substring-after( substring-before( $tmpStr, ' VL:'), 'QL:')"/></qual>
						<fuelDisc><xsl:value-of select=" substring-after( substring-before( $tmpStr, ' TY:'), 'FD:')"/></fuelDisc>
						<dType>  <xsl:value-of select=" substring-after( $tmpStr, 'TY:')"/></dType>
					</loyaltyRec>
				</xsl:if>
			</xsl:for-each>
		</totals>

	</pd:shelldtlsPd>
</xsl:template>
</xsl:transform>